#ifdef GET_RISCVMaskedPseudosTable_DECL
const RISCVMaskedPseudoInfo *getMaskedPseudoInfo(unsigned MaskedPseudo);
#endif

#ifdef GET_RISCVMaskedPseudosTable_IMPL
constexpr RISCVMaskedPseudoInfo RISCVMaskedPseudosTable[] = {
  { PseudoVAADDU_VV_M1_MASK, PseudoVAADDU_VV_M1, PseudoVAADDU_VV_M1_TU, 0x3 }, // 0
  { PseudoVAADDU_VV_M2_MASK, PseudoVAADDU_VV_M2, PseudoVAADDU_VV_M2_TU, 0x3 }, // 1
  { PseudoVAADDU_VV_M4_MASK, PseudoVAADDU_VV_M4, PseudoVAADDU_VV_M4_TU, 0x3 }, // 2
  { PseudoVAADDU_VV_M8_MASK, PseudoVAADDU_VV_M8, PseudoVAADDU_VV_M8_TU, 0x3 }, // 3
  { PseudoVAADDU_VV_MF2_MASK, PseudoVAADDU_VV_MF2, PseudoVAADDU_VV_MF2_TU, 0x3 }, // 4
  { PseudoVAADDU_VV_MF4_MASK, PseudoVAADDU_VV_MF4, PseudoVAADDU_VV_MF4_TU, 0x3 }, // 5
  { PseudoVAADDU_VV_MF8_MASK, PseudoVAADDU_VV_MF8, PseudoVAADDU_VV_MF8_TU, 0x3 }, // 6
  { PseudoVAADDU_VX_M1_MASK, PseudoVAADDU_VX_M1, PseudoVAADDU_VX_M1_TU, 0x3 }, // 7
  { PseudoVAADDU_VX_M2_MASK, PseudoVAADDU_VX_M2, PseudoVAADDU_VX_M2_TU, 0x3 }, // 8
  { PseudoVAADDU_VX_M4_MASK, PseudoVAADDU_VX_M4, PseudoVAADDU_VX_M4_TU, 0x3 }, // 9
  { PseudoVAADDU_VX_M8_MASK, PseudoVAADDU_VX_M8, PseudoVAADDU_VX_M8_TU, 0x3 }, // 10
  { PseudoVAADDU_VX_MF2_MASK, PseudoVAADDU_VX_MF2, PseudoVAADDU_VX_MF2_TU, 0x3 }, // 11
  { PseudoVAADDU_VX_MF4_MASK, PseudoVAADDU_VX_MF4, PseudoVAADDU_VX_MF4_TU, 0x3 }, // 12
  { PseudoVAADDU_VX_MF8_MASK, PseudoVAADDU_VX_MF8, PseudoVAADDU_VX_MF8_TU, 0x3 }, // 13
  { PseudoVAADD_VV_M1_MASK, PseudoVAADD_VV_M1, PseudoVAADD_VV_M1_TU, 0x3 }, // 14
  { PseudoVAADD_VV_M2_MASK, PseudoVAADD_VV_M2, PseudoVAADD_VV_M2_TU, 0x3 }, // 15
  { PseudoVAADD_VV_M4_MASK, PseudoVAADD_VV_M4, PseudoVAADD_VV_M4_TU, 0x3 }, // 16
  { PseudoVAADD_VV_M8_MASK, PseudoVAADD_VV_M8, PseudoVAADD_VV_M8_TU, 0x3 }, // 17
  { PseudoVAADD_VV_MF2_MASK, PseudoVAADD_VV_MF2, PseudoVAADD_VV_MF2_TU, 0x3 }, // 18
  { PseudoVAADD_VV_MF4_MASK, PseudoVAADD_VV_MF4, PseudoVAADD_VV_MF4_TU, 0x3 }, // 19
  { PseudoVAADD_VV_MF8_MASK, PseudoVAADD_VV_MF8, PseudoVAADD_VV_MF8_TU, 0x3 }, // 20
  { PseudoVAADD_VX_M1_MASK, PseudoVAADD_VX_M1, PseudoVAADD_VX_M1_TU, 0x3 }, // 21
  { PseudoVAADD_VX_M2_MASK, PseudoVAADD_VX_M2, PseudoVAADD_VX_M2_TU, 0x3 }, // 22
  { PseudoVAADD_VX_M4_MASK, PseudoVAADD_VX_M4, PseudoVAADD_VX_M4_TU, 0x3 }, // 23
  { PseudoVAADD_VX_M8_MASK, PseudoVAADD_VX_M8, PseudoVAADD_VX_M8_TU, 0x3 }, // 24
  { PseudoVAADD_VX_MF2_MASK, PseudoVAADD_VX_MF2, PseudoVAADD_VX_MF2_TU, 0x3 }, // 25
  { PseudoVAADD_VX_MF4_MASK, PseudoVAADD_VX_MF4, PseudoVAADD_VX_MF4_TU, 0x3 }, // 26
  { PseudoVAADD_VX_MF8_MASK, PseudoVAADD_VX_MF8, PseudoVAADD_VX_MF8_TU, 0x3 }, // 27
  { PseudoVADD_VI_M1_MASK, PseudoVADD_VI_M1, PseudoVADD_VI_M1_TU, 0x3 }, // 28
  { PseudoVADD_VI_M2_MASK, PseudoVADD_VI_M2, PseudoVADD_VI_M2_TU, 0x3 }, // 29
  { PseudoVADD_VI_M4_MASK, PseudoVADD_VI_M4, PseudoVADD_VI_M4_TU, 0x3 }, // 30
  { PseudoVADD_VI_M8_MASK, PseudoVADD_VI_M8, PseudoVADD_VI_M8_TU, 0x3 }, // 31
  { PseudoVADD_VI_MF2_MASK, PseudoVADD_VI_MF2, PseudoVADD_VI_MF2_TU, 0x3 }, // 32
  { PseudoVADD_VI_MF4_MASK, PseudoVADD_VI_MF4, PseudoVADD_VI_MF4_TU, 0x3 }, // 33
  { PseudoVADD_VI_MF8_MASK, PseudoVADD_VI_MF8, PseudoVADD_VI_MF8_TU, 0x3 }, // 34
  { PseudoVADD_VV_M1_MASK, PseudoVADD_VV_M1, PseudoVADD_VV_M1_TU, 0x3 }, // 35
  { PseudoVADD_VV_M2_MASK, PseudoVADD_VV_M2, PseudoVADD_VV_M2_TU, 0x3 }, // 36
  { PseudoVADD_VV_M4_MASK, PseudoVADD_VV_M4, PseudoVADD_VV_M4_TU, 0x3 }, // 37
  { PseudoVADD_VV_M8_MASK, PseudoVADD_VV_M8, PseudoVADD_VV_M8_TU, 0x3 }, // 38
  { PseudoVADD_VV_MF2_MASK, PseudoVADD_VV_MF2, PseudoVADD_VV_MF2_TU, 0x3 }, // 39
  { PseudoVADD_VV_MF4_MASK, PseudoVADD_VV_MF4, PseudoVADD_VV_MF4_TU, 0x3 }, // 40
  { PseudoVADD_VV_MF8_MASK, PseudoVADD_VV_MF8, PseudoVADD_VV_MF8_TU, 0x3 }, // 41
  { PseudoVADD_VX_M1_MASK, PseudoVADD_VX_M1, PseudoVADD_VX_M1_TU, 0x3 }, // 42
  { PseudoVADD_VX_M2_MASK, PseudoVADD_VX_M2, PseudoVADD_VX_M2_TU, 0x3 }, // 43
  { PseudoVADD_VX_M4_MASK, PseudoVADD_VX_M4, PseudoVADD_VX_M4_TU, 0x3 }, // 44
  { PseudoVADD_VX_M8_MASK, PseudoVADD_VX_M8, PseudoVADD_VX_M8_TU, 0x3 }, // 45
  { PseudoVADD_VX_MF2_MASK, PseudoVADD_VX_MF2, PseudoVADD_VX_MF2_TU, 0x3 }, // 46
  { PseudoVADD_VX_MF4_MASK, PseudoVADD_VX_MF4, PseudoVADD_VX_MF4_TU, 0x3 }, // 47
  { PseudoVADD_VX_MF8_MASK, PseudoVADD_VX_MF8, PseudoVADD_VX_MF8_TU, 0x3 }, // 48
  { PseudoVAND_VI_M1_MASK, PseudoVAND_VI_M1, PseudoVAND_VI_M1_TU, 0x3 }, // 49
  { PseudoVAND_VI_M2_MASK, PseudoVAND_VI_M2, PseudoVAND_VI_M2_TU, 0x3 }, // 50
  { PseudoVAND_VI_M4_MASK, PseudoVAND_VI_M4, PseudoVAND_VI_M4_TU, 0x3 }, // 51
  { PseudoVAND_VI_M8_MASK, PseudoVAND_VI_M8, PseudoVAND_VI_M8_TU, 0x3 }, // 52
  { PseudoVAND_VI_MF2_MASK, PseudoVAND_VI_MF2, PseudoVAND_VI_MF2_TU, 0x3 }, // 53
  { PseudoVAND_VI_MF4_MASK, PseudoVAND_VI_MF4, PseudoVAND_VI_MF4_TU, 0x3 }, // 54
  { PseudoVAND_VI_MF8_MASK, PseudoVAND_VI_MF8, PseudoVAND_VI_MF8_TU, 0x3 }, // 55
  { PseudoVAND_VV_M1_MASK, PseudoVAND_VV_M1, PseudoVAND_VV_M1_TU, 0x3 }, // 56
  { PseudoVAND_VV_M2_MASK, PseudoVAND_VV_M2, PseudoVAND_VV_M2_TU, 0x3 }, // 57
  { PseudoVAND_VV_M4_MASK, PseudoVAND_VV_M4, PseudoVAND_VV_M4_TU, 0x3 }, // 58
  { PseudoVAND_VV_M8_MASK, PseudoVAND_VV_M8, PseudoVAND_VV_M8_TU, 0x3 }, // 59
  { PseudoVAND_VV_MF2_MASK, PseudoVAND_VV_MF2, PseudoVAND_VV_MF2_TU, 0x3 }, // 60
  { PseudoVAND_VV_MF4_MASK, PseudoVAND_VV_MF4, PseudoVAND_VV_MF4_TU, 0x3 }, // 61
  { PseudoVAND_VV_MF8_MASK, PseudoVAND_VV_MF8, PseudoVAND_VV_MF8_TU, 0x3 }, // 62
  { PseudoVAND_VX_M1_MASK, PseudoVAND_VX_M1, PseudoVAND_VX_M1_TU, 0x3 }, // 63
  { PseudoVAND_VX_M2_MASK, PseudoVAND_VX_M2, PseudoVAND_VX_M2_TU, 0x3 }, // 64
  { PseudoVAND_VX_M4_MASK, PseudoVAND_VX_M4, PseudoVAND_VX_M4_TU, 0x3 }, // 65
  { PseudoVAND_VX_M8_MASK, PseudoVAND_VX_M8, PseudoVAND_VX_M8_TU, 0x3 }, // 66
  { PseudoVAND_VX_MF2_MASK, PseudoVAND_VX_MF2, PseudoVAND_VX_MF2_TU, 0x3 }, // 67
  { PseudoVAND_VX_MF4_MASK, PseudoVAND_VX_MF4, PseudoVAND_VX_MF4_TU, 0x3 }, // 68
  { PseudoVAND_VX_MF8_MASK, PseudoVAND_VX_MF8, PseudoVAND_VX_MF8_TU, 0x3 }, // 69
  { PseudoVASUBU_VV_M1_MASK, PseudoVASUBU_VV_M1, PseudoVASUBU_VV_M1_TU, 0x3 }, // 70
  { PseudoVASUBU_VV_M2_MASK, PseudoVASUBU_VV_M2, PseudoVASUBU_VV_M2_TU, 0x3 }, // 71
  { PseudoVASUBU_VV_M4_MASK, PseudoVASUBU_VV_M4, PseudoVASUBU_VV_M4_TU, 0x3 }, // 72
  { PseudoVASUBU_VV_M8_MASK, PseudoVASUBU_VV_M8, PseudoVASUBU_VV_M8_TU, 0x3 }, // 73
  { PseudoVASUBU_VV_MF2_MASK, PseudoVASUBU_VV_MF2, PseudoVASUBU_VV_MF2_TU, 0x3 }, // 74
  { PseudoVASUBU_VV_MF4_MASK, PseudoVASUBU_VV_MF4, PseudoVASUBU_VV_MF4_TU, 0x3 }, // 75
  { PseudoVASUBU_VV_MF8_MASK, PseudoVASUBU_VV_MF8, PseudoVASUBU_VV_MF8_TU, 0x3 }, // 76
  { PseudoVASUBU_VX_M1_MASK, PseudoVASUBU_VX_M1, PseudoVASUBU_VX_M1_TU, 0x3 }, // 77
  { PseudoVASUBU_VX_M2_MASK, PseudoVASUBU_VX_M2, PseudoVASUBU_VX_M2_TU, 0x3 }, // 78
  { PseudoVASUBU_VX_M4_MASK, PseudoVASUBU_VX_M4, PseudoVASUBU_VX_M4_TU, 0x3 }, // 79
  { PseudoVASUBU_VX_M8_MASK, PseudoVASUBU_VX_M8, PseudoVASUBU_VX_M8_TU, 0x3 }, // 80
  { PseudoVASUBU_VX_MF2_MASK, PseudoVASUBU_VX_MF2, PseudoVASUBU_VX_MF2_TU, 0x3 }, // 81
  { PseudoVASUBU_VX_MF4_MASK, PseudoVASUBU_VX_MF4, PseudoVASUBU_VX_MF4_TU, 0x3 }, // 82
  { PseudoVASUBU_VX_MF8_MASK, PseudoVASUBU_VX_MF8, PseudoVASUBU_VX_MF8_TU, 0x3 }, // 83
  { PseudoVASUB_VV_M1_MASK, PseudoVASUB_VV_M1, PseudoVASUB_VV_M1_TU, 0x3 }, // 84
  { PseudoVASUB_VV_M2_MASK, PseudoVASUB_VV_M2, PseudoVASUB_VV_M2_TU, 0x3 }, // 85
  { PseudoVASUB_VV_M4_MASK, PseudoVASUB_VV_M4, PseudoVASUB_VV_M4_TU, 0x3 }, // 86
  { PseudoVASUB_VV_M8_MASK, PseudoVASUB_VV_M8, PseudoVASUB_VV_M8_TU, 0x3 }, // 87
  { PseudoVASUB_VV_MF2_MASK, PseudoVASUB_VV_MF2, PseudoVASUB_VV_MF2_TU, 0x3 }, // 88
  { PseudoVASUB_VV_MF4_MASK, PseudoVASUB_VV_MF4, PseudoVASUB_VV_MF4_TU, 0x3 }, // 89
  { PseudoVASUB_VV_MF8_MASK, PseudoVASUB_VV_MF8, PseudoVASUB_VV_MF8_TU, 0x3 }, // 90
  { PseudoVASUB_VX_M1_MASK, PseudoVASUB_VX_M1, PseudoVASUB_VX_M1_TU, 0x3 }, // 91
  { PseudoVASUB_VX_M2_MASK, PseudoVASUB_VX_M2, PseudoVASUB_VX_M2_TU, 0x3 }, // 92
  { PseudoVASUB_VX_M4_MASK, PseudoVASUB_VX_M4, PseudoVASUB_VX_M4_TU, 0x3 }, // 93
  { PseudoVASUB_VX_M8_MASK, PseudoVASUB_VX_M8, PseudoVASUB_VX_M8_TU, 0x3 }, // 94
  { PseudoVASUB_VX_MF2_MASK, PseudoVASUB_VX_MF2, PseudoVASUB_VX_MF2_TU, 0x3 }, // 95
  { PseudoVASUB_VX_MF4_MASK, PseudoVASUB_VX_MF4, PseudoVASUB_VX_MF4_TU, 0x3 }, // 96
  { PseudoVASUB_VX_MF8_MASK, PseudoVASUB_VX_MF8, PseudoVASUB_VX_MF8_TU, 0x3 }, // 97
  { PseudoVDIVU_VV_M1_MASK, PseudoVDIVU_VV_M1, PseudoVDIVU_VV_M1_TU, 0x3 }, // 98
  { PseudoVDIVU_VV_M2_MASK, PseudoVDIVU_VV_M2, PseudoVDIVU_VV_M2_TU, 0x3 }, // 99
  { PseudoVDIVU_VV_M4_MASK, PseudoVDIVU_VV_M4, PseudoVDIVU_VV_M4_TU, 0x3 }, // 100
  { PseudoVDIVU_VV_M8_MASK, PseudoVDIVU_VV_M8, PseudoVDIVU_VV_M8_TU, 0x3 }, // 101
  { PseudoVDIVU_VV_MF2_MASK, PseudoVDIVU_VV_MF2, PseudoVDIVU_VV_MF2_TU, 0x3 }, // 102
  { PseudoVDIVU_VV_MF4_MASK, PseudoVDIVU_VV_MF4, PseudoVDIVU_VV_MF4_TU, 0x3 }, // 103
  { PseudoVDIVU_VV_MF8_MASK, PseudoVDIVU_VV_MF8, PseudoVDIVU_VV_MF8_TU, 0x3 }, // 104
  { PseudoVDIVU_VX_M1_MASK, PseudoVDIVU_VX_M1, PseudoVDIVU_VX_M1_TU, 0x3 }, // 105
  { PseudoVDIVU_VX_M2_MASK, PseudoVDIVU_VX_M2, PseudoVDIVU_VX_M2_TU, 0x3 }, // 106
  { PseudoVDIVU_VX_M4_MASK, PseudoVDIVU_VX_M4, PseudoVDIVU_VX_M4_TU, 0x3 }, // 107
  { PseudoVDIVU_VX_M8_MASK, PseudoVDIVU_VX_M8, PseudoVDIVU_VX_M8_TU, 0x3 }, // 108
  { PseudoVDIVU_VX_MF2_MASK, PseudoVDIVU_VX_MF2, PseudoVDIVU_VX_MF2_TU, 0x3 }, // 109
  { PseudoVDIVU_VX_MF4_MASK, PseudoVDIVU_VX_MF4, PseudoVDIVU_VX_MF4_TU, 0x3 }, // 110
  { PseudoVDIVU_VX_MF8_MASK, PseudoVDIVU_VX_MF8, PseudoVDIVU_VX_MF8_TU, 0x3 }, // 111
  { PseudoVDIV_VV_M1_MASK, PseudoVDIV_VV_M1, PseudoVDIV_VV_M1_TU, 0x3 }, // 112
  { PseudoVDIV_VV_M2_MASK, PseudoVDIV_VV_M2, PseudoVDIV_VV_M2_TU, 0x3 }, // 113
  { PseudoVDIV_VV_M4_MASK, PseudoVDIV_VV_M4, PseudoVDIV_VV_M4_TU, 0x3 }, // 114
  { PseudoVDIV_VV_M8_MASK, PseudoVDIV_VV_M8, PseudoVDIV_VV_M8_TU, 0x3 }, // 115
  { PseudoVDIV_VV_MF2_MASK, PseudoVDIV_VV_MF2, PseudoVDIV_VV_MF2_TU, 0x3 }, // 116
  { PseudoVDIV_VV_MF4_MASK, PseudoVDIV_VV_MF4, PseudoVDIV_VV_MF4_TU, 0x3 }, // 117
  { PseudoVDIV_VV_MF8_MASK, PseudoVDIV_VV_MF8, PseudoVDIV_VV_MF8_TU, 0x3 }, // 118
  { PseudoVDIV_VX_M1_MASK, PseudoVDIV_VX_M1, PseudoVDIV_VX_M1_TU, 0x3 }, // 119
  { PseudoVDIV_VX_M2_MASK, PseudoVDIV_VX_M2, PseudoVDIV_VX_M2_TU, 0x3 }, // 120
  { PseudoVDIV_VX_M4_MASK, PseudoVDIV_VX_M4, PseudoVDIV_VX_M4_TU, 0x3 }, // 121
  { PseudoVDIV_VX_M8_MASK, PseudoVDIV_VX_M8, PseudoVDIV_VX_M8_TU, 0x3 }, // 122
  { PseudoVDIV_VX_MF2_MASK, PseudoVDIV_VX_MF2, PseudoVDIV_VX_MF2_TU, 0x3 }, // 123
  { PseudoVDIV_VX_MF4_MASK, PseudoVDIV_VX_MF4, PseudoVDIV_VX_MF4_TU, 0x3 }, // 124
  { PseudoVDIV_VX_MF8_MASK, PseudoVDIV_VX_MF8, PseudoVDIV_VX_MF8_TU, 0x3 }, // 125
  { PseudoVFADD_VF16_M1_MASK, PseudoVFADD_VF16_M1, PseudoVFADD_VF16_M1_TU, 0x3 }, // 126
  { PseudoVFADD_VF16_M2_MASK, PseudoVFADD_VF16_M2, PseudoVFADD_VF16_M2_TU, 0x3 }, // 127
  { PseudoVFADD_VF16_M4_MASK, PseudoVFADD_VF16_M4, PseudoVFADD_VF16_M4_TU, 0x3 }, // 128
  { PseudoVFADD_VF16_M8_MASK, PseudoVFADD_VF16_M8, PseudoVFADD_VF16_M8_TU, 0x3 }, // 129
  { PseudoVFADD_VF16_MF2_MASK, PseudoVFADD_VF16_MF2, PseudoVFADD_VF16_MF2_TU, 0x3 }, // 130
  { PseudoVFADD_VF16_MF4_MASK, PseudoVFADD_VF16_MF4, PseudoVFADD_VF16_MF4_TU, 0x3 }, // 131
  { PseudoVFADD_VF32_M1_MASK, PseudoVFADD_VF32_M1, PseudoVFADD_VF32_M1_TU, 0x3 }, // 132
  { PseudoVFADD_VF32_M2_MASK, PseudoVFADD_VF32_M2, PseudoVFADD_VF32_M2_TU, 0x3 }, // 133
  { PseudoVFADD_VF32_M4_MASK, PseudoVFADD_VF32_M4, PseudoVFADD_VF32_M4_TU, 0x3 }, // 134
  { PseudoVFADD_VF32_M8_MASK, PseudoVFADD_VF32_M8, PseudoVFADD_VF32_M8_TU, 0x3 }, // 135
  { PseudoVFADD_VF32_MF2_MASK, PseudoVFADD_VF32_MF2, PseudoVFADD_VF32_MF2_TU, 0x3 }, // 136
  { PseudoVFADD_VF64_M1_MASK, PseudoVFADD_VF64_M1, PseudoVFADD_VF64_M1_TU, 0x3 }, // 137
  { PseudoVFADD_VF64_M2_MASK, PseudoVFADD_VF64_M2, PseudoVFADD_VF64_M2_TU, 0x3 }, // 138
  { PseudoVFADD_VF64_M4_MASK, PseudoVFADD_VF64_M4, PseudoVFADD_VF64_M4_TU, 0x3 }, // 139
  { PseudoVFADD_VF64_M8_MASK, PseudoVFADD_VF64_M8, PseudoVFADD_VF64_M8_TU, 0x3 }, // 140
  { PseudoVFADD_VV_M1_MASK, PseudoVFADD_VV_M1, PseudoVFADD_VV_M1_TU, 0x3 }, // 141
  { PseudoVFADD_VV_M2_MASK, PseudoVFADD_VV_M2, PseudoVFADD_VV_M2_TU, 0x3 }, // 142
  { PseudoVFADD_VV_M4_MASK, PseudoVFADD_VV_M4, PseudoVFADD_VV_M4_TU, 0x3 }, // 143
  { PseudoVFADD_VV_M8_MASK, PseudoVFADD_VV_M8, PseudoVFADD_VV_M8_TU, 0x3 }, // 144
  { PseudoVFADD_VV_MF2_MASK, PseudoVFADD_VV_MF2, PseudoVFADD_VV_MF2_TU, 0x3 }, // 145
  { PseudoVFADD_VV_MF4_MASK, PseudoVFADD_VV_MF4, PseudoVFADD_VV_MF4_TU, 0x3 }, // 146
  { PseudoVFCVT_F_XU_V_M1_MASK, PseudoVFCVT_F_XU_V_M1, PseudoVFCVT_F_XU_V_M1_TU, 0x2 }, // 147
  { PseudoVFCVT_F_XU_V_M2_MASK, PseudoVFCVT_F_XU_V_M2, PseudoVFCVT_F_XU_V_M2_TU, 0x2 }, // 148
  { PseudoVFCVT_F_XU_V_M4_MASK, PseudoVFCVT_F_XU_V_M4, PseudoVFCVT_F_XU_V_M4_TU, 0x2 }, // 149
  { PseudoVFCVT_F_XU_V_M8_MASK, PseudoVFCVT_F_XU_V_M8, PseudoVFCVT_F_XU_V_M8_TU, 0x2 }, // 150
  { PseudoVFCVT_F_XU_V_MF2_MASK, PseudoVFCVT_F_XU_V_MF2, PseudoVFCVT_F_XU_V_MF2_TU, 0x2 }, // 151
  { PseudoVFCVT_F_XU_V_MF4_MASK, PseudoVFCVT_F_XU_V_MF4, PseudoVFCVT_F_XU_V_MF4_TU, 0x2 }, // 152
  { PseudoVFCVT_F_X_V_M1_MASK, PseudoVFCVT_F_X_V_M1, PseudoVFCVT_F_X_V_M1_TU, 0x2 }, // 153
  { PseudoVFCVT_F_X_V_M2_MASK, PseudoVFCVT_F_X_V_M2, PseudoVFCVT_F_X_V_M2_TU, 0x2 }, // 154
  { PseudoVFCVT_F_X_V_M4_MASK, PseudoVFCVT_F_X_V_M4, PseudoVFCVT_F_X_V_M4_TU, 0x2 }, // 155
  { PseudoVFCVT_F_X_V_M8_MASK, PseudoVFCVT_F_X_V_M8, PseudoVFCVT_F_X_V_M8_TU, 0x2 }, // 156
  { PseudoVFCVT_F_X_V_MF2_MASK, PseudoVFCVT_F_X_V_MF2, PseudoVFCVT_F_X_V_MF2_TU, 0x2 }, // 157
  { PseudoVFCVT_F_X_V_MF4_MASK, PseudoVFCVT_F_X_V_MF4, PseudoVFCVT_F_X_V_MF4_TU, 0x2 }, // 158
  { PseudoVFCVT_RTZ_XU_F_V_M1_MASK, PseudoVFCVT_RTZ_XU_F_V_M1, PseudoVFCVT_RTZ_XU_F_V_M1_TU, 0x2 }, // 159
  { PseudoVFCVT_RTZ_XU_F_V_M2_MASK, PseudoVFCVT_RTZ_XU_F_V_M2, PseudoVFCVT_RTZ_XU_F_V_M2_TU, 0x2 }, // 160
  { PseudoVFCVT_RTZ_XU_F_V_M4_MASK, PseudoVFCVT_RTZ_XU_F_V_M4, PseudoVFCVT_RTZ_XU_F_V_M4_TU, 0x2 }, // 161
  { PseudoVFCVT_RTZ_XU_F_V_M8_MASK, PseudoVFCVT_RTZ_XU_F_V_M8, PseudoVFCVT_RTZ_XU_F_V_M8_TU, 0x2 }, // 162
  { PseudoVFCVT_RTZ_XU_F_V_MF2_MASK, PseudoVFCVT_RTZ_XU_F_V_MF2, PseudoVFCVT_RTZ_XU_F_V_MF2_TU, 0x2 }, // 163
  { PseudoVFCVT_RTZ_XU_F_V_MF4_MASK, PseudoVFCVT_RTZ_XU_F_V_MF4, PseudoVFCVT_RTZ_XU_F_V_MF4_TU, 0x2 }, // 164
  { PseudoVFCVT_RTZ_X_F_V_M1_MASK, PseudoVFCVT_RTZ_X_F_V_M1, PseudoVFCVT_RTZ_X_F_V_M1_TU, 0x2 }, // 165
  { PseudoVFCVT_RTZ_X_F_V_M2_MASK, PseudoVFCVT_RTZ_X_F_V_M2, PseudoVFCVT_RTZ_X_F_V_M2_TU, 0x2 }, // 166
  { PseudoVFCVT_RTZ_X_F_V_M4_MASK, PseudoVFCVT_RTZ_X_F_V_M4, PseudoVFCVT_RTZ_X_F_V_M4_TU, 0x2 }, // 167
  { PseudoVFCVT_RTZ_X_F_V_M8_MASK, PseudoVFCVT_RTZ_X_F_V_M8, PseudoVFCVT_RTZ_X_F_V_M8_TU, 0x2 }, // 168
  { PseudoVFCVT_RTZ_X_F_V_MF2_MASK, PseudoVFCVT_RTZ_X_F_V_MF2, PseudoVFCVT_RTZ_X_F_V_MF2_TU, 0x2 }, // 169
  { PseudoVFCVT_RTZ_X_F_V_MF4_MASK, PseudoVFCVT_RTZ_X_F_V_MF4, PseudoVFCVT_RTZ_X_F_V_MF4_TU, 0x2 }, // 170
  { PseudoVFCVT_XU_F_V_M1_MASK, PseudoVFCVT_XU_F_V_M1, PseudoVFCVT_XU_F_V_M1_TU, 0x2 }, // 171
  { PseudoVFCVT_XU_F_V_M2_MASK, PseudoVFCVT_XU_F_V_M2, PseudoVFCVT_XU_F_V_M2_TU, 0x2 }, // 172
  { PseudoVFCVT_XU_F_V_M4_MASK, PseudoVFCVT_XU_F_V_M4, PseudoVFCVT_XU_F_V_M4_TU, 0x2 }, // 173
  { PseudoVFCVT_XU_F_V_M8_MASK, PseudoVFCVT_XU_F_V_M8, PseudoVFCVT_XU_F_V_M8_TU, 0x2 }, // 174
  { PseudoVFCVT_XU_F_V_MF2_MASK, PseudoVFCVT_XU_F_V_MF2, PseudoVFCVT_XU_F_V_MF2_TU, 0x2 }, // 175
  { PseudoVFCVT_XU_F_V_MF4_MASK, PseudoVFCVT_XU_F_V_MF4, PseudoVFCVT_XU_F_V_MF4_TU, 0x2 }, // 176
  { PseudoVFCVT_X_F_V_M1_MASK, PseudoVFCVT_X_F_V_M1, PseudoVFCVT_X_F_V_M1_TU, 0x2 }, // 177
  { PseudoVFCVT_X_F_V_M2_MASK, PseudoVFCVT_X_F_V_M2, PseudoVFCVT_X_F_V_M2_TU, 0x2 }, // 178
  { PseudoVFCVT_X_F_V_M4_MASK, PseudoVFCVT_X_F_V_M4, PseudoVFCVT_X_F_V_M4_TU, 0x2 }, // 179
  { PseudoVFCVT_X_F_V_M8_MASK, PseudoVFCVT_X_F_V_M8, PseudoVFCVT_X_F_V_M8_TU, 0x2 }, // 180
  { PseudoVFCVT_X_F_V_MF2_MASK, PseudoVFCVT_X_F_V_MF2, PseudoVFCVT_X_F_V_MF2_TU, 0x2 }, // 181
  { PseudoVFCVT_X_F_V_MF4_MASK, PseudoVFCVT_X_F_V_MF4, PseudoVFCVT_X_F_V_MF4_TU, 0x2 }, // 182
  { PseudoVFDIV_VF16_M1_MASK, PseudoVFDIV_VF16_M1, PseudoVFDIV_VF16_M1_TU, 0x3 }, // 183
  { PseudoVFDIV_VF16_M2_MASK, PseudoVFDIV_VF16_M2, PseudoVFDIV_VF16_M2_TU, 0x3 }, // 184
  { PseudoVFDIV_VF16_M4_MASK, PseudoVFDIV_VF16_M4, PseudoVFDIV_VF16_M4_TU, 0x3 }, // 185
  { PseudoVFDIV_VF16_M8_MASK, PseudoVFDIV_VF16_M8, PseudoVFDIV_VF16_M8_TU, 0x3 }, // 186
  { PseudoVFDIV_VF16_MF2_MASK, PseudoVFDIV_VF16_MF2, PseudoVFDIV_VF16_MF2_TU, 0x3 }, // 187
  { PseudoVFDIV_VF16_MF4_MASK, PseudoVFDIV_VF16_MF4, PseudoVFDIV_VF16_MF4_TU, 0x3 }, // 188
  { PseudoVFDIV_VF32_M1_MASK, PseudoVFDIV_VF32_M1, PseudoVFDIV_VF32_M1_TU, 0x3 }, // 189
  { PseudoVFDIV_VF32_M2_MASK, PseudoVFDIV_VF32_M2, PseudoVFDIV_VF32_M2_TU, 0x3 }, // 190
  { PseudoVFDIV_VF32_M4_MASK, PseudoVFDIV_VF32_M4, PseudoVFDIV_VF32_M4_TU, 0x3 }, // 191
  { PseudoVFDIV_VF32_M8_MASK, PseudoVFDIV_VF32_M8, PseudoVFDIV_VF32_M8_TU, 0x3 }, // 192
  { PseudoVFDIV_VF32_MF2_MASK, PseudoVFDIV_VF32_MF2, PseudoVFDIV_VF32_MF2_TU, 0x3 }, // 193
  { PseudoVFDIV_VF64_M1_MASK, PseudoVFDIV_VF64_M1, PseudoVFDIV_VF64_M1_TU, 0x3 }, // 194
  { PseudoVFDIV_VF64_M2_MASK, PseudoVFDIV_VF64_M2, PseudoVFDIV_VF64_M2_TU, 0x3 }, // 195
  { PseudoVFDIV_VF64_M4_MASK, PseudoVFDIV_VF64_M4, PseudoVFDIV_VF64_M4_TU, 0x3 }, // 196
  { PseudoVFDIV_VF64_M8_MASK, PseudoVFDIV_VF64_M8, PseudoVFDIV_VF64_M8_TU, 0x3 }, // 197
  { PseudoVFDIV_VV_M1_MASK, PseudoVFDIV_VV_M1, PseudoVFDIV_VV_M1_TU, 0x3 }, // 198
  { PseudoVFDIV_VV_M2_MASK, PseudoVFDIV_VV_M2, PseudoVFDIV_VV_M2_TU, 0x3 }, // 199
  { PseudoVFDIV_VV_M4_MASK, PseudoVFDIV_VV_M4, PseudoVFDIV_VV_M4_TU, 0x3 }, // 200
  { PseudoVFDIV_VV_M8_MASK, PseudoVFDIV_VV_M8, PseudoVFDIV_VV_M8_TU, 0x3 }, // 201
  { PseudoVFDIV_VV_MF2_MASK, PseudoVFDIV_VV_MF2, PseudoVFDIV_VV_MF2_TU, 0x3 }, // 202
  { PseudoVFDIV_VV_MF4_MASK, PseudoVFDIV_VV_MF4, PseudoVFDIV_VV_MF4_TU, 0x3 }, // 203
  { PseudoVFMAX_VF16_M1_MASK, PseudoVFMAX_VF16_M1, PseudoVFMAX_VF16_M1_TU, 0x3 }, // 204
  { PseudoVFMAX_VF16_M2_MASK, PseudoVFMAX_VF16_M2, PseudoVFMAX_VF16_M2_TU, 0x3 }, // 205
  { PseudoVFMAX_VF16_M4_MASK, PseudoVFMAX_VF16_M4, PseudoVFMAX_VF16_M4_TU, 0x3 }, // 206
  { PseudoVFMAX_VF16_M8_MASK, PseudoVFMAX_VF16_M8, PseudoVFMAX_VF16_M8_TU, 0x3 }, // 207
  { PseudoVFMAX_VF16_MF2_MASK, PseudoVFMAX_VF16_MF2, PseudoVFMAX_VF16_MF2_TU, 0x3 }, // 208
  { PseudoVFMAX_VF16_MF4_MASK, PseudoVFMAX_VF16_MF4, PseudoVFMAX_VF16_MF4_TU, 0x3 }, // 209
  { PseudoVFMAX_VF32_M1_MASK, PseudoVFMAX_VF32_M1, PseudoVFMAX_VF32_M1_TU, 0x3 }, // 210
  { PseudoVFMAX_VF32_M2_MASK, PseudoVFMAX_VF32_M2, PseudoVFMAX_VF32_M2_TU, 0x3 }, // 211
  { PseudoVFMAX_VF32_M4_MASK, PseudoVFMAX_VF32_M4, PseudoVFMAX_VF32_M4_TU, 0x3 }, // 212
  { PseudoVFMAX_VF32_M8_MASK, PseudoVFMAX_VF32_M8, PseudoVFMAX_VF32_M8_TU, 0x3 }, // 213
  { PseudoVFMAX_VF32_MF2_MASK, PseudoVFMAX_VF32_MF2, PseudoVFMAX_VF32_MF2_TU, 0x3 }, // 214
  { PseudoVFMAX_VF64_M1_MASK, PseudoVFMAX_VF64_M1, PseudoVFMAX_VF64_M1_TU, 0x3 }, // 215
  { PseudoVFMAX_VF64_M2_MASK, PseudoVFMAX_VF64_M2, PseudoVFMAX_VF64_M2_TU, 0x3 }, // 216
  { PseudoVFMAX_VF64_M4_MASK, PseudoVFMAX_VF64_M4, PseudoVFMAX_VF64_M4_TU, 0x3 }, // 217
  { PseudoVFMAX_VF64_M8_MASK, PseudoVFMAX_VF64_M8, PseudoVFMAX_VF64_M8_TU, 0x3 }, // 218
  { PseudoVFMAX_VV_M1_MASK, PseudoVFMAX_VV_M1, PseudoVFMAX_VV_M1_TU, 0x3 }, // 219
  { PseudoVFMAX_VV_M2_MASK, PseudoVFMAX_VV_M2, PseudoVFMAX_VV_M2_TU, 0x3 }, // 220
  { PseudoVFMAX_VV_M4_MASK, PseudoVFMAX_VV_M4, PseudoVFMAX_VV_M4_TU, 0x3 }, // 221
  { PseudoVFMAX_VV_M8_MASK, PseudoVFMAX_VV_M8, PseudoVFMAX_VV_M8_TU, 0x3 }, // 222
  { PseudoVFMAX_VV_MF2_MASK, PseudoVFMAX_VV_MF2, PseudoVFMAX_VV_MF2_TU, 0x3 }, // 223
  { PseudoVFMAX_VV_MF4_MASK, PseudoVFMAX_VV_MF4, PseudoVFMAX_VV_MF4_TU, 0x3 }, // 224
  { PseudoVFMIN_VF16_M1_MASK, PseudoVFMIN_VF16_M1, PseudoVFMIN_VF16_M1_TU, 0x3 }, // 225
  { PseudoVFMIN_VF16_M2_MASK, PseudoVFMIN_VF16_M2, PseudoVFMIN_VF16_M2_TU, 0x3 }, // 226
  { PseudoVFMIN_VF16_M4_MASK, PseudoVFMIN_VF16_M4, PseudoVFMIN_VF16_M4_TU, 0x3 }, // 227
  { PseudoVFMIN_VF16_M8_MASK, PseudoVFMIN_VF16_M8, PseudoVFMIN_VF16_M8_TU, 0x3 }, // 228
  { PseudoVFMIN_VF16_MF2_MASK, PseudoVFMIN_VF16_MF2, PseudoVFMIN_VF16_MF2_TU, 0x3 }, // 229
  { PseudoVFMIN_VF16_MF4_MASK, PseudoVFMIN_VF16_MF4, PseudoVFMIN_VF16_MF4_TU, 0x3 }, // 230
  { PseudoVFMIN_VF32_M1_MASK, PseudoVFMIN_VF32_M1, PseudoVFMIN_VF32_M1_TU, 0x3 }, // 231
  { PseudoVFMIN_VF32_M2_MASK, PseudoVFMIN_VF32_M2, PseudoVFMIN_VF32_M2_TU, 0x3 }, // 232
  { PseudoVFMIN_VF32_M4_MASK, PseudoVFMIN_VF32_M4, PseudoVFMIN_VF32_M4_TU, 0x3 }, // 233
  { PseudoVFMIN_VF32_M8_MASK, PseudoVFMIN_VF32_M8, PseudoVFMIN_VF32_M8_TU, 0x3 }, // 234
  { PseudoVFMIN_VF32_MF2_MASK, PseudoVFMIN_VF32_MF2, PseudoVFMIN_VF32_MF2_TU, 0x3 }, // 235
  { PseudoVFMIN_VF64_M1_MASK, PseudoVFMIN_VF64_M1, PseudoVFMIN_VF64_M1_TU, 0x3 }, // 236
  { PseudoVFMIN_VF64_M2_MASK, PseudoVFMIN_VF64_M2, PseudoVFMIN_VF64_M2_TU, 0x3 }, // 237
  { PseudoVFMIN_VF64_M4_MASK, PseudoVFMIN_VF64_M4, PseudoVFMIN_VF64_M4_TU, 0x3 }, // 238
  { PseudoVFMIN_VF64_M8_MASK, PseudoVFMIN_VF64_M8, PseudoVFMIN_VF64_M8_TU, 0x3 }, // 239
  { PseudoVFMIN_VV_M1_MASK, PseudoVFMIN_VV_M1, PseudoVFMIN_VV_M1_TU, 0x3 }, // 240
  { PseudoVFMIN_VV_M2_MASK, PseudoVFMIN_VV_M2, PseudoVFMIN_VV_M2_TU, 0x3 }, // 241
  { PseudoVFMIN_VV_M4_MASK, PseudoVFMIN_VV_M4, PseudoVFMIN_VV_M4_TU, 0x3 }, // 242
  { PseudoVFMIN_VV_M8_MASK, PseudoVFMIN_VV_M8, PseudoVFMIN_VV_M8_TU, 0x3 }, // 243
  { PseudoVFMIN_VV_MF2_MASK, PseudoVFMIN_VV_MF2, PseudoVFMIN_VV_MF2_TU, 0x3 }, // 244
  { PseudoVFMIN_VV_MF4_MASK, PseudoVFMIN_VV_MF4, PseudoVFMIN_VV_MF4_TU, 0x3 }, // 245
  { PseudoVFMUL_VF16_M1_MASK, PseudoVFMUL_VF16_M1, PseudoVFMUL_VF16_M1_TU, 0x3 }, // 246
  { PseudoVFMUL_VF16_M2_MASK, PseudoVFMUL_VF16_M2, PseudoVFMUL_VF16_M2_TU, 0x3 }, // 247
  { PseudoVFMUL_VF16_M4_MASK, PseudoVFMUL_VF16_M4, PseudoVFMUL_VF16_M4_TU, 0x3 }, // 248
  { PseudoVFMUL_VF16_M8_MASK, PseudoVFMUL_VF16_M8, PseudoVFMUL_VF16_M8_TU, 0x3 }, // 249
  { PseudoVFMUL_VF16_MF2_MASK, PseudoVFMUL_VF16_MF2, PseudoVFMUL_VF16_MF2_TU, 0x3 }, // 250
  { PseudoVFMUL_VF16_MF4_MASK, PseudoVFMUL_VF16_MF4, PseudoVFMUL_VF16_MF4_TU, 0x3 }, // 251
  { PseudoVFMUL_VF32_M1_MASK, PseudoVFMUL_VF32_M1, PseudoVFMUL_VF32_M1_TU, 0x3 }, // 252
  { PseudoVFMUL_VF32_M2_MASK, PseudoVFMUL_VF32_M2, PseudoVFMUL_VF32_M2_TU, 0x3 }, // 253
  { PseudoVFMUL_VF32_M4_MASK, PseudoVFMUL_VF32_M4, PseudoVFMUL_VF32_M4_TU, 0x3 }, // 254
  { PseudoVFMUL_VF32_M8_MASK, PseudoVFMUL_VF32_M8, PseudoVFMUL_VF32_M8_TU, 0x3 }, // 255
  { PseudoVFMUL_VF32_MF2_MASK, PseudoVFMUL_VF32_MF2, PseudoVFMUL_VF32_MF2_TU, 0x3 }, // 256
  { PseudoVFMUL_VF64_M1_MASK, PseudoVFMUL_VF64_M1, PseudoVFMUL_VF64_M1_TU, 0x3 }, // 257
  { PseudoVFMUL_VF64_M2_MASK, PseudoVFMUL_VF64_M2, PseudoVFMUL_VF64_M2_TU, 0x3 }, // 258
  { PseudoVFMUL_VF64_M4_MASK, PseudoVFMUL_VF64_M4, PseudoVFMUL_VF64_M4_TU, 0x3 }, // 259
  { PseudoVFMUL_VF64_M8_MASK, PseudoVFMUL_VF64_M8, PseudoVFMUL_VF64_M8_TU, 0x3 }, // 260
  { PseudoVFMUL_VV_M1_MASK, PseudoVFMUL_VV_M1, PseudoVFMUL_VV_M1_TU, 0x3 }, // 261
  { PseudoVFMUL_VV_M2_MASK, PseudoVFMUL_VV_M2, PseudoVFMUL_VV_M2_TU, 0x3 }, // 262
  { PseudoVFMUL_VV_M4_MASK, PseudoVFMUL_VV_M4, PseudoVFMUL_VV_M4_TU, 0x3 }, // 263
  { PseudoVFMUL_VV_M8_MASK, PseudoVFMUL_VV_M8, PseudoVFMUL_VV_M8_TU, 0x3 }, // 264
  { PseudoVFMUL_VV_MF2_MASK, PseudoVFMUL_VV_MF2, PseudoVFMUL_VV_MF2_TU, 0x3 }, // 265
  { PseudoVFMUL_VV_MF4_MASK, PseudoVFMUL_VV_MF4, PseudoVFMUL_VV_MF4_TU, 0x3 }, // 266
  { PseudoVFNCVT_F_F_W_M1_MASK, PseudoVFNCVT_F_F_W_M1, PseudoVFNCVT_F_F_W_M1_TU, 0x2 }, // 267
  { PseudoVFNCVT_F_F_W_M2_MASK, PseudoVFNCVT_F_F_W_M2, PseudoVFNCVT_F_F_W_M2_TU, 0x2 }, // 268
  { PseudoVFNCVT_F_F_W_M4_MASK, PseudoVFNCVT_F_F_W_M4, PseudoVFNCVT_F_F_W_M4_TU, 0x2 }, // 269
  { PseudoVFNCVT_F_F_W_MF2_MASK, PseudoVFNCVT_F_F_W_MF2, PseudoVFNCVT_F_F_W_MF2_TU, 0x2 }, // 270
  { PseudoVFNCVT_F_F_W_MF4_MASK, PseudoVFNCVT_F_F_W_MF4, PseudoVFNCVT_F_F_W_MF4_TU, 0x2 }, // 271
  { PseudoVFNCVT_F_XU_W_M1_MASK, PseudoVFNCVT_F_XU_W_M1, PseudoVFNCVT_F_XU_W_M1_TU, 0x2 }, // 272
  { PseudoVFNCVT_F_XU_W_M2_MASK, PseudoVFNCVT_F_XU_W_M2, PseudoVFNCVT_F_XU_W_M2_TU, 0x2 }, // 273
  { PseudoVFNCVT_F_XU_W_M4_MASK, PseudoVFNCVT_F_XU_W_M4, PseudoVFNCVT_F_XU_W_M4_TU, 0x2 }, // 274
  { PseudoVFNCVT_F_XU_W_MF2_MASK, PseudoVFNCVT_F_XU_W_MF2, PseudoVFNCVT_F_XU_W_MF2_TU, 0x2 }, // 275
  { PseudoVFNCVT_F_XU_W_MF4_MASK, PseudoVFNCVT_F_XU_W_MF4, PseudoVFNCVT_F_XU_W_MF4_TU, 0x2 }, // 276
  { PseudoVFNCVT_F_X_W_M1_MASK, PseudoVFNCVT_F_X_W_M1, PseudoVFNCVT_F_X_W_M1_TU, 0x2 }, // 277
  { PseudoVFNCVT_F_X_W_M2_MASK, PseudoVFNCVT_F_X_W_M2, PseudoVFNCVT_F_X_W_M2_TU, 0x2 }, // 278
  { PseudoVFNCVT_F_X_W_M4_MASK, PseudoVFNCVT_F_X_W_M4, PseudoVFNCVT_F_X_W_M4_TU, 0x2 }, // 279
  { PseudoVFNCVT_F_X_W_MF2_MASK, PseudoVFNCVT_F_X_W_MF2, PseudoVFNCVT_F_X_W_MF2_TU, 0x2 }, // 280
  { PseudoVFNCVT_F_X_W_MF4_MASK, PseudoVFNCVT_F_X_W_MF4, PseudoVFNCVT_F_X_W_MF4_TU, 0x2 }, // 281
  { PseudoVFNCVT_ROD_F_F_W_M1_MASK, PseudoVFNCVT_ROD_F_F_W_M1, PseudoVFNCVT_ROD_F_F_W_M1_TU, 0x2 }, // 282
  { PseudoVFNCVT_ROD_F_F_W_M2_MASK, PseudoVFNCVT_ROD_F_F_W_M2, PseudoVFNCVT_ROD_F_F_W_M2_TU, 0x2 }, // 283
  { PseudoVFNCVT_ROD_F_F_W_M4_MASK, PseudoVFNCVT_ROD_F_F_W_M4, PseudoVFNCVT_ROD_F_F_W_M4_TU, 0x2 }, // 284
  { PseudoVFNCVT_ROD_F_F_W_MF2_MASK, PseudoVFNCVT_ROD_F_F_W_MF2, PseudoVFNCVT_ROD_F_F_W_MF2_TU, 0x2 }, // 285
  { PseudoVFNCVT_ROD_F_F_W_MF4_MASK, PseudoVFNCVT_ROD_F_F_W_MF4, PseudoVFNCVT_ROD_F_F_W_MF4_TU, 0x2 }, // 286
  { PseudoVFNCVT_RTZ_XU_F_W_M1_MASK, PseudoVFNCVT_RTZ_XU_F_W_M1, PseudoVFNCVT_RTZ_XU_F_W_M1_TU, 0x2 }, // 287
  { PseudoVFNCVT_RTZ_XU_F_W_M2_MASK, PseudoVFNCVT_RTZ_XU_F_W_M2, PseudoVFNCVT_RTZ_XU_F_W_M2_TU, 0x2 }, // 288
  { PseudoVFNCVT_RTZ_XU_F_W_M4_MASK, PseudoVFNCVT_RTZ_XU_F_W_M4, PseudoVFNCVT_RTZ_XU_F_W_M4_TU, 0x2 }, // 289
  { PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK, PseudoVFNCVT_RTZ_XU_F_W_MF2, PseudoVFNCVT_RTZ_XU_F_W_MF2_TU, 0x2 }, // 290
  { PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK, PseudoVFNCVT_RTZ_XU_F_W_MF4, PseudoVFNCVT_RTZ_XU_F_W_MF4_TU, 0x2 }, // 291
  { PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK, PseudoVFNCVT_RTZ_XU_F_W_MF8, PseudoVFNCVT_RTZ_XU_F_W_MF8_TU, 0x2 }, // 292
  { PseudoVFNCVT_RTZ_X_F_W_M1_MASK, PseudoVFNCVT_RTZ_X_F_W_M1, PseudoVFNCVT_RTZ_X_F_W_M1_TU, 0x2 }, // 293
  { PseudoVFNCVT_RTZ_X_F_W_M2_MASK, PseudoVFNCVT_RTZ_X_F_W_M2, PseudoVFNCVT_RTZ_X_F_W_M2_TU, 0x2 }, // 294
  { PseudoVFNCVT_RTZ_X_F_W_M4_MASK, PseudoVFNCVT_RTZ_X_F_W_M4, PseudoVFNCVT_RTZ_X_F_W_M4_TU, 0x2 }, // 295
  { PseudoVFNCVT_RTZ_X_F_W_MF2_MASK, PseudoVFNCVT_RTZ_X_F_W_MF2, PseudoVFNCVT_RTZ_X_F_W_MF2_TU, 0x2 }, // 296
  { PseudoVFNCVT_RTZ_X_F_W_MF4_MASK, PseudoVFNCVT_RTZ_X_F_W_MF4, PseudoVFNCVT_RTZ_X_F_W_MF4_TU, 0x2 }, // 297
  { PseudoVFNCVT_RTZ_X_F_W_MF8_MASK, PseudoVFNCVT_RTZ_X_F_W_MF8, PseudoVFNCVT_RTZ_X_F_W_MF8_TU, 0x2 }, // 298
  { PseudoVFNCVT_XU_F_W_M1_MASK, PseudoVFNCVT_XU_F_W_M1, PseudoVFNCVT_XU_F_W_M1_TU, 0x2 }, // 299
  { PseudoVFNCVT_XU_F_W_M2_MASK, PseudoVFNCVT_XU_F_W_M2, PseudoVFNCVT_XU_F_W_M2_TU, 0x2 }, // 300
  { PseudoVFNCVT_XU_F_W_M4_MASK, PseudoVFNCVT_XU_F_W_M4, PseudoVFNCVT_XU_F_W_M4_TU, 0x2 }, // 301
  { PseudoVFNCVT_XU_F_W_MF2_MASK, PseudoVFNCVT_XU_F_W_MF2, PseudoVFNCVT_XU_F_W_MF2_TU, 0x2 }, // 302
  { PseudoVFNCVT_XU_F_W_MF4_MASK, PseudoVFNCVT_XU_F_W_MF4, PseudoVFNCVT_XU_F_W_MF4_TU, 0x2 }, // 303
  { PseudoVFNCVT_XU_F_W_MF8_MASK, PseudoVFNCVT_XU_F_W_MF8, PseudoVFNCVT_XU_F_W_MF8_TU, 0x2 }, // 304
  { PseudoVFNCVT_X_F_W_M1_MASK, PseudoVFNCVT_X_F_W_M1, PseudoVFNCVT_X_F_W_M1_TU, 0x2 }, // 305
  { PseudoVFNCVT_X_F_W_M2_MASK, PseudoVFNCVT_X_F_W_M2, PseudoVFNCVT_X_F_W_M2_TU, 0x2 }, // 306
  { PseudoVFNCVT_X_F_W_M4_MASK, PseudoVFNCVT_X_F_W_M4, PseudoVFNCVT_X_F_W_M4_TU, 0x2 }, // 307
  { PseudoVFNCVT_X_F_W_MF2_MASK, PseudoVFNCVT_X_F_W_MF2, PseudoVFNCVT_X_F_W_MF2_TU, 0x2 }, // 308
  { PseudoVFNCVT_X_F_W_MF4_MASK, PseudoVFNCVT_X_F_W_MF4, PseudoVFNCVT_X_F_W_MF4_TU, 0x2 }, // 309
  { PseudoVFNCVT_X_F_W_MF8_MASK, PseudoVFNCVT_X_F_W_MF8, PseudoVFNCVT_X_F_W_MF8_TU, 0x2 }, // 310
  { PseudoVFRDIV_VF16_M1_MASK, PseudoVFRDIV_VF16_M1, PseudoVFRDIV_VF16_M1_TU, 0x3 }, // 311
  { PseudoVFRDIV_VF16_M2_MASK, PseudoVFRDIV_VF16_M2, PseudoVFRDIV_VF16_M2_TU, 0x3 }, // 312
  { PseudoVFRDIV_VF16_M4_MASK, PseudoVFRDIV_VF16_M4, PseudoVFRDIV_VF16_M4_TU, 0x3 }, // 313
  { PseudoVFRDIV_VF16_M8_MASK, PseudoVFRDIV_VF16_M8, PseudoVFRDIV_VF16_M8_TU, 0x3 }, // 314
  { PseudoVFRDIV_VF16_MF2_MASK, PseudoVFRDIV_VF16_MF2, PseudoVFRDIV_VF16_MF2_TU, 0x3 }, // 315
  { PseudoVFRDIV_VF16_MF4_MASK, PseudoVFRDIV_VF16_MF4, PseudoVFRDIV_VF16_MF4_TU, 0x3 }, // 316
  { PseudoVFRDIV_VF32_M1_MASK, PseudoVFRDIV_VF32_M1, PseudoVFRDIV_VF32_M1_TU, 0x3 }, // 317
  { PseudoVFRDIV_VF32_M2_MASK, PseudoVFRDIV_VF32_M2, PseudoVFRDIV_VF32_M2_TU, 0x3 }, // 318
  { PseudoVFRDIV_VF32_M4_MASK, PseudoVFRDIV_VF32_M4, PseudoVFRDIV_VF32_M4_TU, 0x3 }, // 319
  { PseudoVFRDIV_VF32_M8_MASK, PseudoVFRDIV_VF32_M8, PseudoVFRDIV_VF32_M8_TU, 0x3 }, // 320
  { PseudoVFRDIV_VF32_MF2_MASK, PseudoVFRDIV_VF32_MF2, PseudoVFRDIV_VF32_MF2_TU, 0x3 }, // 321
  { PseudoVFRDIV_VF64_M1_MASK, PseudoVFRDIV_VF64_M1, PseudoVFRDIV_VF64_M1_TU, 0x3 }, // 322
  { PseudoVFRDIV_VF64_M2_MASK, PseudoVFRDIV_VF64_M2, PseudoVFRDIV_VF64_M2_TU, 0x3 }, // 323
  { PseudoVFRDIV_VF64_M4_MASK, PseudoVFRDIV_VF64_M4, PseudoVFRDIV_VF64_M4_TU, 0x3 }, // 324
  { PseudoVFRDIV_VF64_M8_MASK, PseudoVFRDIV_VF64_M8, PseudoVFRDIV_VF64_M8_TU, 0x3 }, // 325
  { PseudoVFRSUB_VF16_M1_MASK, PseudoVFRSUB_VF16_M1, PseudoVFRSUB_VF16_M1_TU, 0x3 }, // 326
  { PseudoVFRSUB_VF16_M2_MASK, PseudoVFRSUB_VF16_M2, PseudoVFRSUB_VF16_M2_TU, 0x3 }, // 327
  { PseudoVFRSUB_VF16_M4_MASK, PseudoVFRSUB_VF16_M4, PseudoVFRSUB_VF16_M4_TU, 0x3 }, // 328
  { PseudoVFRSUB_VF16_M8_MASK, PseudoVFRSUB_VF16_M8, PseudoVFRSUB_VF16_M8_TU, 0x3 }, // 329
  { PseudoVFRSUB_VF16_MF2_MASK, PseudoVFRSUB_VF16_MF2, PseudoVFRSUB_VF16_MF2_TU, 0x3 }, // 330
  { PseudoVFRSUB_VF16_MF4_MASK, PseudoVFRSUB_VF16_MF4, PseudoVFRSUB_VF16_MF4_TU, 0x3 }, // 331
  { PseudoVFRSUB_VF32_M1_MASK, PseudoVFRSUB_VF32_M1, PseudoVFRSUB_VF32_M1_TU, 0x3 }, // 332
  { PseudoVFRSUB_VF32_M2_MASK, PseudoVFRSUB_VF32_M2, PseudoVFRSUB_VF32_M2_TU, 0x3 }, // 333
  { PseudoVFRSUB_VF32_M4_MASK, PseudoVFRSUB_VF32_M4, PseudoVFRSUB_VF32_M4_TU, 0x3 }, // 334
  { PseudoVFRSUB_VF32_M8_MASK, PseudoVFRSUB_VF32_M8, PseudoVFRSUB_VF32_M8_TU, 0x3 }, // 335
  { PseudoVFRSUB_VF32_MF2_MASK, PseudoVFRSUB_VF32_MF2, PseudoVFRSUB_VF32_MF2_TU, 0x3 }, // 336
  { PseudoVFRSUB_VF64_M1_MASK, PseudoVFRSUB_VF64_M1, PseudoVFRSUB_VF64_M1_TU, 0x3 }, // 337
  { PseudoVFRSUB_VF64_M2_MASK, PseudoVFRSUB_VF64_M2, PseudoVFRSUB_VF64_M2_TU, 0x3 }, // 338
  { PseudoVFRSUB_VF64_M4_MASK, PseudoVFRSUB_VF64_M4, PseudoVFRSUB_VF64_M4_TU, 0x3 }, // 339
  { PseudoVFRSUB_VF64_M8_MASK, PseudoVFRSUB_VF64_M8, PseudoVFRSUB_VF64_M8_TU, 0x3 }, // 340
  { PseudoVFSGNJN_VF16_M1_MASK, PseudoVFSGNJN_VF16_M1, PseudoVFSGNJN_VF16_M1_TU, 0x3 }, // 341
  { PseudoVFSGNJN_VF16_M2_MASK, PseudoVFSGNJN_VF16_M2, PseudoVFSGNJN_VF16_M2_TU, 0x3 }, // 342
  { PseudoVFSGNJN_VF16_M4_MASK, PseudoVFSGNJN_VF16_M4, PseudoVFSGNJN_VF16_M4_TU, 0x3 }, // 343
  { PseudoVFSGNJN_VF16_M8_MASK, PseudoVFSGNJN_VF16_M8, PseudoVFSGNJN_VF16_M8_TU, 0x3 }, // 344
  { PseudoVFSGNJN_VF16_MF2_MASK, PseudoVFSGNJN_VF16_MF2, PseudoVFSGNJN_VF16_MF2_TU, 0x3 }, // 345
  { PseudoVFSGNJN_VF16_MF4_MASK, PseudoVFSGNJN_VF16_MF4, PseudoVFSGNJN_VF16_MF4_TU, 0x3 }, // 346
  { PseudoVFSGNJN_VF32_M1_MASK, PseudoVFSGNJN_VF32_M1, PseudoVFSGNJN_VF32_M1_TU, 0x3 }, // 347
  { PseudoVFSGNJN_VF32_M2_MASK, PseudoVFSGNJN_VF32_M2, PseudoVFSGNJN_VF32_M2_TU, 0x3 }, // 348
  { PseudoVFSGNJN_VF32_M4_MASK, PseudoVFSGNJN_VF32_M4, PseudoVFSGNJN_VF32_M4_TU, 0x3 }, // 349
  { PseudoVFSGNJN_VF32_M8_MASK, PseudoVFSGNJN_VF32_M8, PseudoVFSGNJN_VF32_M8_TU, 0x3 }, // 350
  { PseudoVFSGNJN_VF32_MF2_MASK, PseudoVFSGNJN_VF32_MF2, PseudoVFSGNJN_VF32_MF2_TU, 0x3 }, // 351
  { PseudoVFSGNJN_VF64_M1_MASK, PseudoVFSGNJN_VF64_M1, PseudoVFSGNJN_VF64_M1_TU, 0x3 }, // 352
  { PseudoVFSGNJN_VF64_M2_MASK, PseudoVFSGNJN_VF64_M2, PseudoVFSGNJN_VF64_M2_TU, 0x3 }, // 353
  { PseudoVFSGNJN_VF64_M4_MASK, PseudoVFSGNJN_VF64_M4, PseudoVFSGNJN_VF64_M4_TU, 0x3 }, // 354
  { PseudoVFSGNJN_VF64_M8_MASK, PseudoVFSGNJN_VF64_M8, PseudoVFSGNJN_VF64_M8_TU, 0x3 }, // 355
  { PseudoVFSGNJN_VV_M1_MASK, PseudoVFSGNJN_VV_M1, PseudoVFSGNJN_VV_M1_TU, 0x3 }, // 356
  { PseudoVFSGNJN_VV_M2_MASK, PseudoVFSGNJN_VV_M2, PseudoVFSGNJN_VV_M2_TU, 0x3 }, // 357
  { PseudoVFSGNJN_VV_M4_MASK, PseudoVFSGNJN_VV_M4, PseudoVFSGNJN_VV_M4_TU, 0x3 }, // 358
  { PseudoVFSGNJN_VV_M8_MASK, PseudoVFSGNJN_VV_M8, PseudoVFSGNJN_VV_M8_TU, 0x3 }, // 359
  { PseudoVFSGNJN_VV_MF2_MASK, PseudoVFSGNJN_VV_MF2, PseudoVFSGNJN_VV_MF2_TU, 0x3 }, // 360
  { PseudoVFSGNJN_VV_MF4_MASK, PseudoVFSGNJN_VV_MF4, PseudoVFSGNJN_VV_MF4_TU, 0x3 }, // 361
  { PseudoVFSGNJX_VF16_M1_MASK, PseudoVFSGNJX_VF16_M1, PseudoVFSGNJX_VF16_M1_TU, 0x3 }, // 362
  { PseudoVFSGNJX_VF16_M2_MASK, PseudoVFSGNJX_VF16_M2, PseudoVFSGNJX_VF16_M2_TU, 0x3 }, // 363
  { PseudoVFSGNJX_VF16_M4_MASK, PseudoVFSGNJX_VF16_M4, PseudoVFSGNJX_VF16_M4_TU, 0x3 }, // 364
  { PseudoVFSGNJX_VF16_M8_MASK, PseudoVFSGNJX_VF16_M8, PseudoVFSGNJX_VF16_M8_TU, 0x3 }, // 365
  { PseudoVFSGNJX_VF16_MF2_MASK, PseudoVFSGNJX_VF16_MF2, PseudoVFSGNJX_VF16_MF2_TU, 0x3 }, // 366
  { PseudoVFSGNJX_VF16_MF4_MASK, PseudoVFSGNJX_VF16_MF4, PseudoVFSGNJX_VF16_MF4_TU, 0x3 }, // 367
  { PseudoVFSGNJX_VF32_M1_MASK, PseudoVFSGNJX_VF32_M1, PseudoVFSGNJX_VF32_M1_TU, 0x3 }, // 368
  { PseudoVFSGNJX_VF32_M2_MASK, PseudoVFSGNJX_VF32_M2, PseudoVFSGNJX_VF32_M2_TU, 0x3 }, // 369
  { PseudoVFSGNJX_VF32_M4_MASK, PseudoVFSGNJX_VF32_M4, PseudoVFSGNJX_VF32_M4_TU, 0x3 }, // 370
  { PseudoVFSGNJX_VF32_M8_MASK, PseudoVFSGNJX_VF32_M8, PseudoVFSGNJX_VF32_M8_TU, 0x3 }, // 371
  { PseudoVFSGNJX_VF32_MF2_MASK, PseudoVFSGNJX_VF32_MF2, PseudoVFSGNJX_VF32_MF2_TU, 0x3 }, // 372
  { PseudoVFSGNJX_VF64_M1_MASK, PseudoVFSGNJX_VF64_M1, PseudoVFSGNJX_VF64_M1_TU, 0x3 }, // 373
  { PseudoVFSGNJX_VF64_M2_MASK, PseudoVFSGNJX_VF64_M2, PseudoVFSGNJX_VF64_M2_TU, 0x3 }, // 374
  { PseudoVFSGNJX_VF64_M4_MASK, PseudoVFSGNJX_VF64_M4, PseudoVFSGNJX_VF64_M4_TU, 0x3 }, // 375
  { PseudoVFSGNJX_VF64_M8_MASK, PseudoVFSGNJX_VF64_M8, PseudoVFSGNJX_VF64_M8_TU, 0x3 }, // 376
  { PseudoVFSGNJX_VV_M1_MASK, PseudoVFSGNJX_VV_M1, PseudoVFSGNJX_VV_M1_TU, 0x3 }, // 377
  { PseudoVFSGNJX_VV_M2_MASK, PseudoVFSGNJX_VV_M2, PseudoVFSGNJX_VV_M2_TU, 0x3 }, // 378
  { PseudoVFSGNJX_VV_M4_MASK, PseudoVFSGNJX_VV_M4, PseudoVFSGNJX_VV_M4_TU, 0x3 }, // 379
  { PseudoVFSGNJX_VV_M8_MASK, PseudoVFSGNJX_VV_M8, PseudoVFSGNJX_VV_M8_TU, 0x3 }, // 380
  { PseudoVFSGNJX_VV_MF2_MASK, PseudoVFSGNJX_VV_MF2, PseudoVFSGNJX_VV_MF2_TU, 0x3 }, // 381
  { PseudoVFSGNJX_VV_MF4_MASK, PseudoVFSGNJX_VV_MF4, PseudoVFSGNJX_VV_MF4_TU, 0x3 }, // 382
  { PseudoVFSGNJ_VF16_M1_MASK, PseudoVFSGNJ_VF16_M1, PseudoVFSGNJ_VF16_M1_TU, 0x3 }, // 383
  { PseudoVFSGNJ_VF16_M2_MASK, PseudoVFSGNJ_VF16_M2, PseudoVFSGNJ_VF16_M2_TU, 0x3 }, // 384
  { PseudoVFSGNJ_VF16_M4_MASK, PseudoVFSGNJ_VF16_M4, PseudoVFSGNJ_VF16_M4_TU, 0x3 }, // 385
  { PseudoVFSGNJ_VF16_M8_MASK, PseudoVFSGNJ_VF16_M8, PseudoVFSGNJ_VF16_M8_TU, 0x3 }, // 386
  { PseudoVFSGNJ_VF16_MF2_MASK, PseudoVFSGNJ_VF16_MF2, PseudoVFSGNJ_VF16_MF2_TU, 0x3 }, // 387
  { PseudoVFSGNJ_VF16_MF4_MASK, PseudoVFSGNJ_VF16_MF4, PseudoVFSGNJ_VF16_MF4_TU, 0x3 }, // 388
  { PseudoVFSGNJ_VF32_M1_MASK, PseudoVFSGNJ_VF32_M1, PseudoVFSGNJ_VF32_M1_TU, 0x3 }, // 389
  { PseudoVFSGNJ_VF32_M2_MASK, PseudoVFSGNJ_VF32_M2, PseudoVFSGNJ_VF32_M2_TU, 0x3 }, // 390
  { PseudoVFSGNJ_VF32_M4_MASK, PseudoVFSGNJ_VF32_M4, PseudoVFSGNJ_VF32_M4_TU, 0x3 }, // 391
  { PseudoVFSGNJ_VF32_M8_MASK, PseudoVFSGNJ_VF32_M8, PseudoVFSGNJ_VF32_M8_TU, 0x3 }, // 392
  { PseudoVFSGNJ_VF32_MF2_MASK, PseudoVFSGNJ_VF32_MF2, PseudoVFSGNJ_VF32_MF2_TU, 0x3 }, // 393
  { PseudoVFSGNJ_VF64_M1_MASK, PseudoVFSGNJ_VF64_M1, PseudoVFSGNJ_VF64_M1_TU, 0x3 }, // 394
  { PseudoVFSGNJ_VF64_M2_MASK, PseudoVFSGNJ_VF64_M2, PseudoVFSGNJ_VF64_M2_TU, 0x3 }, // 395
  { PseudoVFSGNJ_VF64_M4_MASK, PseudoVFSGNJ_VF64_M4, PseudoVFSGNJ_VF64_M4_TU, 0x3 }, // 396
  { PseudoVFSGNJ_VF64_M8_MASK, PseudoVFSGNJ_VF64_M8, PseudoVFSGNJ_VF64_M8_TU, 0x3 }, // 397
  { PseudoVFSGNJ_VV_M1_MASK, PseudoVFSGNJ_VV_M1, PseudoVFSGNJ_VV_M1_TU, 0x3 }, // 398
  { PseudoVFSGNJ_VV_M2_MASK, PseudoVFSGNJ_VV_M2, PseudoVFSGNJ_VV_M2_TU, 0x3 }, // 399
  { PseudoVFSGNJ_VV_M4_MASK, PseudoVFSGNJ_VV_M4, PseudoVFSGNJ_VV_M4_TU, 0x3 }, // 400
  { PseudoVFSGNJ_VV_M8_MASK, PseudoVFSGNJ_VV_M8, PseudoVFSGNJ_VV_M8_TU, 0x3 }, // 401
  { PseudoVFSGNJ_VV_MF2_MASK, PseudoVFSGNJ_VV_MF2, PseudoVFSGNJ_VV_MF2_TU, 0x3 }, // 402
  { PseudoVFSGNJ_VV_MF4_MASK, PseudoVFSGNJ_VV_MF4, PseudoVFSGNJ_VV_MF4_TU, 0x3 }, // 403
  { PseudoVFSLIDE1DOWN_VF16_M1_MASK, PseudoVFSLIDE1DOWN_VF16_M1, PseudoVFSLIDE1DOWN_VF16_M1_TU, 0x3 }, // 404
  { PseudoVFSLIDE1DOWN_VF16_M2_MASK, PseudoVFSLIDE1DOWN_VF16_M2, PseudoVFSLIDE1DOWN_VF16_M2_TU, 0x3 }, // 405
  { PseudoVFSLIDE1DOWN_VF16_M4_MASK, PseudoVFSLIDE1DOWN_VF16_M4, PseudoVFSLIDE1DOWN_VF16_M4_TU, 0x3 }, // 406
  { PseudoVFSLIDE1DOWN_VF16_M8_MASK, PseudoVFSLIDE1DOWN_VF16_M8, PseudoVFSLIDE1DOWN_VF16_M8_TU, 0x3 }, // 407
  { PseudoVFSLIDE1DOWN_VF16_MF2_MASK, PseudoVFSLIDE1DOWN_VF16_MF2, PseudoVFSLIDE1DOWN_VF16_MF2_TU, 0x3 }, // 408
  { PseudoVFSLIDE1DOWN_VF16_MF4_MASK, PseudoVFSLIDE1DOWN_VF16_MF4, PseudoVFSLIDE1DOWN_VF16_MF4_TU, 0x3 }, // 409
  { PseudoVFSLIDE1DOWN_VF32_M1_MASK, PseudoVFSLIDE1DOWN_VF32_M1, PseudoVFSLIDE1DOWN_VF32_M1_TU, 0x3 }, // 410
  { PseudoVFSLIDE1DOWN_VF32_M2_MASK, PseudoVFSLIDE1DOWN_VF32_M2, PseudoVFSLIDE1DOWN_VF32_M2_TU, 0x3 }, // 411
  { PseudoVFSLIDE1DOWN_VF32_M4_MASK, PseudoVFSLIDE1DOWN_VF32_M4, PseudoVFSLIDE1DOWN_VF32_M4_TU, 0x3 }, // 412
  { PseudoVFSLIDE1DOWN_VF32_M8_MASK, PseudoVFSLIDE1DOWN_VF32_M8, PseudoVFSLIDE1DOWN_VF32_M8_TU, 0x3 }, // 413
  { PseudoVFSLIDE1DOWN_VF32_MF2_MASK, PseudoVFSLIDE1DOWN_VF32_MF2, PseudoVFSLIDE1DOWN_VF32_MF2_TU, 0x3 }, // 414
  { PseudoVFSLIDE1DOWN_VF64_M1_MASK, PseudoVFSLIDE1DOWN_VF64_M1, PseudoVFSLIDE1DOWN_VF64_M1_TU, 0x3 }, // 415
  { PseudoVFSLIDE1DOWN_VF64_M2_MASK, PseudoVFSLIDE1DOWN_VF64_M2, PseudoVFSLIDE1DOWN_VF64_M2_TU, 0x3 }, // 416
  { PseudoVFSLIDE1DOWN_VF64_M4_MASK, PseudoVFSLIDE1DOWN_VF64_M4, PseudoVFSLIDE1DOWN_VF64_M4_TU, 0x3 }, // 417
  { PseudoVFSLIDE1DOWN_VF64_M8_MASK, PseudoVFSLIDE1DOWN_VF64_M8, PseudoVFSLIDE1DOWN_VF64_M8_TU, 0x3 }, // 418
  { PseudoVFSLIDE1UP_VF16_M1_MASK, PseudoVFSLIDE1UP_VF16_M1, PseudoVFSLIDE1UP_VF16_M1_TU, 0x3 }, // 419
  { PseudoVFSLIDE1UP_VF16_M2_MASK, PseudoVFSLIDE1UP_VF16_M2, PseudoVFSLIDE1UP_VF16_M2_TU, 0x3 }, // 420
  { PseudoVFSLIDE1UP_VF16_M4_MASK, PseudoVFSLIDE1UP_VF16_M4, PseudoVFSLIDE1UP_VF16_M4_TU, 0x3 }, // 421
  { PseudoVFSLIDE1UP_VF16_M8_MASK, PseudoVFSLIDE1UP_VF16_M8, PseudoVFSLIDE1UP_VF16_M8_TU, 0x3 }, // 422
  { PseudoVFSLIDE1UP_VF16_MF2_MASK, PseudoVFSLIDE1UP_VF16_MF2, PseudoVFSLIDE1UP_VF16_MF2_TU, 0x3 }, // 423
  { PseudoVFSLIDE1UP_VF16_MF4_MASK, PseudoVFSLIDE1UP_VF16_MF4, PseudoVFSLIDE1UP_VF16_MF4_TU, 0x3 }, // 424
  { PseudoVFSLIDE1UP_VF32_M1_MASK, PseudoVFSLIDE1UP_VF32_M1, PseudoVFSLIDE1UP_VF32_M1_TU, 0x3 }, // 425
  { PseudoVFSLIDE1UP_VF32_M2_MASK, PseudoVFSLIDE1UP_VF32_M2, PseudoVFSLIDE1UP_VF32_M2_TU, 0x3 }, // 426
  { PseudoVFSLIDE1UP_VF32_M4_MASK, PseudoVFSLIDE1UP_VF32_M4, PseudoVFSLIDE1UP_VF32_M4_TU, 0x3 }, // 427
  { PseudoVFSLIDE1UP_VF32_M8_MASK, PseudoVFSLIDE1UP_VF32_M8, PseudoVFSLIDE1UP_VF32_M8_TU, 0x3 }, // 428
  { PseudoVFSLIDE1UP_VF32_MF2_MASK, PseudoVFSLIDE1UP_VF32_MF2, PseudoVFSLIDE1UP_VF32_MF2_TU, 0x3 }, // 429
  { PseudoVFSLIDE1UP_VF64_M1_MASK, PseudoVFSLIDE1UP_VF64_M1, PseudoVFSLIDE1UP_VF64_M1_TU, 0x3 }, // 430
  { PseudoVFSLIDE1UP_VF64_M2_MASK, PseudoVFSLIDE1UP_VF64_M2, PseudoVFSLIDE1UP_VF64_M2_TU, 0x3 }, // 431
  { PseudoVFSLIDE1UP_VF64_M4_MASK, PseudoVFSLIDE1UP_VF64_M4, PseudoVFSLIDE1UP_VF64_M4_TU, 0x3 }, // 432
  { PseudoVFSLIDE1UP_VF64_M8_MASK, PseudoVFSLIDE1UP_VF64_M8, PseudoVFSLIDE1UP_VF64_M8_TU, 0x3 }, // 433
  { PseudoVFSUB_VF16_M1_MASK, PseudoVFSUB_VF16_M1, PseudoVFSUB_VF16_M1_TU, 0x3 }, // 434
  { PseudoVFSUB_VF16_M2_MASK, PseudoVFSUB_VF16_M2, PseudoVFSUB_VF16_M2_TU, 0x3 }, // 435
  { PseudoVFSUB_VF16_M4_MASK, PseudoVFSUB_VF16_M4, PseudoVFSUB_VF16_M4_TU, 0x3 }, // 436
  { PseudoVFSUB_VF16_M8_MASK, PseudoVFSUB_VF16_M8, PseudoVFSUB_VF16_M8_TU, 0x3 }, // 437
  { PseudoVFSUB_VF16_MF2_MASK, PseudoVFSUB_VF16_MF2, PseudoVFSUB_VF16_MF2_TU, 0x3 }, // 438
  { PseudoVFSUB_VF16_MF4_MASK, PseudoVFSUB_VF16_MF4, PseudoVFSUB_VF16_MF4_TU, 0x3 }, // 439
  { PseudoVFSUB_VF32_M1_MASK, PseudoVFSUB_VF32_M1, PseudoVFSUB_VF32_M1_TU, 0x3 }, // 440
  { PseudoVFSUB_VF32_M2_MASK, PseudoVFSUB_VF32_M2, PseudoVFSUB_VF32_M2_TU, 0x3 }, // 441
  { PseudoVFSUB_VF32_M4_MASK, PseudoVFSUB_VF32_M4, PseudoVFSUB_VF32_M4_TU, 0x3 }, // 442
  { PseudoVFSUB_VF32_M8_MASK, PseudoVFSUB_VF32_M8, PseudoVFSUB_VF32_M8_TU, 0x3 }, // 443
  { PseudoVFSUB_VF32_MF2_MASK, PseudoVFSUB_VF32_MF2, PseudoVFSUB_VF32_MF2_TU, 0x3 }, // 444
  { PseudoVFSUB_VF64_M1_MASK, PseudoVFSUB_VF64_M1, PseudoVFSUB_VF64_M1_TU, 0x3 }, // 445
  { PseudoVFSUB_VF64_M2_MASK, PseudoVFSUB_VF64_M2, PseudoVFSUB_VF64_M2_TU, 0x3 }, // 446
  { PseudoVFSUB_VF64_M4_MASK, PseudoVFSUB_VF64_M4, PseudoVFSUB_VF64_M4_TU, 0x3 }, // 447
  { PseudoVFSUB_VF64_M8_MASK, PseudoVFSUB_VF64_M8, PseudoVFSUB_VF64_M8_TU, 0x3 }, // 448
  { PseudoVFSUB_VV_M1_MASK, PseudoVFSUB_VV_M1, PseudoVFSUB_VV_M1_TU, 0x3 }, // 449
  { PseudoVFSUB_VV_M2_MASK, PseudoVFSUB_VV_M2, PseudoVFSUB_VV_M2_TU, 0x3 }, // 450
  { PseudoVFSUB_VV_M4_MASK, PseudoVFSUB_VV_M4, PseudoVFSUB_VV_M4_TU, 0x3 }, // 451
  { PseudoVFSUB_VV_M8_MASK, PseudoVFSUB_VV_M8, PseudoVFSUB_VV_M8_TU, 0x3 }, // 452
  { PseudoVFSUB_VV_MF2_MASK, PseudoVFSUB_VV_MF2, PseudoVFSUB_VV_MF2_TU, 0x3 }, // 453
  { PseudoVFSUB_VV_MF4_MASK, PseudoVFSUB_VV_MF4, PseudoVFSUB_VV_MF4_TU, 0x3 }, // 454
  { PseudoVFWADD_VF16_M1_MASK, PseudoVFWADD_VF16_M1, PseudoVFWADD_VF16_M1_TU, 0x3 }, // 455
  { PseudoVFWADD_VF16_M2_MASK, PseudoVFWADD_VF16_M2, PseudoVFWADD_VF16_M2_TU, 0x3 }, // 456
  { PseudoVFWADD_VF16_M4_MASK, PseudoVFWADD_VF16_M4, PseudoVFWADD_VF16_M4_TU, 0x3 }, // 457
  { PseudoVFWADD_VF16_M8_MASK, PseudoVFWADD_VF16_M8, PseudoVFWADD_VF16_M8_TU, 0x3 }, // 458
  { PseudoVFWADD_VF16_MF2_MASK, PseudoVFWADD_VF16_MF2, PseudoVFWADD_VF16_MF2_TU, 0x3 }, // 459
  { PseudoVFWADD_VF16_MF4_MASK, PseudoVFWADD_VF16_MF4, PseudoVFWADD_VF16_MF4_TU, 0x3 }, // 460
  { PseudoVFWADD_VF32_M1_MASK, PseudoVFWADD_VF32_M1, PseudoVFWADD_VF32_M1_TU, 0x3 }, // 461
  { PseudoVFWADD_VF32_M2_MASK, PseudoVFWADD_VF32_M2, PseudoVFWADD_VF32_M2_TU, 0x3 }, // 462
  { PseudoVFWADD_VF32_M4_MASK, PseudoVFWADD_VF32_M4, PseudoVFWADD_VF32_M4_TU, 0x3 }, // 463
  { PseudoVFWADD_VF32_M8_MASK, PseudoVFWADD_VF32_M8, PseudoVFWADD_VF32_M8_TU, 0x3 }, // 464
  { PseudoVFWADD_VF32_MF2_MASK, PseudoVFWADD_VF32_MF2, PseudoVFWADD_VF32_MF2_TU, 0x3 }, // 465
  { PseudoVFWADD_VV_M1_MASK, PseudoVFWADD_VV_M1, PseudoVFWADD_VV_M1_TU, 0x3 }, // 466
  { PseudoVFWADD_VV_M2_MASK, PseudoVFWADD_VV_M2, PseudoVFWADD_VV_M2_TU, 0x3 }, // 467
  { PseudoVFWADD_VV_M4_MASK, PseudoVFWADD_VV_M4, PseudoVFWADD_VV_M4_TU, 0x3 }, // 468
  { PseudoVFWADD_VV_MF2_MASK, PseudoVFWADD_VV_MF2, PseudoVFWADD_VV_MF2_TU, 0x3 }, // 469
  { PseudoVFWADD_VV_MF4_MASK, PseudoVFWADD_VV_MF4, PseudoVFWADD_VV_MF4_TU, 0x3 }, // 470
  { PseudoVFWADD_WF16_M1_MASK, PseudoVFWADD_WF16_M1, PseudoVFWADD_WF16_M1_TU, 0x3 }, // 471
  { PseudoVFWADD_WF16_M2_MASK, PseudoVFWADD_WF16_M2, PseudoVFWADD_WF16_M2_TU, 0x3 }, // 472
  { PseudoVFWADD_WF16_M4_MASK, PseudoVFWADD_WF16_M4, PseudoVFWADD_WF16_M4_TU, 0x3 }, // 473
  { PseudoVFWADD_WF16_M8_MASK, PseudoVFWADD_WF16_M8, PseudoVFWADD_WF16_M8_TU, 0x3 }, // 474
  { PseudoVFWADD_WF16_MF2_MASK, PseudoVFWADD_WF16_MF2, PseudoVFWADD_WF16_MF2_TU, 0x3 }, // 475
  { PseudoVFWADD_WF16_MF4_MASK, PseudoVFWADD_WF16_MF4, PseudoVFWADD_WF16_MF4_TU, 0x3 }, // 476
  { PseudoVFWADD_WF32_M1_MASK, PseudoVFWADD_WF32_M1, PseudoVFWADD_WF32_M1_TU, 0x3 }, // 477
  { PseudoVFWADD_WF32_M2_MASK, PseudoVFWADD_WF32_M2, PseudoVFWADD_WF32_M2_TU, 0x3 }, // 478
  { PseudoVFWADD_WF32_M4_MASK, PseudoVFWADD_WF32_M4, PseudoVFWADD_WF32_M4_TU, 0x3 }, // 479
  { PseudoVFWADD_WF32_M8_MASK, PseudoVFWADD_WF32_M8, PseudoVFWADD_WF32_M8_TU, 0x3 }, // 480
  { PseudoVFWADD_WF32_MF2_MASK, PseudoVFWADD_WF32_MF2, PseudoVFWADD_WF32_MF2_TU, 0x3 }, // 481
  { PseudoVFWADD_WV_M1_MASK, PseudoVFWADD_WV_M1, PseudoVFWADD_WV_M1_TU, 0x3 }, // 482
  { PseudoVFWADD_WV_M2_MASK, PseudoVFWADD_WV_M2, PseudoVFWADD_WV_M2_TU, 0x3 }, // 483
  { PseudoVFWADD_WV_M4_MASK, PseudoVFWADD_WV_M4, PseudoVFWADD_WV_M4_TU, 0x3 }, // 484
  { PseudoVFWADD_WV_MF2_MASK, PseudoVFWADD_WV_MF2, PseudoVFWADD_WV_MF2_TU, 0x3 }, // 485
  { PseudoVFWADD_WV_MF4_MASK, PseudoVFWADD_WV_MF4, PseudoVFWADD_WV_MF4_TU, 0x3 }, // 486
  { PseudoVFWCVT_F_F_V_M1_MASK, PseudoVFWCVT_F_F_V_M1, PseudoVFWCVT_F_F_V_M1_TU, 0x2 }, // 487
  { PseudoVFWCVT_F_F_V_M2_MASK, PseudoVFWCVT_F_F_V_M2, PseudoVFWCVT_F_F_V_M2_TU, 0x2 }, // 488
  { PseudoVFWCVT_F_F_V_M4_MASK, PseudoVFWCVT_F_F_V_M4, PseudoVFWCVT_F_F_V_M4_TU, 0x2 }, // 489
  { PseudoVFWCVT_F_F_V_MF2_MASK, PseudoVFWCVT_F_F_V_MF2, PseudoVFWCVT_F_F_V_MF2_TU, 0x2 }, // 490
  { PseudoVFWCVT_F_F_V_MF4_MASK, PseudoVFWCVT_F_F_V_MF4, PseudoVFWCVT_F_F_V_MF4_TU, 0x2 }, // 491
  { PseudoVFWCVT_F_XU_V_M1_MASK, PseudoVFWCVT_F_XU_V_M1, PseudoVFWCVT_F_XU_V_M1_TU, 0x2 }, // 492
  { PseudoVFWCVT_F_XU_V_M2_MASK, PseudoVFWCVT_F_XU_V_M2, PseudoVFWCVT_F_XU_V_M2_TU, 0x2 }, // 493
  { PseudoVFWCVT_F_XU_V_M4_MASK, PseudoVFWCVT_F_XU_V_M4, PseudoVFWCVT_F_XU_V_M4_TU, 0x2 }, // 494
  { PseudoVFWCVT_F_XU_V_MF2_MASK, PseudoVFWCVT_F_XU_V_MF2, PseudoVFWCVT_F_XU_V_MF2_TU, 0x2 }, // 495
  { PseudoVFWCVT_F_XU_V_MF4_MASK, PseudoVFWCVT_F_XU_V_MF4, PseudoVFWCVT_F_XU_V_MF4_TU, 0x2 }, // 496
  { PseudoVFWCVT_F_XU_V_MF8_MASK, PseudoVFWCVT_F_XU_V_MF8, PseudoVFWCVT_F_XU_V_MF8_TU, 0x2 }, // 497
  { PseudoVFWCVT_F_X_V_M1_MASK, PseudoVFWCVT_F_X_V_M1, PseudoVFWCVT_F_X_V_M1_TU, 0x2 }, // 498
  { PseudoVFWCVT_F_X_V_M2_MASK, PseudoVFWCVT_F_X_V_M2, PseudoVFWCVT_F_X_V_M2_TU, 0x2 }, // 499
  { PseudoVFWCVT_F_X_V_M4_MASK, PseudoVFWCVT_F_X_V_M4, PseudoVFWCVT_F_X_V_M4_TU, 0x2 }, // 500
  { PseudoVFWCVT_F_X_V_MF2_MASK, PseudoVFWCVT_F_X_V_MF2, PseudoVFWCVT_F_X_V_MF2_TU, 0x2 }, // 501
  { PseudoVFWCVT_F_X_V_MF4_MASK, PseudoVFWCVT_F_X_V_MF4, PseudoVFWCVT_F_X_V_MF4_TU, 0x2 }, // 502
  { PseudoVFWCVT_F_X_V_MF8_MASK, PseudoVFWCVT_F_X_V_MF8, PseudoVFWCVT_F_X_V_MF8_TU, 0x2 }, // 503
  { PseudoVFWCVT_RTZ_XU_F_V_M1_MASK, PseudoVFWCVT_RTZ_XU_F_V_M1, PseudoVFWCVT_RTZ_XU_F_V_M1_TU, 0x2 }, // 504
  { PseudoVFWCVT_RTZ_XU_F_V_M2_MASK, PseudoVFWCVT_RTZ_XU_F_V_M2, PseudoVFWCVT_RTZ_XU_F_V_M2_TU, 0x2 }, // 505
  { PseudoVFWCVT_RTZ_XU_F_V_M4_MASK, PseudoVFWCVT_RTZ_XU_F_V_M4, PseudoVFWCVT_RTZ_XU_F_V_M4_TU, 0x2 }, // 506
  { PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK, PseudoVFWCVT_RTZ_XU_F_V_MF2, PseudoVFWCVT_RTZ_XU_F_V_MF2_TU, 0x2 }, // 507
  { PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK, PseudoVFWCVT_RTZ_XU_F_V_MF4, PseudoVFWCVT_RTZ_XU_F_V_MF4_TU, 0x2 }, // 508
  { PseudoVFWCVT_RTZ_X_F_V_M1_MASK, PseudoVFWCVT_RTZ_X_F_V_M1, PseudoVFWCVT_RTZ_X_F_V_M1_TU, 0x2 }, // 509
  { PseudoVFWCVT_RTZ_X_F_V_M2_MASK, PseudoVFWCVT_RTZ_X_F_V_M2, PseudoVFWCVT_RTZ_X_F_V_M2_TU, 0x2 }, // 510
  { PseudoVFWCVT_RTZ_X_F_V_M4_MASK, PseudoVFWCVT_RTZ_X_F_V_M4, PseudoVFWCVT_RTZ_X_F_V_M4_TU, 0x2 }, // 511
  { PseudoVFWCVT_RTZ_X_F_V_MF2_MASK, PseudoVFWCVT_RTZ_X_F_V_MF2, PseudoVFWCVT_RTZ_X_F_V_MF2_TU, 0x2 }, // 512
  { PseudoVFWCVT_RTZ_X_F_V_MF4_MASK, PseudoVFWCVT_RTZ_X_F_V_MF4, PseudoVFWCVT_RTZ_X_F_V_MF4_TU, 0x2 }, // 513
  { PseudoVFWCVT_XU_F_V_M1_MASK, PseudoVFWCVT_XU_F_V_M1, PseudoVFWCVT_XU_F_V_M1_TU, 0x2 }, // 514
  { PseudoVFWCVT_XU_F_V_M2_MASK, PseudoVFWCVT_XU_F_V_M2, PseudoVFWCVT_XU_F_V_M2_TU, 0x2 }, // 515
  { PseudoVFWCVT_XU_F_V_M4_MASK, PseudoVFWCVT_XU_F_V_M4, PseudoVFWCVT_XU_F_V_M4_TU, 0x2 }, // 516
  { PseudoVFWCVT_XU_F_V_MF2_MASK, PseudoVFWCVT_XU_F_V_MF2, PseudoVFWCVT_XU_F_V_MF2_TU, 0x2 }, // 517
  { PseudoVFWCVT_XU_F_V_MF4_MASK, PseudoVFWCVT_XU_F_V_MF4, PseudoVFWCVT_XU_F_V_MF4_TU, 0x2 }, // 518
  { PseudoVFWCVT_X_F_V_M1_MASK, PseudoVFWCVT_X_F_V_M1, PseudoVFWCVT_X_F_V_M1_TU, 0x2 }, // 519
  { PseudoVFWCVT_X_F_V_M2_MASK, PseudoVFWCVT_X_F_V_M2, PseudoVFWCVT_X_F_V_M2_TU, 0x2 }, // 520
  { PseudoVFWCVT_X_F_V_M4_MASK, PseudoVFWCVT_X_F_V_M4, PseudoVFWCVT_X_F_V_M4_TU, 0x2 }, // 521
  { PseudoVFWCVT_X_F_V_MF2_MASK, PseudoVFWCVT_X_F_V_MF2, PseudoVFWCVT_X_F_V_MF2_TU, 0x2 }, // 522
  { PseudoVFWCVT_X_F_V_MF4_MASK, PseudoVFWCVT_X_F_V_MF4, PseudoVFWCVT_X_F_V_MF4_TU, 0x2 }, // 523
  { PseudoVFWMUL_VF16_M1_MASK, PseudoVFWMUL_VF16_M1, PseudoVFWMUL_VF16_M1_TU, 0x3 }, // 524
  { PseudoVFWMUL_VF16_M2_MASK, PseudoVFWMUL_VF16_M2, PseudoVFWMUL_VF16_M2_TU, 0x3 }, // 525
  { PseudoVFWMUL_VF16_M4_MASK, PseudoVFWMUL_VF16_M4, PseudoVFWMUL_VF16_M4_TU, 0x3 }, // 526
  { PseudoVFWMUL_VF16_M8_MASK, PseudoVFWMUL_VF16_M8, PseudoVFWMUL_VF16_M8_TU, 0x3 }, // 527
  { PseudoVFWMUL_VF16_MF2_MASK, PseudoVFWMUL_VF16_MF2, PseudoVFWMUL_VF16_MF2_TU, 0x3 }, // 528
  { PseudoVFWMUL_VF16_MF4_MASK, PseudoVFWMUL_VF16_MF4, PseudoVFWMUL_VF16_MF4_TU, 0x3 }, // 529
  { PseudoVFWMUL_VF32_M1_MASK, PseudoVFWMUL_VF32_M1, PseudoVFWMUL_VF32_M1_TU, 0x3 }, // 530
  { PseudoVFWMUL_VF32_M2_MASK, PseudoVFWMUL_VF32_M2, PseudoVFWMUL_VF32_M2_TU, 0x3 }, // 531
  { PseudoVFWMUL_VF32_M4_MASK, PseudoVFWMUL_VF32_M4, PseudoVFWMUL_VF32_M4_TU, 0x3 }, // 532
  { PseudoVFWMUL_VF32_M8_MASK, PseudoVFWMUL_VF32_M8, PseudoVFWMUL_VF32_M8_TU, 0x3 }, // 533
  { PseudoVFWMUL_VF32_MF2_MASK, PseudoVFWMUL_VF32_MF2, PseudoVFWMUL_VF32_MF2_TU, 0x3 }, // 534
  { PseudoVFWMUL_VV_M1_MASK, PseudoVFWMUL_VV_M1, PseudoVFWMUL_VV_M1_TU, 0x3 }, // 535
  { PseudoVFWMUL_VV_M2_MASK, PseudoVFWMUL_VV_M2, PseudoVFWMUL_VV_M2_TU, 0x3 }, // 536
  { PseudoVFWMUL_VV_M4_MASK, PseudoVFWMUL_VV_M4, PseudoVFWMUL_VV_M4_TU, 0x3 }, // 537
  { PseudoVFWMUL_VV_MF2_MASK, PseudoVFWMUL_VV_MF2, PseudoVFWMUL_VV_MF2_TU, 0x3 }, // 538
  { PseudoVFWMUL_VV_MF4_MASK, PseudoVFWMUL_VV_MF4, PseudoVFWMUL_VV_MF4_TU, 0x3 }, // 539
  { PseudoVFWSUB_VF16_M1_MASK, PseudoVFWSUB_VF16_M1, PseudoVFWSUB_VF16_M1_TU, 0x3 }, // 540
  { PseudoVFWSUB_VF16_M2_MASK, PseudoVFWSUB_VF16_M2, PseudoVFWSUB_VF16_M2_TU, 0x3 }, // 541
  { PseudoVFWSUB_VF16_M4_MASK, PseudoVFWSUB_VF16_M4, PseudoVFWSUB_VF16_M4_TU, 0x3 }, // 542
  { PseudoVFWSUB_VF16_M8_MASK, PseudoVFWSUB_VF16_M8, PseudoVFWSUB_VF16_M8_TU, 0x3 }, // 543
  { PseudoVFWSUB_VF16_MF2_MASK, PseudoVFWSUB_VF16_MF2, PseudoVFWSUB_VF16_MF2_TU, 0x3 }, // 544
  { PseudoVFWSUB_VF16_MF4_MASK, PseudoVFWSUB_VF16_MF4, PseudoVFWSUB_VF16_MF4_TU, 0x3 }, // 545
  { PseudoVFWSUB_VF32_M1_MASK, PseudoVFWSUB_VF32_M1, PseudoVFWSUB_VF32_M1_TU, 0x3 }, // 546
  { PseudoVFWSUB_VF32_M2_MASK, PseudoVFWSUB_VF32_M2, PseudoVFWSUB_VF32_M2_TU, 0x3 }, // 547
  { PseudoVFWSUB_VF32_M4_MASK, PseudoVFWSUB_VF32_M4, PseudoVFWSUB_VF32_M4_TU, 0x3 }, // 548
  { PseudoVFWSUB_VF32_M8_MASK, PseudoVFWSUB_VF32_M8, PseudoVFWSUB_VF32_M8_TU, 0x3 }, // 549
  { PseudoVFWSUB_VF32_MF2_MASK, PseudoVFWSUB_VF32_MF2, PseudoVFWSUB_VF32_MF2_TU, 0x3 }, // 550
  { PseudoVFWSUB_VV_M1_MASK, PseudoVFWSUB_VV_M1, PseudoVFWSUB_VV_M1_TU, 0x3 }, // 551
  { PseudoVFWSUB_VV_M2_MASK, PseudoVFWSUB_VV_M2, PseudoVFWSUB_VV_M2_TU, 0x3 }, // 552
  { PseudoVFWSUB_VV_M4_MASK, PseudoVFWSUB_VV_M4, PseudoVFWSUB_VV_M4_TU, 0x3 }, // 553
  { PseudoVFWSUB_VV_MF2_MASK, PseudoVFWSUB_VV_MF2, PseudoVFWSUB_VV_MF2_TU, 0x3 }, // 554
  { PseudoVFWSUB_VV_MF4_MASK, PseudoVFWSUB_VV_MF4, PseudoVFWSUB_VV_MF4_TU, 0x3 }, // 555
  { PseudoVFWSUB_WF16_M1_MASK, PseudoVFWSUB_WF16_M1, PseudoVFWSUB_WF16_M1_TU, 0x3 }, // 556
  { PseudoVFWSUB_WF16_M2_MASK, PseudoVFWSUB_WF16_M2, PseudoVFWSUB_WF16_M2_TU, 0x3 }, // 557
  { PseudoVFWSUB_WF16_M4_MASK, PseudoVFWSUB_WF16_M4, PseudoVFWSUB_WF16_M4_TU, 0x3 }, // 558
  { PseudoVFWSUB_WF16_M8_MASK, PseudoVFWSUB_WF16_M8, PseudoVFWSUB_WF16_M8_TU, 0x3 }, // 559
  { PseudoVFWSUB_WF16_MF2_MASK, PseudoVFWSUB_WF16_MF2, PseudoVFWSUB_WF16_MF2_TU, 0x3 }, // 560
  { PseudoVFWSUB_WF16_MF4_MASK, PseudoVFWSUB_WF16_MF4, PseudoVFWSUB_WF16_MF4_TU, 0x3 }, // 561
  { PseudoVFWSUB_WF32_M1_MASK, PseudoVFWSUB_WF32_M1, PseudoVFWSUB_WF32_M1_TU, 0x3 }, // 562
  { PseudoVFWSUB_WF32_M2_MASK, PseudoVFWSUB_WF32_M2, PseudoVFWSUB_WF32_M2_TU, 0x3 }, // 563
  { PseudoVFWSUB_WF32_M4_MASK, PseudoVFWSUB_WF32_M4, PseudoVFWSUB_WF32_M4_TU, 0x3 }, // 564
  { PseudoVFWSUB_WF32_M8_MASK, PseudoVFWSUB_WF32_M8, PseudoVFWSUB_WF32_M8_TU, 0x3 }, // 565
  { PseudoVFWSUB_WF32_MF2_MASK, PseudoVFWSUB_WF32_MF2, PseudoVFWSUB_WF32_MF2_TU, 0x3 }, // 566
  { PseudoVFWSUB_WV_M1_MASK, PseudoVFWSUB_WV_M1, PseudoVFWSUB_WV_M1_TU, 0x3 }, // 567
  { PseudoVFWSUB_WV_M2_MASK, PseudoVFWSUB_WV_M2, PseudoVFWSUB_WV_M2_TU, 0x3 }, // 568
  { PseudoVFWSUB_WV_M4_MASK, PseudoVFWSUB_WV_M4, PseudoVFWSUB_WV_M4_TU, 0x3 }, // 569
  { PseudoVFWSUB_WV_MF2_MASK, PseudoVFWSUB_WV_MF2, PseudoVFWSUB_WV_MF2_TU, 0x3 }, // 570
  { PseudoVFWSUB_WV_MF4_MASK, PseudoVFWSUB_WV_MF4, PseudoVFWSUB_WV_MF4_TU, 0x3 }, // 571
  { PseudoVMAXU_VV_M1_MASK, PseudoVMAXU_VV_M1, PseudoVMAXU_VV_M1_TU, 0x3 }, // 572
  { PseudoVMAXU_VV_M2_MASK, PseudoVMAXU_VV_M2, PseudoVMAXU_VV_M2_TU, 0x3 }, // 573
  { PseudoVMAXU_VV_M4_MASK, PseudoVMAXU_VV_M4, PseudoVMAXU_VV_M4_TU, 0x3 }, // 574
  { PseudoVMAXU_VV_M8_MASK, PseudoVMAXU_VV_M8, PseudoVMAXU_VV_M8_TU, 0x3 }, // 575
  { PseudoVMAXU_VV_MF2_MASK, PseudoVMAXU_VV_MF2, PseudoVMAXU_VV_MF2_TU, 0x3 }, // 576
  { PseudoVMAXU_VV_MF4_MASK, PseudoVMAXU_VV_MF4, PseudoVMAXU_VV_MF4_TU, 0x3 }, // 577
  { PseudoVMAXU_VV_MF8_MASK, PseudoVMAXU_VV_MF8, PseudoVMAXU_VV_MF8_TU, 0x3 }, // 578
  { PseudoVMAXU_VX_M1_MASK, PseudoVMAXU_VX_M1, PseudoVMAXU_VX_M1_TU, 0x3 }, // 579
  { PseudoVMAXU_VX_M2_MASK, PseudoVMAXU_VX_M2, PseudoVMAXU_VX_M2_TU, 0x3 }, // 580
  { PseudoVMAXU_VX_M4_MASK, PseudoVMAXU_VX_M4, PseudoVMAXU_VX_M4_TU, 0x3 }, // 581
  { PseudoVMAXU_VX_M8_MASK, PseudoVMAXU_VX_M8, PseudoVMAXU_VX_M8_TU, 0x3 }, // 582
  { PseudoVMAXU_VX_MF2_MASK, PseudoVMAXU_VX_MF2, PseudoVMAXU_VX_MF2_TU, 0x3 }, // 583
  { PseudoVMAXU_VX_MF4_MASK, PseudoVMAXU_VX_MF4, PseudoVMAXU_VX_MF4_TU, 0x3 }, // 584
  { PseudoVMAXU_VX_MF8_MASK, PseudoVMAXU_VX_MF8, PseudoVMAXU_VX_MF8_TU, 0x3 }, // 585
  { PseudoVMAX_VV_M1_MASK, PseudoVMAX_VV_M1, PseudoVMAX_VV_M1_TU, 0x3 }, // 586
  { PseudoVMAX_VV_M2_MASK, PseudoVMAX_VV_M2, PseudoVMAX_VV_M2_TU, 0x3 }, // 587
  { PseudoVMAX_VV_M4_MASK, PseudoVMAX_VV_M4, PseudoVMAX_VV_M4_TU, 0x3 }, // 588
  { PseudoVMAX_VV_M8_MASK, PseudoVMAX_VV_M8, PseudoVMAX_VV_M8_TU, 0x3 }, // 589
  { PseudoVMAX_VV_MF2_MASK, PseudoVMAX_VV_MF2, PseudoVMAX_VV_MF2_TU, 0x3 }, // 590
  { PseudoVMAX_VV_MF4_MASK, PseudoVMAX_VV_MF4, PseudoVMAX_VV_MF4_TU, 0x3 }, // 591
  { PseudoVMAX_VV_MF8_MASK, PseudoVMAX_VV_MF8, PseudoVMAX_VV_MF8_TU, 0x3 }, // 592
  { PseudoVMAX_VX_M1_MASK, PseudoVMAX_VX_M1, PseudoVMAX_VX_M1_TU, 0x3 }, // 593
  { PseudoVMAX_VX_M2_MASK, PseudoVMAX_VX_M2, PseudoVMAX_VX_M2_TU, 0x3 }, // 594
  { PseudoVMAX_VX_M4_MASK, PseudoVMAX_VX_M4, PseudoVMAX_VX_M4_TU, 0x3 }, // 595
  { PseudoVMAX_VX_M8_MASK, PseudoVMAX_VX_M8, PseudoVMAX_VX_M8_TU, 0x3 }, // 596
  { PseudoVMAX_VX_MF2_MASK, PseudoVMAX_VX_MF2, PseudoVMAX_VX_MF2_TU, 0x3 }, // 597
  { PseudoVMAX_VX_MF4_MASK, PseudoVMAX_VX_MF4, PseudoVMAX_VX_MF4_TU, 0x3 }, // 598
  { PseudoVMAX_VX_MF8_MASK, PseudoVMAX_VX_MF8, PseudoVMAX_VX_MF8_TU, 0x3 }, // 599
  { PseudoVMFEQ_VF16_M1_MASK, PseudoVMFEQ_VF16_M1, PseudoVMFEQ_VF16_M1_MASK, 0x3 }, // 600
  { PseudoVMFEQ_VF16_M2_MASK, PseudoVMFEQ_VF16_M2, PseudoVMFEQ_VF16_M2_MASK, 0x3 }, // 601
  { PseudoVMFEQ_VF16_M4_MASK, PseudoVMFEQ_VF16_M4, PseudoVMFEQ_VF16_M4_MASK, 0x3 }, // 602
  { PseudoVMFEQ_VF16_M8_MASK, PseudoVMFEQ_VF16_M8, PseudoVMFEQ_VF16_M8_MASK, 0x3 }, // 603
  { PseudoVMFEQ_VF16_MF2_MASK, PseudoVMFEQ_VF16_MF2, PseudoVMFEQ_VF16_MF2_MASK, 0x3 }, // 604
  { PseudoVMFEQ_VF16_MF4_MASK, PseudoVMFEQ_VF16_MF4, PseudoVMFEQ_VF16_MF4_MASK, 0x3 }, // 605
  { PseudoVMFEQ_VF32_M1_MASK, PseudoVMFEQ_VF32_M1, PseudoVMFEQ_VF32_M1_MASK, 0x3 }, // 606
  { PseudoVMFEQ_VF32_M2_MASK, PseudoVMFEQ_VF32_M2, PseudoVMFEQ_VF32_M2_MASK, 0x3 }, // 607
  { PseudoVMFEQ_VF32_M4_MASK, PseudoVMFEQ_VF32_M4, PseudoVMFEQ_VF32_M4_MASK, 0x3 }, // 608
  { PseudoVMFEQ_VF32_M8_MASK, PseudoVMFEQ_VF32_M8, PseudoVMFEQ_VF32_M8_MASK, 0x3 }, // 609
  { PseudoVMFEQ_VF32_MF2_MASK, PseudoVMFEQ_VF32_MF2, PseudoVMFEQ_VF32_MF2_MASK, 0x3 }, // 610
  { PseudoVMFEQ_VF64_M1_MASK, PseudoVMFEQ_VF64_M1, PseudoVMFEQ_VF64_M1_MASK, 0x3 }, // 611
  { PseudoVMFEQ_VF64_M2_MASK, PseudoVMFEQ_VF64_M2, PseudoVMFEQ_VF64_M2_MASK, 0x3 }, // 612
  { PseudoVMFEQ_VF64_M4_MASK, PseudoVMFEQ_VF64_M4, PseudoVMFEQ_VF64_M4_MASK, 0x3 }, // 613
  { PseudoVMFEQ_VF64_M8_MASK, PseudoVMFEQ_VF64_M8, PseudoVMFEQ_VF64_M8_MASK, 0x3 }, // 614
  { PseudoVMFEQ_VV_M1_MASK, PseudoVMFEQ_VV_M1, PseudoVMFEQ_VV_M1_MASK, 0x3 }, // 615
  { PseudoVMFEQ_VV_M2_MASK, PseudoVMFEQ_VV_M2, PseudoVMFEQ_VV_M2_MASK, 0x3 }, // 616
  { PseudoVMFEQ_VV_M4_MASK, PseudoVMFEQ_VV_M4, PseudoVMFEQ_VV_M4_MASK, 0x3 }, // 617
  { PseudoVMFEQ_VV_M8_MASK, PseudoVMFEQ_VV_M8, PseudoVMFEQ_VV_M8_MASK, 0x3 }, // 618
  { PseudoVMFEQ_VV_MF2_MASK, PseudoVMFEQ_VV_MF2, PseudoVMFEQ_VV_MF2_MASK, 0x3 }, // 619
  { PseudoVMFEQ_VV_MF4_MASK, PseudoVMFEQ_VV_MF4, PseudoVMFEQ_VV_MF4_MASK, 0x3 }, // 620
  { PseudoVMFGE_VF16_M1_MASK, PseudoVMFGE_VF16_M1, PseudoVMFGE_VF16_M1_MASK, 0x3 }, // 621
  { PseudoVMFGE_VF16_M2_MASK, PseudoVMFGE_VF16_M2, PseudoVMFGE_VF16_M2_MASK, 0x3 }, // 622
  { PseudoVMFGE_VF16_M4_MASK, PseudoVMFGE_VF16_M4, PseudoVMFGE_VF16_M4_MASK, 0x3 }, // 623
  { PseudoVMFGE_VF16_M8_MASK, PseudoVMFGE_VF16_M8, PseudoVMFGE_VF16_M8_MASK, 0x3 }, // 624
  { PseudoVMFGE_VF16_MF2_MASK, PseudoVMFGE_VF16_MF2, PseudoVMFGE_VF16_MF2_MASK, 0x3 }, // 625
  { PseudoVMFGE_VF16_MF4_MASK, PseudoVMFGE_VF16_MF4, PseudoVMFGE_VF16_MF4_MASK, 0x3 }, // 626
  { PseudoVMFGE_VF32_M1_MASK, PseudoVMFGE_VF32_M1, PseudoVMFGE_VF32_M1_MASK, 0x3 }, // 627
  { PseudoVMFGE_VF32_M2_MASK, PseudoVMFGE_VF32_M2, PseudoVMFGE_VF32_M2_MASK, 0x3 }, // 628
  { PseudoVMFGE_VF32_M4_MASK, PseudoVMFGE_VF32_M4, PseudoVMFGE_VF32_M4_MASK, 0x3 }, // 629
  { PseudoVMFGE_VF32_M8_MASK, PseudoVMFGE_VF32_M8, PseudoVMFGE_VF32_M8_MASK, 0x3 }, // 630
  { PseudoVMFGE_VF32_MF2_MASK, PseudoVMFGE_VF32_MF2, PseudoVMFGE_VF32_MF2_MASK, 0x3 }, // 631
  { PseudoVMFGE_VF64_M1_MASK, PseudoVMFGE_VF64_M1, PseudoVMFGE_VF64_M1_MASK, 0x3 }, // 632
  { PseudoVMFGE_VF64_M2_MASK, PseudoVMFGE_VF64_M2, PseudoVMFGE_VF64_M2_MASK, 0x3 }, // 633
  { PseudoVMFGE_VF64_M4_MASK, PseudoVMFGE_VF64_M4, PseudoVMFGE_VF64_M4_MASK, 0x3 }, // 634
  { PseudoVMFGE_VF64_M8_MASK, PseudoVMFGE_VF64_M8, PseudoVMFGE_VF64_M8_MASK, 0x3 }, // 635
  { PseudoVMFGT_VF16_M1_MASK, PseudoVMFGT_VF16_M1, PseudoVMFGT_VF16_M1_MASK, 0x3 }, // 636
  { PseudoVMFGT_VF16_M2_MASK, PseudoVMFGT_VF16_M2, PseudoVMFGT_VF16_M2_MASK, 0x3 }, // 637
  { PseudoVMFGT_VF16_M4_MASK, PseudoVMFGT_VF16_M4, PseudoVMFGT_VF16_M4_MASK, 0x3 }, // 638
  { PseudoVMFGT_VF16_M8_MASK, PseudoVMFGT_VF16_M8, PseudoVMFGT_VF16_M8_MASK, 0x3 }, // 639
  { PseudoVMFGT_VF16_MF2_MASK, PseudoVMFGT_VF16_MF2, PseudoVMFGT_VF16_MF2_MASK, 0x3 }, // 640
  { PseudoVMFGT_VF16_MF4_MASK, PseudoVMFGT_VF16_MF4, PseudoVMFGT_VF16_MF4_MASK, 0x3 }, // 641
  { PseudoVMFGT_VF32_M1_MASK, PseudoVMFGT_VF32_M1, PseudoVMFGT_VF32_M1_MASK, 0x3 }, // 642
  { PseudoVMFGT_VF32_M2_MASK, PseudoVMFGT_VF32_M2, PseudoVMFGT_VF32_M2_MASK, 0x3 }, // 643
  { PseudoVMFGT_VF32_M4_MASK, PseudoVMFGT_VF32_M4, PseudoVMFGT_VF32_M4_MASK, 0x3 }, // 644
  { PseudoVMFGT_VF32_M8_MASK, PseudoVMFGT_VF32_M8, PseudoVMFGT_VF32_M8_MASK, 0x3 }, // 645
  { PseudoVMFGT_VF32_MF2_MASK, PseudoVMFGT_VF32_MF2, PseudoVMFGT_VF32_MF2_MASK, 0x3 }, // 646
  { PseudoVMFGT_VF64_M1_MASK, PseudoVMFGT_VF64_M1, PseudoVMFGT_VF64_M1_MASK, 0x3 }, // 647
  { PseudoVMFGT_VF64_M2_MASK, PseudoVMFGT_VF64_M2, PseudoVMFGT_VF64_M2_MASK, 0x3 }, // 648
  { PseudoVMFGT_VF64_M4_MASK, PseudoVMFGT_VF64_M4, PseudoVMFGT_VF64_M4_MASK, 0x3 }, // 649
  { PseudoVMFGT_VF64_M8_MASK, PseudoVMFGT_VF64_M8, PseudoVMFGT_VF64_M8_MASK, 0x3 }, // 650
  { PseudoVMFLE_VF16_M1_MASK, PseudoVMFLE_VF16_M1, PseudoVMFLE_VF16_M1_MASK, 0x3 }, // 651
  { PseudoVMFLE_VF16_M2_MASK, PseudoVMFLE_VF16_M2, PseudoVMFLE_VF16_M2_MASK, 0x3 }, // 652
  { PseudoVMFLE_VF16_M4_MASK, PseudoVMFLE_VF16_M4, PseudoVMFLE_VF16_M4_MASK, 0x3 }, // 653
  { PseudoVMFLE_VF16_M8_MASK, PseudoVMFLE_VF16_M8, PseudoVMFLE_VF16_M8_MASK, 0x3 }, // 654
  { PseudoVMFLE_VF16_MF2_MASK, PseudoVMFLE_VF16_MF2, PseudoVMFLE_VF16_MF2_MASK, 0x3 }, // 655
  { PseudoVMFLE_VF16_MF4_MASK, PseudoVMFLE_VF16_MF4, PseudoVMFLE_VF16_MF4_MASK, 0x3 }, // 656
  { PseudoVMFLE_VF32_M1_MASK, PseudoVMFLE_VF32_M1, PseudoVMFLE_VF32_M1_MASK, 0x3 }, // 657
  { PseudoVMFLE_VF32_M2_MASK, PseudoVMFLE_VF32_M2, PseudoVMFLE_VF32_M2_MASK, 0x3 }, // 658
  { PseudoVMFLE_VF32_M4_MASK, PseudoVMFLE_VF32_M4, PseudoVMFLE_VF32_M4_MASK, 0x3 }, // 659
  { PseudoVMFLE_VF32_M8_MASK, PseudoVMFLE_VF32_M8, PseudoVMFLE_VF32_M8_MASK, 0x3 }, // 660
  { PseudoVMFLE_VF32_MF2_MASK, PseudoVMFLE_VF32_MF2, PseudoVMFLE_VF32_MF2_MASK, 0x3 }, // 661
  { PseudoVMFLE_VF64_M1_MASK, PseudoVMFLE_VF64_M1, PseudoVMFLE_VF64_M1_MASK, 0x3 }, // 662
  { PseudoVMFLE_VF64_M2_MASK, PseudoVMFLE_VF64_M2, PseudoVMFLE_VF64_M2_MASK, 0x3 }, // 663
  { PseudoVMFLE_VF64_M4_MASK, PseudoVMFLE_VF64_M4, PseudoVMFLE_VF64_M4_MASK, 0x3 }, // 664
  { PseudoVMFLE_VF64_M8_MASK, PseudoVMFLE_VF64_M8, PseudoVMFLE_VF64_M8_MASK, 0x3 }, // 665
  { PseudoVMFLE_VV_M1_MASK, PseudoVMFLE_VV_M1, PseudoVMFLE_VV_M1_MASK, 0x3 }, // 666
  { PseudoVMFLE_VV_M2_MASK, PseudoVMFLE_VV_M2, PseudoVMFLE_VV_M2_MASK, 0x3 }, // 667
  { PseudoVMFLE_VV_M4_MASK, PseudoVMFLE_VV_M4, PseudoVMFLE_VV_M4_MASK, 0x3 }, // 668
  { PseudoVMFLE_VV_M8_MASK, PseudoVMFLE_VV_M8, PseudoVMFLE_VV_M8_MASK, 0x3 }, // 669
  { PseudoVMFLE_VV_MF2_MASK, PseudoVMFLE_VV_MF2, PseudoVMFLE_VV_MF2_MASK, 0x3 }, // 670
  { PseudoVMFLE_VV_MF4_MASK, PseudoVMFLE_VV_MF4, PseudoVMFLE_VV_MF4_MASK, 0x3 }, // 671
  { PseudoVMFLT_VF16_M1_MASK, PseudoVMFLT_VF16_M1, PseudoVMFLT_VF16_M1_MASK, 0x3 }, // 672
  { PseudoVMFLT_VF16_M2_MASK, PseudoVMFLT_VF16_M2, PseudoVMFLT_VF16_M2_MASK, 0x3 }, // 673
  { PseudoVMFLT_VF16_M4_MASK, PseudoVMFLT_VF16_M4, PseudoVMFLT_VF16_M4_MASK, 0x3 }, // 674
  { PseudoVMFLT_VF16_M8_MASK, PseudoVMFLT_VF16_M8, PseudoVMFLT_VF16_M8_MASK, 0x3 }, // 675
  { PseudoVMFLT_VF16_MF2_MASK, PseudoVMFLT_VF16_MF2, PseudoVMFLT_VF16_MF2_MASK, 0x3 }, // 676
  { PseudoVMFLT_VF16_MF4_MASK, PseudoVMFLT_VF16_MF4, PseudoVMFLT_VF16_MF4_MASK, 0x3 }, // 677
  { PseudoVMFLT_VF32_M1_MASK, PseudoVMFLT_VF32_M1, PseudoVMFLT_VF32_M1_MASK, 0x3 }, // 678
  { PseudoVMFLT_VF32_M2_MASK, PseudoVMFLT_VF32_M2, PseudoVMFLT_VF32_M2_MASK, 0x3 }, // 679
  { PseudoVMFLT_VF32_M4_MASK, PseudoVMFLT_VF32_M4, PseudoVMFLT_VF32_M4_MASK, 0x3 }, // 680
  { PseudoVMFLT_VF32_M8_MASK, PseudoVMFLT_VF32_M8, PseudoVMFLT_VF32_M8_MASK, 0x3 }, // 681
  { PseudoVMFLT_VF32_MF2_MASK, PseudoVMFLT_VF32_MF2, PseudoVMFLT_VF32_MF2_MASK, 0x3 }, // 682
  { PseudoVMFLT_VF64_M1_MASK, PseudoVMFLT_VF64_M1, PseudoVMFLT_VF64_M1_MASK, 0x3 }, // 683
  { PseudoVMFLT_VF64_M2_MASK, PseudoVMFLT_VF64_M2, PseudoVMFLT_VF64_M2_MASK, 0x3 }, // 684
  { PseudoVMFLT_VF64_M4_MASK, PseudoVMFLT_VF64_M4, PseudoVMFLT_VF64_M4_MASK, 0x3 }, // 685
  { PseudoVMFLT_VF64_M8_MASK, PseudoVMFLT_VF64_M8, PseudoVMFLT_VF64_M8_MASK, 0x3 }, // 686
  { PseudoVMFLT_VV_M1_MASK, PseudoVMFLT_VV_M1, PseudoVMFLT_VV_M1_MASK, 0x3 }, // 687
  { PseudoVMFLT_VV_M2_MASK, PseudoVMFLT_VV_M2, PseudoVMFLT_VV_M2_MASK, 0x3 }, // 688
  { PseudoVMFLT_VV_M4_MASK, PseudoVMFLT_VV_M4, PseudoVMFLT_VV_M4_MASK, 0x3 }, // 689
  { PseudoVMFLT_VV_M8_MASK, PseudoVMFLT_VV_M8, PseudoVMFLT_VV_M8_MASK, 0x3 }, // 690
  { PseudoVMFLT_VV_MF2_MASK, PseudoVMFLT_VV_MF2, PseudoVMFLT_VV_MF2_MASK, 0x3 }, // 691
  { PseudoVMFLT_VV_MF4_MASK, PseudoVMFLT_VV_MF4, PseudoVMFLT_VV_MF4_MASK, 0x3 }, // 692
  { PseudoVMFNE_VF16_M1_MASK, PseudoVMFNE_VF16_M1, PseudoVMFNE_VF16_M1_MASK, 0x3 }, // 693
  { PseudoVMFNE_VF16_M2_MASK, PseudoVMFNE_VF16_M2, PseudoVMFNE_VF16_M2_MASK, 0x3 }, // 694
  { PseudoVMFNE_VF16_M4_MASK, PseudoVMFNE_VF16_M4, PseudoVMFNE_VF16_M4_MASK, 0x3 }, // 695
  { PseudoVMFNE_VF16_M8_MASK, PseudoVMFNE_VF16_M8, PseudoVMFNE_VF16_M8_MASK, 0x3 }, // 696
  { PseudoVMFNE_VF16_MF2_MASK, PseudoVMFNE_VF16_MF2, PseudoVMFNE_VF16_MF2_MASK, 0x3 }, // 697
  { PseudoVMFNE_VF16_MF4_MASK, PseudoVMFNE_VF16_MF4, PseudoVMFNE_VF16_MF4_MASK, 0x3 }, // 698
  { PseudoVMFNE_VF32_M1_MASK, PseudoVMFNE_VF32_M1, PseudoVMFNE_VF32_M1_MASK, 0x3 }, // 699
  { PseudoVMFNE_VF32_M2_MASK, PseudoVMFNE_VF32_M2, PseudoVMFNE_VF32_M2_MASK, 0x3 }, // 700
  { PseudoVMFNE_VF32_M4_MASK, PseudoVMFNE_VF32_M4, PseudoVMFNE_VF32_M4_MASK, 0x3 }, // 701
  { PseudoVMFNE_VF32_M8_MASK, PseudoVMFNE_VF32_M8, PseudoVMFNE_VF32_M8_MASK, 0x3 }, // 702
  { PseudoVMFNE_VF32_MF2_MASK, PseudoVMFNE_VF32_MF2, PseudoVMFNE_VF32_MF2_MASK, 0x3 }, // 703
  { PseudoVMFNE_VF64_M1_MASK, PseudoVMFNE_VF64_M1, PseudoVMFNE_VF64_M1_MASK, 0x3 }, // 704
  { PseudoVMFNE_VF64_M2_MASK, PseudoVMFNE_VF64_M2, PseudoVMFNE_VF64_M2_MASK, 0x3 }, // 705
  { PseudoVMFNE_VF64_M4_MASK, PseudoVMFNE_VF64_M4, PseudoVMFNE_VF64_M4_MASK, 0x3 }, // 706
  { PseudoVMFNE_VF64_M8_MASK, PseudoVMFNE_VF64_M8, PseudoVMFNE_VF64_M8_MASK, 0x3 }, // 707
  { PseudoVMFNE_VV_M1_MASK, PseudoVMFNE_VV_M1, PseudoVMFNE_VV_M1_MASK, 0x3 }, // 708
  { PseudoVMFNE_VV_M2_MASK, PseudoVMFNE_VV_M2, PseudoVMFNE_VV_M2_MASK, 0x3 }, // 709
  { PseudoVMFNE_VV_M4_MASK, PseudoVMFNE_VV_M4, PseudoVMFNE_VV_M4_MASK, 0x3 }, // 710
  { PseudoVMFNE_VV_M8_MASK, PseudoVMFNE_VV_M8, PseudoVMFNE_VV_M8_MASK, 0x3 }, // 711
  { PseudoVMFNE_VV_MF2_MASK, PseudoVMFNE_VV_MF2, PseudoVMFNE_VV_MF2_MASK, 0x3 }, // 712
  { PseudoVMFNE_VV_MF4_MASK, PseudoVMFNE_VV_MF4, PseudoVMFNE_VV_MF4_MASK, 0x3 }, // 713
  { PseudoVMINU_VV_M1_MASK, PseudoVMINU_VV_M1, PseudoVMINU_VV_M1_TU, 0x3 }, // 714
  { PseudoVMINU_VV_M2_MASK, PseudoVMINU_VV_M2, PseudoVMINU_VV_M2_TU, 0x3 }, // 715
  { PseudoVMINU_VV_M4_MASK, PseudoVMINU_VV_M4, PseudoVMINU_VV_M4_TU, 0x3 }, // 716
  { PseudoVMINU_VV_M8_MASK, PseudoVMINU_VV_M8, PseudoVMINU_VV_M8_TU, 0x3 }, // 717
  { PseudoVMINU_VV_MF2_MASK, PseudoVMINU_VV_MF2, PseudoVMINU_VV_MF2_TU, 0x3 }, // 718
  { PseudoVMINU_VV_MF4_MASK, PseudoVMINU_VV_MF4, PseudoVMINU_VV_MF4_TU, 0x3 }, // 719
  { PseudoVMINU_VV_MF8_MASK, PseudoVMINU_VV_MF8, PseudoVMINU_VV_MF8_TU, 0x3 }, // 720
  { PseudoVMINU_VX_M1_MASK, PseudoVMINU_VX_M1, PseudoVMINU_VX_M1_TU, 0x3 }, // 721
  { PseudoVMINU_VX_M2_MASK, PseudoVMINU_VX_M2, PseudoVMINU_VX_M2_TU, 0x3 }, // 722
  { PseudoVMINU_VX_M4_MASK, PseudoVMINU_VX_M4, PseudoVMINU_VX_M4_TU, 0x3 }, // 723
  { PseudoVMINU_VX_M8_MASK, PseudoVMINU_VX_M8, PseudoVMINU_VX_M8_TU, 0x3 }, // 724
  { PseudoVMINU_VX_MF2_MASK, PseudoVMINU_VX_MF2, PseudoVMINU_VX_MF2_TU, 0x3 }, // 725
  { PseudoVMINU_VX_MF4_MASK, PseudoVMINU_VX_MF4, PseudoVMINU_VX_MF4_TU, 0x3 }, // 726
  { PseudoVMINU_VX_MF8_MASK, PseudoVMINU_VX_MF8, PseudoVMINU_VX_MF8_TU, 0x3 }, // 727
  { PseudoVMIN_VV_M1_MASK, PseudoVMIN_VV_M1, PseudoVMIN_VV_M1_TU, 0x3 }, // 728
  { PseudoVMIN_VV_M2_MASK, PseudoVMIN_VV_M2, PseudoVMIN_VV_M2_TU, 0x3 }, // 729
  { PseudoVMIN_VV_M4_MASK, PseudoVMIN_VV_M4, PseudoVMIN_VV_M4_TU, 0x3 }, // 730
  { PseudoVMIN_VV_M8_MASK, PseudoVMIN_VV_M8, PseudoVMIN_VV_M8_TU, 0x3 }, // 731
  { PseudoVMIN_VV_MF2_MASK, PseudoVMIN_VV_MF2, PseudoVMIN_VV_MF2_TU, 0x3 }, // 732
  { PseudoVMIN_VV_MF4_MASK, PseudoVMIN_VV_MF4, PseudoVMIN_VV_MF4_TU, 0x3 }, // 733
  { PseudoVMIN_VV_MF8_MASK, PseudoVMIN_VV_MF8, PseudoVMIN_VV_MF8_TU, 0x3 }, // 734
  { PseudoVMIN_VX_M1_MASK, PseudoVMIN_VX_M1, PseudoVMIN_VX_M1_TU, 0x3 }, // 735
  { PseudoVMIN_VX_M2_MASK, PseudoVMIN_VX_M2, PseudoVMIN_VX_M2_TU, 0x3 }, // 736
  { PseudoVMIN_VX_M4_MASK, PseudoVMIN_VX_M4, PseudoVMIN_VX_M4_TU, 0x3 }, // 737
  { PseudoVMIN_VX_M8_MASK, PseudoVMIN_VX_M8, PseudoVMIN_VX_M8_TU, 0x3 }, // 738
  { PseudoVMIN_VX_MF2_MASK, PseudoVMIN_VX_MF2, PseudoVMIN_VX_MF2_TU, 0x3 }, // 739
  { PseudoVMIN_VX_MF4_MASK, PseudoVMIN_VX_MF4, PseudoVMIN_VX_MF4_TU, 0x3 }, // 740
  { PseudoVMIN_VX_MF8_MASK, PseudoVMIN_VX_MF8, PseudoVMIN_VX_MF8_TU, 0x3 }, // 741
  { PseudoVMSEQ_VI_M1_MASK, PseudoVMSEQ_VI_M1, PseudoVMSEQ_VI_M1_MASK, 0x3 }, // 742
  { PseudoVMSEQ_VI_M2_MASK, PseudoVMSEQ_VI_M2, PseudoVMSEQ_VI_M2_MASK, 0x3 }, // 743
  { PseudoVMSEQ_VI_M4_MASK, PseudoVMSEQ_VI_M4, PseudoVMSEQ_VI_M4_MASK, 0x3 }, // 744
  { PseudoVMSEQ_VI_M8_MASK, PseudoVMSEQ_VI_M8, PseudoVMSEQ_VI_M8_MASK, 0x3 }, // 745
  { PseudoVMSEQ_VI_MF2_MASK, PseudoVMSEQ_VI_MF2, PseudoVMSEQ_VI_MF2_MASK, 0x3 }, // 746
  { PseudoVMSEQ_VI_MF4_MASK, PseudoVMSEQ_VI_MF4, PseudoVMSEQ_VI_MF4_MASK, 0x3 }, // 747
  { PseudoVMSEQ_VI_MF8_MASK, PseudoVMSEQ_VI_MF8, PseudoVMSEQ_VI_MF8_MASK, 0x3 }, // 748
  { PseudoVMSEQ_VV_M1_MASK, PseudoVMSEQ_VV_M1, PseudoVMSEQ_VV_M1_MASK, 0x3 }, // 749
  { PseudoVMSEQ_VV_M2_MASK, PseudoVMSEQ_VV_M2, PseudoVMSEQ_VV_M2_MASK, 0x3 }, // 750
  { PseudoVMSEQ_VV_M4_MASK, PseudoVMSEQ_VV_M4, PseudoVMSEQ_VV_M4_MASK, 0x3 }, // 751
  { PseudoVMSEQ_VV_M8_MASK, PseudoVMSEQ_VV_M8, PseudoVMSEQ_VV_M8_MASK, 0x3 }, // 752
  { PseudoVMSEQ_VV_MF2_MASK, PseudoVMSEQ_VV_MF2, PseudoVMSEQ_VV_MF2_MASK, 0x3 }, // 753
  { PseudoVMSEQ_VV_MF4_MASK, PseudoVMSEQ_VV_MF4, PseudoVMSEQ_VV_MF4_MASK, 0x3 }, // 754
  { PseudoVMSEQ_VV_MF8_MASK, PseudoVMSEQ_VV_MF8, PseudoVMSEQ_VV_MF8_MASK, 0x3 }, // 755
  { PseudoVMSEQ_VX_M1_MASK, PseudoVMSEQ_VX_M1, PseudoVMSEQ_VX_M1_MASK, 0x3 }, // 756
  { PseudoVMSEQ_VX_M2_MASK, PseudoVMSEQ_VX_M2, PseudoVMSEQ_VX_M2_MASK, 0x3 }, // 757
  { PseudoVMSEQ_VX_M4_MASK, PseudoVMSEQ_VX_M4, PseudoVMSEQ_VX_M4_MASK, 0x3 }, // 758
  { PseudoVMSEQ_VX_M8_MASK, PseudoVMSEQ_VX_M8, PseudoVMSEQ_VX_M8_MASK, 0x3 }, // 759
  { PseudoVMSEQ_VX_MF2_MASK, PseudoVMSEQ_VX_MF2, PseudoVMSEQ_VX_MF2_MASK, 0x3 }, // 760
  { PseudoVMSEQ_VX_MF4_MASK, PseudoVMSEQ_VX_MF4, PseudoVMSEQ_VX_MF4_MASK, 0x3 }, // 761
  { PseudoVMSEQ_VX_MF8_MASK, PseudoVMSEQ_VX_MF8, PseudoVMSEQ_VX_MF8_MASK, 0x3 }, // 762
  { PseudoVMSGTU_VI_M1_MASK, PseudoVMSGTU_VI_M1, PseudoVMSGTU_VI_M1_MASK, 0x3 }, // 763
  { PseudoVMSGTU_VI_M2_MASK, PseudoVMSGTU_VI_M2, PseudoVMSGTU_VI_M2_MASK, 0x3 }, // 764
  { PseudoVMSGTU_VI_M4_MASK, PseudoVMSGTU_VI_M4, PseudoVMSGTU_VI_M4_MASK, 0x3 }, // 765
  { PseudoVMSGTU_VI_M8_MASK, PseudoVMSGTU_VI_M8, PseudoVMSGTU_VI_M8_MASK, 0x3 }, // 766
  { PseudoVMSGTU_VI_MF2_MASK, PseudoVMSGTU_VI_MF2, PseudoVMSGTU_VI_MF2_MASK, 0x3 }, // 767
  { PseudoVMSGTU_VI_MF4_MASK, PseudoVMSGTU_VI_MF4, PseudoVMSGTU_VI_MF4_MASK, 0x3 }, // 768
  { PseudoVMSGTU_VI_MF8_MASK, PseudoVMSGTU_VI_MF8, PseudoVMSGTU_VI_MF8_MASK, 0x3 }, // 769
  { PseudoVMSGTU_VX_M1_MASK, PseudoVMSGTU_VX_M1, PseudoVMSGTU_VX_M1_MASK, 0x3 }, // 770
  { PseudoVMSGTU_VX_M2_MASK, PseudoVMSGTU_VX_M2, PseudoVMSGTU_VX_M2_MASK, 0x3 }, // 771
  { PseudoVMSGTU_VX_M4_MASK, PseudoVMSGTU_VX_M4, PseudoVMSGTU_VX_M4_MASK, 0x3 }, // 772
  { PseudoVMSGTU_VX_M8_MASK, PseudoVMSGTU_VX_M8, PseudoVMSGTU_VX_M8_MASK, 0x3 }, // 773
  { PseudoVMSGTU_VX_MF2_MASK, PseudoVMSGTU_VX_MF2, PseudoVMSGTU_VX_MF2_MASK, 0x3 }, // 774
  { PseudoVMSGTU_VX_MF4_MASK, PseudoVMSGTU_VX_MF4, PseudoVMSGTU_VX_MF4_MASK, 0x3 }, // 775
  { PseudoVMSGTU_VX_MF8_MASK, PseudoVMSGTU_VX_MF8, PseudoVMSGTU_VX_MF8_MASK, 0x3 }, // 776
  { PseudoVMSGT_VI_M1_MASK, PseudoVMSGT_VI_M1, PseudoVMSGT_VI_M1_MASK, 0x3 }, // 777
  { PseudoVMSGT_VI_M2_MASK, PseudoVMSGT_VI_M2, PseudoVMSGT_VI_M2_MASK, 0x3 }, // 778
  { PseudoVMSGT_VI_M4_MASK, PseudoVMSGT_VI_M4, PseudoVMSGT_VI_M4_MASK, 0x3 }, // 779
  { PseudoVMSGT_VI_M8_MASK, PseudoVMSGT_VI_M8, PseudoVMSGT_VI_M8_MASK, 0x3 }, // 780
  { PseudoVMSGT_VI_MF2_MASK, PseudoVMSGT_VI_MF2, PseudoVMSGT_VI_MF2_MASK, 0x3 }, // 781
  { PseudoVMSGT_VI_MF4_MASK, PseudoVMSGT_VI_MF4, PseudoVMSGT_VI_MF4_MASK, 0x3 }, // 782
  { PseudoVMSGT_VI_MF8_MASK, PseudoVMSGT_VI_MF8, PseudoVMSGT_VI_MF8_MASK, 0x3 }, // 783
  { PseudoVMSGT_VX_M1_MASK, PseudoVMSGT_VX_M1, PseudoVMSGT_VX_M1_MASK, 0x3 }, // 784
  { PseudoVMSGT_VX_M2_MASK, PseudoVMSGT_VX_M2, PseudoVMSGT_VX_M2_MASK, 0x3 }, // 785
  { PseudoVMSGT_VX_M4_MASK, PseudoVMSGT_VX_M4, PseudoVMSGT_VX_M4_MASK, 0x3 }, // 786
  { PseudoVMSGT_VX_M8_MASK, PseudoVMSGT_VX_M8, PseudoVMSGT_VX_M8_MASK, 0x3 }, // 787
  { PseudoVMSGT_VX_MF2_MASK, PseudoVMSGT_VX_MF2, PseudoVMSGT_VX_MF2_MASK, 0x3 }, // 788
  { PseudoVMSGT_VX_MF4_MASK, PseudoVMSGT_VX_MF4, PseudoVMSGT_VX_MF4_MASK, 0x3 }, // 789
  { PseudoVMSGT_VX_MF8_MASK, PseudoVMSGT_VX_MF8, PseudoVMSGT_VX_MF8_MASK, 0x3 }, // 790
  { PseudoVMSLEU_VI_M1_MASK, PseudoVMSLEU_VI_M1, PseudoVMSLEU_VI_M1_MASK, 0x3 }, // 791
  { PseudoVMSLEU_VI_M2_MASK, PseudoVMSLEU_VI_M2, PseudoVMSLEU_VI_M2_MASK, 0x3 }, // 792
  { PseudoVMSLEU_VI_M4_MASK, PseudoVMSLEU_VI_M4, PseudoVMSLEU_VI_M4_MASK, 0x3 }, // 793
  { PseudoVMSLEU_VI_M8_MASK, PseudoVMSLEU_VI_M8, PseudoVMSLEU_VI_M8_MASK, 0x3 }, // 794
  { PseudoVMSLEU_VI_MF2_MASK, PseudoVMSLEU_VI_MF2, PseudoVMSLEU_VI_MF2_MASK, 0x3 }, // 795
  { PseudoVMSLEU_VI_MF4_MASK, PseudoVMSLEU_VI_MF4, PseudoVMSLEU_VI_MF4_MASK, 0x3 }, // 796
  { PseudoVMSLEU_VI_MF8_MASK, PseudoVMSLEU_VI_MF8, PseudoVMSLEU_VI_MF8_MASK, 0x3 }, // 797
  { PseudoVMSLEU_VV_M1_MASK, PseudoVMSLEU_VV_M1, PseudoVMSLEU_VV_M1_MASK, 0x3 }, // 798
  { PseudoVMSLEU_VV_M2_MASK, PseudoVMSLEU_VV_M2, PseudoVMSLEU_VV_M2_MASK, 0x3 }, // 799
  { PseudoVMSLEU_VV_M4_MASK, PseudoVMSLEU_VV_M4, PseudoVMSLEU_VV_M4_MASK, 0x3 }, // 800
  { PseudoVMSLEU_VV_M8_MASK, PseudoVMSLEU_VV_M8, PseudoVMSLEU_VV_M8_MASK, 0x3 }, // 801
  { PseudoVMSLEU_VV_MF2_MASK, PseudoVMSLEU_VV_MF2, PseudoVMSLEU_VV_MF2_MASK, 0x3 }, // 802
  { PseudoVMSLEU_VV_MF4_MASK, PseudoVMSLEU_VV_MF4, PseudoVMSLEU_VV_MF4_MASK, 0x3 }, // 803
  { PseudoVMSLEU_VV_MF8_MASK, PseudoVMSLEU_VV_MF8, PseudoVMSLEU_VV_MF8_MASK, 0x3 }, // 804
  { PseudoVMSLEU_VX_M1_MASK, PseudoVMSLEU_VX_M1, PseudoVMSLEU_VX_M1_MASK, 0x3 }, // 805
  { PseudoVMSLEU_VX_M2_MASK, PseudoVMSLEU_VX_M2, PseudoVMSLEU_VX_M2_MASK, 0x3 }, // 806
  { PseudoVMSLEU_VX_M4_MASK, PseudoVMSLEU_VX_M4, PseudoVMSLEU_VX_M4_MASK, 0x3 }, // 807
  { PseudoVMSLEU_VX_M8_MASK, PseudoVMSLEU_VX_M8, PseudoVMSLEU_VX_M8_MASK, 0x3 }, // 808
  { PseudoVMSLEU_VX_MF2_MASK, PseudoVMSLEU_VX_MF2, PseudoVMSLEU_VX_MF2_MASK, 0x3 }, // 809
  { PseudoVMSLEU_VX_MF4_MASK, PseudoVMSLEU_VX_MF4, PseudoVMSLEU_VX_MF4_MASK, 0x3 }, // 810
  { PseudoVMSLEU_VX_MF8_MASK, PseudoVMSLEU_VX_MF8, PseudoVMSLEU_VX_MF8_MASK, 0x3 }, // 811
  { PseudoVMSLE_VI_M1_MASK, PseudoVMSLE_VI_M1, PseudoVMSLE_VI_M1_MASK, 0x3 }, // 812
  { PseudoVMSLE_VI_M2_MASK, PseudoVMSLE_VI_M2, PseudoVMSLE_VI_M2_MASK, 0x3 }, // 813
  { PseudoVMSLE_VI_M4_MASK, PseudoVMSLE_VI_M4, PseudoVMSLE_VI_M4_MASK, 0x3 }, // 814
  { PseudoVMSLE_VI_M8_MASK, PseudoVMSLE_VI_M8, PseudoVMSLE_VI_M8_MASK, 0x3 }, // 815
  { PseudoVMSLE_VI_MF2_MASK, PseudoVMSLE_VI_MF2, PseudoVMSLE_VI_MF2_MASK, 0x3 }, // 816
  { PseudoVMSLE_VI_MF4_MASK, PseudoVMSLE_VI_MF4, PseudoVMSLE_VI_MF4_MASK, 0x3 }, // 817
  { PseudoVMSLE_VI_MF8_MASK, PseudoVMSLE_VI_MF8, PseudoVMSLE_VI_MF8_MASK, 0x3 }, // 818
  { PseudoVMSLE_VV_M1_MASK, PseudoVMSLE_VV_M1, PseudoVMSLE_VV_M1_MASK, 0x3 }, // 819
  { PseudoVMSLE_VV_M2_MASK, PseudoVMSLE_VV_M2, PseudoVMSLE_VV_M2_MASK, 0x3 }, // 820
  { PseudoVMSLE_VV_M4_MASK, PseudoVMSLE_VV_M4, PseudoVMSLE_VV_M4_MASK, 0x3 }, // 821
  { PseudoVMSLE_VV_M8_MASK, PseudoVMSLE_VV_M8, PseudoVMSLE_VV_M8_MASK, 0x3 }, // 822
  { PseudoVMSLE_VV_MF2_MASK, PseudoVMSLE_VV_MF2, PseudoVMSLE_VV_MF2_MASK, 0x3 }, // 823
  { PseudoVMSLE_VV_MF4_MASK, PseudoVMSLE_VV_MF4, PseudoVMSLE_VV_MF4_MASK, 0x3 }, // 824
  { PseudoVMSLE_VV_MF8_MASK, PseudoVMSLE_VV_MF8, PseudoVMSLE_VV_MF8_MASK, 0x3 }, // 825
  { PseudoVMSLE_VX_M1_MASK, PseudoVMSLE_VX_M1, PseudoVMSLE_VX_M1_MASK, 0x3 }, // 826
  { PseudoVMSLE_VX_M2_MASK, PseudoVMSLE_VX_M2, PseudoVMSLE_VX_M2_MASK, 0x3 }, // 827
  { PseudoVMSLE_VX_M4_MASK, PseudoVMSLE_VX_M4, PseudoVMSLE_VX_M4_MASK, 0x3 }, // 828
  { PseudoVMSLE_VX_M8_MASK, PseudoVMSLE_VX_M8, PseudoVMSLE_VX_M8_MASK, 0x3 }, // 829
  { PseudoVMSLE_VX_MF2_MASK, PseudoVMSLE_VX_MF2, PseudoVMSLE_VX_MF2_MASK, 0x3 }, // 830
  { PseudoVMSLE_VX_MF4_MASK, PseudoVMSLE_VX_MF4, PseudoVMSLE_VX_MF4_MASK, 0x3 }, // 831
  { PseudoVMSLE_VX_MF8_MASK, PseudoVMSLE_VX_MF8, PseudoVMSLE_VX_MF8_MASK, 0x3 }, // 832
  { PseudoVMSLTU_VV_M1_MASK, PseudoVMSLTU_VV_M1, PseudoVMSLTU_VV_M1_MASK, 0x3 }, // 833
  { PseudoVMSLTU_VV_M2_MASK, PseudoVMSLTU_VV_M2, PseudoVMSLTU_VV_M2_MASK, 0x3 }, // 834
  { PseudoVMSLTU_VV_M4_MASK, PseudoVMSLTU_VV_M4, PseudoVMSLTU_VV_M4_MASK, 0x3 }, // 835
  { PseudoVMSLTU_VV_M8_MASK, PseudoVMSLTU_VV_M8, PseudoVMSLTU_VV_M8_MASK, 0x3 }, // 836
  { PseudoVMSLTU_VV_MF2_MASK, PseudoVMSLTU_VV_MF2, PseudoVMSLTU_VV_MF2_MASK, 0x3 }, // 837
  { PseudoVMSLTU_VV_MF4_MASK, PseudoVMSLTU_VV_MF4, PseudoVMSLTU_VV_MF4_MASK, 0x3 }, // 838
  { PseudoVMSLTU_VV_MF8_MASK, PseudoVMSLTU_VV_MF8, PseudoVMSLTU_VV_MF8_MASK, 0x3 }, // 839
  { PseudoVMSLTU_VX_M1_MASK, PseudoVMSLTU_VX_M1, PseudoVMSLTU_VX_M1_MASK, 0x3 }, // 840
  { PseudoVMSLTU_VX_M2_MASK, PseudoVMSLTU_VX_M2, PseudoVMSLTU_VX_M2_MASK, 0x3 }, // 841
  { PseudoVMSLTU_VX_M4_MASK, PseudoVMSLTU_VX_M4, PseudoVMSLTU_VX_M4_MASK, 0x3 }, // 842
  { PseudoVMSLTU_VX_M8_MASK, PseudoVMSLTU_VX_M8, PseudoVMSLTU_VX_M8_MASK, 0x3 }, // 843
  { PseudoVMSLTU_VX_MF2_MASK, PseudoVMSLTU_VX_MF2, PseudoVMSLTU_VX_MF2_MASK, 0x3 }, // 844
  { PseudoVMSLTU_VX_MF4_MASK, PseudoVMSLTU_VX_MF4, PseudoVMSLTU_VX_MF4_MASK, 0x3 }, // 845
  { PseudoVMSLTU_VX_MF8_MASK, PseudoVMSLTU_VX_MF8, PseudoVMSLTU_VX_MF8_MASK, 0x3 }, // 846
  { PseudoVMSLT_VV_M1_MASK, PseudoVMSLT_VV_M1, PseudoVMSLT_VV_M1_MASK, 0x3 }, // 847
  { PseudoVMSLT_VV_M2_MASK, PseudoVMSLT_VV_M2, PseudoVMSLT_VV_M2_MASK, 0x3 }, // 848
  { PseudoVMSLT_VV_M4_MASK, PseudoVMSLT_VV_M4, PseudoVMSLT_VV_M4_MASK, 0x3 }, // 849
  { PseudoVMSLT_VV_M8_MASK, PseudoVMSLT_VV_M8, PseudoVMSLT_VV_M8_MASK, 0x3 }, // 850
  { PseudoVMSLT_VV_MF2_MASK, PseudoVMSLT_VV_MF2, PseudoVMSLT_VV_MF2_MASK, 0x3 }, // 851
  { PseudoVMSLT_VV_MF4_MASK, PseudoVMSLT_VV_MF4, PseudoVMSLT_VV_MF4_MASK, 0x3 }, // 852
  { PseudoVMSLT_VV_MF8_MASK, PseudoVMSLT_VV_MF8, PseudoVMSLT_VV_MF8_MASK, 0x3 }, // 853
  { PseudoVMSLT_VX_M1_MASK, PseudoVMSLT_VX_M1, PseudoVMSLT_VX_M1_MASK, 0x3 }, // 854
  { PseudoVMSLT_VX_M2_MASK, PseudoVMSLT_VX_M2, PseudoVMSLT_VX_M2_MASK, 0x3 }, // 855
  { PseudoVMSLT_VX_M4_MASK, PseudoVMSLT_VX_M4, PseudoVMSLT_VX_M4_MASK, 0x3 }, // 856
  { PseudoVMSLT_VX_M8_MASK, PseudoVMSLT_VX_M8, PseudoVMSLT_VX_M8_MASK, 0x3 }, // 857
  { PseudoVMSLT_VX_MF2_MASK, PseudoVMSLT_VX_MF2, PseudoVMSLT_VX_MF2_MASK, 0x3 }, // 858
  { PseudoVMSLT_VX_MF4_MASK, PseudoVMSLT_VX_MF4, PseudoVMSLT_VX_MF4_MASK, 0x3 }, // 859
  { PseudoVMSLT_VX_MF8_MASK, PseudoVMSLT_VX_MF8, PseudoVMSLT_VX_MF8_MASK, 0x3 }, // 860
  { PseudoVMSNE_VI_M1_MASK, PseudoVMSNE_VI_M1, PseudoVMSNE_VI_M1_MASK, 0x3 }, // 861
  { PseudoVMSNE_VI_M2_MASK, PseudoVMSNE_VI_M2, PseudoVMSNE_VI_M2_MASK, 0x3 }, // 862
  { PseudoVMSNE_VI_M4_MASK, PseudoVMSNE_VI_M4, PseudoVMSNE_VI_M4_MASK, 0x3 }, // 863
  { PseudoVMSNE_VI_M8_MASK, PseudoVMSNE_VI_M8, PseudoVMSNE_VI_M8_MASK, 0x3 }, // 864
  { PseudoVMSNE_VI_MF2_MASK, PseudoVMSNE_VI_MF2, PseudoVMSNE_VI_MF2_MASK, 0x3 }, // 865
  { PseudoVMSNE_VI_MF4_MASK, PseudoVMSNE_VI_MF4, PseudoVMSNE_VI_MF4_MASK, 0x3 }, // 866
  { PseudoVMSNE_VI_MF8_MASK, PseudoVMSNE_VI_MF8, PseudoVMSNE_VI_MF8_MASK, 0x3 }, // 867
  { PseudoVMSNE_VV_M1_MASK, PseudoVMSNE_VV_M1, PseudoVMSNE_VV_M1_MASK, 0x3 }, // 868
  { PseudoVMSNE_VV_M2_MASK, PseudoVMSNE_VV_M2, PseudoVMSNE_VV_M2_MASK, 0x3 }, // 869
  { PseudoVMSNE_VV_M4_MASK, PseudoVMSNE_VV_M4, PseudoVMSNE_VV_M4_MASK, 0x3 }, // 870
  { PseudoVMSNE_VV_M8_MASK, PseudoVMSNE_VV_M8, PseudoVMSNE_VV_M8_MASK, 0x3 }, // 871
  { PseudoVMSNE_VV_MF2_MASK, PseudoVMSNE_VV_MF2, PseudoVMSNE_VV_MF2_MASK, 0x3 }, // 872
  { PseudoVMSNE_VV_MF4_MASK, PseudoVMSNE_VV_MF4, PseudoVMSNE_VV_MF4_MASK, 0x3 }, // 873
  { PseudoVMSNE_VV_MF8_MASK, PseudoVMSNE_VV_MF8, PseudoVMSNE_VV_MF8_MASK, 0x3 }, // 874
  { PseudoVMSNE_VX_M1_MASK, PseudoVMSNE_VX_M1, PseudoVMSNE_VX_M1_MASK, 0x3 }, // 875
  { PseudoVMSNE_VX_M2_MASK, PseudoVMSNE_VX_M2, PseudoVMSNE_VX_M2_MASK, 0x3 }, // 876
  { PseudoVMSNE_VX_M4_MASK, PseudoVMSNE_VX_M4, PseudoVMSNE_VX_M4_MASK, 0x3 }, // 877
  { PseudoVMSNE_VX_M8_MASK, PseudoVMSNE_VX_M8, PseudoVMSNE_VX_M8_MASK, 0x3 }, // 878
  { PseudoVMSNE_VX_MF2_MASK, PseudoVMSNE_VX_MF2, PseudoVMSNE_VX_MF2_MASK, 0x3 }, // 879
  { PseudoVMSNE_VX_MF4_MASK, PseudoVMSNE_VX_MF4, PseudoVMSNE_VX_MF4_MASK, 0x3 }, // 880
  { PseudoVMSNE_VX_MF8_MASK, PseudoVMSNE_VX_MF8, PseudoVMSNE_VX_MF8_MASK, 0x3 }, // 881
  { PseudoVMULHSU_VV_M1_MASK, PseudoVMULHSU_VV_M1, PseudoVMULHSU_VV_M1_TU, 0x3 }, // 882
  { PseudoVMULHSU_VV_M2_MASK, PseudoVMULHSU_VV_M2, PseudoVMULHSU_VV_M2_TU, 0x3 }, // 883
  { PseudoVMULHSU_VV_M4_MASK, PseudoVMULHSU_VV_M4, PseudoVMULHSU_VV_M4_TU, 0x3 }, // 884
  { PseudoVMULHSU_VV_M8_MASK, PseudoVMULHSU_VV_M8, PseudoVMULHSU_VV_M8_TU, 0x3 }, // 885
  { PseudoVMULHSU_VV_MF2_MASK, PseudoVMULHSU_VV_MF2, PseudoVMULHSU_VV_MF2_TU, 0x3 }, // 886
  { PseudoVMULHSU_VV_MF4_MASK, PseudoVMULHSU_VV_MF4, PseudoVMULHSU_VV_MF4_TU, 0x3 }, // 887
  { PseudoVMULHSU_VV_MF8_MASK, PseudoVMULHSU_VV_MF8, PseudoVMULHSU_VV_MF8_TU, 0x3 }, // 888
  { PseudoVMULHSU_VX_M1_MASK, PseudoVMULHSU_VX_M1, PseudoVMULHSU_VX_M1_TU, 0x3 }, // 889
  { PseudoVMULHSU_VX_M2_MASK, PseudoVMULHSU_VX_M2, PseudoVMULHSU_VX_M2_TU, 0x3 }, // 890
  { PseudoVMULHSU_VX_M4_MASK, PseudoVMULHSU_VX_M4, PseudoVMULHSU_VX_M4_TU, 0x3 }, // 891
  { PseudoVMULHSU_VX_M8_MASK, PseudoVMULHSU_VX_M8, PseudoVMULHSU_VX_M8_TU, 0x3 }, // 892
  { PseudoVMULHSU_VX_MF2_MASK, PseudoVMULHSU_VX_MF2, PseudoVMULHSU_VX_MF2_TU, 0x3 }, // 893
  { PseudoVMULHSU_VX_MF4_MASK, PseudoVMULHSU_VX_MF4, PseudoVMULHSU_VX_MF4_TU, 0x3 }, // 894
  { PseudoVMULHSU_VX_MF8_MASK, PseudoVMULHSU_VX_MF8, PseudoVMULHSU_VX_MF8_TU, 0x3 }, // 895
  { PseudoVMULHU_VV_M1_MASK, PseudoVMULHU_VV_M1, PseudoVMULHU_VV_M1_TU, 0x3 }, // 896
  { PseudoVMULHU_VV_M2_MASK, PseudoVMULHU_VV_M2, PseudoVMULHU_VV_M2_TU, 0x3 }, // 897
  { PseudoVMULHU_VV_M4_MASK, PseudoVMULHU_VV_M4, PseudoVMULHU_VV_M4_TU, 0x3 }, // 898
  { PseudoVMULHU_VV_M8_MASK, PseudoVMULHU_VV_M8, PseudoVMULHU_VV_M8_TU, 0x3 }, // 899
  { PseudoVMULHU_VV_MF2_MASK, PseudoVMULHU_VV_MF2, PseudoVMULHU_VV_MF2_TU, 0x3 }, // 900
  { PseudoVMULHU_VV_MF4_MASK, PseudoVMULHU_VV_MF4, PseudoVMULHU_VV_MF4_TU, 0x3 }, // 901
  { PseudoVMULHU_VV_MF8_MASK, PseudoVMULHU_VV_MF8, PseudoVMULHU_VV_MF8_TU, 0x3 }, // 902
  { PseudoVMULHU_VX_M1_MASK, PseudoVMULHU_VX_M1, PseudoVMULHU_VX_M1_TU, 0x3 }, // 903
  { PseudoVMULHU_VX_M2_MASK, PseudoVMULHU_VX_M2, PseudoVMULHU_VX_M2_TU, 0x3 }, // 904
  { PseudoVMULHU_VX_M4_MASK, PseudoVMULHU_VX_M4, PseudoVMULHU_VX_M4_TU, 0x3 }, // 905
  { PseudoVMULHU_VX_M8_MASK, PseudoVMULHU_VX_M8, PseudoVMULHU_VX_M8_TU, 0x3 }, // 906
  { PseudoVMULHU_VX_MF2_MASK, PseudoVMULHU_VX_MF2, PseudoVMULHU_VX_MF2_TU, 0x3 }, // 907
  { PseudoVMULHU_VX_MF4_MASK, PseudoVMULHU_VX_MF4, PseudoVMULHU_VX_MF4_TU, 0x3 }, // 908
  { PseudoVMULHU_VX_MF8_MASK, PseudoVMULHU_VX_MF8, PseudoVMULHU_VX_MF8_TU, 0x3 }, // 909
  { PseudoVMULH_VV_M1_MASK, PseudoVMULH_VV_M1, PseudoVMULH_VV_M1_TU, 0x3 }, // 910
  { PseudoVMULH_VV_M2_MASK, PseudoVMULH_VV_M2, PseudoVMULH_VV_M2_TU, 0x3 }, // 911
  { PseudoVMULH_VV_M4_MASK, PseudoVMULH_VV_M4, PseudoVMULH_VV_M4_TU, 0x3 }, // 912
  { PseudoVMULH_VV_M8_MASK, PseudoVMULH_VV_M8, PseudoVMULH_VV_M8_TU, 0x3 }, // 913
  { PseudoVMULH_VV_MF2_MASK, PseudoVMULH_VV_MF2, PseudoVMULH_VV_MF2_TU, 0x3 }, // 914
  { PseudoVMULH_VV_MF4_MASK, PseudoVMULH_VV_MF4, PseudoVMULH_VV_MF4_TU, 0x3 }, // 915
  { PseudoVMULH_VV_MF8_MASK, PseudoVMULH_VV_MF8, PseudoVMULH_VV_MF8_TU, 0x3 }, // 916
  { PseudoVMULH_VX_M1_MASK, PseudoVMULH_VX_M1, PseudoVMULH_VX_M1_TU, 0x3 }, // 917
  { PseudoVMULH_VX_M2_MASK, PseudoVMULH_VX_M2, PseudoVMULH_VX_M2_TU, 0x3 }, // 918
  { PseudoVMULH_VX_M4_MASK, PseudoVMULH_VX_M4, PseudoVMULH_VX_M4_TU, 0x3 }, // 919
  { PseudoVMULH_VX_M8_MASK, PseudoVMULH_VX_M8, PseudoVMULH_VX_M8_TU, 0x3 }, // 920
  { PseudoVMULH_VX_MF2_MASK, PseudoVMULH_VX_MF2, PseudoVMULH_VX_MF2_TU, 0x3 }, // 921
  { PseudoVMULH_VX_MF4_MASK, PseudoVMULH_VX_MF4, PseudoVMULH_VX_MF4_TU, 0x3 }, // 922
  { PseudoVMULH_VX_MF8_MASK, PseudoVMULH_VX_MF8, PseudoVMULH_VX_MF8_TU, 0x3 }, // 923
  { PseudoVMUL_VV_M1_MASK, PseudoVMUL_VV_M1, PseudoVMUL_VV_M1_TU, 0x3 }, // 924
  { PseudoVMUL_VV_M2_MASK, PseudoVMUL_VV_M2, PseudoVMUL_VV_M2_TU, 0x3 }, // 925
  { PseudoVMUL_VV_M4_MASK, PseudoVMUL_VV_M4, PseudoVMUL_VV_M4_TU, 0x3 }, // 926
  { PseudoVMUL_VV_M8_MASK, PseudoVMUL_VV_M8, PseudoVMUL_VV_M8_TU, 0x3 }, // 927
  { PseudoVMUL_VV_MF2_MASK, PseudoVMUL_VV_MF2, PseudoVMUL_VV_MF2_TU, 0x3 }, // 928
  { PseudoVMUL_VV_MF4_MASK, PseudoVMUL_VV_MF4, PseudoVMUL_VV_MF4_TU, 0x3 }, // 929
  { PseudoVMUL_VV_MF8_MASK, PseudoVMUL_VV_MF8, PseudoVMUL_VV_MF8_TU, 0x3 }, // 930
  { PseudoVMUL_VX_M1_MASK, PseudoVMUL_VX_M1, PseudoVMUL_VX_M1_TU, 0x3 }, // 931
  { PseudoVMUL_VX_M2_MASK, PseudoVMUL_VX_M2, PseudoVMUL_VX_M2_TU, 0x3 }, // 932
  { PseudoVMUL_VX_M4_MASK, PseudoVMUL_VX_M4, PseudoVMUL_VX_M4_TU, 0x3 }, // 933
  { PseudoVMUL_VX_M8_MASK, PseudoVMUL_VX_M8, PseudoVMUL_VX_M8_TU, 0x3 }, // 934
  { PseudoVMUL_VX_MF2_MASK, PseudoVMUL_VX_MF2, PseudoVMUL_VX_MF2_TU, 0x3 }, // 935
  { PseudoVMUL_VX_MF4_MASK, PseudoVMUL_VX_MF4, PseudoVMUL_VX_MF4_TU, 0x3 }, // 936
  { PseudoVMUL_VX_MF8_MASK, PseudoVMUL_VX_MF8, PseudoVMUL_VX_MF8_TU, 0x3 }, // 937
  { PseudoVNCLIPU_WI_M1_MASK, PseudoVNCLIPU_WI_M1, PseudoVNCLIPU_WI_M1_TU, 0x3 }, // 938
  { PseudoVNCLIPU_WI_M2_MASK, PseudoVNCLIPU_WI_M2, PseudoVNCLIPU_WI_M2_TU, 0x3 }, // 939
  { PseudoVNCLIPU_WI_M4_MASK, PseudoVNCLIPU_WI_M4, PseudoVNCLIPU_WI_M4_TU, 0x3 }, // 940
  { PseudoVNCLIPU_WI_MF2_MASK, PseudoVNCLIPU_WI_MF2, PseudoVNCLIPU_WI_MF2_TU, 0x3 }, // 941
  { PseudoVNCLIPU_WI_MF4_MASK, PseudoVNCLIPU_WI_MF4, PseudoVNCLIPU_WI_MF4_TU, 0x3 }, // 942
  { PseudoVNCLIPU_WI_MF8_MASK, PseudoVNCLIPU_WI_MF8, PseudoVNCLIPU_WI_MF8_TU, 0x3 }, // 943
  { PseudoVNCLIPU_WV_M1_MASK, PseudoVNCLIPU_WV_M1, PseudoVNCLIPU_WV_M1_TU, 0x3 }, // 944
  { PseudoVNCLIPU_WV_M2_MASK, PseudoVNCLIPU_WV_M2, PseudoVNCLIPU_WV_M2_TU, 0x3 }, // 945
  { PseudoVNCLIPU_WV_M4_MASK, PseudoVNCLIPU_WV_M4, PseudoVNCLIPU_WV_M4_TU, 0x3 }, // 946
  { PseudoVNCLIPU_WV_MF2_MASK, PseudoVNCLIPU_WV_MF2, PseudoVNCLIPU_WV_MF2_TU, 0x3 }, // 947
  { PseudoVNCLIPU_WV_MF4_MASK, PseudoVNCLIPU_WV_MF4, PseudoVNCLIPU_WV_MF4_TU, 0x3 }, // 948
  { PseudoVNCLIPU_WV_MF8_MASK, PseudoVNCLIPU_WV_MF8, PseudoVNCLIPU_WV_MF8_TU, 0x3 }, // 949
  { PseudoVNCLIPU_WX_M1_MASK, PseudoVNCLIPU_WX_M1, PseudoVNCLIPU_WX_M1_TU, 0x3 }, // 950
  { PseudoVNCLIPU_WX_M2_MASK, PseudoVNCLIPU_WX_M2, PseudoVNCLIPU_WX_M2_TU, 0x3 }, // 951
  { PseudoVNCLIPU_WX_M4_MASK, PseudoVNCLIPU_WX_M4, PseudoVNCLIPU_WX_M4_TU, 0x3 }, // 952
  { PseudoVNCLIPU_WX_MF2_MASK, PseudoVNCLIPU_WX_MF2, PseudoVNCLIPU_WX_MF2_TU, 0x3 }, // 953
  { PseudoVNCLIPU_WX_MF4_MASK, PseudoVNCLIPU_WX_MF4, PseudoVNCLIPU_WX_MF4_TU, 0x3 }, // 954
  { PseudoVNCLIPU_WX_MF8_MASK, PseudoVNCLIPU_WX_MF8, PseudoVNCLIPU_WX_MF8_TU, 0x3 }, // 955
  { PseudoVNCLIP_WI_M1_MASK, PseudoVNCLIP_WI_M1, PseudoVNCLIP_WI_M1_TU, 0x3 }, // 956
  { PseudoVNCLIP_WI_M2_MASK, PseudoVNCLIP_WI_M2, PseudoVNCLIP_WI_M2_TU, 0x3 }, // 957
  { PseudoVNCLIP_WI_M4_MASK, PseudoVNCLIP_WI_M4, PseudoVNCLIP_WI_M4_TU, 0x3 }, // 958
  { PseudoVNCLIP_WI_MF2_MASK, PseudoVNCLIP_WI_MF2, PseudoVNCLIP_WI_MF2_TU, 0x3 }, // 959
  { PseudoVNCLIP_WI_MF4_MASK, PseudoVNCLIP_WI_MF4, PseudoVNCLIP_WI_MF4_TU, 0x3 }, // 960
  { PseudoVNCLIP_WI_MF8_MASK, PseudoVNCLIP_WI_MF8, PseudoVNCLIP_WI_MF8_TU, 0x3 }, // 961
  { PseudoVNCLIP_WV_M1_MASK, PseudoVNCLIP_WV_M1, PseudoVNCLIP_WV_M1_TU, 0x3 }, // 962
  { PseudoVNCLIP_WV_M2_MASK, PseudoVNCLIP_WV_M2, PseudoVNCLIP_WV_M2_TU, 0x3 }, // 963
  { PseudoVNCLIP_WV_M4_MASK, PseudoVNCLIP_WV_M4, PseudoVNCLIP_WV_M4_TU, 0x3 }, // 964
  { PseudoVNCLIP_WV_MF2_MASK, PseudoVNCLIP_WV_MF2, PseudoVNCLIP_WV_MF2_TU, 0x3 }, // 965
  { PseudoVNCLIP_WV_MF4_MASK, PseudoVNCLIP_WV_MF4, PseudoVNCLIP_WV_MF4_TU, 0x3 }, // 966
  { PseudoVNCLIP_WV_MF8_MASK, PseudoVNCLIP_WV_MF8, PseudoVNCLIP_WV_MF8_TU, 0x3 }, // 967
  { PseudoVNCLIP_WX_M1_MASK, PseudoVNCLIP_WX_M1, PseudoVNCLIP_WX_M1_TU, 0x3 }, // 968
  { PseudoVNCLIP_WX_M2_MASK, PseudoVNCLIP_WX_M2, PseudoVNCLIP_WX_M2_TU, 0x3 }, // 969
  { PseudoVNCLIP_WX_M4_MASK, PseudoVNCLIP_WX_M4, PseudoVNCLIP_WX_M4_TU, 0x3 }, // 970
  { PseudoVNCLIP_WX_MF2_MASK, PseudoVNCLIP_WX_MF2, PseudoVNCLIP_WX_MF2_TU, 0x3 }, // 971
  { PseudoVNCLIP_WX_MF4_MASK, PseudoVNCLIP_WX_MF4, PseudoVNCLIP_WX_MF4_TU, 0x3 }, // 972
  { PseudoVNCLIP_WX_MF8_MASK, PseudoVNCLIP_WX_MF8, PseudoVNCLIP_WX_MF8_TU, 0x3 }, // 973
  { PseudoVNSRA_WI_M1_MASK, PseudoVNSRA_WI_M1, PseudoVNSRA_WI_M1_TU, 0x3 }, // 974
  { PseudoVNSRA_WI_M2_MASK, PseudoVNSRA_WI_M2, PseudoVNSRA_WI_M2_TU, 0x3 }, // 975
  { PseudoVNSRA_WI_M4_MASK, PseudoVNSRA_WI_M4, PseudoVNSRA_WI_M4_TU, 0x3 }, // 976
  { PseudoVNSRA_WI_MF2_MASK, PseudoVNSRA_WI_MF2, PseudoVNSRA_WI_MF2_TU, 0x3 }, // 977
  { PseudoVNSRA_WI_MF4_MASK, PseudoVNSRA_WI_MF4, PseudoVNSRA_WI_MF4_TU, 0x3 }, // 978
  { PseudoVNSRA_WI_MF8_MASK, PseudoVNSRA_WI_MF8, PseudoVNSRA_WI_MF8_TU, 0x3 }, // 979
  { PseudoVNSRA_WV_M1_MASK, PseudoVNSRA_WV_M1, PseudoVNSRA_WV_M1_TU, 0x3 }, // 980
  { PseudoVNSRA_WV_M2_MASK, PseudoVNSRA_WV_M2, PseudoVNSRA_WV_M2_TU, 0x3 }, // 981
  { PseudoVNSRA_WV_M4_MASK, PseudoVNSRA_WV_M4, PseudoVNSRA_WV_M4_TU, 0x3 }, // 982
  { PseudoVNSRA_WV_MF2_MASK, PseudoVNSRA_WV_MF2, PseudoVNSRA_WV_MF2_TU, 0x3 }, // 983
  { PseudoVNSRA_WV_MF4_MASK, PseudoVNSRA_WV_MF4, PseudoVNSRA_WV_MF4_TU, 0x3 }, // 984
  { PseudoVNSRA_WV_MF8_MASK, PseudoVNSRA_WV_MF8, PseudoVNSRA_WV_MF8_TU, 0x3 }, // 985
  { PseudoVNSRA_WX_M1_MASK, PseudoVNSRA_WX_M1, PseudoVNSRA_WX_M1_TU, 0x3 }, // 986
  { PseudoVNSRA_WX_M2_MASK, PseudoVNSRA_WX_M2, PseudoVNSRA_WX_M2_TU, 0x3 }, // 987
  { PseudoVNSRA_WX_M4_MASK, PseudoVNSRA_WX_M4, PseudoVNSRA_WX_M4_TU, 0x3 }, // 988
  { PseudoVNSRA_WX_MF2_MASK, PseudoVNSRA_WX_MF2, PseudoVNSRA_WX_MF2_TU, 0x3 }, // 989
  { PseudoVNSRA_WX_MF4_MASK, PseudoVNSRA_WX_MF4, PseudoVNSRA_WX_MF4_TU, 0x3 }, // 990
  { PseudoVNSRA_WX_MF8_MASK, PseudoVNSRA_WX_MF8, PseudoVNSRA_WX_MF8_TU, 0x3 }, // 991
  { PseudoVNSRL_WI_M1_MASK, PseudoVNSRL_WI_M1, PseudoVNSRL_WI_M1_TU, 0x3 }, // 992
  { PseudoVNSRL_WI_M2_MASK, PseudoVNSRL_WI_M2, PseudoVNSRL_WI_M2_TU, 0x3 }, // 993
  { PseudoVNSRL_WI_M4_MASK, PseudoVNSRL_WI_M4, PseudoVNSRL_WI_M4_TU, 0x3 }, // 994
  { PseudoVNSRL_WI_MF2_MASK, PseudoVNSRL_WI_MF2, PseudoVNSRL_WI_MF2_TU, 0x3 }, // 995
  { PseudoVNSRL_WI_MF4_MASK, PseudoVNSRL_WI_MF4, PseudoVNSRL_WI_MF4_TU, 0x3 }, // 996
  { PseudoVNSRL_WI_MF8_MASK, PseudoVNSRL_WI_MF8, PseudoVNSRL_WI_MF8_TU, 0x3 }, // 997
  { PseudoVNSRL_WV_M1_MASK, PseudoVNSRL_WV_M1, PseudoVNSRL_WV_M1_TU, 0x3 }, // 998
  { PseudoVNSRL_WV_M2_MASK, PseudoVNSRL_WV_M2, PseudoVNSRL_WV_M2_TU, 0x3 }, // 999
  { PseudoVNSRL_WV_M4_MASK, PseudoVNSRL_WV_M4, PseudoVNSRL_WV_M4_TU, 0x3 }, // 1000
  { PseudoVNSRL_WV_MF2_MASK, PseudoVNSRL_WV_MF2, PseudoVNSRL_WV_MF2_TU, 0x3 }, // 1001
  { PseudoVNSRL_WV_MF4_MASK, PseudoVNSRL_WV_MF4, PseudoVNSRL_WV_MF4_TU, 0x3 }, // 1002
  { PseudoVNSRL_WV_MF8_MASK, PseudoVNSRL_WV_MF8, PseudoVNSRL_WV_MF8_TU, 0x3 }, // 1003
  { PseudoVNSRL_WX_M1_MASK, PseudoVNSRL_WX_M1, PseudoVNSRL_WX_M1_TU, 0x3 }, // 1004
  { PseudoVNSRL_WX_M2_MASK, PseudoVNSRL_WX_M2, PseudoVNSRL_WX_M2_TU, 0x3 }, // 1005
  { PseudoVNSRL_WX_M4_MASK, PseudoVNSRL_WX_M4, PseudoVNSRL_WX_M4_TU, 0x3 }, // 1006
  { PseudoVNSRL_WX_MF2_MASK, PseudoVNSRL_WX_MF2, PseudoVNSRL_WX_MF2_TU, 0x3 }, // 1007
  { PseudoVNSRL_WX_MF4_MASK, PseudoVNSRL_WX_MF4, PseudoVNSRL_WX_MF4_TU, 0x3 }, // 1008
  { PseudoVNSRL_WX_MF8_MASK, PseudoVNSRL_WX_MF8, PseudoVNSRL_WX_MF8_TU, 0x3 }, // 1009
  { PseudoVOR_VI_M1_MASK, PseudoVOR_VI_M1, PseudoVOR_VI_M1_TU, 0x3 }, // 1010
  { PseudoVOR_VI_M2_MASK, PseudoVOR_VI_M2, PseudoVOR_VI_M2_TU, 0x3 }, // 1011
  { PseudoVOR_VI_M4_MASK, PseudoVOR_VI_M4, PseudoVOR_VI_M4_TU, 0x3 }, // 1012
  { PseudoVOR_VI_M8_MASK, PseudoVOR_VI_M8, PseudoVOR_VI_M8_TU, 0x3 }, // 1013
  { PseudoVOR_VI_MF2_MASK, PseudoVOR_VI_MF2, PseudoVOR_VI_MF2_TU, 0x3 }, // 1014
  { PseudoVOR_VI_MF4_MASK, PseudoVOR_VI_MF4, PseudoVOR_VI_MF4_TU, 0x3 }, // 1015
  { PseudoVOR_VI_MF8_MASK, PseudoVOR_VI_MF8, PseudoVOR_VI_MF8_TU, 0x3 }, // 1016
  { PseudoVOR_VV_M1_MASK, PseudoVOR_VV_M1, PseudoVOR_VV_M1_TU, 0x3 }, // 1017
  { PseudoVOR_VV_M2_MASK, PseudoVOR_VV_M2, PseudoVOR_VV_M2_TU, 0x3 }, // 1018
  { PseudoVOR_VV_M4_MASK, PseudoVOR_VV_M4, PseudoVOR_VV_M4_TU, 0x3 }, // 1019
  { PseudoVOR_VV_M8_MASK, PseudoVOR_VV_M8, PseudoVOR_VV_M8_TU, 0x3 }, // 1020
  { PseudoVOR_VV_MF2_MASK, PseudoVOR_VV_MF2, PseudoVOR_VV_MF2_TU, 0x3 }, // 1021
  { PseudoVOR_VV_MF4_MASK, PseudoVOR_VV_MF4, PseudoVOR_VV_MF4_TU, 0x3 }, // 1022
  { PseudoVOR_VV_MF8_MASK, PseudoVOR_VV_MF8, PseudoVOR_VV_MF8_TU, 0x3 }, // 1023
  { PseudoVOR_VX_M1_MASK, PseudoVOR_VX_M1, PseudoVOR_VX_M1_TU, 0x3 }, // 1024
  { PseudoVOR_VX_M2_MASK, PseudoVOR_VX_M2, PseudoVOR_VX_M2_TU, 0x3 }, // 1025
  { PseudoVOR_VX_M4_MASK, PseudoVOR_VX_M4, PseudoVOR_VX_M4_TU, 0x3 }, // 1026
  { PseudoVOR_VX_M8_MASK, PseudoVOR_VX_M8, PseudoVOR_VX_M8_TU, 0x3 }, // 1027
  { PseudoVOR_VX_MF2_MASK, PseudoVOR_VX_MF2, PseudoVOR_VX_MF2_TU, 0x3 }, // 1028
  { PseudoVOR_VX_MF4_MASK, PseudoVOR_VX_MF4, PseudoVOR_VX_MF4_TU, 0x3 }, // 1029
  { PseudoVOR_VX_MF8_MASK, PseudoVOR_VX_MF8, PseudoVOR_VX_MF8_TU, 0x3 }, // 1030
  { PseudoVREMU_VV_M1_MASK, PseudoVREMU_VV_M1, PseudoVREMU_VV_M1_TU, 0x3 }, // 1031
  { PseudoVREMU_VV_M2_MASK, PseudoVREMU_VV_M2, PseudoVREMU_VV_M2_TU, 0x3 }, // 1032
  { PseudoVREMU_VV_M4_MASK, PseudoVREMU_VV_M4, PseudoVREMU_VV_M4_TU, 0x3 }, // 1033
  { PseudoVREMU_VV_M8_MASK, PseudoVREMU_VV_M8, PseudoVREMU_VV_M8_TU, 0x3 }, // 1034
  { PseudoVREMU_VV_MF2_MASK, PseudoVREMU_VV_MF2, PseudoVREMU_VV_MF2_TU, 0x3 }, // 1035
  { PseudoVREMU_VV_MF4_MASK, PseudoVREMU_VV_MF4, PseudoVREMU_VV_MF4_TU, 0x3 }, // 1036
  { PseudoVREMU_VV_MF8_MASK, PseudoVREMU_VV_MF8, PseudoVREMU_VV_MF8_TU, 0x3 }, // 1037
  { PseudoVREMU_VX_M1_MASK, PseudoVREMU_VX_M1, PseudoVREMU_VX_M1_TU, 0x3 }, // 1038
  { PseudoVREMU_VX_M2_MASK, PseudoVREMU_VX_M2, PseudoVREMU_VX_M2_TU, 0x3 }, // 1039
  { PseudoVREMU_VX_M4_MASK, PseudoVREMU_VX_M4, PseudoVREMU_VX_M4_TU, 0x3 }, // 1040
  { PseudoVREMU_VX_M8_MASK, PseudoVREMU_VX_M8, PseudoVREMU_VX_M8_TU, 0x3 }, // 1041
  { PseudoVREMU_VX_MF2_MASK, PseudoVREMU_VX_MF2, PseudoVREMU_VX_MF2_TU, 0x3 }, // 1042
  { PseudoVREMU_VX_MF4_MASK, PseudoVREMU_VX_MF4, PseudoVREMU_VX_MF4_TU, 0x3 }, // 1043
  { PseudoVREMU_VX_MF8_MASK, PseudoVREMU_VX_MF8, PseudoVREMU_VX_MF8_TU, 0x3 }, // 1044
  { PseudoVREM_VV_M1_MASK, PseudoVREM_VV_M1, PseudoVREM_VV_M1_TU, 0x3 }, // 1045
  { PseudoVREM_VV_M2_MASK, PseudoVREM_VV_M2, PseudoVREM_VV_M2_TU, 0x3 }, // 1046
  { PseudoVREM_VV_M4_MASK, PseudoVREM_VV_M4, PseudoVREM_VV_M4_TU, 0x3 }, // 1047
  { PseudoVREM_VV_M8_MASK, PseudoVREM_VV_M8, PseudoVREM_VV_M8_TU, 0x3 }, // 1048
  { PseudoVREM_VV_MF2_MASK, PseudoVREM_VV_MF2, PseudoVREM_VV_MF2_TU, 0x3 }, // 1049
  { PseudoVREM_VV_MF4_MASK, PseudoVREM_VV_MF4, PseudoVREM_VV_MF4_TU, 0x3 }, // 1050
  { PseudoVREM_VV_MF8_MASK, PseudoVREM_VV_MF8, PseudoVREM_VV_MF8_TU, 0x3 }, // 1051
  { PseudoVREM_VX_M1_MASK, PseudoVREM_VX_M1, PseudoVREM_VX_M1_TU, 0x3 }, // 1052
  { PseudoVREM_VX_M2_MASK, PseudoVREM_VX_M2, PseudoVREM_VX_M2_TU, 0x3 }, // 1053
  { PseudoVREM_VX_M4_MASK, PseudoVREM_VX_M4, PseudoVREM_VX_M4_TU, 0x3 }, // 1054
  { PseudoVREM_VX_M8_MASK, PseudoVREM_VX_M8, PseudoVREM_VX_M8_TU, 0x3 }, // 1055
  { PseudoVREM_VX_MF2_MASK, PseudoVREM_VX_MF2, PseudoVREM_VX_MF2_TU, 0x3 }, // 1056
  { PseudoVREM_VX_MF4_MASK, PseudoVREM_VX_MF4, PseudoVREM_VX_MF4_TU, 0x3 }, // 1057
  { PseudoVREM_VX_MF8_MASK, PseudoVREM_VX_MF8, PseudoVREM_VX_MF8_TU, 0x3 }, // 1058
  { PseudoVRGATHEREI16_VV_M1_M1_MASK, PseudoVRGATHEREI16_VV_M1_M1, PseudoVRGATHEREI16_VV_M1_M1_TU, 0x3 }, // 1059
  { PseudoVRGATHEREI16_VV_M1_M2_MASK, PseudoVRGATHEREI16_VV_M1_M2, PseudoVRGATHEREI16_VV_M1_M2_TU, 0x3 }, // 1060
  { PseudoVRGATHEREI16_VV_M1_MF2_MASK, PseudoVRGATHEREI16_VV_M1_MF2, PseudoVRGATHEREI16_VV_M1_MF2_TU, 0x3 }, // 1061
  { PseudoVRGATHEREI16_VV_M1_MF4_MASK, PseudoVRGATHEREI16_VV_M1_MF4, PseudoVRGATHEREI16_VV_M1_MF4_TU, 0x3 }, // 1062
  { PseudoVRGATHEREI16_VV_M2_M1_MASK, PseudoVRGATHEREI16_VV_M2_M1, PseudoVRGATHEREI16_VV_M2_M1_TU, 0x3 }, // 1063
  { PseudoVRGATHEREI16_VV_M2_M2_MASK, PseudoVRGATHEREI16_VV_M2_M2, PseudoVRGATHEREI16_VV_M2_M2_TU, 0x3 }, // 1064
  { PseudoVRGATHEREI16_VV_M2_M4_MASK, PseudoVRGATHEREI16_VV_M2_M4, PseudoVRGATHEREI16_VV_M2_M4_TU, 0x3 }, // 1065
  { PseudoVRGATHEREI16_VV_M2_MF2_MASK, PseudoVRGATHEREI16_VV_M2_MF2, PseudoVRGATHEREI16_VV_M2_MF2_TU, 0x3 }, // 1066
  { PseudoVRGATHEREI16_VV_M4_M1_MASK, PseudoVRGATHEREI16_VV_M4_M1, PseudoVRGATHEREI16_VV_M4_M1_TU, 0x3 }, // 1067
  { PseudoVRGATHEREI16_VV_M4_M2_MASK, PseudoVRGATHEREI16_VV_M4_M2, PseudoVRGATHEREI16_VV_M4_M2_TU, 0x3 }, // 1068
  { PseudoVRGATHEREI16_VV_M4_M4_MASK, PseudoVRGATHEREI16_VV_M4_M4, PseudoVRGATHEREI16_VV_M4_M4_TU, 0x3 }, // 1069
  { PseudoVRGATHEREI16_VV_M4_M8_MASK, PseudoVRGATHEREI16_VV_M4_M8, PseudoVRGATHEREI16_VV_M4_M8_TU, 0x3 }, // 1070
  { PseudoVRGATHEREI16_VV_M8_M2_MASK, PseudoVRGATHEREI16_VV_M8_M2, PseudoVRGATHEREI16_VV_M8_M2_TU, 0x3 }, // 1071
  { PseudoVRGATHEREI16_VV_M8_M4_MASK, PseudoVRGATHEREI16_VV_M8_M4, PseudoVRGATHEREI16_VV_M8_M4_TU, 0x3 }, // 1072
  { PseudoVRGATHEREI16_VV_M8_M8_MASK, PseudoVRGATHEREI16_VV_M8_M8, PseudoVRGATHEREI16_VV_M8_M8_TU, 0x3 }, // 1073
  { PseudoVRGATHEREI16_VV_MF2_M1_MASK, PseudoVRGATHEREI16_VV_MF2_M1, PseudoVRGATHEREI16_VV_MF2_M1_TU, 0x3 }, // 1074
  { PseudoVRGATHEREI16_VV_MF2_MF2_MASK, PseudoVRGATHEREI16_VV_MF2_MF2, PseudoVRGATHEREI16_VV_MF2_MF2_TU, 0x3 }, // 1075
  { PseudoVRGATHEREI16_VV_MF2_MF4_MASK, PseudoVRGATHEREI16_VV_MF2_MF4, PseudoVRGATHEREI16_VV_MF2_MF4_TU, 0x3 }, // 1076
  { PseudoVRGATHEREI16_VV_MF2_MF8_MASK, PseudoVRGATHEREI16_VV_MF2_MF8, PseudoVRGATHEREI16_VV_MF2_MF8_TU, 0x3 }, // 1077
  { PseudoVRGATHEREI16_VV_MF4_MF2_MASK, PseudoVRGATHEREI16_VV_MF4_MF2, PseudoVRGATHEREI16_VV_MF4_MF2_TU, 0x3 }, // 1078
  { PseudoVRGATHEREI16_VV_MF4_MF4_MASK, PseudoVRGATHEREI16_VV_MF4_MF4, PseudoVRGATHEREI16_VV_MF4_MF4_TU, 0x3 }, // 1079
  { PseudoVRGATHEREI16_VV_MF4_MF8_MASK, PseudoVRGATHEREI16_VV_MF4_MF8, PseudoVRGATHEREI16_VV_MF4_MF8_TU, 0x3 }, // 1080
  { PseudoVRGATHEREI16_VV_MF8_MF4_MASK, PseudoVRGATHEREI16_VV_MF8_MF4, PseudoVRGATHEREI16_VV_MF8_MF4_TU, 0x3 }, // 1081
  { PseudoVRGATHEREI16_VV_MF8_MF8_MASK, PseudoVRGATHEREI16_VV_MF8_MF8, PseudoVRGATHEREI16_VV_MF8_MF8_TU, 0x3 }, // 1082
  { PseudoVRGATHER_VI_M1_MASK, PseudoVRGATHER_VI_M1, PseudoVRGATHER_VI_M1_TU, 0x3 }, // 1083
  { PseudoVRGATHER_VI_M2_MASK, PseudoVRGATHER_VI_M2, PseudoVRGATHER_VI_M2_TU, 0x3 }, // 1084
  { PseudoVRGATHER_VI_M4_MASK, PseudoVRGATHER_VI_M4, PseudoVRGATHER_VI_M4_TU, 0x3 }, // 1085
  { PseudoVRGATHER_VI_M8_MASK, PseudoVRGATHER_VI_M8, PseudoVRGATHER_VI_M8_TU, 0x3 }, // 1086
  { PseudoVRGATHER_VI_MF2_MASK, PseudoVRGATHER_VI_MF2, PseudoVRGATHER_VI_MF2_TU, 0x3 }, // 1087
  { PseudoVRGATHER_VI_MF4_MASK, PseudoVRGATHER_VI_MF4, PseudoVRGATHER_VI_MF4_TU, 0x3 }, // 1088
  { PseudoVRGATHER_VI_MF8_MASK, PseudoVRGATHER_VI_MF8, PseudoVRGATHER_VI_MF8_TU, 0x3 }, // 1089
  { PseudoVRGATHER_VV_M1_MASK, PseudoVRGATHER_VV_M1, PseudoVRGATHER_VV_M1_TU, 0x3 }, // 1090
  { PseudoVRGATHER_VV_M2_MASK, PseudoVRGATHER_VV_M2, PseudoVRGATHER_VV_M2_TU, 0x3 }, // 1091
  { PseudoVRGATHER_VV_M4_MASK, PseudoVRGATHER_VV_M4, PseudoVRGATHER_VV_M4_TU, 0x3 }, // 1092
  { PseudoVRGATHER_VV_M8_MASK, PseudoVRGATHER_VV_M8, PseudoVRGATHER_VV_M8_TU, 0x3 }, // 1093
  { PseudoVRGATHER_VV_MF2_MASK, PseudoVRGATHER_VV_MF2, PseudoVRGATHER_VV_MF2_TU, 0x3 }, // 1094
  { PseudoVRGATHER_VV_MF4_MASK, PseudoVRGATHER_VV_MF4, PseudoVRGATHER_VV_MF4_TU, 0x3 }, // 1095
  { PseudoVRGATHER_VV_MF8_MASK, PseudoVRGATHER_VV_MF8, PseudoVRGATHER_VV_MF8_TU, 0x3 }, // 1096
  { PseudoVRGATHER_VX_M1_MASK, PseudoVRGATHER_VX_M1, PseudoVRGATHER_VX_M1_TU, 0x3 }, // 1097
  { PseudoVRGATHER_VX_M2_MASK, PseudoVRGATHER_VX_M2, PseudoVRGATHER_VX_M2_TU, 0x3 }, // 1098
  { PseudoVRGATHER_VX_M4_MASK, PseudoVRGATHER_VX_M4, PseudoVRGATHER_VX_M4_TU, 0x3 }, // 1099
  { PseudoVRGATHER_VX_M8_MASK, PseudoVRGATHER_VX_M8, PseudoVRGATHER_VX_M8_TU, 0x3 }, // 1100
  { PseudoVRGATHER_VX_MF2_MASK, PseudoVRGATHER_VX_MF2, PseudoVRGATHER_VX_MF2_TU, 0x3 }, // 1101
  { PseudoVRGATHER_VX_MF4_MASK, PseudoVRGATHER_VX_MF4, PseudoVRGATHER_VX_MF4_TU, 0x3 }, // 1102
  { PseudoVRGATHER_VX_MF8_MASK, PseudoVRGATHER_VX_MF8, PseudoVRGATHER_VX_MF8_TU, 0x3 }, // 1103
  { PseudoVRSUB_VI_M1_MASK, PseudoVRSUB_VI_M1, PseudoVRSUB_VI_M1_TU, 0x3 }, // 1104
  { PseudoVRSUB_VI_M2_MASK, PseudoVRSUB_VI_M2, PseudoVRSUB_VI_M2_TU, 0x3 }, // 1105
  { PseudoVRSUB_VI_M4_MASK, PseudoVRSUB_VI_M4, PseudoVRSUB_VI_M4_TU, 0x3 }, // 1106
  { PseudoVRSUB_VI_M8_MASK, PseudoVRSUB_VI_M8, PseudoVRSUB_VI_M8_TU, 0x3 }, // 1107
  { PseudoVRSUB_VI_MF2_MASK, PseudoVRSUB_VI_MF2, PseudoVRSUB_VI_MF2_TU, 0x3 }, // 1108
  { PseudoVRSUB_VI_MF4_MASK, PseudoVRSUB_VI_MF4, PseudoVRSUB_VI_MF4_TU, 0x3 }, // 1109
  { PseudoVRSUB_VI_MF8_MASK, PseudoVRSUB_VI_MF8, PseudoVRSUB_VI_MF8_TU, 0x3 }, // 1110
  { PseudoVRSUB_VX_M1_MASK, PseudoVRSUB_VX_M1, PseudoVRSUB_VX_M1_TU, 0x3 }, // 1111
  { PseudoVRSUB_VX_M2_MASK, PseudoVRSUB_VX_M2, PseudoVRSUB_VX_M2_TU, 0x3 }, // 1112
  { PseudoVRSUB_VX_M4_MASK, PseudoVRSUB_VX_M4, PseudoVRSUB_VX_M4_TU, 0x3 }, // 1113
  { PseudoVRSUB_VX_M8_MASK, PseudoVRSUB_VX_M8, PseudoVRSUB_VX_M8_TU, 0x3 }, // 1114
  { PseudoVRSUB_VX_MF2_MASK, PseudoVRSUB_VX_MF2, PseudoVRSUB_VX_MF2_TU, 0x3 }, // 1115
  { PseudoVRSUB_VX_MF4_MASK, PseudoVRSUB_VX_MF4, PseudoVRSUB_VX_MF4_TU, 0x3 }, // 1116
  { PseudoVRSUB_VX_MF8_MASK, PseudoVRSUB_VX_MF8, PseudoVRSUB_VX_MF8_TU, 0x3 }, // 1117
  { PseudoVSADDU_VI_M1_MASK, PseudoVSADDU_VI_M1, PseudoVSADDU_VI_M1_TU, 0x3 }, // 1118
  { PseudoVSADDU_VI_M2_MASK, PseudoVSADDU_VI_M2, PseudoVSADDU_VI_M2_TU, 0x3 }, // 1119
  { PseudoVSADDU_VI_M4_MASK, PseudoVSADDU_VI_M4, PseudoVSADDU_VI_M4_TU, 0x3 }, // 1120
  { PseudoVSADDU_VI_M8_MASK, PseudoVSADDU_VI_M8, PseudoVSADDU_VI_M8_TU, 0x3 }, // 1121
  { PseudoVSADDU_VI_MF2_MASK, PseudoVSADDU_VI_MF2, PseudoVSADDU_VI_MF2_TU, 0x3 }, // 1122
  { PseudoVSADDU_VI_MF4_MASK, PseudoVSADDU_VI_MF4, PseudoVSADDU_VI_MF4_TU, 0x3 }, // 1123
  { PseudoVSADDU_VI_MF8_MASK, PseudoVSADDU_VI_MF8, PseudoVSADDU_VI_MF8_TU, 0x3 }, // 1124
  { PseudoVSADDU_VV_M1_MASK, PseudoVSADDU_VV_M1, PseudoVSADDU_VV_M1_TU, 0x3 }, // 1125
  { PseudoVSADDU_VV_M2_MASK, PseudoVSADDU_VV_M2, PseudoVSADDU_VV_M2_TU, 0x3 }, // 1126
  { PseudoVSADDU_VV_M4_MASK, PseudoVSADDU_VV_M4, PseudoVSADDU_VV_M4_TU, 0x3 }, // 1127
  { PseudoVSADDU_VV_M8_MASK, PseudoVSADDU_VV_M8, PseudoVSADDU_VV_M8_TU, 0x3 }, // 1128
  { PseudoVSADDU_VV_MF2_MASK, PseudoVSADDU_VV_MF2, PseudoVSADDU_VV_MF2_TU, 0x3 }, // 1129
  { PseudoVSADDU_VV_MF4_MASK, PseudoVSADDU_VV_MF4, PseudoVSADDU_VV_MF4_TU, 0x3 }, // 1130
  { PseudoVSADDU_VV_MF8_MASK, PseudoVSADDU_VV_MF8, PseudoVSADDU_VV_MF8_TU, 0x3 }, // 1131
  { PseudoVSADDU_VX_M1_MASK, PseudoVSADDU_VX_M1, PseudoVSADDU_VX_M1_TU, 0x3 }, // 1132
  { PseudoVSADDU_VX_M2_MASK, PseudoVSADDU_VX_M2, PseudoVSADDU_VX_M2_TU, 0x3 }, // 1133
  { PseudoVSADDU_VX_M4_MASK, PseudoVSADDU_VX_M4, PseudoVSADDU_VX_M4_TU, 0x3 }, // 1134
  { PseudoVSADDU_VX_M8_MASK, PseudoVSADDU_VX_M8, PseudoVSADDU_VX_M8_TU, 0x3 }, // 1135
  { PseudoVSADDU_VX_MF2_MASK, PseudoVSADDU_VX_MF2, PseudoVSADDU_VX_MF2_TU, 0x3 }, // 1136
  { PseudoVSADDU_VX_MF4_MASK, PseudoVSADDU_VX_MF4, PseudoVSADDU_VX_MF4_TU, 0x3 }, // 1137
  { PseudoVSADDU_VX_MF8_MASK, PseudoVSADDU_VX_MF8, PseudoVSADDU_VX_MF8_TU, 0x3 }, // 1138
  { PseudoVSADD_VI_M1_MASK, PseudoVSADD_VI_M1, PseudoVSADD_VI_M1_TU, 0x3 }, // 1139
  { PseudoVSADD_VI_M2_MASK, PseudoVSADD_VI_M2, PseudoVSADD_VI_M2_TU, 0x3 }, // 1140
  { PseudoVSADD_VI_M4_MASK, PseudoVSADD_VI_M4, PseudoVSADD_VI_M4_TU, 0x3 }, // 1141
  { PseudoVSADD_VI_M8_MASK, PseudoVSADD_VI_M8, PseudoVSADD_VI_M8_TU, 0x3 }, // 1142
  { PseudoVSADD_VI_MF2_MASK, PseudoVSADD_VI_MF2, PseudoVSADD_VI_MF2_TU, 0x3 }, // 1143
  { PseudoVSADD_VI_MF4_MASK, PseudoVSADD_VI_MF4, PseudoVSADD_VI_MF4_TU, 0x3 }, // 1144
  { PseudoVSADD_VI_MF8_MASK, PseudoVSADD_VI_MF8, PseudoVSADD_VI_MF8_TU, 0x3 }, // 1145
  { PseudoVSADD_VV_M1_MASK, PseudoVSADD_VV_M1, PseudoVSADD_VV_M1_TU, 0x3 }, // 1146
  { PseudoVSADD_VV_M2_MASK, PseudoVSADD_VV_M2, PseudoVSADD_VV_M2_TU, 0x3 }, // 1147
  { PseudoVSADD_VV_M4_MASK, PseudoVSADD_VV_M4, PseudoVSADD_VV_M4_TU, 0x3 }, // 1148
  { PseudoVSADD_VV_M8_MASK, PseudoVSADD_VV_M8, PseudoVSADD_VV_M8_TU, 0x3 }, // 1149
  { PseudoVSADD_VV_MF2_MASK, PseudoVSADD_VV_MF2, PseudoVSADD_VV_MF2_TU, 0x3 }, // 1150
  { PseudoVSADD_VV_MF4_MASK, PseudoVSADD_VV_MF4, PseudoVSADD_VV_MF4_TU, 0x3 }, // 1151
  { PseudoVSADD_VV_MF8_MASK, PseudoVSADD_VV_MF8, PseudoVSADD_VV_MF8_TU, 0x3 }, // 1152
  { PseudoVSADD_VX_M1_MASK, PseudoVSADD_VX_M1, PseudoVSADD_VX_M1_TU, 0x3 }, // 1153
  { PseudoVSADD_VX_M2_MASK, PseudoVSADD_VX_M2, PseudoVSADD_VX_M2_TU, 0x3 }, // 1154
  { PseudoVSADD_VX_M4_MASK, PseudoVSADD_VX_M4, PseudoVSADD_VX_M4_TU, 0x3 }, // 1155
  { PseudoVSADD_VX_M8_MASK, PseudoVSADD_VX_M8, PseudoVSADD_VX_M8_TU, 0x3 }, // 1156
  { PseudoVSADD_VX_MF2_MASK, PseudoVSADD_VX_MF2, PseudoVSADD_VX_MF2_TU, 0x3 }, // 1157
  { PseudoVSADD_VX_MF4_MASK, PseudoVSADD_VX_MF4, PseudoVSADD_VX_MF4_TU, 0x3 }, // 1158
  { PseudoVSADD_VX_MF8_MASK, PseudoVSADD_VX_MF8, PseudoVSADD_VX_MF8_TU, 0x3 }, // 1159
  { PseudoVSEXT_VF2_M1_MASK, PseudoVSEXT_VF2_M1, PseudoVSEXT_VF2_M1_TU, 0x2 }, // 1160
  { PseudoVSEXT_VF2_M2_MASK, PseudoVSEXT_VF2_M2, PseudoVSEXT_VF2_M2_TU, 0x2 }, // 1161
  { PseudoVSEXT_VF2_M4_MASK, PseudoVSEXT_VF2_M4, PseudoVSEXT_VF2_M4_TU, 0x2 }, // 1162
  { PseudoVSEXT_VF2_M8_MASK, PseudoVSEXT_VF2_M8, PseudoVSEXT_VF2_M8_TU, 0x2 }, // 1163
  { PseudoVSEXT_VF2_MF2_MASK, PseudoVSEXT_VF2_MF2, PseudoVSEXT_VF2_MF2_TU, 0x2 }, // 1164
  { PseudoVSEXT_VF2_MF4_MASK, PseudoVSEXT_VF2_MF4, PseudoVSEXT_VF2_MF4_TU, 0x2 }, // 1165
  { PseudoVSEXT_VF4_M1_MASK, PseudoVSEXT_VF4_M1, PseudoVSEXT_VF4_M1_TU, 0x2 }, // 1166
  { PseudoVSEXT_VF4_M2_MASK, PseudoVSEXT_VF4_M2, PseudoVSEXT_VF4_M2_TU, 0x2 }, // 1167
  { PseudoVSEXT_VF4_M4_MASK, PseudoVSEXT_VF4_M4, PseudoVSEXT_VF4_M4_TU, 0x2 }, // 1168
  { PseudoVSEXT_VF4_M8_MASK, PseudoVSEXT_VF4_M8, PseudoVSEXT_VF4_M8_TU, 0x2 }, // 1169
  { PseudoVSEXT_VF4_MF2_MASK, PseudoVSEXT_VF4_MF2, PseudoVSEXT_VF4_MF2_TU, 0x2 }, // 1170
  { PseudoVSEXT_VF8_M1_MASK, PseudoVSEXT_VF8_M1, PseudoVSEXT_VF8_M1_TU, 0x2 }, // 1171
  { PseudoVSEXT_VF8_M2_MASK, PseudoVSEXT_VF8_M2, PseudoVSEXT_VF8_M2_TU, 0x2 }, // 1172
  { PseudoVSEXT_VF8_M4_MASK, PseudoVSEXT_VF8_M4, PseudoVSEXT_VF8_M4_TU, 0x2 }, // 1173
  { PseudoVSEXT_VF8_M8_MASK, PseudoVSEXT_VF8_M8, PseudoVSEXT_VF8_M8_TU, 0x2 }, // 1174
  { PseudoVSLIDE1DOWN_VX_M1_MASK, PseudoVSLIDE1DOWN_VX_M1, PseudoVSLIDE1DOWN_VX_M1_TU, 0x3 }, // 1175
  { PseudoVSLIDE1DOWN_VX_M2_MASK, PseudoVSLIDE1DOWN_VX_M2, PseudoVSLIDE1DOWN_VX_M2_TU, 0x3 }, // 1176
  { PseudoVSLIDE1DOWN_VX_M4_MASK, PseudoVSLIDE1DOWN_VX_M4, PseudoVSLIDE1DOWN_VX_M4_TU, 0x3 }, // 1177
  { PseudoVSLIDE1DOWN_VX_M8_MASK, PseudoVSLIDE1DOWN_VX_M8, PseudoVSLIDE1DOWN_VX_M8_TU, 0x3 }, // 1178
  { PseudoVSLIDE1DOWN_VX_MF2_MASK, PseudoVSLIDE1DOWN_VX_MF2, PseudoVSLIDE1DOWN_VX_MF2_TU, 0x3 }, // 1179
  { PseudoVSLIDE1DOWN_VX_MF4_MASK, PseudoVSLIDE1DOWN_VX_MF4, PseudoVSLIDE1DOWN_VX_MF4_TU, 0x3 }, // 1180
  { PseudoVSLIDE1DOWN_VX_MF8_MASK, PseudoVSLIDE1DOWN_VX_MF8, PseudoVSLIDE1DOWN_VX_MF8_TU, 0x3 }, // 1181
  { PseudoVSLIDE1UP_VX_M1_MASK, PseudoVSLIDE1UP_VX_M1, PseudoVSLIDE1UP_VX_M1_TU, 0x3 }, // 1182
  { PseudoVSLIDE1UP_VX_M2_MASK, PseudoVSLIDE1UP_VX_M2, PseudoVSLIDE1UP_VX_M2_TU, 0x3 }, // 1183
  { PseudoVSLIDE1UP_VX_M4_MASK, PseudoVSLIDE1UP_VX_M4, PseudoVSLIDE1UP_VX_M4_TU, 0x3 }, // 1184
  { PseudoVSLIDE1UP_VX_M8_MASK, PseudoVSLIDE1UP_VX_M8, PseudoVSLIDE1UP_VX_M8_TU, 0x3 }, // 1185
  { PseudoVSLIDE1UP_VX_MF2_MASK, PseudoVSLIDE1UP_VX_MF2, PseudoVSLIDE1UP_VX_MF2_TU, 0x3 }, // 1186
  { PseudoVSLIDE1UP_VX_MF4_MASK, PseudoVSLIDE1UP_VX_MF4, PseudoVSLIDE1UP_VX_MF4_TU, 0x3 }, // 1187
  { PseudoVSLIDE1UP_VX_MF8_MASK, PseudoVSLIDE1UP_VX_MF8, PseudoVSLIDE1UP_VX_MF8_TU, 0x3 }, // 1188
  { PseudoVSLL_VI_M1_MASK, PseudoVSLL_VI_M1, PseudoVSLL_VI_M1_TU, 0x3 }, // 1189
  { PseudoVSLL_VI_M2_MASK, PseudoVSLL_VI_M2, PseudoVSLL_VI_M2_TU, 0x3 }, // 1190
  { PseudoVSLL_VI_M4_MASK, PseudoVSLL_VI_M4, PseudoVSLL_VI_M4_TU, 0x3 }, // 1191
  { PseudoVSLL_VI_M8_MASK, PseudoVSLL_VI_M8, PseudoVSLL_VI_M8_TU, 0x3 }, // 1192
  { PseudoVSLL_VI_MF2_MASK, PseudoVSLL_VI_MF2, PseudoVSLL_VI_MF2_TU, 0x3 }, // 1193
  { PseudoVSLL_VI_MF4_MASK, PseudoVSLL_VI_MF4, PseudoVSLL_VI_MF4_TU, 0x3 }, // 1194
  { PseudoVSLL_VI_MF8_MASK, PseudoVSLL_VI_MF8, PseudoVSLL_VI_MF8_TU, 0x3 }, // 1195
  { PseudoVSLL_VV_M1_MASK, PseudoVSLL_VV_M1, PseudoVSLL_VV_M1_TU, 0x3 }, // 1196
  { PseudoVSLL_VV_M2_MASK, PseudoVSLL_VV_M2, PseudoVSLL_VV_M2_TU, 0x3 }, // 1197
  { PseudoVSLL_VV_M4_MASK, PseudoVSLL_VV_M4, PseudoVSLL_VV_M4_TU, 0x3 }, // 1198
  { PseudoVSLL_VV_M8_MASK, PseudoVSLL_VV_M8, PseudoVSLL_VV_M8_TU, 0x3 }, // 1199
  { PseudoVSLL_VV_MF2_MASK, PseudoVSLL_VV_MF2, PseudoVSLL_VV_MF2_TU, 0x3 }, // 1200
  { PseudoVSLL_VV_MF4_MASK, PseudoVSLL_VV_MF4, PseudoVSLL_VV_MF4_TU, 0x3 }, // 1201
  { PseudoVSLL_VV_MF8_MASK, PseudoVSLL_VV_MF8, PseudoVSLL_VV_MF8_TU, 0x3 }, // 1202
  { PseudoVSLL_VX_M1_MASK, PseudoVSLL_VX_M1, PseudoVSLL_VX_M1_TU, 0x3 }, // 1203
  { PseudoVSLL_VX_M2_MASK, PseudoVSLL_VX_M2, PseudoVSLL_VX_M2_TU, 0x3 }, // 1204
  { PseudoVSLL_VX_M4_MASK, PseudoVSLL_VX_M4, PseudoVSLL_VX_M4_TU, 0x3 }, // 1205
  { PseudoVSLL_VX_M8_MASK, PseudoVSLL_VX_M8, PseudoVSLL_VX_M8_TU, 0x3 }, // 1206
  { PseudoVSLL_VX_MF2_MASK, PseudoVSLL_VX_MF2, PseudoVSLL_VX_MF2_TU, 0x3 }, // 1207
  { PseudoVSLL_VX_MF4_MASK, PseudoVSLL_VX_MF4, PseudoVSLL_VX_MF4_TU, 0x3 }, // 1208
  { PseudoVSLL_VX_MF8_MASK, PseudoVSLL_VX_MF8, PseudoVSLL_VX_MF8_TU, 0x3 }, // 1209
  { PseudoVSMUL_VV_M1_MASK, PseudoVSMUL_VV_M1, PseudoVSMUL_VV_M1_TU, 0x3 }, // 1210
  { PseudoVSMUL_VV_M2_MASK, PseudoVSMUL_VV_M2, PseudoVSMUL_VV_M2_TU, 0x3 }, // 1211
  { PseudoVSMUL_VV_M4_MASK, PseudoVSMUL_VV_M4, PseudoVSMUL_VV_M4_TU, 0x3 }, // 1212
  { PseudoVSMUL_VV_M8_MASK, PseudoVSMUL_VV_M8, PseudoVSMUL_VV_M8_TU, 0x3 }, // 1213
  { PseudoVSMUL_VV_MF2_MASK, PseudoVSMUL_VV_MF2, PseudoVSMUL_VV_MF2_TU, 0x3 }, // 1214
  { PseudoVSMUL_VV_MF4_MASK, PseudoVSMUL_VV_MF4, PseudoVSMUL_VV_MF4_TU, 0x3 }, // 1215
  { PseudoVSMUL_VV_MF8_MASK, PseudoVSMUL_VV_MF8, PseudoVSMUL_VV_MF8_TU, 0x3 }, // 1216
  { PseudoVSMUL_VX_M1_MASK, PseudoVSMUL_VX_M1, PseudoVSMUL_VX_M1_TU, 0x3 }, // 1217
  { PseudoVSMUL_VX_M2_MASK, PseudoVSMUL_VX_M2, PseudoVSMUL_VX_M2_TU, 0x3 }, // 1218
  { PseudoVSMUL_VX_M4_MASK, PseudoVSMUL_VX_M4, PseudoVSMUL_VX_M4_TU, 0x3 }, // 1219
  { PseudoVSMUL_VX_M8_MASK, PseudoVSMUL_VX_M8, PseudoVSMUL_VX_M8_TU, 0x3 }, // 1220
  { PseudoVSMUL_VX_MF2_MASK, PseudoVSMUL_VX_MF2, PseudoVSMUL_VX_MF2_TU, 0x3 }, // 1221
  { PseudoVSMUL_VX_MF4_MASK, PseudoVSMUL_VX_MF4, PseudoVSMUL_VX_MF4_TU, 0x3 }, // 1222
  { PseudoVSMUL_VX_MF8_MASK, PseudoVSMUL_VX_MF8, PseudoVSMUL_VX_MF8_TU, 0x3 }, // 1223
  { PseudoVSRA_VI_M1_MASK, PseudoVSRA_VI_M1, PseudoVSRA_VI_M1_TU, 0x3 }, // 1224
  { PseudoVSRA_VI_M2_MASK, PseudoVSRA_VI_M2, PseudoVSRA_VI_M2_TU, 0x3 }, // 1225
  { PseudoVSRA_VI_M4_MASK, PseudoVSRA_VI_M4, PseudoVSRA_VI_M4_TU, 0x3 }, // 1226
  { PseudoVSRA_VI_M8_MASK, PseudoVSRA_VI_M8, PseudoVSRA_VI_M8_TU, 0x3 }, // 1227
  { PseudoVSRA_VI_MF2_MASK, PseudoVSRA_VI_MF2, PseudoVSRA_VI_MF2_TU, 0x3 }, // 1228
  { PseudoVSRA_VI_MF4_MASK, PseudoVSRA_VI_MF4, PseudoVSRA_VI_MF4_TU, 0x3 }, // 1229
  { PseudoVSRA_VI_MF8_MASK, PseudoVSRA_VI_MF8, PseudoVSRA_VI_MF8_TU, 0x3 }, // 1230
  { PseudoVSRA_VV_M1_MASK, PseudoVSRA_VV_M1, PseudoVSRA_VV_M1_TU, 0x3 }, // 1231
  { PseudoVSRA_VV_M2_MASK, PseudoVSRA_VV_M2, PseudoVSRA_VV_M2_TU, 0x3 }, // 1232
  { PseudoVSRA_VV_M4_MASK, PseudoVSRA_VV_M4, PseudoVSRA_VV_M4_TU, 0x3 }, // 1233
  { PseudoVSRA_VV_M8_MASK, PseudoVSRA_VV_M8, PseudoVSRA_VV_M8_TU, 0x3 }, // 1234
  { PseudoVSRA_VV_MF2_MASK, PseudoVSRA_VV_MF2, PseudoVSRA_VV_MF2_TU, 0x3 }, // 1235
  { PseudoVSRA_VV_MF4_MASK, PseudoVSRA_VV_MF4, PseudoVSRA_VV_MF4_TU, 0x3 }, // 1236
  { PseudoVSRA_VV_MF8_MASK, PseudoVSRA_VV_MF8, PseudoVSRA_VV_MF8_TU, 0x3 }, // 1237
  { PseudoVSRA_VX_M1_MASK, PseudoVSRA_VX_M1, PseudoVSRA_VX_M1_TU, 0x3 }, // 1238
  { PseudoVSRA_VX_M2_MASK, PseudoVSRA_VX_M2, PseudoVSRA_VX_M2_TU, 0x3 }, // 1239
  { PseudoVSRA_VX_M4_MASK, PseudoVSRA_VX_M4, PseudoVSRA_VX_M4_TU, 0x3 }, // 1240
  { PseudoVSRA_VX_M8_MASK, PseudoVSRA_VX_M8, PseudoVSRA_VX_M8_TU, 0x3 }, // 1241
  { PseudoVSRA_VX_MF2_MASK, PseudoVSRA_VX_MF2, PseudoVSRA_VX_MF2_TU, 0x3 }, // 1242
  { PseudoVSRA_VX_MF4_MASK, PseudoVSRA_VX_MF4, PseudoVSRA_VX_MF4_TU, 0x3 }, // 1243
  { PseudoVSRA_VX_MF8_MASK, PseudoVSRA_VX_MF8, PseudoVSRA_VX_MF8_TU, 0x3 }, // 1244
  { PseudoVSRL_VI_M1_MASK, PseudoVSRL_VI_M1, PseudoVSRL_VI_M1_TU, 0x3 }, // 1245
  { PseudoVSRL_VI_M2_MASK, PseudoVSRL_VI_M2, PseudoVSRL_VI_M2_TU, 0x3 }, // 1246
  { PseudoVSRL_VI_M4_MASK, PseudoVSRL_VI_M4, PseudoVSRL_VI_M4_TU, 0x3 }, // 1247
  { PseudoVSRL_VI_M8_MASK, PseudoVSRL_VI_M8, PseudoVSRL_VI_M8_TU, 0x3 }, // 1248
  { PseudoVSRL_VI_MF2_MASK, PseudoVSRL_VI_MF2, PseudoVSRL_VI_MF2_TU, 0x3 }, // 1249
  { PseudoVSRL_VI_MF4_MASK, PseudoVSRL_VI_MF4, PseudoVSRL_VI_MF4_TU, 0x3 }, // 1250
  { PseudoVSRL_VI_MF8_MASK, PseudoVSRL_VI_MF8, PseudoVSRL_VI_MF8_TU, 0x3 }, // 1251
  { PseudoVSRL_VV_M1_MASK, PseudoVSRL_VV_M1, PseudoVSRL_VV_M1_TU, 0x3 }, // 1252
  { PseudoVSRL_VV_M2_MASK, PseudoVSRL_VV_M2, PseudoVSRL_VV_M2_TU, 0x3 }, // 1253
  { PseudoVSRL_VV_M4_MASK, PseudoVSRL_VV_M4, PseudoVSRL_VV_M4_TU, 0x3 }, // 1254
  { PseudoVSRL_VV_M8_MASK, PseudoVSRL_VV_M8, PseudoVSRL_VV_M8_TU, 0x3 }, // 1255
  { PseudoVSRL_VV_MF2_MASK, PseudoVSRL_VV_MF2, PseudoVSRL_VV_MF2_TU, 0x3 }, // 1256
  { PseudoVSRL_VV_MF4_MASK, PseudoVSRL_VV_MF4, PseudoVSRL_VV_MF4_TU, 0x3 }, // 1257
  { PseudoVSRL_VV_MF8_MASK, PseudoVSRL_VV_MF8, PseudoVSRL_VV_MF8_TU, 0x3 }, // 1258
  { PseudoVSRL_VX_M1_MASK, PseudoVSRL_VX_M1, PseudoVSRL_VX_M1_TU, 0x3 }, // 1259
  { PseudoVSRL_VX_M2_MASK, PseudoVSRL_VX_M2, PseudoVSRL_VX_M2_TU, 0x3 }, // 1260
  { PseudoVSRL_VX_M4_MASK, PseudoVSRL_VX_M4, PseudoVSRL_VX_M4_TU, 0x3 }, // 1261
  { PseudoVSRL_VX_M8_MASK, PseudoVSRL_VX_M8, PseudoVSRL_VX_M8_TU, 0x3 }, // 1262
  { PseudoVSRL_VX_MF2_MASK, PseudoVSRL_VX_MF2, PseudoVSRL_VX_MF2_TU, 0x3 }, // 1263
  { PseudoVSRL_VX_MF4_MASK, PseudoVSRL_VX_MF4, PseudoVSRL_VX_MF4_TU, 0x3 }, // 1264
  { PseudoVSRL_VX_MF8_MASK, PseudoVSRL_VX_MF8, PseudoVSRL_VX_MF8_TU, 0x3 }, // 1265
  { PseudoVSSRA_VI_M1_MASK, PseudoVSSRA_VI_M1, PseudoVSSRA_VI_M1_TU, 0x3 }, // 1266
  { PseudoVSSRA_VI_M2_MASK, PseudoVSSRA_VI_M2, PseudoVSSRA_VI_M2_TU, 0x3 }, // 1267
  { PseudoVSSRA_VI_M4_MASK, PseudoVSSRA_VI_M4, PseudoVSSRA_VI_M4_TU, 0x3 }, // 1268
  { PseudoVSSRA_VI_M8_MASK, PseudoVSSRA_VI_M8, PseudoVSSRA_VI_M8_TU, 0x3 }, // 1269
  { PseudoVSSRA_VI_MF2_MASK, PseudoVSSRA_VI_MF2, PseudoVSSRA_VI_MF2_TU, 0x3 }, // 1270
  { PseudoVSSRA_VI_MF4_MASK, PseudoVSSRA_VI_MF4, PseudoVSSRA_VI_MF4_TU, 0x3 }, // 1271
  { PseudoVSSRA_VI_MF8_MASK, PseudoVSSRA_VI_MF8, PseudoVSSRA_VI_MF8_TU, 0x3 }, // 1272
  { PseudoVSSRA_VV_M1_MASK, PseudoVSSRA_VV_M1, PseudoVSSRA_VV_M1_TU, 0x3 }, // 1273
  { PseudoVSSRA_VV_M2_MASK, PseudoVSSRA_VV_M2, PseudoVSSRA_VV_M2_TU, 0x3 }, // 1274
  { PseudoVSSRA_VV_M4_MASK, PseudoVSSRA_VV_M4, PseudoVSSRA_VV_M4_TU, 0x3 }, // 1275
  { PseudoVSSRA_VV_M8_MASK, PseudoVSSRA_VV_M8, PseudoVSSRA_VV_M8_TU, 0x3 }, // 1276
  { PseudoVSSRA_VV_MF2_MASK, PseudoVSSRA_VV_MF2, PseudoVSSRA_VV_MF2_TU, 0x3 }, // 1277
  { PseudoVSSRA_VV_MF4_MASK, PseudoVSSRA_VV_MF4, PseudoVSSRA_VV_MF4_TU, 0x3 }, // 1278
  { PseudoVSSRA_VV_MF8_MASK, PseudoVSSRA_VV_MF8, PseudoVSSRA_VV_MF8_TU, 0x3 }, // 1279
  { PseudoVSSRA_VX_M1_MASK, PseudoVSSRA_VX_M1, PseudoVSSRA_VX_M1_TU, 0x3 }, // 1280
  { PseudoVSSRA_VX_M2_MASK, PseudoVSSRA_VX_M2, PseudoVSSRA_VX_M2_TU, 0x3 }, // 1281
  { PseudoVSSRA_VX_M4_MASK, PseudoVSSRA_VX_M4, PseudoVSSRA_VX_M4_TU, 0x3 }, // 1282
  { PseudoVSSRA_VX_M8_MASK, PseudoVSSRA_VX_M8, PseudoVSSRA_VX_M8_TU, 0x3 }, // 1283
  { PseudoVSSRA_VX_MF2_MASK, PseudoVSSRA_VX_MF2, PseudoVSSRA_VX_MF2_TU, 0x3 }, // 1284
  { PseudoVSSRA_VX_MF4_MASK, PseudoVSSRA_VX_MF4, PseudoVSSRA_VX_MF4_TU, 0x3 }, // 1285
  { PseudoVSSRA_VX_MF8_MASK, PseudoVSSRA_VX_MF8, PseudoVSSRA_VX_MF8_TU, 0x3 }, // 1286
  { PseudoVSSRL_VI_M1_MASK, PseudoVSSRL_VI_M1, PseudoVSSRL_VI_M1_TU, 0x3 }, // 1287
  { PseudoVSSRL_VI_M2_MASK, PseudoVSSRL_VI_M2, PseudoVSSRL_VI_M2_TU, 0x3 }, // 1288
  { PseudoVSSRL_VI_M4_MASK, PseudoVSSRL_VI_M4, PseudoVSSRL_VI_M4_TU, 0x3 }, // 1289
  { PseudoVSSRL_VI_M8_MASK, PseudoVSSRL_VI_M8, PseudoVSSRL_VI_M8_TU, 0x3 }, // 1290
  { PseudoVSSRL_VI_MF2_MASK, PseudoVSSRL_VI_MF2, PseudoVSSRL_VI_MF2_TU, 0x3 }, // 1291
  { PseudoVSSRL_VI_MF4_MASK, PseudoVSSRL_VI_MF4, PseudoVSSRL_VI_MF4_TU, 0x3 }, // 1292
  { PseudoVSSRL_VI_MF8_MASK, PseudoVSSRL_VI_MF8, PseudoVSSRL_VI_MF8_TU, 0x3 }, // 1293
  { PseudoVSSRL_VV_M1_MASK, PseudoVSSRL_VV_M1, PseudoVSSRL_VV_M1_TU, 0x3 }, // 1294
  { PseudoVSSRL_VV_M2_MASK, PseudoVSSRL_VV_M2, PseudoVSSRL_VV_M2_TU, 0x3 }, // 1295
  { PseudoVSSRL_VV_M4_MASK, PseudoVSSRL_VV_M4, PseudoVSSRL_VV_M4_TU, 0x3 }, // 1296
  { PseudoVSSRL_VV_M8_MASK, PseudoVSSRL_VV_M8, PseudoVSSRL_VV_M8_TU, 0x3 }, // 1297
  { PseudoVSSRL_VV_MF2_MASK, PseudoVSSRL_VV_MF2, PseudoVSSRL_VV_MF2_TU, 0x3 }, // 1298
  { PseudoVSSRL_VV_MF4_MASK, PseudoVSSRL_VV_MF4, PseudoVSSRL_VV_MF4_TU, 0x3 }, // 1299
  { PseudoVSSRL_VV_MF8_MASK, PseudoVSSRL_VV_MF8, PseudoVSSRL_VV_MF8_TU, 0x3 }, // 1300
  { PseudoVSSRL_VX_M1_MASK, PseudoVSSRL_VX_M1, PseudoVSSRL_VX_M1_TU, 0x3 }, // 1301
  { PseudoVSSRL_VX_M2_MASK, PseudoVSSRL_VX_M2, PseudoVSSRL_VX_M2_TU, 0x3 }, // 1302
  { PseudoVSSRL_VX_M4_MASK, PseudoVSSRL_VX_M4, PseudoVSSRL_VX_M4_TU, 0x3 }, // 1303
  { PseudoVSSRL_VX_M8_MASK, PseudoVSSRL_VX_M8, PseudoVSSRL_VX_M8_TU, 0x3 }, // 1304
  { PseudoVSSRL_VX_MF2_MASK, PseudoVSSRL_VX_MF2, PseudoVSSRL_VX_MF2_TU, 0x3 }, // 1305
  { PseudoVSSRL_VX_MF4_MASK, PseudoVSSRL_VX_MF4, PseudoVSSRL_VX_MF4_TU, 0x3 }, // 1306
  { PseudoVSSRL_VX_MF8_MASK, PseudoVSSRL_VX_MF8, PseudoVSSRL_VX_MF8_TU, 0x3 }, // 1307
  { PseudoVSSUBU_VV_M1_MASK, PseudoVSSUBU_VV_M1, PseudoVSSUBU_VV_M1_TU, 0x3 }, // 1308
  { PseudoVSSUBU_VV_M2_MASK, PseudoVSSUBU_VV_M2, PseudoVSSUBU_VV_M2_TU, 0x3 }, // 1309
  { PseudoVSSUBU_VV_M4_MASK, PseudoVSSUBU_VV_M4, PseudoVSSUBU_VV_M4_TU, 0x3 }, // 1310
  { PseudoVSSUBU_VV_M8_MASK, PseudoVSSUBU_VV_M8, PseudoVSSUBU_VV_M8_TU, 0x3 }, // 1311
  { PseudoVSSUBU_VV_MF2_MASK, PseudoVSSUBU_VV_MF2, PseudoVSSUBU_VV_MF2_TU, 0x3 }, // 1312
  { PseudoVSSUBU_VV_MF4_MASK, PseudoVSSUBU_VV_MF4, PseudoVSSUBU_VV_MF4_TU, 0x3 }, // 1313
  { PseudoVSSUBU_VV_MF8_MASK, PseudoVSSUBU_VV_MF8, PseudoVSSUBU_VV_MF8_TU, 0x3 }, // 1314
  { PseudoVSSUBU_VX_M1_MASK, PseudoVSSUBU_VX_M1, PseudoVSSUBU_VX_M1_TU, 0x3 }, // 1315
  { PseudoVSSUBU_VX_M2_MASK, PseudoVSSUBU_VX_M2, PseudoVSSUBU_VX_M2_TU, 0x3 }, // 1316
  { PseudoVSSUBU_VX_M4_MASK, PseudoVSSUBU_VX_M4, PseudoVSSUBU_VX_M4_TU, 0x3 }, // 1317
  { PseudoVSSUBU_VX_M8_MASK, PseudoVSSUBU_VX_M8, PseudoVSSUBU_VX_M8_TU, 0x3 }, // 1318
  { PseudoVSSUBU_VX_MF2_MASK, PseudoVSSUBU_VX_MF2, PseudoVSSUBU_VX_MF2_TU, 0x3 }, // 1319
  { PseudoVSSUBU_VX_MF4_MASK, PseudoVSSUBU_VX_MF4, PseudoVSSUBU_VX_MF4_TU, 0x3 }, // 1320
  { PseudoVSSUBU_VX_MF8_MASK, PseudoVSSUBU_VX_MF8, PseudoVSSUBU_VX_MF8_TU, 0x3 }, // 1321
  { PseudoVSSUB_VV_M1_MASK, PseudoVSSUB_VV_M1, PseudoVSSUB_VV_M1_TU, 0x3 }, // 1322
  { PseudoVSSUB_VV_M2_MASK, PseudoVSSUB_VV_M2, PseudoVSSUB_VV_M2_TU, 0x3 }, // 1323
  { PseudoVSSUB_VV_M4_MASK, PseudoVSSUB_VV_M4, PseudoVSSUB_VV_M4_TU, 0x3 }, // 1324
  { PseudoVSSUB_VV_M8_MASK, PseudoVSSUB_VV_M8, PseudoVSSUB_VV_M8_TU, 0x3 }, // 1325
  { PseudoVSSUB_VV_MF2_MASK, PseudoVSSUB_VV_MF2, PseudoVSSUB_VV_MF2_TU, 0x3 }, // 1326
  { PseudoVSSUB_VV_MF4_MASK, PseudoVSSUB_VV_MF4, PseudoVSSUB_VV_MF4_TU, 0x3 }, // 1327
  { PseudoVSSUB_VV_MF8_MASK, PseudoVSSUB_VV_MF8, PseudoVSSUB_VV_MF8_TU, 0x3 }, // 1328
  { PseudoVSSUB_VX_M1_MASK, PseudoVSSUB_VX_M1, PseudoVSSUB_VX_M1_TU, 0x3 }, // 1329
  { PseudoVSSUB_VX_M2_MASK, PseudoVSSUB_VX_M2, PseudoVSSUB_VX_M2_TU, 0x3 }, // 1330
  { PseudoVSSUB_VX_M4_MASK, PseudoVSSUB_VX_M4, PseudoVSSUB_VX_M4_TU, 0x3 }, // 1331
  { PseudoVSSUB_VX_M8_MASK, PseudoVSSUB_VX_M8, PseudoVSSUB_VX_M8_TU, 0x3 }, // 1332
  { PseudoVSSUB_VX_MF2_MASK, PseudoVSSUB_VX_MF2, PseudoVSSUB_VX_MF2_TU, 0x3 }, // 1333
  { PseudoVSSUB_VX_MF4_MASK, PseudoVSSUB_VX_MF4, PseudoVSSUB_VX_MF4_TU, 0x3 }, // 1334
  { PseudoVSSUB_VX_MF8_MASK, PseudoVSSUB_VX_MF8, PseudoVSSUB_VX_MF8_TU, 0x3 }, // 1335
  { PseudoVSUB_VV_M1_MASK, PseudoVSUB_VV_M1, PseudoVSUB_VV_M1_TU, 0x3 }, // 1336
  { PseudoVSUB_VV_M2_MASK, PseudoVSUB_VV_M2, PseudoVSUB_VV_M2_TU, 0x3 }, // 1337
  { PseudoVSUB_VV_M4_MASK, PseudoVSUB_VV_M4, PseudoVSUB_VV_M4_TU, 0x3 }, // 1338
  { PseudoVSUB_VV_M8_MASK, PseudoVSUB_VV_M8, PseudoVSUB_VV_M8_TU, 0x3 }, // 1339
  { PseudoVSUB_VV_MF2_MASK, PseudoVSUB_VV_MF2, PseudoVSUB_VV_MF2_TU, 0x3 }, // 1340
  { PseudoVSUB_VV_MF4_MASK, PseudoVSUB_VV_MF4, PseudoVSUB_VV_MF4_TU, 0x3 }, // 1341
  { PseudoVSUB_VV_MF8_MASK, PseudoVSUB_VV_MF8, PseudoVSUB_VV_MF8_TU, 0x3 }, // 1342
  { PseudoVSUB_VX_M1_MASK, PseudoVSUB_VX_M1, PseudoVSUB_VX_M1_TU, 0x3 }, // 1343
  { PseudoVSUB_VX_M2_MASK, PseudoVSUB_VX_M2, PseudoVSUB_VX_M2_TU, 0x3 }, // 1344
  { PseudoVSUB_VX_M4_MASK, PseudoVSUB_VX_M4, PseudoVSUB_VX_M4_TU, 0x3 }, // 1345
  { PseudoVSUB_VX_M8_MASK, PseudoVSUB_VX_M8, PseudoVSUB_VX_M8_TU, 0x3 }, // 1346
  { PseudoVSUB_VX_MF2_MASK, PseudoVSUB_VX_MF2, PseudoVSUB_VX_MF2_TU, 0x3 }, // 1347
  { PseudoVSUB_VX_MF4_MASK, PseudoVSUB_VX_MF4, PseudoVSUB_VX_MF4_TU, 0x3 }, // 1348
  { PseudoVSUB_VX_MF8_MASK, PseudoVSUB_VX_MF8, PseudoVSUB_VX_MF8_TU, 0x3 }, // 1349
  { PseudoVWADDU_VV_M1_MASK, PseudoVWADDU_VV_M1, PseudoVWADDU_VV_M1_TU, 0x3 }, // 1350
  { PseudoVWADDU_VV_M2_MASK, PseudoVWADDU_VV_M2, PseudoVWADDU_VV_M2_TU, 0x3 }, // 1351
  { PseudoVWADDU_VV_M4_MASK, PseudoVWADDU_VV_M4, PseudoVWADDU_VV_M4_TU, 0x3 }, // 1352
  { PseudoVWADDU_VV_MF2_MASK, PseudoVWADDU_VV_MF2, PseudoVWADDU_VV_MF2_TU, 0x3 }, // 1353
  { PseudoVWADDU_VV_MF4_MASK, PseudoVWADDU_VV_MF4, PseudoVWADDU_VV_MF4_TU, 0x3 }, // 1354
  { PseudoVWADDU_VV_MF8_MASK, PseudoVWADDU_VV_MF8, PseudoVWADDU_VV_MF8_TU, 0x3 }, // 1355
  { PseudoVWADDU_VX_M1_MASK, PseudoVWADDU_VX_M1, PseudoVWADDU_VX_M1_TU, 0x3 }, // 1356
  { PseudoVWADDU_VX_M2_MASK, PseudoVWADDU_VX_M2, PseudoVWADDU_VX_M2_TU, 0x3 }, // 1357
  { PseudoVWADDU_VX_M4_MASK, PseudoVWADDU_VX_M4, PseudoVWADDU_VX_M4_TU, 0x3 }, // 1358
  { PseudoVWADDU_VX_MF2_MASK, PseudoVWADDU_VX_MF2, PseudoVWADDU_VX_MF2_TU, 0x3 }, // 1359
  { PseudoVWADDU_VX_MF4_MASK, PseudoVWADDU_VX_MF4, PseudoVWADDU_VX_MF4_TU, 0x3 }, // 1360
  { PseudoVWADDU_VX_MF8_MASK, PseudoVWADDU_VX_MF8, PseudoVWADDU_VX_MF8_TU, 0x3 }, // 1361
  { PseudoVWADDU_WV_M1_MASK, PseudoVWADDU_WV_M1, PseudoVWADDU_WV_M1_TU, 0x3 }, // 1362
  { PseudoVWADDU_WV_M2_MASK, PseudoVWADDU_WV_M2, PseudoVWADDU_WV_M2_TU, 0x3 }, // 1363
  { PseudoVWADDU_WV_M4_MASK, PseudoVWADDU_WV_M4, PseudoVWADDU_WV_M4_TU, 0x3 }, // 1364
  { PseudoVWADDU_WV_MF2_MASK, PseudoVWADDU_WV_MF2, PseudoVWADDU_WV_MF2_TU, 0x3 }, // 1365
  { PseudoVWADDU_WV_MF4_MASK, PseudoVWADDU_WV_MF4, PseudoVWADDU_WV_MF4_TU, 0x3 }, // 1366
  { PseudoVWADDU_WV_MF8_MASK, PseudoVWADDU_WV_MF8, PseudoVWADDU_WV_MF8_TU, 0x3 }, // 1367
  { PseudoVWADDU_WX_M1_MASK, PseudoVWADDU_WX_M1, PseudoVWADDU_WX_M1_TU, 0x3 }, // 1368
  { PseudoVWADDU_WX_M2_MASK, PseudoVWADDU_WX_M2, PseudoVWADDU_WX_M2_TU, 0x3 }, // 1369
  { PseudoVWADDU_WX_M4_MASK, PseudoVWADDU_WX_M4, PseudoVWADDU_WX_M4_TU, 0x3 }, // 1370
  { PseudoVWADDU_WX_MF2_MASK, PseudoVWADDU_WX_MF2, PseudoVWADDU_WX_MF2_TU, 0x3 }, // 1371
  { PseudoVWADDU_WX_MF4_MASK, PseudoVWADDU_WX_MF4, PseudoVWADDU_WX_MF4_TU, 0x3 }, // 1372
  { PseudoVWADDU_WX_MF8_MASK, PseudoVWADDU_WX_MF8, PseudoVWADDU_WX_MF8_TU, 0x3 }, // 1373
  { PseudoVWADD_VV_M1_MASK, PseudoVWADD_VV_M1, PseudoVWADD_VV_M1_TU, 0x3 }, // 1374
  { PseudoVWADD_VV_M2_MASK, PseudoVWADD_VV_M2, PseudoVWADD_VV_M2_TU, 0x3 }, // 1375
  { PseudoVWADD_VV_M4_MASK, PseudoVWADD_VV_M4, PseudoVWADD_VV_M4_TU, 0x3 }, // 1376
  { PseudoVWADD_VV_MF2_MASK, PseudoVWADD_VV_MF2, PseudoVWADD_VV_MF2_TU, 0x3 }, // 1377
  { PseudoVWADD_VV_MF4_MASK, PseudoVWADD_VV_MF4, PseudoVWADD_VV_MF4_TU, 0x3 }, // 1378
  { PseudoVWADD_VV_MF8_MASK, PseudoVWADD_VV_MF8, PseudoVWADD_VV_MF8_TU, 0x3 }, // 1379
  { PseudoVWADD_VX_M1_MASK, PseudoVWADD_VX_M1, PseudoVWADD_VX_M1_TU, 0x3 }, // 1380
  { PseudoVWADD_VX_M2_MASK, PseudoVWADD_VX_M2, PseudoVWADD_VX_M2_TU, 0x3 }, // 1381
  { PseudoVWADD_VX_M4_MASK, PseudoVWADD_VX_M4, PseudoVWADD_VX_M4_TU, 0x3 }, // 1382
  { PseudoVWADD_VX_MF2_MASK, PseudoVWADD_VX_MF2, PseudoVWADD_VX_MF2_TU, 0x3 }, // 1383
  { PseudoVWADD_VX_MF4_MASK, PseudoVWADD_VX_MF4, PseudoVWADD_VX_MF4_TU, 0x3 }, // 1384
  { PseudoVWADD_VX_MF8_MASK, PseudoVWADD_VX_MF8, PseudoVWADD_VX_MF8_TU, 0x3 }, // 1385
  { PseudoVWADD_WV_M1_MASK, PseudoVWADD_WV_M1, PseudoVWADD_WV_M1_TU, 0x3 }, // 1386
  { PseudoVWADD_WV_M2_MASK, PseudoVWADD_WV_M2, PseudoVWADD_WV_M2_TU, 0x3 }, // 1387
  { PseudoVWADD_WV_M4_MASK, PseudoVWADD_WV_M4, PseudoVWADD_WV_M4_TU, 0x3 }, // 1388
  { PseudoVWADD_WV_MF2_MASK, PseudoVWADD_WV_MF2, PseudoVWADD_WV_MF2_TU, 0x3 }, // 1389
  { PseudoVWADD_WV_MF4_MASK, PseudoVWADD_WV_MF4, PseudoVWADD_WV_MF4_TU, 0x3 }, // 1390
  { PseudoVWADD_WV_MF8_MASK, PseudoVWADD_WV_MF8, PseudoVWADD_WV_MF8_TU, 0x3 }, // 1391
  { PseudoVWADD_WX_M1_MASK, PseudoVWADD_WX_M1, PseudoVWADD_WX_M1_TU, 0x3 }, // 1392
  { PseudoVWADD_WX_M2_MASK, PseudoVWADD_WX_M2, PseudoVWADD_WX_M2_TU, 0x3 }, // 1393
  { PseudoVWADD_WX_M4_MASK, PseudoVWADD_WX_M4, PseudoVWADD_WX_M4_TU, 0x3 }, // 1394
  { PseudoVWADD_WX_MF2_MASK, PseudoVWADD_WX_MF2, PseudoVWADD_WX_MF2_TU, 0x3 }, // 1395
  { PseudoVWADD_WX_MF4_MASK, PseudoVWADD_WX_MF4, PseudoVWADD_WX_MF4_TU, 0x3 }, // 1396
  { PseudoVWADD_WX_MF8_MASK, PseudoVWADD_WX_MF8, PseudoVWADD_WX_MF8_TU, 0x3 }, // 1397
  { PseudoVWMULSU_VV_M1_MASK, PseudoVWMULSU_VV_M1, PseudoVWMULSU_VV_M1_TU, 0x3 }, // 1398
  { PseudoVWMULSU_VV_M2_MASK, PseudoVWMULSU_VV_M2, PseudoVWMULSU_VV_M2_TU, 0x3 }, // 1399
  { PseudoVWMULSU_VV_M4_MASK, PseudoVWMULSU_VV_M4, PseudoVWMULSU_VV_M4_TU, 0x3 }, // 1400
  { PseudoVWMULSU_VV_MF2_MASK, PseudoVWMULSU_VV_MF2, PseudoVWMULSU_VV_MF2_TU, 0x3 }, // 1401
  { PseudoVWMULSU_VV_MF4_MASK, PseudoVWMULSU_VV_MF4, PseudoVWMULSU_VV_MF4_TU, 0x3 }, // 1402
  { PseudoVWMULSU_VV_MF8_MASK, PseudoVWMULSU_VV_MF8, PseudoVWMULSU_VV_MF8_TU, 0x3 }, // 1403
  { PseudoVWMULSU_VX_M1_MASK, PseudoVWMULSU_VX_M1, PseudoVWMULSU_VX_M1_TU, 0x3 }, // 1404
  { PseudoVWMULSU_VX_M2_MASK, PseudoVWMULSU_VX_M2, PseudoVWMULSU_VX_M2_TU, 0x3 }, // 1405
  { PseudoVWMULSU_VX_M4_MASK, PseudoVWMULSU_VX_M4, PseudoVWMULSU_VX_M4_TU, 0x3 }, // 1406
  { PseudoVWMULSU_VX_MF2_MASK, PseudoVWMULSU_VX_MF2, PseudoVWMULSU_VX_MF2_TU, 0x3 }, // 1407
  { PseudoVWMULSU_VX_MF4_MASK, PseudoVWMULSU_VX_MF4, PseudoVWMULSU_VX_MF4_TU, 0x3 }, // 1408
  { PseudoVWMULSU_VX_MF8_MASK, PseudoVWMULSU_VX_MF8, PseudoVWMULSU_VX_MF8_TU, 0x3 }, // 1409
  { PseudoVWMULU_VV_M1_MASK, PseudoVWMULU_VV_M1, PseudoVWMULU_VV_M1_TU, 0x3 }, // 1410
  { PseudoVWMULU_VV_M2_MASK, PseudoVWMULU_VV_M2, PseudoVWMULU_VV_M2_TU, 0x3 }, // 1411
  { PseudoVWMULU_VV_M4_MASK, PseudoVWMULU_VV_M4, PseudoVWMULU_VV_M4_TU, 0x3 }, // 1412
  { PseudoVWMULU_VV_MF2_MASK, PseudoVWMULU_VV_MF2, PseudoVWMULU_VV_MF2_TU, 0x3 }, // 1413
  { PseudoVWMULU_VV_MF4_MASK, PseudoVWMULU_VV_MF4, PseudoVWMULU_VV_MF4_TU, 0x3 }, // 1414
  { PseudoVWMULU_VV_MF8_MASK, PseudoVWMULU_VV_MF8, PseudoVWMULU_VV_MF8_TU, 0x3 }, // 1415
  { PseudoVWMULU_VX_M1_MASK, PseudoVWMULU_VX_M1, PseudoVWMULU_VX_M1_TU, 0x3 }, // 1416
  { PseudoVWMULU_VX_M2_MASK, PseudoVWMULU_VX_M2, PseudoVWMULU_VX_M2_TU, 0x3 }, // 1417
  { PseudoVWMULU_VX_M4_MASK, PseudoVWMULU_VX_M4, PseudoVWMULU_VX_M4_TU, 0x3 }, // 1418
  { PseudoVWMULU_VX_MF2_MASK, PseudoVWMULU_VX_MF2, PseudoVWMULU_VX_MF2_TU, 0x3 }, // 1419
  { PseudoVWMULU_VX_MF4_MASK, PseudoVWMULU_VX_MF4, PseudoVWMULU_VX_MF4_TU, 0x3 }, // 1420
  { PseudoVWMULU_VX_MF8_MASK, PseudoVWMULU_VX_MF8, PseudoVWMULU_VX_MF8_TU, 0x3 }, // 1421
  { PseudoVWMUL_VV_M1_MASK, PseudoVWMUL_VV_M1, PseudoVWMUL_VV_M1_TU, 0x3 }, // 1422
  { PseudoVWMUL_VV_M2_MASK, PseudoVWMUL_VV_M2, PseudoVWMUL_VV_M2_TU, 0x3 }, // 1423
  { PseudoVWMUL_VV_M4_MASK, PseudoVWMUL_VV_M4, PseudoVWMUL_VV_M4_TU, 0x3 }, // 1424
  { PseudoVWMUL_VV_MF2_MASK, PseudoVWMUL_VV_MF2, PseudoVWMUL_VV_MF2_TU, 0x3 }, // 1425
  { PseudoVWMUL_VV_MF4_MASK, PseudoVWMUL_VV_MF4, PseudoVWMUL_VV_MF4_TU, 0x3 }, // 1426
  { PseudoVWMUL_VV_MF8_MASK, PseudoVWMUL_VV_MF8, PseudoVWMUL_VV_MF8_TU, 0x3 }, // 1427
  { PseudoVWMUL_VX_M1_MASK, PseudoVWMUL_VX_M1, PseudoVWMUL_VX_M1_TU, 0x3 }, // 1428
  { PseudoVWMUL_VX_M2_MASK, PseudoVWMUL_VX_M2, PseudoVWMUL_VX_M2_TU, 0x3 }, // 1429
  { PseudoVWMUL_VX_M4_MASK, PseudoVWMUL_VX_M4, PseudoVWMUL_VX_M4_TU, 0x3 }, // 1430
  { PseudoVWMUL_VX_MF2_MASK, PseudoVWMUL_VX_MF2, PseudoVWMUL_VX_MF2_TU, 0x3 }, // 1431
  { PseudoVWMUL_VX_MF4_MASK, PseudoVWMUL_VX_MF4, PseudoVWMUL_VX_MF4_TU, 0x3 }, // 1432
  { PseudoVWMUL_VX_MF8_MASK, PseudoVWMUL_VX_MF8, PseudoVWMUL_VX_MF8_TU, 0x3 }, // 1433
  { PseudoVWSUBU_VV_M1_MASK, PseudoVWSUBU_VV_M1, PseudoVWSUBU_VV_M1_TU, 0x3 }, // 1434
  { PseudoVWSUBU_VV_M2_MASK, PseudoVWSUBU_VV_M2, PseudoVWSUBU_VV_M2_TU, 0x3 }, // 1435
  { PseudoVWSUBU_VV_M4_MASK, PseudoVWSUBU_VV_M4, PseudoVWSUBU_VV_M4_TU, 0x3 }, // 1436
  { PseudoVWSUBU_VV_MF2_MASK, PseudoVWSUBU_VV_MF2, PseudoVWSUBU_VV_MF2_TU, 0x3 }, // 1437
  { PseudoVWSUBU_VV_MF4_MASK, PseudoVWSUBU_VV_MF4, PseudoVWSUBU_VV_MF4_TU, 0x3 }, // 1438
  { PseudoVWSUBU_VV_MF8_MASK, PseudoVWSUBU_VV_MF8, PseudoVWSUBU_VV_MF8_TU, 0x3 }, // 1439
  { PseudoVWSUBU_VX_M1_MASK, PseudoVWSUBU_VX_M1, PseudoVWSUBU_VX_M1_TU, 0x3 }, // 1440
  { PseudoVWSUBU_VX_M2_MASK, PseudoVWSUBU_VX_M2, PseudoVWSUBU_VX_M2_TU, 0x3 }, // 1441
  { PseudoVWSUBU_VX_M4_MASK, PseudoVWSUBU_VX_M4, PseudoVWSUBU_VX_M4_TU, 0x3 }, // 1442
  { PseudoVWSUBU_VX_MF2_MASK, PseudoVWSUBU_VX_MF2, PseudoVWSUBU_VX_MF2_TU, 0x3 }, // 1443
  { PseudoVWSUBU_VX_MF4_MASK, PseudoVWSUBU_VX_MF4, PseudoVWSUBU_VX_MF4_TU, 0x3 }, // 1444
  { PseudoVWSUBU_VX_MF8_MASK, PseudoVWSUBU_VX_MF8, PseudoVWSUBU_VX_MF8_TU, 0x3 }, // 1445
  { PseudoVWSUBU_WV_M1_MASK, PseudoVWSUBU_WV_M1, PseudoVWSUBU_WV_M1_TU, 0x3 }, // 1446
  { PseudoVWSUBU_WV_M2_MASK, PseudoVWSUBU_WV_M2, PseudoVWSUBU_WV_M2_TU, 0x3 }, // 1447
  { PseudoVWSUBU_WV_M4_MASK, PseudoVWSUBU_WV_M4, PseudoVWSUBU_WV_M4_TU, 0x3 }, // 1448
  { PseudoVWSUBU_WV_MF2_MASK, PseudoVWSUBU_WV_MF2, PseudoVWSUBU_WV_MF2_TU, 0x3 }, // 1449
  { PseudoVWSUBU_WV_MF4_MASK, PseudoVWSUBU_WV_MF4, PseudoVWSUBU_WV_MF4_TU, 0x3 }, // 1450
  { PseudoVWSUBU_WV_MF8_MASK, PseudoVWSUBU_WV_MF8, PseudoVWSUBU_WV_MF8_TU, 0x3 }, // 1451
  { PseudoVWSUBU_WX_M1_MASK, PseudoVWSUBU_WX_M1, PseudoVWSUBU_WX_M1_TU, 0x3 }, // 1452
  { PseudoVWSUBU_WX_M2_MASK, PseudoVWSUBU_WX_M2, PseudoVWSUBU_WX_M2_TU, 0x3 }, // 1453
  { PseudoVWSUBU_WX_M4_MASK, PseudoVWSUBU_WX_M4, PseudoVWSUBU_WX_M4_TU, 0x3 }, // 1454
  { PseudoVWSUBU_WX_MF2_MASK, PseudoVWSUBU_WX_MF2, PseudoVWSUBU_WX_MF2_TU, 0x3 }, // 1455
  { PseudoVWSUBU_WX_MF4_MASK, PseudoVWSUBU_WX_MF4, PseudoVWSUBU_WX_MF4_TU, 0x3 }, // 1456
  { PseudoVWSUBU_WX_MF8_MASK, PseudoVWSUBU_WX_MF8, PseudoVWSUBU_WX_MF8_TU, 0x3 }, // 1457
  { PseudoVWSUB_VV_M1_MASK, PseudoVWSUB_VV_M1, PseudoVWSUB_VV_M1_TU, 0x3 }, // 1458
  { PseudoVWSUB_VV_M2_MASK, PseudoVWSUB_VV_M2, PseudoVWSUB_VV_M2_TU, 0x3 }, // 1459
  { PseudoVWSUB_VV_M4_MASK, PseudoVWSUB_VV_M4, PseudoVWSUB_VV_M4_TU, 0x3 }, // 1460
  { PseudoVWSUB_VV_MF2_MASK, PseudoVWSUB_VV_MF2, PseudoVWSUB_VV_MF2_TU, 0x3 }, // 1461
  { PseudoVWSUB_VV_MF4_MASK, PseudoVWSUB_VV_MF4, PseudoVWSUB_VV_MF4_TU, 0x3 }, // 1462
  { PseudoVWSUB_VV_MF8_MASK, PseudoVWSUB_VV_MF8, PseudoVWSUB_VV_MF8_TU, 0x3 }, // 1463
  { PseudoVWSUB_VX_M1_MASK, PseudoVWSUB_VX_M1, PseudoVWSUB_VX_M1_TU, 0x3 }, // 1464
  { PseudoVWSUB_VX_M2_MASK, PseudoVWSUB_VX_M2, PseudoVWSUB_VX_M2_TU, 0x3 }, // 1465
  { PseudoVWSUB_VX_M4_MASK, PseudoVWSUB_VX_M4, PseudoVWSUB_VX_M4_TU, 0x3 }, // 1466
  { PseudoVWSUB_VX_MF2_MASK, PseudoVWSUB_VX_MF2, PseudoVWSUB_VX_MF2_TU, 0x3 }, // 1467
  { PseudoVWSUB_VX_MF4_MASK, PseudoVWSUB_VX_MF4, PseudoVWSUB_VX_MF4_TU, 0x3 }, // 1468
  { PseudoVWSUB_VX_MF8_MASK, PseudoVWSUB_VX_MF8, PseudoVWSUB_VX_MF8_TU, 0x3 }, // 1469
  { PseudoVWSUB_WV_M1_MASK, PseudoVWSUB_WV_M1, PseudoVWSUB_WV_M1_TU, 0x3 }, // 1470
  { PseudoVWSUB_WV_M2_MASK, PseudoVWSUB_WV_M2, PseudoVWSUB_WV_M2_TU, 0x3 }, // 1471
  { PseudoVWSUB_WV_M4_MASK, PseudoVWSUB_WV_M4, PseudoVWSUB_WV_M4_TU, 0x3 }, // 1472
  { PseudoVWSUB_WV_MF2_MASK, PseudoVWSUB_WV_MF2, PseudoVWSUB_WV_MF2_TU, 0x3 }, // 1473
  { PseudoVWSUB_WV_MF4_MASK, PseudoVWSUB_WV_MF4, PseudoVWSUB_WV_MF4_TU, 0x3 }, // 1474
  { PseudoVWSUB_WV_MF8_MASK, PseudoVWSUB_WV_MF8, PseudoVWSUB_WV_MF8_TU, 0x3 }, // 1475
  { PseudoVWSUB_WX_M1_MASK, PseudoVWSUB_WX_M1, PseudoVWSUB_WX_M1_TU, 0x3 }, // 1476
  { PseudoVWSUB_WX_M2_MASK, PseudoVWSUB_WX_M2, PseudoVWSUB_WX_M2_TU, 0x3 }, // 1477
  { PseudoVWSUB_WX_M4_MASK, PseudoVWSUB_WX_M4, PseudoVWSUB_WX_M4_TU, 0x3 }, // 1478
  { PseudoVWSUB_WX_MF2_MASK, PseudoVWSUB_WX_MF2, PseudoVWSUB_WX_MF2_TU, 0x3 }, // 1479
  { PseudoVWSUB_WX_MF4_MASK, PseudoVWSUB_WX_MF4, PseudoVWSUB_WX_MF4_TU, 0x3 }, // 1480
  { PseudoVWSUB_WX_MF8_MASK, PseudoVWSUB_WX_MF8, PseudoVWSUB_WX_MF8_TU, 0x3 }, // 1481
  { PseudoVXOR_VI_M1_MASK, PseudoVXOR_VI_M1, PseudoVXOR_VI_M1_TU, 0x3 }, // 1482
  { PseudoVXOR_VI_M2_MASK, PseudoVXOR_VI_M2, PseudoVXOR_VI_M2_TU, 0x3 }, // 1483
  { PseudoVXOR_VI_M4_MASK, PseudoVXOR_VI_M4, PseudoVXOR_VI_M4_TU, 0x3 }, // 1484
  { PseudoVXOR_VI_M8_MASK, PseudoVXOR_VI_M8, PseudoVXOR_VI_M8_TU, 0x3 }, // 1485
  { PseudoVXOR_VI_MF2_MASK, PseudoVXOR_VI_MF2, PseudoVXOR_VI_MF2_TU, 0x3 }, // 1486
  { PseudoVXOR_VI_MF4_MASK, PseudoVXOR_VI_MF4, PseudoVXOR_VI_MF4_TU, 0x3 }, // 1487
  { PseudoVXOR_VI_MF8_MASK, PseudoVXOR_VI_MF8, PseudoVXOR_VI_MF8_TU, 0x3 }, // 1488
  { PseudoVXOR_VV_M1_MASK, PseudoVXOR_VV_M1, PseudoVXOR_VV_M1_TU, 0x3 }, // 1489
  { PseudoVXOR_VV_M2_MASK, PseudoVXOR_VV_M2, PseudoVXOR_VV_M2_TU, 0x3 }, // 1490
  { PseudoVXOR_VV_M4_MASK, PseudoVXOR_VV_M4, PseudoVXOR_VV_M4_TU, 0x3 }, // 1491
  { PseudoVXOR_VV_M8_MASK, PseudoVXOR_VV_M8, PseudoVXOR_VV_M8_TU, 0x3 }, // 1492
  { PseudoVXOR_VV_MF2_MASK, PseudoVXOR_VV_MF2, PseudoVXOR_VV_MF2_TU, 0x3 }, // 1493
  { PseudoVXOR_VV_MF4_MASK, PseudoVXOR_VV_MF4, PseudoVXOR_VV_MF4_TU, 0x3 }, // 1494
  { PseudoVXOR_VV_MF8_MASK, PseudoVXOR_VV_MF8, PseudoVXOR_VV_MF8_TU, 0x3 }, // 1495
  { PseudoVXOR_VX_M1_MASK, PseudoVXOR_VX_M1, PseudoVXOR_VX_M1_TU, 0x3 }, // 1496
  { PseudoVXOR_VX_M2_MASK, PseudoVXOR_VX_M2, PseudoVXOR_VX_M2_TU, 0x3 }, // 1497
  { PseudoVXOR_VX_M4_MASK, PseudoVXOR_VX_M4, PseudoVXOR_VX_M4_TU, 0x3 }, // 1498
  { PseudoVXOR_VX_M8_MASK, PseudoVXOR_VX_M8, PseudoVXOR_VX_M8_TU, 0x3 }, // 1499
  { PseudoVXOR_VX_MF2_MASK, PseudoVXOR_VX_MF2, PseudoVXOR_VX_MF2_TU, 0x3 }, // 1500
  { PseudoVXOR_VX_MF4_MASK, PseudoVXOR_VX_MF4, PseudoVXOR_VX_MF4_TU, 0x3 }, // 1501
  { PseudoVXOR_VX_MF8_MASK, PseudoVXOR_VX_MF8, PseudoVXOR_VX_MF8_TU, 0x3 }, // 1502
  { PseudoVZEXT_VF2_M1_MASK, PseudoVZEXT_VF2_M1, PseudoVZEXT_VF2_M1_TU, 0x2 }, // 1503
  { PseudoVZEXT_VF2_M2_MASK, PseudoVZEXT_VF2_M2, PseudoVZEXT_VF2_M2_TU, 0x2 }, // 1504
  { PseudoVZEXT_VF2_M4_MASK, PseudoVZEXT_VF2_M4, PseudoVZEXT_VF2_M4_TU, 0x2 }, // 1505
  { PseudoVZEXT_VF2_M8_MASK, PseudoVZEXT_VF2_M8, PseudoVZEXT_VF2_M8_TU, 0x2 }, // 1506
  { PseudoVZEXT_VF2_MF2_MASK, PseudoVZEXT_VF2_MF2, PseudoVZEXT_VF2_MF2_TU, 0x2 }, // 1507
  { PseudoVZEXT_VF2_MF4_MASK, PseudoVZEXT_VF2_MF4, PseudoVZEXT_VF2_MF4_TU, 0x2 }, // 1508
  { PseudoVZEXT_VF4_M1_MASK, PseudoVZEXT_VF4_M1, PseudoVZEXT_VF4_M1_TU, 0x2 }, // 1509
  { PseudoVZEXT_VF4_M2_MASK, PseudoVZEXT_VF4_M2, PseudoVZEXT_VF4_M2_TU, 0x2 }, // 1510
  { PseudoVZEXT_VF4_M4_MASK, PseudoVZEXT_VF4_M4, PseudoVZEXT_VF4_M4_TU, 0x2 }, // 1511
  { PseudoVZEXT_VF4_M8_MASK, PseudoVZEXT_VF4_M8, PseudoVZEXT_VF4_M8_TU, 0x2 }, // 1512
  { PseudoVZEXT_VF4_MF2_MASK, PseudoVZEXT_VF4_MF2, PseudoVZEXT_VF4_MF2_TU, 0x2 }, // 1513
  { PseudoVZEXT_VF8_M1_MASK, PseudoVZEXT_VF8_M1, PseudoVZEXT_VF8_M1_TU, 0x2 }, // 1514
  { PseudoVZEXT_VF8_M2_MASK, PseudoVZEXT_VF8_M2, PseudoVZEXT_VF8_M2_TU, 0x2 }, // 1515
  { PseudoVZEXT_VF8_M4_MASK, PseudoVZEXT_VF8_M4, PseudoVZEXT_VF8_M4_TU, 0x2 }, // 1516
  { PseudoVZEXT_VF8_M8_MASK, PseudoVZEXT_VF8_M8, PseudoVZEXT_VF8_M8_TU, 0x2 }, // 1517
 };

const RISCVMaskedPseudoInfo *getMaskedPseudoInfo(unsigned MaskedPseudo) {
  struct KeyType {
    unsigned MaskedPseudo;
  };
  KeyType Key = {MaskedPseudo};
  auto Table = makeArrayRef(RISCVMaskedPseudosTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const RISCVMaskedPseudoInfo &LHS, const KeyType &RHS) {
      if (LHS.MaskedPseudo < RHS.MaskedPseudo)
        return true;
      if (LHS.MaskedPseudo > RHS.MaskedPseudo)
        return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.MaskedPseudo != Idx->MaskedPseudo)
    return nullptr;
  return &*Idx;
}
#endif

#ifdef GET_RISCVOpcodesList_DECL
const RISCVOpcode *lookupRISCVOpcodeByValue(uint8_t Value);
const RISCVOpcode *lookupRISCVOpcodeByName(StringRef Name);
#endif

#ifdef GET_RISCVOpcodesList_IMPL
constexpr RISCVOpcode RISCVOpcodesList[] = {
  { "LOAD", 0x3 }, // 0
  { "LOAD_FP", 0x7 }, // 1
  { "MISC_MEM", 0xF }, // 2
  { "OP_IMM", 0x13 }, // 3
  { "AUIPC", 0x17 }, // 4
  { "OP_IMM_32", 0x1B }, // 5
  { "STORE", 0x23 }, // 6
  { "STORE_FP", 0x27 }, // 7
  { "AMO", 0x2F }, // 8
  { "OP", 0x33 }, // 9
  { "LUI", 0x37 }, // 10
  { "OP_32", 0x3B }, // 11
  { "MADD", 0x43 }, // 12
  { "MSUB", 0x47 }, // 13
  { "NMSUB", 0x4B }, // 14
  { "NMADD", 0x4F }, // 15
  { "OP_FP", 0x53 }, // 16
  { "OP_V", 0x57 }, // 17
  { "BRANCH", 0x63 }, // 18
  { "JALR", 0x67 }, // 19
  { "JAL", 0x6F }, // 20
  { "SYSTEM", 0x73 }, // 21
 };

const RISCVOpcode *lookupRISCVOpcodeByValue(uint8_t Value) {
  struct KeyType {
    uint8_t Value;
  };
  KeyType Key = {Value};
  auto Table = makeArrayRef(RISCVOpcodesList);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const RISCVOpcode &LHS, const KeyType &RHS) {
      if (LHS.Value < RHS.Value)
        return true;
      if (LHS.Value > RHS.Value)
        return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.Value != Idx->Value)
    return nullptr;
  return &*Idx;
}

const RISCVOpcode *lookupRISCVOpcodeByName(StringRef Name) {
  struct IndexType {
    const char * Name;
    unsigned _index;
  };
  static const struct IndexType Index[] = {
    { "AMO", 8 },
    { "AUIPC", 4 },
    { "BRANCH", 18 },
    { "JAL", 20 },
    { "JALR", 19 },
    { "LOAD", 0 },
    { "LOAD_FP", 1 },
    { "LUI", 10 },
    { "MADD", 12 },
    { "MISC_MEM", 2 },
    { "MSUB", 13 },
    { "NMADD", 15 },
    { "NMSUB", 14 },
    { "OP", 9 },
    { "OP_32", 11 },
    { "OP_FP", 16 },
    { "OP_IMM", 3 },
    { "OP_IMM_32", 5 },
    { "OP_V", 17 },
    { "STORE", 6 },
    { "STORE_FP", 7 },
    { "SYSTEM", 21 },
  };

  struct KeyType {
    std::string Name;
  };
  KeyType Key = {Name.upper()};
  auto Table = makeArrayRef(Index);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const IndexType &LHS, const KeyType &RHS) {
      int CmpName = StringRef(LHS.Name).compare(RHS.Name);
      if (CmpName < 0) return true;
      if (CmpName > 0) return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.Name != Idx->Name)
    return nullptr;
  return &RISCVOpcodesList[Idx->_index];
}
#endif

#ifdef GET_RISCVVIntrinsicsTable_DECL
const RISCVVIntrinsicInfo *getRISCVVIntrinsicInfo(unsigned IntrinsicID);
#endif

#ifdef GET_RISCVVIntrinsicsTable_IMPL
constexpr RISCVVIntrinsicInfo RISCVVIntrinsicsTable[] = {
  { Intrinsic::riscv_vaadd, 0x2, 0x3 }, // 0
  { Intrinsic::riscv_vaadd_mask, 0x2, 0x4 }, // 1
  { Intrinsic::riscv_vaaddu, 0x2, 0x3 }, // 2
  { Intrinsic::riscv_vaaddu_mask, 0x2, 0x4 }, // 3
  { Intrinsic::riscv_vadc, 0x2, 0x4 }, // 4
  { Intrinsic::riscv_vadd, 0x2, 0x3 }, // 5
  { Intrinsic::riscv_vadd_mask, 0x2, 0x4 }, // 6
  { Intrinsic::riscv_vand, 0x2, 0x3 }, // 7
  { Intrinsic::riscv_vand_mask, 0x2, 0x4 }, // 8
  { Intrinsic::riscv_vasub, 0x2, 0x3 }, // 9
  { Intrinsic::riscv_vasub_mask, 0x2, 0x4 }, // 10
  { Intrinsic::riscv_vasubu, 0x2, 0x3 }, // 11
  { Intrinsic::riscv_vasubu_mask, 0x2, 0x4 }, // 12
  { Intrinsic::riscv_vcompress, 0xF, 0x3 }, // 13
  { Intrinsic::riscv_vcpop, 0xF, 0x1 }, // 14
  { Intrinsic::riscv_vcpop_mask, 0xF, 0x2 }, // 15
  { Intrinsic::riscv_vdiv, 0x2, 0x3 }, // 16
  { Intrinsic::riscv_vdiv_mask, 0x2, 0x4 }, // 17
  { Intrinsic::riscv_vdivu, 0x2, 0x3 }, // 18
  { Intrinsic::riscv_vdivu_mask, 0x2, 0x4 }, // 19
  { Intrinsic::riscv_vfadd, 0x2, 0x3 }, // 20
  { Intrinsic::riscv_vfadd_mask, 0x2, 0x4 }, // 21
  { Intrinsic::riscv_vfclass, 0xF, 0x1 }, // 22
  { Intrinsic::riscv_vfclass_mask, 0xF, 0x3 }, // 23
  { Intrinsic::riscv_vfcvt_f_x_v, 0xF, 0x2 }, // 24
  { Intrinsic::riscv_vfcvt_f_x_v_mask, 0xF, 0x3 }, // 25
  { Intrinsic::riscv_vfcvt_f_xu_v, 0xF, 0x2 }, // 26
  { Intrinsic::riscv_vfcvt_f_xu_v_mask, 0xF, 0x3 }, // 27
  { Intrinsic::riscv_vfcvt_rtz_x_f_v, 0xF, 0x2 }, // 28
  { Intrinsic::riscv_vfcvt_rtz_x_f_v_mask, 0xF, 0x3 }, // 29
  { Intrinsic::riscv_vfcvt_rtz_xu_f_v, 0xF, 0x2 }, // 30
  { Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask, 0xF, 0x3 }, // 31
  { Intrinsic::riscv_vfcvt_x_f_v, 0xF, 0x2 }, // 32
  { Intrinsic::riscv_vfcvt_x_f_v_mask, 0xF, 0x3 }, // 33
  { Intrinsic::riscv_vfcvt_xu_f_v, 0xF, 0x2 }, // 34
  { Intrinsic::riscv_vfcvt_xu_f_v_mask, 0xF, 0x3 }, // 35
  { Intrinsic::riscv_vfdiv, 0x2, 0x3 }, // 36
  { Intrinsic::riscv_vfdiv_mask, 0x2, 0x4 }, // 37
  { Intrinsic::riscv_vfirst, 0xF, 0x1 }, // 38
  { Intrinsic::riscv_vfirst_mask, 0xF, 0x2 }, // 39
  { Intrinsic::riscv_vfmacc, 0x1, 0x3 }, // 40
  { Intrinsic::riscv_vfmacc_mask, 0x1, 0x4 }, // 41
  { Intrinsic::riscv_vfmadd, 0x1, 0x3 }, // 42
  { Intrinsic::riscv_vfmadd_mask, 0x1, 0x4 }, // 43
  { Intrinsic::riscv_vfmax, 0x2, 0x3 }, // 44
  { Intrinsic::riscv_vfmax_mask, 0x2, 0x4 }, // 45
  { Intrinsic::riscv_vfmerge, 0x2, 0x4 }, // 46
  { Intrinsic::riscv_vfmin, 0x2, 0x3 }, // 47
  { Intrinsic::riscv_vfmin_mask, 0x2, 0x4 }, // 48
  { Intrinsic::riscv_vfmsac, 0x1, 0x3 }, // 49
  { Intrinsic::riscv_vfmsac_mask, 0x1, 0x4 }, // 50
  { Intrinsic::riscv_vfmsub, 0x1, 0x3 }, // 51
  { Intrinsic::riscv_vfmsub_mask, 0x1, 0x4 }, // 52
  { Intrinsic::riscv_vfmul, 0x2, 0x3 }, // 53
  { Intrinsic::riscv_vfmul_mask, 0x2, 0x4 }, // 54
  { Intrinsic::riscv_vfmv_f_s, 0xF, 0x1F }, // 55
  { Intrinsic::riscv_vfmv_s_f, 0xF, 0x2 }, // 56
  { Intrinsic::riscv_vfmv_v_f, 0xF, 0x2 }, // 57
  { Intrinsic::riscv_vfncvt_f_f_w, 0xF, 0x2 }, // 58
  { Intrinsic::riscv_vfncvt_f_f_w_mask, 0xF, 0x3 }, // 59
  { Intrinsic::riscv_vfncvt_f_x_w, 0xF, 0x2 }, // 60
  { Intrinsic::riscv_vfncvt_f_x_w_mask, 0xF, 0x3 }, // 61
  { Intrinsic::riscv_vfncvt_f_xu_w, 0xF, 0x2 }, // 62
  { Intrinsic::riscv_vfncvt_f_xu_w_mask, 0xF, 0x3 }, // 63
  { Intrinsic::riscv_vfncvt_rod_f_f_w, 0xF, 0x2 }, // 64
  { Intrinsic::riscv_vfncvt_rod_f_f_w_mask, 0xF, 0x3 }, // 65
  { Intrinsic::riscv_vfncvt_rtz_x_f_w, 0xF, 0x2 }, // 66
  { Intrinsic::riscv_vfncvt_rtz_x_f_w_mask, 0xF, 0x3 }, // 67
  { Intrinsic::riscv_vfncvt_rtz_xu_f_w, 0xF, 0x2 }, // 68
  { Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask, 0xF, 0x3 }, // 69
  { Intrinsic::riscv_vfncvt_x_f_w, 0xF, 0x2 }, // 70
  { Intrinsic::riscv_vfncvt_x_f_w_mask, 0xF, 0x3 }, // 71
  { Intrinsic::riscv_vfncvt_xu_f_w, 0xF, 0x2 }, // 72
  { Intrinsic::riscv_vfncvt_xu_f_w_mask, 0xF, 0x3 }, // 73
  { Intrinsic::riscv_vfnmacc, 0x1, 0x3 }, // 74
  { Intrinsic::riscv_vfnmacc_mask, 0x1, 0x4 }, // 75
  { Intrinsic::riscv_vfnmadd, 0x1, 0x3 }, // 76
  { Intrinsic::riscv_vfnmadd_mask, 0x1, 0x4 }, // 77
  { Intrinsic::riscv_vfnmsac, 0x1, 0x3 }, // 78
  { Intrinsic::riscv_vfnmsac_mask, 0x1, 0x4 }, // 79
  { Intrinsic::riscv_vfnmsub, 0x1, 0x3 }, // 80
  { Intrinsic::riscv_vfnmsub_mask, 0x1, 0x4 }, // 81
  { Intrinsic::riscv_vfrdiv, 0x2, 0x3 }, // 82
  { Intrinsic::riscv_vfrdiv_mask, 0x2, 0x4 }, // 83
  { Intrinsic::riscv_vfrec7, 0xF, 0x2 }, // 84
  { Intrinsic::riscv_vfrec7_mask, 0xF, 0x3 }, // 85
  { Intrinsic::riscv_vfredmax, 0xF, 0x3 }, // 86
  { Intrinsic::riscv_vfredmax_mask, 0xF, 0x4 }, // 87
  { Intrinsic::riscv_vfredmin, 0xF, 0x3 }, // 88
  { Intrinsic::riscv_vfredmin_mask, 0xF, 0x4 }, // 89
  { Intrinsic::riscv_vfredosum, 0xF, 0x3 }, // 90
  { Intrinsic::riscv_vfredosum_mask, 0xF, 0x4 }, // 91
  { Intrinsic::riscv_vfredusum, 0xF, 0x3 }, // 92
  { Intrinsic::riscv_vfredusum_mask, 0xF, 0x4 }, // 93
  { Intrinsic::riscv_vfrsqrt7, 0xF, 0x2 }, // 94
  { Intrinsic::riscv_vfrsqrt7_mask, 0xF, 0x3 }, // 95
  { Intrinsic::riscv_vfrsub, 0x2, 0x3 }, // 96
  { Intrinsic::riscv_vfrsub_mask, 0x2, 0x4 }, // 97
  { Intrinsic::riscv_vfsgnj, 0x2, 0x3 }, // 98
  { Intrinsic::riscv_vfsgnj_mask, 0x2, 0x4 }, // 99
  { Intrinsic::riscv_vfsgnjn, 0x2, 0x3 }, // 100
  { Intrinsic::riscv_vfsgnjn_mask, 0x2, 0x4 }, // 101
  { Intrinsic::riscv_vfsgnjx, 0x2, 0x3 }, // 102
  { Intrinsic::riscv_vfsgnjx_mask, 0x2, 0x4 }, // 103
  { Intrinsic::riscv_vfslide1down, 0x2, 0x3 }, // 104
  { Intrinsic::riscv_vfslide1down_mask, 0x2, 0x4 }, // 105
  { Intrinsic::riscv_vfslide1up, 0x2, 0x3 }, // 106
  { Intrinsic::riscv_vfslide1up_mask, 0x2, 0x4 }, // 107
  { Intrinsic::riscv_vfsqrt, 0xF, 0x2 }, // 108
  { Intrinsic::riscv_vfsqrt_mask, 0xF, 0x3 }, // 109
  { Intrinsic::riscv_vfsub, 0x2, 0x3 }, // 110
  { Intrinsic::riscv_vfsub_mask, 0x2, 0x4 }, // 111
  { Intrinsic::riscv_vfwadd, 0x2, 0x3 }, // 112
  { Intrinsic::riscv_vfwadd_mask, 0x2, 0x4 }, // 113
  { Intrinsic::riscv_vfwadd_w, 0x2, 0x3 }, // 114
  { Intrinsic::riscv_vfwadd_w_mask, 0x2, 0x4 }, // 115
  { Intrinsic::riscv_vfwcvt_f_f_v, 0xF, 0x2 }, // 116
  { Intrinsic::riscv_vfwcvt_f_f_v_mask, 0xF, 0x3 }, // 117
  { Intrinsic::riscv_vfwcvt_f_x_v, 0xF, 0x2 }, // 118
  { Intrinsic::riscv_vfwcvt_f_x_v_mask, 0xF, 0x3 }, // 119
  { Intrinsic::riscv_vfwcvt_f_xu_v, 0xF, 0x2 }, // 120
  { Intrinsic::riscv_vfwcvt_f_xu_v_mask, 0xF, 0x3 }, // 121
  { Intrinsic::riscv_vfwcvt_rtz_x_f_v, 0xF, 0x2 }, // 122
  { Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask, 0xF, 0x3 }, // 123
  { Intrinsic::riscv_vfwcvt_rtz_xu_f_v, 0xF, 0x2 }, // 124
  { Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask, 0xF, 0x3 }, // 125
  { Intrinsic::riscv_vfwcvt_x_f_v, 0xF, 0x2 }, // 126
  { Intrinsic::riscv_vfwcvt_x_f_v_mask, 0xF, 0x3 }, // 127
  { Intrinsic::riscv_vfwcvt_xu_f_v, 0xF, 0x2 }, // 128
  { Intrinsic::riscv_vfwcvt_xu_f_v_mask, 0xF, 0x3 }, // 129
  { Intrinsic::riscv_vfwmacc, 0x1, 0x3 }, // 130
  { Intrinsic::riscv_vfwmacc_mask, 0x1, 0x4 }, // 131
  { Intrinsic::riscv_vfwmsac, 0x1, 0x3 }, // 132
  { Intrinsic::riscv_vfwmsac_mask, 0x1, 0x4 }, // 133
  { Intrinsic::riscv_vfwmul, 0x2, 0x3 }, // 134
  { Intrinsic::riscv_vfwmul_mask, 0x2, 0x4 }, // 135
  { Intrinsic::riscv_vfwnmacc, 0x1, 0x3 }, // 136
  { Intrinsic::riscv_vfwnmacc_mask, 0x1, 0x4 }, // 137
  { Intrinsic::riscv_vfwnmsac, 0x1, 0x3 }, // 138
  { Intrinsic::riscv_vfwnmsac_mask, 0x1, 0x4 }, // 139
  { Intrinsic::riscv_vfwredosum, 0xF, 0x3 }, // 140
  { Intrinsic::riscv_vfwredosum_mask, 0xF, 0x4 }, // 141
  { Intrinsic::riscv_vfwredusum, 0xF, 0x3 }, // 142
  { Intrinsic::riscv_vfwredusum_mask, 0xF, 0x4 }, // 143
  { Intrinsic::riscv_vfwsub, 0x2, 0x3 }, // 144
  { Intrinsic::riscv_vfwsub_mask, 0x2, 0x4 }, // 145
  { Intrinsic::riscv_vfwsub_w, 0x2, 0x3 }, // 146
  { Intrinsic::riscv_vfwsub_w_mask, 0x2, 0x4 }, // 147
  { Intrinsic::riscv_vid, 0xF, 0x1 }, // 148
  { Intrinsic::riscv_vid_mask, 0xF, 0x2 }, // 149
  { Intrinsic::riscv_viota, 0xF, 0x2 }, // 150
  { Intrinsic::riscv_viota_mask, 0xF, 0x3 }, // 151
  { Intrinsic::riscv_vle, 0xF, 0x2 }, // 152
  { Intrinsic::riscv_vle_mask, 0xF, 0x3 }, // 153
  { Intrinsic::riscv_vleff, 0xF, 0x2 }, // 154
  { Intrinsic::riscv_vleff_mask, 0xF, 0x3 }, // 155
  { Intrinsic::riscv_vlm, 0xF, 0x1 }, // 156
  { Intrinsic::riscv_vloxei, 0xF, 0x3 }, // 157
  { Intrinsic::riscv_vloxei_mask, 0xF, 0x4 }, // 158
  { Intrinsic::riscv_vloxseg2, 0xF, 0x4 }, // 159
  { Intrinsic::riscv_vloxseg2_mask, 0xF, 0x5 }, // 160
  { Intrinsic::riscv_vloxseg3, 0xF, 0x5 }, // 161
  { Intrinsic::riscv_vloxseg3_mask, 0xF, 0x6 }, // 162
  { Intrinsic::riscv_vloxseg4, 0xF, 0x6 }, // 163
  { Intrinsic::riscv_vloxseg4_mask, 0xF, 0x7 }, // 164
  { Intrinsic::riscv_vloxseg5, 0xF, 0x7 }, // 165
  { Intrinsic::riscv_vloxseg5_mask, 0xF, 0x8 }, // 166
  { Intrinsic::riscv_vloxseg6, 0xF, 0x8 }, // 167
  { Intrinsic::riscv_vloxseg6_mask, 0xF, 0x9 }, // 168
  { Intrinsic::riscv_vloxseg7, 0xF, 0x9 }, // 169
  { Intrinsic::riscv_vloxseg7_mask, 0xF, 0xA }, // 170
  { Intrinsic::riscv_vloxseg8, 0xF, 0xA }, // 171
  { Intrinsic::riscv_vloxseg8_mask, 0xF, 0xB }, // 172
  { Intrinsic::riscv_vlse, 0xF, 0x3 }, // 173
  { Intrinsic::riscv_vlse_mask, 0xF, 0x4 }, // 174
  { Intrinsic::riscv_vlseg2, 0xF, 0x3 }, // 175
  { Intrinsic::riscv_vlseg2_mask, 0xF, 0x4 }, // 176
  { Intrinsic::riscv_vlseg2ff, 0xF, 0x3 }, // 177
  { Intrinsic::riscv_vlseg2ff_mask, 0xF, 0x4 }, // 178
  { Intrinsic::riscv_vlseg3, 0xF, 0x4 }, // 179
  { Intrinsic::riscv_vlseg3_mask, 0xF, 0x5 }, // 180
  { Intrinsic::riscv_vlseg3ff, 0xF, 0x4 }, // 181
  { Intrinsic::riscv_vlseg3ff_mask, 0xF, 0x5 }, // 182
  { Intrinsic::riscv_vlseg4, 0xF, 0x5 }, // 183
  { Intrinsic::riscv_vlseg4_mask, 0xF, 0x6 }, // 184
  { Intrinsic::riscv_vlseg4ff, 0xF, 0x5 }, // 185
  { Intrinsic::riscv_vlseg4ff_mask, 0xF, 0x6 }, // 186
  { Intrinsic::riscv_vlseg5, 0xF, 0x6 }, // 187
  { Intrinsic::riscv_vlseg5_mask, 0xF, 0x7 }, // 188
  { Intrinsic::riscv_vlseg5ff, 0xF, 0x6 }, // 189
  { Intrinsic::riscv_vlseg5ff_mask, 0xF, 0x7 }, // 190
  { Intrinsic::riscv_vlseg6, 0xF, 0x7 }, // 191
  { Intrinsic::riscv_vlseg6_mask, 0xF, 0x8 }, // 192
  { Intrinsic::riscv_vlseg6ff, 0xF, 0x7 }, // 193
  { Intrinsic::riscv_vlseg6ff_mask, 0xF, 0x8 }, // 194
  { Intrinsic::riscv_vlseg7, 0xF, 0x8 }, // 195
  { Intrinsic::riscv_vlseg7_mask, 0xF, 0x9 }, // 196
  { Intrinsic::riscv_vlseg7ff, 0xF, 0x8 }, // 197
  { Intrinsic::riscv_vlseg7ff_mask, 0xF, 0x9 }, // 198
  { Intrinsic::riscv_vlseg8, 0xF, 0x9 }, // 199
  { Intrinsic::riscv_vlseg8_mask, 0xF, 0xA }, // 200
  { Intrinsic::riscv_vlseg8ff, 0xF, 0x9 }, // 201
  { Intrinsic::riscv_vlseg8ff_mask, 0xF, 0xA }, // 202
  { Intrinsic::riscv_vlsseg2, 0xF, 0x4 }, // 203
  { Intrinsic::riscv_vlsseg2_mask, 0xF, 0x5 }, // 204
  { Intrinsic::riscv_vlsseg3, 0xF, 0x5 }, // 205
  { Intrinsic::riscv_vlsseg3_mask, 0xF, 0x6 }, // 206
  { Intrinsic::riscv_vlsseg4, 0xF, 0x6 }, // 207
  { Intrinsic::riscv_vlsseg4_mask, 0xF, 0x7 }, // 208
  { Intrinsic::riscv_vlsseg5, 0xF, 0x7 }, // 209
  { Intrinsic::riscv_vlsseg5_mask, 0xF, 0x8 }, // 210
  { Intrinsic::riscv_vlsseg6, 0xF, 0x8 }, // 211
  { Intrinsic::riscv_vlsseg6_mask, 0xF, 0x9 }, // 212
  { Intrinsic::riscv_vlsseg7, 0xF, 0x9 }, // 213
  { Intrinsic::riscv_vlsseg7_mask, 0xF, 0xA }, // 214
  { Intrinsic::riscv_vlsseg8, 0xF, 0xA }, // 215
  { Intrinsic::riscv_vlsseg8_mask, 0xF, 0xB }, // 216
  { Intrinsic::riscv_vluxei, 0xF, 0x3 }, // 217
  { Intrinsic::riscv_vluxei_mask, 0xF, 0x4 }, // 218
  { Intrinsic::riscv_vluxseg2, 0xF, 0x4 }, // 219
  { Intrinsic::riscv_vluxseg2_mask, 0xF, 0x5 }, // 220
  { Intrinsic::riscv_vluxseg3, 0xF, 0x5 }, // 221
  { Intrinsic::riscv_vluxseg3_mask, 0xF, 0x6 }, // 222
  { Intrinsic::riscv_vluxseg4, 0xF, 0x6 }, // 223
  { Intrinsic::riscv_vluxseg4_mask, 0xF, 0x7 }, // 224
  { Intrinsic::riscv_vluxseg5, 0xF, 0x7 }, // 225
  { Intrinsic::riscv_vluxseg5_mask, 0xF, 0x8 }, // 226
  { Intrinsic::riscv_vluxseg6, 0xF, 0x8 }, // 227
  { Intrinsic::riscv_vluxseg6_mask, 0xF, 0x9 }, // 228
  { Intrinsic::riscv_vluxseg7, 0xF, 0x9 }, // 229
  { Intrinsic::riscv_vluxseg7_mask, 0xF, 0xA }, // 230
  { Intrinsic::riscv_vluxseg8, 0xF, 0xA }, // 231
  { Intrinsic::riscv_vluxseg8_mask, 0xF, 0xB }, // 232
  { Intrinsic::riscv_vmacc, 0x1, 0x3 }, // 233
  { Intrinsic::riscv_vmacc_mask, 0x1, 0x4 }, // 234
  { Intrinsic::riscv_vmadc, 0x1, 0x2 }, // 235
  { Intrinsic::riscv_vmadc_carry_in, 0x1, 0x3 }, // 236
  { Intrinsic::riscv_vmadd, 0x1, 0x3 }, // 237
  { Intrinsic::riscv_vmadd_mask, 0x1, 0x4 }, // 238
  { Intrinsic::riscv_vmand, 0xF, 0x2 }, // 239
  { Intrinsic::riscv_vmandn, 0xF, 0x2 }, // 240
  { Intrinsic::riscv_vmax, 0x2, 0x3 }, // 241
  { Intrinsic::riscv_vmax_mask, 0x2, 0x4 }, // 242
  { Intrinsic::riscv_vmaxu, 0x2, 0x3 }, // 243
  { Intrinsic::riscv_vmaxu_mask, 0x2, 0x4 }, // 244
  { Intrinsic::riscv_vmclr, 0xF, 0x1 }, // 245
  { Intrinsic::riscv_vmerge, 0x2, 0x4 }, // 246
  { Intrinsic::riscv_vmfeq, 0x1, 0x2 }, // 247
  { Intrinsic::riscv_vmfeq_mask, 0x2, 0x4 }, // 248
  { Intrinsic::riscv_vmfge, 0x1, 0x2 }, // 249
  { Intrinsic::riscv_vmfge_mask, 0x2, 0x4 }, // 250
  { Intrinsic::riscv_vmfgt, 0x1, 0x2 }, // 251
  { Intrinsic::riscv_vmfgt_mask, 0x2, 0x4 }, // 252
  { Intrinsic::riscv_vmfle, 0x1, 0x2 }, // 253
  { Intrinsic::riscv_vmfle_mask, 0x2, 0x4 }, // 254
  { Intrinsic::riscv_vmflt, 0x1, 0x2 }, // 255
  { Intrinsic::riscv_vmflt_mask, 0x2, 0x4 }, // 256
  { Intrinsic::riscv_vmfne, 0x1, 0x2 }, // 257
  { Intrinsic::riscv_vmfne_mask, 0x2, 0x4 }, // 258
  { Intrinsic::riscv_vmin, 0x2, 0x3 }, // 259
  { Intrinsic::riscv_vmin_mask, 0x2, 0x4 }, // 260
  { Intrinsic::riscv_vminu, 0x2, 0x3 }, // 261
  { Intrinsic::riscv_vminu_mask, 0x2, 0x4 }, // 262
  { Intrinsic::riscv_vmnand, 0xF, 0x2 }, // 263
  { Intrinsic::riscv_vmnor, 0xF, 0x2 }, // 264
  { Intrinsic::riscv_vmor, 0xF, 0x2 }, // 265
  { Intrinsic::riscv_vmorn, 0xF, 0x2 }, // 266
  { Intrinsic::riscv_vmsbc, 0x1, 0x2 }, // 267
  { Intrinsic::riscv_vmsbc_borrow_in, 0x1, 0x3 }, // 268
  { Intrinsic::riscv_vmsbf, 0xF, 0x1 }, // 269
  { Intrinsic::riscv_vmsbf_mask, 0xF, 0x3 }, // 270
  { Intrinsic::riscv_vmseq, 0x1, 0x2 }, // 271
  { Intrinsic::riscv_vmseq_mask, 0x2, 0x4 }, // 272
  { Intrinsic::riscv_vmset, 0xF, 0x1 }, // 273
  { Intrinsic::riscv_vmsge, 0x1, 0x2 }, // 274
  { Intrinsic::riscv_vmsge_mask, 0x2, 0x4 }, // 275
  { Intrinsic::riscv_vmsgeu, 0x1, 0x2 }, // 276
  { Intrinsic::riscv_vmsgeu_mask, 0x2, 0x4 }, // 277
  { Intrinsic::riscv_vmsgt, 0x1, 0x2 }, // 278
  { Intrinsic::riscv_vmsgt_mask, 0x2, 0x4 }, // 279
  { Intrinsic::riscv_vmsgtu, 0x1, 0x2 }, // 280
  { Intrinsic::riscv_vmsgtu_mask, 0x2, 0x4 }, // 281
  { Intrinsic::riscv_vmsif, 0xF, 0x1 }, // 282
  { Intrinsic::riscv_vmsif_mask, 0xF, 0x3 }, // 283
  { Intrinsic::riscv_vmsle, 0x1, 0x2 }, // 284
  { Intrinsic::riscv_vmsle_mask, 0x2, 0x4 }, // 285
  { Intrinsic::riscv_vmsleu, 0x1, 0x2 }, // 286
  { Intrinsic::riscv_vmsleu_mask, 0x2, 0x4 }, // 287
  { Intrinsic::riscv_vmslt, 0x1, 0x2 }, // 288
  { Intrinsic::riscv_vmslt_mask, 0x2, 0x4 }, // 289
  { Intrinsic::riscv_vmsltu, 0x1, 0x2 }, // 290
  { Intrinsic::riscv_vmsltu_mask, 0x2, 0x4 }, // 291
  { Intrinsic::riscv_vmsne, 0x1, 0x2 }, // 292
  { Intrinsic::riscv_vmsne_mask, 0x2, 0x4 }, // 293
  { Intrinsic::riscv_vmsof, 0xF, 0x1 }, // 294
  { Intrinsic::riscv_vmsof_mask, 0xF, 0x3 }, // 295
  { Intrinsic::riscv_vmul, 0x2, 0x3 }, // 296
  { Intrinsic::riscv_vmul_mask, 0x2, 0x4 }, // 297
  { Intrinsic::riscv_vmulh, 0x2, 0x3 }, // 298
  { Intrinsic::riscv_vmulh_mask, 0x2, 0x4 }, // 299
  { Intrinsic::riscv_vmulhsu, 0x2, 0x3 }, // 300
  { Intrinsic::riscv_vmulhsu_mask, 0x2, 0x4 }, // 301
  { Intrinsic::riscv_vmulhu, 0x2, 0x3 }, // 302
  { Intrinsic::riscv_vmulhu_mask, 0x2, 0x4 }, // 303
  { Intrinsic::riscv_vmv_s_x, 0xF, 0x2 }, // 304
  { Intrinsic::riscv_vmv_v_v, 0xF, 0x2 }, // 305
  { Intrinsic::riscv_vmv_v_x, 0xF, 0x2 }, // 306
  { Intrinsic::riscv_vmv_x_s, 0xF, 0x1F }, // 307
  { Intrinsic::riscv_vmxnor, 0xF, 0x2 }, // 308
  { Intrinsic::riscv_vmxor, 0xF, 0x2 }, // 309
  { Intrinsic::riscv_vnclip, 0xF, 0x3 }, // 310
  { Intrinsic::riscv_vnclip_mask, 0xF, 0x4 }, // 311
  { Intrinsic::riscv_vnclipu, 0xF, 0x3 }, // 312
  { Intrinsic::riscv_vnclipu_mask, 0xF, 0x4 }, // 313
  { Intrinsic::riscv_vnmsac, 0x1, 0x3 }, // 314
  { Intrinsic::riscv_vnmsac_mask, 0x1, 0x4 }, // 315
  { Intrinsic::riscv_vnmsub, 0x1, 0x3 }, // 316
  { Intrinsic::riscv_vnmsub_mask, 0x1, 0x4 }, // 317
  { Intrinsic::riscv_vnsra, 0xF, 0x3 }, // 318
  { Intrinsic::riscv_vnsra_mask, 0xF, 0x4 }, // 319
  { Intrinsic::riscv_vnsrl, 0xF, 0x3 }, // 320
  { Intrinsic::riscv_vnsrl_mask, 0xF, 0x4 }, // 321
  { Intrinsic::riscv_vor, 0x2, 0x3 }, // 322
  { Intrinsic::riscv_vor_mask, 0x2, 0x4 }, // 323
  { Intrinsic::riscv_vredand, 0xF, 0x3 }, // 324
  { Intrinsic::riscv_vredand_mask, 0xF, 0x4 }, // 325
  { Intrinsic::riscv_vredmax, 0xF, 0x3 }, // 326
  { Intrinsic::riscv_vredmax_mask, 0xF, 0x4 }, // 327
  { Intrinsic::riscv_vredmaxu, 0xF, 0x3 }, // 328
  { Intrinsic::riscv_vredmaxu_mask, 0xF, 0x4 }, // 329
  { Intrinsic::riscv_vredmin, 0xF, 0x3 }, // 330
  { Intrinsic::riscv_vredmin_mask, 0xF, 0x4 }, // 331
  { Intrinsic::riscv_vredminu, 0xF, 0x3 }, // 332
  { Intrinsic::riscv_vredminu_mask, 0xF, 0x4 }, // 333
  { Intrinsic::riscv_vredor, 0xF, 0x3 }, // 334
  { Intrinsic::riscv_vredor_mask, 0xF, 0x4 }, // 335
  { Intrinsic::riscv_vredsum, 0xF, 0x3 }, // 336
  { Intrinsic::riscv_vredsum_mask, 0xF, 0x4 }, // 337
  { Intrinsic::riscv_vredxor, 0xF, 0x3 }, // 338
  { Intrinsic::riscv_vredxor_mask, 0xF, 0x4 }, // 339
  { Intrinsic::riscv_vrem, 0x2, 0x3 }, // 340
  { Intrinsic::riscv_vrem_mask, 0x2, 0x4 }, // 341
  { Intrinsic::riscv_vremu, 0x2, 0x3 }, // 342
  { Intrinsic::riscv_vremu_mask, 0x2, 0x4 }, // 343
  { Intrinsic::riscv_vrgather_vv, 0xF, 0x3 }, // 344
  { Intrinsic::riscv_vrgather_vv_mask, 0xF, 0x4 }, // 345
  { Intrinsic::riscv_vrgather_vx, 0xF, 0x3 }, // 346
  { Intrinsic::riscv_vrgather_vx_mask, 0xF, 0x4 }, // 347
  { Intrinsic::riscv_vrgatherei16_vv, 0xF, 0x3 }, // 348
  { Intrinsic::riscv_vrgatherei16_vv_mask, 0xF, 0x4 }, // 349
  { Intrinsic::riscv_vrsub, 0x2, 0x3 }, // 350
  { Intrinsic::riscv_vrsub_mask, 0x2, 0x4 }, // 351
  { Intrinsic::riscv_vsadd, 0x2, 0x3 }, // 352
  { Intrinsic::riscv_vsadd_mask, 0x2, 0x4 }, // 353
  { Intrinsic::riscv_vsaddu, 0x2, 0x3 }, // 354
  { Intrinsic::riscv_vsaddu_mask, 0x2, 0x4 }, // 355
  { Intrinsic::riscv_vsbc, 0x2, 0x4 }, // 356
  { Intrinsic::riscv_vse, 0xF, 0x2 }, // 357
  { Intrinsic::riscv_vse_mask, 0xF, 0x3 }, // 358
  { Intrinsic::riscv_vsext, 0xF, 0x2 }, // 359
  { Intrinsic::riscv_vsext_mask, 0xF, 0x3 }, // 360
  { Intrinsic::riscv_vslide1down, 0x2, 0x3 }, // 361
  { Intrinsic::riscv_vslide1down_mask, 0x2, 0x4 }, // 362
  { Intrinsic::riscv_vslide1up, 0x2, 0x3 }, // 363
  { Intrinsic::riscv_vslide1up_mask, 0x2, 0x4 }, // 364
  { Intrinsic::riscv_vslidedown, 0xF, 0x3 }, // 365
  { Intrinsic::riscv_vslidedown_mask, 0xF, 0x4 }, // 366
  { Intrinsic::riscv_vslideup, 0xF, 0x3 }, // 367
  { Intrinsic::riscv_vslideup_mask, 0xF, 0x4 }, // 368
  { Intrinsic::riscv_vsll, 0xF, 0x3 }, // 369
  { Intrinsic::riscv_vsll_mask, 0xF, 0x4 }, // 370
  { Intrinsic::riscv_vsm, 0xF, 0x2 }, // 371
  { Intrinsic::riscv_vsmul, 0x2, 0x3 }, // 372
  { Intrinsic::riscv_vsmul_mask, 0x2, 0x4 }, // 373
  { Intrinsic::riscv_vsoxei, 0xF, 0x3 }, // 374
  { Intrinsic::riscv_vsoxei_mask, 0xF, 0x4 }, // 375
  { Intrinsic::riscv_vsoxseg2, 0xF, 0x4 }, // 376
  { Intrinsic::riscv_vsoxseg2_mask, 0xF, 0x5 }, // 377
  { Intrinsic::riscv_vsoxseg3, 0xF, 0x5 }, // 378
  { Intrinsic::riscv_vsoxseg3_mask, 0xF, 0x6 }, // 379
  { Intrinsic::riscv_vsoxseg4, 0xF, 0x6 }, // 380
  { Intrinsic::riscv_vsoxseg4_mask, 0xF, 0x7 }, // 381
  { Intrinsic::riscv_vsoxseg5, 0xF, 0x7 }, // 382
  { Intrinsic::riscv_vsoxseg5_mask, 0xF, 0x8 }, // 383
  { Intrinsic::riscv_vsoxseg6, 0xF, 0x8 }, // 384
  { Intrinsic::riscv_vsoxseg6_mask, 0xF, 0x9 }, // 385
  { Intrinsic::riscv_vsoxseg7, 0xF, 0x9 }, // 386
  { Intrinsic::riscv_vsoxseg7_mask, 0xF, 0xA }, // 387
  { Intrinsic::riscv_vsoxseg8, 0xF, 0xA }, // 388
  { Intrinsic::riscv_vsoxseg8_mask, 0xF, 0xB }, // 389
  { Intrinsic::riscv_vsra, 0xF, 0x3 }, // 390
  { Intrinsic::riscv_vsra_mask, 0xF, 0x4 }, // 391
  { Intrinsic::riscv_vsrl, 0xF, 0x3 }, // 392
  { Intrinsic::riscv_vsrl_mask, 0xF, 0x4 }, // 393
  { Intrinsic::riscv_vsse, 0xF, 0x3 }, // 394
  { Intrinsic::riscv_vsse_mask, 0xF, 0x4 }, // 395
  { Intrinsic::riscv_vsseg2, 0xF, 0x3 }, // 396
  { Intrinsic::riscv_vsseg2_mask, 0xF, 0x4 }, // 397
  { Intrinsic::riscv_vsseg3, 0xF, 0x4 }, // 398
  { Intrinsic::riscv_vsseg3_mask, 0xF, 0x5 }, // 399
  { Intrinsic::riscv_vsseg4, 0xF, 0x5 }, // 400
  { Intrinsic::riscv_vsseg4_mask, 0xF, 0x6 }, // 401
  { Intrinsic::riscv_vsseg5, 0xF, 0x6 }, // 402
  { Intrinsic::riscv_vsseg5_mask, 0xF, 0x7 }, // 403
  { Intrinsic::riscv_vsseg6, 0xF, 0x7 }, // 404
  { Intrinsic::riscv_vsseg6_mask, 0xF, 0x8 }, // 405
  { Intrinsic::riscv_vsseg7, 0xF, 0x8 }, // 406
  { Intrinsic::riscv_vsseg7_mask, 0xF, 0x9 }, // 407
  { Intrinsic::riscv_vsseg8, 0xF, 0x9 }, // 408
  { Intrinsic::riscv_vsseg8_mask, 0xF, 0xA }, // 409
  { Intrinsic::riscv_vssra, 0xF, 0x3 }, // 410
  { Intrinsic::riscv_vssra_mask, 0xF, 0x4 }, // 411
  { Intrinsic::riscv_vssrl, 0xF, 0x3 }, // 412
  { Intrinsic::riscv_vssrl_mask, 0xF, 0x4 }, // 413
  { Intrinsic::riscv_vssseg2, 0xF, 0x4 }, // 414
  { Intrinsic::riscv_vssseg2_mask, 0xF, 0x5 }, // 415
  { Intrinsic::riscv_vssseg3, 0xF, 0x5 }, // 416
  { Intrinsic::riscv_vssseg3_mask, 0xF, 0x6 }, // 417
  { Intrinsic::riscv_vssseg4, 0xF, 0x6 }, // 418
  { Intrinsic::riscv_vssseg4_mask, 0xF, 0x7 }, // 419
  { Intrinsic::riscv_vssseg5, 0xF, 0x7 }, // 420
  { Intrinsic::riscv_vssseg5_mask, 0xF, 0x8 }, // 421
  { Intrinsic::riscv_vssseg6, 0xF, 0x8 }, // 422
  { Intrinsic::riscv_vssseg6_mask, 0xF, 0x9 }, // 423
  { Intrinsic::riscv_vssseg7, 0xF, 0x9 }, // 424
  { Intrinsic::riscv_vssseg7_mask, 0xF, 0xA }, // 425
  { Intrinsic::riscv_vssseg8, 0xF, 0xA }, // 426
  { Intrinsic::riscv_vssseg8_mask, 0xF, 0xB }, // 427
  { Intrinsic::riscv_vssub, 0x2, 0x3 }, // 428
  { Intrinsic::riscv_vssub_mask, 0x2, 0x4 }, // 429
  { Intrinsic::riscv_vssubu, 0x2, 0x3 }, // 430
  { Intrinsic::riscv_vssubu_mask, 0x2, 0x4 }, // 431
  { Intrinsic::riscv_vsub, 0x2, 0x3 }, // 432
  { Intrinsic::riscv_vsub_mask, 0x2, 0x4 }, // 433
  { Intrinsic::riscv_vsuxei, 0xF, 0x3 }, // 434
  { Intrinsic::riscv_vsuxei_mask, 0xF, 0x4 }, // 435
  { Intrinsic::riscv_vsuxseg2, 0xF, 0x4 }, // 436
  { Intrinsic::riscv_vsuxseg2_mask, 0xF, 0x5 }, // 437
  { Intrinsic::riscv_vsuxseg3, 0xF, 0x5 }, // 438
  { Intrinsic::riscv_vsuxseg3_mask, 0xF, 0x6 }, // 439
  { Intrinsic::riscv_vsuxseg4, 0xF, 0x6 }, // 440
  { Intrinsic::riscv_vsuxseg4_mask, 0xF, 0x7 }, // 441
  { Intrinsic::riscv_vsuxseg5, 0xF, 0x7 }, // 442
  { Intrinsic::riscv_vsuxseg5_mask, 0xF, 0x8 }, // 443
  { Intrinsic::riscv_vsuxseg6, 0xF, 0x8 }, // 444
  { Intrinsic::riscv_vsuxseg6_mask, 0xF, 0x9 }, // 445
  { Intrinsic::riscv_vsuxseg7, 0xF, 0x9 }, // 446
  { Intrinsic::riscv_vsuxseg7_mask, 0xF, 0xA }, // 447
  { Intrinsic::riscv_vsuxseg8, 0xF, 0xA }, // 448
  { Intrinsic::riscv_vsuxseg8_mask, 0xF, 0xB }, // 449
  { Intrinsic::riscv_vwadd, 0x2, 0x3 }, // 450
  { Intrinsic::riscv_vwadd_mask, 0x2, 0x4 }, // 451
  { Intrinsic::riscv_vwadd_w, 0x2, 0x3 }, // 452
  { Intrinsic::riscv_vwadd_w_mask, 0x2, 0x4 }, // 453
  { Intrinsic::riscv_vwaddu, 0x2, 0x3 }, // 454
  { Intrinsic::riscv_vwaddu_mask, 0x2, 0x4 }, // 455
  { Intrinsic::riscv_vwaddu_w, 0x2, 0x3 }, // 456
  { Intrinsic::riscv_vwaddu_w_mask, 0x2, 0x4 }, // 457
  { Intrinsic::riscv_vwmacc, 0x1, 0x3 }, // 458
  { Intrinsic::riscv_vwmacc_mask, 0x1, 0x4 }, // 459
  { Intrinsic::riscv_vwmaccsu, 0x1, 0x3 }, // 460
  { Intrinsic::riscv_vwmaccsu_mask, 0x1, 0x4 }, // 461
  { Intrinsic::riscv_vwmaccu, 0x1, 0x3 }, // 462
  { Intrinsic::riscv_vwmaccu_mask, 0x1, 0x4 }, // 463
  { Intrinsic::riscv_vwmaccus, 0x1, 0x3 }, // 464
  { Intrinsic::riscv_vwmaccus_mask, 0x1, 0x4 }, // 465
  { Intrinsic::riscv_vwmul, 0x2, 0x3 }, // 466
  { Intrinsic::riscv_vwmul_mask, 0x2, 0x4 }, // 467
  { Intrinsic::riscv_vwmulsu, 0x2, 0x3 }, // 468
  { Intrinsic::riscv_vwmulsu_mask, 0x2, 0x4 }, // 469
  { Intrinsic::riscv_vwmulu, 0x2, 0x3 }, // 470
  { Intrinsic::riscv_vwmulu_mask, 0x2, 0x4 }, // 471
  { Intrinsic::riscv_vwredsum, 0xF, 0x3 }, // 472
  { Intrinsic::riscv_vwredsum_mask, 0xF, 0x4 }, // 473
  { Intrinsic::riscv_vwredsumu, 0xF, 0x3 }, // 474
  { Intrinsic::riscv_vwredsumu_mask, 0xF, 0x4 }, // 475
  { Intrinsic::riscv_vwsub, 0x2, 0x3 }, // 476
  { Intrinsic::riscv_vwsub_mask, 0x2, 0x4 }, // 477
  { Intrinsic::riscv_vwsub_w, 0x2, 0x3 }, // 478
  { Intrinsic::riscv_vwsub_w_mask, 0x2, 0x4 }, // 479
  { Intrinsic::riscv_vwsubu, 0x2, 0x3 }, // 480
  { Intrinsic::riscv_vwsubu_mask, 0x2, 0x4 }, // 481
  { Intrinsic::riscv_vwsubu_w, 0x2, 0x3 }, // 482
  { Intrinsic::riscv_vwsubu_w_mask, 0x2, 0x4 }, // 483
  { Intrinsic::riscv_vxor, 0x2, 0x3 }, // 484
  { Intrinsic::riscv_vxor_mask, 0x2, 0x4 }, // 485
  { Intrinsic::riscv_vzext, 0xF, 0x2 }, // 486
  { Intrinsic::riscv_vzext_mask, 0xF, 0x3 }, // 487
 };

const RISCVVIntrinsicInfo *getRISCVVIntrinsicInfo(unsigned IntrinsicID) {
  struct KeyType {
    unsigned IntrinsicID;
  };
  KeyType Key = {IntrinsicID};
  auto Table = makeArrayRef(RISCVVIntrinsicsTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const RISCVVIntrinsicInfo &LHS, const KeyType &RHS) {
      if (LHS.IntrinsicID < RHS.IntrinsicID)
        return true;
      if (LHS.IntrinsicID > RHS.IntrinsicID)
        return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.IntrinsicID != Idx->IntrinsicID)
    return nullptr;
  return &*Idx;
}
#endif

#ifdef GET_RISCVVLETable_DECL
const VLEPseudo *getVLEPseudo(uint8_t Masked, uint8_t IsTU, uint8_t Strided, uint8_t FF, uint8_t Log2SEW, uint8_t LMUL);
#endif

#ifdef GET_RISCVVLETable_IMPL
constexpr VLEPseudo RISCVVLETable[] = {
  { 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, PseudoVLM_V_B8 }, // 0
  { 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, PseudoVLM_V_B16 }, // 1
  { 0x0, 0x0, 0x0, 0x0, 0x0, 0x2, PseudoVLM_V_B32 }, // 2
  { 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, PseudoVLM_V_B64 }, // 3
  { 0x0, 0x0, 0x0, 0x0, 0x0, 0x5, PseudoVLM_V_B1 }, // 4
  { 0x0, 0x0, 0x0, 0x0, 0x0, 0x6, PseudoVLM_V_B2 }, // 5
  { 0x0, 0x0, 0x0, 0x0, 0x0, 0x7, PseudoVLM_V_B4 }, // 6
  { 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, PseudoVLE8_V_M1 }, // 7
  { 0x0, 0x0, 0x0, 0x0, 0x3, 0x1, PseudoVLE8_V_M2 }, // 8
  { 0x0, 0x0, 0x0, 0x0, 0x3, 0x2, PseudoVLE8_V_M4 }, // 9
  { 0x0, 0x0, 0x0, 0x0, 0x3, 0x3, PseudoVLE8_V_M8 }, // 10
  { 0x0, 0x0, 0x0, 0x0, 0x3, 0x5, PseudoVLE8_V_MF8 }, // 11
  { 0x0, 0x0, 0x0, 0x0, 0x3, 0x6, PseudoVLE8_V_MF4 }, // 12
  { 0x0, 0x0, 0x0, 0x0, 0x3, 0x7, PseudoVLE8_V_MF2 }, // 13
  { 0x0, 0x0, 0x0, 0x0, 0x4, 0x0, PseudoVLE16_V_M1 }, // 14
  { 0x0, 0x0, 0x0, 0x0, 0x4, 0x1, PseudoVLE16_V_M2 }, // 15
  { 0x0, 0x0, 0x0, 0x0, 0x4, 0x2, PseudoVLE16_V_M4 }, // 16
  { 0x0, 0x0, 0x0, 0x0, 0x4, 0x3, PseudoVLE16_V_M8 }, // 17
  { 0x0, 0x0, 0x0, 0x0, 0x4, 0x6, PseudoVLE16_V_MF4 }, // 18
  { 0x0, 0x0, 0x0, 0x0, 0x4, 0x7, PseudoVLE16_V_MF2 }, // 19
  { 0x0, 0x0, 0x0, 0x0, 0x5, 0x0, PseudoVLE32_V_M1 }, // 20
  { 0x0, 0x0, 0x0, 0x0, 0x5, 0x1, PseudoVLE32_V_M2 }, // 21
  { 0x0, 0x0, 0x0, 0x0, 0x5, 0x2, PseudoVLE32_V_M4 }, // 22
  { 0x0, 0x0, 0x0, 0x0, 0x5, 0x3, PseudoVLE32_V_M8 }, // 23
  { 0x0, 0x0, 0x0, 0x0, 0x5, 0x7, PseudoVLE32_V_MF2 }, // 24
  { 0x0, 0x0, 0x0, 0x0, 0x6, 0x0, PseudoVLE64_V_M1 }, // 25
  { 0x0, 0x0, 0x0, 0x0, 0x6, 0x1, PseudoVLE64_V_M2 }, // 26
  { 0x0, 0x0, 0x0, 0x0, 0x6, 0x2, PseudoVLE64_V_M4 }, // 27
  { 0x0, 0x0, 0x0, 0x0, 0x6, 0x3, PseudoVLE64_V_M8 }, // 28
  { 0x0, 0x0, 0x0, 0x1, 0x3, 0x0, PseudoVLE8FF_V_M1 }, // 29
  { 0x0, 0x0, 0x0, 0x1, 0x3, 0x1, PseudoVLE8FF_V_M2 }, // 30
  { 0x0, 0x0, 0x0, 0x1, 0x3, 0x2, PseudoVLE8FF_V_M4 }, // 31
  { 0x0, 0x0, 0x0, 0x1, 0x3, 0x3, PseudoVLE8FF_V_M8 }, // 32
  { 0x0, 0x0, 0x0, 0x1, 0x3, 0x5, PseudoVLE8FF_V_MF8 }, // 33
  { 0x0, 0x0, 0x0, 0x1, 0x3, 0x6, PseudoVLE8FF_V_MF4 }, // 34
  { 0x0, 0x0, 0x0, 0x1, 0x3, 0x7, PseudoVLE8FF_V_MF2 }, // 35
  { 0x0, 0x0, 0x0, 0x1, 0x4, 0x0, PseudoVLE16FF_V_M1 }, // 36
  { 0x0, 0x0, 0x0, 0x1, 0x4, 0x1, PseudoVLE16FF_V_M2 }, // 37
  { 0x0, 0x0, 0x0, 0x1, 0x4, 0x2, PseudoVLE16FF_V_M4 }, // 38
  { 0x0, 0x0, 0x0, 0x1, 0x4, 0x3, PseudoVLE16FF_V_M8 }, // 39
  { 0x0, 0x0, 0x0, 0x1, 0x4, 0x6, PseudoVLE16FF_V_MF4 }, // 40
  { 0x0, 0x0, 0x0, 0x1, 0x4, 0x7, PseudoVLE16FF_V_MF2 }, // 41
  { 0x0, 0x0, 0x0, 0x1, 0x5, 0x0, PseudoVLE32FF_V_M1 }, // 42
  { 0x0, 0x0, 0x0, 0x1, 0x5, 0x1, PseudoVLE32FF_V_M2 }, // 43
  { 0x0, 0x0, 0x0, 0x1, 0x5, 0x2, PseudoVLE32FF_V_M4 }, // 44
  { 0x0, 0x0, 0x0, 0x1, 0x5, 0x3, PseudoVLE32FF_V_M8 }, // 45
  { 0x0, 0x0, 0x0, 0x1, 0x5, 0x7, PseudoVLE32FF_V_MF2 }, // 46
  { 0x0, 0x0, 0x0, 0x1, 0x6, 0x0, PseudoVLE64FF_V_M1 }, // 47
  { 0x0, 0x0, 0x0, 0x1, 0x6, 0x1, PseudoVLE64FF_V_M2 }, // 48
  { 0x0, 0x0, 0x0, 0x1, 0x6, 0x2, PseudoVLE64FF_V_M4 }, // 49
  { 0x0, 0x0, 0x0, 0x1, 0x6, 0x3, PseudoVLE64FF_V_M8 }, // 50
  { 0x0, 0x0, 0x1, 0x0, 0x3, 0x0, PseudoVLSE8_V_M1 }, // 51
  { 0x0, 0x0, 0x1, 0x0, 0x3, 0x1, PseudoVLSE8_V_M2 }, // 52
  { 0x0, 0x0, 0x1, 0x0, 0x3, 0x2, PseudoVLSE8_V_M4 }, // 53
  { 0x0, 0x0, 0x1, 0x0, 0x3, 0x3, PseudoVLSE8_V_M8 }, // 54
  { 0x0, 0x0, 0x1, 0x0, 0x3, 0x5, PseudoVLSE8_V_MF8 }, // 55
  { 0x0, 0x0, 0x1, 0x0, 0x3, 0x6, PseudoVLSE8_V_MF4 }, // 56
  { 0x0, 0x0, 0x1, 0x0, 0x3, 0x7, PseudoVLSE8_V_MF2 }, // 57
  { 0x0, 0x0, 0x1, 0x0, 0x4, 0x0, PseudoVLSE16_V_M1 }, // 58
  { 0x0, 0x0, 0x1, 0x0, 0x4, 0x1, PseudoVLSE16_V_M2 }, // 59
  { 0x0, 0x0, 0x1, 0x0, 0x4, 0x2, PseudoVLSE16_V_M4 }, // 60
  { 0x0, 0x0, 0x1, 0x0, 0x4, 0x3, PseudoVLSE16_V_M8 }, // 61
  { 0x0, 0x0, 0x1, 0x0, 0x4, 0x6, PseudoVLSE16_V_MF4 }, // 62
  { 0x0, 0x0, 0x1, 0x0, 0x4, 0x7, PseudoVLSE16_V_MF2 }, // 63
  { 0x0, 0x0, 0x1, 0x0, 0x5, 0x0, PseudoVLSE32_V_M1 }, // 64
  { 0x0, 0x0, 0x1, 0x0, 0x5, 0x1, PseudoVLSE32_V_M2 }, // 65
  { 0x0, 0x0, 0x1, 0x0, 0x5, 0x2, PseudoVLSE32_V_M4 }, // 66
  { 0x0, 0x0, 0x1, 0x0, 0x5, 0x3, PseudoVLSE32_V_M8 }, // 67
  { 0x0, 0x0, 0x1, 0x0, 0x5, 0x7, PseudoVLSE32_V_MF2 }, // 68
  { 0x0, 0x0, 0x1, 0x0, 0x6, 0x0, PseudoVLSE64_V_M1 }, // 69
  { 0x0, 0x0, 0x1, 0x0, 0x6, 0x1, PseudoVLSE64_V_M2 }, // 70
  { 0x0, 0x0, 0x1, 0x0, 0x6, 0x2, PseudoVLSE64_V_M4 }, // 71
  { 0x0, 0x0, 0x1, 0x0, 0x6, 0x3, PseudoVLSE64_V_M8 }, // 72
  { 0x0, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLE8_V_M1_TU }, // 73
  { 0x0, 0x1, 0x0, 0x0, 0x3, 0x1, PseudoVLE8_V_M2_TU }, // 74
  { 0x0, 0x1, 0x0, 0x0, 0x3, 0x2, PseudoVLE8_V_M4_TU }, // 75
  { 0x0, 0x1, 0x0, 0x0, 0x3, 0x3, PseudoVLE8_V_M8_TU }, // 76
  { 0x0, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLE8_V_MF8_TU }, // 77
  { 0x0, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLE8_V_MF4_TU }, // 78
  { 0x0, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLE8_V_MF2_TU }, // 79
  { 0x0, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLE16_V_M1_TU }, // 80
  { 0x0, 0x1, 0x0, 0x0, 0x4, 0x1, PseudoVLE16_V_M2_TU }, // 81
  { 0x0, 0x1, 0x0, 0x0, 0x4, 0x2, PseudoVLE16_V_M4_TU }, // 82
  { 0x0, 0x1, 0x0, 0x0, 0x4, 0x3, PseudoVLE16_V_M8_TU }, // 83
  { 0x0, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLE16_V_MF4_TU }, // 84
  { 0x0, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLE16_V_MF2_TU }, // 85
  { 0x0, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLE32_V_M1_TU }, // 86
  { 0x0, 0x1, 0x0, 0x0, 0x5, 0x1, PseudoVLE32_V_M2_TU }, // 87
  { 0x0, 0x1, 0x0, 0x0, 0x5, 0x2, PseudoVLE32_V_M4_TU }, // 88
  { 0x0, 0x1, 0x0, 0x0, 0x5, 0x3, PseudoVLE32_V_M8_TU }, // 89
  { 0x0, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLE32_V_MF2_TU }, // 90
  { 0x0, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLE64_V_M1_TU }, // 91
  { 0x0, 0x1, 0x0, 0x0, 0x6, 0x1, PseudoVLE64_V_M2_TU }, // 92
  { 0x0, 0x1, 0x0, 0x0, 0x6, 0x2, PseudoVLE64_V_M4_TU }, // 93
  { 0x0, 0x1, 0x0, 0x0, 0x6, 0x3, PseudoVLE64_V_M8_TU }, // 94
  { 0x0, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLE8FF_V_M1_TU }, // 95
  { 0x0, 0x1, 0x0, 0x1, 0x3, 0x1, PseudoVLE8FF_V_M2_TU }, // 96
  { 0x0, 0x1, 0x0, 0x1, 0x3, 0x2, PseudoVLE8FF_V_M4_TU }, // 97
  { 0x0, 0x1, 0x0, 0x1, 0x3, 0x3, PseudoVLE8FF_V_M8_TU }, // 98
  { 0x0, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLE8FF_V_MF8_TU }, // 99
  { 0x0, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLE8FF_V_MF4_TU }, // 100
  { 0x0, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLE8FF_V_MF2_TU }, // 101
  { 0x0, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLE16FF_V_M1_TU }, // 102
  { 0x0, 0x1, 0x0, 0x1, 0x4, 0x1, PseudoVLE16FF_V_M2_TU }, // 103
  { 0x0, 0x1, 0x0, 0x1, 0x4, 0x2, PseudoVLE16FF_V_M4_TU }, // 104
  { 0x0, 0x1, 0x0, 0x1, 0x4, 0x3, PseudoVLE16FF_V_M8_TU }, // 105
  { 0x0, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLE16FF_V_MF4_TU }, // 106
  { 0x0, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLE16FF_V_MF2_TU }, // 107
  { 0x0, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLE32FF_V_M1_TU }, // 108
  { 0x0, 0x1, 0x0, 0x1, 0x5, 0x1, PseudoVLE32FF_V_M2_TU }, // 109
  { 0x0, 0x1, 0x0, 0x1, 0x5, 0x2, PseudoVLE32FF_V_M4_TU }, // 110
  { 0x0, 0x1, 0x0, 0x1, 0x5, 0x3, PseudoVLE32FF_V_M8_TU }, // 111
  { 0x0, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLE32FF_V_MF2_TU }, // 112
  { 0x0, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLE64FF_V_M1_TU }, // 113
  { 0x0, 0x1, 0x0, 0x1, 0x6, 0x1, PseudoVLE64FF_V_M2_TU }, // 114
  { 0x0, 0x1, 0x0, 0x1, 0x6, 0x2, PseudoVLE64FF_V_M4_TU }, // 115
  { 0x0, 0x1, 0x0, 0x1, 0x6, 0x3, PseudoVLE64FF_V_M8_TU }, // 116
  { 0x0, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSE8_V_M1_TU }, // 117
  { 0x0, 0x1, 0x1, 0x0, 0x3, 0x1, PseudoVLSE8_V_M2_TU }, // 118
  { 0x0, 0x1, 0x1, 0x0, 0x3, 0x2, PseudoVLSE8_V_M4_TU }, // 119
  { 0x0, 0x1, 0x1, 0x0, 0x3, 0x3, PseudoVLSE8_V_M8_TU }, // 120
  { 0x0, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSE8_V_MF8_TU }, // 121
  { 0x0, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSE8_V_MF4_TU }, // 122
  { 0x0, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSE8_V_MF2_TU }, // 123
  { 0x0, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSE16_V_M1_TU }, // 124
  { 0x0, 0x1, 0x1, 0x0, 0x4, 0x1, PseudoVLSE16_V_M2_TU }, // 125
  { 0x0, 0x1, 0x1, 0x0, 0x4, 0x2, PseudoVLSE16_V_M4_TU }, // 126
  { 0x0, 0x1, 0x1, 0x0, 0x4, 0x3, PseudoVLSE16_V_M8_TU }, // 127
  { 0x0, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSE16_V_MF4_TU }, // 128
  { 0x0, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSE16_V_MF2_TU }, // 129
  { 0x0, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSE32_V_M1_TU }, // 130
  { 0x0, 0x1, 0x1, 0x0, 0x5, 0x1, PseudoVLSE32_V_M2_TU }, // 131
  { 0x0, 0x1, 0x1, 0x0, 0x5, 0x2, PseudoVLSE32_V_M4_TU }, // 132
  { 0x0, 0x1, 0x1, 0x0, 0x5, 0x3, PseudoVLSE32_V_M8_TU }, // 133
  { 0x0, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSE32_V_MF2_TU }, // 134
  { 0x0, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSE64_V_M1_TU }, // 135
  { 0x0, 0x1, 0x1, 0x0, 0x6, 0x1, PseudoVLSE64_V_M2_TU }, // 136
  { 0x0, 0x1, 0x1, 0x0, 0x6, 0x2, PseudoVLSE64_V_M4_TU }, // 137
  { 0x0, 0x1, 0x1, 0x0, 0x6, 0x3, PseudoVLSE64_V_M8_TU }, // 138
  { 0x1, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLE8_V_M1_MASK }, // 139
  { 0x1, 0x1, 0x0, 0x0, 0x3, 0x1, PseudoVLE8_V_M2_MASK }, // 140
  { 0x1, 0x1, 0x0, 0x0, 0x3, 0x2, PseudoVLE8_V_M4_MASK }, // 141
  { 0x1, 0x1, 0x0, 0x0, 0x3, 0x3, PseudoVLE8_V_M8_MASK }, // 142
  { 0x1, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLE8_V_MF8_MASK }, // 143
  { 0x1, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLE8_V_MF4_MASK }, // 144
  { 0x1, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLE8_V_MF2_MASK }, // 145
  { 0x1, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLE16_V_M1_MASK }, // 146
  { 0x1, 0x1, 0x0, 0x0, 0x4, 0x1, PseudoVLE16_V_M2_MASK }, // 147
  { 0x1, 0x1, 0x0, 0x0, 0x4, 0x2, PseudoVLE16_V_M4_MASK }, // 148
  { 0x1, 0x1, 0x0, 0x0, 0x4, 0x3, PseudoVLE16_V_M8_MASK }, // 149
  { 0x1, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLE16_V_MF4_MASK }, // 150
  { 0x1, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLE16_V_MF2_MASK }, // 151
  { 0x1, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLE32_V_M1_MASK }, // 152
  { 0x1, 0x1, 0x0, 0x0, 0x5, 0x1, PseudoVLE32_V_M2_MASK }, // 153
  { 0x1, 0x1, 0x0, 0x0, 0x5, 0x2, PseudoVLE32_V_M4_MASK }, // 154
  { 0x1, 0x1, 0x0, 0x0, 0x5, 0x3, PseudoVLE32_V_M8_MASK }, // 155
  { 0x1, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLE32_V_MF2_MASK }, // 156
  { 0x1, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLE64_V_M1_MASK }, // 157
  { 0x1, 0x1, 0x0, 0x0, 0x6, 0x1, PseudoVLE64_V_M2_MASK }, // 158
  { 0x1, 0x1, 0x0, 0x0, 0x6, 0x2, PseudoVLE64_V_M4_MASK }, // 159
  { 0x1, 0x1, 0x0, 0x0, 0x6, 0x3, PseudoVLE64_V_M8_MASK }, // 160
  { 0x1, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLE8FF_V_M1_MASK }, // 161
  { 0x1, 0x1, 0x0, 0x1, 0x3, 0x1, PseudoVLE8FF_V_M2_MASK }, // 162
  { 0x1, 0x1, 0x0, 0x1, 0x3, 0x2, PseudoVLE8FF_V_M4_MASK }, // 163
  { 0x1, 0x1, 0x0, 0x1, 0x3, 0x3, PseudoVLE8FF_V_M8_MASK }, // 164
  { 0x1, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLE8FF_V_MF8_MASK }, // 165
  { 0x1, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLE8FF_V_MF4_MASK }, // 166
  { 0x1, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLE8FF_V_MF2_MASK }, // 167
  { 0x1, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLE16FF_V_M1_MASK }, // 168
  { 0x1, 0x1, 0x0, 0x1, 0x4, 0x1, PseudoVLE16FF_V_M2_MASK }, // 169
  { 0x1, 0x1, 0x0, 0x1, 0x4, 0x2, PseudoVLE16FF_V_M4_MASK }, // 170
  { 0x1, 0x1, 0x0, 0x1, 0x4, 0x3, PseudoVLE16FF_V_M8_MASK }, // 171
  { 0x1, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLE16FF_V_MF4_MASK }, // 172
  { 0x1, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLE16FF_V_MF2_MASK }, // 173
  { 0x1, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLE32FF_V_M1_MASK }, // 174
  { 0x1, 0x1, 0x0, 0x1, 0x5, 0x1, PseudoVLE32FF_V_M2_MASK }, // 175
  { 0x1, 0x1, 0x0, 0x1, 0x5, 0x2, PseudoVLE32FF_V_M4_MASK }, // 176
  { 0x1, 0x1, 0x0, 0x1, 0x5, 0x3, PseudoVLE32FF_V_M8_MASK }, // 177
  { 0x1, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLE32FF_V_MF2_MASK }, // 178
  { 0x1, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLE64FF_V_M1_MASK }, // 179
  { 0x1, 0x1, 0x0, 0x1, 0x6, 0x1, PseudoVLE64FF_V_M2_MASK }, // 180
  { 0x1, 0x1, 0x0, 0x1, 0x6, 0x2, PseudoVLE64FF_V_M4_MASK }, // 181
  { 0x1, 0x1, 0x0, 0x1, 0x6, 0x3, PseudoVLE64FF_V_M8_MASK }, // 182
  { 0x1, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSE8_V_M1_MASK }, // 183
  { 0x1, 0x1, 0x1, 0x0, 0x3, 0x1, PseudoVLSE8_V_M2_MASK }, // 184
  { 0x1, 0x1, 0x1, 0x0, 0x3, 0x2, PseudoVLSE8_V_M4_MASK }, // 185
  { 0x1, 0x1, 0x1, 0x0, 0x3, 0x3, PseudoVLSE8_V_M8_MASK }, // 186
  { 0x1, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSE8_V_MF8_MASK }, // 187
  { 0x1, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSE8_V_MF4_MASK }, // 188
  { 0x1, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSE8_V_MF2_MASK }, // 189
  { 0x1, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSE16_V_M1_MASK }, // 190
  { 0x1, 0x1, 0x1, 0x0, 0x4, 0x1, PseudoVLSE16_V_M2_MASK }, // 191
  { 0x1, 0x1, 0x1, 0x0, 0x4, 0x2, PseudoVLSE16_V_M4_MASK }, // 192
  { 0x1, 0x1, 0x1, 0x0, 0x4, 0x3, PseudoVLSE16_V_M8_MASK }, // 193
  { 0x1, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSE16_V_MF4_MASK }, // 194
  { 0x1, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSE16_V_MF2_MASK }, // 195
  { 0x1, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSE32_V_M1_MASK }, // 196
  { 0x1, 0x1, 0x1, 0x0, 0x5, 0x1, PseudoVLSE32_V_M2_MASK }, // 197
  { 0x1, 0x1, 0x1, 0x0, 0x5, 0x2, PseudoVLSE32_V_M4_MASK }, // 198
  { 0x1, 0x1, 0x1, 0x0, 0x5, 0x3, PseudoVLSE32_V_M8_MASK }, // 199
  { 0x1, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSE32_V_MF2_MASK }, // 200
  { 0x1, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSE64_V_M1_MASK }, // 201
  { 0x1, 0x1, 0x1, 0x0, 0x6, 0x1, PseudoVLSE64_V_M2_MASK }, // 202
  { 0x1, 0x1, 0x1, 0x0, 0x6, 0x2, PseudoVLSE64_V_M4_MASK }, // 203
  { 0x1, 0x1, 0x1, 0x0, 0x6, 0x3, PseudoVLSE64_V_M8_MASK }, // 204
 };

const VLEPseudo *getVLEPseudo(uint8_t Masked, uint8_t IsTU, uint8_t Strided, uint8_t FF, uint8_t Log2SEW, uint8_t LMUL) {
  struct KeyType {
    uint8_t Masked;
    uint8_t IsTU;
    uint8_t Strided;
    uint8_t FF;
    uint8_t Log2SEW;
    uint8_t LMUL;
  };
  KeyType Key = {Masked, IsTU, Strided, FF, Log2SEW, LMUL};
  auto Table = makeArrayRef(RISCVVLETable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const VLEPseudo &LHS, const KeyType &RHS) {
      if (LHS.Masked < RHS.Masked)
        return true;
      if (LHS.Masked > RHS.Masked)
        return false;
      if (LHS.IsTU < RHS.IsTU)
        return true;
      if (LHS.IsTU > RHS.IsTU)
        return false;
      if (LHS.Strided < RHS.Strided)
        return true;
      if (LHS.Strided > RHS.Strided)
        return false;
      if (LHS.FF < RHS.FF)
        return true;
      if (LHS.FF > RHS.FF)
        return false;
      if (LHS.Log2SEW < RHS.Log2SEW)
        return true;
      if (LHS.Log2SEW > RHS.Log2SEW)
        return false;
      if (LHS.LMUL < RHS.LMUL)
        return true;
      if (LHS.LMUL > RHS.LMUL)
        return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.Masked != Idx->Masked ||
      Key.IsTU != Idx->IsTU ||
      Key.Strided != Idx->Strided ||
      Key.FF != Idx->FF ||
      Key.Log2SEW != Idx->Log2SEW ||
      Key.LMUL != Idx->LMUL)
    return nullptr;
  return &*Idx;
}
#endif

#ifdef GET_RISCVVLSEGTable_DECL
const VLSEGPseudo *getVLSEGPseudo(uint8_t NF, uint8_t Masked, uint8_t IsTU, uint8_t Strided, uint8_t FF, uint8_t Log2SEW, uint8_t LMUL);
#endif

#ifdef GET_RISCVVLSEGTable_IMPL
constexpr VLSEGPseudo RISCVVLSEGTable[] = {
  { 0x2, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG2E8_V_M1 }, // 0
  { 0x2, 0x0, 0x0, 0x0, 0x0, 0x3, 0x1, PseudoVLSEG2E8_V_M2 }, // 1
  { 0x2, 0x0, 0x0, 0x0, 0x0, 0x3, 0x2, PseudoVLSEG2E8_V_M4 }, // 2
  { 0x2, 0x0, 0x0, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG2E8_V_MF8 }, // 3
  { 0x2, 0x0, 0x0, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG2E8_V_MF4 }, // 4
  { 0x2, 0x0, 0x0, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG2E8_V_MF2 }, // 5
  { 0x2, 0x0, 0x0, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG2E16_V_M1 }, // 6
  { 0x2, 0x0, 0x0, 0x0, 0x0, 0x4, 0x1, PseudoVLSEG2E16_V_M2 }, // 7
  { 0x2, 0x0, 0x0, 0x0, 0x0, 0x4, 0x2, PseudoVLSEG2E16_V_M4 }, // 8
  { 0x2, 0x0, 0x0, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG2E16_V_MF4 }, // 9
  { 0x2, 0x0, 0x0, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG2E16_V_MF2 }, // 10
  { 0x2, 0x0, 0x0, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG2E32_V_M1 }, // 11
  { 0x2, 0x0, 0x0, 0x0, 0x0, 0x5, 0x1, PseudoVLSEG2E32_V_M2 }, // 12
  { 0x2, 0x0, 0x0, 0x0, 0x0, 0x5, 0x2, PseudoVLSEG2E32_V_M4 }, // 13
  { 0x2, 0x0, 0x0, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG2E32_V_MF2 }, // 14
  { 0x2, 0x0, 0x0, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG2E64_V_M1 }, // 15
  { 0x2, 0x0, 0x0, 0x0, 0x0, 0x6, 0x1, PseudoVLSEG2E64_V_M2 }, // 16
  { 0x2, 0x0, 0x0, 0x0, 0x0, 0x6, 0x2, PseudoVLSEG2E64_V_M4 }, // 17
  { 0x2, 0x0, 0x0, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG2E8FF_V_M1 }, // 18
  { 0x2, 0x0, 0x0, 0x0, 0x1, 0x3, 0x1, PseudoVLSEG2E8FF_V_M2 }, // 19
  { 0x2, 0x0, 0x0, 0x0, 0x1, 0x3, 0x2, PseudoVLSEG2E8FF_V_M4 }, // 20
  { 0x2, 0x0, 0x0, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG2E8FF_V_MF8 }, // 21
  { 0x2, 0x0, 0x0, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG2E8FF_V_MF4 }, // 22
  { 0x2, 0x0, 0x0, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG2E8FF_V_MF2 }, // 23
  { 0x2, 0x0, 0x0, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG2E16FF_V_M1 }, // 24
  { 0x2, 0x0, 0x0, 0x0, 0x1, 0x4, 0x1, PseudoVLSEG2E16FF_V_M2 }, // 25
  { 0x2, 0x0, 0x0, 0x0, 0x1, 0x4, 0x2, PseudoVLSEG2E16FF_V_M4 }, // 26
  { 0x2, 0x0, 0x0, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG2E16FF_V_MF4 }, // 27
  { 0x2, 0x0, 0x0, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG2E16FF_V_MF2 }, // 28
  { 0x2, 0x0, 0x0, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG2E32FF_V_M1 }, // 29
  { 0x2, 0x0, 0x0, 0x0, 0x1, 0x5, 0x1, PseudoVLSEG2E32FF_V_M2 }, // 30
  { 0x2, 0x0, 0x0, 0x0, 0x1, 0x5, 0x2, PseudoVLSEG2E32FF_V_M4 }, // 31
  { 0x2, 0x0, 0x0, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG2E32FF_V_MF2 }, // 32
  { 0x2, 0x0, 0x0, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG2E64FF_V_M1 }, // 33
  { 0x2, 0x0, 0x0, 0x0, 0x1, 0x6, 0x1, PseudoVLSEG2E64FF_V_M2 }, // 34
  { 0x2, 0x0, 0x0, 0x0, 0x1, 0x6, 0x2, PseudoVLSEG2E64FF_V_M4 }, // 35
  { 0x2, 0x0, 0x0, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG2E8_V_M1 }, // 36
  { 0x2, 0x0, 0x0, 0x1, 0x0, 0x3, 0x1, PseudoVLSSEG2E8_V_M2 }, // 37
  { 0x2, 0x0, 0x0, 0x1, 0x0, 0x3, 0x2, PseudoVLSSEG2E8_V_M4 }, // 38
  { 0x2, 0x0, 0x0, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG2E8_V_MF8 }, // 39
  { 0x2, 0x0, 0x0, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG2E8_V_MF4 }, // 40
  { 0x2, 0x0, 0x0, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG2E8_V_MF2 }, // 41
  { 0x2, 0x0, 0x0, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG2E16_V_M1 }, // 42
  { 0x2, 0x0, 0x0, 0x1, 0x0, 0x4, 0x1, PseudoVLSSEG2E16_V_M2 }, // 43
  { 0x2, 0x0, 0x0, 0x1, 0x0, 0x4, 0x2, PseudoVLSSEG2E16_V_M4 }, // 44
  { 0x2, 0x0, 0x0, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG2E16_V_MF4 }, // 45
  { 0x2, 0x0, 0x0, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG2E16_V_MF2 }, // 46
  { 0x2, 0x0, 0x0, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG2E32_V_M1 }, // 47
  { 0x2, 0x0, 0x0, 0x1, 0x0, 0x5, 0x1, PseudoVLSSEG2E32_V_M2 }, // 48
  { 0x2, 0x0, 0x0, 0x1, 0x0, 0x5, 0x2, PseudoVLSSEG2E32_V_M4 }, // 49
  { 0x2, 0x0, 0x0, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG2E32_V_MF2 }, // 50
  { 0x2, 0x0, 0x0, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG2E64_V_M1 }, // 51
  { 0x2, 0x0, 0x0, 0x1, 0x0, 0x6, 0x1, PseudoVLSSEG2E64_V_M2 }, // 52
  { 0x2, 0x0, 0x0, 0x1, 0x0, 0x6, 0x2, PseudoVLSSEG2E64_V_M4 }, // 53
  { 0x2, 0x0, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG2E8_V_M1_TU }, // 54
  { 0x2, 0x0, 0x1, 0x0, 0x0, 0x3, 0x1, PseudoVLSEG2E8_V_M2_TU }, // 55
  { 0x2, 0x0, 0x1, 0x0, 0x0, 0x3, 0x2, PseudoVLSEG2E8_V_M4_TU }, // 56
  { 0x2, 0x0, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG2E8_V_MF8_TU }, // 57
  { 0x2, 0x0, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG2E8_V_MF4_TU }, // 58
  { 0x2, 0x0, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG2E8_V_MF2_TU }, // 59
  { 0x2, 0x0, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG2E16_V_M1_TU }, // 60
  { 0x2, 0x0, 0x1, 0x0, 0x0, 0x4, 0x1, PseudoVLSEG2E16_V_M2_TU }, // 61
  { 0x2, 0x0, 0x1, 0x0, 0x0, 0x4, 0x2, PseudoVLSEG2E16_V_M4_TU }, // 62
  { 0x2, 0x0, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG2E16_V_MF4_TU }, // 63
  { 0x2, 0x0, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG2E16_V_MF2_TU }, // 64
  { 0x2, 0x0, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG2E32_V_M1_TU }, // 65
  { 0x2, 0x0, 0x1, 0x0, 0x0, 0x5, 0x1, PseudoVLSEG2E32_V_M2_TU }, // 66
  { 0x2, 0x0, 0x1, 0x0, 0x0, 0x5, 0x2, PseudoVLSEG2E32_V_M4_TU }, // 67
  { 0x2, 0x0, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG2E32_V_MF2_TU }, // 68
  { 0x2, 0x0, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG2E64_V_M1_TU }, // 69
  { 0x2, 0x0, 0x1, 0x0, 0x0, 0x6, 0x1, PseudoVLSEG2E64_V_M2_TU }, // 70
  { 0x2, 0x0, 0x1, 0x0, 0x0, 0x6, 0x2, PseudoVLSEG2E64_V_M4_TU }, // 71
  { 0x2, 0x0, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG2E8FF_V_M1_TU }, // 72
  { 0x2, 0x0, 0x1, 0x0, 0x1, 0x3, 0x1, PseudoVLSEG2E8FF_V_M2_TU }, // 73
  { 0x2, 0x0, 0x1, 0x0, 0x1, 0x3, 0x2, PseudoVLSEG2E8FF_V_M4_TU }, // 74
  { 0x2, 0x0, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG2E8FF_V_MF8_TU }, // 75
  { 0x2, 0x0, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG2E8FF_V_MF4_TU }, // 76
  { 0x2, 0x0, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG2E8FF_V_MF2_TU }, // 77
  { 0x2, 0x0, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG2E16FF_V_M1_TU }, // 78
  { 0x2, 0x0, 0x1, 0x0, 0x1, 0x4, 0x1, PseudoVLSEG2E16FF_V_M2_TU }, // 79
  { 0x2, 0x0, 0x1, 0x0, 0x1, 0x4, 0x2, PseudoVLSEG2E16FF_V_M4_TU }, // 80
  { 0x2, 0x0, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG2E16FF_V_MF4_TU }, // 81
  { 0x2, 0x0, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG2E16FF_V_MF2_TU }, // 82
  { 0x2, 0x0, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG2E32FF_V_M1_TU }, // 83
  { 0x2, 0x0, 0x1, 0x0, 0x1, 0x5, 0x1, PseudoVLSEG2E32FF_V_M2_TU }, // 84
  { 0x2, 0x0, 0x1, 0x0, 0x1, 0x5, 0x2, PseudoVLSEG2E32FF_V_M4_TU }, // 85
  { 0x2, 0x0, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG2E32FF_V_MF2_TU }, // 86
  { 0x2, 0x0, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG2E64FF_V_M1_TU }, // 87
  { 0x2, 0x0, 0x1, 0x0, 0x1, 0x6, 0x1, PseudoVLSEG2E64FF_V_M2_TU }, // 88
  { 0x2, 0x0, 0x1, 0x0, 0x1, 0x6, 0x2, PseudoVLSEG2E64FF_V_M4_TU }, // 89
  { 0x2, 0x0, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG2E8_V_M1_TU }, // 90
  { 0x2, 0x0, 0x1, 0x1, 0x0, 0x3, 0x1, PseudoVLSSEG2E8_V_M2_TU }, // 91
  { 0x2, 0x0, 0x1, 0x1, 0x0, 0x3, 0x2, PseudoVLSSEG2E8_V_M4_TU }, // 92
  { 0x2, 0x0, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG2E8_V_MF8_TU }, // 93
  { 0x2, 0x0, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG2E8_V_MF4_TU }, // 94
  { 0x2, 0x0, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG2E8_V_MF2_TU }, // 95
  { 0x2, 0x0, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG2E16_V_M1_TU }, // 96
  { 0x2, 0x0, 0x1, 0x1, 0x0, 0x4, 0x1, PseudoVLSSEG2E16_V_M2_TU }, // 97
  { 0x2, 0x0, 0x1, 0x1, 0x0, 0x4, 0x2, PseudoVLSSEG2E16_V_M4_TU }, // 98
  { 0x2, 0x0, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG2E16_V_MF4_TU }, // 99
  { 0x2, 0x0, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG2E16_V_MF2_TU }, // 100
  { 0x2, 0x0, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG2E32_V_M1_TU }, // 101
  { 0x2, 0x0, 0x1, 0x1, 0x0, 0x5, 0x1, PseudoVLSSEG2E32_V_M2_TU }, // 102
  { 0x2, 0x0, 0x1, 0x1, 0x0, 0x5, 0x2, PseudoVLSSEG2E32_V_M4_TU }, // 103
  { 0x2, 0x0, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG2E32_V_MF2_TU }, // 104
  { 0x2, 0x0, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG2E64_V_M1_TU }, // 105
  { 0x2, 0x0, 0x1, 0x1, 0x0, 0x6, 0x1, PseudoVLSSEG2E64_V_M2_TU }, // 106
  { 0x2, 0x0, 0x1, 0x1, 0x0, 0x6, 0x2, PseudoVLSSEG2E64_V_M4_TU }, // 107
  { 0x2, 0x1, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG2E8_V_M1_MASK }, // 108
  { 0x2, 0x1, 0x1, 0x0, 0x0, 0x3, 0x1, PseudoVLSEG2E8_V_M2_MASK }, // 109
  { 0x2, 0x1, 0x1, 0x0, 0x0, 0x3, 0x2, PseudoVLSEG2E8_V_M4_MASK }, // 110
  { 0x2, 0x1, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG2E8_V_MF8_MASK }, // 111
  { 0x2, 0x1, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG2E8_V_MF4_MASK }, // 112
  { 0x2, 0x1, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG2E8_V_MF2_MASK }, // 113
  { 0x2, 0x1, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG2E16_V_M1_MASK }, // 114
  { 0x2, 0x1, 0x1, 0x0, 0x0, 0x4, 0x1, PseudoVLSEG2E16_V_M2_MASK }, // 115
  { 0x2, 0x1, 0x1, 0x0, 0x0, 0x4, 0x2, PseudoVLSEG2E16_V_M4_MASK }, // 116
  { 0x2, 0x1, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG2E16_V_MF4_MASK }, // 117
  { 0x2, 0x1, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG2E16_V_MF2_MASK }, // 118
  { 0x2, 0x1, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG2E32_V_M1_MASK }, // 119
  { 0x2, 0x1, 0x1, 0x0, 0x0, 0x5, 0x1, PseudoVLSEG2E32_V_M2_MASK }, // 120
  { 0x2, 0x1, 0x1, 0x0, 0x0, 0x5, 0x2, PseudoVLSEG2E32_V_M4_MASK }, // 121
  { 0x2, 0x1, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG2E32_V_MF2_MASK }, // 122
  { 0x2, 0x1, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG2E64_V_M1_MASK }, // 123
  { 0x2, 0x1, 0x1, 0x0, 0x0, 0x6, 0x1, PseudoVLSEG2E64_V_M2_MASK }, // 124
  { 0x2, 0x1, 0x1, 0x0, 0x0, 0x6, 0x2, PseudoVLSEG2E64_V_M4_MASK }, // 125
  { 0x2, 0x1, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG2E8FF_V_M1_MASK }, // 126
  { 0x2, 0x1, 0x1, 0x0, 0x1, 0x3, 0x1, PseudoVLSEG2E8FF_V_M2_MASK }, // 127
  { 0x2, 0x1, 0x1, 0x0, 0x1, 0x3, 0x2, PseudoVLSEG2E8FF_V_M4_MASK }, // 128
  { 0x2, 0x1, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG2E8FF_V_MF8_MASK }, // 129
  { 0x2, 0x1, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG2E8FF_V_MF4_MASK }, // 130
  { 0x2, 0x1, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG2E8FF_V_MF2_MASK }, // 131
  { 0x2, 0x1, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG2E16FF_V_M1_MASK }, // 132
  { 0x2, 0x1, 0x1, 0x0, 0x1, 0x4, 0x1, PseudoVLSEG2E16FF_V_M2_MASK }, // 133
  { 0x2, 0x1, 0x1, 0x0, 0x1, 0x4, 0x2, PseudoVLSEG2E16FF_V_M4_MASK }, // 134
  { 0x2, 0x1, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG2E16FF_V_MF4_MASK }, // 135
  { 0x2, 0x1, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG2E16FF_V_MF2_MASK }, // 136
  { 0x2, 0x1, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG2E32FF_V_M1_MASK }, // 137
  { 0x2, 0x1, 0x1, 0x0, 0x1, 0x5, 0x1, PseudoVLSEG2E32FF_V_M2_MASK }, // 138
  { 0x2, 0x1, 0x1, 0x0, 0x1, 0x5, 0x2, PseudoVLSEG2E32FF_V_M4_MASK }, // 139
  { 0x2, 0x1, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG2E32FF_V_MF2_MASK }, // 140
  { 0x2, 0x1, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG2E64FF_V_M1_MASK }, // 141
  { 0x2, 0x1, 0x1, 0x0, 0x1, 0x6, 0x1, PseudoVLSEG2E64FF_V_M2_MASK }, // 142
  { 0x2, 0x1, 0x1, 0x0, 0x1, 0x6, 0x2, PseudoVLSEG2E64FF_V_M4_MASK }, // 143
  { 0x2, 0x1, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG2E8_V_M1_MASK }, // 144
  { 0x2, 0x1, 0x1, 0x1, 0x0, 0x3, 0x1, PseudoVLSSEG2E8_V_M2_MASK }, // 145
  { 0x2, 0x1, 0x1, 0x1, 0x0, 0x3, 0x2, PseudoVLSSEG2E8_V_M4_MASK }, // 146
  { 0x2, 0x1, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG2E8_V_MF8_MASK }, // 147
  { 0x2, 0x1, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG2E8_V_MF4_MASK }, // 148
  { 0x2, 0x1, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG2E8_V_MF2_MASK }, // 149
  { 0x2, 0x1, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG2E16_V_M1_MASK }, // 150
  { 0x2, 0x1, 0x1, 0x1, 0x0, 0x4, 0x1, PseudoVLSSEG2E16_V_M2_MASK }, // 151
  { 0x2, 0x1, 0x1, 0x1, 0x0, 0x4, 0x2, PseudoVLSSEG2E16_V_M4_MASK }, // 152
  { 0x2, 0x1, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG2E16_V_MF4_MASK }, // 153
  { 0x2, 0x1, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG2E16_V_MF2_MASK }, // 154
  { 0x2, 0x1, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG2E32_V_M1_MASK }, // 155
  { 0x2, 0x1, 0x1, 0x1, 0x0, 0x5, 0x1, PseudoVLSSEG2E32_V_M2_MASK }, // 156
  { 0x2, 0x1, 0x1, 0x1, 0x0, 0x5, 0x2, PseudoVLSSEG2E32_V_M4_MASK }, // 157
  { 0x2, 0x1, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG2E32_V_MF2_MASK }, // 158
  { 0x2, 0x1, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG2E64_V_M1_MASK }, // 159
  { 0x2, 0x1, 0x1, 0x1, 0x0, 0x6, 0x1, PseudoVLSSEG2E64_V_M2_MASK }, // 160
  { 0x2, 0x1, 0x1, 0x1, 0x0, 0x6, 0x2, PseudoVLSSEG2E64_V_M4_MASK }, // 161
  { 0x3, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG3E8_V_M1 }, // 162
  { 0x3, 0x0, 0x0, 0x0, 0x0, 0x3, 0x1, PseudoVLSEG3E8_V_M2 }, // 163
  { 0x3, 0x0, 0x0, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG3E8_V_MF8 }, // 164
  { 0x3, 0x0, 0x0, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG3E8_V_MF4 }, // 165
  { 0x3, 0x0, 0x0, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG3E8_V_MF2 }, // 166
  { 0x3, 0x0, 0x0, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG3E16_V_M1 }, // 167
  { 0x3, 0x0, 0x0, 0x0, 0x0, 0x4, 0x1, PseudoVLSEG3E16_V_M2 }, // 168
  { 0x3, 0x0, 0x0, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG3E16_V_MF4 }, // 169
  { 0x3, 0x0, 0x0, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG3E16_V_MF2 }, // 170
  { 0x3, 0x0, 0x0, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG3E32_V_M1 }, // 171
  { 0x3, 0x0, 0x0, 0x0, 0x0, 0x5, 0x1, PseudoVLSEG3E32_V_M2 }, // 172
  { 0x3, 0x0, 0x0, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG3E32_V_MF2 }, // 173
  { 0x3, 0x0, 0x0, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG3E64_V_M1 }, // 174
  { 0x3, 0x0, 0x0, 0x0, 0x0, 0x6, 0x1, PseudoVLSEG3E64_V_M2 }, // 175
  { 0x3, 0x0, 0x0, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG3E8FF_V_M1 }, // 176
  { 0x3, 0x0, 0x0, 0x0, 0x1, 0x3, 0x1, PseudoVLSEG3E8FF_V_M2 }, // 177
  { 0x3, 0x0, 0x0, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG3E8FF_V_MF8 }, // 178
  { 0x3, 0x0, 0x0, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG3E8FF_V_MF4 }, // 179
  { 0x3, 0x0, 0x0, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG3E8FF_V_MF2 }, // 180
  { 0x3, 0x0, 0x0, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG3E16FF_V_M1 }, // 181
  { 0x3, 0x0, 0x0, 0x0, 0x1, 0x4, 0x1, PseudoVLSEG3E16FF_V_M2 }, // 182
  { 0x3, 0x0, 0x0, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG3E16FF_V_MF4 }, // 183
  { 0x3, 0x0, 0x0, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG3E16FF_V_MF2 }, // 184
  { 0x3, 0x0, 0x0, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG3E32FF_V_M1 }, // 185
  { 0x3, 0x0, 0x0, 0x0, 0x1, 0x5, 0x1, PseudoVLSEG3E32FF_V_M2 }, // 186
  { 0x3, 0x0, 0x0, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG3E32FF_V_MF2 }, // 187
  { 0x3, 0x0, 0x0, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG3E64FF_V_M1 }, // 188
  { 0x3, 0x0, 0x0, 0x0, 0x1, 0x6, 0x1, PseudoVLSEG3E64FF_V_M2 }, // 189
  { 0x3, 0x0, 0x0, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG3E8_V_M1 }, // 190
  { 0x3, 0x0, 0x0, 0x1, 0x0, 0x3, 0x1, PseudoVLSSEG3E8_V_M2 }, // 191
  { 0x3, 0x0, 0x0, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG3E8_V_MF8 }, // 192
  { 0x3, 0x0, 0x0, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG3E8_V_MF4 }, // 193
  { 0x3, 0x0, 0x0, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG3E8_V_MF2 }, // 194
  { 0x3, 0x0, 0x0, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG3E16_V_M1 }, // 195
  { 0x3, 0x0, 0x0, 0x1, 0x0, 0x4, 0x1, PseudoVLSSEG3E16_V_M2 }, // 196
  { 0x3, 0x0, 0x0, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG3E16_V_MF4 }, // 197
  { 0x3, 0x0, 0x0, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG3E16_V_MF2 }, // 198
  { 0x3, 0x0, 0x0, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG3E32_V_M1 }, // 199
  { 0x3, 0x0, 0x0, 0x1, 0x0, 0x5, 0x1, PseudoVLSSEG3E32_V_M2 }, // 200
  { 0x3, 0x0, 0x0, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG3E32_V_MF2 }, // 201
  { 0x3, 0x0, 0x0, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG3E64_V_M1 }, // 202
  { 0x3, 0x0, 0x0, 0x1, 0x0, 0x6, 0x1, PseudoVLSSEG3E64_V_M2 }, // 203
  { 0x3, 0x0, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG3E8_V_M1_TU }, // 204
  { 0x3, 0x0, 0x1, 0x0, 0x0, 0x3, 0x1, PseudoVLSEG3E8_V_M2_TU }, // 205
  { 0x3, 0x0, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG3E8_V_MF8_TU }, // 206
  { 0x3, 0x0, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG3E8_V_MF4_TU }, // 207
  { 0x3, 0x0, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG3E8_V_MF2_TU }, // 208
  { 0x3, 0x0, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG3E16_V_M1_TU }, // 209
  { 0x3, 0x0, 0x1, 0x0, 0x0, 0x4, 0x1, PseudoVLSEG3E16_V_M2_TU }, // 210
  { 0x3, 0x0, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG3E16_V_MF4_TU }, // 211
  { 0x3, 0x0, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG3E16_V_MF2_TU }, // 212
  { 0x3, 0x0, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG3E32_V_M1_TU }, // 213
  { 0x3, 0x0, 0x1, 0x0, 0x0, 0x5, 0x1, PseudoVLSEG3E32_V_M2_TU }, // 214
  { 0x3, 0x0, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG3E32_V_MF2_TU }, // 215
  { 0x3, 0x0, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG3E64_V_M1_TU }, // 216
  { 0x3, 0x0, 0x1, 0x0, 0x0, 0x6, 0x1, PseudoVLSEG3E64_V_M2_TU }, // 217
  { 0x3, 0x0, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG3E8FF_V_M1_TU }, // 218
  { 0x3, 0x0, 0x1, 0x0, 0x1, 0x3, 0x1, PseudoVLSEG3E8FF_V_M2_TU }, // 219
  { 0x3, 0x0, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG3E8FF_V_MF8_TU }, // 220
  { 0x3, 0x0, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG3E8FF_V_MF4_TU }, // 221
  { 0x3, 0x0, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG3E8FF_V_MF2_TU }, // 222
  { 0x3, 0x0, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG3E16FF_V_M1_TU }, // 223
  { 0x3, 0x0, 0x1, 0x0, 0x1, 0x4, 0x1, PseudoVLSEG3E16FF_V_M2_TU }, // 224
  { 0x3, 0x0, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG3E16FF_V_MF4_TU }, // 225
  { 0x3, 0x0, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG3E16FF_V_MF2_TU }, // 226
  { 0x3, 0x0, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG3E32FF_V_M1_TU }, // 227
  { 0x3, 0x0, 0x1, 0x0, 0x1, 0x5, 0x1, PseudoVLSEG3E32FF_V_M2_TU }, // 228
  { 0x3, 0x0, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG3E32FF_V_MF2_TU }, // 229
  { 0x3, 0x0, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG3E64FF_V_M1_TU }, // 230
  { 0x3, 0x0, 0x1, 0x0, 0x1, 0x6, 0x1, PseudoVLSEG3E64FF_V_M2_TU }, // 231
  { 0x3, 0x0, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG3E8_V_M1_TU }, // 232
  { 0x3, 0x0, 0x1, 0x1, 0x0, 0x3, 0x1, PseudoVLSSEG3E8_V_M2_TU }, // 233
  { 0x3, 0x0, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG3E8_V_MF8_TU }, // 234
  { 0x3, 0x0, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG3E8_V_MF4_TU }, // 235
  { 0x3, 0x0, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG3E8_V_MF2_TU }, // 236
  { 0x3, 0x0, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG3E16_V_M1_TU }, // 237
  { 0x3, 0x0, 0x1, 0x1, 0x0, 0x4, 0x1, PseudoVLSSEG3E16_V_M2_TU }, // 238
  { 0x3, 0x0, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG3E16_V_MF4_TU }, // 239
  { 0x3, 0x0, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG3E16_V_MF2_TU }, // 240
  { 0x3, 0x0, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG3E32_V_M1_TU }, // 241
  { 0x3, 0x0, 0x1, 0x1, 0x0, 0x5, 0x1, PseudoVLSSEG3E32_V_M2_TU }, // 242
  { 0x3, 0x0, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG3E32_V_MF2_TU }, // 243
  { 0x3, 0x0, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG3E64_V_M1_TU }, // 244
  { 0x3, 0x0, 0x1, 0x1, 0x0, 0x6, 0x1, PseudoVLSSEG3E64_V_M2_TU }, // 245
  { 0x3, 0x1, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG3E8_V_M1_MASK }, // 246
  { 0x3, 0x1, 0x1, 0x0, 0x0, 0x3, 0x1, PseudoVLSEG3E8_V_M2_MASK }, // 247
  { 0x3, 0x1, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG3E8_V_MF8_MASK }, // 248
  { 0x3, 0x1, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG3E8_V_MF4_MASK }, // 249
  { 0x3, 0x1, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG3E8_V_MF2_MASK }, // 250
  { 0x3, 0x1, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG3E16_V_M1_MASK }, // 251
  { 0x3, 0x1, 0x1, 0x0, 0x0, 0x4, 0x1, PseudoVLSEG3E16_V_M2_MASK }, // 252
  { 0x3, 0x1, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG3E16_V_MF4_MASK }, // 253
  { 0x3, 0x1, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG3E16_V_MF2_MASK }, // 254
  { 0x3, 0x1, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG3E32_V_M1_MASK }, // 255
  { 0x3, 0x1, 0x1, 0x0, 0x0, 0x5, 0x1, PseudoVLSEG3E32_V_M2_MASK }, // 256
  { 0x3, 0x1, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG3E32_V_MF2_MASK }, // 257
  { 0x3, 0x1, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG3E64_V_M1_MASK }, // 258
  { 0x3, 0x1, 0x1, 0x0, 0x0, 0x6, 0x1, PseudoVLSEG3E64_V_M2_MASK }, // 259
  { 0x3, 0x1, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG3E8FF_V_M1_MASK }, // 260
  { 0x3, 0x1, 0x1, 0x0, 0x1, 0x3, 0x1, PseudoVLSEG3E8FF_V_M2_MASK }, // 261
  { 0x3, 0x1, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG3E8FF_V_MF8_MASK }, // 262
  { 0x3, 0x1, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG3E8FF_V_MF4_MASK }, // 263
  { 0x3, 0x1, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG3E8FF_V_MF2_MASK }, // 264
  { 0x3, 0x1, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG3E16FF_V_M1_MASK }, // 265
  { 0x3, 0x1, 0x1, 0x0, 0x1, 0x4, 0x1, PseudoVLSEG3E16FF_V_M2_MASK }, // 266
  { 0x3, 0x1, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG3E16FF_V_MF4_MASK }, // 267
  { 0x3, 0x1, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG3E16FF_V_MF2_MASK }, // 268
  { 0x3, 0x1, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG3E32FF_V_M1_MASK }, // 269
  { 0x3, 0x1, 0x1, 0x0, 0x1, 0x5, 0x1, PseudoVLSEG3E32FF_V_M2_MASK }, // 270
  { 0x3, 0x1, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG3E32FF_V_MF2_MASK }, // 271
  { 0x3, 0x1, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG3E64FF_V_M1_MASK }, // 272
  { 0x3, 0x1, 0x1, 0x0, 0x1, 0x6, 0x1, PseudoVLSEG3E64FF_V_M2_MASK }, // 273
  { 0x3, 0x1, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG3E8_V_M1_MASK }, // 274
  { 0x3, 0x1, 0x1, 0x1, 0x0, 0x3, 0x1, PseudoVLSSEG3E8_V_M2_MASK }, // 275
  { 0x3, 0x1, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG3E8_V_MF8_MASK }, // 276
  { 0x3, 0x1, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG3E8_V_MF4_MASK }, // 277
  { 0x3, 0x1, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG3E8_V_MF2_MASK }, // 278
  { 0x3, 0x1, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG3E16_V_M1_MASK }, // 279
  { 0x3, 0x1, 0x1, 0x1, 0x0, 0x4, 0x1, PseudoVLSSEG3E16_V_M2_MASK }, // 280
  { 0x3, 0x1, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG3E16_V_MF4_MASK }, // 281
  { 0x3, 0x1, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG3E16_V_MF2_MASK }, // 282
  { 0x3, 0x1, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG3E32_V_M1_MASK }, // 283
  { 0x3, 0x1, 0x1, 0x1, 0x0, 0x5, 0x1, PseudoVLSSEG3E32_V_M2_MASK }, // 284
  { 0x3, 0x1, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG3E32_V_MF2_MASK }, // 285
  { 0x3, 0x1, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG3E64_V_M1_MASK }, // 286
  { 0x3, 0x1, 0x1, 0x1, 0x0, 0x6, 0x1, PseudoVLSSEG3E64_V_M2_MASK }, // 287
  { 0x4, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG4E8_V_M1 }, // 288
  { 0x4, 0x0, 0x0, 0x0, 0x0, 0x3, 0x1, PseudoVLSEG4E8_V_M2 }, // 289
  { 0x4, 0x0, 0x0, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG4E8_V_MF8 }, // 290
  { 0x4, 0x0, 0x0, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG4E8_V_MF4 }, // 291
  { 0x4, 0x0, 0x0, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG4E8_V_MF2 }, // 292
  { 0x4, 0x0, 0x0, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG4E16_V_M1 }, // 293
  { 0x4, 0x0, 0x0, 0x0, 0x0, 0x4, 0x1, PseudoVLSEG4E16_V_M2 }, // 294
  { 0x4, 0x0, 0x0, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG4E16_V_MF4 }, // 295
  { 0x4, 0x0, 0x0, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG4E16_V_MF2 }, // 296
  { 0x4, 0x0, 0x0, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG4E32_V_M1 }, // 297
  { 0x4, 0x0, 0x0, 0x0, 0x0, 0x5, 0x1, PseudoVLSEG4E32_V_M2 }, // 298
  { 0x4, 0x0, 0x0, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG4E32_V_MF2 }, // 299
  { 0x4, 0x0, 0x0, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG4E64_V_M1 }, // 300
  { 0x4, 0x0, 0x0, 0x0, 0x0, 0x6, 0x1, PseudoVLSEG4E64_V_M2 }, // 301
  { 0x4, 0x0, 0x0, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG4E8FF_V_M1 }, // 302
  { 0x4, 0x0, 0x0, 0x0, 0x1, 0x3, 0x1, PseudoVLSEG4E8FF_V_M2 }, // 303
  { 0x4, 0x0, 0x0, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG4E8FF_V_MF8 }, // 304
  { 0x4, 0x0, 0x0, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG4E8FF_V_MF4 }, // 305
  { 0x4, 0x0, 0x0, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG4E8FF_V_MF2 }, // 306
  { 0x4, 0x0, 0x0, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG4E16FF_V_M1 }, // 307
  { 0x4, 0x0, 0x0, 0x0, 0x1, 0x4, 0x1, PseudoVLSEG4E16FF_V_M2 }, // 308
  { 0x4, 0x0, 0x0, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG4E16FF_V_MF4 }, // 309
  { 0x4, 0x0, 0x0, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG4E16FF_V_MF2 }, // 310
  { 0x4, 0x0, 0x0, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG4E32FF_V_M1 }, // 311
  { 0x4, 0x0, 0x0, 0x0, 0x1, 0x5, 0x1, PseudoVLSEG4E32FF_V_M2 }, // 312
  { 0x4, 0x0, 0x0, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG4E32FF_V_MF2 }, // 313
  { 0x4, 0x0, 0x0, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG4E64FF_V_M1 }, // 314
  { 0x4, 0x0, 0x0, 0x0, 0x1, 0x6, 0x1, PseudoVLSEG4E64FF_V_M2 }, // 315
  { 0x4, 0x0, 0x0, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG4E8_V_M1 }, // 316
  { 0x4, 0x0, 0x0, 0x1, 0x0, 0x3, 0x1, PseudoVLSSEG4E8_V_M2 }, // 317
  { 0x4, 0x0, 0x0, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG4E8_V_MF8 }, // 318
  { 0x4, 0x0, 0x0, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG4E8_V_MF4 }, // 319
  { 0x4, 0x0, 0x0, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG4E8_V_MF2 }, // 320
  { 0x4, 0x0, 0x0, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG4E16_V_M1 }, // 321
  { 0x4, 0x0, 0x0, 0x1, 0x0, 0x4, 0x1, PseudoVLSSEG4E16_V_M2 }, // 322
  { 0x4, 0x0, 0x0, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG4E16_V_MF4 }, // 323
  { 0x4, 0x0, 0x0, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG4E16_V_MF2 }, // 324
  { 0x4, 0x0, 0x0, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG4E32_V_M1 }, // 325
  { 0x4, 0x0, 0x0, 0x1, 0x0, 0x5, 0x1, PseudoVLSSEG4E32_V_M2 }, // 326
  { 0x4, 0x0, 0x0, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG4E32_V_MF2 }, // 327
  { 0x4, 0x0, 0x0, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG4E64_V_M1 }, // 328
  { 0x4, 0x0, 0x0, 0x1, 0x0, 0x6, 0x1, PseudoVLSSEG4E64_V_M2 }, // 329
  { 0x4, 0x0, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG4E8_V_M1_TU }, // 330
  { 0x4, 0x0, 0x1, 0x0, 0x0, 0x3, 0x1, PseudoVLSEG4E8_V_M2_TU }, // 331
  { 0x4, 0x0, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG4E8_V_MF8_TU }, // 332
  { 0x4, 0x0, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG4E8_V_MF4_TU }, // 333
  { 0x4, 0x0, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG4E8_V_MF2_TU }, // 334
  { 0x4, 0x0, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG4E16_V_M1_TU }, // 335
  { 0x4, 0x0, 0x1, 0x0, 0x0, 0x4, 0x1, PseudoVLSEG4E16_V_M2_TU }, // 336
  { 0x4, 0x0, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG4E16_V_MF4_TU }, // 337
  { 0x4, 0x0, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG4E16_V_MF2_TU }, // 338
  { 0x4, 0x0, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG4E32_V_M1_TU }, // 339
  { 0x4, 0x0, 0x1, 0x0, 0x0, 0x5, 0x1, PseudoVLSEG4E32_V_M2_TU }, // 340
  { 0x4, 0x0, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG4E32_V_MF2_TU }, // 341
  { 0x4, 0x0, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG4E64_V_M1_TU }, // 342
  { 0x4, 0x0, 0x1, 0x0, 0x0, 0x6, 0x1, PseudoVLSEG4E64_V_M2_TU }, // 343
  { 0x4, 0x0, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG4E8FF_V_M1_TU }, // 344
  { 0x4, 0x0, 0x1, 0x0, 0x1, 0x3, 0x1, PseudoVLSEG4E8FF_V_M2_TU }, // 345
  { 0x4, 0x0, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG4E8FF_V_MF8_TU }, // 346
  { 0x4, 0x0, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG4E8FF_V_MF4_TU }, // 347
  { 0x4, 0x0, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG4E8FF_V_MF2_TU }, // 348
  { 0x4, 0x0, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG4E16FF_V_M1_TU }, // 349
  { 0x4, 0x0, 0x1, 0x0, 0x1, 0x4, 0x1, PseudoVLSEG4E16FF_V_M2_TU }, // 350
  { 0x4, 0x0, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG4E16FF_V_MF4_TU }, // 351
  { 0x4, 0x0, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG4E16FF_V_MF2_TU }, // 352
  { 0x4, 0x0, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG4E32FF_V_M1_TU }, // 353
  { 0x4, 0x0, 0x1, 0x0, 0x1, 0x5, 0x1, PseudoVLSEG4E32FF_V_M2_TU }, // 354
  { 0x4, 0x0, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG4E32FF_V_MF2_TU }, // 355
  { 0x4, 0x0, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG4E64FF_V_M1_TU }, // 356
  { 0x4, 0x0, 0x1, 0x0, 0x1, 0x6, 0x1, PseudoVLSEG4E64FF_V_M2_TU }, // 357
  { 0x4, 0x0, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG4E8_V_M1_TU }, // 358
  { 0x4, 0x0, 0x1, 0x1, 0x0, 0x3, 0x1, PseudoVLSSEG4E8_V_M2_TU }, // 359
  { 0x4, 0x0, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG4E8_V_MF8_TU }, // 360
  { 0x4, 0x0, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG4E8_V_MF4_TU }, // 361
  { 0x4, 0x0, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG4E8_V_MF2_TU }, // 362
  { 0x4, 0x0, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG4E16_V_M1_TU }, // 363
  { 0x4, 0x0, 0x1, 0x1, 0x0, 0x4, 0x1, PseudoVLSSEG4E16_V_M2_TU }, // 364
  { 0x4, 0x0, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG4E16_V_MF4_TU }, // 365
  { 0x4, 0x0, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG4E16_V_MF2_TU }, // 366
  { 0x4, 0x0, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG4E32_V_M1_TU }, // 367
  { 0x4, 0x0, 0x1, 0x1, 0x0, 0x5, 0x1, PseudoVLSSEG4E32_V_M2_TU }, // 368
  { 0x4, 0x0, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG4E32_V_MF2_TU }, // 369
  { 0x4, 0x0, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG4E64_V_M1_TU }, // 370
  { 0x4, 0x0, 0x1, 0x1, 0x0, 0x6, 0x1, PseudoVLSSEG4E64_V_M2_TU }, // 371
  { 0x4, 0x1, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG4E8_V_M1_MASK }, // 372
  { 0x4, 0x1, 0x1, 0x0, 0x0, 0x3, 0x1, PseudoVLSEG4E8_V_M2_MASK }, // 373
  { 0x4, 0x1, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG4E8_V_MF8_MASK }, // 374
  { 0x4, 0x1, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG4E8_V_MF4_MASK }, // 375
  { 0x4, 0x1, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG4E8_V_MF2_MASK }, // 376
  { 0x4, 0x1, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG4E16_V_M1_MASK }, // 377
  { 0x4, 0x1, 0x1, 0x0, 0x0, 0x4, 0x1, PseudoVLSEG4E16_V_M2_MASK }, // 378
  { 0x4, 0x1, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG4E16_V_MF4_MASK }, // 379
  { 0x4, 0x1, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG4E16_V_MF2_MASK }, // 380
  { 0x4, 0x1, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG4E32_V_M1_MASK }, // 381
  { 0x4, 0x1, 0x1, 0x0, 0x0, 0x5, 0x1, PseudoVLSEG4E32_V_M2_MASK }, // 382
  { 0x4, 0x1, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG4E32_V_MF2_MASK }, // 383
  { 0x4, 0x1, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG4E64_V_M1_MASK }, // 384
  { 0x4, 0x1, 0x1, 0x0, 0x0, 0x6, 0x1, PseudoVLSEG4E64_V_M2_MASK }, // 385
  { 0x4, 0x1, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG4E8FF_V_M1_MASK }, // 386
  { 0x4, 0x1, 0x1, 0x0, 0x1, 0x3, 0x1, PseudoVLSEG4E8FF_V_M2_MASK }, // 387
  { 0x4, 0x1, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG4E8FF_V_MF8_MASK }, // 388
  { 0x4, 0x1, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG4E8FF_V_MF4_MASK }, // 389
  { 0x4, 0x1, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG4E8FF_V_MF2_MASK }, // 390
  { 0x4, 0x1, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG4E16FF_V_M1_MASK }, // 391
  { 0x4, 0x1, 0x1, 0x0, 0x1, 0x4, 0x1, PseudoVLSEG4E16FF_V_M2_MASK }, // 392
  { 0x4, 0x1, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG4E16FF_V_MF4_MASK }, // 393
  { 0x4, 0x1, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG4E16FF_V_MF2_MASK }, // 394
  { 0x4, 0x1, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG4E32FF_V_M1_MASK }, // 395
  { 0x4, 0x1, 0x1, 0x0, 0x1, 0x5, 0x1, PseudoVLSEG4E32FF_V_M2_MASK }, // 396
  { 0x4, 0x1, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG4E32FF_V_MF2_MASK }, // 397
  { 0x4, 0x1, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG4E64FF_V_M1_MASK }, // 398
  { 0x4, 0x1, 0x1, 0x0, 0x1, 0x6, 0x1, PseudoVLSEG4E64FF_V_M2_MASK }, // 399
  { 0x4, 0x1, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG4E8_V_M1_MASK }, // 400
  { 0x4, 0x1, 0x1, 0x1, 0x0, 0x3, 0x1, PseudoVLSSEG4E8_V_M2_MASK }, // 401
  { 0x4, 0x1, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG4E8_V_MF8_MASK }, // 402
  { 0x4, 0x1, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG4E8_V_MF4_MASK }, // 403
  { 0x4, 0x1, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG4E8_V_MF2_MASK }, // 404
  { 0x4, 0x1, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG4E16_V_M1_MASK }, // 405
  { 0x4, 0x1, 0x1, 0x1, 0x0, 0x4, 0x1, PseudoVLSSEG4E16_V_M2_MASK }, // 406
  { 0x4, 0x1, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG4E16_V_MF4_MASK }, // 407
  { 0x4, 0x1, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG4E16_V_MF2_MASK }, // 408
  { 0x4, 0x1, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG4E32_V_M1_MASK }, // 409
  { 0x4, 0x1, 0x1, 0x1, 0x0, 0x5, 0x1, PseudoVLSSEG4E32_V_M2_MASK }, // 410
  { 0x4, 0x1, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG4E32_V_MF2_MASK }, // 411
  { 0x4, 0x1, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG4E64_V_M1_MASK }, // 412
  { 0x4, 0x1, 0x1, 0x1, 0x0, 0x6, 0x1, PseudoVLSSEG4E64_V_M2_MASK }, // 413
  { 0x5, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG5E8_V_M1 }, // 414
  { 0x5, 0x0, 0x0, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG5E8_V_MF8 }, // 415
  { 0x5, 0x0, 0x0, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG5E8_V_MF4 }, // 416
  { 0x5, 0x0, 0x0, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG5E8_V_MF2 }, // 417
  { 0x5, 0x0, 0x0, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG5E16_V_M1 }, // 418
  { 0x5, 0x0, 0x0, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG5E16_V_MF4 }, // 419
  { 0x5, 0x0, 0x0, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG5E16_V_MF2 }, // 420
  { 0x5, 0x0, 0x0, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG5E32_V_M1 }, // 421
  { 0x5, 0x0, 0x0, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG5E32_V_MF2 }, // 422
  { 0x5, 0x0, 0x0, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG5E64_V_M1 }, // 423
  { 0x5, 0x0, 0x0, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG5E8FF_V_M1 }, // 424
  { 0x5, 0x0, 0x0, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG5E8FF_V_MF8 }, // 425
  { 0x5, 0x0, 0x0, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG5E8FF_V_MF4 }, // 426
  { 0x5, 0x0, 0x0, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG5E8FF_V_MF2 }, // 427
  { 0x5, 0x0, 0x0, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG5E16FF_V_M1 }, // 428
  { 0x5, 0x0, 0x0, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG5E16FF_V_MF4 }, // 429
  { 0x5, 0x0, 0x0, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG5E16FF_V_MF2 }, // 430
  { 0x5, 0x0, 0x0, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG5E32FF_V_M1 }, // 431
  { 0x5, 0x0, 0x0, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG5E32FF_V_MF2 }, // 432
  { 0x5, 0x0, 0x0, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG5E64FF_V_M1 }, // 433
  { 0x5, 0x0, 0x0, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG5E8_V_M1 }, // 434
  { 0x5, 0x0, 0x0, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG5E8_V_MF8 }, // 435
  { 0x5, 0x0, 0x0, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG5E8_V_MF4 }, // 436
  { 0x5, 0x0, 0x0, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG5E8_V_MF2 }, // 437
  { 0x5, 0x0, 0x0, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG5E16_V_M1 }, // 438
  { 0x5, 0x0, 0x0, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG5E16_V_MF4 }, // 439
  { 0x5, 0x0, 0x0, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG5E16_V_MF2 }, // 440
  { 0x5, 0x0, 0x0, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG5E32_V_M1 }, // 441
  { 0x5, 0x0, 0x0, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG5E32_V_MF2 }, // 442
  { 0x5, 0x0, 0x0, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG5E64_V_M1 }, // 443
  { 0x5, 0x0, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG5E8_V_M1_TU }, // 444
  { 0x5, 0x0, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG5E8_V_MF8_TU }, // 445
  { 0x5, 0x0, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG5E8_V_MF4_TU }, // 446
  { 0x5, 0x0, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG5E8_V_MF2_TU }, // 447
  { 0x5, 0x0, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG5E16_V_M1_TU }, // 448
  { 0x5, 0x0, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG5E16_V_MF4_TU }, // 449
  { 0x5, 0x0, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG5E16_V_MF2_TU }, // 450
  { 0x5, 0x0, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG5E32_V_M1_TU }, // 451
  { 0x5, 0x0, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG5E32_V_MF2_TU }, // 452
  { 0x5, 0x0, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG5E64_V_M1_TU }, // 453
  { 0x5, 0x0, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG5E8FF_V_M1_TU }, // 454
  { 0x5, 0x0, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG5E8FF_V_MF8_TU }, // 455
  { 0x5, 0x0, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG5E8FF_V_MF4_TU }, // 456
  { 0x5, 0x0, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG5E8FF_V_MF2_TU }, // 457
  { 0x5, 0x0, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG5E16FF_V_M1_TU }, // 458
  { 0x5, 0x0, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG5E16FF_V_MF4_TU }, // 459
  { 0x5, 0x0, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG5E16FF_V_MF2_TU }, // 460
  { 0x5, 0x0, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG5E32FF_V_M1_TU }, // 461
  { 0x5, 0x0, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG5E32FF_V_MF2_TU }, // 462
  { 0x5, 0x0, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG5E64FF_V_M1_TU }, // 463
  { 0x5, 0x0, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG5E8_V_M1_TU }, // 464
  { 0x5, 0x0, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG5E8_V_MF8_TU }, // 465
  { 0x5, 0x0, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG5E8_V_MF4_TU }, // 466
  { 0x5, 0x0, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG5E8_V_MF2_TU }, // 467
  { 0x5, 0x0, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG5E16_V_M1_TU }, // 468
  { 0x5, 0x0, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG5E16_V_MF4_TU }, // 469
  { 0x5, 0x0, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG5E16_V_MF2_TU }, // 470
  { 0x5, 0x0, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG5E32_V_M1_TU }, // 471
  { 0x5, 0x0, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG5E32_V_MF2_TU }, // 472
  { 0x5, 0x0, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG5E64_V_M1_TU }, // 473
  { 0x5, 0x1, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG5E8_V_M1_MASK }, // 474
  { 0x5, 0x1, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG5E8_V_MF8_MASK }, // 475
  { 0x5, 0x1, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG5E8_V_MF4_MASK }, // 476
  { 0x5, 0x1, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG5E8_V_MF2_MASK }, // 477
  { 0x5, 0x1, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG5E16_V_M1_MASK }, // 478
  { 0x5, 0x1, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG5E16_V_MF4_MASK }, // 479
  { 0x5, 0x1, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG5E16_V_MF2_MASK }, // 480
  { 0x5, 0x1, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG5E32_V_M1_MASK }, // 481
  { 0x5, 0x1, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG5E32_V_MF2_MASK }, // 482
  { 0x5, 0x1, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG5E64_V_M1_MASK }, // 483
  { 0x5, 0x1, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG5E8FF_V_M1_MASK }, // 484
  { 0x5, 0x1, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG5E8FF_V_MF8_MASK }, // 485
  { 0x5, 0x1, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG5E8FF_V_MF4_MASK }, // 486
  { 0x5, 0x1, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG5E8FF_V_MF2_MASK }, // 487
  { 0x5, 0x1, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG5E16FF_V_M1_MASK }, // 488
  { 0x5, 0x1, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG5E16FF_V_MF4_MASK }, // 489
  { 0x5, 0x1, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG5E16FF_V_MF2_MASK }, // 490
  { 0x5, 0x1, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG5E32FF_V_M1_MASK }, // 491
  { 0x5, 0x1, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG5E32FF_V_MF2_MASK }, // 492
  { 0x5, 0x1, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG5E64FF_V_M1_MASK }, // 493
  { 0x5, 0x1, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG5E8_V_M1_MASK }, // 494
  { 0x5, 0x1, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG5E8_V_MF8_MASK }, // 495
  { 0x5, 0x1, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG5E8_V_MF4_MASK }, // 496
  { 0x5, 0x1, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG5E8_V_MF2_MASK }, // 497
  { 0x5, 0x1, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG5E16_V_M1_MASK }, // 498
  { 0x5, 0x1, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG5E16_V_MF4_MASK }, // 499
  { 0x5, 0x1, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG5E16_V_MF2_MASK }, // 500
  { 0x5, 0x1, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG5E32_V_M1_MASK }, // 501
  { 0x5, 0x1, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG5E32_V_MF2_MASK }, // 502
  { 0x5, 0x1, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG5E64_V_M1_MASK }, // 503
  { 0x6, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG6E8_V_M1 }, // 504
  { 0x6, 0x0, 0x0, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG6E8_V_MF8 }, // 505
  { 0x6, 0x0, 0x0, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG6E8_V_MF4 }, // 506
  { 0x6, 0x0, 0x0, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG6E8_V_MF2 }, // 507
  { 0x6, 0x0, 0x0, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG6E16_V_M1 }, // 508
  { 0x6, 0x0, 0x0, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG6E16_V_MF4 }, // 509
  { 0x6, 0x0, 0x0, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG6E16_V_MF2 }, // 510
  { 0x6, 0x0, 0x0, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG6E32_V_M1 }, // 511
  { 0x6, 0x0, 0x0, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG6E32_V_MF2 }, // 512
  { 0x6, 0x0, 0x0, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG6E64_V_M1 }, // 513
  { 0x6, 0x0, 0x0, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG6E8FF_V_M1 }, // 514
  { 0x6, 0x0, 0x0, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG6E8FF_V_MF8 }, // 515
  { 0x6, 0x0, 0x0, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG6E8FF_V_MF4 }, // 516
  { 0x6, 0x0, 0x0, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG6E8FF_V_MF2 }, // 517
  { 0x6, 0x0, 0x0, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG6E16FF_V_M1 }, // 518
  { 0x6, 0x0, 0x0, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG6E16FF_V_MF4 }, // 519
  { 0x6, 0x0, 0x0, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG6E16FF_V_MF2 }, // 520
  { 0x6, 0x0, 0x0, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG6E32FF_V_M1 }, // 521
  { 0x6, 0x0, 0x0, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG6E32FF_V_MF2 }, // 522
  { 0x6, 0x0, 0x0, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG6E64FF_V_M1 }, // 523
  { 0x6, 0x0, 0x0, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG6E8_V_M1 }, // 524
  { 0x6, 0x0, 0x0, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG6E8_V_MF8 }, // 525
  { 0x6, 0x0, 0x0, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG6E8_V_MF4 }, // 526
  { 0x6, 0x0, 0x0, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG6E8_V_MF2 }, // 527
  { 0x6, 0x0, 0x0, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG6E16_V_M1 }, // 528
  { 0x6, 0x0, 0x0, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG6E16_V_MF4 }, // 529
  { 0x6, 0x0, 0x0, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG6E16_V_MF2 }, // 530
  { 0x6, 0x0, 0x0, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG6E32_V_M1 }, // 531
  { 0x6, 0x0, 0x0, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG6E32_V_MF2 }, // 532
  { 0x6, 0x0, 0x0, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG6E64_V_M1 }, // 533
  { 0x6, 0x0, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG6E8_V_M1_TU }, // 534
  { 0x6, 0x0, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG6E8_V_MF8_TU }, // 535
  { 0x6, 0x0, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG6E8_V_MF4_TU }, // 536
  { 0x6, 0x0, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG6E8_V_MF2_TU }, // 537
  { 0x6, 0x0, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG6E16_V_M1_TU }, // 538
  { 0x6, 0x0, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG6E16_V_MF4_TU }, // 539
  { 0x6, 0x0, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG6E16_V_MF2_TU }, // 540
  { 0x6, 0x0, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG6E32_V_M1_TU }, // 541
  { 0x6, 0x0, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG6E32_V_MF2_TU }, // 542
  { 0x6, 0x0, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG6E64_V_M1_TU }, // 543
  { 0x6, 0x0, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG6E8FF_V_M1_TU }, // 544
  { 0x6, 0x0, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG6E8FF_V_MF8_TU }, // 545
  { 0x6, 0x0, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG6E8FF_V_MF4_TU }, // 546
  { 0x6, 0x0, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG6E8FF_V_MF2_TU }, // 547
  { 0x6, 0x0, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG6E16FF_V_M1_TU }, // 548
  { 0x6, 0x0, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG6E16FF_V_MF4_TU }, // 549
  { 0x6, 0x0, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG6E16FF_V_MF2_TU }, // 550
  { 0x6, 0x0, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG6E32FF_V_M1_TU }, // 551
  { 0x6, 0x0, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG6E32FF_V_MF2_TU }, // 552
  { 0x6, 0x0, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG6E64FF_V_M1_TU }, // 553
  { 0x6, 0x0, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG6E8_V_M1_TU }, // 554
  { 0x6, 0x0, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG6E8_V_MF8_TU }, // 555
  { 0x6, 0x0, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG6E8_V_MF4_TU }, // 556
  { 0x6, 0x0, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG6E8_V_MF2_TU }, // 557
  { 0x6, 0x0, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG6E16_V_M1_TU }, // 558
  { 0x6, 0x0, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG6E16_V_MF4_TU }, // 559
  { 0x6, 0x0, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG6E16_V_MF2_TU }, // 560
  { 0x6, 0x0, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG6E32_V_M1_TU }, // 561
  { 0x6, 0x0, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG6E32_V_MF2_TU }, // 562
  { 0x6, 0x0, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG6E64_V_M1_TU }, // 563
  { 0x6, 0x1, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG6E8_V_M1_MASK }, // 564
  { 0x6, 0x1, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG6E8_V_MF8_MASK }, // 565
  { 0x6, 0x1, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG6E8_V_MF4_MASK }, // 566
  { 0x6, 0x1, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG6E8_V_MF2_MASK }, // 567
  { 0x6, 0x1, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG6E16_V_M1_MASK }, // 568
  { 0x6, 0x1, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG6E16_V_MF4_MASK }, // 569
  { 0x6, 0x1, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG6E16_V_MF2_MASK }, // 570
  { 0x6, 0x1, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG6E32_V_M1_MASK }, // 571
  { 0x6, 0x1, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG6E32_V_MF2_MASK }, // 572
  { 0x6, 0x1, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG6E64_V_M1_MASK }, // 573
  { 0x6, 0x1, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG6E8FF_V_M1_MASK }, // 574
  { 0x6, 0x1, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG6E8FF_V_MF8_MASK }, // 575
  { 0x6, 0x1, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG6E8FF_V_MF4_MASK }, // 576
  { 0x6, 0x1, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG6E8FF_V_MF2_MASK }, // 577
  { 0x6, 0x1, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG6E16FF_V_M1_MASK }, // 578
  { 0x6, 0x1, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG6E16FF_V_MF4_MASK }, // 579
  { 0x6, 0x1, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG6E16FF_V_MF2_MASK }, // 580
  { 0x6, 0x1, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG6E32FF_V_M1_MASK }, // 581
  { 0x6, 0x1, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG6E32FF_V_MF2_MASK }, // 582
  { 0x6, 0x1, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG6E64FF_V_M1_MASK }, // 583
  { 0x6, 0x1, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG6E8_V_M1_MASK }, // 584
  { 0x6, 0x1, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG6E8_V_MF8_MASK }, // 585
  { 0x6, 0x1, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG6E8_V_MF4_MASK }, // 586
  { 0x6, 0x1, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG6E8_V_MF2_MASK }, // 587
  { 0x6, 0x1, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG6E16_V_M1_MASK }, // 588
  { 0x6, 0x1, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG6E16_V_MF4_MASK }, // 589
  { 0x6, 0x1, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG6E16_V_MF2_MASK }, // 590
  { 0x6, 0x1, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG6E32_V_M1_MASK }, // 591
  { 0x6, 0x1, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG6E32_V_MF2_MASK }, // 592
  { 0x6, 0x1, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG6E64_V_M1_MASK }, // 593
  { 0x7, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG7E8_V_M1 }, // 594
  { 0x7, 0x0, 0x0, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG7E8_V_MF8 }, // 595
  { 0x7, 0x0, 0x0, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG7E8_V_MF4 }, // 596
  { 0x7, 0x0, 0x0, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG7E8_V_MF2 }, // 597
  { 0x7, 0x0, 0x0, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG7E16_V_M1 }, // 598
  { 0x7, 0x0, 0x0, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG7E16_V_MF4 }, // 599
  { 0x7, 0x0, 0x0, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG7E16_V_MF2 }, // 600
  { 0x7, 0x0, 0x0, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG7E32_V_M1 }, // 601
  { 0x7, 0x0, 0x0, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG7E32_V_MF2 }, // 602
  { 0x7, 0x0, 0x0, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG7E64_V_M1 }, // 603
  { 0x7, 0x0, 0x0, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG7E8FF_V_M1 }, // 604
  { 0x7, 0x0, 0x0, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG7E8FF_V_MF8 }, // 605
  { 0x7, 0x0, 0x0, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG7E8FF_V_MF4 }, // 606
  { 0x7, 0x0, 0x0, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG7E8FF_V_MF2 }, // 607
  { 0x7, 0x0, 0x0, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG7E16FF_V_M1 }, // 608
  { 0x7, 0x0, 0x0, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG7E16FF_V_MF4 }, // 609
  { 0x7, 0x0, 0x0, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG7E16FF_V_MF2 }, // 610
  { 0x7, 0x0, 0x0, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG7E32FF_V_M1 }, // 611
  { 0x7, 0x0, 0x0, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG7E32FF_V_MF2 }, // 612
  { 0x7, 0x0, 0x0, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG7E64FF_V_M1 }, // 613
  { 0x7, 0x0, 0x0, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG7E8_V_M1 }, // 614
  { 0x7, 0x0, 0x0, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG7E8_V_MF8 }, // 615
  { 0x7, 0x0, 0x0, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG7E8_V_MF4 }, // 616
  { 0x7, 0x0, 0x0, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG7E8_V_MF2 }, // 617
  { 0x7, 0x0, 0x0, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG7E16_V_M1 }, // 618
  { 0x7, 0x0, 0x0, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG7E16_V_MF4 }, // 619
  { 0x7, 0x0, 0x0, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG7E16_V_MF2 }, // 620
  { 0x7, 0x0, 0x0, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG7E32_V_M1 }, // 621
  { 0x7, 0x0, 0x0, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG7E32_V_MF2 }, // 622
  { 0x7, 0x0, 0x0, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG7E64_V_M1 }, // 623
  { 0x7, 0x0, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG7E8_V_M1_TU }, // 624
  { 0x7, 0x0, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG7E8_V_MF8_TU }, // 625
  { 0x7, 0x0, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG7E8_V_MF4_TU }, // 626
  { 0x7, 0x0, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG7E8_V_MF2_TU }, // 627
  { 0x7, 0x0, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG7E16_V_M1_TU }, // 628
  { 0x7, 0x0, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG7E16_V_MF4_TU }, // 629
  { 0x7, 0x0, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG7E16_V_MF2_TU }, // 630
  { 0x7, 0x0, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG7E32_V_M1_TU }, // 631
  { 0x7, 0x0, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG7E32_V_MF2_TU }, // 632
  { 0x7, 0x0, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG7E64_V_M1_TU }, // 633
  { 0x7, 0x0, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG7E8FF_V_M1_TU }, // 634
  { 0x7, 0x0, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG7E8FF_V_MF8_TU }, // 635
  { 0x7, 0x0, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG7E8FF_V_MF4_TU }, // 636
  { 0x7, 0x0, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG7E8FF_V_MF2_TU }, // 637
  { 0x7, 0x0, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG7E16FF_V_M1_TU }, // 638
  { 0x7, 0x0, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG7E16FF_V_MF4_TU }, // 639
  { 0x7, 0x0, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG7E16FF_V_MF2_TU }, // 640
  { 0x7, 0x0, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG7E32FF_V_M1_TU }, // 641
  { 0x7, 0x0, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG7E32FF_V_MF2_TU }, // 642
  { 0x7, 0x0, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG7E64FF_V_M1_TU }, // 643
  { 0x7, 0x0, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG7E8_V_M1_TU }, // 644
  { 0x7, 0x0, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG7E8_V_MF8_TU }, // 645
  { 0x7, 0x0, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG7E8_V_MF4_TU }, // 646
  { 0x7, 0x0, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG7E8_V_MF2_TU }, // 647
  { 0x7, 0x0, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG7E16_V_M1_TU }, // 648
  { 0x7, 0x0, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG7E16_V_MF4_TU }, // 649
  { 0x7, 0x0, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG7E16_V_MF2_TU }, // 650
  { 0x7, 0x0, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG7E32_V_M1_TU }, // 651
  { 0x7, 0x0, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG7E32_V_MF2_TU }, // 652
  { 0x7, 0x0, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG7E64_V_M1_TU }, // 653
  { 0x7, 0x1, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG7E8_V_M1_MASK }, // 654
  { 0x7, 0x1, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG7E8_V_MF8_MASK }, // 655
  { 0x7, 0x1, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG7E8_V_MF4_MASK }, // 656
  { 0x7, 0x1, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG7E8_V_MF2_MASK }, // 657
  { 0x7, 0x1, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG7E16_V_M1_MASK }, // 658
  { 0x7, 0x1, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG7E16_V_MF4_MASK }, // 659
  { 0x7, 0x1, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG7E16_V_MF2_MASK }, // 660
  { 0x7, 0x1, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG7E32_V_M1_MASK }, // 661
  { 0x7, 0x1, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG7E32_V_MF2_MASK }, // 662
  { 0x7, 0x1, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG7E64_V_M1_MASK }, // 663
  { 0x7, 0x1, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG7E8FF_V_M1_MASK }, // 664
  { 0x7, 0x1, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG7E8FF_V_MF8_MASK }, // 665
  { 0x7, 0x1, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG7E8FF_V_MF4_MASK }, // 666
  { 0x7, 0x1, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG7E8FF_V_MF2_MASK }, // 667
  { 0x7, 0x1, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG7E16FF_V_M1_MASK }, // 668
  { 0x7, 0x1, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG7E16FF_V_MF4_MASK }, // 669
  { 0x7, 0x1, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG7E16FF_V_MF2_MASK }, // 670
  { 0x7, 0x1, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG7E32FF_V_M1_MASK }, // 671
  { 0x7, 0x1, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG7E32FF_V_MF2_MASK }, // 672
  { 0x7, 0x1, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG7E64FF_V_M1_MASK }, // 673
  { 0x7, 0x1, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG7E8_V_M1_MASK }, // 674
  { 0x7, 0x1, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG7E8_V_MF8_MASK }, // 675
  { 0x7, 0x1, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG7E8_V_MF4_MASK }, // 676
  { 0x7, 0x1, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG7E8_V_MF2_MASK }, // 677
  { 0x7, 0x1, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG7E16_V_M1_MASK }, // 678
  { 0x7, 0x1, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG7E16_V_MF4_MASK }, // 679
  { 0x7, 0x1, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG7E16_V_MF2_MASK }, // 680
  { 0x7, 0x1, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG7E32_V_M1_MASK }, // 681
  { 0x7, 0x1, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG7E32_V_MF2_MASK }, // 682
  { 0x7, 0x1, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG7E64_V_M1_MASK }, // 683
  { 0x8, 0x0, 0x0, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG8E8_V_M1 }, // 684
  { 0x8, 0x0, 0x0, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG8E8_V_MF8 }, // 685
  { 0x8, 0x0, 0x0, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG8E8_V_MF4 }, // 686
  { 0x8, 0x0, 0x0, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG8E8_V_MF2 }, // 687
  { 0x8, 0x0, 0x0, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG8E16_V_M1 }, // 688
  { 0x8, 0x0, 0x0, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG8E16_V_MF4 }, // 689
  { 0x8, 0x0, 0x0, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG8E16_V_MF2 }, // 690
  { 0x8, 0x0, 0x0, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG8E32_V_M1 }, // 691
  { 0x8, 0x0, 0x0, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG8E32_V_MF2 }, // 692
  { 0x8, 0x0, 0x0, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG8E64_V_M1 }, // 693
  { 0x8, 0x0, 0x0, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG8E8FF_V_M1 }, // 694
  { 0x8, 0x0, 0x0, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG8E8FF_V_MF8 }, // 695
  { 0x8, 0x0, 0x0, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG8E8FF_V_MF4 }, // 696
  { 0x8, 0x0, 0x0, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG8E8FF_V_MF2 }, // 697
  { 0x8, 0x0, 0x0, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG8E16FF_V_M1 }, // 698
  { 0x8, 0x0, 0x0, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG8E16FF_V_MF4 }, // 699
  { 0x8, 0x0, 0x0, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG8E16FF_V_MF2 }, // 700
  { 0x8, 0x0, 0x0, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG8E32FF_V_M1 }, // 701
  { 0x8, 0x0, 0x0, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG8E32FF_V_MF2 }, // 702
  { 0x8, 0x0, 0x0, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG8E64FF_V_M1 }, // 703
  { 0x8, 0x0, 0x0, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG8E8_V_M1 }, // 704
  { 0x8, 0x0, 0x0, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG8E8_V_MF8 }, // 705
  { 0x8, 0x0, 0x0, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG8E8_V_MF4 }, // 706
  { 0x8, 0x0, 0x0, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG8E8_V_MF2 }, // 707
  { 0x8, 0x0, 0x0, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG8E16_V_M1 }, // 708
  { 0x8, 0x0, 0x0, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG8E16_V_MF4 }, // 709
  { 0x8, 0x0, 0x0, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG8E16_V_MF2 }, // 710
  { 0x8, 0x0, 0x0, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG8E32_V_M1 }, // 711
  { 0x8, 0x0, 0x0, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG8E32_V_MF2 }, // 712
  { 0x8, 0x0, 0x0, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG8E64_V_M1 }, // 713
  { 0x8, 0x0, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG8E8_V_M1_TU }, // 714
  { 0x8, 0x0, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG8E8_V_MF8_TU }, // 715
  { 0x8, 0x0, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG8E8_V_MF4_TU }, // 716
  { 0x8, 0x0, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG8E8_V_MF2_TU }, // 717
  { 0x8, 0x0, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG8E16_V_M1_TU }, // 718
  { 0x8, 0x0, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG8E16_V_MF4_TU }, // 719
  { 0x8, 0x0, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG8E16_V_MF2_TU }, // 720
  { 0x8, 0x0, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG8E32_V_M1_TU }, // 721
  { 0x8, 0x0, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG8E32_V_MF2_TU }, // 722
  { 0x8, 0x0, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG8E64_V_M1_TU }, // 723
  { 0x8, 0x0, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG8E8FF_V_M1_TU }, // 724
  { 0x8, 0x0, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG8E8FF_V_MF8_TU }, // 725
  { 0x8, 0x0, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG8E8FF_V_MF4_TU }, // 726
  { 0x8, 0x0, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG8E8FF_V_MF2_TU }, // 727
  { 0x8, 0x0, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG8E16FF_V_M1_TU }, // 728
  { 0x8, 0x0, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG8E16FF_V_MF4_TU }, // 729
  { 0x8, 0x0, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG8E16FF_V_MF2_TU }, // 730
  { 0x8, 0x0, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG8E32FF_V_M1_TU }, // 731
  { 0x8, 0x0, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG8E32FF_V_MF2_TU }, // 732
  { 0x8, 0x0, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG8E64FF_V_M1_TU }, // 733
  { 0x8, 0x0, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG8E8_V_M1_TU }, // 734
  { 0x8, 0x0, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG8E8_V_MF8_TU }, // 735
  { 0x8, 0x0, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG8E8_V_MF4_TU }, // 736
  { 0x8, 0x0, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG8E8_V_MF2_TU }, // 737
  { 0x8, 0x0, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG8E16_V_M1_TU }, // 738
  { 0x8, 0x0, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG8E16_V_MF4_TU }, // 739
  { 0x8, 0x0, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG8E16_V_MF2_TU }, // 740
  { 0x8, 0x0, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG8E32_V_M1_TU }, // 741
  { 0x8, 0x0, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG8E32_V_MF2_TU }, // 742
  { 0x8, 0x0, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG8E64_V_M1_TU }, // 743
  { 0x8, 0x1, 0x1, 0x0, 0x0, 0x3, 0x0, PseudoVLSEG8E8_V_M1_MASK }, // 744
  { 0x8, 0x1, 0x1, 0x0, 0x0, 0x3, 0x5, PseudoVLSEG8E8_V_MF8_MASK }, // 745
  { 0x8, 0x1, 0x1, 0x0, 0x0, 0x3, 0x6, PseudoVLSEG8E8_V_MF4_MASK }, // 746
  { 0x8, 0x1, 0x1, 0x0, 0x0, 0x3, 0x7, PseudoVLSEG8E8_V_MF2_MASK }, // 747
  { 0x8, 0x1, 0x1, 0x0, 0x0, 0x4, 0x0, PseudoVLSEG8E16_V_M1_MASK }, // 748
  { 0x8, 0x1, 0x1, 0x0, 0x0, 0x4, 0x6, PseudoVLSEG8E16_V_MF4_MASK }, // 749
  { 0x8, 0x1, 0x1, 0x0, 0x0, 0x4, 0x7, PseudoVLSEG8E16_V_MF2_MASK }, // 750
  { 0x8, 0x1, 0x1, 0x0, 0x0, 0x5, 0x0, PseudoVLSEG8E32_V_M1_MASK }, // 751
  { 0x8, 0x1, 0x1, 0x0, 0x0, 0x5, 0x7, PseudoVLSEG8E32_V_MF2_MASK }, // 752
  { 0x8, 0x1, 0x1, 0x0, 0x0, 0x6, 0x0, PseudoVLSEG8E64_V_M1_MASK }, // 753
  { 0x8, 0x1, 0x1, 0x0, 0x1, 0x3, 0x0, PseudoVLSEG8E8FF_V_M1_MASK }, // 754
  { 0x8, 0x1, 0x1, 0x0, 0x1, 0x3, 0x5, PseudoVLSEG8E8FF_V_MF8_MASK }, // 755
  { 0x8, 0x1, 0x1, 0x0, 0x1, 0x3, 0x6, PseudoVLSEG8E8FF_V_MF4_MASK }, // 756
  { 0x8, 0x1, 0x1, 0x0, 0x1, 0x3, 0x7, PseudoVLSEG8E8FF_V_MF2_MASK }, // 757
  { 0x8, 0x1, 0x1, 0x0, 0x1, 0x4, 0x0, PseudoVLSEG8E16FF_V_M1_MASK }, // 758
  { 0x8, 0x1, 0x1, 0x0, 0x1, 0x4, 0x6, PseudoVLSEG8E16FF_V_MF4_MASK }, // 759
  { 0x8, 0x1, 0x1, 0x0, 0x1, 0x4, 0x7, PseudoVLSEG8E16FF_V_MF2_MASK }, // 760
  { 0x8, 0x1, 0x1, 0x0, 0x1, 0x5, 0x0, PseudoVLSEG8E32FF_V_M1_MASK }, // 761
  { 0x8, 0x1, 0x1, 0x0, 0x1, 0x5, 0x7, PseudoVLSEG8E32FF_V_MF2_MASK }, // 762
  { 0x8, 0x1, 0x1, 0x0, 0x1, 0x6, 0x0, PseudoVLSEG8E64FF_V_M1_MASK }, // 763
  { 0x8, 0x1, 0x1, 0x1, 0x0, 0x3, 0x0, PseudoVLSSEG8E8_V_M1_MASK }, // 764
  { 0x8, 0x1, 0x1, 0x1, 0x0, 0x3, 0x5, PseudoVLSSEG8E8_V_MF8_MASK }, // 765
  { 0x8, 0x1, 0x1, 0x1, 0x0, 0x3, 0x6, PseudoVLSSEG8E8_V_MF4_MASK }, // 766
  { 0x8, 0x1, 0x1, 0x1, 0x0, 0x3, 0x7, PseudoVLSSEG8E8_V_MF2_MASK }, // 767
  { 0x8, 0x1, 0x1, 0x1, 0x0, 0x4, 0x0, PseudoVLSSEG8E16_V_M1_MASK }, // 768
  { 0x8, 0x1, 0x1, 0x1, 0x0, 0x4, 0x6, PseudoVLSSEG8E16_V_MF4_MASK }, // 769
  { 0x8, 0x1, 0x1, 0x1, 0x0, 0x4, 0x7, PseudoVLSSEG8E16_V_MF2_MASK }, // 770
  { 0x8, 0x1, 0x1, 0x1, 0x0, 0x5, 0x0, PseudoVLSSEG8E32_V_M1_MASK }, // 771
  { 0x8, 0x1, 0x1, 0x1, 0x0, 0x5, 0x7, PseudoVLSSEG8E32_V_MF2_MASK }, // 772
  { 0x8, 0x1, 0x1, 0x1, 0x0, 0x6, 0x0, PseudoVLSSEG8E64_V_M1_MASK }, // 773
 };

const VLSEGPseudo *getVLSEGPseudo(uint8_t NF, uint8_t Masked, uint8_t IsTU, uint8_t Strided, uint8_t FF, uint8_t Log2SEW, uint8_t LMUL) {
  struct KeyType {
    uint8_t NF;
    uint8_t Masked;
    uint8_t IsTU;
    uint8_t Strided;
    uint8_t FF;
    uint8_t Log2SEW;
    uint8_t LMUL;
  };
  KeyType Key = {NF, Masked, IsTU, Strided, FF, Log2SEW, LMUL};
  auto Table = makeArrayRef(RISCVVLSEGTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const VLSEGPseudo &LHS, const KeyType &RHS) {
      if (LHS.NF < RHS.NF)
        return true;
      if (LHS.NF > RHS.NF)
        return false;
      if (LHS.Masked < RHS.Masked)
        return true;
      if (LHS.Masked > RHS.Masked)
        return false;
      if (LHS.IsTU < RHS.IsTU)
        return true;
      if (LHS.IsTU > RHS.IsTU)
        return false;
      if (LHS.Strided < RHS.Strided)
        return true;
      if (LHS.Strided > RHS.Strided)
        return false;
      if (LHS.FF < RHS.FF)
        return true;
      if (LHS.FF > RHS.FF)
        return false;
      if (LHS.Log2SEW < RHS.Log2SEW)
        return true;
      if (LHS.Log2SEW > RHS.Log2SEW)
        return false;
      if (LHS.LMUL < RHS.LMUL)
        return true;
      if (LHS.LMUL > RHS.LMUL)
        return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.NF != Idx->NF ||
      Key.Masked != Idx->Masked ||
      Key.IsTU != Idx->IsTU ||
      Key.Strided != Idx->Strided ||
      Key.FF != Idx->FF ||
      Key.Log2SEW != Idx->Log2SEW ||
      Key.LMUL != Idx->LMUL)
    return nullptr;
  return &*Idx;
}
#endif

#ifdef GET_RISCVVLXSEGTable_DECL
const VLXSEGPseudo *getVLXSEGPseudo(uint8_t NF, uint8_t Masked, uint8_t IsTU, uint8_t Ordered, uint8_t Log2SEW, uint8_t LMUL, uint8_t IndexLMUL);
#endif

#ifdef GET_RISCVVLXSEGTable_IMPL
constexpr VLXSEGPseudo RISCVVLXSEGTable[] = {
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG2EI8_V_M1_M1 }, // 0
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG2EI8_V_MF8_M1 }, // 1
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG2EI8_V_MF4_M1 }, // 2
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG2EI8_V_MF2_M1 }, // 3
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x1, 0x0, PseudoVLUXSEG2EI8_V_M1_M2 }, // 4
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x1, 0x1, PseudoVLUXSEG2EI8_V_M2_M2 }, // 5
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x1, 0x6, PseudoVLUXSEG2EI8_V_MF4_M2 }, // 6
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x1, 0x7, PseudoVLUXSEG2EI8_V_MF2_M2 }, // 7
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x2, 0x0, PseudoVLUXSEG2EI8_V_M1_M4 }, // 8
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x2, 0x1, PseudoVLUXSEG2EI8_V_M2_M4 }, // 9
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x2, 0x2, PseudoVLUXSEG2EI8_V_M4_M4 }, // 10
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x2, 0x7, PseudoVLUXSEG2EI8_V_MF2_M4 }, // 11
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG2EI8_V_MF8_MF8 }, // 12
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG2EI8_V_MF8_MF4 }, // 13
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG2EI8_V_MF4_MF4 }, // 14
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG2EI8_V_MF8_MF2 }, // 15
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG2EI8_V_MF4_MF2 }, // 16
  { 0x2, 0x0, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG2EI8_V_MF2_MF2 }, // 17
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG2EI16_V_M1_M1 }, // 18
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG2EI16_V_M2_M1 }, // 19
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG2EI16_V_MF4_M1 }, // 20
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG2EI16_V_MF2_M1 }, // 21
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x1, 0x0, PseudoVLUXSEG2EI16_V_M1_M2 }, // 22
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x1, 0x1, PseudoVLUXSEG2EI16_V_M2_M2 }, // 23
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x1, 0x2, PseudoVLUXSEG2EI16_V_M4_M2 }, // 24
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x1, 0x7, PseudoVLUXSEG2EI16_V_MF2_M2 }, // 25
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x2, 0x0, PseudoVLUXSEG2EI16_V_M1_M4 }, // 26
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x2, 0x1, PseudoVLUXSEG2EI16_V_M2_M4 }, // 27
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x2, 0x2, PseudoVLUXSEG2EI16_V_M4_M4 }, // 28
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x2, 0x3, PseudoVLUXSEG2EI16_V_M8_M4 }, // 29
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG2EI16_V_MF4_MF8 }, // 30
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG2EI16_V_MF4_MF4 }, // 31
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG2EI16_V_MF2_MF4 }, // 32
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG2EI16_V_M1_MF2 }, // 33
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG2EI16_V_MF4_MF2 }, // 34
  { 0x2, 0x0, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG2EI16_V_MF2_MF2 }, // 35
  { 0x2, 0x0, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG2EI32_V_M1_M1 }, // 36
  { 0x2, 0x0, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG2EI32_V_M2_M1 }, // 37
  { 0x2, 0x0, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG2EI32_V_M4_M1 }, // 38
  { 0x2, 0x0, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG2EI32_V_MF2_M1 }, // 39
  { 0x2, 0x0, 0x0, 0x0, 0x5, 0x1, 0x0, PseudoVLUXSEG2EI32_V_M1_M2 }, // 40
  { 0x2, 0x0, 0x0, 0x0, 0x5, 0x1, 0x1, PseudoVLUXSEG2EI32_V_M2_M2 }, // 41
  { 0x2, 0x0, 0x0, 0x0, 0x5, 0x1, 0x2, PseudoVLUXSEG2EI32_V_M4_M2 }, // 42
  { 0x2, 0x0, 0x0, 0x0, 0x5, 0x1, 0x3, PseudoVLUXSEG2EI32_V_M8_M2 }, // 43
  { 0x2, 0x0, 0x0, 0x0, 0x5, 0x2, 0x1, PseudoVLUXSEG2EI32_V_M2_M4 }, // 44
  { 0x2, 0x0, 0x0, 0x0, 0x5, 0x2, 0x2, PseudoVLUXSEG2EI32_V_M4_M4 }, // 45
  { 0x2, 0x0, 0x0, 0x0, 0x5, 0x2, 0x3, PseudoVLUXSEG2EI32_V_M8_M4 }, // 46
  { 0x2, 0x0, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG2EI32_V_MF2_MF8 }, // 47
  { 0x2, 0x0, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG2EI32_V_M1_MF4 }, // 48
  { 0x2, 0x0, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG2EI32_V_MF2_MF4 }, // 49
  { 0x2, 0x0, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG2EI32_V_M1_MF2 }, // 50
  { 0x2, 0x0, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG2EI32_V_M2_MF2 }, // 51
  { 0x2, 0x0, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG2EI32_V_MF2_MF2 }, // 52
  { 0x2, 0x0, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG2EI64_V_M1_M1 }, // 53
  { 0x2, 0x0, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG2EI64_V_M2_M1 }, // 54
  { 0x2, 0x0, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG2EI64_V_M4_M1 }, // 55
  { 0x2, 0x0, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG2EI64_V_M8_M1 }, // 56
  { 0x2, 0x0, 0x0, 0x0, 0x6, 0x1, 0x1, PseudoVLUXSEG2EI64_V_M2_M2 }, // 57
  { 0x2, 0x0, 0x0, 0x0, 0x6, 0x1, 0x2, PseudoVLUXSEG2EI64_V_M4_M2 }, // 58
  { 0x2, 0x0, 0x0, 0x0, 0x6, 0x1, 0x3, PseudoVLUXSEG2EI64_V_M8_M2 }, // 59
  { 0x2, 0x0, 0x0, 0x0, 0x6, 0x2, 0x2, PseudoVLUXSEG2EI64_V_M4_M4 }, // 60
  { 0x2, 0x0, 0x0, 0x0, 0x6, 0x2, 0x3, PseudoVLUXSEG2EI64_V_M8_M4 }, // 61
  { 0x2, 0x0, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG2EI64_V_M1_MF8 }, // 62
  { 0x2, 0x0, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG2EI64_V_M1_MF4 }, // 63
  { 0x2, 0x0, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG2EI64_V_M2_MF4 }, // 64
  { 0x2, 0x0, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG2EI64_V_M1_MF2 }, // 65
  { 0x2, 0x0, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG2EI64_V_M2_MF2 }, // 66
  { 0x2, 0x0, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG2EI64_V_M4_MF2 }, // 67
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG2EI8_V_M1_M1 }, // 68
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG2EI8_V_MF8_M1 }, // 69
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG2EI8_V_MF4_M1 }, // 70
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG2EI8_V_MF2_M1 }, // 71
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x1, 0x0, PseudoVLOXSEG2EI8_V_M1_M2 }, // 72
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x1, 0x1, PseudoVLOXSEG2EI8_V_M2_M2 }, // 73
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x1, 0x6, PseudoVLOXSEG2EI8_V_MF4_M2 }, // 74
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x1, 0x7, PseudoVLOXSEG2EI8_V_MF2_M2 }, // 75
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x2, 0x0, PseudoVLOXSEG2EI8_V_M1_M4 }, // 76
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x2, 0x1, PseudoVLOXSEG2EI8_V_M2_M4 }, // 77
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x2, 0x2, PseudoVLOXSEG2EI8_V_M4_M4 }, // 78
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x2, 0x7, PseudoVLOXSEG2EI8_V_MF2_M4 }, // 79
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG2EI8_V_MF8_MF8 }, // 80
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG2EI8_V_MF8_MF4 }, // 81
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG2EI8_V_MF4_MF4 }, // 82
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG2EI8_V_MF8_MF2 }, // 83
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG2EI8_V_MF4_MF2 }, // 84
  { 0x2, 0x0, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG2EI8_V_MF2_MF2 }, // 85
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG2EI16_V_M1_M1 }, // 86
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG2EI16_V_M2_M1 }, // 87
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG2EI16_V_MF4_M1 }, // 88
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG2EI16_V_MF2_M1 }, // 89
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x1, 0x0, PseudoVLOXSEG2EI16_V_M1_M2 }, // 90
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x1, 0x1, PseudoVLOXSEG2EI16_V_M2_M2 }, // 91
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x1, 0x2, PseudoVLOXSEG2EI16_V_M4_M2 }, // 92
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x1, 0x7, PseudoVLOXSEG2EI16_V_MF2_M2 }, // 93
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x2, 0x0, PseudoVLOXSEG2EI16_V_M1_M4 }, // 94
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x2, 0x1, PseudoVLOXSEG2EI16_V_M2_M4 }, // 95
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x2, 0x2, PseudoVLOXSEG2EI16_V_M4_M4 }, // 96
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x2, 0x3, PseudoVLOXSEG2EI16_V_M8_M4 }, // 97
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG2EI16_V_MF4_MF8 }, // 98
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG2EI16_V_MF4_MF4 }, // 99
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG2EI16_V_MF2_MF4 }, // 100
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG2EI16_V_M1_MF2 }, // 101
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG2EI16_V_MF4_MF2 }, // 102
  { 0x2, 0x0, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG2EI16_V_MF2_MF2 }, // 103
  { 0x2, 0x0, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG2EI32_V_M1_M1 }, // 104
  { 0x2, 0x0, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG2EI32_V_M2_M1 }, // 105
  { 0x2, 0x0, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG2EI32_V_M4_M1 }, // 106
  { 0x2, 0x0, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG2EI32_V_MF2_M1 }, // 107
  { 0x2, 0x0, 0x0, 0x1, 0x5, 0x1, 0x0, PseudoVLOXSEG2EI32_V_M1_M2 }, // 108
  { 0x2, 0x0, 0x0, 0x1, 0x5, 0x1, 0x1, PseudoVLOXSEG2EI32_V_M2_M2 }, // 109
  { 0x2, 0x0, 0x0, 0x1, 0x5, 0x1, 0x2, PseudoVLOXSEG2EI32_V_M4_M2 }, // 110
  { 0x2, 0x0, 0x0, 0x1, 0x5, 0x1, 0x3, PseudoVLOXSEG2EI32_V_M8_M2 }, // 111
  { 0x2, 0x0, 0x0, 0x1, 0x5, 0x2, 0x1, PseudoVLOXSEG2EI32_V_M2_M4 }, // 112
  { 0x2, 0x0, 0x0, 0x1, 0x5, 0x2, 0x2, PseudoVLOXSEG2EI32_V_M4_M4 }, // 113
  { 0x2, 0x0, 0x0, 0x1, 0x5, 0x2, 0x3, PseudoVLOXSEG2EI32_V_M8_M4 }, // 114
  { 0x2, 0x0, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG2EI32_V_MF2_MF8 }, // 115
  { 0x2, 0x0, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG2EI32_V_M1_MF4 }, // 116
  { 0x2, 0x0, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG2EI32_V_MF2_MF4 }, // 117
  { 0x2, 0x0, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG2EI32_V_M1_MF2 }, // 118
  { 0x2, 0x0, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG2EI32_V_M2_MF2 }, // 119
  { 0x2, 0x0, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG2EI32_V_MF2_MF2 }, // 120
  { 0x2, 0x0, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG2EI64_V_M1_M1 }, // 121
  { 0x2, 0x0, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG2EI64_V_M2_M1 }, // 122
  { 0x2, 0x0, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG2EI64_V_M4_M1 }, // 123
  { 0x2, 0x0, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG2EI64_V_M8_M1 }, // 124
  { 0x2, 0x0, 0x0, 0x1, 0x6, 0x1, 0x1, PseudoVLOXSEG2EI64_V_M2_M2 }, // 125
  { 0x2, 0x0, 0x0, 0x1, 0x6, 0x1, 0x2, PseudoVLOXSEG2EI64_V_M4_M2 }, // 126
  { 0x2, 0x0, 0x0, 0x1, 0x6, 0x1, 0x3, PseudoVLOXSEG2EI64_V_M8_M2 }, // 127
  { 0x2, 0x0, 0x0, 0x1, 0x6, 0x2, 0x2, PseudoVLOXSEG2EI64_V_M4_M4 }, // 128
  { 0x2, 0x0, 0x0, 0x1, 0x6, 0x2, 0x3, PseudoVLOXSEG2EI64_V_M8_M4 }, // 129
  { 0x2, 0x0, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG2EI64_V_M1_MF8 }, // 130
  { 0x2, 0x0, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG2EI64_V_M1_MF4 }, // 131
  { 0x2, 0x0, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG2EI64_V_M2_MF4 }, // 132
  { 0x2, 0x0, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG2EI64_V_M1_MF2 }, // 133
  { 0x2, 0x0, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG2EI64_V_M2_MF2 }, // 134
  { 0x2, 0x0, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG2EI64_V_M4_MF2 }, // 135
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG2EI8_V_M1_M1_TU }, // 136
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG2EI8_V_MF8_M1_TU }, // 137
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG2EI8_V_MF4_M1_TU }, // 138
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG2EI8_V_MF2_M1_TU }, // 139
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVLUXSEG2EI8_V_M1_M2_TU }, // 140
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVLUXSEG2EI8_V_M2_M2_TU }, // 141
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVLUXSEG2EI8_V_MF4_M2_TU }, // 142
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVLUXSEG2EI8_V_MF2_M2_TU }, // 143
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x2, 0x0, PseudoVLUXSEG2EI8_V_M1_M4_TU }, // 144
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x2, 0x1, PseudoVLUXSEG2EI8_V_M2_M4_TU }, // 145
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x2, 0x2, PseudoVLUXSEG2EI8_V_M4_M4_TU }, // 146
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x2, 0x7, PseudoVLUXSEG2EI8_V_MF2_M4_TU }, // 147
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG2EI8_V_MF8_MF8_TU }, // 148
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG2EI8_V_MF8_MF4_TU }, // 149
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG2EI8_V_MF4_MF4_TU }, // 150
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG2EI8_V_MF8_MF2_TU }, // 151
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG2EI8_V_MF4_MF2_TU }, // 152
  { 0x2, 0x0, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG2EI8_V_MF2_MF2_TU }, // 153
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG2EI16_V_M1_M1_TU }, // 154
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG2EI16_V_M2_M1_TU }, // 155
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG2EI16_V_MF4_M1_TU }, // 156
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG2EI16_V_MF2_M1_TU }, // 157
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVLUXSEG2EI16_V_M1_M2_TU }, // 158
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVLUXSEG2EI16_V_M2_M2_TU }, // 159
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVLUXSEG2EI16_V_M4_M2_TU }, // 160
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVLUXSEG2EI16_V_MF2_M2_TU }, // 161
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x2, 0x0, PseudoVLUXSEG2EI16_V_M1_M4_TU }, // 162
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x2, 0x1, PseudoVLUXSEG2EI16_V_M2_M4_TU }, // 163
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x2, 0x2, PseudoVLUXSEG2EI16_V_M4_M4_TU }, // 164
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x2, 0x3, PseudoVLUXSEG2EI16_V_M8_M4_TU }, // 165
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG2EI16_V_MF4_MF8_TU }, // 166
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG2EI16_V_MF4_MF4_TU }, // 167
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG2EI16_V_MF2_MF4_TU }, // 168
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG2EI16_V_M1_MF2_TU }, // 169
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG2EI16_V_MF4_MF2_TU }, // 170
  { 0x2, 0x0, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG2EI16_V_MF2_MF2_TU }, // 171
  { 0x2, 0x0, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG2EI32_V_M1_M1_TU }, // 172
  { 0x2, 0x0, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG2EI32_V_M2_M1_TU }, // 173
  { 0x2, 0x0, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG2EI32_V_M4_M1_TU }, // 174
  { 0x2, 0x0, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG2EI32_V_MF2_M1_TU }, // 175
  { 0x2, 0x0, 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVLUXSEG2EI32_V_M1_M2_TU }, // 176
  { 0x2, 0x0, 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVLUXSEG2EI32_V_M2_M2_TU }, // 177
  { 0x2, 0x0, 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVLUXSEG2EI32_V_M4_M2_TU }, // 178
  { 0x2, 0x0, 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVLUXSEG2EI32_V_M8_M2_TU }, // 179
  { 0x2, 0x0, 0x1, 0x0, 0x5, 0x2, 0x1, PseudoVLUXSEG2EI32_V_M2_M4_TU }, // 180
  { 0x2, 0x0, 0x1, 0x0, 0x5, 0x2, 0x2, PseudoVLUXSEG2EI32_V_M4_M4_TU }, // 181
  { 0x2, 0x0, 0x1, 0x0, 0x5, 0x2, 0x3, PseudoVLUXSEG2EI32_V_M8_M4_TU }, // 182
  { 0x2, 0x0, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG2EI32_V_MF2_MF8_TU }, // 183
  { 0x2, 0x0, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG2EI32_V_M1_MF4_TU }, // 184
  { 0x2, 0x0, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG2EI32_V_MF2_MF4_TU }, // 185
  { 0x2, 0x0, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG2EI32_V_M1_MF2_TU }, // 186
  { 0x2, 0x0, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG2EI32_V_M2_MF2_TU }, // 187
  { 0x2, 0x0, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG2EI32_V_MF2_MF2_TU }, // 188
  { 0x2, 0x0, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG2EI64_V_M1_M1_TU }, // 189
  { 0x2, 0x0, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG2EI64_V_M2_M1_TU }, // 190
  { 0x2, 0x0, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG2EI64_V_M4_M1_TU }, // 191
  { 0x2, 0x0, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG2EI64_V_M8_M1_TU }, // 192
  { 0x2, 0x0, 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVLUXSEG2EI64_V_M2_M2_TU }, // 193
  { 0x2, 0x0, 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVLUXSEG2EI64_V_M4_M2_TU }, // 194
  { 0x2, 0x0, 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVLUXSEG2EI64_V_M8_M2_TU }, // 195
  { 0x2, 0x0, 0x1, 0x0, 0x6, 0x2, 0x2, PseudoVLUXSEG2EI64_V_M4_M4_TU }, // 196
  { 0x2, 0x0, 0x1, 0x0, 0x6, 0x2, 0x3, PseudoVLUXSEG2EI64_V_M8_M4_TU }, // 197
  { 0x2, 0x0, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG2EI64_V_M1_MF8_TU }, // 198
  { 0x2, 0x0, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG2EI64_V_M1_MF4_TU }, // 199
  { 0x2, 0x0, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG2EI64_V_M2_MF4_TU }, // 200
  { 0x2, 0x0, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG2EI64_V_M1_MF2_TU }, // 201
  { 0x2, 0x0, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG2EI64_V_M2_MF2_TU }, // 202
  { 0x2, 0x0, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG2EI64_V_M4_MF2_TU }, // 203
  { 0x2, 0x0, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG2EI8_V_M1_M1_TU }, // 204
  { 0x2, 0x0, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG2EI8_V_MF8_M1_TU }, // 205
  { 0x2, 0x0, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG2EI8_V_MF4_M1_TU }, // 206
  { 0x2, 0x0, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG2EI8_V_MF2_M1_TU }, // 207
  { 0x2, 0x0, 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVLOXSEG2EI8_V_M1_M2_TU }, // 208
  { 0x2, 0x0, 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVLOXSEG2EI8_V_M2_M2_TU }, // 209
  { 0x2, 0x0, 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVLOXSEG2EI8_V_MF4_M2_TU }, // 210
  { 0x2, 0x0, 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVLOXSEG2EI8_V_MF2_M2_TU }, // 211
  { 0x2, 0x0, 0x1, 0x1, 0x3, 0x2, 0x0, PseudoVLOXSEG2EI8_V_M1_M4_TU }, // 212
  { 0x2, 0x0, 0x1, 0x1, 0x3, 0x2, 0x1, PseudoVLOXSEG2EI8_V_M2_M4_TU }, // 213
  { 0x2, 0x0, 0x1, 0x1, 0x3, 0x2, 0x2, PseudoVLOXSEG2EI8_V_M4_M4_TU }, // 214
  { 0x2, 0x0, 0x1, 0x1, 0x3, 0x2, 0x7, PseudoVLOXSEG2EI8_V_MF2_M4_TU }, // 215
  { 0x2, 0x0, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG2EI8_V_MF8_MF8_TU }, // 216
  { 0x2, 0x0, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG2EI8_V_MF8_MF4_TU }, // 217
  { 0x2, 0x0, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG2EI8_V_MF4_MF4_TU }, // 218
  { 0x2, 0x0, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG2EI8_V_MF8_MF2_TU }, // 219
  { 0x2, 0x0, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG2EI8_V_MF4_MF2_TU }, // 220
  { 0x2, 0x0, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG2EI8_V_MF2_MF2_TU }, // 221
  { 0x2, 0x0, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG2EI16_V_M1_M1_TU }, // 222
  { 0x2, 0x0, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG2EI16_V_M2_M1_TU }, // 223
  { 0x2, 0x0, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG2EI16_V_MF4_M1_TU }, // 224
  { 0x2, 0x0, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG2EI16_V_MF2_M1_TU }, // 225
  { 0x2, 0x0, 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVLOXSEG2EI16_V_M1_M2_TU }, // 226
  { 0x2, 0x0, 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVLOXSEG2EI16_V_M2_M2_TU }, // 227
  { 0x2, 0x0, 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVLOXSEG2EI16_V_M4_M2_TU }, // 228
  { 0x2, 0x0, 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVLOXSEG2EI16_V_MF2_M2_TU }, // 229
  { 0x2, 0x0, 0x1, 0x1, 0x4, 0x2, 0x0, PseudoVLOXSEG2EI16_V_M1_M4_TU }, // 230
  { 0x2, 0x0, 0x1, 0x1, 0x4, 0x2, 0x1, PseudoVLOXSEG2EI16_V_M2_M4_TU }, // 231
  { 0x2, 0x0, 0x1, 0x1, 0x4, 0x2, 0x2, PseudoVLOXSEG2EI16_V_M4_M4_TU }, // 232
  { 0x2, 0x0, 0x1, 0x1, 0x4, 0x2, 0x3, PseudoVLOXSEG2EI16_V_M8_M4_TU }, // 233
  { 0x2, 0x0, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG2EI16_V_MF4_MF8_TU }, // 234
  { 0x2, 0x0, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG2EI16_V_MF4_MF4_TU }, // 235
  { 0x2, 0x0, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG2EI16_V_MF2_MF4_TU }, // 236
  { 0x2, 0x0, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG2EI16_V_M1_MF2_TU }, // 237
  { 0x2, 0x0, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG2EI16_V_MF4_MF2_TU }, // 238
  { 0x2, 0x0, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG2EI16_V_MF2_MF2_TU }, // 239
  { 0x2, 0x0, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG2EI32_V_M1_M1_TU }, // 240
  { 0x2, 0x0, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG2EI32_V_M2_M1_TU }, // 241
  { 0x2, 0x0, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG2EI32_V_M4_M1_TU }, // 242
  { 0x2, 0x0, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG2EI32_V_MF2_M1_TU }, // 243
  { 0x2, 0x0, 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVLOXSEG2EI32_V_M1_M2_TU }, // 244
  { 0x2, 0x0, 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVLOXSEG2EI32_V_M2_M2_TU }, // 245
  { 0x2, 0x0, 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVLOXSEG2EI32_V_M4_M2_TU }, // 246
  { 0x2, 0x0, 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVLOXSEG2EI32_V_M8_M2_TU }, // 247
  { 0x2, 0x0, 0x1, 0x1, 0x5, 0x2, 0x1, PseudoVLOXSEG2EI32_V_M2_M4_TU }, // 248
  { 0x2, 0x0, 0x1, 0x1, 0x5, 0x2, 0x2, PseudoVLOXSEG2EI32_V_M4_M4_TU }, // 249
  { 0x2, 0x0, 0x1, 0x1, 0x5, 0x2, 0x3, PseudoVLOXSEG2EI32_V_M8_M4_TU }, // 250
  { 0x2, 0x0, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG2EI32_V_MF2_MF8_TU }, // 251
  { 0x2, 0x0, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG2EI32_V_M1_MF4_TU }, // 252
  { 0x2, 0x0, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG2EI32_V_MF2_MF4_TU }, // 253
  { 0x2, 0x0, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG2EI32_V_M1_MF2_TU }, // 254
  { 0x2, 0x0, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG2EI32_V_M2_MF2_TU }, // 255
  { 0x2, 0x0, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG2EI32_V_MF2_MF2_TU }, // 256
  { 0x2, 0x0, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG2EI64_V_M1_M1_TU }, // 257
  { 0x2, 0x0, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG2EI64_V_M2_M1_TU }, // 258
  { 0x2, 0x0, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG2EI64_V_M4_M1_TU }, // 259
  { 0x2, 0x0, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG2EI64_V_M8_M1_TU }, // 260
  { 0x2, 0x0, 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVLOXSEG2EI64_V_M2_M2_TU }, // 261
  { 0x2, 0x0, 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVLOXSEG2EI64_V_M4_M2_TU }, // 262
  { 0x2, 0x0, 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVLOXSEG2EI64_V_M8_M2_TU }, // 263
  { 0x2, 0x0, 0x1, 0x1, 0x6, 0x2, 0x2, PseudoVLOXSEG2EI64_V_M4_M4_TU }, // 264
  { 0x2, 0x0, 0x1, 0x1, 0x6, 0x2, 0x3, PseudoVLOXSEG2EI64_V_M8_M4_TU }, // 265
  { 0x2, 0x0, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG2EI64_V_M1_MF8_TU }, // 266
  { 0x2, 0x0, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG2EI64_V_M1_MF4_TU }, // 267
  { 0x2, 0x0, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG2EI64_V_M2_MF4_TU }, // 268
  { 0x2, 0x0, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG2EI64_V_M1_MF2_TU }, // 269
  { 0x2, 0x0, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG2EI64_V_M2_MF2_TU }, // 270
  { 0x2, 0x0, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG2EI64_V_M4_MF2_TU }, // 271
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG2EI8_V_M1_M1_MASK }, // 272
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG2EI8_V_MF8_M1_MASK }, // 273
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG2EI8_V_MF4_M1_MASK }, // 274
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG2EI8_V_MF2_M1_MASK }, // 275
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVLUXSEG2EI8_V_M1_M2_MASK }, // 276
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVLUXSEG2EI8_V_M2_M2_MASK }, // 277
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVLUXSEG2EI8_V_MF4_M2_MASK }, // 278
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVLUXSEG2EI8_V_MF2_M2_MASK }, // 279
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x2, 0x0, PseudoVLUXSEG2EI8_V_M1_M4_MASK }, // 280
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x2, 0x1, PseudoVLUXSEG2EI8_V_M2_M4_MASK }, // 281
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x2, 0x2, PseudoVLUXSEG2EI8_V_M4_M4_MASK }, // 282
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x2, 0x7, PseudoVLUXSEG2EI8_V_MF2_M4_MASK }, // 283
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG2EI8_V_MF8_MF8_MASK }, // 284
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG2EI8_V_MF8_MF4_MASK }, // 285
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG2EI8_V_MF4_MF4_MASK }, // 286
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG2EI8_V_MF8_MF2_MASK }, // 287
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG2EI8_V_MF4_MF2_MASK }, // 288
  { 0x2, 0x1, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG2EI8_V_MF2_MF2_MASK }, // 289
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG2EI16_V_M1_M1_MASK }, // 290
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG2EI16_V_M2_M1_MASK }, // 291
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG2EI16_V_MF4_M1_MASK }, // 292
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG2EI16_V_MF2_M1_MASK }, // 293
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVLUXSEG2EI16_V_M1_M2_MASK }, // 294
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVLUXSEG2EI16_V_M2_M2_MASK }, // 295
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVLUXSEG2EI16_V_M4_M2_MASK }, // 296
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVLUXSEG2EI16_V_MF2_M2_MASK }, // 297
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x2, 0x0, PseudoVLUXSEG2EI16_V_M1_M4_MASK }, // 298
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x2, 0x1, PseudoVLUXSEG2EI16_V_M2_M4_MASK }, // 299
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x2, 0x2, PseudoVLUXSEG2EI16_V_M4_M4_MASK }, // 300
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x2, 0x3, PseudoVLUXSEG2EI16_V_M8_M4_MASK }, // 301
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG2EI16_V_MF4_MF8_MASK }, // 302
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG2EI16_V_MF4_MF4_MASK }, // 303
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG2EI16_V_MF2_MF4_MASK }, // 304
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG2EI16_V_M1_MF2_MASK }, // 305
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG2EI16_V_MF4_MF2_MASK }, // 306
  { 0x2, 0x1, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG2EI16_V_MF2_MF2_MASK }, // 307
  { 0x2, 0x1, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG2EI32_V_M1_M1_MASK }, // 308
  { 0x2, 0x1, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG2EI32_V_M2_M1_MASK }, // 309
  { 0x2, 0x1, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG2EI32_V_M4_M1_MASK }, // 310
  { 0x2, 0x1, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG2EI32_V_MF2_M1_MASK }, // 311
  { 0x2, 0x1, 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVLUXSEG2EI32_V_M1_M2_MASK }, // 312
  { 0x2, 0x1, 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVLUXSEG2EI32_V_M2_M2_MASK }, // 313
  { 0x2, 0x1, 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVLUXSEG2EI32_V_M4_M2_MASK }, // 314
  { 0x2, 0x1, 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVLUXSEG2EI32_V_M8_M2_MASK }, // 315
  { 0x2, 0x1, 0x1, 0x0, 0x5, 0x2, 0x1, PseudoVLUXSEG2EI32_V_M2_M4_MASK }, // 316
  { 0x2, 0x1, 0x1, 0x0, 0x5, 0x2, 0x2, PseudoVLUXSEG2EI32_V_M4_M4_MASK }, // 317
  { 0x2, 0x1, 0x1, 0x0, 0x5, 0x2, 0x3, PseudoVLUXSEG2EI32_V_M8_M4_MASK }, // 318
  { 0x2, 0x1, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG2EI32_V_MF2_MF8_MASK }, // 319
  { 0x2, 0x1, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG2EI32_V_M1_MF4_MASK }, // 320
  { 0x2, 0x1, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG2EI32_V_MF2_MF4_MASK }, // 321
  { 0x2, 0x1, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG2EI32_V_M1_MF2_MASK }, // 322
  { 0x2, 0x1, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG2EI32_V_M2_MF2_MASK }, // 323
  { 0x2, 0x1, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG2EI32_V_MF2_MF2_MASK }, // 324
  { 0x2, 0x1, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG2EI64_V_M1_M1_MASK }, // 325
  { 0x2, 0x1, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG2EI64_V_M2_M1_MASK }, // 326
  { 0x2, 0x1, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG2EI64_V_M4_M1_MASK }, // 327
  { 0x2, 0x1, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG2EI64_V_M8_M1_MASK }, // 328
  { 0x2, 0x1, 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVLUXSEG2EI64_V_M2_M2_MASK }, // 329
  { 0x2, 0x1, 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVLUXSEG2EI64_V_M4_M2_MASK }, // 330
  { 0x2, 0x1, 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVLUXSEG2EI64_V_M8_M2_MASK }, // 331
  { 0x2, 0x1, 0x1, 0x0, 0x6, 0x2, 0x2, PseudoVLUXSEG2EI64_V_M4_M4_MASK }, // 332
  { 0x2, 0x1, 0x1, 0x0, 0x6, 0x2, 0x3, PseudoVLUXSEG2EI64_V_M8_M4_MASK }, // 333
  { 0x2, 0x1, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG2EI64_V_M1_MF8_MASK }, // 334
  { 0x2, 0x1, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG2EI64_V_M1_MF4_MASK }, // 335
  { 0x2, 0x1, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG2EI64_V_M2_MF4_MASK }, // 336
  { 0x2, 0x1, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG2EI64_V_M1_MF2_MASK }, // 337
  { 0x2, 0x1, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG2EI64_V_M2_MF2_MASK }, // 338
  { 0x2, 0x1, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG2EI64_V_M4_MF2_MASK }, // 339
  { 0x2, 0x1, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG2EI8_V_M1_M1_MASK }, // 340
  { 0x2, 0x1, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG2EI8_V_MF8_M1_MASK }, // 341
  { 0x2, 0x1, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG2EI8_V_MF4_M1_MASK }, // 342
  { 0x2, 0x1, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG2EI8_V_MF2_M1_MASK }, // 343
  { 0x2, 0x1, 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVLOXSEG2EI8_V_M1_M2_MASK }, // 344
  { 0x2, 0x1, 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVLOXSEG2EI8_V_M2_M2_MASK }, // 345
  { 0x2, 0x1, 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVLOXSEG2EI8_V_MF4_M2_MASK }, // 346
  { 0x2, 0x1, 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVLOXSEG2EI8_V_MF2_M2_MASK }, // 347
  { 0x2, 0x1, 0x1, 0x1, 0x3, 0x2, 0x0, PseudoVLOXSEG2EI8_V_M1_M4_MASK }, // 348
  { 0x2, 0x1, 0x1, 0x1, 0x3, 0x2, 0x1, PseudoVLOXSEG2EI8_V_M2_M4_MASK }, // 349
  { 0x2, 0x1, 0x1, 0x1, 0x3, 0x2, 0x2, PseudoVLOXSEG2EI8_V_M4_M4_MASK }, // 350
  { 0x2, 0x1, 0x1, 0x1, 0x3, 0x2, 0x7, PseudoVLOXSEG2EI8_V_MF2_M4_MASK }, // 351
  { 0x2, 0x1, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG2EI8_V_MF8_MF8_MASK }, // 352
  { 0x2, 0x1, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG2EI8_V_MF8_MF4_MASK }, // 353
  { 0x2, 0x1, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG2EI8_V_MF4_MF4_MASK }, // 354
  { 0x2, 0x1, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG2EI8_V_MF8_MF2_MASK }, // 355
  { 0x2, 0x1, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG2EI8_V_MF4_MF2_MASK }, // 356
  { 0x2, 0x1, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG2EI8_V_MF2_MF2_MASK }, // 357
  { 0x2, 0x1, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG2EI16_V_M1_M1_MASK }, // 358
  { 0x2, 0x1, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG2EI16_V_M2_M1_MASK }, // 359
  { 0x2, 0x1, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG2EI16_V_MF4_M1_MASK }, // 360
  { 0x2, 0x1, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG2EI16_V_MF2_M1_MASK }, // 361
  { 0x2, 0x1, 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVLOXSEG2EI16_V_M1_M2_MASK }, // 362
  { 0x2, 0x1, 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVLOXSEG2EI16_V_M2_M2_MASK }, // 363
  { 0x2, 0x1, 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVLOXSEG2EI16_V_M4_M2_MASK }, // 364
  { 0x2, 0x1, 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVLOXSEG2EI16_V_MF2_M2_MASK }, // 365
  { 0x2, 0x1, 0x1, 0x1, 0x4, 0x2, 0x0, PseudoVLOXSEG2EI16_V_M1_M4_MASK }, // 366
  { 0x2, 0x1, 0x1, 0x1, 0x4, 0x2, 0x1, PseudoVLOXSEG2EI16_V_M2_M4_MASK }, // 367
  { 0x2, 0x1, 0x1, 0x1, 0x4, 0x2, 0x2, PseudoVLOXSEG2EI16_V_M4_M4_MASK }, // 368
  { 0x2, 0x1, 0x1, 0x1, 0x4, 0x2, 0x3, PseudoVLOXSEG2EI16_V_M8_M4_MASK }, // 369
  { 0x2, 0x1, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG2EI16_V_MF4_MF8_MASK }, // 370
  { 0x2, 0x1, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG2EI16_V_MF4_MF4_MASK }, // 371
  { 0x2, 0x1, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG2EI16_V_MF2_MF4_MASK }, // 372
  { 0x2, 0x1, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG2EI16_V_M1_MF2_MASK }, // 373
  { 0x2, 0x1, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG2EI16_V_MF4_MF2_MASK }, // 374
  { 0x2, 0x1, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG2EI16_V_MF2_MF2_MASK }, // 375
  { 0x2, 0x1, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG2EI32_V_M1_M1_MASK }, // 376
  { 0x2, 0x1, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG2EI32_V_M2_M1_MASK }, // 377
  { 0x2, 0x1, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG2EI32_V_M4_M1_MASK }, // 378
  { 0x2, 0x1, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG2EI32_V_MF2_M1_MASK }, // 379
  { 0x2, 0x1, 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVLOXSEG2EI32_V_M1_M2_MASK }, // 380
  { 0x2, 0x1, 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVLOXSEG2EI32_V_M2_M2_MASK }, // 381
  { 0x2, 0x1, 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVLOXSEG2EI32_V_M4_M2_MASK }, // 382
  { 0x2, 0x1, 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVLOXSEG2EI32_V_M8_M2_MASK }, // 383
  { 0x2, 0x1, 0x1, 0x1, 0x5, 0x2, 0x1, PseudoVLOXSEG2EI32_V_M2_M4_MASK }, // 384
  { 0x2, 0x1, 0x1, 0x1, 0x5, 0x2, 0x2, PseudoVLOXSEG2EI32_V_M4_M4_MASK }, // 385
  { 0x2, 0x1, 0x1, 0x1, 0x5, 0x2, 0x3, PseudoVLOXSEG2EI32_V_M8_M4_MASK }, // 386
  { 0x2, 0x1, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG2EI32_V_MF2_MF8_MASK }, // 387
  { 0x2, 0x1, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG2EI32_V_M1_MF4_MASK }, // 388
  { 0x2, 0x1, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG2EI32_V_MF2_MF4_MASK }, // 389
  { 0x2, 0x1, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG2EI32_V_M1_MF2_MASK }, // 390
  { 0x2, 0x1, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG2EI32_V_M2_MF2_MASK }, // 391
  { 0x2, 0x1, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG2EI32_V_MF2_MF2_MASK }, // 392
  { 0x2, 0x1, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG2EI64_V_M1_M1_MASK }, // 393
  { 0x2, 0x1, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG2EI64_V_M2_M1_MASK }, // 394
  { 0x2, 0x1, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG2EI64_V_M4_M1_MASK }, // 395
  { 0x2, 0x1, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG2EI64_V_M8_M1_MASK }, // 396
  { 0x2, 0x1, 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVLOXSEG2EI64_V_M2_M2_MASK }, // 397
  { 0x2, 0x1, 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVLOXSEG2EI64_V_M4_M2_MASK }, // 398
  { 0x2, 0x1, 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVLOXSEG2EI64_V_M8_M2_MASK }, // 399
  { 0x2, 0x1, 0x1, 0x1, 0x6, 0x2, 0x2, PseudoVLOXSEG2EI64_V_M4_M4_MASK }, // 400
  { 0x2, 0x1, 0x1, 0x1, 0x6, 0x2, 0x3, PseudoVLOXSEG2EI64_V_M8_M4_MASK }, // 401
  { 0x2, 0x1, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG2EI64_V_M1_MF8_MASK }, // 402
  { 0x2, 0x1, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG2EI64_V_M1_MF4_MASK }, // 403
  { 0x2, 0x1, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG2EI64_V_M2_MF4_MASK }, // 404
  { 0x2, 0x1, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG2EI64_V_M1_MF2_MASK }, // 405
  { 0x2, 0x1, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG2EI64_V_M2_MF2_MASK }, // 406
  { 0x2, 0x1, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG2EI64_V_M4_MF2_MASK }, // 407
  { 0x3, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG3EI8_V_M1_M1 }, // 408
  { 0x3, 0x0, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG3EI8_V_MF8_M1 }, // 409
  { 0x3, 0x0, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG3EI8_V_MF4_M1 }, // 410
  { 0x3, 0x0, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG3EI8_V_MF2_M1 }, // 411
  { 0x3, 0x0, 0x0, 0x0, 0x3, 0x1, 0x0, PseudoVLUXSEG3EI8_V_M1_M2 }, // 412
  { 0x3, 0x0, 0x0, 0x0, 0x3, 0x1, 0x1, PseudoVLUXSEG3EI8_V_M2_M2 }, // 413
  { 0x3, 0x0, 0x0, 0x0, 0x3, 0x1, 0x6, PseudoVLUXSEG3EI8_V_MF4_M2 }, // 414
  { 0x3, 0x0, 0x0, 0x0, 0x3, 0x1, 0x7, PseudoVLUXSEG3EI8_V_MF2_M2 }, // 415
  { 0x3, 0x0, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG3EI8_V_MF8_MF8 }, // 416
  { 0x3, 0x0, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG3EI8_V_MF8_MF4 }, // 417
  { 0x3, 0x0, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG3EI8_V_MF4_MF4 }, // 418
  { 0x3, 0x0, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG3EI8_V_MF8_MF2 }, // 419
  { 0x3, 0x0, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG3EI8_V_MF4_MF2 }, // 420
  { 0x3, 0x0, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG3EI8_V_MF2_MF2 }, // 421
  { 0x3, 0x0, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG3EI16_V_M1_M1 }, // 422
  { 0x3, 0x0, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG3EI16_V_M2_M1 }, // 423
  { 0x3, 0x0, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG3EI16_V_MF4_M1 }, // 424
  { 0x3, 0x0, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG3EI16_V_MF2_M1 }, // 425
  { 0x3, 0x0, 0x0, 0x0, 0x4, 0x1, 0x0, PseudoVLUXSEG3EI16_V_M1_M2 }, // 426
  { 0x3, 0x0, 0x0, 0x0, 0x4, 0x1, 0x1, PseudoVLUXSEG3EI16_V_M2_M2 }, // 427
  { 0x3, 0x0, 0x0, 0x0, 0x4, 0x1, 0x2, PseudoVLUXSEG3EI16_V_M4_M2 }, // 428
  { 0x3, 0x0, 0x0, 0x0, 0x4, 0x1, 0x7, PseudoVLUXSEG3EI16_V_MF2_M2 }, // 429
  { 0x3, 0x0, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG3EI16_V_MF4_MF8 }, // 430
  { 0x3, 0x0, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG3EI16_V_MF4_MF4 }, // 431
  { 0x3, 0x0, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG3EI16_V_MF2_MF4 }, // 432
  { 0x3, 0x0, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG3EI16_V_M1_MF2 }, // 433
  { 0x3, 0x0, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG3EI16_V_MF4_MF2 }, // 434
  { 0x3, 0x0, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG3EI16_V_MF2_MF2 }, // 435
  { 0x3, 0x0, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG3EI32_V_M1_M1 }, // 436
  { 0x3, 0x0, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG3EI32_V_M2_M1 }, // 437
  { 0x3, 0x0, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG3EI32_V_M4_M1 }, // 438
  { 0x3, 0x0, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG3EI32_V_MF2_M1 }, // 439
  { 0x3, 0x0, 0x0, 0x0, 0x5, 0x1, 0x0, PseudoVLUXSEG3EI32_V_M1_M2 }, // 440
  { 0x3, 0x0, 0x0, 0x0, 0x5, 0x1, 0x1, PseudoVLUXSEG3EI32_V_M2_M2 }, // 441
  { 0x3, 0x0, 0x0, 0x0, 0x5, 0x1, 0x2, PseudoVLUXSEG3EI32_V_M4_M2 }, // 442
  { 0x3, 0x0, 0x0, 0x0, 0x5, 0x1, 0x3, PseudoVLUXSEG3EI32_V_M8_M2 }, // 443
  { 0x3, 0x0, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG3EI32_V_MF2_MF8 }, // 444
  { 0x3, 0x0, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG3EI32_V_M1_MF4 }, // 445
  { 0x3, 0x0, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG3EI32_V_MF2_MF4 }, // 446
  { 0x3, 0x0, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG3EI32_V_M1_MF2 }, // 447
  { 0x3, 0x0, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG3EI32_V_M2_MF2 }, // 448
  { 0x3, 0x0, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG3EI32_V_MF2_MF2 }, // 449
  { 0x3, 0x0, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG3EI64_V_M1_M1 }, // 450
  { 0x3, 0x0, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG3EI64_V_M2_M1 }, // 451
  { 0x3, 0x0, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG3EI64_V_M4_M1 }, // 452
  { 0x3, 0x0, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG3EI64_V_M8_M1 }, // 453
  { 0x3, 0x0, 0x0, 0x0, 0x6, 0x1, 0x1, PseudoVLUXSEG3EI64_V_M2_M2 }, // 454
  { 0x3, 0x0, 0x0, 0x0, 0x6, 0x1, 0x2, PseudoVLUXSEG3EI64_V_M4_M2 }, // 455
  { 0x3, 0x0, 0x0, 0x0, 0x6, 0x1, 0x3, PseudoVLUXSEG3EI64_V_M8_M2 }, // 456
  { 0x3, 0x0, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG3EI64_V_M1_MF8 }, // 457
  { 0x3, 0x0, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG3EI64_V_M1_MF4 }, // 458
  { 0x3, 0x0, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG3EI64_V_M2_MF4 }, // 459
  { 0x3, 0x0, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG3EI64_V_M1_MF2 }, // 460
  { 0x3, 0x0, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG3EI64_V_M2_MF2 }, // 461
  { 0x3, 0x0, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG3EI64_V_M4_MF2 }, // 462
  { 0x3, 0x0, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG3EI8_V_M1_M1 }, // 463
  { 0x3, 0x0, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG3EI8_V_MF8_M1 }, // 464
  { 0x3, 0x0, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG3EI8_V_MF4_M1 }, // 465
  { 0x3, 0x0, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG3EI8_V_MF2_M1 }, // 466
  { 0x3, 0x0, 0x0, 0x1, 0x3, 0x1, 0x0, PseudoVLOXSEG3EI8_V_M1_M2 }, // 467
  { 0x3, 0x0, 0x0, 0x1, 0x3, 0x1, 0x1, PseudoVLOXSEG3EI8_V_M2_M2 }, // 468
  { 0x3, 0x0, 0x0, 0x1, 0x3, 0x1, 0x6, PseudoVLOXSEG3EI8_V_MF4_M2 }, // 469
  { 0x3, 0x0, 0x0, 0x1, 0x3, 0x1, 0x7, PseudoVLOXSEG3EI8_V_MF2_M2 }, // 470
  { 0x3, 0x0, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG3EI8_V_MF8_MF8 }, // 471
  { 0x3, 0x0, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG3EI8_V_MF8_MF4 }, // 472
  { 0x3, 0x0, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG3EI8_V_MF4_MF4 }, // 473
  { 0x3, 0x0, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG3EI8_V_MF8_MF2 }, // 474
  { 0x3, 0x0, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG3EI8_V_MF4_MF2 }, // 475
  { 0x3, 0x0, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG3EI8_V_MF2_MF2 }, // 476
  { 0x3, 0x0, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG3EI16_V_M1_M1 }, // 477
  { 0x3, 0x0, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG3EI16_V_M2_M1 }, // 478
  { 0x3, 0x0, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG3EI16_V_MF4_M1 }, // 479
  { 0x3, 0x0, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG3EI16_V_MF2_M1 }, // 480
  { 0x3, 0x0, 0x0, 0x1, 0x4, 0x1, 0x0, PseudoVLOXSEG3EI16_V_M1_M2 }, // 481
  { 0x3, 0x0, 0x0, 0x1, 0x4, 0x1, 0x1, PseudoVLOXSEG3EI16_V_M2_M2 }, // 482
  { 0x3, 0x0, 0x0, 0x1, 0x4, 0x1, 0x2, PseudoVLOXSEG3EI16_V_M4_M2 }, // 483
  { 0x3, 0x0, 0x0, 0x1, 0x4, 0x1, 0x7, PseudoVLOXSEG3EI16_V_MF2_M2 }, // 484
  { 0x3, 0x0, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG3EI16_V_MF4_MF8 }, // 485
  { 0x3, 0x0, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG3EI16_V_MF4_MF4 }, // 486
  { 0x3, 0x0, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG3EI16_V_MF2_MF4 }, // 487
  { 0x3, 0x0, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG3EI16_V_M1_MF2 }, // 488
  { 0x3, 0x0, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG3EI16_V_MF4_MF2 }, // 489
  { 0x3, 0x0, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG3EI16_V_MF2_MF2 }, // 490
  { 0x3, 0x0, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG3EI32_V_M1_M1 }, // 491
  { 0x3, 0x0, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG3EI32_V_M2_M1 }, // 492
  { 0x3, 0x0, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG3EI32_V_M4_M1 }, // 493
  { 0x3, 0x0, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG3EI32_V_MF2_M1 }, // 494
  { 0x3, 0x0, 0x0, 0x1, 0x5, 0x1, 0x0, PseudoVLOXSEG3EI32_V_M1_M2 }, // 495
  { 0x3, 0x0, 0x0, 0x1, 0x5, 0x1, 0x1, PseudoVLOXSEG3EI32_V_M2_M2 }, // 496
  { 0x3, 0x0, 0x0, 0x1, 0x5, 0x1, 0x2, PseudoVLOXSEG3EI32_V_M4_M2 }, // 497
  { 0x3, 0x0, 0x0, 0x1, 0x5, 0x1, 0x3, PseudoVLOXSEG3EI32_V_M8_M2 }, // 498
  { 0x3, 0x0, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG3EI32_V_MF2_MF8 }, // 499
  { 0x3, 0x0, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG3EI32_V_M1_MF4 }, // 500
  { 0x3, 0x0, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG3EI32_V_MF2_MF4 }, // 501
  { 0x3, 0x0, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG3EI32_V_M1_MF2 }, // 502
  { 0x3, 0x0, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG3EI32_V_M2_MF2 }, // 503
  { 0x3, 0x0, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG3EI32_V_MF2_MF2 }, // 504
  { 0x3, 0x0, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG3EI64_V_M1_M1 }, // 505
  { 0x3, 0x0, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG3EI64_V_M2_M1 }, // 506
  { 0x3, 0x0, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG3EI64_V_M4_M1 }, // 507
  { 0x3, 0x0, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG3EI64_V_M8_M1 }, // 508
  { 0x3, 0x0, 0x0, 0x1, 0x6, 0x1, 0x1, PseudoVLOXSEG3EI64_V_M2_M2 }, // 509
  { 0x3, 0x0, 0x0, 0x1, 0x6, 0x1, 0x2, PseudoVLOXSEG3EI64_V_M4_M2 }, // 510
  { 0x3, 0x0, 0x0, 0x1, 0x6, 0x1, 0x3, PseudoVLOXSEG3EI64_V_M8_M2 }, // 511
  { 0x3, 0x0, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG3EI64_V_M1_MF8 }, // 512
  { 0x3, 0x0, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG3EI64_V_M1_MF4 }, // 513
  { 0x3, 0x0, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG3EI64_V_M2_MF4 }, // 514
  { 0x3, 0x0, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG3EI64_V_M1_MF2 }, // 515
  { 0x3, 0x0, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG3EI64_V_M2_MF2 }, // 516
  { 0x3, 0x0, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG3EI64_V_M4_MF2 }, // 517
  { 0x3, 0x0, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG3EI8_V_M1_M1_TU }, // 518
  { 0x3, 0x0, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG3EI8_V_MF8_M1_TU }, // 519
  { 0x3, 0x0, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG3EI8_V_MF4_M1_TU }, // 520
  { 0x3, 0x0, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG3EI8_V_MF2_M1_TU }, // 521
  { 0x3, 0x0, 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVLUXSEG3EI8_V_M1_M2_TU }, // 522
  { 0x3, 0x0, 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVLUXSEG3EI8_V_M2_M2_TU }, // 523
  { 0x3, 0x0, 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVLUXSEG3EI8_V_MF4_M2_TU }, // 524
  { 0x3, 0x0, 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVLUXSEG3EI8_V_MF2_M2_TU }, // 525
  { 0x3, 0x0, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG3EI8_V_MF8_MF8_TU }, // 526
  { 0x3, 0x0, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG3EI8_V_MF8_MF4_TU }, // 527
  { 0x3, 0x0, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG3EI8_V_MF4_MF4_TU }, // 528
  { 0x3, 0x0, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG3EI8_V_MF8_MF2_TU }, // 529
  { 0x3, 0x0, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG3EI8_V_MF4_MF2_TU }, // 530
  { 0x3, 0x0, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG3EI8_V_MF2_MF2_TU }, // 531
  { 0x3, 0x0, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG3EI16_V_M1_M1_TU }, // 532
  { 0x3, 0x0, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG3EI16_V_M2_M1_TU }, // 533
  { 0x3, 0x0, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG3EI16_V_MF4_M1_TU }, // 534
  { 0x3, 0x0, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG3EI16_V_MF2_M1_TU }, // 535
  { 0x3, 0x0, 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVLUXSEG3EI16_V_M1_M2_TU }, // 536
  { 0x3, 0x0, 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVLUXSEG3EI16_V_M2_M2_TU }, // 537
  { 0x3, 0x0, 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVLUXSEG3EI16_V_M4_M2_TU }, // 538
  { 0x3, 0x0, 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVLUXSEG3EI16_V_MF2_M2_TU }, // 539
  { 0x3, 0x0, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG3EI16_V_MF4_MF8_TU }, // 540
  { 0x3, 0x0, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG3EI16_V_MF4_MF4_TU }, // 541
  { 0x3, 0x0, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG3EI16_V_MF2_MF4_TU }, // 542
  { 0x3, 0x0, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG3EI16_V_M1_MF2_TU }, // 543
  { 0x3, 0x0, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG3EI16_V_MF4_MF2_TU }, // 544
  { 0x3, 0x0, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG3EI16_V_MF2_MF2_TU }, // 545
  { 0x3, 0x0, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG3EI32_V_M1_M1_TU }, // 546
  { 0x3, 0x0, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG3EI32_V_M2_M1_TU }, // 547
  { 0x3, 0x0, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG3EI32_V_M4_M1_TU }, // 548
  { 0x3, 0x0, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG3EI32_V_MF2_M1_TU }, // 549
  { 0x3, 0x0, 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVLUXSEG3EI32_V_M1_M2_TU }, // 550
  { 0x3, 0x0, 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVLUXSEG3EI32_V_M2_M2_TU }, // 551
  { 0x3, 0x0, 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVLUXSEG3EI32_V_M4_M2_TU }, // 552
  { 0x3, 0x0, 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVLUXSEG3EI32_V_M8_M2_TU }, // 553
  { 0x3, 0x0, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG3EI32_V_MF2_MF8_TU }, // 554
  { 0x3, 0x0, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG3EI32_V_M1_MF4_TU }, // 555
  { 0x3, 0x0, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG3EI32_V_MF2_MF4_TU }, // 556
  { 0x3, 0x0, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG3EI32_V_M1_MF2_TU }, // 557
  { 0x3, 0x0, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG3EI32_V_M2_MF2_TU }, // 558
  { 0x3, 0x0, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG3EI32_V_MF2_MF2_TU }, // 559
  { 0x3, 0x0, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG3EI64_V_M1_M1_TU }, // 560
  { 0x3, 0x0, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG3EI64_V_M2_M1_TU }, // 561
  { 0x3, 0x0, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG3EI64_V_M4_M1_TU }, // 562
  { 0x3, 0x0, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG3EI64_V_M8_M1_TU }, // 563
  { 0x3, 0x0, 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVLUXSEG3EI64_V_M2_M2_TU }, // 564
  { 0x3, 0x0, 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVLUXSEG3EI64_V_M4_M2_TU }, // 565
  { 0x3, 0x0, 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVLUXSEG3EI64_V_M8_M2_TU }, // 566
  { 0x3, 0x0, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG3EI64_V_M1_MF8_TU }, // 567
  { 0x3, 0x0, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG3EI64_V_M1_MF4_TU }, // 568
  { 0x3, 0x0, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG3EI64_V_M2_MF4_TU }, // 569
  { 0x3, 0x0, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG3EI64_V_M1_MF2_TU }, // 570
  { 0x3, 0x0, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG3EI64_V_M2_MF2_TU }, // 571
  { 0x3, 0x0, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG3EI64_V_M4_MF2_TU }, // 572
  { 0x3, 0x0, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG3EI8_V_M1_M1_TU }, // 573
  { 0x3, 0x0, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG3EI8_V_MF8_M1_TU }, // 574
  { 0x3, 0x0, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG3EI8_V_MF4_M1_TU }, // 575
  { 0x3, 0x0, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG3EI8_V_MF2_M1_TU }, // 576
  { 0x3, 0x0, 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVLOXSEG3EI8_V_M1_M2_TU }, // 577
  { 0x3, 0x0, 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVLOXSEG3EI8_V_M2_M2_TU }, // 578
  { 0x3, 0x0, 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVLOXSEG3EI8_V_MF4_M2_TU }, // 579
  { 0x3, 0x0, 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVLOXSEG3EI8_V_MF2_M2_TU }, // 580
  { 0x3, 0x0, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG3EI8_V_MF8_MF8_TU }, // 581
  { 0x3, 0x0, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG3EI8_V_MF8_MF4_TU }, // 582
  { 0x3, 0x0, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG3EI8_V_MF4_MF4_TU }, // 583
  { 0x3, 0x0, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG3EI8_V_MF8_MF2_TU }, // 584
  { 0x3, 0x0, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG3EI8_V_MF4_MF2_TU }, // 585
  { 0x3, 0x0, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG3EI8_V_MF2_MF2_TU }, // 586
  { 0x3, 0x0, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG3EI16_V_M1_M1_TU }, // 587
  { 0x3, 0x0, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG3EI16_V_M2_M1_TU }, // 588
  { 0x3, 0x0, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG3EI16_V_MF4_M1_TU }, // 589
  { 0x3, 0x0, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG3EI16_V_MF2_M1_TU }, // 590
  { 0x3, 0x0, 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVLOXSEG3EI16_V_M1_M2_TU }, // 591
  { 0x3, 0x0, 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVLOXSEG3EI16_V_M2_M2_TU }, // 592
  { 0x3, 0x0, 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVLOXSEG3EI16_V_M4_M2_TU }, // 593
  { 0x3, 0x0, 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVLOXSEG3EI16_V_MF2_M2_TU }, // 594
  { 0x3, 0x0, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG3EI16_V_MF4_MF8_TU }, // 595
  { 0x3, 0x0, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG3EI16_V_MF4_MF4_TU }, // 596
  { 0x3, 0x0, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG3EI16_V_MF2_MF4_TU }, // 597
  { 0x3, 0x0, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG3EI16_V_M1_MF2_TU }, // 598
  { 0x3, 0x0, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG3EI16_V_MF4_MF2_TU }, // 599
  { 0x3, 0x0, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG3EI16_V_MF2_MF2_TU }, // 600
  { 0x3, 0x0, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG3EI32_V_M1_M1_TU }, // 601
  { 0x3, 0x0, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG3EI32_V_M2_M1_TU }, // 602
  { 0x3, 0x0, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG3EI32_V_M4_M1_TU }, // 603
  { 0x3, 0x0, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG3EI32_V_MF2_M1_TU }, // 604
  { 0x3, 0x0, 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVLOXSEG3EI32_V_M1_M2_TU }, // 605
  { 0x3, 0x0, 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVLOXSEG3EI32_V_M2_M2_TU }, // 606
  { 0x3, 0x0, 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVLOXSEG3EI32_V_M4_M2_TU }, // 607
  { 0x3, 0x0, 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVLOXSEG3EI32_V_M8_M2_TU }, // 608
  { 0x3, 0x0, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG3EI32_V_MF2_MF8_TU }, // 609
  { 0x3, 0x0, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG3EI32_V_M1_MF4_TU }, // 610
  { 0x3, 0x0, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG3EI32_V_MF2_MF4_TU }, // 611
  { 0x3, 0x0, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG3EI32_V_M1_MF2_TU }, // 612
  { 0x3, 0x0, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG3EI32_V_M2_MF2_TU }, // 613
  { 0x3, 0x0, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG3EI32_V_MF2_MF2_TU }, // 614
  { 0x3, 0x0, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG3EI64_V_M1_M1_TU }, // 615
  { 0x3, 0x0, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG3EI64_V_M2_M1_TU }, // 616
  { 0x3, 0x0, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG3EI64_V_M4_M1_TU }, // 617
  { 0x3, 0x0, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG3EI64_V_M8_M1_TU }, // 618
  { 0x3, 0x0, 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVLOXSEG3EI64_V_M2_M2_TU }, // 619
  { 0x3, 0x0, 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVLOXSEG3EI64_V_M4_M2_TU }, // 620
  { 0x3, 0x0, 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVLOXSEG3EI64_V_M8_M2_TU }, // 621
  { 0x3, 0x0, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG3EI64_V_M1_MF8_TU }, // 622
  { 0x3, 0x0, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG3EI64_V_M1_MF4_TU }, // 623
  { 0x3, 0x0, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG3EI64_V_M2_MF4_TU }, // 624
  { 0x3, 0x0, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG3EI64_V_M1_MF2_TU }, // 625
  { 0x3, 0x0, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG3EI64_V_M2_MF2_TU }, // 626
  { 0x3, 0x0, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG3EI64_V_M4_MF2_TU }, // 627
  { 0x3, 0x1, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG3EI8_V_M1_M1_MASK }, // 628
  { 0x3, 0x1, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG3EI8_V_MF8_M1_MASK }, // 629
  { 0x3, 0x1, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG3EI8_V_MF4_M1_MASK }, // 630
  { 0x3, 0x1, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG3EI8_V_MF2_M1_MASK }, // 631
  { 0x3, 0x1, 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVLUXSEG3EI8_V_M1_M2_MASK }, // 632
  { 0x3, 0x1, 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVLUXSEG3EI8_V_M2_M2_MASK }, // 633
  { 0x3, 0x1, 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVLUXSEG3EI8_V_MF4_M2_MASK }, // 634
  { 0x3, 0x1, 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVLUXSEG3EI8_V_MF2_M2_MASK }, // 635
  { 0x3, 0x1, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG3EI8_V_MF8_MF8_MASK }, // 636
  { 0x3, 0x1, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG3EI8_V_MF8_MF4_MASK }, // 637
  { 0x3, 0x1, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG3EI8_V_MF4_MF4_MASK }, // 638
  { 0x3, 0x1, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG3EI8_V_MF8_MF2_MASK }, // 639
  { 0x3, 0x1, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG3EI8_V_MF4_MF2_MASK }, // 640
  { 0x3, 0x1, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG3EI8_V_MF2_MF2_MASK }, // 641
  { 0x3, 0x1, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG3EI16_V_M1_M1_MASK }, // 642
  { 0x3, 0x1, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG3EI16_V_M2_M1_MASK }, // 643
  { 0x3, 0x1, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG3EI16_V_MF4_M1_MASK }, // 644
  { 0x3, 0x1, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG3EI16_V_MF2_M1_MASK }, // 645
  { 0x3, 0x1, 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVLUXSEG3EI16_V_M1_M2_MASK }, // 646
  { 0x3, 0x1, 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVLUXSEG3EI16_V_M2_M2_MASK }, // 647
  { 0x3, 0x1, 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVLUXSEG3EI16_V_M4_M2_MASK }, // 648
  { 0x3, 0x1, 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVLUXSEG3EI16_V_MF2_M2_MASK }, // 649
  { 0x3, 0x1, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG3EI16_V_MF4_MF8_MASK }, // 650
  { 0x3, 0x1, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG3EI16_V_MF4_MF4_MASK }, // 651
  { 0x3, 0x1, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG3EI16_V_MF2_MF4_MASK }, // 652
  { 0x3, 0x1, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG3EI16_V_M1_MF2_MASK }, // 653
  { 0x3, 0x1, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG3EI16_V_MF4_MF2_MASK }, // 654
  { 0x3, 0x1, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG3EI16_V_MF2_MF2_MASK }, // 655
  { 0x3, 0x1, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG3EI32_V_M1_M1_MASK }, // 656
  { 0x3, 0x1, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG3EI32_V_M2_M1_MASK }, // 657
  { 0x3, 0x1, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG3EI32_V_M4_M1_MASK }, // 658
  { 0x3, 0x1, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG3EI32_V_MF2_M1_MASK }, // 659
  { 0x3, 0x1, 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVLUXSEG3EI32_V_M1_M2_MASK }, // 660
  { 0x3, 0x1, 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVLUXSEG3EI32_V_M2_M2_MASK }, // 661
  { 0x3, 0x1, 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVLUXSEG3EI32_V_M4_M2_MASK }, // 662
  { 0x3, 0x1, 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVLUXSEG3EI32_V_M8_M2_MASK }, // 663
  { 0x3, 0x1, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG3EI32_V_MF2_MF8_MASK }, // 664
  { 0x3, 0x1, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG3EI32_V_M1_MF4_MASK }, // 665
  { 0x3, 0x1, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG3EI32_V_MF2_MF4_MASK }, // 666
  { 0x3, 0x1, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG3EI32_V_M1_MF2_MASK }, // 667
  { 0x3, 0x1, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG3EI32_V_M2_MF2_MASK }, // 668
  { 0x3, 0x1, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG3EI32_V_MF2_MF2_MASK }, // 669
  { 0x3, 0x1, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG3EI64_V_M1_M1_MASK }, // 670
  { 0x3, 0x1, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG3EI64_V_M2_M1_MASK }, // 671
  { 0x3, 0x1, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG3EI64_V_M4_M1_MASK }, // 672
  { 0x3, 0x1, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG3EI64_V_M8_M1_MASK }, // 673
  { 0x3, 0x1, 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVLUXSEG3EI64_V_M2_M2_MASK }, // 674
  { 0x3, 0x1, 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVLUXSEG3EI64_V_M4_M2_MASK }, // 675
  { 0x3, 0x1, 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVLUXSEG3EI64_V_M8_M2_MASK }, // 676
  { 0x3, 0x1, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG3EI64_V_M1_MF8_MASK }, // 677
  { 0x3, 0x1, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG3EI64_V_M1_MF4_MASK }, // 678
  { 0x3, 0x1, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG3EI64_V_M2_MF4_MASK }, // 679
  { 0x3, 0x1, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG3EI64_V_M1_MF2_MASK }, // 680
  { 0x3, 0x1, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG3EI64_V_M2_MF2_MASK }, // 681
  { 0x3, 0x1, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG3EI64_V_M4_MF2_MASK }, // 682
  { 0x3, 0x1, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG3EI8_V_M1_M1_MASK }, // 683
  { 0x3, 0x1, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG3EI8_V_MF8_M1_MASK }, // 684
  { 0x3, 0x1, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG3EI8_V_MF4_M1_MASK }, // 685
  { 0x3, 0x1, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG3EI8_V_MF2_M1_MASK }, // 686
  { 0x3, 0x1, 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVLOXSEG3EI8_V_M1_M2_MASK }, // 687
  { 0x3, 0x1, 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVLOXSEG3EI8_V_M2_M2_MASK }, // 688
  { 0x3, 0x1, 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVLOXSEG3EI8_V_MF4_M2_MASK }, // 689
  { 0x3, 0x1, 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVLOXSEG3EI8_V_MF2_M2_MASK }, // 690
  { 0x3, 0x1, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG3EI8_V_MF8_MF8_MASK }, // 691
  { 0x3, 0x1, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG3EI8_V_MF8_MF4_MASK }, // 692
  { 0x3, 0x1, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG3EI8_V_MF4_MF4_MASK }, // 693
  { 0x3, 0x1, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG3EI8_V_MF8_MF2_MASK }, // 694
  { 0x3, 0x1, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG3EI8_V_MF4_MF2_MASK }, // 695
  { 0x3, 0x1, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG3EI8_V_MF2_MF2_MASK }, // 696
  { 0x3, 0x1, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG3EI16_V_M1_M1_MASK }, // 697
  { 0x3, 0x1, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG3EI16_V_M2_M1_MASK }, // 698
  { 0x3, 0x1, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG3EI16_V_MF4_M1_MASK }, // 699
  { 0x3, 0x1, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG3EI16_V_MF2_M1_MASK }, // 700
  { 0x3, 0x1, 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVLOXSEG3EI16_V_M1_M2_MASK }, // 701
  { 0x3, 0x1, 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVLOXSEG3EI16_V_M2_M2_MASK }, // 702
  { 0x3, 0x1, 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVLOXSEG3EI16_V_M4_M2_MASK }, // 703
  { 0x3, 0x1, 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVLOXSEG3EI16_V_MF2_M2_MASK }, // 704
  { 0x3, 0x1, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG3EI16_V_MF4_MF8_MASK }, // 705
  { 0x3, 0x1, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG3EI16_V_MF4_MF4_MASK }, // 706
  { 0x3, 0x1, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG3EI16_V_MF2_MF4_MASK }, // 707
  { 0x3, 0x1, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG3EI16_V_M1_MF2_MASK }, // 708
  { 0x3, 0x1, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG3EI16_V_MF4_MF2_MASK }, // 709
  { 0x3, 0x1, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG3EI16_V_MF2_MF2_MASK }, // 710
  { 0x3, 0x1, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG3EI32_V_M1_M1_MASK }, // 711
  { 0x3, 0x1, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG3EI32_V_M2_M1_MASK }, // 712
  { 0x3, 0x1, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG3EI32_V_M4_M1_MASK }, // 713
  { 0x3, 0x1, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG3EI32_V_MF2_M1_MASK }, // 714
  { 0x3, 0x1, 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVLOXSEG3EI32_V_M1_M2_MASK }, // 715
  { 0x3, 0x1, 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVLOXSEG3EI32_V_M2_M2_MASK }, // 716
  { 0x3, 0x1, 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVLOXSEG3EI32_V_M4_M2_MASK }, // 717
  { 0x3, 0x1, 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVLOXSEG3EI32_V_M8_M2_MASK }, // 718
  { 0x3, 0x1, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG3EI32_V_MF2_MF8_MASK }, // 719
  { 0x3, 0x1, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG3EI32_V_M1_MF4_MASK }, // 720
  { 0x3, 0x1, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG3EI32_V_MF2_MF4_MASK }, // 721
  { 0x3, 0x1, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG3EI32_V_M1_MF2_MASK }, // 722
  { 0x3, 0x1, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG3EI32_V_M2_MF2_MASK }, // 723
  { 0x3, 0x1, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG3EI32_V_MF2_MF2_MASK }, // 724
  { 0x3, 0x1, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG3EI64_V_M1_M1_MASK }, // 725
  { 0x3, 0x1, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG3EI64_V_M2_M1_MASK }, // 726
  { 0x3, 0x1, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG3EI64_V_M4_M1_MASK }, // 727
  { 0x3, 0x1, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG3EI64_V_M8_M1_MASK }, // 728
  { 0x3, 0x1, 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVLOXSEG3EI64_V_M2_M2_MASK }, // 729
  { 0x3, 0x1, 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVLOXSEG3EI64_V_M4_M2_MASK }, // 730
  { 0x3, 0x1, 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVLOXSEG3EI64_V_M8_M2_MASK }, // 731
  { 0x3, 0x1, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG3EI64_V_M1_MF8_MASK }, // 732
  { 0x3, 0x1, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG3EI64_V_M1_MF4_MASK }, // 733
  { 0x3, 0x1, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG3EI64_V_M2_MF4_MASK }, // 734
  { 0x3, 0x1, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG3EI64_V_M1_MF2_MASK }, // 735
  { 0x3, 0x1, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG3EI64_V_M2_MF2_MASK }, // 736
  { 0x3, 0x1, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG3EI64_V_M4_MF2_MASK }, // 737
  { 0x4, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG4EI8_V_M1_M1 }, // 738
  { 0x4, 0x0, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG4EI8_V_MF8_M1 }, // 739
  { 0x4, 0x0, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG4EI8_V_MF4_M1 }, // 740
  { 0x4, 0x0, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG4EI8_V_MF2_M1 }, // 741
  { 0x4, 0x0, 0x0, 0x0, 0x3, 0x1, 0x0, PseudoVLUXSEG4EI8_V_M1_M2 }, // 742
  { 0x4, 0x0, 0x0, 0x0, 0x3, 0x1, 0x1, PseudoVLUXSEG4EI8_V_M2_M2 }, // 743
  { 0x4, 0x0, 0x0, 0x0, 0x3, 0x1, 0x6, PseudoVLUXSEG4EI8_V_MF4_M2 }, // 744
  { 0x4, 0x0, 0x0, 0x0, 0x3, 0x1, 0x7, PseudoVLUXSEG4EI8_V_MF2_M2 }, // 745
  { 0x4, 0x0, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG4EI8_V_MF8_MF8 }, // 746
  { 0x4, 0x0, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG4EI8_V_MF8_MF4 }, // 747
  { 0x4, 0x0, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG4EI8_V_MF4_MF4 }, // 748
  { 0x4, 0x0, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG4EI8_V_MF8_MF2 }, // 749
  { 0x4, 0x0, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG4EI8_V_MF4_MF2 }, // 750
  { 0x4, 0x0, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG4EI8_V_MF2_MF2 }, // 751
  { 0x4, 0x0, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG4EI16_V_M1_M1 }, // 752
  { 0x4, 0x0, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG4EI16_V_M2_M1 }, // 753
  { 0x4, 0x0, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG4EI16_V_MF4_M1 }, // 754
  { 0x4, 0x0, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG4EI16_V_MF2_M1 }, // 755
  { 0x4, 0x0, 0x0, 0x0, 0x4, 0x1, 0x0, PseudoVLUXSEG4EI16_V_M1_M2 }, // 756
  { 0x4, 0x0, 0x0, 0x0, 0x4, 0x1, 0x1, PseudoVLUXSEG4EI16_V_M2_M2 }, // 757
  { 0x4, 0x0, 0x0, 0x0, 0x4, 0x1, 0x2, PseudoVLUXSEG4EI16_V_M4_M2 }, // 758
  { 0x4, 0x0, 0x0, 0x0, 0x4, 0x1, 0x7, PseudoVLUXSEG4EI16_V_MF2_M2 }, // 759
  { 0x4, 0x0, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG4EI16_V_MF4_MF8 }, // 760
  { 0x4, 0x0, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG4EI16_V_MF4_MF4 }, // 761
  { 0x4, 0x0, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG4EI16_V_MF2_MF4 }, // 762
  { 0x4, 0x0, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG4EI16_V_M1_MF2 }, // 763
  { 0x4, 0x0, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG4EI16_V_MF4_MF2 }, // 764
  { 0x4, 0x0, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG4EI16_V_MF2_MF2 }, // 765
  { 0x4, 0x0, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG4EI32_V_M1_M1 }, // 766
  { 0x4, 0x0, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG4EI32_V_M2_M1 }, // 767
  { 0x4, 0x0, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG4EI32_V_M4_M1 }, // 768
  { 0x4, 0x0, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG4EI32_V_MF2_M1 }, // 769
  { 0x4, 0x0, 0x0, 0x0, 0x5, 0x1, 0x0, PseudoVLUXSEG4EI32_V_M1_M2 }, // 770
  { 0x4, 0x0, 0x0, 0x0, 0x5, 0x1, 0x1, PseudoVLUXSEG4EI32_V_M2_M2 }, // 771
  { 0x4, 0x0, 0x0, 0x0, 0x5, 0x1, 0x2, PseudoVLUXSEG4EI32_V_M4_M2 }, // 772
  { 0x4, 0x0, 0x0, 0x0, 0x5, 0x1, 0x3, PseudoVLUXSEG4EI32_V_M8_M2 }, // 773
  { 0x4, 0x0, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG4EI32_V_MF2_MF8 }, // 774
  { 0x4, 0x0, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG4EI32_V_M1_MF4 }, // 775
  { 0x4, 0x0, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG4EI32_V_MF2_MF4 }, // 776
  { 0x4, 0x0, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG4EI32_V_M1_MF2 }, // 777
  { 0x4, 0x0, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG4EI32_V_M2_MF2 }, // 778
  { 0x4, 0x0, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG4EI32_V_MF2_MF2 }, // 779
  { 0x4, 0x0, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG4EI64_V_M1_M1 }, // 780
  { 0x4, 0x0, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG4EI64_V_M2_M1 }, // 781
  { 0x4, 0x0, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG4EI64_V_M4_M1 }, // 782
  { 0x4, 0x0, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG4EI64_V_M8_M1 }, // 783
  { 0x4, 0x0, 0x0, 0x0, 0x6, 0x1, 0x1, PseudoVLUXSEG4EI64_V_M2_M2 }, // 784
  { 0x4, 0x0, 0x0, 0x0, 0x6, 0x1, 0x2, PseudoVLUXSEG4EI64_V_M4_M2 }, // 785
  { 0x4, 0x0, 0x0, 0x0, 0x6, 0x1, 0x3, PseudoVLUXSEG4EI64_V_M8_M2 }, // 786
  { 0x4, 0x0, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG4EI64_V_M1_MF8 }, // 787
  { 0x4, 0x0, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG4EI64_V_M1_MF4 }, // 788
  { 0x4, 0x0, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG4EI64_V_M2_MF4 }, // 789
  { 0x4, 0x0, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG4EI64_V_M1_MF2 }, // 790
  { 0x4, 0x0, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG4EI64_V_M2_MF2 }, // 791
  { 0x4, 0x0, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG4EI64_V_M4_MF2 }, // 792
  { 0x4, 0x0, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG4EI8_V_M1_M1 }, // 793
  { 0x4, 0x0, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG4EI8_V_MF8_M1 }, // 794
  { 0x4, 0x0, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG4EI8_V_MF4_M1 }, // 795
  { 0x4, 0x0, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG4EI8_V_MF2_M1 }, // 796
  { 0x4, 0x0, 0x0, 0x1, 0x3, 0x1, 0x0, PseudoVLOXSEG4EI8_V_M1_M2 }, // 797
  { 0x4, 0x0, 0x0, 0x1, 0x3, 0x1, 0x1, PseudoVLOXSEG4EI8_V_M2_M2 }, // 798
  { 0x4, 0x0, 0x0, 0x1, 0x3, 0x1, 0x6, PseudoVLOXSEG4EI8_V_MF4_M2 }, // 799
  { 0x4, 0x0, 0x0, 0x1, 0x3, 0x1, 0x7, PseudoVLOXSEG4EI8_V_MF2_M2 }, // 800
  { 0x4, 0x0, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG4EI8_V_MF8_MF8 }, // 801
  { 0x4, 0x0, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG4EI8_V_MF8_MF4 }, // 802
  { 0x4, 0x0, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG4EI8_V_MF4_MF4 }, // 803
  { 0x4, 0x0, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG4EI8_V_MF8_MF2 }, // 804
  { 0x4, 0x0, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG4EI8_V_MF4_MF2 }, // 805
  { 0x4, 0x0, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG4EI8_V_MF2_MF2 }, // 806
  { 0x4, 0x0, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG4EI16_V_M1_M1 }, // 807
  { 0x4, 0x0, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG4EI16_V_M2_M1 }, // 808
  { 0x4, 0x0, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG4EI16_V_MF4_M1 }, // 809
  { 0x4, 0x0, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG4EI16_V_MF2_M1 }, // 810
  { 0x4, 0x0, 0x0, 0x1, 0x4, 0x1, 0x0, PseudoVLOXSEG4EI16_V_M1_M2 }, // 811
  { 0x4, 0x0, 0x0, 0x1, 0x4, 0x1, 0x1, PseudoVLOXSEG4EI16_V_M2_M2 }, // 812
  { 0x4, 0x0, 0x0, 0x1, 0x4, 0x1, 0x2, PseudoVLOXSEG4EI16_V_M4_M2 }, // 813
  { 0x4, 0x0, 0x0, 0x1, 0x4, 0x1, 0x7, PseudoVLOXSEG4EI16_V_MF2_M2 }, // 814
  { 0x4, 0x0, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG4EI16_V_MF4_MF8 }, // 815
  { 0x4, 0x0, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG4EI16_V_MF4_MF4 }, // 816
  { 0x4, 0x0, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG4EI16_V_MF2_MF4 }, // 817
  { 0x4, 0x0, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG4EI16_V_M1_MF2 }, // 818
  { 0x4, 0x0, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG4EI16_V_MF4_MF2 }, // 819
  { 0x4, 0x0, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG4EI16_V_MF2_MF2 }, // 820
  { 0x4, 0x0, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG4EI32_V_M1_M1 }, // 821
  { 0x4, 0x0, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG4EI32_V_M2_M1 }, // 822
  { 0x4, 0x0, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG4EI32_V_M4_M1 }, // 823
  { 0x4, 0x0, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG4EI32_V_MF2_M1 }, // 824
  { 0x4, 0x0, 0x0, 0x1, 0x5, 0x1, 0x0, PseudoVLOXSEG4EI32_V_M1_M2 }, // 825
  { 0x4, 0x0, 0x0, 0x1, 0x5, 0x1, 0x1, PseudoVLOXSEG4EI32_V_M2_M2 }, // 826
  { 0x4, 0x0, 0x0, 0x1, 0x5, 0x1, 0x2, PseudoVLOXSEG4EI32_V_M4_M2 }, // 827
  { 0x4, 0x0, 0x0, 0x1, 0x5, 0x1, 0x3, PseudoVLOXSEG4EI32_V_M8_M2 }, // 828
  { 0x4, 0x0, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG4EI32_V_MF2_MF8 }, // 829
  { 0x4, 0x0, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG4EI32_V_M1_MF4 }, // 830
  { 0x4, 0x0, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG4EI32_V_MF2_MF4 }, // 831
  { 0x4, 0x0, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG4EI32_V_M1_MF2 }, // 832
  { 0x4, 0x0, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG4EI32_V_M2_MF2 }, // 833
  { 0x4, 0x0, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG4EI32_V_MF2_MF2 }, // 834
  { 0x4, 0x0, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG4EI64_V_M1_M1 }, // 835
  { 0x4, 0x0, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG4EI64_V_M2_M1 }, // 836
  { 0x4, 0x0, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG4EI64_V_M4_M1 }, // 837
  { 0x4, 0x0, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG4EI64_V_M8_M1 }, // 838
  { 0x4, 0x0, 0x0, 0x1, 0x6, 0x1, 0x1, PseudoVLOXSEG4EI64_V_M2_M2 }, // 839
  { 0x4, 0x0, 0x0, 0x1, 0x6, 0x1, 0x2, PseudoVLOXSEG4EI64_V_M4_M2 }, // 840
  { 0x4, 0x0, 0x0, 0x1, 0x6, 0x1, 0x3, PseudoVLOXSEG4EI64_V_M8_M2 }, // 841
  { 0x4, 0x0, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG4EI64_V_M1_MF8 }, // 842
  { 0x4, 0x0, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG4EI64_V_M1_MF4 }, // 843
  { 0x4, 0x0, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG4EI64_V_M2_MF4 }, // 844
  { 0x4, 0x0, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG4EI64_V_M1_MF2 }, // 845
  { 0x4, 0x0, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG4EI64_V_M2_MF2 }, // 846
  { 0x4, 0x0, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG4EI64_V_M4_MF2 }, // 847
  { 0x4, 0x0, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG4EI8_V_M1_M1_TU }, // 848
  { 0x4, 0x0, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG4EI8_V_MF8_M1_TU }, // 849
  { 0x4, 0x0, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG4EI8_V_MF4_M1_TU }, // 850
  { 0x4, 0x0, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG4EI8_V_MF2_M1_TU }, // 851
  { 0x4, 0x0, 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVLUXSEG4EI8_V_M1_M2_TU }, // 852
  { 0x4, 0x0, 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVLUXSEG4EI8_V_M2_M2_TU }, // 853
  { 0x4, 0x0, 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVLUXSEG4EI8_V_MF4_M2_TU }, // 854
  { 0x4, 0x0, 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVLUXSEG4EI8_V_MF2_M2_TU }, // 855
  { 0x4, 0x0, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG4EI8_V_MF8_MF8_TU }, // 856
  { 0x4, 0x0, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG4EI8_V_MF8_MF4_TU }, // 857
  { 0x4, 0x0, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG4EI8_V_MF4_MF4_TU }, // 858
  { 0x4, 0x0, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG4EI8_V_MF8_MF2_TU }, // 859
  { 0x4, 0x0, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG4EI8_V_MF4_MF2_TU }, // 860
  { 0x4, 0x0, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG4EI8_V_MF2_MF2_TU }, // 861
  { 0x4, 0x0, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG4EI16_V_M1_M1_TU }, // 862
  { 0x4, 0x0, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG4EI16_V_M2_M1_TU }, // 863
  { 0x4, 0x0, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG4EI16_V_MF4_M1_TU }, // 864
  { 0x4, 0x0, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG4EI16_V_MF2_M1_TU }, // 865
  { 0x4, 0x0, 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVLUXSEG4EI16_V_M1_M2_TU }, // 866
  { 0x4, 0x0, 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVLUXSEG4EI16_V_M2_M2_TU }, // 867
  { 0x4, 0x0, 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVLUXSEG4EI16_V_M4_M2_TU }, // 868
  { 0x4, 0x0, 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVLUXSEG4EI16_V_MF2_M2_TU }, // 869
  { 0x4, 0x0, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG4EI16_V_MF4_MF8_TU }, // 870
  { 0x4, 0x0, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG4EI16_V_MF4_MF4_TU }, // 871
  { 0x4, 0x0, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG4EI16_V_MF2_MF4_TU }, // 872
  { 0x4, 0x0, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG4EI16_V_M1_MF2_TU }, // 873
  { 0x4, 0x0, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG4EI16_V_MF4_MF2_TU }, // 874
  { 0x4, 0x0, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG4EI16_V_MF2_MF2_TU }, // 875
  { 0x4, 0x0, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG4EI32_V_M1_M1_TU }, // 876
  { 0x4, 0x0, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG4EI32_V_M2_M1_TU }, // 877
  { 0x4, 0x0, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG4EI32_V_M4_M1_TU }, // 878
  { 0x4, 0x0, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG4EI32_V_MF2_M1_TU }, // 879
  { 0x4, 0x0, 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVLUXSEG4EI32_V_M1_M2_TU }, // 880
  { 0x4, 0x0, 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVLUXSEG4EI32_V_M2_M2_TU }, // 881
  { 0x4, 0x0, 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVLUXSEG4EI32_V_M4_M2_TU }, // 882
  { 0x4, 0x0, 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVLUXSEG4EI32_V_M8_M2_TU }, // 883
  { 0x4, 0x0, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG4EI32_V_MF2_MF8_TU }, // 884
  { 0x4, 0x0, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG4EI32_V_M1_MF4_TU }, // 885
  { 0x4, 0x0, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG4EI32_V_MF2_MF4_TU }, // 886
  { 0x4, 0x0, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG4EI32_V_M1_MF2_TU }, // 887
  { 0x4, 0x0, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG4EI32_V_M2_MF2_TU }, // 888
  { 0x4, 0x0, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG4EI32_V_MF2_MF2_TU }, // 889
  { 0x4, 0x0, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG4EI64_V_M1_M1_TU }, // 890
  { 0x4, 0x0, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG4EI64_V_M2_M1_TU }, // 891
  { 0x4, 0x0, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG4EI64_V_M4_M1_TU }, // 892
  { 0x4, 0x0, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG4EI64_V_M8_M1_TU }, // 893
  { 0x4, 0x0, 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVLUXSEG4EI64_V_M2_M2_TU }, // 894
  { 0x4, 0x0, 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVLUXSEG4EI64_V_M4_M2_TU }, // 895
  { 0x4, 0x0, 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVLUXSEG4EI64_V_M8_M2_TU }, // 896
  { 0x4, 0x0, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG4EI64_V_M1_MF8_TU }, // 897
  { 0x4, 0x0, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG4EI64_V_M1_MF4_TU }, // 898
  { 0x4, 0x0, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG4EI64_V_M2_MF4_TU }, // 899
  { 0x4, 0x0, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG4EI64_V_M1_MF2_TU }, // 900
  { 0x4, 0x0, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG4EI64_V_M2_MF2_TU }, // 901
  { 0x4, 0x0, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG4EI64_V_M4_MF2_TU }, // 902
  { 0x4, 0x0, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG4EI8_V_M1_M1_TU }, // 903
  { 0x4, 0x0, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG4EI8_V_MF8_M1_TU }, // 904
  { 0x4, 0x0, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG4EI8_V_MF4_M1_TU }, // 905
  { 0x4, 0x0, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG4EI8_V_MF2_M1_TU }, // 906
  { 0x4, 0x0, 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVLOXSEG4EI8_V_M1_M2_TU }, // 907
  { 0x4, 0x0, 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVLOXSEG4EI8_V_M2_M2_TU }, // 908
  { 0x4, 0x0, 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVLOXSEG4EI8_V_MF4_M2_TU }, // 909
  { 0x4, 0x0, 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVLOXSEG4EI8_V_MF2_M2_TU }, // 910
  { 0x4, 0x0, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG4EI8_V_MF8_MF8_TU }, // 911
  { 0x4, 0x0, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG4EI8_V_MF8_MF4_TU }, // 912
  { 0x4, 0x0, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG4EI8_V_MF4_MF4_TU }, // 913
  { 0x4, 0x0, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG4EI8_V_MF8_MF2_TU }, // 914
  { 0x4, 0x0, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG4EI8_V_MF4_MF2_TU }, // 915
  { 0x4, 0x0, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG4EI8_V_MF2_MF2_TU }, // 916
  { 0x4, 0x0, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG4EI16_V_M1_M1_TU }, // 917
  { 0x4, 0x0, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG4EI16_V_M2_M1_TU }, // 918
  { 0x4, 0x0, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG4EI16_V_MF4_M1_TU }, // 919
  { 0x4, 0x0, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG4EI16_V_MF2_M1_TU }, // 920
  { 0x4, 0x0, 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVLOXSEG4EI16_V_M1_M2_TU }, // 921
  { 0x4, 0x0, 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVLOXSEG4EI16_V_M2_M2_TU }, // 922
  { 0x4, 0x0, 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVLOXSEG4EI16_V_M4_M2_TU }, // 923
  { 0x4, 0x0, 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVLOXSEG4EI16_V_MF2_M2_TU }, // 924
  { 0x4, 0x0, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG4EI16_V_MF4_MF8_TU }, // 925
  { 0x4, 0x0, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG4EI16_V_MF4_MF4_TU }, // 926
  { 0x4, 0x0, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG4EI16_V_MF2_MF4_TU }, // 927
  { 0x4, 0x0, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG4EI16_V_M1_MF2_TU }, // 928
  { 0x4, 0x0, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG4EI16_V_MF4_MF2_TU }, // 929
  { 0x4, 0x0, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG4EI16_V_MF2_MF2_TU }, // 930
  { 0x4, 0x0, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG4EI32_V_M1_M1_TU }, // 931
  { 0x4, 0x0, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG4EI32_V_M2_M1_TU }, // 932
  { 0x4, 0x0, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG4EI32_V_M4_M1_TU }, // 933
  { 0x4, 0x0, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG4EI32_V_MF2_M1_TU }, // 934
  { 0x4, 0x0, 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVLOXSEG4EI32_V_M1_M2_TU }, // 935
  { 0x4, 0x0, 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVLOXSEG4EI32_V_M2_M2_TU }, // 936
  { 0x4, 0x0, 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVLOXSEG4EI32_V_M4_M2_TU }, // 937
  { 0x4, 0x0, 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVLOXSEG4EI32_V_M8_M2_TU }, // 938
  { 0x4, 0x0, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG4EI32_V_MF2_MF8_TU }, // 939
  { 0x4, 0x0, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG4EI32_V_M1_MF4_TU }, // 940
  { 0x4, 0x0, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG4EI32_V_MF2_MF4_TU }, // 941
  { 0x4, 0x0, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG4EI32_V_M1_MF2_TU }, // 942
  { 0x4, 0x0, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG4EI32_V_M2_MF2_TU }, // 943
  { 0x4, 0x0, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG4EI32_V_MF2_MF2_TU }, // 944
  { 0x4, 0x0, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG4EI64_V_M1_M1_TU }, // 945
  { 0x4, 0x0, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG4EI64_V_M2_M1_TU }, // 946
  { 0x4, 0x0, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG4EI64_V_M4_M1_TU }, // 947
  { 0x4, 0x0, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG4EI64_V_M8_M1_TU }, // 948
  { 0x4, 0x0, 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVLOXSEG4EI64_V_M2_M2_TU }, // 949
  { 0x4, 0x0, 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVLOXSEG4EI64_V_M4_M2_TU }, // 950
  { 0x4, 0x0, 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVLOXSEG4EI64_V_M8_M2_TU }, // 951
  { 0x4, 0x0, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG4EI64_V_M1_MF8_TU }, // 952
  { 0x4, 0x0, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG4EI64_V_M1_MF4_TU }, // 953
  { 0x4, 0x0, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG4EI64_V_M2_MF4_TU }, // 954
  { 0x4, 0x0, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG4EI64_V_M1_MF2_TU }, // 955
  { 0x4, 0x0, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG4EI64_V_M2_MF2_TU }, // 956
  { 0x4, 0x0, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG4EI64_V_M4_MF2_TU }, // 957
  { 0x4, 0x1, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG4EI8_V_M1_M1_MASK }, // 958
  { 0x4, 0x1, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG4EI8_V_MF8_M1_MASK }, // 959
  { 0x4, 0x1, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG4EI8_V_MF4_M1_MASK }, // 960
  { 0x4, 0x1, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG4EI8_V_MF2_M1_MASK }, // 961
  { 0x4, 0x1, 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVLUXSEG4EI8_V_M1_M2_MASK }, // 962
  { 0x4, 0x1, 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVLUXSEG4EI8_V_M2_M2_MASK }, // 963
  { 0x4, 0x1, 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVLUXSEG4EI8_V_MF4_M2_MASK }, // 964
  { 0x4, 0x1, 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVLUXSEG4EI8_V_MF2_M2_MASK }, // 965
  { 0x4, 0x1, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG4EI8_V_MF8_MF8_MASK }, // 966
  { 0x4, 0x1, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG4EI8_V_MF8_MF4_MASK }, // 967
  { 0x4, 0x1, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG4EI8_V_MF4_MF4_MASK }, // 968
  { 0x4, 0x1, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG4EI8_V_MF8_MF2_MASK }, // 969
  { 0x4, 0x1, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG4EI8_V_MF4_MF2_MASK }, // 970
  { 0x4, 0x1, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG4EI8_V_MF2_MF2_MASK }, // 971
  { 0x4, 0x1, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG4EI16_V_M1_M1_MASK }, // 972
  { 0x4, 0x1, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG4EI16_V_M2_M1_MASK }, // 973
  { 0x4, 0x1, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG4EI16_V_MF4_M1_MASK }, // 974
  { 0x4, 0x1, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG4EI16_V_MF2_M1_MASK }, // 975
  { 0x4, 0x1, 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVLUXSEG4EI16_V_M1_M2_MASK }, // 976
  { 0x4, 0x1, 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVLUXSEG4EI16_V_M2_M2_MASK }, // 977
  { 0x4, 0x1, 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVLUXSEG4EI16_V_M4_M2_MASK }, // 978
  { 0x4, 0x1, 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVLUXSEG4EI16_V_MF2_M2_MASK }, // 979
  { 0x4, 0x1, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG4EI16_V_MF4_MF8_MASK }, // 980
  { 0x4, 0x1, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG4EI16_V_MF4_MF4_MASK }, // 981
  { 0x4, 0x1, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG4EI16_V_MF2_MF4_MASK }, // 982
  { 0x4, 0x1, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG4EI16_V_M1_MF2_MASK }, // 983
  { 0x4, 0x1, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG4EI16_V_MF4_MF2_MASK }, // 984
  { 0x4, 0x1, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG4EI16_V_MF2_MF2_MASK }, // 985
  { 0x4, 0x1, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG4EI32_V_M1_M1_MASK }, // 986
  { 0x4, 0x1, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG4EI32_V_M2_M1_MASK }, // 987
  { 0x4, 0x1, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG4EI32_V_M4_M1_MASK }, // 988
  { 0x4, 0x1, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG4EI32_V_MF2_M1_MASK }, // 989
  { 0x4, 0x1, 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVLUXSEG4EI32_V_M1_M2_MASK }, // 990
  { 0x4, 0x1, 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVLUXSEG4EI32_V_M2_M2_MASK }, // 991
  { 0x4, 0x1, 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVLUXSEG4EI32_V_M4_M2_MASK }, // 992
  { 0x4, 0x1, 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVLUXSEG4EI32_V_M8_M2_MASK }, // 993
  { 0x4, 0x1, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG4EI32_V_MF2_MF8_MASK }, // 994
  { 0x4, 0x1, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG4EI32_V_M1_MF4_MASK }, // 995
  { 0x4, 0x1, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG4EI32_V_MF2_MF4_MASK }, // 996
  { 0x4, 0x1, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG4EI32_V_M1_MF2_MASK }, // 997
  { 0x4, 0x1, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG4EI32_V_M2_MF2_MASK }, // 998
  { 0x4, 0x1, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG4EI32_V_MF2_MF2_MASK }, // 999
  { 0x4, 0x1, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG4EI64_V_M1_M1_MASK }, // 1000
  { 0x4, 0x1, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG4EI64_V_M2_M1_MASK }, // 1001
  { 0x4, 0x1, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG4EI64_V_M4_M1_MASK }, // 1002
  { 0x4, 0x1, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG4EI64_V_M8_M1_MASK }, // 1003
  { 0x4, 0x1, 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVLUXSEG4EI64_V_M2_M2_MASK }, // 1004
  { 0x4, 0x1, 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVLUXSEG4EI64_V_M4_M2_MASK }, // 1005
  { 0x4, 0x1, 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVLUXSEG4EI64_V_M8_M2_MASK }, // 1006
  { 0x4, 0x1, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG4EI64_V_M1_MF8_MASK }, // 1007
  { 0x4, 0x1, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG4EI64_V_M1_MF4_MASK }, // 1008
  { 0x4, 0x1, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG4EI64_V_M2_MF4_MASK }, // 1009
  { 0x4, 0x1, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG4EI64_V_M1_MF2_MASK }, // 1010
  { 0x4, 0x1, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG4EI64_V_M2_MF2_MASK }, // 1011
  { 0x4, 0x1, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG4EI64_V_M4_MF2_MASK }, // 1012
  { 0x4, 0x1, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG4EI8_V_M1_M1_MASK }, // 1013
  { 0x4, 0x1, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG4EI8_V_MF8_M1_MASK }, // 1014
  { 0x4, 0x1, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG4EI8_V_MF4_M1_MASK }, // 1015
  { 0x4, 0x1, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG4EI8_V_MF2_M1_MASK }, // 1016
  { 0x4, 0x1, 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVLOXSEG4EI8_V_M1_M2_MASK }, // 1017
  { 0x4, 0x1, 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVLOXSEG4EI8_V_M2_M2_MASK }, // 1018
  { 0x4, 0x1, 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVLOXSEG4EI8_V_MF4_M2_MASK }, // 1019
  { 0x4, 0x1, 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVLOXSEG4EI8_V_MF2_M2_MASK }, // 1020
  { 0x4, 0x1, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG4EI8_V_MF8_MF8_MASK }, // 1021
  { 0x4, 0x1, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG4EI8_V_MF8_MF4_MASK }, // 1022
  { 0x4, 0x1, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG4EI8_V_MF4_MF4_MASK }, // 1023
  { 0x4, 0x1, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG4EI8_V_MF8_MF2_MASK }, // 1024
  { 0x4, 0x1, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG4EI8_V_MF4_MF2_MASK }, // 1025
  { 0x4, 0x1, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG4EI8_V_MF2_MF2_MASK }, // 1026
  { 0x4, 0x1, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG4EI16_V_M1_M1_MASK }, // 1027
  { 0x4, 0x1, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG4EI16_V_M2_M1_MASK }, // 1028
  { 0x4, 0x1, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG4EI16_V_MF4_M1_MASK }, // 1029
  { 0x4, 0x1, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG4EI16_V_MF2_M1_MASK }, // 1030
  { 0x4, 0x1, 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVLOXSEG4EI16_V_M1_M2_MASK }, // 1031
  { 0x4, 0x1, 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVLOXSEG4EI16_V_M2_M2_MASK }, // 1032
  { 0x4, 0x1, 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVLOXSEG4EI16_V_M4_M2_MASK }, // 1033
  { 0x4, 0x1, 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVLOXSEG4EI16_V_MF2_M2_MASK }, // 1034
  { 0x4, 0x1, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG4EI16_V_MF4_MF8_MASK }, // 1035
  { 0x4, 0x1, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG4EI16_V_MF4_MF4_MASK }, // 1036
  { 0x4, 0x1, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG4EI16_V_MF2_MF4_MASK }, // 1037
  { 0x4, 0x1, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG4EI16_V_M1_MF2_MASK }, // 1038
  { 0x4, 0x1, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG4EI16_V_MF4_MF2_MASK }, // 1039
  { 0x4, 0x1, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG4EI16_V_MF2_MF2_MASK }, // 1040
  { 0x4, 0x1, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG4EI32_V_M1_M1_MASK }, // 1041
  { 0x4, 0x1, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG4EI32_V_M2_M1_MASK }, // 1042
  { 0x4, 0x1, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG4EI32_V_M4_M1_MASK }, // 1043
  { 0x4, 0x1, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG4EI32_V_MF2_M1_MASK }, // 1044
  { 0x4, 0x1, 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVLOXSEG4EI32_V_M1_M2_MASK }, // 1045
  { 0x4, 0x1, 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVLOXSEG4EI32_V_M2_M2_MASK }, // 1046
  { 0x4, 0x1, 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVLOXSEG4EI32_V_M4_M2_MASK }, // 1047
  { 0x4, 0x1, 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVLOXSEG4EI32_V_M8_M2_MASK }, // 1048
  { 0x4, 0x1, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG4EI32_V_MF2_MF8_MASK }, // 1049
  { 0x4, 0x1, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG4EI32_V_M1_MF4_MASK }, // 1050
  { 0x4, 0x1, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG4EI32_V_MF2_MF4_MASK }, // 1051
  { 0x4, 0x1, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG4EI32_V_M1_MF2_MASK }, // 1052
  { 0x4, 0x1, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG4EI32_V_M2_MF2_MASK }, // 1053
  { 0x4, 0x1, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG4EI32_V_MF2_MF2_MASK }, // 1054
  { 0x4, 0x1, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG4EI64_V_M1_M1_MASK }, // 1055
  { 0x4, 0x1, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG4EI64_V_M2_M1_MASK }, // 1056
  { 0x4, 0x1, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG4EI64_V_M4_M1_MASK }, // 1057
  { 0x4, 0x1, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG4EI64_V_M8_M1_MASK }, // 1058
  { 0x4, 0x1, 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVLOXSEG4EI64_V_M2_M2_MASK }, // 1059
  { 0x4, 0x1, 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVLOXSEG4EI64_V_M4_M2_MASK }, // 1060
  { 0x4, 0x1, 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVLOXSEG4EI64_V_M8_M2_MASK }, // 1061
  { 0x4, 0x1, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG4EI64_V_M1_MF8_MASK }, // 1062
  { 0x4, 0x1, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG4EI64_V_M1_MF4_MASK }, // 1063
  { 0x4, 0x1, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG4EI64_V_M2_MF4_MASK }, // 1064
  { 0x4, 0x1, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG4EI64_V_M1_MF2_MASK }, // 1065
  { 0x4, 0x1, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG4EI64_V_M2_MF2_MASK }, // 1066
  { 0x4, 0x1, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG4EI64_V_M4_MF2_MASK }, // 1067
  { 0x5, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG5EI8_V_M1_M1 }, // 1068
  { 0x5, 0x0, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG5EI8_V_MF8_M1 }, // 1069
  { 0x5, 0x0, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG5EI8_V_MF4_M1 }, // 1070
  { 0x5, 0x0, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG5EI8_V_MF2_M1 }, // 1071
  { 0x5, 0x0, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG5EI8_V_MF8_MF8 }, // 1072
  { 0x5, 0x0, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG5EI8_V_MF8_MF4 }, // 1073
  { 0x5, 0x0, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG5EI8_V_MF4_MF4 }, // 1074
  { 0x5, 0x0, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG5EI8_V_MF8_MF2 }, // 1075
  { 0x5, 0x0, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG5EI8_V_MF4_MF2 }, // 1076
  { 0x5, 0x0, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG5EI8_V_MF2_MF2 }, // 1077
  { 0x5, 0x0, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG5EI16_V_M1_M1 }, // 1078
  { 0x5, 0x0, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG5EI16_V_M2_M1 }, // 1079
  { 0x5, 0x0, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG5EI16_V_MF4_M1 }, // 1080
  { 0x5, 0x0, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG5EI16_V_MF2_M1 }, // 1081
  { 0x5, 0x0, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG5EI16_V_MF4_MF8 }, // 1082
  { 0x5, 0x0, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG5EI16_V_MF4_MF4 }, // 1083
  { 0x5, 0x0, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG5EI16_V_MF2_MF4 }, // 1084
  { 0x5, 0x0, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG5EI16_V_M1_MF2 }, // 1085
  { 0x5, 0x0, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG5EI16_V_MF4_MF2 }, // 1086
  { 0x5, 0x0, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG5EI16_V_MF2_MF2 }, // 1087
  { 0x5, 0x0, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG5EI32_V_M1_M1 }, // 1088
  { 0x5, 0x0, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG5EI32_V_M2_M1 }, // 1089
  { 0x5, 0x0, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG5EI32_V_M4_M1 }, // 1090
  { 0x5, 0x0, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG5EI32_V_MF2_M1 }, // 1091
  { 0x5, 0x0, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG5EI32_V_MF2_MF8 }, // 1092
  { 0x5, 0x0, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG5EI32_V_M1_MF4 }, // 1093
  { 0x5, 0x0, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG5EI32_V_MF2_MF4 }, // 1094
  { 0x5, 0x0, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG5EI32_V_M1_MF2 }, // 1095
  { 0x5, 0x0, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG5EI32_V_M2_MF2 }, // 1096
  { 0x5, 0x0, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG5EI32_V_MF2_MF2 }, // 1097
  { 0x5, 0x0, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG5EI64_V_M1_M1 }, // 1098
  { 0x5, 0x0, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG5EI64_V_M2_M1 }, // 1099
  { 0x5, 0x0, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG5EI64_V_M4_M1 }, // 1100
  { 0x5, 0x0, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG5EI64_V_M8_M1 }, // 1101
  { 0x5, 0x0, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG5EI64_V_M1_MF8 }, // 1102
  { 0x5, 0x0, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG5EI64_V_M1_MF4 }, // 1103
  { 0x5, 0x0, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG5EI64_V_M2_MF4 }, // 1104
  { 0x5, 0x0, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG5EI64_V_M1_MF2 }, // 1105
  { 0x5, 0x0, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG5EI64_V_M2_MF2 }, // 1106
  { 0x5, 0x0, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG5EI64_V_M4_MF2 }, // 1107
  { 0x5, 0x0, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG5EI8_V_M1_M1 }, // 1108
  { 0x5, 0x0, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG5EI8_V_MF8_M1 }, // 1109
  { 0x5, 0x0, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG5EI8_V_MF4_M1 }, // 1110
  { 0x5, 0x0, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG5EI8_V_MF2_M1 }, // 1111
  { 0x5, 0x0, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG5EI8_V_MF8_MF8 }, // 1112
  { 0x5, 0x0, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG5EI8_V_MF8_MF4 }, // 1113
  { 0x5, 0x0, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG5EI8_V_MF4_MF4 }, // 1114
  { 0x5, 0x0, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG5EI8_V_MF8_MF2 }, // 1115
  { 0x5, 0x0, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG5EI8_V_MF4_MF2 }, // 1116
  { 0x5, 0x0, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG5EI8_V_MF2_MF2 }, // 1117
  { 0x5, 0x0, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG5EI16_V_M1_M1 }, // 1118
  { 0x5, 0x0, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG5EI16_V_M2_M1 }, // 1119
  { 0x5, 0x0, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG5EI16_V_MF4_M1 }, // 1120
  { 0x5, 0x0, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG5EI16_V_MF2_M1 }, // 1121
  { 0x5, 0x0, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG5EI16_V_MF4_MF8 }, // 1122
  { 0x5, 0x0, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG5EI16_V_MF4_MF4 }, // 1123
  { 0x5, 0x0, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG5EI16_V_MF2_MF4 }, // 1124
  { 0x5, 0x0, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG5EI16_V_M1_MF2 }, // 1125
  { 0x5, 0x0, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG5EI16_V_MF4_MF2 }, // 1126
  { 0x5, 0x0, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG5EI16_V_MF2_MF2 }, // 1127
  { 0x5, 0x0, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG5EI32_V_M1_M1 }, // 1128
  { 0x5, 0x0, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG5EI32_V_M2_M1 }, // 1129
  { 0x5, 0x0, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG5EI32_V_M4_M1 }, // 1130
  { 0x5, 0x0, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG5EI32_V_MF2_M1 }, // 1131
  { 0x5, 0x0, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG5EI32_V_MF2_MF8 }, // 1132
  { 0x5, 0x0, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG5EI32_V_M1_MF4 }, // 1133
  { 0x5, 0x0, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG5EI32_V_MF2_MF4 }, // 1134
  { 0x5, 0x0, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG5EI32_V_M1_MF2 }, // 1135
  { 0x5, 0x0, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG5EI32_V_M2_MF2 }, // 1136
  { 0x5, 0x0, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG5EI32_V_MF2_MF2 }, // 1137
  { 0x5, 0x0, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG5EI64_V_M1_M1 }, // 1138
  { 0x5, 0x0, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG5EI64_V_M2_M1 }, // 1139
  { 0x5, 0x0, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG5EI64_V_M4_M1 }, // 1140
  { 0x5, 0x0, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG5EI64_V_M8_M1 }, // 1141
  { 0x5, 0x0, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG5EI64_V_M1_MF8 }, // 1142
  { 0x5, 0x0, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG5EI64_V_M1_MF4 }, // 1143
  { 0x5, 0x0, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG5EI64_V_M2_MF4 }, // 1144
  { 0x5, 0x0, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG5EI64_V_M1_MF2 }, // 1145
  { 0x5, 0x0, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG5EI64_V_M2_MF2 }, // 1146
  { 0x5, 0x0, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG5EI64_V_M4_MF2 }, // 1147
  { 0x5, 0x0, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG5EI8_V_M1_M1_TU }, // 1148
  { 0x5, 0x0, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG5EI8_V_MF8_M1_TU }, // 1149
  { 0x5, 0x0, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG5EI8_V_MF4_M1_TU }, // 1150
  { 0x5, 0x0, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG5EI8_V_MF2_M1_TU }, // 1151
  { 0x5, 0x0, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG5EI8_V_MF8_MF8_TU }, // 1152
  { 0x5, 0x0, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG5EI8_V_MF8_MF4_TU }, // 1153
  { 0x5, 0x0, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG5EI8_V_MF4_MF4_TU }, // 1154
  { 0x5, 0x0, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG5EI8_V_MF8_MF2_TU }, // 1155
  { 0x5, 0x0, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG5EI8_V_MF4_MF2_TU }, // 1156
  { 0x5, 0x0, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG5EI8_V_MF2_MF2_TU }, // 1157
  { 0x5, 0x0, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG5EI16_V_M1_M1_TU }, // 1158
  { 0x5, 0x0, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG5EI16_V_M2_M1_TU }, // 1159
  { 0x5, 0x0, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG5EI16_V_MF4_M1_TU }, // 1160
  { 0x5, 0x0, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG5EI16_V_MF2_M1_TU }, // 1161
  { 0x5, 0x0, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG5EI16_V_MF4_MF8_TU }, // 1162
  { 0x5, 0x0, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG5EI16_V_MF4_MF4_TU }, // 1163
  { 0x5, 0x0, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG5EI16_V_MF2_MF4_TU }, // 1164
  { 0x5, 0x0, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG5EI16_V_M1_MF2_TU }, // 1165
  { 0x5, 0x0, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG5EI16_V_MF4_MF2_TU }, // 1166
  { 0x5, 0x0, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG5EI16_V_MF2_MF2_TU }, // 1167
  { 0x5, 0x0, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG5EI32_V_M1_M1_TU }, // 1168
  { 0x5, 0x0, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG5EI32_V_M2_M1_TU }, // 1169
  { 0x5, 0x0, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG5EI32_V_M4_M1_TU }, // 1170
  { 0x5, 0x0, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG5EI32_V_MF2_M1_TU }, // 1171
  { 0x5, 0x0, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG5EI32_V_MF2_MF8_TU }, // 1172
  { 0x5, 0x0, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG5EI32_V_M1_MF4_TU }, // 1173
  { 0x5, 0x0, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG5EI32_V_MF2_MF4_TU }, // 1174
  { 0x5, 0x0, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG5EI32_V_M1_MF2_TU }, // 1175
  { 0x5, 0x0, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG5EI32_V_M2_MF2_TU }, // 1176
  { 0x5, 0x0, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG5EI32_V_MF2_MF2_TU }, // 1177
  { 0x5, 0x0, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG5EI64_V_M1_M1_TU }, // 1178
  { 0x5, 0x0, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG5EI64_V_M2_M1_TU }, // 1179
  { 0x5, 0x0, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG5EI64_V_M4_M1_TU }, // 1180
  { 0x5, 0x0, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG5EI64_V_M8_M1_TU }, // 1181
  { 0x5, 0x0, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG5EI64_V_M1_MF8_TU }, // 1182
  { 0x5, 0x0, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG5EI64_V_M1_MF4_TU }, // 1183
  { 0x5, 0x0, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG5EI64_V_M2_MF4_TU }, // 1184
  { 0x5, 0x0, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG5EI64_V_M1_MF2_TU }, // 1185
  { 0x5, 0x0, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG5EI64_V_M2_MF2_TU }, // 1186
  { 0x5, 0x0, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG5EI64_V_M4_MF2_TU }, // 1187
  { 0x5, 0x0, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG5EI8_V_M1_M1_TU }, // 1188
  { 0x5, 0x0, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG5EI8_V_MF8_M1_TU }, // 1189
  { 0x5, 0x0, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG5EI8_V_MF4_M1_TU }, // 1190
  { 0x5, 0x0, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG5EI8_V_MF2_M1_TU }, // 1191
  { 0x5, 0x0, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG5EI8_V_MF8_MF8_TU }, // 1192
  { 0x5, 0x0, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG5EI8_V_MF8_MF4_TU }, // 1193
  { 0x5, 0x0, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG5EI8_V_MF4_MF4_TU }, // 1194
  { 0x5, 0x0, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG5EI8_V_MF8_MF2_TU }, // 1195
  { 0x5, 0x0, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG5EI8_V_MF4_MF2_TU }, // 1196
  { 0x5, 0x0, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG5EI8_V_MF2_MF2_TU }, // 1197
  { 0x5, 0x0, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG5EI16_V_M1_M1_TU }, // 1198
  { 0x5, 0x0, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG5EI16_V_M2_M1_TU }, // 1199
  { 0x5, 0x0, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG5EI16_V_MF4_M1_TU }, // 1200
  { 0x5, 0x0, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG5EI16_V_MF2_M1_TU }, // 1201
  { 0x5, 0x0, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG5EI16_V_MF4_MF8_TU }, // 1202
  { 0x5, 0x0, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG5EI16_V_MF4_MF4_TU }, // 1203
  { 0x5, 0x0, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG5EI16_V_MF2_MF4_TU }, // 1204
  { 0x5, 0x0, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG5EI16_V_M1_MF2_TU }, // 1205
  { 0x5, 0x0, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG5EI16_V_MF4_MF2_TU }, // 1206
  { 0x5, 0x0, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG5EI16_V_MF2_MF2_TU }, // 1207
  { 0x5, 0x0, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG5EI32_V_M1_M1_TU }, // 1208
  { 0x5, 0x0, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG5EI32_V_M2_M1_TU }, // 1209
  { 0x5, 0x0, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG5EI32_V_M4_M1_TU }, // 1210
  { 0x5, 0x0, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG5EI32_V_MF2_M1_TU }, // 1211
  { 0x5, 0x0, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG5EI32_V_MF2_MF8_TU }, // 1212
  { 0x5, 0x0, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG5EI32_V_M1_MF4_TU }, // 1213
  { 0x5, 0x0, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG5EI32_V_MF2_MF4_TU }, // 1214
  { 0x5, 0x0, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG5EI32_V_M1_MF2_TU }, // 1215
  { 0x5, 0x0, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG5EI32_V_M2_MF2_TU }, // 1216
  { 0x5, 0x0, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG5EI32_V_MF2_MF2_TU }, // 1217
  { 0x5, 0x0, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG5EI64_V_M1_M1_TU }, // 1218
  { 0x5, 0x0, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG5EI64_V_M2_M1_TU }, // 1219
  { 0x5, 0x0, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG5EI64_V_M4_M1_TU }, // 1220
  { 0x5, 0x0, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG5EI64_V_M8_M1_TU }, // 1221
  { 0x5, 0x0, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG5EI64_V_M1_MF8_TU }, // 1222
  { 0x5, 0x0, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG5EI64_V_M1_MF4_TU }, // 1223
  { 0x5, 0x0, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG5EI64_V_M2_MF4_TU }, // 1224
  { 0x5, 0x0, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG5EI64_V_M1_MF2_TU }, // 1225
  { 0x5, 0x0, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG5EI64_V_M2_MF2_TU }, // 1226
  { 0x5, 0x0, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG5EI64_V_M4_MF2_TU }, // 1227
  { 0x5, 0x1, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG5EI8_V_M1_M1_MASK }, // 1228
  { 0x5, 0x1, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG5EI8_V_MF8_M1_MASK }, // 1229
  { 0x5, 0x1, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG5EI8_V_MF4_M1_MASK }, // 1230
  { 0x5, 0x1, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG5EI8_V_MF2_M1_MASK }, // 1231
  { 0x5, 0x1, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG5EI8_V_MF8_MF8_MASK }, // 1232
  { 0x5, 0x1, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG5EI8_V_MF8_MF4_MASK }, // 1233
  { 0x5, 0x1, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG5EI8_V_MF4_MF4_MASK }, // 1234
  { 0x5, 0x1, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG5EI8_V_MF8_MF2_MASK }, // 1235
  { 0x5, 0x1, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG5EI8_V_MF4_MF2_MASK }, // 1236
  { 0x5, 0x1, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG5EI8_V_MF2_MF2_MASK }, // 1237
  { 0x5, 0x1, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG5EI16_V_M1_M1_MASK }, // 1238
  { 0x5, 0x1, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG5EI16_V_M2_M1_MASK }, // 1239
  { 0x5, 0x1, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG5EI16_V_MF4_M1_MASK }, // 1240
  { 0x5, 0x1, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG5EI16_V_MF2_M1_MASK }, // 1241
  { 0x5, 0x1, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG5EI16_V_MF4_MF8_MASK }, // 1242
  { 0x5, 0x1, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG5EI16_V_MF4_MF4_MASK }, // 1243
  { 0x5, 0x1, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG5EI16_V_MF2_MF4_MASK }, // 1244
  { 0x5, 0x1, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG5EI16_V_M1_MF2_MASK }, // 1245
  { 0x5, 0x1, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG5EI16_V_MF4_MF2_MASK }, // 1246
  { 0x5, 0x1, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG5EI16_V_MF2_MF2_MASK }, // 1247
  { 0x5, 0x1, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG5EI32_V_M1_M1_MASK }, // 1248
  { 0x5, 0x1, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG5EI32_V_M2_M1_MASK }, // 1249
  { 0x5, 0x1, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG5EI32_V_M4_M1_MASK }, // 1250
  { 0x5, 0x1, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG5EI32_V_MF2_M1_MASK }, // 1251
  { 0x5, 0x1, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG5EI32_V_MF2_MF8_MASK }, // 1252
  { 0x5, 0x1, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG5EI32_V_M1_MF4_MASK }, // 1253
  { 0x5, 0x1, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG5EI32_V_MF2_MF4_MASK }, // 1254
  { 0x5, 0x1, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG5EI32_V_M1_MF2_MASK }, // 1255
  { 0x5, 0x1, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG5EI32_V_M2_MF2_MASK }, // 1256
  { 0x5, 0x1, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG5EI32_V_MF2_MF2_MASK }, // 1257
  { 0x5, 0x1, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG5EI64_V_M1_M1_MASK }, // 1258
  { 0x5, 0x1, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG5EI64_V_M2_M1_MASK }, // 1259
  { 0x5, 0x1, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG5EI64_V_M4_M1_MASK }, // 1260
  { 0x5, 0x1, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG5EI64_V_M8_M1_MASK }, // 1261
  { 0x5, 0x1, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG5EI64_V_M1_MF8_MASK }, // 1262
  { 0x5, 0x1, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG5EI64_V_M1_MF4_MASK }, // 1263
  { 0x5, 0x1, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG5EI64_V_M2_MF4_MASK }, // 1264
  { 0x5, 0x1, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG5EI64_V_M1_MF2_MASK }, // 1265
  { 0x5, 0x1, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG5EI64_V_M2_MF2_MASK }, // 1266
  { 0x5, 0x1, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG5EI64_V_M4_MF2_MASK }, // 1267
  { 0x5, 0x1, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG5EI8_V_M1_M1_MASK }, // 1268
  { 0x5, 0x1, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG5EI8_V_MF8_M1_MASK }, // 1269
  { 0x5, 0x1, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG5EI8_V_MF4_M1_MASK }, // 1270
  { 0x5, 0x1, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG5EI8_V_MF2_M1_MASK }, // 1271
  { 0x5, 0x1, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG5EI8_V_MF8_MF8_MASK }, // 1272
  { 0x5, 0x1, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG5EI8_V_MF8_MF4_MASK }, // 1273
  { 0x5, 0x1, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG5EI8_V_MF4_MF4_MASK }, // 1274
  { 0x5, 0x1, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG5EI8_V_MF8_MF2_MASK }, // 1275
  { 0x5, 0x1, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG5EI8_V_MF4_MF2_MASK }, // 1276
  { 0x5, 0x1, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG5EI8_V_MF2_MF2_MASK }, // 1277
  { 0x5, 0x1, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG5EI16_V_M1_M1_MASK }, // 1278
  { 0x5, 0x1, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG5EI16_V_M2_M1_MASK }, // 1279
  { 0x5, 0x1, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG5EI16_V_MF4_M1_MASK }, // 1280
  { 0x5, 0x1, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG5EI16_V_MF2_M1_MASK }, // 1281
  { 0x5, 0x1, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG5EI16_V_MF4_MF8_MASK }, // 1282
  { 0x5, 0x1, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG5EI16_V_MF4_MF4_MASK }, // 1283
  { 0x5, 0x1, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG5EI16_V_MF2_MF4_MASK }, // 1284
  { 0x5, 0x1, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG5EI16_V_M1_MF2_MASK }, // 1285
  { 0x5, 0x1, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG5EI16_V_MF4_MF2_MASK }, // 1286
  { 0x5, 0x1, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG5EI16_V_MF2_MF2_MASK }, // 1287
  { 0x5, 0x1, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG5EI32_V_M1_M1_MASK }, // 1288
  { 0x5, 0x1, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG5EI32_V_M2_M1_MASK }, // 1289
  { 0x5, 0x1, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG5EI32_V_M4_M1_MASK }, // 1290
  { 0x5, 0x1, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG5EI32_V_MF2_M1_MASK }, // 1291
  { 0x5, 0x1, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG5EI32_V_MF2_MF8_MASK }, // 1292
  { 0x5, 0x1, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG5EI32_V_M1_MF4_MASK }, // 1293
  { 0x5, 0x1, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG5EI32_V_MF2_MF4_MASK }, // 1294
  { 0x5, 0x1, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG5EI32_V_M1_MF2_MASK }, // 1295
  { 0x5, 0x1, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG5EI32_V_M2_MF2_MASK }, // 1296
  { 0x5, 0x1, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG5EI32_V_MF2_MF2_MASK }, // 1297
  { 0x5, 0x1, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG5EI64_V_M1_M1_MASK }, // 1298
  { 0x5, 0x1, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG5EI64_V_M2_M1_MASK }, // 1299
  { 0x5, 0x1, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG5EI64_V_M4_M1_MASK }, // 1300
  { 0x5, 0x1, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG5EI64_V_M8_M1_MASK }, // 1301
  { 0x5, 0x1, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG5EI64_V_M1_MF8_MASK }, // 1302
  { 0x5, 0x1, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG5EI64_V_M1_MF4_MASK }, // 1303
  { 0x5, 0x1, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG5EI64_V_M2_MF4_MASK }, // 1304
  { 0x5, 0x1, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG5EI64_V_M1_MF2_MASK }, // 1305
  { 0x5, 0x1, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG5EI64_V_M2_MF2_MASK }, // 1306
  { 0x5, 0x1, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG5EI64_V_M4_MF2_MASK }, // 1307
  { 0x6, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG6EI8_V_M1_M1 }, // 1308
  { 0x6, 0x0, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG6EI8_V_MF8_M1 }, // 1309
  { 0x6, 0x0, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG6EI8_V_MF4_M1 }, // 1310
  { 0x6, 0x0, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG6EI8_V_MF2_M1 }, // 1311
  { 0x6, 0x0, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG6EI8_V_MF8_MF8 }, // 1312
  { 0x6, 0x0, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG6EI8_V_MF8_MF4 }, // 1313
  { 0x6, 0x0, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG6EI8_V_MF4_MF4 }, // 1314
  { 0x6, 0x0, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG6EI8_V_MF8_MF2 }, // 1315
  { 0x6, 0x0, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG6EI8_V_MF4_MF2 }, // 1316
  { 0x6, 0x0, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG6EI8_V_MF2_MF2 }, // 1317
  { 0x6, 0x0, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG6EI16_V_M1_M1 }, // 1318
  { 0x6, 0x0, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG6EI16_V_M2_M1 }, // 1319
  { 0x6, 0x0, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG6EI16_V_MF4_M1 }, // 1320
  { 0x6, 0x0, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG6EI16_V_MF2_M1 }, // 1321
  { 0x6, 0x0, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG6EI16_V_MF4_MF8 }, // 1322
  { 0x6, 0x0, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG6EI16_V_MF4_MF4 }, // 1323
  { 0x6, 0x0, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG6EI16_V_MF2_MF4 }, // 1324
  { 0x6, 0x0, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG6EI16_V_M1_MF2 }, // 1325
  { 0x6, 0x0, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG6EI16_V_MF4_MF2 }, // 1326
  { 0x6, 0x0, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG6EI16_V_MF2_MF2 }, // 1327
  { 0x6, 0x0, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG6EI32_V_M1_M1 }, // 1328
  { 0x6, 0x0, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG6EI32_V_M2_M1 }, // 1329
  { 0x6, 0x0, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG6EI32_V_M4_M1 }, // 1330
  { 0x6, 0x0, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG6EI32_V_MF2_M1 }, // 1331
  { 0x6, 0x0, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG6EI32_V_MF2_MF8 }, // 1332
  { 0x6, 0x0, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG6EI32_V_M1_MF4 }, // 1333
  { 0x6, 0x0, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG6EI32_V_MF2_MF4 }, // 1334
  { 0x6, 0x0, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG6EI32_V_M1_MF2 }, // 1335
  { 0x6, 0x0, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG6EI32_V_M2_MF2 }, // 1336
  { 0x6, 0x0, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG6EI32_V_MF2_MF2 }, // 1337
  { 0x6, 0x0, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG6EI64_V_M1_M1 }, // 1338
  { 0x6, 0x0, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG6EI64_V_M2_M1 }, // 1339
  { 0x6, 0x0, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG6EI64_V_M4_M1 }, // 1340
  { 0x6, 0x0, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG6EI64_V_M8_M1 }, // 1341
  { 0x6, 0x0, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG6EI64_V_M1_MF8 }, // 1342
  { 0x6, 0x0, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG6EI64_V_M1_MF4 }, // 1343
  { 0x6, 0x0, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG6EI64_V_M2_MF4 }, // 1344
  { 0x6, 0x0, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG6EI64_V_M1_MF2 }, // 1345
  { 0x6, 0x0, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG6EI64_V_M2_MF2 }, // 1346
  { 0x6, 0x0, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG6EI64_V_M4_MF2 }, // 1347
  { 0x6, 0x0, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG6EI8_V_M1_M1 }, // 1348
  { 0x6, 0x0, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG6EI8_V_MF8_M1 }, // 1349
  { 0x6, 0x0, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG6EI8_V_MF4_M1 }, // 1350
  { 0x6, 0x0, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG6EI8_V_MF2_M1 }, // 1351
  { 0x6, 0x0, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG6EI8_V_MF8_MF8 }, // 1352
  { 0x6, 0x0, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG6EI8_V_MF8_MF4 }, // 1353
  { 0x6, 0x0, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG6EI8_V_MF4_MF4 }, // 1354
  { 0x6, 0x0, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG6EI8_V_MF8_MF2 }, // 1355
  { 0x6, 0x0, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG6EI8_V_MF4_MF2 }, // 1356
  { 0x6, 0x0, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG6EI8_V_MF2_MF2 }, // 1357
  { 0x6, 0x0, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG6EI16_V_M1_M1 }, // 1358
  { 0x6, 0x0, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG6EI16_V_M2_M1 }, // 1359
  { 0x6, 0x0, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG6EI16_V_MF4_M1 }, // 1360
  { 0x6, 0x0, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG6EI16_V_MF2_M1 }, // 1361
  { 0x6, 0x0, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG6EI16_V_MF4_MF8 }, // 1362
  { 0x6, 0x0, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG6EI16_V_MF4_MF4 }, // 1363
  { 0x6, 0x0, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG6EI16_V_MF2_MF4 }, // 1364
  { 0x6, 0x0, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG6EI16_V_M1_MF2 }, // 1365
  { 0x6, 0x0, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG6EI16_V_MF4_MF2 }, // 1366
  { 0x6, 0x0, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG6EI16_V_MF2_MF2 }, // 1367
  { 0x6, 0x0, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG6EI32_V_M1_M1 }, // 1368
  { 0x6, 0x0, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG6EI32_V_M2_M1 }, // 1369
  { 0x6, 0x0, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG6EI32_V_M4_M1 }, // 1370
  { 0x6, 0x0, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG6EI32_V_MF2_M1 }, // 1371
  { 0x6, 0x0, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG6EI32_V_MF2_MF8 }, // 1372
  { 0x6, 0x0, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG6EI32_V_M1_MF4 }, // 1373
  { 0x6, 0x0, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG6EI32_V_MF2_MF4 }, // 1374
  { 0x6, 0x0, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG6EI32_V_M1_MF2 }, // 1375
  { 0x6, 0x0, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG6EI32_V_M2_MF2 }, // 1376
  { 0x6, 0x0, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG6EI32_V_MF2_MF2 }, // 1377
  { 0x6, 0x0, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG6EI64_V_M1_M1 }, // 1378
  { 0x6, 0x0, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG6EI64_V_M2_M1 }, // 1379
  { 0x6, 0x0, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG6EI64_V_M4_M1 }, // 1380
  { 0x6, 0x0, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG6EI64_V_M8_M1 }, // 1381
  { 0x6, 0x0, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG6EI64_V_M1_MF8 }, // 1382
  { 0x6, 0x0, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG6EI64_V_M1_MF4 }, // 1383
  { 0x6, 0x0, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG6EI64_V_M2_MF4 }, // 1384
  { 0x6, 0x0, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG6EI64_V_M1_MF2 }, // 1385
  { 0x6, 0x0, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG6EI64_V_M2_MF2 }, // 1386
  { 0x6, 0x0, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG6EI64_V_M4_MF2 }, // 1387
  { 0x6, 0x0, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG6EI8_V_M1_M1_TU }, // 1388
  { 0x6, 0x0, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG6EI8_V_MF8_M1_TU }, // 1389
  { 0x6, 0x0, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG6EI8_V_MF4_M1_TU }, // 1390
  { 0x6, 0x0, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG6EI8_V_MF2_M1_TU }, // 1391
  { 0x6, 0x0, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG6EI8_V_MF8_MF8_TU }, // 1392
  { 0x6, 0x0, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG6EI8_V_MF8_MF4_TU }, // 1393
  { 0x6, 0x0, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG6EI8_V_MF4_MF4_TU }, // 1394
  { 0x6, 0x0, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG6EI8_V_MF8_MF2_TU }, // 1395
  { 0x6, 0x0, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG6EI8_V_MF4_MF2_TU }, // 1396
  { 0x6, 0x0, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG6EI8_V_MF2_MF2_TU }, // 1397
  { 0x6, 0x0, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG6EI16_V_M1_M1_TU }, // 1398
  { 0x6, 0x0, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG6EI16_V_M2_M1_TU }, // 1399
  { 0x6, 0x0, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG6EI16_V_MF4_M1_TU }, // 1400
  { 0x6, 0x0, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG6EI16_V_MF2_M1_TU }, // 1401
  { 0x6, 0x0, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG6EI16_V_MF4_MF8_TU }, // 1402
  { 0x6, 0x0, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG6EI16_V_MF4_MF4_TU }, // 1403
  { 0x6, 0x0, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG6EI16_V_MF2_MF4_TU }, // 1404
  { 0x6, 0x0, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG6EI16_V_M1_MF2_TU }, // 1405
  { 0x6, 0x0, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG6EI16_V_MF4_MF2_TU }, // 1406
  { 0x6, 0x0, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG6EI16_V_MF2_MF2_TU }, // 1407
  { 0x6, 0x0, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG6EI32_V_M1_M1_TU }, // 1408
  { 0x6, 0x0, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG6EI32_V_M2_M1_TU }, // 1409
  { 0x6, 0x0, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG6EI32_V_M4_M1_TU }, // 1410
  { 0x6, 0x0, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG6EI32_V_MF2_M1_TU }, // 1411
  { 0x6, 0x0, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG6EI32_V_MF2_MF8_TU }, // 1412
  { 0x6, 0x0, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG6EI32_V_M1_MF4_TU }, // 1413
  { 0x6, 0x0, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG6EI32_V_MF2_MF4_TU }, // 1414
  { 0x6, 0x0, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG6EI32_V_M1_MF2_TU }, // 1415
  { 0x6, 0x0, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG6EI32_V_M2_MF2_TU }, // 1416
  { 0x6, 0x0, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG6EI32_V_MF2_MF2_TU }, // 1417
  { 0x6, 0x0, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG6EI64_V_M1_M1_TU }, // 1418
  { 0x6, 0x0, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG6EI64_V_M2_M1_TU }, // 1419
  { 0x6, 0x0, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG6EI64_V_M4_M1_TU }, // 1420
  { 0x6, 0x0, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG6EI64_V_M8_M1_TU }, // 1421
  { 0x6, 0x0, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG6EI64_V_M1_MF8_TU }, // 1422
  { 0x6, 0x0, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG6EI64_V_M1_MF4_TU }, // 1423
  { 0x6, 0x0, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG6EI64_V_M2_MF4_TU }, // 1424
  { 0x6, 0x0, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG6EI64_V_M1_MF2_TU }, // 1425
  { 0x6, 0x0, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG6EI64_V_M2_MF2_TU }, // 1426
  { 0x6, 0x0, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG6EI64_V_M4_MF2_TU }, // 1427
  { 0x6, 0x0, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG6EI8_V_M1_M1_TU }, // 1428
  { 0x6, 0x0, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG6EI8_V_MF8_M1_TU }, // 1429
  { 0x6, 0x0, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG6EI8_V_MF4_M1_TU }, // 1430
  { 0x6, 0x0, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG6EI8_V_MF2_M1_TU }, // 1431
  { 0x6, 0x0, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG6EI8_V_MF8_MF8_TU }, // 1432
  { 0x6, 0x0, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG6EI8_V_MF8_MF4_TU }, // 1433
  { 0x6, 0x0, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG6EI8_V_MF4_MF4_TU }, // 1434
  { 0x6, 0x0, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG6EI8_V_MF8_MF2_TU }, // 1435
  { 0x6, 0x0, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG6EI8_V_MF4_MF2_TU }, // 1436
  { 0x6, 0x0, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG6EI8_V_MF2_MF2_TU }, // 1437
  { 0x6, 0x0, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG6EI16_V_M1_M1_TU }, // 1438
  { 0x6, 0x0, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG6EI16_V_M2_M1_TU }, // 1439
  { 0x6, 0x0, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG6EI16_V_MF4_M1_TU }, // 1440
  { 0x6, 0x0, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG6EI16_V_MF2_M1_TU }, // 1441
  { 0x6, 0x0, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG6EI16_V_MF4_MF8_TU }, // 1442
  { 0x6, 0x0, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG6EI16_V_MF4_MF4_TU }, // 1443
  { 0x6, 0x0, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG6EI16_V_MF2_MF4_TU }, // 1444
  { 0x6, 0x0, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG6EI16_V_M1_MF2_TU }, // 1445
  { 0x6, 0x0, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG6EI16_V_MF4_MF2_TU }, // 1446
  { 0x6, 0x0, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG6EI16_V_MF2_MF2_TU }, // 1447
  { 0x6, 0x0, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG6EI32_V_M1_M1_TU }, // 1448
  { 0x6, 0x0, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG6EI32_V_M2_M1_TU }, // 1449
  { 0x6, 0x0, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG6EI32_V_M4_M1_TU }, // 1450
  { 0x6, 0x0, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG6EI32_V_MF2_M1_TU }, // 1451
  { 0x6, 0x0, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG6EI32_V_MF2_MF8_TU }, // 1452
  { 0x6, 0x0, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG6EI32_V_M1_MF4_TU }, // 1453
  { 0x6, 0x0, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG6EI32_V_MF2_MF4_TU }, // 1454
  { 0x6, 0x0, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG6EI32_V_M1_MF2_TU }, // 1455
  { 0x6, 0x0, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG6EI32_V_M2_MF2_TU }, // 1456
  { 0x6, 0x0, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG6EI32_V_MF2_MF2_TU }, // 1457
  { 0x6, 0x0, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG6EI64_V_M1_M1_TU }, // 1458
  { 0x6, 0x0, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG6EI64_V_M2_M1_TU }, // 1459
  { 0x6, 0x0, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG6EI64_V_M4_M1_TU }, // 1460
  { 0x6, 0x0, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG6EI64_V_M8_M1_TU }, // 1461
  { 0x6, 0x0, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG6EI64_V_M1_MF8_TU }, // 1462
  { 0x6, 0x0, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG6EI64_V_M1_MF4_TU }, // 1463
  { 0x6, 0x0, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG6EI64_V_M2_MF4_TU }, // 1464
  { 0x6, 0x0, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG6EI64_V_M1_MF2_TU }, // 1465
  { 0x6, 0x0, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG6EI64_V_M2_MF2_TU }, // 1466
  { 0x6, 0x0, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG6EI64_V_M4_MF2_TU }, // 1467
  { 0x6, 0x1, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG6EI8_V_M1_M1_MASK }, // 1468
  { 0x6, 0x1, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG6EI8_V_MF8_M1_MASK }, // 1469
  { 0x6, 0x1, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG6EI8_V_MF4_M1_MASK }, // 1470
  { 0x6, 0x1, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG6EI8_V_MF2_M1_MASK }, // 1471
  { 0x6, 0x1, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG6EI8_V_MF8_MF8_MASK }, // 1472
  { 0x6, 0x1, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG6EI8_V_MF8_MF4_MASK }, // 1473
  { 0x6, 0x1, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG6EI8_V_MF4_MF4_MASK }, // 1474
  { 0x6, 0x1, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG6EI8_V_MF8_MF2_MASK }, // 1475
  { 0x6, 0x1, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG6EI8_V_MF4_MF2_MASK }, // 1476
  { 0x6, 0x1, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG6EI8_V_MF2_MF2_MASK }, // 1477
  { 0x6, 0x1, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG6EI16_V_M1_M1_MASK }, // 1478
  { 0x6, 0x1, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG6EI16_V_M2_M1_MASK }, // 1479
  { 0x6, 0x1, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG6EI16_V_MF4_M1_MASK }, // 1480
  { 0x6, 0x1, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG6EI16_V_MF2_M1_MASK }, // 1481
  { 0x6, 0x1, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG6EI16_V_MF4_MF8_MASK }, // 1482
  { 0x6, 0x1, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG6EI16_V_MF4_MF4_MASK }, // 1483
  { 0x6, 0x1, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG6EI16_V_MF2_MF4_MASK }, // 1484
  { 0x6, 0x1, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG6EI16_V_M1_MF2_MASK }, // 1485
  { 0x6, 0x1, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG6EI16_V_MF4_MF2_MASK }, // 1486
  { 0x6, 0x1, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG6EI16_V_MF2_MF2_MASK }, // 1487
  { 0x6, 0x1, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG6EI32_V_M1_M1_MASK }, // 1488
  { 0x6, 0x1, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG6EI32_V_M2_M1_MASK }, // 1489
  { 0x6, 0x1, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG6EI32_V_M4_M1_MASK }, // 1490
  { 0x6, 0x1, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG6EI32_V_MF2_M1_MASK }, // 1491
  { 0x6, 0x1, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG6EI32_V_MF2_MF8_MASK }, // 1492
  { 0x6, 0x1, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG6EI32_V_M1_MF4_MASK }, // 1493
  { 0x6, 0x1, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG6EI32_V_MF2_MF4_MASK }, // 1494
  { 0x6, 0x1, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG6EI32_V_M1_MF2_MASK }, // 1495
  { 0x6, 0x1, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG6EI32_V_M2_MF2_MASK }, // 1496
  { 0x6, 0x1, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG6EI32_V_MF2_MF2_MASK }, // 1497
  { 0x6, 0x1, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG6EI64_V_M1_M1_MASK }, // 1498
  { 0x6, 0x1, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG6EI64_V_M2_M1_MASK }, // 1499
  { 0x6, 0x1, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG6EI64_V_M4_M1_MASK }, // 1500
  { 0x6, 0x1, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG6EI64_V_M8_M1_MASK }, // 1501
  { 0x6, 0x1, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG6EI64_V_M1_MF8_MASK }, // 1502
  { 0x6, 0x1, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG6EI64_V_M1_MF4_MASK }, // 1503
  { 0x6, 0x1, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG6EI64_V_M2_MF4_MASK }, // 1504
  { 0x6, 0x1, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG6EI64_V_M1_MF2_MASK }, // 1505
  { 0x6, 0x1, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG6EI64_V_M2_MF2_MASK }, // 1506
  { 0x6, 0x1, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG6EI64_V_M4_MF2_MASK }, // 1507
  { 0x6, 0x1, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG6EI8_V_M1_M1_MASK }, // 1508
  { 0x6, 0x1, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG6EI8_V_MF8_M1_MASK }, // 1509
  { 0x6, 0x1, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG6EI8_V_MF4_M1_MASK }, // 1510
  { 0x6, 0x1, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG6EI8_V_MF2_M1_MASK }, // 1511
  { 0x6, 0x1, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG6EI8_V_MF8_MF8_MASK }, // 1512
  { 0x6, 0x1, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG6EI8_V_MF8_MF4_MASK }, // 1513
  { 0x6, 0x1, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG6EI8_V_MF4_MF4_MASK }, // 1514
  { 0x6, 0x1, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG6EI8_V_MF8_MF2_MASK }, // 1515
  { 0x6, 0x1, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG6EI8_V_MF4_MF2_MASK }, // 1516
  { 0x6, 0x1, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG6EI8_V_MF2_MF2_MASK }, // 1517
  { 0x6, 0x1, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG6EI16_V_M1_M1_MASK }, // 1518
  { 0x6, 0x1, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG6EI16_V_M2_M1_MASK }, // 1519
  { 0x6, 0x1, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG6EI16_V_MF4_M1_MASK }, // 1520
  { 0x6, 0x1, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG6EI16_V_MF2_M1_MASK }, // 1521
  { 0x6, 0x1, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG6EI16_V_MF4_MF8_MASK }, // 1522
  { 0x6, 0x1, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG6EI16_V_MF4_MF4_MASK }, // 1523
  { 0x6, 0x1, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG6EI16_V_MF2_MF4_MASK }, // 1524
  { 0x6, 0x1, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG6EI16_V_M1_MF2_MASK }, // 1525
  { 0x6, 0x1, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG6EI16_V_MF4_MF2_MASK }, // 1526
  { 0x6, 0x1, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG6EI16_V_MF2_MF2_MASK }, // 1527
  { 0x6, 0x1, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG6EI32_V_M1_M1_MASK }, // 1528
  { 0x6, 0x1, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG6EI32_V_M2_M1_MASK }, // 1529
  { 0x6, 0x1, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG6EI32_V_M4_M1_MASK }, // 1530
  { 0x6, 0x1, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG6EI32_V_MF2_M1_MASK }, // 1531
  { 0x6, 0x1, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG6EI32_V_MF2_MF8_MASK }, // 1532
  { 0x6, 0x1, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG6EI32_V_M1_MF4_MASK }, // 1533
  { 0x6, 0x1, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG6EI32_V_MF2_MF4_MASK }, // 1534
  { 0x6, 0x1, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG6EI32_V_M1_MF2_MASK }, // 1535
  { 0x6, 0x1, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG6EI32_V_M2_MF2_MASK }, // 1536
  { 0x6, 0x1, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG6EI32_V_MF2_MF2_MASK }, // 1537
  { 0x6, 0x1, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG6EI64_V_M1_M1_MASK }, // 1538
  { 0x6, 0x1, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG6EI64_V_M2_M1_MASK }, // 1539
  { 0x6, 0x1, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG6EI64_V_M4_M1_MASK }, // 1540
  { 0x6, 0x1, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG6EI64_V_M8_M1_MASK }, // 1541
  { 0x6, 0x1, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG6EI64_V_M1_MF8_MASK }, // 1542
  { 0x6, 0x1, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG6EI64_V_M1_MF4_MASK }, // 1543
  { 0x6, 0x1, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG6EI64_V_M2_MF4_MASK }, // 1544
  { 0x6, 0x1, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG6EI64_V_M1_MF2_MASK }, // 1545
  { 0x6, 0x1, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG6EI64_V_M2_MF2_MASK }, // 1546
  { 0x6, 0x1, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG6EI64_V_M4_MF2_MASK }, // 1547
  { 0x7, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG7EI8_V_M1_M1 }, // 1548
  { 0x7, 0x0, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG7EI8_V_MF8_M1 }, // 1549
  { 0x7, 0x0, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG7EI8_V_MF4_M1 }, // 1550
  { 0x7, 0x0, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG7EI8_V_MF2_M1 }, // 1551
  { 0x7, 0x0, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG7EI8_V_MF8_MF8 }, // 1552
  { 0x7, 0x0, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG7EI8_V_MF8_MF4 }, // 1553
  { 0x7, 0x0, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG7EI8_V_MF4_MF4 }, // 1554
  { 0x7, 0x0, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG7EI8_V_MF8_MF2 }, // 1555
  { 0x7, 0x0, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG7EI8_V_MF4_MF2 }, // 1556
  { 0x7, 0x0, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG7EI8_V_MF2_MF2 }, // 1557
  { 0x7, 0x0, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG7EI16_V_M1_M1 }, // 1558
  { 0x7, 0x0, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG7EI16_V_M2_M1 }, // 1559
  { 0x7, 0x0, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG7EI16_V_MF4_M1 }, // 1560
  { 0x7, 0x0, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG7EI16_V_MF2_M1 }, // 1561
  { 0x7, 0x0, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG7EI16_V_MF4_MF8 }, // 1562
  { 0x7, 0x0, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG7EI16_V_MF4_MF4 }, // 1563
  { 0x7, 0x0, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG7EI16_V_MF2_MF4 }, // 1564
  { 0x7, 0x0, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG7EI16_V_M1_MF2 }, // 1565
  { 0x7, 0x0, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG7EI16_V_MF4_MF2 }, // 1566
  { 0x7, 0x0, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG7EI16_V_MF2_MF2 }, // 1567
  { 0x7, 0x0, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG7EI32_V_M1_M1 }, // 1568
  { 0x7, 0x0, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG7EI32_V_M2_M1 }, // 1569
  { 0x7, 0x0, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG7EI32_V_M4_M1 }, // 1570
  { 0x7, 0x0, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG7EI32_V_MF2_M1 }, // 1571
  { 0x7, 0x0, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG7EI32_V_MF2_MF8 }, // 1572
  { 0x7, 0x0, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG7EI32_V_M1_MF4 }, // 1573
  { 0x7, 0x0, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG7EI32_V_MF2_MF4 }, // 1574
  { 0x7, 0x0, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG7EI32_V_M1_MF2 }, // 1575
  { 0x7, 0x0, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG7EI32_V_M2_MF2 }, // 1576
  { 0x7, 0x0, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG7EI32_V_MF2_MF2 }, // 1577
  { 0x7, 0x0, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG7EI64_V_M1_M1 }, // 1578
  { 0x7, 0x0, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG7EI64_V_M2_M1 }, // 1579
  { 0x7, 0x0, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG7EI64_V_M4_M1 }, // 1580
  { 0x7, 0x0, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG7EI64_V_M8_M1 }, // 1581
  { 0x7, 0x0, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG7EI64_V_M1_MF8 }, // 1582
  { 0x7, 0x0, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG7EI64_V_M1_MF4 }, // 1583
  { 0x7, 0x0, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG7EI64_V_M2_MF4 }, // 1584
  { 0x7, 0x0, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG7EI64_V_M1_MF2 }, // 1585
  { 0x7, 0x0, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG7EI64_V_M2_MF2 }, // 1586
  { 0x7, 0x0, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG7EI64_V_M4_MF2 }, // 1587
  { 0x7, 0x0, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG7EI8_V_M1_M1 }, // 1588
  { 0x7, 0x0, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG7EI8_V_MF8_M1 }, // 1589
  { 0x7, 0x0, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG7EI8_V_MF4_M1 }, // 1590
  { 0x7, 0x0, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG7EI8_V_MF2_M1 }, // 1591
  { 0x7, 0x0, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG7EI8_V_MF8_MF8 }, // 1592
  { 0x7, 0x0, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG7EI8_V_MF8_MF4 }, // 1593
  { 0x7, 0x0, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG7EI8_V_MF4_MF4 }, // 1594
  { 0x7, 0x0, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG7EI8_V_MF8_MF2 }, // 1595
  { 0x7, 0x0, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG7EI8_V_MF4_MF2 }, // 1596
  { 0x7, 0x0, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG7EI8_V_MF2_MF2 }, // 1597
  { 0x7, 0x0, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG7EI16_V_M1_M1 }, // 1598
  { 0x7, 0x0, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG7EI16_V_M2_M1 }, // 1599
  { 0x7, 0x0, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG7EI16_V_MF4_M1 }, // 1600
  { 0x7, 0x0, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG7EI16_V_MF2_M1 }, // 1601
  { 0x7, 0x0, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG7EI16_V_MF4_MF8 }, // 1602
  { 0x7, 0x0, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG7EI16_V_MF4_MF4 }, // 1603
  { 0x7, 0x0, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG7EI16_V_MF2_MF4 }, // 1604
  { 0x7, 0x0, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG7EI16_V_M1_MF2 }, // 1605
  { 0x7, 0x0, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG7EI16_V_MF4_MF2 }, // 1606
  { 0x7, 0x0, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG7EI16_V_MF2_MF2 }, // 1607
  { 0x7, 0x0, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG7EI32_V_M1_M1 }, // 1608
  { 0x7, 0x0, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG7EI32_V_M2_M1 }, // 1609
  { 0x7, 0x0, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG7EI32_V_M4_M1 }, // 1610
  { 0x7, 0x0, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG7EI32_V_MF2_M1 }, // 1611
  { 0x7, 0x0, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG7EI32_V_MF2_MF8 }, // 1612
  { 0x7, 0x0, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG7EI32_V_M1_MF4 }, // 1613
  { 0x7, 0x0, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG7EI32_V_MF2_MF4 }, // 1614
  { 0x7, 0x0, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG7EI32_V_M1_MF2 }, // 1615
  { 0x7, 0x0, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG7EI32_V_M2_MF2 }, // 1616
  { 0x7, 0x0, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG7EI32_V_MF2_MF2 }, // 1617
  { 0x7, 0x0, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG7EI64_V_M1_M1 }, // 1618
  { 0x7, 0x0, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG7EI64_V_M2_M1 }, // 1619
  { 0x7, 0x0, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG7EI64_V_M4_M1 }, // 1620
  { 0x7, 0x0, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG7EI64_V_M8_M1 }, // 1621
  { 0x7, 0x0, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG7EI64_V_M1_MF8 }, // 1622
  { 0x7, 0x0, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG7EI64_V_M1_MF4 }, // 1623
  { 0x7, 0x0, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG7EI64_V_M2_MF4 }, // 1624
  { 0x7, 0x0, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG7EI64_V_M1_MF2 }, // 1625
  { 0x7, 0x0, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG7EI64_V_M2_MF2 }, // 1626
  { 0x7, 0x0, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG7EI64_V_M4_MF2 }, // 1627
  { 0x7, 0x0, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG7EI8_V_M1_M1_TU }, // 1628
  { 0x7, 0x0, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG7EI8_V_MF8_M1_TU }, // 1629
  { 0x7, 0x0, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG7EI8_V_MF4_M1_TU }, // 1630
  { 0x7, 0x0, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG7EI8_V_MF2_M1_TU }, // 1631
  { 0x7, 0x0, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG7EI8_V_MF8_MF8_TU }, // 1632
  { 0x7, 0x0, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG7EI8_V_MF8_MF4_TU }, // 1633
  { 0x7, 0x0, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG7EI8_V_MF4_MF4_TU }, // 1634
  { 0x7, 0x0, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG7EI8_V_MF8_MF2_TU }, // 1635
  { 0x7, 0x0, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG7EI8_V_MF4_MF2_TU }, // 1636
  { 0x7, 0x0, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG7EI8_V_MF2_MF2_TU }, // 1637
  { 0x7, 0x0, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG7EI16_V_M1_M1_TU }, // 1638
  { 0x7, 0x0, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG7EI16_V_M2_M1_TU }, // 1639
  { 0x7, 0x0, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG7EI16_V_MF4_M1_TU }, // 1640
  { 0x7, 0x0, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG7EI16_V_MF2_M1_TU }, // 1641
  { 0x7, 0x0, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG7EI16_V_MF4_MF8_TU }, // 1642
  { 0x7, 0x0, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG7EI16_V_MF4_MF4_TU }, // 1643
  { 0x7, 0x0, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG7EI16_V_MF2_MF4_TU }, // 1644
  { 0x7, 0x0, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG7EI16_V_M1_MF2_TU }, // 1645
  { 0x7, 0x0, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG7EI16_V_MF4_MF2_TU }, // 1646
  { 0x7, 0x0, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG7EI16_V_MF2_MF2_TU }, // 1647
  { 0x7, 0x0, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG7EI32_V_M1_M1_TU }, // 1648
  { 0x7, 0x0, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG7EI32_V_M2_M1_TU }, // 1649
  { 0x7, 0x0, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG7EI32_V_M4_M1_TU }, // 1650
  { 0x7, 0x0, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG7EI32_V_MF2_M1_TU }, // 1651
  { 0x7, 0x0, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG7EI32_V_MF2_MF8_TU }, // 1652
  { 0x7, 0x0, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG7EI32_V_M1_MF4_TU }, // 1653
  { 0x7, 0x0, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG7EI32_V_MF2_MF4_TU }, // 1654
  { 0x7, 0x0, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG7EI32_V_M1_MF2_TU }, // 1655
  { 0x7, 0x0, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG7EI32_V_M2_MF2_TU }, // 1656
  { 0x7, 0x0, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG7EI32_V_MF2_MF2_TU }, // 1657
  { 0x7, 0x0, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG7EI64_V_M1_M1_TU }, // 1658
  { 0x7, 0x0, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG7EI64_V_M2_M1_TU }, // 1659
  { 0x7, 0x0, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG7EI64_V_M4_M1_TU }, // 1660
  { 0x7, 0x0, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG7EI64_V_M8_M1_TU }, // 1661
  { 0x7, 0x0, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG7EI64_V_M1_MF8_TU }, // 1662
  { 0x7, 0x0, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG7EI64_V_M1_MF4_TU }, // 1663
  { 0x7, 0x0, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG7EI64_V_M2_MF4_TU }, // 1664
  { 0x7, 0x0, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG7EI64_V_M1_MF2_TU }, // 1665
  { 0x7, 0x0, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG7EI64_V_M2_MF2_TU }, // 1666
  { 0x7, 0x0, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG7EI64_V_M4_MF2_TU }, // 1667
  { 0x7, 0x0, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG7EI8_V_M1_M1_TU }, // 1668
  { 0x7, 0x0, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG7EI8_V_MF8_M1_TU }, // 1669
  { 0x7, 0x0, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG7EI8_V_MF4_M1_TU }, // 1670
  { 0x7, 0x0, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG7EI8_V_MF2_M1_TU }, // 1671
  { 0x7, 0x0, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG7EI8_V_MF8_MF8_TU }, // 1672
  { 0x7, 0x0, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG7EI8_V_MF8_MF4_TU }, // 1673
  { 0x7, 0x0, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG7EI8_V_MF4_MF4_TU }, // 1674
  { 0x7, 0x0, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG7EI8_V_MF8_MF2_TU }, // 1675
  { 0x7, 0x0, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG7EI8_V_MF4_MF2_TU }, // 1676
  { 0x7, 0x0, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG7EI8_V_MF2_MF2_TU }, // 1677
  { 0x7, 0x0, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG7EI16_V_M1_M1_TU }, // 1678
  { 0x7, 0x0, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG7EI16_V_M2_M1_TU }, // 1679
  { 0x7, 0x0, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG7EI16_V_MF4_M1_TU }, // 1680
  { 0x7, 0x0, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG7EI16_V_MF2_M1_TU }, // 1681
  { 0x7, 0x0, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG7EI16_V_MF4_MF8_TU }, // 1682
  { 0x7, 0x0, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG7EI16_V_MF4_MF4_TU }, // 1683
  { 0x7, 0x0, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG7EI16_V_MF2_MF4_TU }, // 1684
  { 0x7, 0x0, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG7EI16_V_M1_MF2_TU }, // 1685
  { 0x7, 0x0, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG7EI16_V_MF4_MF2_TU }, // 1686
  { 0x7, 0x0, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG7EI16_V_MF2_MF2_TU }, // 1687
  { 0x7, 0x0, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG7EI32_V_M1_M1_TU }, // 1688
  { 0x7, 0x0, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG7EI32_V_M2_M1_TU }, // 1689
  { 0x7, 0x0, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG7EI32_V_M4_M1_TU }, // 1690
  { 0x7, 0x0, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG7EI32_V_MF2_M1_TU }, // 1691
  { 0x7, 0x0, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG7EI32_V_MF2_MF8_TU }, // 1692
  { 0x7, 0x0, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG7EI32_V_M1_MF4_TU }, // 1693
  { 0x7, 0x0, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG7EI32_V_MF2_MF4_TU }, // 1694
  { 0x7, 0x0, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG7EI32_V_M1_MF2_TU }, // 1695
  { 0x7, 0x0, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG7EI32_V_M2_MF2_TU }, // 1696
  { 0x7, 0x0, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG7EI32_V_MF2_MF2_TU }, // 1697
  { 0x7, 0x0, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG7EI64_V_M1_M1_TU }, // 1698
  { 0x7, 0x0, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG7EI64_V_M2_M1_TU }, // 1699
  { 0x7, 0x0, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG7EI64_V_M4_M1_TU }, // 1700
  { 0x7, 0x0, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG7EI64_V_M8_M1_TU }, // 1701
  { 0x7, 0x0, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG7EI64_V_M1_MF8_TU }, // 1702
  { 0x7, 0x0, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG7EI64_V_M1_MF4_TU }, // 1703
  { 0x7, 0x0, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG7EI64_V_M2_MF4_TU }, // 1704
  { 0x7, 0x0, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG7EI64_V_M1_MF2_TU }, // 1705
  { 0x7, 0x0, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG7EI64_V_M2_MF2_TU }, // 1706
  { 0x7, 0x0, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG7EI64_V_M4_MF2_TU }, // 1707
  { 0x7, 0x1, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG7EI8_V_M1_M1_MASK }, // 1708
  { 0x7, 0x1, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG7EI8_V_MF8_M1_MASK }, // 1709
  { 0x7, 0x1, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG7EI8_V_MF4_M1_MASK }, // 1710
  { 0x7, 0x1, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG7EI8_V_MF2_M1_MASK }, // 1711
  { 0x7, 0x1, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG7EI8_V_MF8_MF8_MASK }, // 1712
  { 0x7, 0x1, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG7EI8_V_MF8_MF4_MASK }, // 1713
  { 0x7, 0x1, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG7EI8_V_MF4_MF4_MASK }, // 1714
  { 0x7, 0x1, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG7EI8_V_MF8_MF2_MASK }, // 1715
  { 0x7, 0x1, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG7EI8_V_MF4_MF2_MASK }, // 1716
  { 0x7, 0x1, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG7EI8_V_MF2_MF2_MASK }, // 1717
  { 0x7, 0x1, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG7EI16_V_M1_M1_MASK }, // 1718
  { 0x7, 0x1, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG7EI16_V_M2_M1_MASK }, // 1719
  { 0x7, 0x1, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG7EI16_V_MF4_M1_MASK }, // 1720
  { 0x7, 0x1, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG7EI16_V_MF2_M1_MASK }, // 1721
  { 0x7, 0x1, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG7EI16_V_MF4_MF8_MASK }, // 1722
  { 0x7, 0x1, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG7EI16_V_MF4_MF4_MASK }, // 1723
  { 0x7, 0x1, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG7EI16_V_MF2_MF4_MASK }, // 1724
  { 0x7, 0x1, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG7EI16_V_M1_MF2_MASK }, // 1725
  { 0x7, 0x1, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG7EI16_V_MF4_MF2_MASK }, // 1726
  { 0x7, 0x1, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG7EI16_V_MF2_MF2_MASK }, // 1727
  { 0x7, 0x1, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG7EI32_V_M1_M1_MASK }, // 1728
  { 0x7, 0x1, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG7EI32_V_M2_M1_MASK }, // 1729
  { 0x7, 0x1, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG7EI32_V_M4_M1_MASK }, // 1730
  { 0x7, 0x1, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG7EI32_V_MF2_M1_MASK }, // 1731
  { 0x7, 0x1, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG7EI32_V_MF2_MF8_MASK }, // 1732
  { 0x7, 0x1, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG7EI32_V_M1_MF4_MASK }, // 1733
  { 0x7, 0x1, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG7EI32_V_MF2_MF4_MASK }, // 1734
  { 0x7, 0x1, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG7EI32_V_M1_MF2_MASK }, // 1735
  { 0x7, 0x1, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG7EI32_V_M2_MF2_MASK }, // 1736
  { 0x7, 0x1, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG7EI32_V_MF2_MF2_MASK }, // 1737
  { 0x7, 0x1, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG7EI64_V_M1_M1_MASK }, // 1738
  { 0x7, 0x1, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG7EI64_V_M2_M1_MASK }, // 1739
  { 0x7, 0x1, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG7EI64_V_M4_M1_MASK }, // 1740
  { 0x7, 0x1, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG7EI64_V_M8_M1_MASK }, // 1741
  { 0x7, 0x1, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG7EI64_V_M1_MF8_MASK }, // 1742
  { 0x7, 0x1, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG7EI64_V_M1_MF4_MASK }, // 1743
  { 0x7, 0x1, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG7EI64_V_M2_MF4_MASK }, // 1744
  { 0x7, 0x1, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG7EI64_V_M1_MF2_MASK }, // 1745
  { 0x7, 0x1, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG7EI64_V_M2_MF2_MASK }, // 1746
  { 0x7, 0x1, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG7EI64_V_M4_MF2_MASK }, // 1747
  { 0x7, 0x1, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG7EI8_V_M1_M1_MASK }, // 1748
  { 0x7, 0x1, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG7EI8_V_MF8_M1_MASK }, // 1749
  { 0x7, 0x1, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG7EI8_V_MF4_M1_MASK }, // 1750
  { 0x7, 0x1, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG7EI8_V_MF2_M1_MASK }, // 1751
  { 0x7, 0x1, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG7EI8_V_MF8_MF8_MASK }, // 1752
  { 0x7, 0x1, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG7EI8_V_MF8_MF4_MASK }, // 1753
  { 0x7, 0x1, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG7EI8_V_MF4_MF4_MASK }, // 1754
  { 0x7, 0x1, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG7EI8_V_MF8_MF2_MASK }, // 1755
  { 0x7, 0x1, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG7EI8_V_MF4_MF2_MASK }, // 1756
  { 0x7, 0x1, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG7EI8_V_MF2_MF2_MASK }, // 1757
  { 0x7, 0x1, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG7EI16_V_M1_M1_MASK }, // 1758
  { 0x7, 0x1, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG7EI16_V_M2_M1_MASK }, // 1759
  { 0x7, 0x1, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG7EI16_V_MF4_M1_MASK }, // 1760
  { 0x7, 0x1, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG7EI16_V_MF2_M1_MASK }, // 1761
  { 0x7, 0x1, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG7EI16_V_MF4_MF8_MASK }, // 1762
  { 0x7, 0x1, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG7EI16_V_MF4_MF4_MASK }, // 1763
  { 0x7, 0x1, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG7EI16_V_MF2_MF4_MASK }, // 1764
  { 0x7, 0x1, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG7EI16_V_M1_MF2_MASK }, // 1765
  { 0x7, 0x1, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG7EI16_V_MF4_MF2_MASK }, // 1766
  { 0x7, 0x1, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG7EI16_V_MF2_MF2_MASK }, // 1767
  { 0x7, 0x1, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG7EI32_V_M1_M1_MASK }, // 1768
  { 0x7, 0x1, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG7EI32_V_M2_M1_MASK }, // 1769
  { 0x7, 0x1, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG7EI32_V_M4_M1_MASK }, // 1770
  { 0x7, 0x1, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG7EI32_V_MF2_M1_MASK }, // 1771
  { 0x7, 0x1, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG7EI32_V_MF2_MF8_MASK }, // 1772
  { 0x7, 0x1, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG7EI32_V_M1_MF4_MASK }, // 1773
  { 0x7, 0x1, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG7EI32_V_MF2_MF4_MASK }, // 1774
  { 0x7, 0x1, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG7EI32_V_M1_MF2_MASK }, // 1775
  { 0x7, 0x1, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG7EI32_V_M2_MF2_MASK }, // 1776
  { 0x7, 0x1, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG7EI32_V_MF2_MF2_MASK }, // 1777
  { 0x7, 0x1, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG7EI64_V_M1_M1_MASK }, // 1778
  { 0x7, 0x1, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG7EI64_V_M2_M1_MASK }, // 1779
  { 0x7, 0x1, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG7EI64_V_M4_M1_MASK }, // 1780
  { 0x7, 0x1, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG7EI64_V_M8_M1_MASK }, // 1781
  { 0x7, 0x1, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG7EI64_V_M1_MF8_MASK }, // 1782
  { 0x7, 0x1, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG7EI64_V_M1_MF4_MASK }, // 1783
  { 0x7, 0x1, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG7EI64_V_M2_MF4_MASK }, // 1784
  { 0x7, 0x1, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG7EI64_V_M1_MF2_MASK }, // 1785
  { 0x7, 0x1, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG7EI64_V_M2_MF2_MASK }, // 1786
  { 0x7, 0x1, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG7EI64_V_M4_MF2_MASK }, // 1787
  { 0x8, 0x0, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG8EI8_V_M1_M1 }, // 1788
  { 0x8, 0x0, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG8EI8_V_MF8_M1 }, // 1789
  { 0x8, 0x0, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG8EI8_V_MF4_M1 }, // 1790
  { 0x8, 0x0, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG8EI8_V_MF2_M1 }, // 1791
  { 0x8, 0x0, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG8EI8_V_MF8_MF8 }, // 1792
  { 0x8, 0x0, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG8EI8_V_MF8_MF4 }, // 1793
  { 0x8, 0x0, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG8EI8_V_MF4_MF4 }, // 1794
  { 0x8, 0x0, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG8EI8_V_MF8_MF2 }, // 1795
  { 0x8, 0x0, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG8EI8_V_MF4_MF2 }, // 1796
  { 0x8, 0x0, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG8EI8_V_MF2_MF2 }, // 1797
  { 0x8, 0x0, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG8EI16_V_M1_M1 }, // 1798
  { 0x8, 0x0, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG8EI16_V_M2_M1 }, // 1799
  { 0x8, 0x0, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG8EI16_V_MF4_M1 }, // 1800
  { 0x8, 0x0, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG8EI16_V_MF2_M1 }, // 1801
  { 0x8, 0x0, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG8EI16_V_MF4_MF8 }, // 1802
  { 0x8, 0x0, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG8EI16_V_MF4_MF4 }, // 1803
  { 0x8, 0x0, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG8EI16_V_MF2_MF4 }, // 1804
  { 0x8, 0x0, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG8EI16_V_M1_MF2 }, // 1805
  { 0x8, 0x0, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG8EI16_V_MF4_MF2 }, // 1806
  { 0x8, 0x0, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG8EI16_V_MF2_MF2 }, // 1807
  { 0x8, 0x0, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG8EI32_V_M1_M1 }, // 1808
  { 0x8, 0x0, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG8EI32_V_M2_M1 }, // 1809
  { 0x8, 0x0, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG8EI32_V_M4_M1 }, // 1810
  { 0x8, 0x0, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG8EI32_V_MF2_M1 }, // 1811
  { 0x8, 0x0, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG8EI32_V_MF2_MF8 }, // 1812
  { 0x8, 0x0, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG8EI32_V_M1_MF4 }, // 1813
  { 0x8, 0x0, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG8EI32_V_MF2_MF4 }, // 1814
  { 0x8, 0x0, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG8EI32_V_M1_MF2 }, // 1815
  { 0x8, 0x0, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG8EI32_V_M2_MF2 }, // 1816
  { 0x8, 0x0, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG8EI32_V_MF2_MF2 }, // 1817
  { 0x8, 0x0, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG8EI64_V_M1_M1 }, // 1818
  { 0x8, 0x0, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG8EI64_V_M2_M1 }, // 1819
  { 0x8, 0x0, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG8EI64_V_M4_M1 }, // 1820
  { 0x8, 0x0, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG8EI64_V_M8_M1 }, // 1821
  { 0x8, 0x0, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG8EI64_V_M1_MF8 }, // 1822
  { 0x8, 0x0, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG8EI64_V_M1_MF4 }, // 1823
  { 0x8, 0x0, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG8EI64_V_M2_MF4 }, // 1824
  { 0x8, 0x0, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG8EI64_V_M1_MF2 }, // 1825
  { 0x8, 0x0, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG8EI64_V_M2_MF2 }, // 1826
  { 0x8, 0x0, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG8EI64_V_M4_MF2 }, // 1827
  { 0x8, 0x0, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG8EI8_V_M1_M1 }, // 1828
  { 0x8, 0x0, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG8EI8_V_MF8_M1 }, // 1829
  { 0x8, 0x0, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG8EI8_V_MF4_M1 }, // 1830
  { 0x8, 0x0, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG8EI8_V_MF2_M1 }, // 1831
  { 0x8, 0x0, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG8EI8_V_MF8_MF8 }, // 1832
  { 0x8, 0x0, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG8EI8_V_MF8_MF4 }, // 1833
  { 0x8, 0x0, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG8EI8_V_MF4_MF4 }, // 1834
  { 0x8, 0x0, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG8EI8_V_MF8_MF2 }, // 1835
  { 0x8, 0x0, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG8EI8_V_MF4_MF2 }, // 1836
  { 0x8, 0x0, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG8EI8_V_MF2_MF2 }, // 1837
  { 0x8, 0x0, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG8EI16_V_M1_M1 }, // 1838
  { 0x8, 0x0, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG8EI16_V_M2_M1 }, // 1839
  { 0x8, 0x0, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG8EI16_V_MF4_M1 }, // 1840
  { 0x8, 0x0, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG8EI16_V_MF2_M1 }, // 1841
  { 0x8, 0x0, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG8EI16_V_MF4_MF8 }, // 1842
  { 0x8, 0x0, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG8EI16_V_MF4_MF4 }, // 1843
  { 0x8, 0x0, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG8EI16_V_MF2_MF4 }, // 1844
  { 0x8, 0x0, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG8EI16_V_M1_MF2 }, // 1845
  { 0x8, 0x0, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG8EI16_V_MF4_MF2 }, // 1846
  { 0x8, 0x0, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG8EI16_V_MF2_MF2 }, // 1847
  { 0x8, 0x0, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG8EI32_V_M1_M1 }, // 1848
  { 0x8, 0x0, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG8EI32_V_M2_M1 }, // 1849
  { 0x8, 0x0, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG8EI32_V_M4_M1 }, // 1850
  { 0x8, 0x0, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG8EI32_V_MF2_M1 }, // 1851
  { 0x8, 0x0, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG8EI32_V_MF2_MF8 }, // 1852
  { 0x8, 0x0, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG8EI32_V_M1_MF4 }, // 1853
  { 0x8, 0x0, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG8EI32_V_MF2_MF4 }, // 1854
  { 0x8, 0x0, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG8EI32_V_M1_MF2 }, // 1855
  { 0x8, 0x0, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG8EI32_V_M2_MF2 }, // 1856
  { 0x8, 0x0, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG8EI32_V_MF2_MF2 }, // 1857
  { 0x8, 0x0, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG8EI64_V_M1_M1 }, // 1858
  { 0x8, 0x0, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG8EI64_V_M2_M1 }, // 1859
  { 0x8, 0x0, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG8EI64_V_M4_M1 }, // 1860
  { 0x8, 0x0, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG8EI64_V_M8_M1 }, // 1861
  { 0x8, 0x0, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG8EI64_V_M1_MF8 }, // 1862
  { 0x8, 0x0, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG8EI64_V_M1_MF4 }, // 1863
  { 0x8, 0x0, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG8EI64_V_M2_MF4 }, // 1864
  { 0x8, 0x0, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG8EI64_V_M1_MF2 }, // 1865
  { 0x8, 0x0, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG8EI64_V_M2_MF2 }, // 1866
  { 0x8, 0x0, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG8EI64_V_M4_MF2 }, // 1867
  { 0x8, 0x0, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG8EI8_V_M1_M1_TU }, // 1868
  { 0x8, 0x0, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG8EI8_V_MF8_M1_TU }, // 1869
  { 0x8, 0x0, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG8EI8_V_MF4_M1_TU }, // 1870
  { 0x8, 0x0, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG8EI8_V_MF2_M1_TU }, // 1871
  { 0x8, 0x0, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG8EI8_V_MF8_MF8_TU }, // 1872
  { 0x8, 0x0, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG8EI8_V_MF8_MF4_TU }, // 1873
  { 0x8, 0x0, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG8EI8_V_MF4_MF4_TU }, // 1874
  { 0x8, 0x0, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG8EI8_V_MF8_MF2_TU }, // 1875
  { 0x8, 0x0, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG8EI8_V_MF4_MF2_TU }, // 1876
  { 0x8, 0x0, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG8EI8_V_MF2_MF2_TU }, // 1877
  { 0x8, 0x0, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG8EI16_V_M1_M1_TU }, // 1878
  { 0x8, 0x0, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG8EI16_V_M2_M1_TU }, // 1879
  { 0x8, 0x0, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG8EI16_V_MF4_M1_TU }, // 1880
  { 0x8, 0x0, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG8EI16_V_MF2_M1_TU }, // 1881
  { 0x8, 0x0, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG8EI16_V_MF4_MF8_TU }, // 1882
  { 0x8, 0x0, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG8EI16_V_MF4_MF4_TU }, // 1883
  { 0x8, 0x0, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG8EI16_V_MF2_MF4_TU }, // 1884
  { 0x8, 0x0, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG8EI16_V_M1_MF2_TU }, // 1885
  { 0x8, 0x0, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG8EI16_V_MF4_MF2_TU }, // 1886
  { 0x8, 0x0, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG8EI16_V_MF2_MF2_TU }, // 1887
  { 0x8, 0x0, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG8EI32_V_M1_M1_TU }, // 1888
  { 0x8, 0x0, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG8EI32_V_M2_M1_TU }, // 1889
  { 0x8, 0x0, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG8EI32_V_M4_M1_TU }, // 1890
  { 0x8, 0x0, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG8EI32_V_MF2_M1_TU }, // 1891
  { 0x8, 0x0, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG8EI32_V_MF2_MF8_TU }, // 1892
  { 0x8, 0x0, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG8EI32_V_M1_MF4_TU }, // 1893
  { 0x8, 0x0, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG8EI32_V_MF2_MF4_TU }, // 1894
  { 0x8, 0x0, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG8EI32_V_M1_MF2_TU }, // 1895
  { 0x8, 0x0, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG8EI32_V_M2_MF2_TU }, // 1896
  { 0x8, 0x0, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG8EI32_V_MF2_MF2_TU }, // 1897
  { 0x8, 0x0, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG8EI64_V_M1_M1_TU }, // 1898
  { 0x8, 0x0, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG8EI64_V_M2_M1_TU }, // 1899
  { 0x8, 0x0, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG8EI64_V_M4_M1_TU }, // 1900
  { 0x8, 0x0, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG8EI64_V_M8_M1_TU }, // 1901
  { 0x8, 0x0, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG8EI64_V_M1_MF8_TU }, // 1902
  { 0x8, 0x0, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG8EI64_V_M1_MF4_TU }, // 1903
  { 0x8, 0x0, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG8EI64_V_M2_MF4_TU }, // 1904
  { 0x8, 0x0, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG8EI64_V_M1_MF2_TU }, // 1905
  { 0x8, 0x0, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG8EI64_V_M2_MF2_TU }, // 1906
  { 0x8, 0x0, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG8EI64_V_M4_MF2_TU }, // 1907
  { 0x8, 0x0, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG8EI8_V_M1_M1_TU }, // 1908
  { 0x8, 0x0, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG8EI8_V_MF8_M1_TU }, // 1909
  { 0x8, 0x0, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG8EI8_V_MF4_M1_TU }, // 1910
  { 0x8, 0x0, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG8EI8_V_MF2_M1_TU }, // 1911
  { 0x8, 0x0, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG8EI8_V_MF8_MF8_TU }, // 1912
  { 0x8, 0x0, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG8EI8_V_MF8_MF4_TU }, // 1913
  { 0x8, 0x0, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG8EI8_V_MF4_MF4_TU }, // 1914
  { 0x8, 0x0, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG8EI8_V_MF8_MF2_TU }, // 1915
  { 0x8, 0x0, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG8EI8_V_MF4_MF2_TU }, // 1916
  { 0x8, 0x0, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG8EI8_V_MF2_MF2_TU }, // 1917
  { 0x8, 0x0, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG8EI16_V_M1_M1_TU }, // 1918
  { 0x8, 0x0, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG8EI16_V_M2_M1_TU }, // 1919
  { 0x8, 0x0, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG8EI16_V_MF4_M1_TU }, // 1920
  { 0x8, 0x0, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG8EI16_V_MF2_M1_TU }, // 1921
  { 0x8, 0x0, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG8EI16_V_MF4_MF8_TU }, // 1922
  { 0x8, 0x0, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG8EI16_V_MF4_MF4_TU }, // 1923
  { 0x8, 0x0, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG8EI16_V_MF2_MF4_TU }, // 1924
  { 0x8, 0x0, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG8EI16_V_M1_MF2_TU }, // 1925
  { 0x8, 0x0, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG8EI16_V_MF4_MF2_TU }, // 1926
  { 0x8, 0x0, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG8EI16_V_MF2_MF2_TU }, // 1927
  { 0x8, 0x0, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG8EI32_V_M1_M1_TU }, // 1928
  { 0x8, 0x0, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG8EI32_V_M2_M1_TU }, // 1929
  { 0x8, 0x0, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG8EI32_V_M4_M1_TU }, // 1930
  { 0x8, 0x0, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG8EI32_V_MF2_M1_TU }, // 1931
  { 0x8, 0x0, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG8EI32_V_MF2_MF8_TU }, // 1932
  { 0x8, 0x0, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG8EI32_V_M1_MF4_TU }, // 1933
  { 0x8, 0x0, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG8EI32_V_MF2_MF4_TU }, // 1934
  { 0x8, 0x0, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG8EI32_V_M1_MF2_TU }, // 1935
  { 0x8, 0x0, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG8EI32_V_M2_MF2_TU }, // 1936
  { 0x8, 0x0, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG8EI32_V_MF2_MF2_TU }, // 1937
  { 0x8, 0x0, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG8EI64_V_M1_M1_TU }, // 1938
  { 0x8, 0x0, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG8EI64_V_M2_M1_TU }, // 1939
  { 0x8, 0x0, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG8EI64_V_M4_M1_TU }, // 1940
  { 0x8, 0x0, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG8EI64_V_M8_M1_TU }, // 1941
  { 0x8, 0x0, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG8EI64_V_M1_MF8_TU }, // 1942
  { 0x8, 0x0, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG8EI64_V_M1_MF4_TU }, // 1943
  { 0x8, 0x0, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG8EI64_V_M2_MF4_TU }, // 1944
  { 0x8, 0x0, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG8EI64_V_M1_MF2_TU }, // 1945
  { 0x8, 0x0, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG8EI64_V_M2_MF2_TU }, // 1946
  { 0x8, 0x0, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG8EI64_V_M4_MF2_TU }, // 1947
  { 0x8, 0x1, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXSEG8EI8_V_M1_M1_MASK }, // 1948
  { 0x8, 0x1, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXSEG8EI8_V_MF8_M1_MASK }, // 1949
  { 0x8, 0x1, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXSEG8EI8_V_MF4_M1_MASK }, // 1950
  { 0x8, 0x1, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXSEG8EI8_V_MF2_M1_MASK }, // 1951
  { 0x8, 0x1, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXSEG8EI8_V_MF8_MF8_MASK }, // 1952
  { 0x8, 0x1, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXSEG8EI8_V_MF8_MF4_MASK }, // 1953
  { 0x8, 0x1, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXSEG8EI8_V_MF4_MF4_MASK }, // 1954
  { 0x8, 0x1, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXSEG8EI8_V_MF8_MF2_MASK }, // 1955
  { 0x8, 0x1, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXSEG8EI8_V_MF4_MF2_MASK }, // 1956
  { 0x8, 0x1, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXSEG8EI8_V_MF2_MF2_MASK }, // 1957
  { 0x8, 0x1, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXSEG8EI16_V_M1_M1_MASK }, // 1958
  { 0x8, 0x1, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXSEG8EI16_V_M2_M1_MASK }, // 1959
  { 0x8, 0x1, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXSEG8EI16_V_MF4_M1_MASK }, // 1960
  { 0x8, 0x1, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXSEG8EI16_V_MF2_M1_MASK }, // 1961
  { 0x8, 0x1, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXSEG8EI16_V_MF4_MF8_MASK }, // 1962
  { 0x8, 0x1, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXSEG8EI16_V_MF4_MF4_MASK }, // 1963
  { 0x8, 0x1, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXSEG8EI16_V_MF2_MF4_MASK }, // 1964
  { 0x8, 0x1, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXSEG8EI16_V_M1_MF2_MASK }, // 1965
  { 0x8, 0x1, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXSEG8EI16_V_MF4_MF2_MASK }, // 1966
  { 0x8, 0x1, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXSEG8EI16_V_MF2_MF2_MASK }, // 1967
  { 0x8, 0x1, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXSEG8EI32_V_M1_M1_MASK }, // 1968
  { 0x8, 0x1, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXSEG8EI32_V_M2_M1_MASK }, // 1969
  { 0x8, 0x1, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXSEG8EI32_V_M4_M1_MASK }, // 1970
  { 0x8, 0x1, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXSEG8EI32_V_MF2_M1_MASK }, // 1971
  { 0x8, 0x1, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXSEG8EI32_V_MF2_MF8_MASK }, // 1972
  { 0x8, 0x1, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXSEG8EI32_V_M1_MF4_MASK }, // 1973
  { 0x8, 0x1, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXSEG8EI32_V_MF2_MF4_MASK }, // 1974
  { 0x8, 0x1, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXSEG8EI32_V_M1_MF2_MASK }, // 1975
  { 0x8, 0x1, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXSEG8EI32_V_M2_MF2_MASK }, // 1976
  { 0x8, 0x1, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXSEG8EI32_V_MF2_MF2_MASK }, // 1977
  { 0x8, 0x1, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXSEG8EI64_V_M1_M1_MASK }, // 1978
  { 0x8, 0x1, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXSEG8EI64_V_M2_M1_MASK }, // 1979
  { 0x8, 0x1, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXSEG8EI64_V_M4_M1_MASK }, // 1980
  { 0x8, 0x1, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXSEG8EI64_V_M8_M1_MASK }, // 1981
  { 0x8, 0x1, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXSEG8EI64_V_M1_MF8_MASK }, // 1982
  { 0x8, 0x1, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXSEG8EI64_V_M1_MF4_MASK }, // 1983
  { 0x8, 0x1, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXSEG8EI64_V_M2_MF4_MASK }, // 1984
  { 0x8, 0x1, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXSEG8EI64_V_M1_MF2_MASK }, // 1985
  { 0x8, 0x1, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXSEG8EI64_V_M2_MF2_MASK }, // 1986
  { 0x8, 0x1, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXSEG8EI64_V_M4_MF2_MASK }, // 1987
  { 0x8, 0x1, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXSEG8EI8_V_M1_M1_MASK }, // 1988
  { 0x8, 0x1, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXSEG8EI8_V_MF8_M1_MASK }, // 1989
  { 0x8, 0x1, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXSEG8EI8_V_MF4_M1_MASK }, // 1990
  { 0x8, 0x1, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXSEG8EI8_V_MF2_M1_MASK }, // 1991
  { 0x8, 0x1, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXSEG8EI8_V_MF8_MF8_MASK }, // 1992
  { 0x8, 0x1, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXSEG8EI8_V_MF8_MF4_MASK }, // 1993
  { 0x8, 0x1, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXSEG8EI8_V_MF4_MF4_MASK }, // 1994
  { 0x8, 0x1, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXSEG8EI8_V_MF8_MF2_MASK }, // 1995
  { 0x8, 0x1, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXSEG8EI8_V_MF4_MF2_MASK }, // 1996
  { 0x8, 0x1, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXSEG8EI8_V_MF2_MF2_MASK }, // 1997
  { 0x8, 0x1, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXSEG8EI16_V_M1_M1_MASK }, // 1998
  { 0x8, 0x1, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXSEG8EI16_V_M2_M1_MASK }, // 1999
  { 0x8, 0x1, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXSEG8EI16_V_MF4_M1_MASK }, // 2000
  { 0x8, 0x1, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXSEG8EI16_V_MF2_M1_MASK }, // 2001
  { 0x8, 0x1, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXSEG8EI16_V_MF4_MF8_MASK }, // 2002
  { 0x8, 0x1, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXSEG8EI16_V_MF4_MF4_MASK }, // 2003
  { 0x8, 0x1, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXSEG8EI16_V_MF2_MF4_MASK }, // 2004
  { 0x8, 0x1, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXSEG8EI16_V_M1_MF2_MASK }, // 2005
  { 0x8, 0x1, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXSEG8EI16_V_MF4_MF2_MASK }, // 2006
  { 0x8, 0x1, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXSEG8EI16_V_MF2_MF2_MASK }, // 2007
  { 0x8, 0x1, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXSEG8EI32_V_M1_M1_MASK }, // 2008
  { 0x8, 0x1, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXSEG8EI32_V_M2_M1_MASK }, // 2009
  { 0x8, 0x1, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXSEG8EI32_V_M4_M1_MASK }, // 2010
  { 0x8, 0x1, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXSEG8EI32_V_MF2_M1_MASK }, // 2011
  { 0x8, 0x1, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXSEG8EI32_V_MF2_MF8_MASK }, // 2012
  { 0x8, 0x1, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXSEG8EI32_V_M1_MF4_MASK }, // 2013
  { 0x8, 0x1, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXSEG8EI32_V_MF2_MF4_MASK }, // 2014
  { 0x8, 0x1, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXSEG8EI32_V_M1_MF2_MASK }, // 2015
  { 0x8, 0x1, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXSEG8EI32_V_M2_MF2_MASK }, // 2016
  { 0x8, 0x1, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXSEG8EI32_V_MF2_MF2_MASK }, // 2017
  { 0x8, 0x1, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXSEG8EI64_V_M1_M1_MASK }, // 2018
  { 0x8, 0x1, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXSEG8EI64_V_M2_M1_MASK }, // 2019
  { 0x8, 0x1, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXSEG8EI64_V_M4_M1_MASK }, // 2020
  { 0x8, 0x1, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXSEG8EI64_V_M8_M1_MASK }, // 2021
  { 0x8, 0x1, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXSEG8EI64_V_M1_MF8_MASK }, // 2022
  { 0x8, 0x1, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXSEG8EI64_V_M1_MF4_MASK }, // 2023
  { 0x8, 0x1, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXSEG8EI64_V_M2_MF4_MASK }, // 2024
  { 0x8, 0x1, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXSEG8EI64_V_M1_MF2_MASK }, // 2025
  { 0x8, 0x1, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXSEG8EI64_V_M2_MF2_MASK }, // 2026
  { 0x8, 0x1, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXSEG8EI64_V_M4_MF2_MASK }, // 2027
 };

const VLXSEGPseudo *getVLXSEGPseudo(uint8_t NF, uint8_t Masked, uint8_t IsTU, uint8_t Ordered, uint8_t Log2SEW, uint8_t LMUL, uint8_t IndexLMUL) {
  struct KeyType {
    uint8_t NF;
    uint8_t Masked;
    uint8_t IsTU;
    uint8_t Ordered;
    uint8_t Log2SEW;
    uint8_t LMUL;
    uint8_t IndexLMUL;
  };
  KeyType Key = {NF, Masked, IsTU, Ordered, Log2SEW, LMUL, IndexLMUL};
  auto Table = makeArrayRef(RISCVVLXSEGTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const VLXSEGPseudo &LHS, const KeyType &RHS) {
      if (LHS.NF < RHS.NF)
        return true;
      if (LHS.NF > RHS.NF)
        return false;
      if (LHS.Masked < RHS.Masked)
        return true;
      if (LHS.Masked > RHS.Masked)
        return false;
      if (LHS.IsTU < RHS.IsTU)
        return true;
      if (LHS.IsTU > RHS.IsTU)
        return false;
      if (LHS.Ordered < RHS.Ordered)
        return true;
      if (LHS.Ordered > RHS.Ordered)
        return false;
      if (LHS.Log2SEW < RHS.Log2SEW)
        return true;
      if (LHS.Log2SEW > RHS.Log2SEW)
        return false;
      if (LHS.LMUL < RHS.LMUL)
        return true;
      if (LHS.LMUL > RHS.LMUL)
        return false;
      if (LHS.IndexLMUL < RHS.IndexLMUL)
        return true;
      if (LHS.IndexLMUL > RHS.IndexLMUL)
        return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.NF != Idx->NF ||
      Key.Masked != Idx->Masked ||
      Key.IsTU != Idx->IsTU ||
      Key.Ordered != Idx->Ordered ||
      Key.Log2SEW != Idx->Log2SEW ||
      Key.LMUL != Idx->LMUL ||
      Key.IndexLMUL != Idx->IndexLMUL)
    return nullptr;
  return &*Idx;
}
#endif

#ifdef GET_RISCVVLXTable_DECL
const VLX_VSXPseudo *getVLXPseudo(uint8_t Masked, uint8_t IsTU, uint8_t Ordered, uint8_t Log2SEW, uint8_t LMUL, uint8_t IndexLMUL);
#endif

#ifdef GET_RISCVVLXTable_IMPL
constexpr VLX_VSXPseudo RISCVVLXTable[] = {
  { 0x0, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVLUXEI8_V_M1_M1 }, // 0
  { 0x0, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVLUXEI8_V_MF8_M1 }, // 1
  { 0x0, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVLUXEI8_V_MF4_M1 }, // 2
  { 0x0, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVLUXEI8_V_MF2_M1 }, // 3
  { 0x0, 0x0, 0x0, 0x3, 0x1, 0x0, PseudoVLUXEI8_V_M1_M2 }, // 4
  { 0x0, 0x0, 0x0, 0x3, 0x1, 0x1, PseudoVLUXEI8_V_M2_M2 }, // 5
  { 0x0, 0x0, 0x0, 0x3, 0x1, 0x6, PseudoVLUXEI8_V_MF4_M2 }, // 6
  { 0x0, 0x0, 0x0, 0x3, 0x1, 0x7, PseudoVLUXEI8_V_MF2_M2 }, // 7
  { 0x0, 0x0, 0x0, 0x3, 0x2, 0x0, PseudoVLUXEI8_V_M1_M4 }, // 8
  { 0x0, 0x0, 0x0, 0x3, 0x2, 0x1, PseudoVLUXEI8_V_M2_M4 }, // 9
  { 0x0, 0x0, 0x0, 0x3, 0x2, 0x2, PseudoVLUXEI8_V_M4_M4 }, // 10
  { 0x0, 0x0, 0x0, 0x3, 0x2, 0x7, PseudoVLUXEI8_V_MF2_M4 }, // 11
  { 0x0, 0x0, 0x0, 0x3, 0x3, 0x0, PseudoVLUXEI8_V_M1_M8 }, // 12
  { 0x0, 0x0, 0x0, 0x3, 0x3, 0x1, PseudoVLUXEI8_V_M2_M8 }, // 13
  { 0x0, 0x0, 0x0, 0x3, 0x3, 0x2, PseudoVLUXEI8_V_M4_M8 }, // 14
  { 0x0, 0x0, 0x0, 0x3, 0x3, 0x3, PseudoVLUXEI8_V_M8_M8 }, // 15
  { 0x0, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVLUXEI8_V_MF8_MF8 }, // 16
  { 0x0, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVLUXEI8_V_MF8_MF4 }, // 17
  { 0x0, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVLUXEI8_V_MF4_MF4 }, // 18
  { 0x0, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVLUXEI8_V_MF8_MF2 }, // 19
  { 0x0, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVLUXEI8_V_MF4_MF2 }, // 20
  { 0x0, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVLUXEI8_V_MF2_MF2 }, // 21
  { 0x0, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVLUXEI16_V_M1_M1 }, // 22
  { 0x0, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVLUXEI16_V_M2_M1 }, // 23
  { 0x0, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVLUXEI16_V_MF4_M1 }, // 24
  { 0x0, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVLUXEI16_V_MF2_M1 }, // 25
  { 0x0, 0x0, 0x0, 0x4, 0x1, 0x0, PseudoVLUXEI16_V_M1_M2 }, // 26
  { 0x0, 0x0, 0x0, 0x4, 0x1, 0x1, PseudoVLUXEI16_V_M2_M2 }, // 27
  { 0x0, 0x0, 0x0, 0x4, 0x1, 0x2, PseudoVLUXEI16_V_M4_M2 }, // 28
  { 0x0, 0x0, 0x0, 0x4, 0x1, 0x7, PseudoVLUXEI16_V_MF2_M2 }, // 29
  { 0x0, 0x0, 0x0, 0x4, 0x2, 0x0, PseudoVLUXEI16_V_M1_M4 }, // 30
  { 0x0, 0x0, 0x0, 0x4, 0x2, 0x1, PseudoVLUXEI16_V_M2_M4 }, // 31
  { 0x0, 0x0, 0x0, 0x4, 0x2, 0x2, PseudoVLUXEI16_V_M4_M4 }, // 32
  { 0x0, 0x0, 0x0, 0x4, 0x2, 0x3, PseudoVLUXEI16_V_M8_M4 }, // 33
  { 0x0, 0x0, 0x0, 0x4, 0x3, 0x1, PseudoVLUXEI16_V_M2_M8 }, // 34
  { 0x0, 0x0, 0x0, 0x4, 0x3, 0x2, PseudoVLUXEI16_V_M4_M8 }, // 35
  { 0x0, 0x0, 0x0, 0x4, 0x3, 0x3, PseudoVLUXEI16_V_M8_M8 }, // 36
  { 0x0, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVLUXEI16_V_MF4_MF8 }, // 37
  { 0x0, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVLUXEI16_V_MF4_MF4 }, // 38
  { 0x0, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVLUXEI16_V_MF2_MF4 }, // 39
  { 0x0, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVLUXEI16_V_M1_MF2 }, // 40
  { 0x0, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVLUXEI16_V_MF4_MF2 }, // 41
  { 0x0, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVLUXEI16_V_MF2_MF2 }, // 42
  { 0x0, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVLUXEI32_V_M1_M1 }, // 43
  { 0x0, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVLUXEI32_V_M2_M1 }, // 44
  { 0x0, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVLUXEI32_V_M4_M1 }, // 45
  { 0x0, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVLUXEI32_V_MF2_M1 }, // 46
  { 0x0, 0x0, 0x0, 0x5, 0x1, 0x0, PseudoVLUXEI32_V_M1_M2 }, // 47
  { 0x0, 0x0, 0x0, 0x5, 0x1, 0x1, PseudoVLUXEI32_V_M2_M2 }, // 48
  { 0x0, 0x0, 0x0, 0x5, 0x1, 0x2, PseudoVLUXEI32_V_M4_M2 }, // 49
  { 0x0, 0x0, 0x0, 0x5, 0x1, 0x3, PseudoVLUXEI32_V_M8_M2 }, // 50
  { 0x0, 0x0, 0x0, 0x5, 0x2, 0x1, PseudoVLUXEI32_V_M2_M4 }, // 51
  { 0x0, 0x0, 0x0, 0x5, 0x2, 0x2, PseudoVLUXEI32_V_M4_M4 }, // 52
  { 0x0, 0x0, 0x0, 0x5, 0x2, 0x3, PseudoVLUXEI32_V_M8_M4 }, // 53
  { 0x0, 0x0, 0x0, 0x5, 0x3, 0x2, PseudoVLUXEI32_V_M4_M8 }, // 54
  { 0x0, 0x0, 0x0, 0x5, 0x3, 0x3, PseudoVLUXEI32_V_M8_M8 }, // 55
  { 0x0, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVLUXEI32_V_MF2_MF8 }, // 56
  { 0x0, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVLUXEI32_V_M1_MF4 }, // 57
  { 0x0, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVLUXEI32_V_MF2_MF4 }, // 58
  { 0x0, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVLUXEI32_V_M1_MF2 }, // 59
  { 0x0, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVLUXEI32_V_M2_MF2 }, // 60
  { 0x0, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVLUXEI32_V_MF2_MF2 }, // 61
  { 0x0, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVLUXEI64_V_M1_M1 }, // 62
  { 0x0, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVLUXEI64_V_M2_M1 }, // 63
  { 0x0, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVLUXEI64_V_M4_M1 }, // 64
  { 0x0, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVLUXEI64_V_M8_M1 }, // 65
  { 0x0, 0x0, 0x0, 0x6, 0x1, 0x1, PseudoVLUXEI64_V_M2_M2 }, // 66
  { 0x0, 0x0, 0x0, 0x6, 0x1, 0x2, PseudoVLUXEI64_V_M4_M2 }, // 67
  { 0x0, 0x0, 0x0, 0x6, 0x1, 0x3, PseudoVLUXEI64_V_M8_M2 }, // 68
  { 0x0, 0x0, 0x0, 0x6, 0x2, 0x2, PseudoVLUXEI64_V_M4_M4 }, // 69
  { 0x0, 0x0, 0x0, 0x6, 0x2, 0x3, PseudoVLUXEI64_V_M8_M4 }, // 70
  { 0x0, 0x0, 0x0, 0x6, 0x3, 0x3, PseudoVLUXEI64_V_M8_M8 }, // 71
  { 0x0, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVLUXEI64_V_M1_MF8 }, // 72
  { 0x0, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVLUXEI64_V_M1_MF4 }, // 73
  { 0x0, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVLUXEI64_V_M2_MF4 }, // 74
  { 0x0, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVLUXEI64_V_M1_MF2 }, // 75
  { 0x0, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVLUXEI64_V_M2_MF2 }, // 76
  { 0x0, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVLUXEI64_V_M4_MF2 }, // 77
  { 0x0, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVLOXEI8_V_M1_M1 }, // 78
  { 0x0, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVLOXEI8_V_MF8_M1 }, // 79
  { 0x0, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVLOXEI8_V_MF4_M1 }, // 80
  { 0x0, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVLOXEI8_V_MF2_M1 }, // 81
  { 0x0, 0x0, 0x1, 0x3, 0x1, 0x0, PseudoVLOXEI8_V_M1_M2 }, // 82
  { 0x0, 0x0, 0x1, 0x3, 0x1, 0x1, PseudoVLOXEI8_V_M2_M2 }, // 83
  { 0x0, 0x0, 0x1, 0x3, 0x1, 0x6, PseudoVLOXEI8_V_MF4_M2 }, // 84
  { 0x0, 0x0, 0x1, 0x3, 0x1, 0x7, PseudoVLOXEI8_V_MF2_M2 }, // 85
  { 0x0, 0x0, 0x1, 0x3, 0x2, 0x0, PseudoVLOXEI8_V_M1_M4 }, // 86
  { 0x0, 0x0, 0x1, 0x3, 0x2, 0x1, PseudoVLOXEI8_V_M2_M4 }, // 87
  { 0x0, 0x0, 0x1, 0x3, 0x2, 0x2, PseudoVLOXEI8_V_M4_M4 }, // 88
  { 0x0, 0x0, 0x1, 0x3, 0x2, 0x7, PseudoVLOXEI8_V_MF2_M4 }, // 89
  { 0x0, 0x0, 0x1, 0x3, 0x3, 0x0, PseudoVLOXEI8_V_M1_M8 }, // 90
  { 0x0, 0x0, 0x1, 0x3, 0x3, 0x1, PseudoVLOXEI8_V_M2_M8 }, // 91
  { 0x0, 0x0, 0x1, 0x3, 0x3, 0x2, PseudoVLOXEI8_V_M4_M8 }, // 92
  { 0x0, 0x0, 0x1, 0x3, 0x3, 0x3, PseudoVLOXEI8_V_M8_M8 }, // 93
  { 0x0, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVLOXEI8_V_MF8_MF8 }, // 94
  { 0x0, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVLOXEI8_V_MF8_MF4 }, // 95
  { 0x0, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVLOXEI8_V_MF4_MF4 }, // 96
  { 0x0, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVLOXEI8_V_MF8_MF2 }, // 97
  { 0x0, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVLOXEI8_V_MF4_MF2 }, // 98
  { 0x0, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVLOXEI8_V_MF2_MF2 }, // 99
  { 0x0, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVLOXEI16_V_M1_M1 }, // 100
  { 0x0, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVLOXEI16_V_M2_M1 }, // 101
  { 0x0, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVLOXEI16_V_MF4_M1 }, // 102
  { 0x0, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVLOXEI16_V_MF2_M1 }, // 103
  { 0x0, 0x0, 0x1, 0x4, 0x1, 0x0, PseudoVLOXEI16_V_M1_M2 }, // 104
  { 0x0, 0x0, 0x1, 0x4, 0x1, 0x1, PseudoVLOXEI16_V_M2_M2 }, // 105
  { 0x0, 0x0, 0x1, 0x4, 0x1, 0x2, PseudoVLOXEI16_V_M4_M2 }, // 106
  { 0x0, 0x0, 0x1, 0x4, 0x1, 0x7, PseudoVLOXEI16_V_MF2_M2 }, // 107
  { 0x0, 0x0, 0x1, 0x4, 0x2, 0x0, PseudoVLOXEI16_V_M1_M4 }, // 108
  { 0x0, 0x0, 0x1, 0x4, 0x2, 0x1, PseudoVLOXEI16_V_M2_M4 }, // 109
  { 0x0, 0x0, 0x1, 0x4, 0x2, 0x2, PseudoVLOXEI16_V_M4_M4 }, // 110
  { 0x0, 0x0, 0x1, 0x4, 0x2, 0x3, PseudoVLOXEI16_V_M8_M4 }, // 111
  { 0x0, 0x0, 0x1, 0x4, 0x3, 0x1, PseudoVLOXEI16_V_M2_M8 }, // 112
  { 0x0, 0x0, 0x1, 0x4, 0x3, 0x2, PseudoVLOXEI16_V_M4_M8 }, // 113
  { 0x0, 0x0, 0x1, 0x4, 0x3, 0x3, PseudoVLOXEI16_V_M8_M8 }, // 114
  { 0x0, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVLOXEI16_V_MF4_MF8 }, // 115
  { 0x0, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVLOXEI16_V_MF4_MF4 }, // 116
  { 0x0, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVLOXEI16_V_MF2_MF4 }, // 117
  { 0x0, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVLOXEI16_V_M1_MF2 }, // 118
  { 0x0, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVLOXEI16_V_MF4_MF2 }, // 119
  { 0x0, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVLOXEI16_V_MF2_MF2 }, // 120
  { 0x0, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVLOXEI32_V_M1_M1 }, // 121
  { 0x0, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVLOXEI32_V_M2_M1 }, // 122
  { 0x0, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVLOXEI32_V_M4_M1 }, // 123
  { 0x0, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVLOXEI32_V_MF2_M1 }, // 124
  { 0x0, 0x0, 0x1, 0x5, 0x1, 0x0, PseudoVLOXEI32_V_M1_M2 }, // 125
  { 0x0, 0x0, 0x1, 0x5, 0x1, 0x1, PseudoVLOXEI32_V_M2_M2 }, // 126
  { 0x0, 0x0, 0x1, 0x5, 0x1, 0x2, PseudoVLOXEI32_V_M4_M2 }, // 127
  { 0x0, 0x0, 0x1, 0x5, 0x1, 0x3, PseudoVLOXEI32_V_M8_M2 }, // 128
  { 0x0, 0x0, 0x1, 0x5, 0x2, 0x1, PseudoVLOXEI32_V_M2_M4 }, // 129
  { 0x0, 0x0, 0x1, 0x5, 0x2, 0x2, PseudoVLOXEI32_V_M4_M4 }, // 130
  { 0x0, 0x0, 0x1, 0x5, 0x2, 0x3, PseudoVLOXEI32_V_M8_M4 }, // 131
  { 0x0, 0x0, 0x1, 0x5, 0x3, 0x2, PseudoVLOXEI32_V_M4_M8 }, // 132
  { 0x0, 0x0, 0x1, 0x5, 0x3, 0x3, PseudoVLOXEI32_V_M8_M8 }, // 133
  { 0x0, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVLOXEI32_V_MF2_MF8 }, // 134
  { 0x0, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVLOXEI32_V_M1_MF4 }, // 135
  { 0x0, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVLOXEI32_V_MF2_MF4 }, // 136
  { 0x0, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVLOXEI32_V_M1_MF2 }, // 137
  { 0x0, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVLOXEI32_V_M2_MF2 }, // 138
  { 0x0, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVLOXEI32_V_MF2_MF2 }, // 139
  { 0x0, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVLOXEI64_V_M1_M1 }, // 140
  { 0x0, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVLOXEI64_V_M2_M1 }, // 141
  { 0x0, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVLOXEI64_V_M4_M1 }, // 142
  { 0x0, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVLOXEI64_V_M8_M1 }, // 143
  { 0x0, 0x0, 0x1, 0x6, 0x1, 0x1, PseudoVLOXEI64_V_M2_M2 }, // 144
  { 0x0, 0x0, 0x1, 0x6, 0x1, 0x2, PseudoVLOXEI64_V_M4_M2 }, // 145
  { 0x0, 0x0, 0x1, 0x6, 0x1, 0x3, PseudoVLOXEI64_V_M8_M2 }, // 146
  { 0x0, 0x0, 0x1, 0x6, 0x2, 0x2, PseudoVLOXEI64_V_M4_M4 }, // 147
  { 0x0, 0x0, 0x1, 0x6, 0x2, 0x3, PseudoVLOXEI64_V_M8_M4 }, // 148
  { 0x0, 0x0, 0x1, 0x6, 0x3, 0x3, PseudoVLOXEI64_V_M8_M8 }, // 149
  { 0x0, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVLOXEI64_V_M1_MF8 }, // 150
  { 0x0, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVLOXEI64_V_M1_MF4 }, // 151
  { 0x0, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVLOXEI64_V_M2_MF4 }, // 152
  { 0x0, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVLOXEI64_V_M1_MF2 }, // 153
  { 0x0, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVLOXEI64_V_M2_MF2 }, // 154
  { 0x0, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVLOXEI64_V_M4_MF2 }, // 155
  { 0x0, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXEI8_V_M1_M1_TU }, // 156
  { 0x0, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXEI8_V_MF8_M1_TU }, // 157
  { 0x0, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXEI8_V_MF4_M1_TU }, // 158
  { 0x0, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXEI8_V_MF2_M1_TU }, // 159
  { 0x0, 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVLUXEI8_V_M1_M2_TU }, // 160
  { 0x0, 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVLUXEI8_V_M2_M2_TU }, // 161
  { 0x0, 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVLUXEI8_V_MF4_M2_TU }, // 162
  { 0x0, 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVLUXEI8_V_MF2_M2_TU }, // 163
  { 0x0, 0x1, 0x0, 0x3, 0x2, 0x0, PseudoVLUXEI8_V_M1_M4_TU }, // 164
  { 0x0, 0x1, 0x0, 0x3, 0x2, 0x1, PseudoVLUXEI8_V_M2_M4_TU }, // 165
  { 0x0, 0x1, 0x0, 0x3, 0x2, 0x2, PseudoVLUXEI8_V_M4_M4_TU }, // 166
  { 0x0, 0x1, 0x0, 0x3, 0x2, 0x7, PseudoVLUXEI8_V_MF2_M4_TU }, // 167
  { 0x0, 0x1, 0x0, 0x3, 0x3, 0x0, PseudoVLUXEI8_V_M1_M8_TU }, // 168
  { 0x0, 0x1, 0x0, 0x3, 0x3, 0x1, PseudoVLUXEI8_V_M2_M8_TU }, // 169
  { 0x0, 0x1, 0x0, 0x3, 0x3, 0x2, PseudoVLUXEI8_V_M4_M8_TU }, // 170
  { 0x0, 0x1, 0x0, 0x3, 0x3, 0x3, PseudoVLUXEI8_V_M8_M8_TU }, // 171
  { 0x0, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXEI8_V_MF8_MF8_TU }, // 172
  { 0x0, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXEI8_V_MF8_MF4_TU }, // 173
  { 0x0, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXEI8_V_MF4_MF4_TU }, // 174
  { 0x0, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXEI8_V_MF8_MF2_TU }, // 175
  { 0x0, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXEI8_V_MF4_MF2_TU }, // 176
  { 0x0, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXEI8_V_MF2_MF2_TU }, // 177
  { 0x0, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXEI16_V_M1_M1_TU }, // 178
  { 0x0, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXEI16_V_M2_M1_TU }, // 179
  { 0x0, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXEI16_V_MF4_M1_TU }, // 180
  { 0x0, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXEI16_V_MF2_M1_TU }, // 181
  { 0x0, 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVLUXEI16_V_M1_M2_TU }, // 182
  { 0x0, 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVLUXEI16_V_M2_M2_TU }, // 183
  { 0x0, 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVLUXEI16_V_M4_M2_TU }, // 184
  { 0x0, 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVLUXEI16_V_MF2_M2_TU }, // 185
  { 0x0, 0x1, 0x0, 0x4, 0x2, 0x0, PseudoVLUXEI16_V_M1_M4_TU }, // 186
  { 0x0, 0x1, 0x0, 0x4, 0x2, 0x1, PseudoVLUXEI16_V_M2_M4_TU }, // 187
  { 0x0, 0x1, 0x0, 0x4, 0x2, 0x2, PseudoVLUXEI16_V_M4_M4_TU }, // 188
  { 0x0, 0x1, 0x0, 0x4, 0x2, 0x3, PseudoVLUXEI16_V_M8_M4_TU }, // 189
  { 0x0, 0x1, 0x0, 0x4, 0x3, 0x1, PseudoVLUXEI16_V_M2_M8_TU }, // 190
  { 0x0, 0x1, 0x0, 0x4, 0x3, 0x2, PseudoVLUXEI16_V_M4_M8_TU }, // 191
  { 0x0, 0x1, 0x0, 0x4, 0x3, 0x3, PseudoVLUXEI16_V_M8_M8_TU }, // 192
  { 0x0, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXEI16_V_MF4_MF8_TU }, // 193
  { 0x0, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXEI16_V_MF4_MF4_TU }, // 194
  { 0x0, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXEI16_V_MF2_MF4_TU }, // 195
  { 0x0, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXEI16_V_M1_MF2_TU }, // 196
  { 0x0, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXEI16_V_MF4_MF2_TU }, // 197
  { 0x0, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXEI16_V_MF2_MF2_TU }, // 198
  { 0x0, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXEI32_V_M1_M1_TU }, // 199
  { 0x0, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXEI32_V_M2_M1_TU }, // 200
  { 0x0, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXEI32_V_M4_M1_TU }, // 201
  { 0x0, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXEI32_V_MF2_M1_TU }, // 202
  { 0x0, 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVLUXEI32_V_M1_M2_TU }, // 203
  { 0x0, 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVLUXEI32_V_M2_M2_TU }, // 204
  { 0x0, 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVLUXEI32_V_M4_M2_TU }, // 205
  { 0x0, 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVLUXEI32_V_M8_M2_TU }, // 206
  { 0x0, 0x1, 0x0, 0x5, 0x2, 0x1, PseudoVLUXEI32_V_M2_M4_TU }, // 207
  { 0x0, 0x1, 0x0, 0x5, 0x2, 0x2, PseudoVLUXEI32_V_M4_M4_TU }, // 208
  { 0x0, 0x1, 0x0, 0x5, 0x2, 0x3, PseudoVLUXEI32_V_M8_M4_TU }, // 209
  { 0x0, 0x1, 0x0, 0x5, 0x3, 0x2, PseudoVLUXEI32_V_M4_M8_TU }, // 210
  { 0x0, 0x1, 0x0, 0x5, 0x3, 0x3, PseudoVLUXEI32_V_M8_M8_TU }, // 211
  { 0x0, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXEI32_V_MF2_MF8_TU }, // 212
  { 0x0, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXEI32_V_M1_MF4_TU }, // 213
  { 0x0, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXEI32_V_MF2_MF4_TU }, // 214
  { 0x0, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXEI32_V_M1_MF2_TU }, // 215
  { 0x0, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXEI32_V_M2_MF2_TU }, // 216
  { 0x0, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXEI32_V_MF2_MF2_TU }, // 217
  { 0x0, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXEI64_V_M1_M1_TU }, // 218
  { 0x0, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXEI64_V_M2_M1_TU }, // 219
  { 0x0, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXEI64_V_M4_M1_TU }, // 220
  { 0x0, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXEI64_V_M8_M1_TU }, // 221
  { 0x0, 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVLUXEI64_V_M2_M2_TU }, // 222
  { 0x0, 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVLUXEI64_V_M4_M2_TU }, // 223
  { 0x0, 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVLUXEI64_V_M8_M2_TU }, // 224
  { 0x0, 0x1, 0x0, 0x6, 0x2, 0x2, PseudoVLUXEI64_V_M4_M4_TU }, // 225
  { 0x0, 0x1, 0x0, 0x6, 0x2, 0x3, PseudoVLUXEI64_V_M8_M4_TU }, // 226
  { 0x0, 0x1, 0x0, 0x6, 0x3, 0x3, PseudoVLUXEI64_V_M8_M8_TU }, // 227
  { 0x0, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXEI64_V_M1_MF8_TU }, // 228
  { 0x0, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXEI64_V_M1_MF4_TU }, // 229
  { 0x0, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXEI64_V_M2_MF4_TU }, // 230
  { 0x0, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXEI64_V_M1_MF2_TU }, // 231
  { 0x0, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXEI64_V_M2_MF2_TU }, // 232
  { 0x0, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXEI64_V_M4_MF2_TU }, // 233
  { 0x0, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXEI8_V_M1_M1_TU }, // 234
  { 0x0, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXEI8_V_MF8_M1_TU }, // 235
  { 0x0, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXEI8_V_MF4_M1_TU }, // 236
  { 0x0, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXEI8_V_MF2_M1_TU }, // 237
  { 0x0, 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVLOXEI8_V_M1_M2_TU }, // 238
  { 0x0, 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVLOXEI8_V_M2_M2_TU }, // 239
  { 0x0, 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVLOXEI8_V_MF4_M2_TU }, // 240
  { 0x0, 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVLOXEI8_V_MF2_M2_TU }, // 241
  { 0x0, 0x1, 0x1, 0x3, 0x2, 0x0, PseudoVLOXEI8_V_M1_M4_TU }, // 242
  { 0x0, 0x1, 0x1, 0x3, 0x2, 0x1, PseudoVLOXEI8_V_M2_M4_TU }, // 243
  { 0x0, 0x1, 0x1, 0x3, 0x2, 0x2, PseudoVLOXEI8_V_M4_M4_TU }, // 244
  { 0x0, 0x1, 0x1, 0x3, 0x2, 0x7, PseudoVLOXEI8_V_MF2_M4_TU }, // 245
  { 0x0, 0x1, 0x1, 0x3, 0x3, 0x0, PseudoVLOXEI8_V_M1_M8_TU }, // 246
  { 0x0, 0x1, 0x1, 0x3, 0x3, 0x1, PseudoVLOXEI8_V_M2_M8_TU }, // 247
  { 0x0, 0x1, 0x1, 0x3, 0x3, 0x2, PseudoVLOXEI8_V_M4_M8_TU }, // 248
  { 0x0, 0x1, 0x1, 0x3, 0x3, 0x3, PseudoVLOXEI8_V_M8_M8_TU }, // 249
  { 0x0, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXEI8_V_MF8_MF8_TU }, // 250
  { 0x0, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXEI8_V_MF8_MF4_TU }, // 251
  { 0x0, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXEI8_V_MF4_MF4_TU }, // 252
  { 0x0, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXEI8_V_MF8_MF2_TU }, // 253
  { 0x0, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXEI8_V_MF4_MF2_TU }, // 254
  { 0x0, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXEI8_V_MF2_MF2_TU }, // 255
  { 0x0, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXEI16_V_M1_M1_TU }, // 256
  { 0x0, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXEI16_V_M2_M1_TU }, // 257
  { 0x0, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXEI16_V_MF4_M1_TU }, // 258
  { 0x0, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXEI16_V_MF2_M1_TU }, // 259
  { 0x0, 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVLOXEI16_V_M1_M2_TU }, // 260
  { 0x0, 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVLOXEI16_V_M2_M2_TU }, // 261
  { 0x0, 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVLOXEI16_V_M4_M2_TU }, // 262
  { 0x0, 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVLOXEI16_V_MF2_M2_TU }, // 263
  { 0x0, 0x1, 0x1, 0x4, 0x2, 0x0, PseudoVLOXEI16_V_M1_M4_TU }, // 264
  { 0x0, 0x1, 0x1, 0x4, 0x2, 0x1, PseudoVLOXEI16_V_M2_M4_TU }, // 265
  { 0x0, 0x1, 0x1, 0x4, 0x2, 0x2, PseudoVLOXEI16_V_M4_M4_TU }, // 266
  { 0x0, 0x1, 0x1, 0x4, 0x2, 0x3, PseudoVLOXEI16_V_M8_M4_TU }, // 267
  { 0x0, 0x1, 0x1, 0x4, 0x3, 0x1, PseudoVLOXEI16_V_M2_M8_TU }, // 268
  { 0x0, 0x1, 0x1, 0x4, 0x3, 0x2, PseudoVLOXEI16_V_M4_M8_TU }, // 269
  { 0x0, 0x1, 0x1, 0x4, 0x3, 0x3, PseudoVLOXEI16_V_M8_M8_TU }, // 270
  { 0x0, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXEI16_V_MF4_MF8_TU }, // 271
  { 0x0, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXEI16_V_MF4_MF4_TU }, // 272
  { 0x0, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXEI16_V_MF2_MF4_TU }, // 273
  { 0x0, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXEI16_V_M1_MF2_TU }, // 274
  { 0x0, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXEI16_V_MF4_MF2_TU }, // 275
  { 0x0, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXEI16_V_MF2_MF2_TU }, // 276
  { 0x0, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXEI32_V_M1_M1_TU }, // 277
  { 0x0, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXEI32_V_M2_M1_TU }, // 278
  { 0x0, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXEI32_V_M4_M1_TU }, // 279
  { 0x0, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXEI32_V_MF2_M1_TU }, // 280
  { 0x0, 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVLOXEI32_V_M1_M2_TU }, // 281
  { 0x0, 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVLOXEI32_V_M2_M2_TU }, // 282
  { 0x0, 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVLOXEI32_V_M4_M2_TU }, // 283
  { 0x0, 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVLOXEI32_V_M8_M2_TU }, // 284
  { 0x0, 0x1, 0x1, 0x5, 0x2, 0x1, PseudoVLOXEI32_V_M2_M4_TU }, // 285
  { 0x0, 0x1, 0x1, 0x5, 0x2, 0x2, PseudoVLOXEI32_V_M4_M4_TU }, // 286
  { 0x0, 0x1, 0x1, 0x5, 0x2, 0x3, PseudoVLOXEI32_V_M8_M4_TU }, // 287
  { 0x0, 0x1, 0x1, 0x5, 0x3, 0x2, PseudoVLOXEI32_V_M4_M8_TU }, // 288
  { 0x0, 0x1, 0x1, 0x5, 0x3, 0x3, PseudoVLOXEI32_V_M8_M8_TU }, // 289
  { 0x0, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXEI32_V_MF2_MF8_TU }, // 290
  { 0x0, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXEI32_V_M1_MF4_TU }, // 291
  { 0x0, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXEI32_V_MF2_MF4_TU }, // 292
  { 0x0, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXEI32_V_M1_MF2_TU }, // 293
  { 0x0, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXEI32_V_M2_MF2_TU }, // 294
  { 0x0, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXEI32_V_MF2_MF2_TU }, // 295
  { 0x0, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXEI64_V_M1_M1_TU }, // 296
  { 0x0, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXEI64_V_M2_M1_TU }, // 297
  { 0x0, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXEI64_V_M4_M1_TU }, // 298
  { 0x0, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXEI64_V_M8_M1_TU }, // 299
  { 0x0, 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVLOXEI64_V_M2_M2_TU }, // 300
  { 0x0, 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVLOXEI64_V_M4_M2_TU }, // 301
  { 0x0, 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVLOXEI64_V_M8_M2_TU }, // 302
  { 0x0, 0x1, 0x1, 0x6, 0x2, 0x2, PseudoVLOXEI64_V_M4_M4_TU }, // 303
  { 0x0, 0x1, 0x1, 0x6, 0x2, 0x3, PseudoVLOXEI64_V_M8_M4_TU }, // 304
  { 0x0, 0x1, 0x1, 0x6, 0x3, 0x3, PseudoVLOXEI64_V_M8_M8_TU }, // 305
  { 0x0, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXEI64_V_M1_MF8_TU }, // 306
  { 0x0, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXEI64_V_M1_MF4_TU }, // 307
  { 0x0, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXEI64_V_M2_MF4_TU }, // 308
  { 0x0, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXEI64_V_M1_MF2_TU }, // 309
  { 0x0, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXEI64_V_M2_MF2_TU }, // 310
  { 0x0, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXEI64_V_M4_MF2_TU }, // 311
  { 0x1, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVLUXEI8_V_M1_M1_MASK }, // 312
  { 0x1, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVLUXEI8_V_MF8_M1_MASK }, // 313
  { 0x1, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVLUXEI8_V_MF4_M1_MASK }, // 314
  { 0x1, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVLUXEI8_V_MF2_M1_MASK }, // 315
  { 0x1, 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVLUXEI8_V_M1_M2_MASK }, // 316
  { 0x1, 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVLUXEI8_V_M2_M2_MASK }, // 317
  { 0x1, 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVLUXEI8_V_MF4_M2_MASK }, // 318
  { 0x1, 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVLUXEI8_V_MF2_M2_MASK }, // 319
  { 0x1, 0x1, 0x0, 0x3, 0x2, 0x0, PseudoVLUXEI8_V_M1_M4_MASK }, // 320
  { 0x1, 0x1, 0x0, 0x3, 0x2, 0x1, PseudoVLUXEI8_V_M2_M4_MASK }, // 321
  { 0x1, 0x1, 0x0, 0x3, 0x2, 0x2, PseudoVLUXEI8_V_M4_M4_MASK }, // 322
  { 0x1, 0x1, 0x0, 0x3, 0x2, 0x7, PseudoVLUXEI8_V_MF2_M4_MASK }, // 323
  { 0x1, 0x1, 0x0, 0x3, 0x3, 0x0, PseudoVLUXEI8_V_M1_M8_MASK }, // 324
  { 0x1, 0x1, 0x0, 0x3, 0x3, 0x1, PseudoVLUXEI8_V_M2_M8_MASK }, // 325
  { 0x1, 0x1, 0x0, 0x3, 0x3, 0x2, PseudoVLUXEI8_V_M4_M8_MASK }, // 326
  { 0x1, 0x1, 0x0, 0x3, 0x3, 0x3, PseudoVLUXEI8_V_M8_M8_MASK }, // 327
  { 0x1, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVLUXEI8_V_MF8_MF8_MASK }, // 328
  { 0x1, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVLUXEI8_V_MF8_MF4_MASK }, // 329
  { 0x1, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVLUXEI8_V_MF4_MF4_MASK }, // 330
  { 0x1, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVLUXEI8_V_MF8_MF2_MASK }, // 331
  { 0x1, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVLUXEI8_V_MF4_MF2_MASK }, // 332
  { 0x1, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVLUXEI8_V_MF2_MF2_MASK }, // 333
  { 0x1, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVLUXEI16_V_M1_M1_MASK }, // 334
  { 0x1, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVLUXEI16_V_M2_M1_MASK }, // 335
  { 0x1, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVLUXEI16_V_MF4_M1_MASK }, // 336
  { 0x1, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVLUXEI16_V_MF2_M1_MASK }, // 337
  { 0x1, 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVLUXEI16_V_M1_M2_MASK }, // 338
  { 0x1, 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVLUXEI16_V_M2_M2_MASK }, // 339
  { 0x1, 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVLUXEI16_V_M4_M2_MASK }, // 340
  { 0x1, 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVLUXEI16_V_MF2_M2_MASK }, // 341
  { 0x1, 0x1, 0x0, 0x4, 0x2, 0x0, PseudoVLUXEI16_V_M1_M4_MASK }, // 342
  { 0x1, 0x1, 0x0, 0x4, 0x2, 0x1, PseudoVLUXEI16_V_M2_M4_MASK }, // 343
  { 0x1, 0x1, 0x0, 0x4, 0x2, 0x2, PseudoVLUXEI16_V_M4_M4_MASK }, // 344
  { 0x1, 0x1, 0x0, 0x4, 0x2, 0x3, PseudoVLUXEI16_V_M8_M4_MASK }, // 345
  { 0x1, 0x1, 0x0, 0x4, 0x3, 0x1, PseudoVLUXEI16_V_M2_M8_MASK }, // 346
  { 0x1, 0x1, 0x0, 0x4, 0x3, 0x2, PseudoVLUXEI16_V_M4_M8_MASK }, // 347
  { 0x1, 0x1, 0x0, 0x4, 0x3, 0x3, PseudoVLUXEI16_V_M8_M8_MASK }, // 348
  { 0x1, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVLUXEI16_V_MF4_MF8_MASK }, // 349
  { 0x1, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVLUXEI16_V_MF4_MF4_MASK }, // 350
  { 0x1, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVLUXEI16_V_MF2_MF4_MASK }, // 351
  { 0x1, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVLUXEI16_V_M1_MF2_MASK }, // 352
  { 0x1, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVLUXEI16_V_MF4_MF2_MASK }, // 353
  { 0x1, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVLUXEI16_V_MF2_MF2_MASK }, // 354
  { 0x1, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVLUXEI32_V_M1_M1_MASK }, // 355
  { 0x1, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVLUXEI32_V_M2_M1_MASK }, // 356
  { 0x1, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVLUXEI32_V_M4_M1_MASK }, // 357
  { 0x1, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVLUXEI32_V_MF2_M1_MASK }, // 358
  { 0x1, 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVLUXEI32_V_M1_M2_MASK }, // 359
  { 0x1, 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVLUXEI32_V_M2_M2_MASK }, // 360
  { 0x1, 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVLUXEI32_V_M4_M2_MASK }, // 361
  { 0x1, 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVLUXEI32_V_M8_M2_MASK }, // 362
  { 0x1, 0x1, 0x0, 0x5, 0x2, 0x1, PseudoVLUXEI32_V_M2_M4_MASK }, // 363
  { 0x1, 0x1, 0x0, 0x5, 0x2, 0x2, PseudoVLUXEI32_V_M4_M4_MASK }, // 364
  { 0x1, 0x1, 0x0, 0x5, 0x2, 0x3, PseudoVLUXEI32_V_M8_M4_MASK }, // 365
  { 0x1, 0x1, 0x0, 0x5, 0x3, 0x2, PseudoVLUXEI32_V_M4_M8_MASK }, // 366
  { 0x1, 0x1, 0x0, 0x5, 0x3, 0x3, PseudoVLUXEI32_V_M8_M8_MASK }, // 367
  { 0x1, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVLUXEI32_V_MF2_MF8_MASK }, // 368
  { 0x1, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVLUXEI32_V_M1_MF4_MASK }, // 369
  { 0x1, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVLUXEI32_V_MF2_MF4_MASK }, // 370
  { 0x1, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVLUXEI32_V_M1_MF2_MASK }, // 371
  { 0x1, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVLUXEI32_V_M2_MF2_MASK }, // 372
  { 0x1, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVLUXEI32_V_MF2_MF2_MASK }, // 373
  { 0x1, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVLUXEI64_V_M1_M1_MASK }, // 374
  { 0x1, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVLUXEI64_V_M2_M1_MASK }, // 375
  { 0x1, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVLUXEI64_V_M4_M1_MASK }, // 376
  { 0x1, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVLUXEI64_V_M8_M1_MASK }, // 377
  { 0x1, 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVLUXEI64_V_M2_M2_MASK }, // 378
  { 0x1, 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVLUXEI64_V_M4_M2_MASK }, // 379
  { 0x1, 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVLUXEI64_V_M8_M2_MASK }, // 380
  { 0x1, 0x1, 0x0, 0x6, 0x2, 0x2, PseudoVLUXEI64_V_M4_M4_MASK }, // 381
  { 0x1, 0x1, 0x0, 0x6, 0x2, 0x3, PseudoVLUXEI64_V_M8_M4_MASK }, // 382
  { 0x1, 0x1, 0x0, 0x6, 0x3, 0x3, PseudoVLUXEI64_V_M8_M8_MASK }, // 383
  { 0x1, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVLUXEI64_V_M1_MF8_MASK }, // 384
  { 0x1, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVLUXEI64_V_M1_MF4_MASK }, // 385
  { 0x1, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVLUXEI64_V_M2_MF4_MASK }, // 386
  { 0x1, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVLUXEI64_V_M1_MF2_MASK }, // 387
  { 0x1, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVLUXEI64_V_M2_MF2_MASK }, // 388
  { 0x1, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVLUXEI64_V_M4_MF2_MASK }, // 389
  { 0x1, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVLOXEI8_V_M1_M1_MASK }, // 390
  { 0x1, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVLOXEI8_V_MF8_M1_MASK }, // 391
  { 0x1, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVLOXEI8_V_MF4_M1_MASK }, // 392
  { 0x1, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVLOXEI8_V_MF2_M1_MASK }, // 393
  { 0x1, 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVLOXEI8_V_M1_M2_MASK }, // 394
  { 0x1, 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVLOXEI8_V_M2_M2_MASK }, // 395
  { 0x1, 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVLOXEI8_V_MF4_M2_MASK }, // 396
  { 0x1, 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVLOXEI8_V_MF2_M2_MASK }, // 397
  { 0x1, 0x1, 0x1, 0x3, 0x2, 0x0, PseudoVLOXEI8_V_M1_M4_MASK }, // 398
  { 0x1, 0x1, 0x1, 0x3, 0x2, 0x1, PseudoVLOXEI8_V_M2_M4_MASK }, // 399
  { 0x1, 0x1, 0x1, 0x3, 0x2, 0x2, PseudoVLOXEI8_V_M4_M4_MASK }, // 400
  { 0x1, 0x1, 0x1, 0x3, 0x2, 0x7, PseudoVLOXEI8_V_MF2_M4_MASK }, // 401
  { 0x1, 0x1, 0x1, 0x3, 0x3, 0x0, PseudoVLOXEI8_V_M1_M8_MASK }, // 402
  { 0x1, 0x1, 0x1, 0x3, 0x3, 0x1, PseudoVLOXEI8_V_M2_M8_MASK }, // 403
  { 0x1, 0x1, 0x1, 0x3, 0x3, 0x2, PseudoVLOXEI8_V_M4_M8_MASK }, // 404
  { 0x1, 0x1, 0x1, 0x3, 0x3, 0x3, PseudoVLOXEI8_V_M8_M8_MASK }, // 405
  { 0x1, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVLOXEI8_V_MF8_MF8_MASK }, // 406
  { 0x1, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVLOXEI8_V_MF8_MF4_MASK }, // 407
  { 0x1, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVLOXEI8_V_MF4_MF4_MASK }, // 408
  { 0x1, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVLOXEI8_V_MF8_MF2_MASK }, // 409
  { 0x1, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVLOXEI8_V_MF4_MF2_MASK }, // 410
  { 0x1, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVLOXEI8_V_MF2_MF2_MASK }, // 411
  { 0x1, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVLOXEI16_V_M1_M1_MASK }, // 412
  { 0x1, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVLOXEI16_V_M2_M1_MASK }, // 413
  { 0x1, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVLOXEI16_V_MF4_M1_MASK }, // 414
  { 0x1, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVLOXEI16_V_MF2_M1_MASK }, // 415
  { 0x1, 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVLOXEI16_V_M1_M2_MASK }, // 416
  { 0x1, 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVLOXEI16_V_M2_M2_MASK }, // 417
  { 0x1, 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVLOXEI16_V_M4_M2_MASK }, // 418
  { 0x1, 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVLOXEI16_V_MF2_M2_MASK }, // 419
  { 0x1, 0x1, 0x1, 0x4, 0x2, 0x0, PseudoVLOXEI16_V_M1_M4_MASK }, // 420
  { 0x1, 0x1, 0x1, 0x4, 0x2, 0x1, PseudoVLOXEI16_V_M2_M4_MASK }, // 421
  { 0x1, 0x1, 0x1, 0x4, 0x2, 0x2, PseudoVLOXEI16_V_M4_M4_MASK }, // 422
  { 0x1, 0x1, 0x1, 0x4, 0x2, 0x3, PseudoVLOXEI16_V_M8_M4_MASK }, // 423
  { 0x1, 0x1, 0x1, 0x4, 0x3, 0x1, PseudoVLOXEI16_V_M2_M8_MASK }, // 424
  { 0x1, 0x1, 0x1, 0x4, 0x3, 0x2, PseudoVLOXEI16_V_M4_M8_MASK }, // 425
  { 0x1, 0x1, 0x1, 0x4, 0x3, 0x3, PseudoVLOXEI16_V_M8_M8_MASK }, // 426
  { 0x1, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVLOXEI16_V_MF4_MF8_MASK }, // 427
  { 0x1, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVLOXEI16_V_MF4_MF4_MASK }, // 428
  { 0x1, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVLOXEI16_V_MF2_MF4_MASK }, // 429
  { 0x1, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVLOXEI16_V_M1_MF2_MASK }, // 430
  { 0x1, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVLOXEI16_V_MF4_MF2_MASK }, // 431
  { 0x1, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVLOXEI16_V_MF2_MF2_MASK }, // 432
  { 0x1, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVLOXEI32_V_M1_M1_MASK }, // 433
  { 0x1, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVLOXEI32_V_M2_M1_MASK }, // 434
  { 0x1, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVLOXEI32_V_M4_M1_MASK }, // 435
  { 0x1, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVLOXEI32_V_MF2_M1_MASK }, // 436
  { 0x1, 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVLOXEI32_V_M1_M2_MASK }, // 437
  { 0x1, 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVLOXEI32_V_M2_M2_MASK }, // 438
  { 0x1, 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVLOXEI32_V_M4_M2_MASK }, // 439
  { 0x1, 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVLOXEI32_V_M8_M2_MASK }, // 440
  { 0x1, 0x1, 0x1, 0x5, 0x2, 0x1, PseudoVLOXEI32_V_M2_M4_MASK }, // 441
  { 0x1, 0x1, 0x1, 0x5, 0x2, 0x2, PseudoVLOXEI32_V_M4_M4_MASK }, // 442
  { 0x1, 0x1, 0x1, 0x5, 0x2, 0x3, PseudoVLOXEI32_V_M8_M4_MASK }, // 443
  { 0x1, 0x1, 0x1, 0x5, 0x3, 0x2, PseudoVLOXEI32_V_M4_M8_MASK }, // 444
  { 0x1, 0x1, 0x1, 0x5, 0x3, 0x3, PseudoVLOXEI32_V_M8_M8_MASK }, // 445
  { 0x1, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVLOXEI32_V_MF2_MF8_MASK }, // 446
  { 0x1, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVLOXEI32_V_M1_MF4_MASK }, // 447
  { 0x1, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVLOXEI32_V_MF2_MF4_MASK }, // 448
  { 0x1, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVLOXEI32_V_M1_MF2_MASK }, // 449
  { 0x1, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVLOXEI32_V_M2_MF2_MASK }, // 450
  { 0x1, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVLOXEI32_V_MF2_MF2_MASK }, // 451
  { 0x1, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVLOXEI64_V_M1_M1_MASK }, // 452
  { 0x1, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVLOXEI64_V_M2_M1_MASK }, // 453
  { 0x1, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVLOXEI64_V_M4_M1_MASK }, // 454
  { 0x1, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVLOXEI64_V_M8_M1_MASK }, // 455
  { 0x1, 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVLOXEI64_V_M2_M2_MASK }, // 456
  { 0x1, 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVLOXEI64_V_M4_M2_MASK }, // 457
  { 0x1, 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVLOXEI64_V_M8_M2_MASK }, // 458
  { 0x1, 0x1, 0x1, 0x6, 0x2, 0x2, PseudoVLOXEI64_V_M4_M4_MASK }, // 459
  { 0x1, 0x1, 0x1, 0x6, 0x2, 0x3, PseudoVLOXEI64_V_M8_M4_MASK }, // 460
  { 0x1, 0x1, 0x1, 0x6, 0x3, 0x3, PseudoVLOXEI64_V_M8_M8_MASK }, // 461
  { 0x1, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVLOXEI64_V_M1_MF8_MASK }, // 462
  { 0x1, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVLOXEI64_V_M1_MF4_MASK }, // 463
  { 0x1, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVLOXEI64_V_M2_MF4_MASK }, // 464
  { 0x1, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVLOXEI64_V_M1_MF2_MASK }, // 465
  { 0x1, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVLOXEI64_V_M2_MF2_MASK }, // 466
  { 0x1, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVLOXEI64_V_M4_MF2_MASK }, // 467
 };

const VLX_VSXPseudo *getVLXPseudo(uint8_t Masked, uint8_t IsTU, uint8_t Ordered, uint8_t Log2SEW, uint8_t LMUL, uint8_t IndexLMUL) {
  struct KeyType {
    uint8_t Masked;
    uint8_t IsTU;
    uint8_t Ordered;
    uint8_t Log2SEW;
    uint8_t LMUL;
    uint8_t IndexLMUL;
  };
  KeyType Key = {Masked, IsTU, Ordered, Log2SEW, LMUL, IndexLMUL};
  auto Table = makeArrayRef(RISCVVLXTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const VLX_VSXPseudo &LHS, const KeyType &RHS) {
      if (LHS.Masked < RHS.Masked)
        return true;
      if (LHS.Masked > RHS.Masked)
        return false;
      if (LHS.IsTU < RHS.IsTU)
        return true;
      if (LHS.IsTU > RHS.IsTU)
        return false;
      if (LHS.Ordered < RHS.Ordered)
        return true;
      if (LHS.Ordered > RHS.Ordered)
        return false;
      if (LHS.Log2SEW < RHS.Log2SEW)
        return true;
      if (LHS.Log2SEW > RHS.Log2SEW)
        return false;
      if (LHS.LMUL < RHS.LMUL)
        return true;
      if (LHS.LMUL > RHS.LMUL)
        return false;
      if (LHS.IndexLMUL < RHS.IndexLMUL)
        return true;
      if (LHS.IndexLMUL > RHS.IndexLMUL)
        return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.Masked != Idx->Masked ||
      Key.IsTU != Idx->IsTU ||
      Key.Ordered != Idx->Ordered ||
      Key.Log2SEW != Idx->Log2SEW ||
      Key.LMUL != Idx->LMUL ||
      Key.IndexLMUL != Idx->IndexLMUL)
    return nullptr;
  return &*Idx;
}
#endif

#ifdef GET_RISCVVPseudosTable_DECL
const PseudoInfo *getPseudoInfo(unsigned Pseudo);
#endif

#ifdef GET_RISCVVPseudosTable_IMPL
constexpr PseudoInfo RISCVVPseudosTable[] = {
  { PseudoVAADDU_VV_M1, VAADDU_VV }, // 0
  { PseudoVAADDU_VV_M1_MASK, VAADDU_VV }, // 1
  { PseudoVAADDU_VV_M1_TU, VAADDU_VV }, // 2
  { PseudoVAADDU_VV_M2, VAADDU_VV }, // 3
  { PseudoVAADDU_VV_M2_MASK, VAADDU_VV }, // 4
  { PseudoVAADDU_VV_M2_TU, VAADDU_VV }, // 5
  { PseudoVAADDU_VV_M4, VAADDU_VV }, // 6
  { PseudoVAADDU_VV_M4_MASK, VAADDU_VV }, // 7
  { PseudoVAADDU_VV_M4_TU, VAADDU_VV }, // 8
  { PseudoVAADDU_VV_M8, VAADDU_VV }, // 9
  { PseudoVAADDU_VV_M8_MASK, VAADDU_VV }, // 10
  { PseudoVAADDU_VV_M8_TU, VAADDU_VV }, // 11
  { PseudoVAADDU_VV_MF2, VAADDU_VV }, // 12
  { PseudoVAADDU_VV_MF2_MASK, VAADDU_VV }, // 13
  { PseudoVAADDU_VV_MF2_TU, VAADDU_VV }, // 14
  { PseudoVAADDU_VV_MF4, VAADDU_VV }, // 15
  { PseudoVAADDU_VV_MF4_MASK, VAADDU_VV }, // 16
  { PseudoVAADDU_VV_MF4_TU, VAADDU_VV }, // 17
  { PseudoVAADDU_VV_MF8, VAADDU_VV }, // 18
  { PseudoVAADDU_VV_MF8_MASK, VAADDU_VV }, // 19
  { PseudoVAADDU_VV_MF8_TU, VAADDU_VV }, // 20
  { PseudoVAADDU_VX_M1, VAADDU_VX }, // 21
  { PseudoVAADDU_VX_M1_MASK, VAADDU_VX }, // 22
  { PseudoVAADDU_VX_M1_TU, VAADDU_VX }, // 23
  { PseudoVAADDU_VX_M2, VAADDU_VX }, // 24
  { PseudoVAADDU_VX_M2_MASK, VAADDU_VX }, // 25
  { PseudoVAADDU_VX_M2_TU, VAADDU_VX }, // 26
  { PseudoVAADDU_VX_M4, VAADDU_VX }, // 27
  { PseudoVAADDU_VX_M4_MASK, VAADDU_VX }, // 28
  { PseudoVAADDU_VX_M4_TU, VAADDU_VX }, // 29
  { PseudoVAADDU_VX_M8, VAADDU_VX }, // 30
  { PseudoVAADDU_VX_M8_MASK, VAADDU_VX }, // 31
  { PseudoVAADDU_VX_M8_TU, VAADDU_VX }, // 32
  { PseudoVAADDU_VX_MF2, VAADDU_VX }, // 33
  { PseudoVAADDU_VX_MF2_MASK, VAADDU_VX }, // 34
  { PseudoVAADDU_VX_MF2_TU, VAADDU_VX }, // 35
  { PseudoVAADDU_VX_MF4, VAADDU_VX }, // 36
  { PseudoVAADDU_VX_MF4_MASK, VAADDU_VX }, // 37
  { PseudoVAADDU_VX_MF4_TU, VAADDU_VX }, // 38
  { PseudoVAADDU_VX_MF8, VAADDU_VX }, // 39
  { PseudoVAADDU_VX_MF8_MASK, VAADDU_VX }, // 40
  { PseudoVAADDU_VX_MF8_TU, VAADDU_VX }, // 41
  { PseudoVAADD_VV_M1, VAADD_VV }, // 42
  { PseudoVAADD_VV_M1_MASK, VAADD_VV }, // 43
  { PseudoVAADD_VV_M1_TU, VAADD_VV }, // 44
  { PseudoVAADD_VV_M2, VAADD_VV }, // 45
  { PseudoVAADD_VV_M2_MASK, VAADD_VV }, // 46
  { PseudoVAADD_VV_M2_TU, VAADD_VV }, // 47
  { PseudoVAADD_VV_M4, VAADD_VV }, // 48
  { PseudoVAADD_VV_M4_MASK, VAADD_VV }, // 49
  { PseudoVAADD_VV_M4_TU, VAADD_VV }, // 50
  { PseudoVAADD_VV_M8, VAADD_VV }, // 51
  { PseudoVAADD_VV_M8_MASK, VAADD_VV }, // 52
  { PseudoVAADD_VV_M8_TU, VAADD_VV }, // 53
  { PseudoVAADD_VV_MF2, VAADD_VV }, // 54
  { PseudoVAADD_VV_MF2_MASK, VAADD_VV }, // 55
  { PseudoVAADD_VV_MF2_TU, VAADD_VV }, // 56
  { PseudoVAADD_VV_MF4, VAADD_VV }, // 57
  { PseudoVAADD_VV_MF4_MASK, VAADD_VV }, // 58
  { PseudoVAADD_VV_MF4_TU, VAADD_VV }, // 59
  { PseudoVAADD_VV_MF8, VAADD_VV }, // 60
  { PseudoVAADD_VV_MF8_MASK, VAADD_VV }, // 61
  { PseudoVAADD_VV_MF8_TU, VAADD_VV }, // 62
  { PseudoVAADD_VX_M1, VAADD_VX }, // 63
  { PseudoVAADD_VX_M1_MASK, VAADD_VX }, // 64
  { PseudoVAADD_VX_M1_TU, VAADD_VX }, // 65
  { PseudoVAADD_VX_M2, VAADD_VX }, // 66
  { PseudoVAADD_VX_M2_MASK, VAADD_VX }, // 67
  { PseudoVAADD_VX_M2_TU, VAADD_VX }, // 68
  { PseudoVAADD_VX_M4, VAADD_VX }, // 69
  { PseudoVAADD_VX_M4_MASK, VAADD_VX }, // 70
  { PseudoVAADD_VX_M4_TU, VAADD_VX }, // 71
  { PseudoVAADD_VX_M8, VAADD_VX }, // 72
  { PseudoVAADD_VX_M8_MASK, VAADD_VX }, // 73
  { PseudoVAADD_VX_M8_TU, VAADD_VX }, // 74
  { PseudoVAADD_VX_MF2, VAADD_VX }, // 75
  { PseudoVAADD_VX_MF2_MASK, VAADD_VX }, // 76
  { PseudoVAADD_VX_MF2_TU, VAADD_VX }, // 77
  { PseudoVAADD_VX_MF4, VAADD_VX }, // 78
  { PseudoVAADD_VX_MF4_MASK, VAADD_VX }, // 79
  { PseudoVAADD_VX_MF4_TU, VAADD_VX }, // 80
  { PseudoVAADD_VX_MF8, VAADD_VX }, // 81
  { PseudoVAADD_VX_MF8_MASK, VAADD_VX }, // 82
  { PseudoVAADD_VX_MF8_TU, VAADD_VX }, // 83
  { PseudoVADC_VIM_M1, VADC_VIM }, // 84
  { PseudoVADC_VIM_M1_TU, VADC_VIM }, // 85
  { PseudoVADC_VIM_M2, VADC_VIM }, // 86
  { PseudoVADC_VIM_M2_TU, VADC_VIM }, // 87
  { PseudoVADC_VIM_M4, VADC_VIM }, // 88
  { PseudoVADC_VIM_M4_TU, VADC_VIM }, // 89
  { PseudoVADC_VIM_M8, VADC_VIM }, // 90
  { PseudoVADC_VIM_M8_TU, VADC_VIM }, // 91
  { PseudoVADC_VIM_MF2, VADC_VIM }, // 92
  { PseudoVADC_VIM_MF2_TU, VADC_VIM }, // 93
  { PseudoVADC_VIM_MF4, VADC_VIM }, // 94
  { PseudoVADC_VIM_MF4_TU, VADC_VIM }, // 95
  { PseudoVADC_VIM_MF8, VADC_VIM }, // 96
  { PseudoVADC_VIM_MF8_TU, VADC_VIM }, // 97
  { PseudoVADC_VVM_M1, VADC_VVM }, // 98
  { PseudoVADC_VVM_M1_TU, VADC_VVM }, // 99
  { PseudoVADC_VVM_M2, VADC_VVM }, // 100
  { PseudoVADC_VVM_M2_TU, VADC_VVM }, // 101
  { PseudoVADC_VVM_M4, VADC_VVM }, // 102
  { PseudoVADC_VVM_M4_TU, VADC_VVM }, // 103
  { PseudoVADC_VVM_M8, VADC_VVM }, // 104
  { PseudoVADC_VVM_M8_TU, VADC_VVM }, // 105
  { PseudoVADC_VVM_MF2, VADC_VVM }, // 106
  { PseudoVADC_VVM_MF2_TU, VADC_VVM }, // 107
  { PseudoVADC_VVM_MF4, VADC_VVM }, // 108
  { PseudoVADC_VVM_MF4_TU, VADC_VVM }, // 109
  { PseudoVADC_VVM_MF8, VADC_VVM }, // 110
  { PseudoVADC_VVM_MF8_TU, VADC_VVM }, // 111
  { PseudoVADC_VXM_M1, VADC_VXM }, // 112
  { PseudoVADC_VXM_M1_TU, VADC_VXM }, // 113
  { PseudoVADC_VXM_M2, VADC_VXM }, // 114
  { PseudoVADC_VXM_M2_TU, VADC_VXM }, // 115
  { PseudoVADC_VXM_M4, VADC_VXM }, // 116
  { PseudoVADC_VXM_M4_TU, VADC_VXM }, // 117
  { PseudoVADC_VXM_M8, VADC_VXM }, // 118
  { PseudoVADC_VXM_M8_TU, VADC_VXM }, // 119
  { PseudoVADC_VXM_MF2, VADC_VXM }, // 120
  { PseudoVADC_VXM_MF2_TU, VADC_VXM }, // 121
  { PseudoVADC_VXM_MF4, VADC_VXM }, // 122
  { PseudoVADC_VXM_MF4_TU, VADC_VXM }, // 123
  { PseudoVADC_VXM_MF8, VADC_VXM }, // 124
  { PseudoVADC_VXM_MF8_TU, VADC_VXM }, // 125
  { PseudoVADD_VI_M1, VADD_VI }, // 126
  { PseudoVADD_VI_M1_MASK, VADD_VI }, // 127
  { PseudoVADD_VI_M1_TU, VADD_VI }, // 128
  { PseudoVADD_VI_M2, VADD_VI }, // 129
  { PseudoVADD_VI_M2_MASK, VADD_VI }, // 130
  { PseudoVADD_VI_M2_TU, VADD_VI }, // 131
  { PseudoVADD_VI_M4, VADD_VI }, // 132
  { PseudoVADD_VI_M4_MASK, VADD_VI }, // 133
  { PseudoVADD_VI_M4_TU, VADD_VI }, // 134
  { PseudoVADD_VI_M8, VADD_VI }, // 135
  { PseudoVADD_VI_M8_MASK, VADD_VI }, // 136
  { PseudoVADD_VI_M8_TU, VADD_VI }, // 137
  { PseudoVADD_VI_MF2, VADD_VI }, // 138
  { PseudoVADD_VI_MF2_MASK, VADD_VI }, // 139
  { PseudoVADD_VI_MF2_TU, VADD_VI }, // 140
  { PseudoVADD_VI_MF4, VADD_VI }, // 141
  { PseudoVADD_VI_MF4_MASK, VADD_VI }, // 142
  { PseudoVADD_VI_MF4_TU, VADD_VI }, // 143
  { PseudoVADD_VI_MF8, VADD_VI }, // 144
  { PseudoVADD_VI_MF8_MASK, VADD_VI }, // 145
  { PseudoVADD_VI_MF8_TU, VADD_VI }, // 146
  { PseudoVADD_VV_M1, VADD_VV }, // 147
  { PseudoVADD_VV_M1_MASK, VADD_VV }, // 148
  { PseudoVADD_VV_M1_TU, VADD_VV }, // 149
  { PseudoVADD_VV_M2, VADD_VV }, // 150
  { PseudoVADD_VV_M2_MASK, VADD_VV }, // 151
  { PseudoVADD_VV_M2_TU, VADD_VV }, // 152
  { PseudoVADD_VV_M4, VADD_VV }, // 153
  { PseudoVADD_VV_M4_MASK, VADD_VV }, // 154
  { PseudoVADD_VV_M4_TU, VADD_VV }, // 155
  { PseudoVADD_VV_M8, VADD_VV }, // 156
  { PseudoVADD_VV_M8_MASK, VADD_VV }, // 157
  { PseudoVADD_VV_M8_TU, VADD_VV }, // 158
  { PseudoVADD_VV_MF2, VADD_VV }, // 159
  { PseudoVADD_VV_MF2_MASK, VADD_VV }, // 160
  { PseudoVADD_VV_MF2_TU, VADD_VV }, // 161
  { PseudoVADD_VV_MF4, VADD_VV }, // 162
  { PseudoVADD_VV_MF4_MASK, VADD_VV }, // 163
  { PseudoVADD_VV_MF4_TU, VADD_VV }, // 164
  { PseudoVADD_VV_MF8, VADD_VV }, // 165
  { PseudoVADD_VV_MF8_MASK, VADD_VV }, // 166
  { PseudoVADD_VV_MF8_TU, VADD_VV }, // 167
  { PseudoVADD_VX_M1, VADD_VX }, // 168
  { PseudoVADD_VX_M1_MASK, VADD_VX }, // 169
  { PseudoVADD_VX_M1_TU, VADD_VX }, // 170
  { PseudoVADD_VX_M2, VADD_VX }, // 171
  { PseudoVADD_VX_M2_MASK, VADD_VX }, // 172
  { PseudoVADD_VX_M2_TU, VADD_VX }, // 173
  { PseudoVADD_VX_M4, VADD_VX }, // 174
  { PseudoVADD_VX_M4_MASK, VADD_VX }, // 175
  { PseudoVADD_VX_M4_TU, VADD_VX }, // 176
  { PseudoVADD_VX_M8, VADD_VX }, // 177
  { PseudoVADD_VX_M8_MASK, VADD_VX }, // 178
  { PseudoVADD_VX_M8_TU, VADD_VX }, // 179
  { PseudoVADD_VX_MF2, VADD_VX }, // 180
  { PseudoVADD_VX_MF2_MASK, VADD_VX }, // 181
  { PseudoVADD_VX_MF2_TU, VADD_VX }, // 182
  { PseudoVADD_VX_MF4, VADD_VX }, // 183
  { PseudoVADD_VX_MF4_MASK, VADD_VX }, // 184
  { PseudoVADD_VX_MF4_TU, VADD_VX }, // 185
  { PseudoVADD_VX_MF8, VADD_VX }, // 186
  { PseudoVADD_VX_MF8_MASK, VADD_VX }, // 187
  { PseudoVADD_VX_MF8_TU, VADD_VX }, // 188
  { PseudoVAND_VI_M1, VAND_VI }, // 189
  { PseudoVAND_VI_M1_MASK, VAND_VI }, // 190
  { PseudoVAND_VI_M1_TU, VAND_VI }, // 191
  { PseudoVAND_VI_M2, VAND_VI }, // 192
  { PseudoVAND_VI_M2_MASK, VAND_VI }, // 193
  { PseudoVAND_VI_M2_TU, VAND_VI }, // 194
  { PseudoVAND_VI_M4, VAND_VI }, // 195
  { PseudoVAND_VI_M4_MASK, VAND_VI }, // 196
  { PseudoVAND_VI_M4_TU, VAND_VI }, // 197
  { PseudoVAND_VI_M8, VAND_VI }, // 198
  { PseudoVAND_VI_M8_MASK, VAND_VI }, // 199
  { PseudoVAND_VI_M8_TU, VAND_VI }, // 200
  { PseudoVAND_VI_MF2, VAND_VI }, // 201
  { PseudoVAND_VI_MF2_MASK, VAND_VI }, // 202
  { PseudoVAND_VI_MF2_TU, VAND_VI }, // 203
  { PseudoVAND_VI_MF4, VAND_VI }, // 204
  { PseudoVAND_VI_MF4_MASK, VAND_VI }, // 205
  { PseudoVAND_VI_MF4_TU, VAND_VI }, // 206
  { PseudoVAND_VI_MF8, VAND_VI }, // 207
  { PseudoVAND_VI_MF8_MASK, VAND_VI }, // 208
  { PseudoVAND_VI_MF8_TU, VAND_VI }, // 209
  { PseudoVAND_VV_M1, VAND_VV }, // 210
  { PseudoVAND_VV_M1_MASK, VAND_VV }, // 211
  { PseudoVAND_VV_M1_TU, VAND_VV }, // 212
  { PseudoVAND_VV_M2, VAND_VV }, // 213
  { PseudoVAND_VV_M2_MASK, VAND_VV }, // 214
  { PseudoVAND_VV_M2_TU, VAND_VV }, // 215
  { PseudoVAND_VV_M4, VAND_VV }, // 216
  { PseudoVAND_VV_M4_MASK, VAND_VV }, // 217
  { PseudoVAND_VV_M4_TU, VAND_VV }, // 218
  { PseudoVAND_VV_M8, VAND_VV }, // 219
  { PseudoVAND_VV_M8_MASK, VAND_VV }, // 220
  { PseudoVAND_VV_M8_TU, VAND_VV }, // 221
  { PseudoVAND_VV_MF2, VAND_VV }, // 222
  { PseudoVAND_VV_MF2_MASK, VAND_VV }, // 223
  { PseudoVAND_VV_MF2_TU, VAND_VV }, // 224
  { PseudoVAND_VV_MF4, VAND_VV }, // 225
  { PseudoVAND_VV_MF4_MASK, VAND_VV }, // 226
  { PseudoVAND_VV_MF4_TU, VAND_VV }, // 227
  { PseudoVAND_VV_MF8, VAND_VV }, // 228
  { PseudoVAND_VV_MF8_MASK, VAND_VV }, // 229
  { PseudoVAND_VV_MF8_TU, VAND_VV }, // 230
  { PseudoVAND_VX_M1, VAND_VX }, // 231
  { PseudoVAND_VX_M1_MASK, VAND_VX }, // 232
  { PseudoVAND_VX_M1_TU, VAND_VX }, // 233
  { PseudoVAND_VX_M2, VAND_VX }, // 234
  { PseudoVAND_VX_M2_MASK, VAND_VX }, // 235
  { PseudoVAND_VX_M2_TU, VAND_VX }, // 236
  { PseudoVAND_VX_M4, VAND_VX }, // 237
  { PseudoVAND_VX_M4_MASK, VAND_VX }, // 238
  { PseudoVAND_VX_M4_TU, VAND_VX }, // 239
  { PseudoVAND_VX_M8, VAND_VX }, // 240
  { PseudoVAND_VX_M8_MASK, VAND_VX }, // 241
  { PseudoVAND_VX_M8_TU, VAND_VX }, // 242
  { PseudoVAND_VX_MF2, VAND_VX }, // 243
  { PseudoVAND_VX_MF2_MASK, VAND_VX }, // 244
  { PseudoVAND_VX_MF2_TU, VAND_VX }, // 245
  { PseudoVAND_VX_MF4, VAND_VX }, // 246
  { PseudoVAND_VX_MF4_MASK, VAND_VX }, // 247
  { PseudoVAND_VX_MF4_TU, VAND_VX }, // 248
  { PseudoVAND_VX_MF8, VAND_VX }, // 249
  { PseudoVAND_VX_MF8_MASK, VAND_VX }, // 250
  { PseudoVAND_VX_MF8_TU, VAND_VX }, // 251
  { PseudoVASUBU_VV_M1, VASUBU_VV }, // 252
  { PseudoVASUBU_VV_M1_MASK, VASUBU_VV }, // 253
  { PseudoVASUBU_VV_M1_TU, VASUBU_VV }, // 254
  { PseudoVASUBU_VV_M2, VASUBU_VV }, // 255
  { PseudoVASUBU_VV_M2_MASK, VASUBU_VV }, // 256
  { PseudoVASUBU_VV_M2_TU, VASUBU_VV }, // 257
  { PseudoVASUBU_VV_M4, VASUBU_VV }, // 258
  { PseudoVASUBU_VV_M4_MASK, VASUBU_VV }, // 259
  { PseudoVASUBU_VV_M4_TU, VASUBU_VV }, // 260
  { PseudoVASUBU_VV_M8, VASUBU_VV }, // 261
  { PseudoVASUBU_VV_M8_MASK, VASUBU_VV }, // 262
  { PseudoVASUBU_VV_M8_TU, VASUBU_VV }, // 263
  { PseudoVASUBU_VV_MF2, VASUBU_VV }, // 264
  { PseudoVASUBU_VV_MF2_MASK, VASUBU_VV }, // 265
  { PseudoVASUBU_VV_MF2_TU, VASUBU_VV }, // 266
  { PseudoVASUBU_VV_MF4, VASUBU_VV }, // 267
  { PseudoVASUBU_VV_MF4_MASK, VASUBU_VV }, // 268
  { PseudoVASUBU_VV_MF4_TU, VASUBU_VV }, // 269
  { PseudoVASUBU_VV_MF8, VASUBU_VV }, // 270
  { PseudoVASUBU_VV_MF8_MASK, VASUBU_VV }, // 271
  { PseudoVASUBU_VV_MF8_TU, VASUBU_VV }, // 272
  { PseudoVASUBU_VX_M1, VASUBU_VX }, // 273
  { PseudoVASUBU_VX_M1_MASK, VASUBU_VX }, // 274
  { PseudoVASUBU_VX_M1_TU, VASUBU_VX }, // 275
  { PseudoVASUBU_VX_M2, VASUBU_VX }, // 276
  { PseudoVASUBU_VX_M2_MASK, VASUBU_VX }, // 277
  { PseudoVASUBU_VX_M2_TU, VASUBU_VX }, // 278
  { PseudoVASUBU_VX_M4, VASUBU_VX }, // 279
  { PseudoVASUBU_VX_M4_MASK, VASUBU_VX }, // 280
  { PseudoVASUBU_VX_M4_TU, VASUBU_VX }, // 281
  { PseudoVASUBU_VX_M8, VASUBU_VX }, // 282
  { PseudoVASUBU_VX_M8_MASK, VASUBU_VX }, // 283
  { PseudoVASUBU_VX_M8_TU, VASUBU_VX }, // 284
  { PseudoVASUBU_VX_MF2, VASUBU_VX }, // 285
  { PseudoVASUBU_VX_MF2_MASK, VASUBU_VX }, // 286
  { PseudoVASUBU_VX_MF2_TU, VASUBU_VX }, // 287
  { PseudoVASUBU_VX_MF4, VASUBU_VX }, // 288
  { PseudoVASUBU_VX_MF4_MASK, VASUBU_VX }, // 289
  { PseudoVASUBU_VX_MF4_TU, VASUBU_VX }, // 290
  { PseudoVASUBU_VX_MF8, VASUBU_VX }, // 291
  { PseudoVASUBU_VX_MF8_MASK, VASUBU_VX }, // 292
  { PseudoVASUBU_VX_MF8_TU, VASUBU_VX }, // 293
  { PseudoVASUB_VV_M1, VASUB_VV }, // 294
  { PseudoVASUB_VV_M1_MASK, VASUB_VV }, // 295
  { PseudoVASUB_VV_M1_TU, VASUB_VV }, // 296
  { PseudoVASUB_VV_M2, VASUB_VV }, // 297
  { PseudoVASUB_VV_M2_MASK, VASUB_VV }, // 298
  { PseudoVASUB_VV_M2_TU, VASUB_VV }, // 299
  { PseudoVASUB_VV_M4, VASUB_VV }, // 300
  { PseudoVASUB_VV_M4_MASK, VASUB_VV }, // 301
  { PseudoVASUB_VV_M4_TU, VASUB_VV }, // 302
  { PseudoVASUB_VV_M8, VASUB_VV }, // 303
  { PseudoVASUB_VV_M8_MASK, VASUB_VV }, // 304
  { PseudoVASUB_VV_M8_TU, VASUB_VV }, // 305
  { PseudoVASUB_VV_MF2, VASUB_VV }, // 306
  { PseudoVASUB_VV_MF2_MASK, VASUB_VV }, // 307
  { PseudoVASUB_VV_MF2_TU, VASUB_VV }, // 308
  { PseudoVASUB_VV_MF4, VASUB_VV }, // 309
  { PseudoVASUB_VV_MF4_MASK, VASUB_VV }, // 310
  { PseudoVASUB_VV_MF4_TU, VASUB_VV }, // 311
  { PseudoVASUB_VV_MF8, VASUB_VV }, // 312
  { PseudoVASUB_VV_MF8_MASK, VASUB_VV }, // 313
  { PseudoVASUB_VV_MF8_TU, VASUB_VV }, // 314
  { PseudoVASUB_VX_M1, VASUB_VX }, // 315
  { PseudoVASUB_VX_M1_MASK, VASUB_VX }, // 316
  { PseudoVASUB_VX_M1_TU, VASUB_VX }, // 317
  { PseudoVASUB_VX_M2, VASUB_VX }, // 318
  { PseudoVASUB_VX_M2_MASK, VASUB_VX }, // 319
  { PseudoVASUB_VX_M2_TU, VASUB_VX }, // 320
  { PseudoVASUB_VX_M4, VASUB_VX }, // 321
  { PseudoVASUB_VX_M4_MASK, VASUB_VX }, // 322
  { PseudoVASUB_VX_M4_TU, VASUB_VX }, // 323
  { PseudoVASUB_VX_M8, VASUB_VX }, // 324
  { PseudoVASUB_VX_M8_MASK, VASUB_VX }, // 325
  { PseudoVASUB_VX_M8_TU, VASUB_VX }, // 326
  { PseudoVASUB_VX_MF2, VASUB_VX }, // 327
  { PseudoVASUB_VX_MF2_MASK, VASUB_VX }, // 328
  { PseudoVASUB_VX_MF2_TU, VASUB_VX }, // 329
  { PseudoVASUB_VX_MF4, VASUB_VX }, // 330
  { PseudoVASUB_VX_MF4_MASK, VASUB_VX }, // 331
  { PseudoVASUB_VX_MF4_TU, VASUB_VX }, // 332
  { PseudoVASUB_VX_MF8, VASUB_VX }, // 333
  { PseudoVASUB_VX_MF8_MASK, VASUB_VX }, // 334
  { PseudoVASUB_VX_MF8_TU, VASUB_VX }, // 335
  { PseudoVCOMPRESS_VM_M1, VCOMPRESS_VM }, // 336
  { PseudoVCOMPRESS_VM_M2, VCOMPRESS_VM }, // 337
  { PseudoVCOMPRESS_VM_M4, VCOMPRESS_VM }, // 338
  { PseudoVCOMPRESS_VM_M8, VCOMPRESS_VM }, // 339
  { PseudoVCOMPRESS_VM_MF2, VCOMPRESS_VM }, // 340
  { PseudoVCOMPRESS_VM_MF4, VCOMPRESS_VM }, // 341
  { PseudoVCOMPRESS_VM_MF8, VCOMPRESS_VM }, // 342
  { PseudoVCPOP_M_B1, VCPOP_M }, // 343
  { PseudoVCPOP_M_B16, VCPOP_M }, // 344
  { PseudoVCPOP_M_B16_MASK, VCPOP_M }, // 345
  { PseudoVCPOP_M_B1_MASK, VCPOP_M }, // 346
  { PseudoVCPOP_M_B2, VCPOP_M }, // 347
  { PseudoVCPOP_M_B2_MASK, VCPOP_M }, // 348
  { PseudoVCPOP_M_B32, VCPOP_M }, // 349
  { PseudoVCPOP_M_B32_MASK, VCPOP_M }, // 350
  { PseudoVCPOP_M_B4, VCPOP_M }, // 351
  { PseudoVCPOP_M_B4_MASK, VCPOP_M }, // 352
  { PseudoVCPOP_M_B64, VCPOP_M }, // 353
  { PseudoVCPOP_M_B64_MASK, VCPOP_M }, // 354
  { PseudoVCPOP_M_B8, VCPOP_M }, // 355
  { PseudoVCPOP_M_B8_MASK, VCPOP_M }, // 356
  { PseudoVDIVU_VV_M1, VDIVU_VV }, // 357
  { PseudoVDIVU_VV_M1_MASK, VDIVU_VV }, // 358
  { PseudoVDIVU_VV_M1_TU, VDIVU_VV }, // 359
  { PseudoVDIVU_VV_M2, VDIVU_VV }, // 360
  { PseudoVDIVU_VV_M2_MASK, VDIVU_VV }, // 361
  { PseudoVDIVU_VV_M2_TU, VDIVU_VV }, // 362
  { PseudoVDIVU_VV_M4, VDIVU_VV }, // 363
  { PseudoVDIVU_VV_M4_MASK, VDIVU_VV }, // 364
  { PseudoVDIVU_VV_M4_TU, VDIVU_VV }, // 365
  { PseudoVDIVU_VV_M8, VDIVU_VV }, // 366
  { PseudoVDIVU_VV_M8_MASK, VDIVU_VV }, // 367
  { PseudoVDIVU_VV_M8_TU, VDIVU_VV }, // 368
  { PseudoVDIVU_VV_MF2, VDIVU_VV }, // 369
  { PseudoVDIVU_VV_MF2_MASK, VDIVU_VV }, // 370
  { PseudoVDIVU_VV_MF2_TU, VDIVU_VV }, // 371
  { PseudoVDIVU_VV_MF4, VDIVU_VV }, // 372
  { PseudoVDIVU_VV_MF4_MASK, VDIVU_VV }, // 373
  { PseudoVDIVU_VV_MF4_TU, VDIVU_VV }, // 374
  { PseudoVDIVU_VV_MF8, VDIVU_VV }, // 375
  { PseudoVDIVU_VV_MF8_MASK, VDIVU_VV }, // 376
  { PseudoVDIVU_VV_MF8_TU, VDIVU_VV }, // 377
  { PseudoVDIVU_VX_M1, VDIVU_VX }, // 378
  { PseudoVDIVU_VX_M1_MASK, VDIVU_VX }, // 379
  { PseudoVDIVU_VX_M1_TU, VDIVU_VX }, // 380
  { PseudoVDIVU_VX_M2, VDIVU_VX }, // 381
  { PseudoVDIVU_VX_M2_MASK, VDIVU_VX }, // 382
  { PseudoVDIVU_VX_M2_TU, VDIVU_VX }, // 383
  { PseudoVDIVU_VX_M4, VDIVU_VX }, // 384
  { PseudoVDIVU_VX_M4_MASK, VDIVU_VX }, // 385
  { PseudoVDIVU_VX_M4_TU, VDIVU_VX }, // 386
  { PseudoVDIVU_VX_M8, VDIVU_VX }, // 387
  { PseudoVDIVU_VX_M8_MASK, VDIVU_VX }, // 388
  { PseudoVDIVU_VX_M8_TU, VDIVU_VX }, // 389
  { PseudoVDIVU_VX_MF2, VDIVU_VX }, // 390
  { PseudoVDIVU_VX_MF2_MASK, VDIVU_VX }, // 391
  { PseudoVDIVU_VX_MF2_TU, VDIVU_VX }, // 392
  { PseudoVDIVU_VX_MF4, VDIVU_VX }, // 393
  { PseudoVDIVU_VX_MF4_MASK, VDIVU_VX }, // 394
  { PseudoVDIVU_VX_MF4_TU, VDIVU_VX }, // 395
  { PseudoVDIVU_VX_MF8, VDIVU_VX }, // 396
  { PseudoVDIVU_VX_MF8_MASK, VDIVU_VX }, // 397
  { PseudoVDIVU_VX_MF8_TU, VDIVU_VX }, // 398
  { PseudoVDIV_VV_M1, VDIV_VV }, // 399
  { PseudoVDIV_VV_M1_MASK, VDIV_VV }, // 400
  { PseudoVDIV_VV_M1_TU, VDIV_VV }, // 401
  { PseudoVDIV_VV_M2, VDIV_VV }, // 402
  { PseudoVDIV_VV_M2_MASK, VDIV_VV }, // 403
  { PseudoVDIV_VV_M2_TU, VDIV_VV }, // 404
  { PseudoVDIV_VV_M4, VDIV_VV }, // 405
  { PseudoVDIV_VV_M4_MASK, VDIV_VV }, // 406
  { PseudoVDIV_VV_M4_TU, VDIV_VV }, // 407
  { PseudoVDIV_VV_M8, VDIV_VV }, // 408
  { PseudoVDIV_VV_M8_MASK, VDIV_VV }, // 409
  { PseudoVDIV_VV_M8_TU, VDIV_VV }, // 410
  { PseudoVDIV_VV_MF2, VDIV_VV }, // 411
  { PseudoVDIV_VV_MF2_MASK, VDIV_VV }, // 412
  { PseudoVDIV_VV_MF2_TU, VDIV_VV }, // 413
  { PseudoVDIV_VV_MF4, VDIV_VV }, // 414
  { PseudoVDIV_VV_MF4_MASK, VDIV_VV }, // 415
  { PseudoVDIV_VV_MF4_TU, VDIV_VV }, // 416
  { PseudoVDIV_VV_MF8, VDIV_VV }, // 417
  { PseudoVDIV_VV_MF8_MASK, VDIV_VV }, // 418
  { PseudoVDIV_VV_MF8_TU, VDIV_VV }, // 419
  { PseudoVDIV_VX_M1, VDIV_VX }, // 420
  { PseudoVDIV_VX_M1_MASK, VDIV_VX }, // 421
  { PseudoVDIV_VX_M1_TU, VDIV_VX }, // 422
  { PseudoVDIV_VX_M2, VDIV_VX }, // 423
  { PseudoVDIV_VX_M2_MASK, VDIV_VX }, // 424
  { PseudoVDIV_VX_M2_TU, VDIV_VX }, // 425
  { PseudoVDIV_VX_M4, VDIV_VX }, // 426
  { PseudoVDIV_VX_M4_MASK, VDIV_VX }, // 427
  { PseudoVDIV_VX_M4_TU, VDIV_VX }, // 428
  { PseudoVDIV_VX_M8, VDIV_VX }, // 429
  { PseudoVDIV_VX_M8_MASK, VDIV_VX }, // 430
  { PseudoVDIV_VX_M8_TU, VDIV_VX }, // 431
  { PseudoVDIV_VX_MF2, VDIV_VX }, // 432
  { PseudoVDIV_VX_MF2_MASK, VDIV_VX }, // 433
  { PseudoVDIV_VX_MF2_TU, VDIV_VX }, // 434
  { PseudoVDIV_VX_MF4, VDIV_VX }, // 435
  { PseudoVDIV_VX_MF4_MASK, VDIV_VX }, // 436
  { PseudoVDIV_VX_MF4_TU, VDIV_VX }, // 437
  { PseudoVDIV_VX_MF8, VDIV_VX }, // 438
  { PseudoVDIV_VX_MF8_MASK, VDIV_VX }, // 439
  { PseudoVDIV_VX_MF8_TU, VDIV_VX }, // 440
  { PseudoVFADD_VF16_M1, VFADD_VF }, // 441
  { PseudoVFADD_VF16_M1_MASK, VFADD_VF }, // 442
  { PseudoVFADD_VF16_M1_TU, VFADD_VF }, // 443
  { PseudoVFADD_VF16_M2, VFADD_VF }, // 444
  { PseudoVFADD_VF16_M2_MASK, VFADD_VF }, // 445
  { PseudoVFADD_VF16_M2_TU, VFADD_VF }, // 446
  { PseudoVFADD_VF16_M4, VFADD_VF }, // 447
  { PseudoVFADD_VF16_M4_MASK, VFADD_VF }, // 448
  { PseudoVFADD_VF16_M4_TU, VFADD_VF }, // 449
  { PseudoVFADD_VF16_M8, VFADD_VF }, // 450
  { PseudoVFADD_VF16_M8_MASK, VFADD_VF }, // 451
  { PseudoVFADD_VF16_M8_TU, VFADD_VF }, // 452
  { PseudoVFADD_VF16_MF2, VFADD_VF }, // 453
  { PseudoVFADD_VF16_MF2_MASK, VFADD_VF }, // 454
  { PseudoVFADD_VF16_MF2_TU, VFADD_VF }, // 455
  { PseudoVFADD_VF16_MF4, VFADD_VF }, // 456
  { PseudoVFADD_VF16_MF4_MASK, VFADD_VF }, // 457
  { PseudoVFADD_VF16_MF4_TU, VFADD_VF }, // 458
  { PseudoVFADD_VF32_M1, VFADD_VF }, // 459
  { PseudoVFADD_VF32_M1_MASK, VFADD_VF }, // 460
  { PseudoVFADD_VF32_M1_TU, VFADD_VF }, // 461
  { PseudoVFADD_VF32_M2, VFADD_VF }, // 462
  { PseudoVFADD_VF32_M2_MASK, VFADD_VF }, // 463
  { PseudoVFADD_VF32_M2_TU, VFADD_VF }, // 464
  { PseudoVFADD_VF32_M4, VFADD_VF }, // 465
  { PseudoVFADD_VF32_M4_MASK, VFADD_VF }, // 466
  { PseudoVFADD_VF32_M4_TU, VFADD_VF }, // 467
  { PseudoVFADD_VF32_M8, VFADD_VF }, // 468
  { PseudoVFADD_VF32_M8_MASK, VFADD_VF }, // 469
  { PseudoVFADD_VF32_M8_TU, VFADD_VF }, // 470
  { PseudoVFADD_VF32_MF2, VFADD_VF }, // 471
  { PseudoVFADD_VF32_MF2_MASK, VFADD_VF }, // 472
  { PseudoVFADD_VF32_MF2_TU, VFADD_VF }, // 473
  { PseudoVFADD_VF64_M1, VFADD_VF }, // 474
  { PseudoVFADD_VF64_M1_MASK, VFADD_VF }, // 475
  { PseudoVFADD_VF64_M1_TU, VFADD_VF }, // 476
  { PseudoVFADD_VF64_M2, VFADD_VF }, // 477
  { PseudoVFADD_VF64_M2_MASK, VFADD_VF }, // 478
  { PseudoVFADD_VF64_M2_TU, VFADD_VF }, // 479
  { PseudoVFADD_VF64_M4, VFADD_VF }, // 480
  { PseudoVFADD_VF64_M4_MASK, VFADD_VF }, // 481
  { PseudoVFADD_VF64_M4_TU, VFADD_VF }, // 482
  { PseudoVFADD_VF64_M8, VFADD_VF }, // 483
  { PseudoVFADD_VF64_M8_MASK, VFADD_VF }, // 484
  { PseudoVFADD_VF64_M8_TU, VFADD_VF }, // 485
  { PseudoVFADD_VV_M1, VFADD_VV }, // 486
  { PseudoVFADD_VV_M1_MASK, VFADD_VV }, // 487
  { PseudoVFADD_VV_M1_TU, VFADD_VV }, // 488
  { PseudoVFADD_VV_M2, VFADD_VV }, // 489
  { PseudoVFADD_VV_M2_MASK, VFADD_VV }, // 490
  { PseudoVFADD_VV_M2_TU, VFADD_VV }, // 491
  { PseudoVFADD_VV_M4, VFADD_VV }, // 492
  { PseudoVFADD_VV_M4_MASK, VFADD_VV }, // 493
  { PseudoVFADD_VV_M4_TU, VFADD_VV }, // 494
  { PseudoVFADD_VV_M8, VFADD_VV }, // 495
  { PseudoVFADD_VV_M8_MASK, VFADD_VV }, // 496
  { PseudoVFADD_VV_M8_TU, VFADD_VV }, // 497
  { PseudoVFADD_VV_MF2, VFADD_VV }, // 498
  { PseudoVFADD_VV_MF2_MASK, VFADD_VV }, // 499
  { PseudoVFADD_VV_MF2_TU, VFADD_VV }, // 500
  { PseudoVFADD_VV_MF4, VFADD_VV }, // 501
  { PseudoVFADD_VV_MF4_MASK, VFADD_VV }, // 502
  { PseudoVFADD_VV_MF4_TU, VFADD_VV }, // 503
  { PseudoVFCLASS_V_M1, VFCLASS_V }, // 504
  { PseudoVFCLASS_V_M1_MASK, VFCLASS_V }, // 505
  { PseudoVFCLASS_V_M1_TU, VFCLASS_V }, // 506
  { PseudoVFCLASS_V_M2, VFCLASS_V }, // 507
  { PseudoVFCLASS_V_M2_MASK, VFCLASS_V }, // 508
  { PseudoVFCLASS_V_M2_TU, VFCLASS_V }, // 509
  { PseudoVFCLASS_V_M4, VFCLASS_V }, // 510
  { PseudoVFCLASS_V_M4_MASK, VFCLASS_V }, // 511
  { PseudoVFCLASS_V_M4_TU, VFCLASS_V }, // 512
  { PseudoVFCLASS_V_M8, VFCLASS_V }, // 513
  { PseudoVFCLASS_V_M8_MASK, VFCLASS_V }, // 514
  { PseudoVFCLASS_V_M8_TU, VFCLASS_V }, // 515
  { PseudoVFCLASS_V_MF2, VFCLASS_V }, // 516
  { PseudoVFCLASS_V_MF2_MASK, VFCLASS_V }, // 517
  { PseudoVFCLASS_V_MF2_TU, VFCLASS_V }, // 518
  { PseudoVFCLASS_V_MF4, VFCLASS_V }, // 519
  { PseudoVFCLASS_V_MF4_MASK, VFCLASS_V }, // 520
  { PseudoVFCLASS_V_MF4_TU, VFCLASS_V }, // 521
  { PseudoVFCVT_F_XU_V_M1, VFCVT_F_XU_V }, // 522
  { PseudoVFCVT_F_XU_V_M1_MASK, VFCVT_F_XU_V }, // 523
  { PseudoVFCVT_F_XU_V_M1_TU, VFCVT_F_XU_V }, // 524
  { PseudoVFCVT_F_XU_V_M2, VFCVT_F_XU_V }, // 525
  { PseudoVFCVT_F_XU_V_M2_MASK, VFCVT_F_XU_V }, // 526
  { PseudoVFCVT_F_XU_V_M2_TU, VFCVT_F_XU_V }, // 527
  { PseudoVFCVT_F_XU_V_M4, VFCVT_F_XU_V }, // 528
  { PseudoVFCVT_F_XU_V_M4_MASK, VFCVT_F_XU_V }, // 529
  { PseudoVFCVT_F_XU_V_M4_TU, VFCVT_F_XU_V }, // 530
  { PseudoVFCVT_F_XU_V_M8, VFCVT_F_XU_V }, // 531
  { PseudoVFCVT_F_XU_V_M8_MASK, VFCVT_F_XU_V }, // 532
  { PseudoVFCVT_F_XU_V_M8_TU, VFCVT_F_XU_V }, // 533
  { PseudoVFCVT_F_XU_V_MF2, VFCVT_F_XU_V }, // 534
  { PseudoVFCVT_F_XU_V_MF2_MASK, VFCVT_F_XU_V }, // 535
  { PseudoVFCVT_F_XU_V_MF2_TU, VFCVT_F_XU_V }, // 536
  { PseudoVFCVT_F_XU_V_MF4, VFCVT_F_XU_V }, // 537
  { PseudoVFCVT_F_XU_V_MF4_MASK, VFCVT_F_XU_V }, // 538
  { PseudoVFCVT_F_XU_V_MF4_TU, VFCVT_F_XU_V }, // 539
  { PseudoVFCVT_F_X_V_M1, VFCVT_F_X_V }, // 540
  { PseudoVFCVT_F_X_V_M1_MASK, VFCVT_F_X_V }, // 541
  { PseudoVFCVT_F_X_V_M1_TU, VFCVT_F_X_V }, // 542
  { PseudoVFCVT_F_X_V_M2, VFCVT_F_X_V }, // 543
  { PseudoVFCVT_F_X_V_M2_MASK, VFCVT_F_X_V }, // 544
  { PseudoVFCVT_F_X_V_M2_TU, VFCVT_F_X_V }, // 545
  { PseudoVFCVT_F_X_V_M4, VFCVT_F_X_V }, // 546
  { PseudoVFCVT_F_X_V_M4_MASK, VFCVT_F_X_V }, // 547
  { PseudoVFCVT_F_X_V_M4_TU, VFCVT_F_X_V }, // 548
  { PseudoVFCVT_F_X_V_M8, VFCVT_F_X_V }, // 549
  { PseudoVFCVT_F_X_V_M8_MASK, VFCVT_F_X_V }, // 550
  { PseudoVFCVT_F_X_V_M8_TU, VFCVT_F_X_V }, // 551
  { PseudoVFCVT_F_X_V_MF2, VFCVT_F_X_V }, // 552
  { PseudoVFCVT_F_X_V_MF2_MASK, VFCVT_F_X_V }, // 553
  { PseudoVFCVT_F_X_V_MF2_TU, VFCVT_F_X_V }, // 554
  { PseudoVFCVT_F_X_V_MF4, VFCVT_F_X_V }, // 555
  { PseudoVFCVT_F_X_V_MF4_MASK, VFCVT_F_X_V }, // 556
  { PseudoVFCVT_F_X_V_MF4_TU, VFCVT_F_X_V }, // 557
  { PseudoVFCVT_RTZ_XU_F_V_M1, VFCVT_RTZ_XU_F_V }, // 558
  { PseudoVFCVT_RTZ_XU_F_V_M1_MASK, VFCVT_RTZ_XU_F_V }, // 559
  { PseudoVFCVT_RTZ_XU_F_V_M1_TU, VFCVT_RTZ_XU_F_V }, // 560
  { PseudoVFCVT_RTZ_XU_F_V_M2, VFCVT_RTZ_XU_F_V }, // 561
  { PseudoVFCVT_RTZ_XU_F_V_M2_MASK, VFCVT_RTZ_XU_F_V }, // 562
  { PseudoVFCVT_RTZ_XU_F_V_M2_TU, VFCVT_RTZ_XU_F_V }, // 563
  { PseudoVFCVT_RTZ_XU_F_V_M4, VFCVT_RTZ_XU_F_V }, // 564
  { PseudoVFCVT_RTZ_XU_F_V_M4_MASK, VFCVT_RTZ_XU_F_V }, // 565
  { PseudoVFCVT_RTZ_XU_F_V_M4_TU, VFCVT_RTZ_XU_F_V }, // 566
  { PseudoVFCVT_RTZ_XU_F_V_M8, VFCVT_RTZ_XU_F_V }, // 567
  { PseudoVFCVT_RTZ_XU_F_V_M8_MASK, VFCVT_RTZ_XU_F_V }, // 568
  { PseudoVFCVT_RTZ_XU_F_V_M8_TU, VFCVT_RTZ_XU_F_V }, // 569
  { PseudoVFCVT_RTZ_XU_F_V_MF2, VFCVT_RTZ_XU_F_V }, // 570
  { PseudoVFCVT_RTZ_XU_F_V_MF2_MASK, VFCVT_RTZ_XU_F_V }, // 571
  { PseudoVFCVT_RTZ_XU_F_V_MF2_TU, VFCVT_RTZ_XU_F_V }, // 572
  { PseudoVFCVT_RTZ_XU_F_V_MF4, VFCVT_RTZ_XU_F_V }, // 573
  { PseudoVFCVT_RTZ_XU_F_V_MF4_MASK, VFCVT_RTZ_XU_F_V }, // 574
  { PseudoVFCVT_RTZ_XU_F_V_MF4_TU, VFCVT_RTZ_XU_F_V }, // 575
  { PseudoVFCVT_RTZ_X_F_V_M1, VFCVT_RTZ_X_F_V }, // 576
  { PseudoVFCVT_RTZ_X_F_V_M1_MASK, VFCVT_RTZ_X_F_V }, // 577
  { PseudoVFCVT_RTZ_X_F_V_M1_TU, VFCVT_RTZ_X_F_V }, // 578
  { PseudoVFCVT_RTZ_X_F_V_M2, VFCVT_RTZ_X_F_V }, // 579
  { PseudoVFCVT_RTZ_X_F_V_M2_MASK, VFCVT_RTZ_X_F_V }, // 580
  { PseudoVFCVT_RTZ_X_F_V_M2_TU, VFCVT_RTZ_X_F_V }, // 581
  { PseudoVFCVT_RTZ_X_F_V_M4, VFCVT_RTZ_X_F_V }, // 582
  { PseudoVFCVT_RTZ_X_F_V_M4_MASK, VFCVT_RTZ_X_F_V }, // 583
  { PseudoVFCVT_RTZ_X_F_V_M4_TU, VFCVT_RTZ_X_F_V }, // 584
  { PseudoVFCVT_RTZ_X_F_V_M8, VFCVT_RTZ_X_F_V }, // 585
  { PseudoVFCVT_RTZ_X_F_V_M8_MASK, VFCVT_RTZ_X_F_V }, // 586
  { PseudoVFCVT_RTZ_X_F_V_M8_TU, VFCVT_RTZ_X_F_V }, // 587
  { PseudoVFCVT_RTZ_X_F_V_MF2, VFCVT_RTZ_X_F_V }, // 588
  { PseudoVFCVT_RTZ_X_F_V_MF2_MASK, VFCVT_RTZ_X_F_V }, // 589
  { PseudoVFCVT_RTZ_X_F_V_MF2_TU, VFCVT_RTZ_X_F_V }, // 590
  { PseudoVFCVT_RTZ_X_F_V_MF4, VFCVT_RTZ_X_F_V }, // 591
  { PseudoVFCVT_RTZ_X_F_V_MF4_MASK, VFCVT_RTZ_X_F_V }, // 592
  { PseudoVFCVT_RTZ_X_F_V_MF4_TU, VFCVT_RTZ_X_F_V }, // 593
  { PseudoVFCVT_XU_F_V_M1, VFCVT_XU_F_V }, // 594
  { PseudoVFCVT_XU_F_V_M1_MASK, VFCVT_XU_F_V }, // 595
  { PseudoVFCVT_XU_F_V_M1_TU, VFCVT_XU_F_V }, // 596
  { PseudoVFCVT_XU_F_V_M2, VFCVT_XU_F_V }, // 597
  { PseudoVFCVT_XU_F_V_M2_MASK, VFCVT_XU_F_V }, // 598
  { PseudoVFCVT_XU_F_V_M2_TU, VFCVT_XU_F_V }, // 599
  { PseudoVFCVT_XU_F_V_M4, VFCVT_XU_F_V }, // 600
  { PseudoVFCVT_XU_F_V_M4_MASK, VFCVT_XU_F_V }, // 601
  { PseudoVFCVT_XU_F_V_M4_TU, VFCVT_XU_F_V }, // 602
  { PseudoVFCVT_XU_F_V_M8, VFCVT_XU_F_V }, // 603
  { PseudoVFCVT_XU_F_V_M8_MASK, VFCVT_XU_F_V }, // 604
  { PseudoVFCVT_XU_F_V_M8_TU, VFCVT_XU_F_V }, // 605
  { PseudoVFCVT_XU_F_V_MF2, VFCVT_XU_F_V }, // 606
  { PseudoVFCVT_XU_F_V_MF2_MASK, VFCVT_XU_F_V }, // 607
  { PseudoVFCVT_XU_F_V_MF2_TU, VFCVT_XU_F_V }, // 608
  { PseudoVFCVT_XU_F_V_MF4, VFCVT_XU_F_V }, // 609
  { PseudoVFCVT_XU_F_V_MF4_MASK, VFCVT_XU_F_V }, // 610
  { PseudoVFCVT_XU_F_V_MF4_TU, VFCVT_XU_F_V }, // 611
  { PseudoVFCVT_X_F_V_M1, VFCVT_X_F_V }, // 612
  { PseudoVFCVT_X_F_V_M1_MASK, VFCVT_X_F_V }, // 613
  { PseudoVFCVT_X_F_V_M1_TU, VFCVT_X_F_V }, // 614
  { PseudoVFCVT_X_F_V_M2, VFCVT_X_F_V }, // 615
  { PseudoVFCVT_X_F_V_M2_MASK, VFCVT_X_F_V }, // 616
  { PseudoVFCVT_X_F_V_M2_TU, VFCVT_X_F_V }, // 617
  { PseudoVFCVT_X_F_V_M4, VFCVT_X_F_V }, // 618
  { PseudoVFCVT_X_F_V_M4_MASK, VFCVT_X_F_V }, // 619
  { PseudoVFCVT_X_F_V_M4_TU, VFCVT_X_F_V }, // 620
  { PseudoVFCVT_X_F_V_M8, VFCVT_X_F_V }, // 621
  { PseudoVFCVT_X_F_V_M8_MASK, VFCVT_X_F_V }, // 622
  { PseudoVFCVT_X_F_V_M8_TU, VFCVT_X_F_V }, // 623
  { PseudoVFCVT_X_F_V_MF2, VFCVT_X_F_V }, // 624
  { PseudoVFCVT_X_F_V_MF2_MASK, VFCVT_X_F_V }, // 625
  { PseudoVFCVT_X_F_V_MF2_TU, VFCVT_X_F_V }, // 626
  { PseudoVFCVT_X_F_V_MF4, VFCVT_X_F_V }, // 627
  { PseudoVFCVT_X_F_V_MF4_MASK, VFCVT_X_F_V }, // 628
  { PseudoVFCVT_X_F_V_MF4_TU, VFCVT_X_F_V }, // 629
  { PseudoVFDIV_VF16_M1, VFDIV_VF }, // 630
  { PseudoVFDIV_VF16_M1_MASK, VFDIV_VF }, // 631
  { PseudoVFDIV_VF16_M1_TU, VFDIV_VF }, // 632
  { PseudoVFDIV_VF16_M2, VFDIV_VF }, // 633
  { PseudoVFDIV_VF16_M2_MASK, VFDIV_VF }, // 634
  { PseudoVFDIV_VF16_M2_TU, VFDIV_VF }, // 635
  { PseudoVFDIV_VF16_M4, VFDIV_VF }, // 636
  { PseudoVFDIV_VF16_M4_MASK, VFDIV_VF }, // 637
  { PseudoVFDIV_VF16_M4_TU, VFDIV_VF }, // 638
  { PseudoVFDIV_VF16_M8, VFDIV_VF }, // 639
  { PseudoVFDIV_VF16_M8_MASK, VFDIV_VF }, // 640
  { PseudoVFDIV_VF16_M8_TU, VFDIV_VF }, // 641
  { PseudoVFDIV_VF16_MF2, VFDIV_VF }, // 642
  { PseudoVFDIV_VF16_MF2_MASK, VFDIV_VF }, // 643
  { PseudoVFDIV_VF16_MF2_TU, VFDIV_VF }, // 644
  { PseudoVFDIV_VF16_MF4, VFDIV_VF }, // 645
  { PseudoVFDIV_VF16_MF4_MASK, VFDIV_VF }, // 646
  { PseudoVFDIV_VF16_MF4_TU, VFDIV_VF }, // 647
  { PseudoVFDIV_VF32_M1, VFDIV_VF }, // 648
  { PseudoVFDIV_VF32_M1_MASK, VFDIV_VF }, // 649
  { PseudoVFDIV_VF32_M1_TU, VFDIV_VF }, // 650
  { PseudoVFDIV_VF32_M2, VFDIV_VF }, // 651
  { PseudoVFDIV_VF32_M2_MASK, VFDIV_VF }, // 652
  { PseudoVFDIV_VF32_M2_TU, VFDIV_VF }, // 653
  { PseudoVFDIV_VF32_M4, VFDIV_VF }, // 654
  { PseudoVFDIV_VF32_M4_MASK, VFDIV_VF }, // 655
  { PseudoVFDIV_VF32_M4_TU, VFDIV_VF }, // 656
  { PseudoVFDIV_VF32_M8, VFDIV_VF }, // 657
  { PseudoVFDIV_VF32_M8_MASK, VFDIV_VF }, // 658
  { PseudoVFDIV_VF32_M8_TU, VFDIV_VF }, // 659
  { PseudoVFDIV_VF32_MF2, VFDIV_VF }, // 660
  { PseudoVFDIV_VF32_MF2_MASK, VFDIV_VF }, // 661
  { PseudoVFDIV_VF32_MF2_TU, VFDIV_VF }, // 662
  { PseudoVFDIV_VF64_M1, VFDIV_VF }, // 663
  { PseudoVFDIV_VF64_M1_MASK, VFDIV_VF }, // 664
  { PseudoVFDIV_VF64_M1_TU, VFDIV_VF }, // 665
  { PseudoVFDIV_VF64_M2, VFDIV_VF }, // 666
  { PseudoVFDIV_VF64_M2_MASK, VFDIV_VF }, // 667
  { PseudoVFDIV_VF64_M2_TU, VFDIV_VF }, // 668
  { PseudoVFDIV_VF64_M4, VFDIV_VF }, // 669
  { PseudoVFDIV_VF64_M4_MASK, VFDIV_VF }, // 670
  { PseudoVFDIV_VF64_M4_TU, VFDIV_VF }, // 671
  { PseudoVFDIV_VF64_M8, VFDIV_VF }, // 672
  { PseudoVFDIV_VF64_M8_MASK, VFDIV_VF }, // 673
  { PseudoVFDIV_VF64_M8_TU, VFDIV_VF }, // 674
  { PseudoVFDIV_VV_M1, VFDIV_VV }, // 675
  { PseudoVFDIV_VV_M1_MASK, VFDIV_VV }, // 676
  { PseudoVFDIV_VV_M1_TU, VFDIV_VV }, // 677
  { PseudoVFDIV_VV_M2, VFDIV_VV }, // 678
  { PseudoVFDIV_VV_M2_MASK, VFDIV_VV }, // 679
  { PseudoVFDIV_VV_M2_TU, VFDIV_VV }, // 680
  { PseudoVFDIV_VV_M4, VFDIV_VV }, // 681
  { PseudoVFDIV_VV_M4_MASK, VFDIV_VV }, // 682
  { PseudoVFDIV_VV_M4_TU, VFDIV_VV }, // 683
  { PseudoVFDIV_VV_M8, VFDIV_VV }, // 684
  { PseudoVFDIV_VV_M8_MASK, VFDIV_VV }, // 685
  { PseudoVFDIV_VV_M8_TU, VFDIV_VV }, // 686
  { PseudoVFDIV_VV_MF2, VFDIV_VV }, // 687
  { PseudoVFDIV_VV_MF2_MASK, VFDIV_VV }, // 688
  { PseudoVFDIV_VV_MF2_TU, VFDIV_VV }, // 689
  { PseudoVFDIV_VV_MF4, VFDIV_VV }, // 690
  { PseudoVFDIV_VV_MF4_MASK, VFDIV_VV }, // 691
  { PseudoVFDIV_VV_MF4_TU, VFDIV_VV }, // 692
  { PseudoVFIRST_M_B1, VFIRST_M }, // 693
  { PseudoVFIRST_M_B16, VFIRST_M }, // 694
  { PseudoVFIRST_M_B16_MASK, VFIRST_M }, // 695
  { PseudoVFIRST_M_B1_MASK, VFIRST_M }, // 696
  { PseudoVFIRST_M_B2, VFIRST_M }, // 697
  { PseudoVFIRST_M_B2_MASK, VFIRST_M }, // 698
  { PseudoVFIRST_M_B32, VFIRST_M }, // 699
  { PseudoVFIRST_M_B32_MASK, VFIRST_M }, // 700
  { PseudoVFIRST_M_B4, VFIRST_M }, // 701
  { PseudoVFIRST_M_B4_MASK, VFIRST_M }, // 702
  { PseudoVFIRST_M_B64, VFIRST_M }, // 703
  { PseudoVFIRST_M_B64_MASK, VFIRST_M }, // 704
  { PseudoVFIRST_M_B8, VFIRST_M }, // 705
  { PseudoVFIRST_M_B8_MASK, VFIRST_M }, // 706
  { PseudoVFMACC_VF16_M1, VFMACC_VF }, // 707
  { PseudoVFMACC_VF16_M1_MASK, VFMACC_VF }, // 708
  { PseudoVFMACC_VF16_M2, VFMACC_VF }, // 709
  { PseudoVFMACC_VF16_M2_MASK, VFMACC_VF }, // 710
  { PseudoVFMACC_VF16_M4, VFMACC_VF }, // 711
  { PseudoVFMACC_VF16_M4_MASK, VFMACC_VF }, // 712
  { PseudoVFMACC_VF16_M8, VFMACC_VF }, // 713
  { PseudoVFMACC_VF16_M8_MASK, VFMACC_VF }, // 714
  { PseudoVFMACC_VF16_MF2, VFMACC_VF }, // 715
  { PseudoVFMACC_VF16_MF2_MASK, VFMACC_VF }, // 716
  { PseudoVFMACC_VF16_MF4, VFMACC_VF }, // 717
  { PseudoVFMACC_VF16_MF4_MASK, VFMACC_VF }, // 718
  { PseudoVFMACC_VF32_M1, VFMACC_VF }, // 719
  { PseudoVFMACC_VF32_M1_MASK, VFMACC_VF }, // 720
  { PseudoVFMACC_VF32_M2, VFMACC_VF }, // 721
  { PseudoVFMACC_VF32_M2_MASK, VFMACC_VF }, // 722
  { PseudoVFMACC_VF32_M4, VFMACC_VF }, // 723
  { PseudoVFMACC_VF32_M4_MASK, VFMACC_VF }, // 724
  { PseudoVFMACC_VF32_M8, VFMACC_VF }, // 725
  { PseudoVFMACC_VF32_M8_MASK, VFMACC_VF }, // 726
  { PseudoVFMACC_VF32_MF2, VFMACC_VF }, // 727
  { PseudoVFMACC_VF32_MF2_MASK, VFMACC_VF }, // 728
  { PseudoVFMACC_VF64_M1, VFMACC_VF }, // 729
  { PseudoVFMACC_VF64_M1_MASK, VFMACC_VF }, // 730
  { PseudoVFMACC_VF64_M2, VFMACC_VF }, // 731
  { PseudoVFMACC_VF64_M2_MASK, VFMACC_VF }, // 732
  { PseudoVFMACC_VF64_M4, VFMACC_VF }, // 733
  { PseudoVFMACC_VF64_M4_MASK, VFMACC_VF }, // 734
  { PseudoVFMACC_VF64_M8, VFMACC_VF }, // 735
  { PseudoVFMACC_VF64_M8_MASK, VFMACC_VF }, // 736
  { PseudoVFMACC_VV_M1, VFMACC_VV }, // 737
  { PseudoVFMACC_VV_M1_MASK, VFMACC_VV }, // 738
  { PseudoVFMACC_VV_M2, VFMACC_VV }, // 739
  { PseudoVFMACC_VV_M2_MASK, VFMACC_VV }, // 740
  { PseudoVFMACC_VV_M4, VFMACC_VV }, // 741
  { PseudoVFMACC_VV_M4_MASK, VFMACC_VV }, // 742
  { PseudoVFMACC_VV_M8, VFMACC_VV }, // 743
  { PseudoVFMACC_VV_M8_MASK, VFMACC_VV }, // 744
  { PseudoVFMACC_VV_MF2, VFMACC_VV }, // 745
  { PseudoVFMACC_VV_MF2_MASK, VFMACC_VV }, // 746
  { PseudoVFMACC_VV_MF4, VFMACC_VV }, // 747
  { PseudoVFMACC_VV_MF4_MASK, VFMACC_VV }, // 748
  { PseudoVFMADD_VF16_M1, VFMADD_VF }, // 749
  { PseudoVFMADD_VF16_M1_MASK, VFMADD_VF }, // 750
  { PseudoVFMADD_VF16_M2, VFMADD_VF }, // 751
  { PseudoVFMADD_VF16_M2_MASK, VFMADD_VF }, // 752
  { PseudoVFMADD_VF16_M4, VFMADD_VF }, // 753
  { PseudoVFMADD_VF16_M4_MASK, VFMADD_VF }, // 754
  { PseudoVFMADD_VF16_M8, VFMADD_VF }, // 755
  { PseudoVFMADD_VF16_M8_MASK, VFMADD_VF }, // 756
  { PseudoVFMADD_VF16_MF2, VFMADD_VF }, // 757
  { PseudoVFMADD_VF16_MF2_MASK, VFMADD_VF }, // 758
  { PseudoVFMADD_VF16_MF4, VFMADD_VF }, // 759
  { PseudoVFMADD_VF16_MF4_MASK, VFMADD_VF }, // 760
  { PseudoVFMADD_VF32_M1, VFMADD_VF }, // 761
  { PseudoVFMADD_VF32_M1_MASK, VFMADD_VF }, // 762
  { PseudoVFMADD_VF32_M2, VFMADD_VF }, // 763
  { PseudoVFMADD_VF32_M2_MASK, VFMADD_VF }, // 764
  { PseudoVFMADD_VF32_M4, VFMADD_VF }, // 765
  { PseudoVFMADD_VF32_M4_MASK, VFMADD_VF }, // 766
  { PseudoVFMADD_VF32_M8, VFMADD_VF }, // 767
  { PseudoVFMADD_VF32_M8_MASK, VFMADD_VF }, // 768
  { PseudoVFMADD_VF32_MF2, VFMADD_VF }, // 769
  { PseudoVFMADD_VF32_MF2_MASK, VFMADD_VF }, // 770
  { PseudoVFMADD_VF64_M1, VFMADD_VF }, // 771
  { PseudoVFMADD_VF64_M1_MASK, VFMADD_VF }, // 772
  { PseudoVFMADD_VF64_M2, VFMADD_VF }, // 773
  { PseudoVFMADD_VF64_M2_MASK, VFMADD_VF }, // 774
  { PseudoVFMADD_VF64_M4, VFMADD_VF }, // 775
  { PseudoVFMADD_VF64_M4_MASK, VFMADD_VF }, // 776
  { PseudoVFMADD_VF64_M8, VFMADD_VF }, // 777
  { PseudoVFMADD_VF64_M8_MASK, VFMADD_VF }, // 778
  { PseudoVFMADD_VV_M1, VFMADD_VV }, // 779
  { PseudoVFMADD_VV_M1_MASK, VFMADD_VV }, // 780
  { PseudoVFMADD_VV_M2, VFMADD_VV }, // 781
  { PseudoVFMADD_VV_M2_MASK, VFMADD_VV }, // 782
  { PseudoVFMADD_VV_M4, VFMADD_VV }, // 783
  { PseudoVFMADD_VV_M4_MASK, VFMADD_VV }, // 784
  { PseudoVFMADD_VV_M8, VFMADD_VV }, // 785
  { PseudoVFMADD_VV_M8_MASK, VFMADD_VV }, // 786
  { PseudoVFMADD_VV_MF2, VFMADD_VV }, // 787
  { PseudoVFMADD_VV_MF2_MASK, VFMADD_VV }, // 788
  { PseudoVFMADD_VV_MF4, VFMADD_VV }, // 789
  { PseudoVFMADD_VV_MF4_MASK, VFMADD_VV }, // 790
  { PseudoVFMAX_VF16_M1, VFMAX_VF }, // 791
  { PseudoVFMAX_VF16_M1_MASK, VFMAX_VF }, // 792
  { PseudoVFMAX_VF16_M1_TU, VFMAX_VF }, // 793
  { PseudoVFMAX_VF16_M2, VFMAX_VF }, // 794
  { PseudoVFMAX_VF16_M2_MASK, VFMAX_VF }, // 795
  { PseudoVFMAX_VF16_M2_TU, VFMAX_VF }, // 796
  { PseudoVFMAX_VF16_M4, VFMAX_VF }, // 797
  { PseudoVFMAX_VF16_M4_MASK, VFMAX_VF }, // 798
  { PseudoVFMAX_VF16_M4_TU, VFMAX_VF }, // 799
  { PseudoVFMAX_VF16_M8, VFMAX_VF }, // 800
  { PseudoVFMAX_VF16_M8_MASK, VFMAX_VF }, // 801
  { PseudoVFMAX_VF16_M8_TU, VFMAX_VF }, // 802
  { PseudoVFMAX_VF16_MF2, VFMAX_VF }, // 803
  { PseudoVFMAX_VF16_MF2_MASK, VFMAX_VF }, // 804
  { PseudoVFMAX_VF16_MF2_TU, VFMAX_VF }, // 805
  { PseudoVFMAX_VF16_MF4, VFMAX_VF }, // 806
  { PseudoVFMAX_VF16_MF4_MASK, VFMAX_VF }, // 807
  { PseudoVFMAX_VF16_MF4_TU, VFMAX_VF }, // 808
  { PseudoVFMAX_VF32_M1, VFMAX_VF }, // 809
  { PseudoVFMAX_VF32_M1_MASK, VFMAX_VF }, // 810
  { PseudoVFMAX_VF32_M1_TU, VFMAX_VF }, // 811
  { PseudoVFMAX_VF32_M2, VFMAX_VF }, // 812
  { PseudoVFMAX_VF32_M2_MASK, VFMAX_VF }, // 813
  { PseudoVFMAX_VF32_M2_TU, VFMAX_VF }, // 814
  { PseudoVFMAX_VF32_M4, VFMAX_VF }, // 815
  { PseudoVFMAX_VF32_M4_MASK, VFMAX_VF }, // 816
  { PseudoVFMAX_VF32_M4_TU, VFMAX_VF }, // 817
  { PseudoVFMAX_VF32_M8, VFMAX_VF }, // 818
  { PseudoVFMAX_VF32_M8_MASK, VFMAX_VF }, // 819
  { PseudoVFMAX_VF32_M8_TU, VFMAX_VF }, // 820
  { PseudoVFMAX_VF32_MF2, VFMAX_VF }, // 821
  { PseudoVFMAX_VF32_MF2_MASK, VFMAX_VF }, // 822
  { PseudoVFMAX_VF32_MF2_TU, VFMAX_VF }, // 823
  { PseudoVFMAX_VF64_M1, VFMAX_VF }, // 824
  { PseudoVFMAX_VF64_M1_MASK, VFMAX_VF }, // 825
  { PseudoVFMAX_VF64_M1_TU, VFMAX_VF }, // 826
  { PseudoVFMAX_VF64_M2, VFMAX_VF }, // 827
  { PseudoVFMAX_VF64_M2_MASK, VFMAX_VF }, // 828
  { PseudoVFMAX_VF64_M2_TU, VFMAX_VF }, // 829
  { PseudoVFMAX_VF64_M4, VFMAX_VF }, // 830
  { PseudoVFMAX_VF64_M4_MASK, VFMAX_VF }, // 831
  { PseudoVFMAX_VF64_M4_TU, VFMAX_VF }, // 832
  { PseudoVFMAX_VF64_M8, VFMAX_VF }, // 833
  { PseudoVFMAX_VF64_M8_MASK, VFMAX_VF }, // 834
  { PseudoVFMAX_VF64_M8_TU, VFMAX_VF }, // 835
  { PseudoVFMAX_VV_M1, VFMAX_VV }, // 836
  { PseudoVFMAX_VV_M1_MASK, VFMAX_VV }, // 837
  { PseudoVFMAX_VV_M1_TU, VFMAX_VV }, // 838
  { PseudoVFMAX_VV_M2, VFMAX_VV }, // 839
  { PseudoVFMAX_VV_M2_MASK, VFMAX_VV }, // 840
  { PseudoVFMAX_VV_M2_TU, VFMAX_VV }, // 841
  { PseudoVFMAX_VV_M4, VFMAX_VV }, // 842
  { PseudoVFMAX_VV_M4_MASK, VFMAX_VV }, // 843
  { PseudoVFMAX_VV_M4_TU, VFMAX_VV }, // 844
  { PseudoVFMAX_VV_M8, VFMAX_VV }, // 845
  { PseudoVFMAX_VV_M8_MASK, VFMAX_VV }, // 846
  { PseudoVFMAX_VV_M8_TU, VFMAX_VV }, // 847
  { PseudoVFMAX_VV_MF2, VFMAX_VV }, // 848
  { PseudoVFMAX_VV_MF2_MASK, VFMAX_VV }, // 849
  { PseudoVFMAX_VV_MF2_TU, VFMAX_VV }, // 850
  { PseudoVFMAX_VV_MF4, VFMAX_VV }, // 851
  { PseudoVFMAX_VV_MF4_MASK, VFMAX_VV }, // 852
  { PseudoVFMAX_VV_MF4_TU, VFMAX_VV }, // 853
  { PseudoVFMERGE_VF16M_M1, VFMERGE_VFM }, // 854
  { PseudoVFMERGE_VF16M_M1_TU, VFMERGE_VFM }, // 855
  { PseudoVFMERGE_VF16M_M2, VFMERGE_VFM }, // 856
  { PseudoVFMERGE_VF16M_M2_TU, VFMERGE_VFM }, // 857
  { PseudoVFMERGE_VF16M_M4, VFMERGE_VFM }, // 858
  { PseudoVFMERGE_VF16M_M4_TU, VFMERGE_VFM }, // 859
  { PseudoVFMERGE_VF16M_M8, VFMERGE_VFM }, // 860
  { PseudoVFMERGE_VF16M_M8_TU, VFMERGE_VFM }, // 861
  { PseudoVFMERGE_VF16M_MF2, VFMERGE_VFM }, // 862
  { PseudoVFMERGE_VF16M_MF2_TU, VFMERGE_VFM }, // 863
  { PseudoVFMERGE_VF16M_MF4, VFMERGE_VFM }, // 864
  { PseudoVFMERGE_VF16M_MF4_TU, VFMERGE_VFM }, // 865
  { PseudoVFMERGE_VF32M_M1, VFMERGE_VFM }, // 866
  { PseudoVFMERGE_VF32M_M1_TU, VFMERGE_VFM }, // 867
  { PseudoVFMERGE_VF32M_M2, VFMERGE_VFM }, // 868
  { PseudoVFMERGE_VF32M_M2_TU, VFMERGE_VFM }, // 869
  { PseudoVFMERGE_VF32M_M4, VFMERGE_VFM }, // 870
  { PseudoVFMERGE_VF32M_M4_TU, VFMERGE_VFM }, // 871
  { PseudoVFMERGE_VF32M_M8, VFMERGE_VFM }, // 872
  { PseudoVFMERGE_VF32M_M8_TU, VFMERGE_VFM }, // 873
  { PseudoVFMERGE_VF32M_MF2, VFMERGE_VFM }, // 874
  { PseudoVFMERGE_VF32M_MF2_TU, VFMERGE_VFM }, // 875
  { PseudoVFMERGE_VF64M_M1, VFMERGE_VFM }, // 876
  { PseudoVFMERGE_VF64M_M1_TU, VFMERGE_VFM }, // 877
  { PseudoVFMERGE_VF64M_M2, VFMERGE_VFM }, // 878
  { PseudoVFMERGE_VF64M_M2_TU, VFMERGE_VFM }, // 879
  { PseudoVFMERGE_VF64M_M4, VFMERGE_VFM }, // 880
  { PseudoVFMERGE_VF64M_M4_TU, VFMERGE_VFM }, // 881
  { PseudoVFMERGE_VF64M_M8, VFMERGE_VFM }, // 882
  { PseudoVFMERGE_VF64M_M8_TU, VFMERGE_VFM }, // 883
  { PseudoVFMIN_VF16_M1, VFMIN_VF }, // 884
  { PseudoVFMIN_VF16_M1_MASK, VFMIN_VF }, // 885
  { PseudoVFMIN_VF16_M1_TU, VFMIN_VF }, // 886
  { PseudoVFMIN_VF16_M2, VFMIN_VF }, // 887
  { PseudoVFMIN_VF16_M2_MASK, VFMIN_VF }, // 888
  { PseudoVFMIN_VF16_M2_TU, VFMIN_VF }, // 889
  { PseudoVFMIN_VF16_M4, VFMIN_VF }, // 890
  { PseudoVFMIN_VF16_M4_MASK, VFMIN_VF }, // 891
  { PseudoVFMIN_VF16_M4_TU, VFMIN_VF }, // 892
  { PseudoVFMIN_VF16_M8, VFMIN_VF }, // 893
  { PseudoVFMIN_VF16_M8_MASK, VFMIN_VF }, // 894
  { PseudoVFMIN_VF16_M8_TU, VFMIN_VF }, // 895
  { PseudoVFMIN_VF16_MF2, VFMIN_VF }, // 896
  { PseudoVFMIN_VF16_MF2_MASK, VFMIN_VF }, // 897
  { PseudoVFMIN_VF16_MF2_TU, VFMIN_VF }, // 898
  { PseudoVFMIN_VF16_MF4, VFMIN_VF }, // 899
  { PseudoVFMIN_VF16_MF4_MASK, VFMIN_VF }, // 900
  { PseudoVFMIN_VF16_MF4_TU, VFMIN_VF }, // 901
  { PseudoVFMIN_VF32_M1, VFMIN_VF }, // 902
  { PseudoVFMIN_VF32_M1_MASK, VFMIN_VF }, // 903
  { PseudoVFMIN_VF32_M1_TU, VFMIN_VF }, // 904
  { PseudoVFMIN_VF32_M2, VFMIN_VF }, // 905
  { PseudoVFMIN_VF32_M2_MASK, VFMIN_VF }, // 906
  { PseudoVFMIN_VF32_M2_TU, VFMIN_VF }, // 907
  { PseudoVFMIN_VF32_M4, VFMIN_VF }, // 908
  { PseudoVFMIN_VF32_M4_MASK, VFMIN_VF }, // 909
  { PseudoVFMIN_VF32_M4_TU, VFMIN_VF }, // 910
  { PseudoVFMIN_VF32_M8, VFMIN_VF }, // 911
  { PseudoVFMIN_VF32_M8_MASK, VFMIN_VF }, // 912
  { PseudoVFMIN_VF32_M8_TU, VFMIN_VF }, // 913
  { PseudoVFMIN_VF32_MF2, VFMIN_VF }, // 914
  { PseudoVFMIN_VF32_MF2_MASK, VFMIN_VF }, // 915
  { PseudoVFMIN_VF32_MF2_TU, VFMIN_VF }, // 916
  { PseudoVFMIN_VF64_M1, VFMIN_VF }, // 917
  { PseudoVFMIN_VF64_M1_MASK, VFMIN_VF }, // 918
  { PseudoVFMIN_VF64_M1_TU, VFMIN_VF }, // 919
  { PseudoVFMIN_VF64_M2, VFMIN_VF }, // 920
  { PseudoVFMIN_VF64_M2_MASK, VFMIN_VF }, // 921
  { PseudoVFMIN_VF64_M2_TU, VFMIN_VF }, // 922
  { PseudoVFMIN_VF64_M4, VFMIN_VF }, // 923
  { PseudoVFMIN_VF64_M4_MASK, VFMIN_VF }, // 924
  { PseudoVFMIN_VF64_M4_TU, VFMIN_VF }, // 925
  { PseudoVFMIN_VF64_M8, VFMIN_VF }, // 926
  { PseudoVFMIN_VF64_M8_MASK, VFMIN_VF }, // 927
  { PseudoVFMIN_VF64_M8_TU, VFMIN_VF }, // 928
  { PseudoVFMIN_VV_M1, VFMIN_VV }, // 929
  { PseudoVFMIN_VV_M1_MASK, VFMIN_VV }, // 930
  { PseudoVFMIN_VV_M1_TU, VFMIN_VV }, // 931
  { PseudoVFMIN_VV_M2, VFMIN_VV }, // 932
  { PseudoVFMIN_VV_M2_MASK, VFMIN_VV }, // 933
  { PseudoVFMIN_VV_M2_TU, VFMIN_VV }, // 934
  { PseudoVFMIN_VV_M4, VFMIN_VV }, // 935
  { PseudoVFMIN_VV_M4_MASK, VFMIN_VV }, // 936
  { PseudoVFMIN_VV_M4_TU, VFMIN_VV }, // 937
  { PseudoVFMIN_VV_M8, VFMIN_VV }, // 938
  { PseudoVFMIN_VV_M8_MASK, VFMIN_VV }, // 939
  { PseudoVFMIN_VV_M8_TU, VFMIN_VV }, // 940
  { PseudoVFMIN_VV_MF2, VFMIN_VV }, // 941
  { PseudoVFMIN_VV_MF2_MASK, VFMIN_VV }, // 942
  { PseudoVFMIN_VV_MF2_TU, VFMIN_VV }, // 943
  { PseudoVFMIN_VV_MF4, VFMIN_VV }, // 944
  { PseudoVFMIN_VV_MF4_MASK, VFMIN_VV }, // 945
  { PseudoVFMIN_VV_MF4_TU, VFMIN_VV }, // 946
  { PseudoVFMSAC_VF16_M1, VFMSAC_VF }, // 947
  { PseudoVFMSAC_VF16_M1_MASK, VFMSAC_VF }, // 948
  { PseudoVFMSAC_VF16_M2, VFMSAC_VF }, // 949
  { PseudoVFMSAC_VF16_M2_MASK, VFMSAC_VF }, // 950
  { PseudoVFMSAC_VF16_M4, VFMSAC_VF }, // 951
  { PseudoVFMSAC_VF16_M4_MASK, VFMSAC_VF }, // 952
  { PseudoVFMSAC_VF16_M8, VFMSAC_VF }, // 953
  { PseudoVFMSAC_VF16_M8_MASK, VFMSAC_VF }, // 954
  { PseudoVFMSAC_VF16_MF2, VFMSAC_VF }, // 955
  { PseudoVFMSAC_VF16_MF2_MASK, VFMSAC_VF }, // 956
  { PseudoVFMSAC_VF16_MF4, VFMSAC_VF }, // 957
  { PseudoVFMSAC_VF16_MF4_MASK, VFMSAC_VF }, // 958
  { PseudoVFMSAC_VF32_M1, VFMSAC_VF }, // 959
  { PseudoVFMSAC_VF32_M1_MASK, VFMSAC_VF }, // 960
  { PseudoVFMSAC_VF32_M2, VFMSAC_VF }, // 961
  { PseudoVFMSAC_VF32_M2_MASK, VFMSAC_VF }, // 962
  { PseudoVFMSAC_VF32_M4, VFMSAC_VF }, // 963
  { PseudoVFMSAC_VF32_M4_MASK, VFMSAC_VF }, // 964
  { PseudoVFMSAC_VF32_M8, VFMSAC_VF }, // 965
  { PseudoVFMSAC_VF32_M8_MASK, VFMSAC_VF }, // 966
  { PseudoVFMSAC_VF32_MF2, VFMSAC_VF }, // 967
  { PseudoVFMSAC_VF32_MF2_MASK, VFMSAC_VF }, // 968
  { PseudoVFMSAC_VF64_M1, VFMSAC_VF }, // 969
  { PseudoVFMSAC_VF64_M1_MASK, VFMSAC_VF }, // 970
  { PseudoVFMSAC_VF64_M2, VFMSAC_VF }, // 971
  { PseudoVFMSAC_VF64_M2_MASK, VFMSAC_VF }, // 972
  { PseudoVFMSAC_VF64_M4, VFMSAC_VF }, // 973
  { PseudoVFMSAC_VF64_M4_MASK, VFMSAC_VF }, // 974
  { PseudoVFMSAC_VF64_M8, VFMSAC_VF }, // 975
  { PseudoVFMSAC_VF64_M8_MASK, VFMSAC_VF }, // 976
  { PseudoVFMSAC_VV_M1, VFMSAC_VV }, // 977
  { PseudoVFMSAC_VV_M1_MASK, VFMSAC_VV }, // 978
  { PseudoVFMSAC_VV_M2, VFMSAC_VV }, // 979
  { PseudoVFMSAC_VV_M2_MASK, VFMSAC_VV }, // 980
  { PseudoVFMSAC_VV_M4, VFMSAC_VV }, // 981
  { PseudoVFMSAC_VV_M4_MASK, VFMSAC_VV }, // 982
  { PseudoVFMSAC_VV_M8, VFMSAC_VV }, // 983
  { PseudoVFMSAC_VV_M8_MASK, VFMSAC_VV }, // 984
  { PseudoVFMSAC_VV_MF2, VFMSAC_VV }, // 985
  { PseudoVFMSAC_VV_MF2_MASK, VFMSAC_VV }, // 986
  { PseudoVFMSAC_VV_MF4, VFMSAC_VV }, // 987
  { PseudoVFMSAC_VV_MF4_MASK, VFMSAC_VV }, // 988
  { PseudoVFMSUB_VF16_M1, VFMSUB_VF }, // 989
  { PseudoVFMSUB_VF16_M1_MASK, VFMSUB_VF }, // 990
  { PseudoVFMSUB_VF16_M2, VFMSUB_VF }, // 991
  { PseudoVFMSUB_VF16_M2_MASK, VFMSUB_VF }, // 992
  { PseudoVFMSUB_VF16_M4, VFMSUB_VF }, // 993
  { PseudoVFMSUB_VF16_M4_MASK, VFMSUB_VF }, // 994
  { PseudoVFMSUB_VF16_M8, VFMSUB_VF }, // 995
  { PseudoVFMSUB_VF16_M8_MASK, VFMSUB_VF }, // 996
  { PseudoVFMSUB_VF16_MF2, VFMSUB_VF }, // 997
  { PseudoVFMSUB_VF16_MF2_MASK, VFMSUB_VF }, // 998
  { PseudoVFMSUB_VF16_MF4, VFMSUB_VF }, // 999
  { PseudoVFMSUB_VF16_MF4_MASK, VFMSUB_VF }, // 1000
  { PseudoVFMSUB_VF32_M1, VFMSUB_VF }, // 1001
  { PseudoVFMSUB_VF32_M1_MASK, VFMSUB_VF }, // 1002
  { PseudoVFMSUB_VF32_M2, VFMSUB_VF }, // 1003
  { PseudoVFMSUB_VF32_M2_MASK, VFMSUB_VF }, // 1004
  { PseudoVFMSUB_VF32_M4, VFMSUB_VF }, // 1005
  { PseudoVFMSUB_VF32_M4_MASK, VFMSUB_VF }, // 1006
  { PseudoVFMSUB_VF32_M8, VFMSUB_VF }, // 1007
  { PseudoVFMSUB_VF32_M8_MASK, VFMSUB_VF }, // 1008
  { PseudoVFMSUB_VF32_MF2, VFMSUB_VF }, // 1009
  { PseudoVFMSUB_VF32_MF2_MASK, VFMSUB_VF }, // 1010
  { PseudoVFMSUB_VF64_M1, VFMSUB_VF }, // 1011
  { PseudoVFMSUB_VF64_M1_MASK, VFMSUB_VF }, // 1012
  { PseudoVFMSUB_VF64_M2, VFMSUB_VF }, // 1013
  { PseudoVFMSUB_VF64_M2_MASK, VFMSUB_VF }, // 1014
  { PseudoVFMSUB_VF64_M4, VFMSUB_VF }, // 1015
  { PseudoVFMSUB_VF64_M4_MASK, VFMSUB_VF }, // 1016
  { PseudoVFMSUB_VF64_M8, VFMSUB_VF }, // 1017
  { PseudoVFMSUB_VF64_M8_MASK, VFMSUB_VF }, // 1018
  { PseudoVFMSUB_VV_M1, VFMSUB_VV }, // 1019
  { PseudoVFMSUB_VV_M1_MASK, VFMSUB_VV }, // 1020
  { PseudoVFMSUB_VV_M2, VFMSUB_VV }, // 1021
  { PseudoVFMSUB_VV_M2_MASK, VFMSUB_VV }, // 1022
  { PseudoVFMSUB_VV_M4, VFMSUB_VV }, // 1023
  { PseudoVFMSUB_VV_M4_MASK, VFMSUB_VV }, // 1024
  { PseudoVFMSUB_VV_M8, VFMSUB_VV }, // 1025
  { PseudoVFMSUB_VV_M8_MASK, VFMSUB_VV }, // 1026
  { PseudoVFMSUB_VV_MF2, VFMSUB_VV }, // 1027
  { PseudoVFMSUB_VV_MF2_MASK, VFMSUB_VV }, // 1028
  { PseudoVFMSUB_VV_MF4, VFMSUB_VV }, // 1029
  { PseudoVFMSUB_VV_MF4_MASK, VFMSUB_VV }, // 1030
  { PseudoVFMUL_VF16_M1, VFMUL_VF }, // 1031
  { PseudoVFMUL_VF16_M1_MASK, VFMUL_VF }, // 1032
  { PseudoVFMUL_VF16_M1_TU, VFMUL_VF }, // 1033
  { PseudoVFMUL_VF16_M2, VFMUL_VF }, // 1034
  { PseudoVFMUL_VF16_M2_MASK, VFMUL_VF }, // 1035
  { PseudoVFMUL_VF16_M2_TU, VFMUL_VF }, // 1036
  { PseudoVFMUL_VF16_M4, VFMUL_VF }, // 1037
  { PseudoVFMUL_VF16_M4_MASK, VFMUL_VF }, // 1038
  { PseudoVFMUL_VF16_M4_TU, VFMUL_VF }, // 1039
  { PseudoVFMUL_VF16_M8, VFMUL_VF }, // 1040
  { PseudoVFMUL_VF16_M8_MASK, VFMUL_VF }, // 1041
  { PseudoVFMUL_VF16_M8_TU, VFMUL_VF }, // 1042
  { PseudoVFMUL_VF16_MF2, VFMUL_VF }, // 1043
  { PseudoVFMUL_VF16_MF2_MASK, VFMUL_VF }, // 1044
  { PseudoVFMUL_VF16_MF2_TU, VFMUL_VF }, // 1045
  { PseudoVFMUL_VF16_MF4, VFMUL_VF }, // 1046
  { PseudoVFMUL_VF16_MF4_MASK, VFMUL_VF }, // 1047
  { PseudoVFMUL_VF16_MF4_TU, VFMUL_VF }, // 1048
  { PseudoVFMUL_VF32_M1, VFMUL_VF }, // 1049
  { PseudoVFMUL_VF32_M1_MASK, VFMUL_VF }, // 1050
  { PseudoVFMUL_VF32_M1_TU, VFMUL_VF }, // 1051
  { PseudoVFMUL_VF32_M2, VFMUL_VF }, // 1052
  { PseudoVFMUL_VF32_M2_MASK, VFMUL_VF }, // 1053
  { PseudoVFMUL_VF32_M2_TU, VFMUL_VF }, // 1054
  { PseudoVFMUL_VF32_M4, VFMUL_VF }, // 1055
  { PseudoVFMUL_VF32_M4_MASK, VFMUL_VF }, // 1056
  { PseudoVFMUL_VF32_M4_TU, VFMUL_VF }, // 1057
  { PseudoVFMUL_VF32_M8, VFMUL_VF }, // 1058
  { PseudoVFMUL_VF32_M8_MASK, VFMUL_VF }, // 1059
  { PseudoVFMUL_VF32_M8_TU, VFMUL_VF }, // 1060
  { PseudoVFMUL_VF32_MF2, VFMUL_VF }, // 1061
  { PseudoVFMUL_VF32_MF2_MASK, VFMUL_VF }, // 1062
  { PseudoVFMUL_VF32_MF2_TU, VFMUL_VF }, // 1063
  { PseudoVFMUL_VF64_M1, VFMUL_VF }, // 1064
  { PseudoVFMUL_VF64_M1_MASK, VFMUL_VF }, // 1065
  { PseudoVFMUL_VF64_M1_TU, VFMUL_VF }, // 1066
  { PseudoVFMUL_VF64_M2, VFMUL_VF }, // 1067
  { PseudoVFMUL_VF64_M2_MASK, VFMUL_VF }, // 1068
  { PseudoVFMUL_VF64_M2_TU, VFMUL_VF }, // 1069
  { PseudoVFMUL_VF64_M4, VFMUL_VF }, // 1070
  { PseudoVFMUL_VF64_M4_MASK, VFMUL_VF }, // 1071
  { PseudoVFMUL_VF64_M4_TU, VFMUL_VF }, // 1072
  { PseudoVFMUL_VF64_M8, VFMUL_VF }, // 1073
  { PseudoVFMUL_VF64_M8_MASK, VFMUL_VF }, // 1074
  { PseudoVFMUL_VF64_M8_TU, VFMUL_VF }, // 1075
  { PseudoVFMUL_VV_M1, VFMUL_VV }, // 1076
  { PseudoVFMUL_VV_M1_MASK, VFMUL_VV }, // 1077
  { PseudoVFMUL_VV_M1_TU, VFMUL_VV }, // 1078
  { PseudoVFMUL_VV_M2, VFMUL_VV }, // 1079
  { PseudoVFMUL_VV_M2_MASK, VFMUL_VV }, // 1080
  { PseudoVFMUL_VV_M2_TU, VFMUL_VV }, // 1081
  { PseudoVFMUL_VV_M4, VFMUL_VV }, // 1082
  { PseudoVFMUL_VV_M4_MASK, VFMUL_VV }, // 1083
  { PseudoVFMUL_VV_M4_TU, VFMUL_VV }, // 1084
  { PseudoVFMUL_VV_M8, VFMUL_VV }, // 1085
  { PseudoVFMUL_VV_M8_MASK, VFMUL_VV }, // 1086
  { PseudoVFMUL_VV_M8_TU, VFMUL_VV }, // 1087
  { PseudoVFMUL_VV_MF2, VFMUL_VV }, // 1088
  { PseudoVFMUL_VV_MF2_MASK, VFMUL_VV }, // 1089
  { PseudoVFMUL_VV_MF2_TU, VFMUL_VV }, // 1090
  { PseudoVFMUL_VV_MF4, VFMUL_VV }, // 1091
  { PseudoVFMUL_VV_MF4_MASK, VFMUL_VV }, // 1092
  { PseudoVFMUL_VV_MF4_TU, VFMUL_VV }, // 1093
  { PseudoVFMV_F16_S_M1, VFMV_F_S }, // 1094
  { PseudoVFMV_F16_S_M2, VFMV_F_S }, // 1095
  { PseudoVFMV_F16_S_M4, VFMV_F_S }, // 1096
  { PseudoVFMV_F16_S_M8, VFMV_F_S }, // 1097
  { PseudoVFMV_F16_S_MF2, VFMV_F_S }, // 1098
  { PseudoVFMV_F16_S_MF4, VFMV_F_S }, // 1099
  { PseudoVFMV_F32_S_M1, VFMV_F_S }, // 1100
  { PseudoVFMV_F32_S_M2, VFMV_F_S }, // 1101
  { PseudoVFMV_F32_S_M4, VFMV_F_S }, // 1102
  { PseudoVFMV_F32_S_M8, VFMV_F_S }, // 1103
  { PseudoVFMV_F32_S_MF2, VFMV_F_S }, // 1104
  { PseudoVFMV_F64_S_M1, VFMV_F_S }, // 1105
  { PseudoVFMV_F64_S_M2, VFMV_F_S }, // 1106
  { PseudoVFMV_F64_S_M4, VFMV_F_S }, // 1107
  { PseudoVFMV_F64_S_M8, VFMV_F_S }, // 1108
  { PseudoVFMV_S_F16_M1, VFMV_S_F }, // 1109
  { PseudoVFMV_S_F16_M2, VFMV_S_F }, // 1110
  { PseudoVFMV_S_F16_M4, VFMV_S_F }, // 1111
  { PseudoVFMV_S_F16_M8, VFMV_S_F }, // 1112
  { PseudoVFMV_S_F16_MF2, VFMV_S_F }, // 1113
  { PseudoVFMV_S_F16_MF4, VFMV_S_F }, // 1114
  { PseudoVFMV_S_F32_M1, VFMV_S_F }, // 1115
  { PseudoVFMV_S_F32_M2, VFMV_S_F }, // 1116
  { PseudoVFMV_S_F32_M4, VFMV_S_F }, // 1117
  { PseudoVFMV_S_F32_M8, VFMV_S_F }, // 1118
  { PseudoVFMV_S_F32_MF2, VFMV_S_F }, // 1119
  { PseudoVFMV_S_F64_M1, VFMV_S_F }, // 1120
  { PseudoVFMV_S_F64_M2, VFMV_S_F }, // 1121
  { PseudoVFMV_S_F64_M4, VFMV_S_F }, // 1122
  { PseudoVFMV_S_F64_M8, VFMV_S_F }, // 1123
  { PseudoVFMV_V_F16_M1, VFMV_V_F }, // 1124
  { PseudoVFMV_V_F16_M1_TU, VFMV_V_F }, // 1125
  { PseudoVFMV_V_F16_M2, VFMV_V_F }, // 1126
  { PseudoVFMV_V_F16_M2_TU, VFMV_V_F }, // 1127
  { PseudoVFMV_V_F16_M4, VFMV_V_F }, // 1128
  { PseudoVFMV_V_F16_M4_TU, VFMV_V_F }, // 1129
  { PseudoVFMV_V_F16_M8, VFMV_V_F }, // 1130
  { PseudoVFMV_V_F16_M8_TU, VFMV_V_F }, // 1131
  { PseudoVFMV_V_F16_MF2, VFMV_V_F }, // 1132
  { PseudoVFMV_V_F16_MF2_TU, VFMV_V_F }, // 1133
  { PseudoVFMV_V_F16_MF4, VFMV_V_F }, // 1134
  { PseudoVFMV_V_F16_MF4_TU, VFMV_V_F }, // 1135
  { PseudoVFMV_V_F32_M1, VFMV_V_F }, // 1136
  { PseudoVFMV_V_F32_M1_TU, VFMV_V_F }, // 1137
  { PseudoVFMV_V_F32_M2, VFMV_V_F }, // 1138
  { PseudoVFMV_V_F32_M2_TU, VFMV_V_F }, // 1139
  { PseudoVFMV_V_F32_M4, VFMV_V_F }, // 1140
  { PseudoVFMV_V_F32_M4_TU, VFMV_V_F }, // 1141
  { PseudoVFMV_V_F32_M8, VFMV_V_F }, // 1142
  { PseudoVFMV_V_F32_M8_TU, VFMV_V_F }, // 1143
  { PseudoVFMV_V_F32_MF2, VFMV_V_F }, // 1144
  { PseudoVFMV_V_F32_MF2_TU, VFMV_V_F }, // 1145
  { PseudoVFMV_V_F64_M1, VFMV_V_F }, // 1146
  { PseudoVFMV_V_F64_M1_TU, VFMV_V_F }, // 1147
  { PseudoVFMV_V_F64_M2, VFMV_V_F }, // 1148
  { PseudoVFMV_V_F64_M2_TU, VFMV_V_F }, // 1149
  { PseudoVFMV_V_F64_M4, VFMV_V_F }, // 1150
  { PseudoVFMV_V_F64_M4_TU, VFMV_V_F }, // 1151
  { PseudoVFMV_V_F64_M8, VFMV_V_F }, // 1152
  { PseudoVFMV_V_F64_M8_TU, VFMV_V_F }, // 1153
  { PseudoVFNCVT_F_F_W_M1, VFNCVT_F_F_W }, // 1154
  { PseudoVFNCVT_F_F_W_M1_MASK, VFNCVT_F_F_W }, // 1155
  { PseudoVFNCVT_F_F_W_M1_TU, VFNCVT_F_F_W }, // 1156
  { PseudoVFNCVT_F_F_W_M2, VFNCVT_F_F_W }, // 1157
  { PseudoVFNCVT_F_F_W_M2_MASK, VFNCVT_F_F_W }, // 1158
  { PseudoVFNCVT_F_F_W_M2_TU, VFNCVT_F_F_W }, // 1159
  { PseudoVFNCVT_F_F_W_M4, VFNCVT_F_F_W }, // 1160
  { PseudoVFNCVT_F_F_W_M4_MASK, VFNCVT_F_F_W }, // 1161
  { PseudoVFNCVT_F_F_W_M4_TU, VFNCVT_F_F_W }, // 1162
  { PseudoVFNCVT_F_F_W_MF2, VFNCVT_F_F_W }, // 1163
  { PseudoVFNCVT_F_F_W_MF2_MASK, VFNCVT_F_F_W }, // 1164
  { PseudoVFNCVT_F_F_W_MF2_TU, VFNCVT_F_F_W }, // 1165
  { PseudoVFNCVT_F_F_W_MF4, VFNCVT_F_F_W }, // 1166
  { PseudoVFNCVT_F_F_W_MF4_MASK, VFNCVT_F_F_W }, // 1167
  { PseudoVFNCVT_F_F_W_MF4_TU, VFNCVT_F_F_W }, // 1168
  { PseudoVFNCVT_F_XU_W_M1, VFNCVT_F_XU_W }, // 1169
  { PseudoVFNCVT_F_XU_W_M1_MASK, VFNCVT_F_XU_W }, // 1170
  { PseudoVFNCVT_F_XU_W_M1_TU, VFNCVT_F_XU_W }, // 1171
  { PseudoVFNCVT_F_XU_W_M2, VFNCVT_F_XU_W }, // 1172
  { PseudoVFNCVT_F_XU_W_M2_MASK, VFNCVT_F_XU_W }, // 1173
  { PseudoVFNCVT_F_XU_W_M2_TU, VFNCVT_F_XU_W }, // 1174
  { PseudoVFNCVT_F_XU_W_M4, VFNCVT_F_XU_W }, // 1175
  { PseudoVFNCVT_F_XU_W_M4_MASK, VFNCVT_F_XU_W }, // 1176
  { PseudoVFNCVT_F_XU_W_M4_TU, VFNCVT_F_XU_W }, // 1177
  { PseudoVFNCVT_F_XU_W_MF2, VFNCVT_F_XU_W }, // 1178
  { PseudoVFNCVT_F_XU_W_MF2_MASK, VFNCVT_F_XU_W }, // 1179
  { PseudoVFNCVT_F_XU_W_MF2_TU, VFNCVT_F_XU_W }, // 1180
  { PseudoVFNCVT_F_XU_W_MF4, VFNCVT_F_XU_W }, // 1181
  { PseudoVFNCVT_F_XU_W_MF4_MASK, VFNCVT_F_XU_W }, // 1182
  { PseudoVFNCVT_F_XU_W_MF4_TU, VFNCVT_F_XU_W }, // 1183
  { PseudoVFNCVT_F_X_W_M1, VFNCVT_F_X_W }, // 1184
  { PseudoVFNCVT_F_X_W_M1_MASK, VFNCVT_F_X_W }, // 1185
  { PseudoVFNCVT_F_X_W_M1_TU, VFNCVT_F_X_W }, // 1186
  { PseudoVFNCVT_F_X_W_M2, VFNCVT_F_X_W }, // 1187
  { PseudoVFNCVT_F_X_W_M2_MASK, VFNCVT_F_X_W }, // 1188
  { PseudoVFNCVT_F_X_W_M2_TU, VFNCVT_F_X_W }, // 1189
  { PseudoVFNCVT_F_X_W_M4, VFNCVT_F_X_W }, // 1190
  { PseudoVFNCVT_F_X_W_M4_MASK, VFNCVT_F_X_W }, // 1191
  { PseudoVFNCVT_F_X_W_M4_TU, VFNCVT_F_X_W }, // 1192
  { PseudoVFNCVT_F_X_W_MF2, VFNCVT_F_X_W }, // 1193
  { PseudoVFNCVT_F_X_W_MF2_MASK, VFNCVT_F_X_W }, // 1194
  { PseudoVFNCVT_F_X_W_MF2_TU, VFNCVT_F_X_W }, // 1195
  { PseudoVFNCVT_F_X_W_MF4, VFNCVT_F_X_W }, // 1196
  { PseudoVFNCVT_F_X_W_MF4_MASK, VFNCVT_F_X_W }, // 1197
  { PseudoVFNCVT_F_X_W_MF4_TU, VFNCVT_F_X_W }, // 1198
  { PseudoVFNCVT_ROD_F_F_W_M1, VFNCVT_ROD_F_F_W }, // 1199
  { PseudoVFNCVT_ROD_F_F_W_M1_MASK, VFNCVT_ROD_F_F_W }, // 1200
  { PseudoVFNCVT_ROD_F_F_W_M1_TU, VFNCVT_ROD_F_F_W }, // 1201
  { PseudoVFNCVT_ROD_F_F_W_M2, VFNCVT_ROD_F_F_W }, // 1202
  { PseudoVFNCVT_ROD_F_F_W_M2_MASK, VFNCVT_ROD_F_F_W }, // 1203
  { PseudoVFNCVT_ROD_F_F_W_M2_TU, VFNCVT_ROD_F_F_W }, // 1204
  { PseudoVFNCVT_ROD_F_F_W_M4, VFNCVT_ROD_F_F_W }, // 1205
  { PseudoVFNCVT_ROD_F_F_W_M4_MASK, VFNCVT_ROD_F_F_W }, // 1206
  { PseudoVFNCVT_ROD_F_F_W_M4_TU, VFNCVT_ROD_F_F_W }, // 1207
  { PseudoVFNCVT_ROD_F_F_W_MF2, VFNCVT_ROD_F_F_W }, // 1208
  { PseudoVFNCVT_ROD_F_F_W_MF2_MASK, VFNCVT_ROD_F_F_W }, // 1209
  { PseudoVFNCVT_ROD_F_F_W_MF2_TU, VFNCVT_ROD_F_F_W }, // 1210
  { PseudoVFNCVT_ROD_F_F_W_MF4, VFNCVT_ROD_F_F_W }, // 1211
  { PseudoVFNCVT_ROD_F_F_W_MF4_MASK, VFNCVT_ROD_F_F_W }, // 1212
  { PseudoVFNCVT_ROD_F_F_W_MF4_TU, VFNCVT_ROD_F_F_W }, // 1213
  { PseudoVFNCVT_RTZ_XU_F_W_M1, VFNCVT_RTZ_XU_F_W }, // 1214
  { PseudoVFNCVT_RTZ_XU_F_W_M1_MASK, VFNCVT_RTZ_XU_F_W }, // 1215
  { PseudoVFNCVT_RTZ_XU_F_W_M1_TU, VFNCVT_RTZ_XU_F_W }, // 1216
  { PseudoVFNCVT_RTZ_XU_F_W_M2, VFNCVT_RTZ_XU_F_W }, // 1217
  { PseudoVFNCVT_RTZ_XU_F_W_M2_MASK, VFNCVT_RTZ_XU_F_W }, // 1218
  { PseudoVFNCVT_RTZ_XU_F_W_M2_TU, VFNCVT_RTZ_XU_F_W }, // 1219
  { PseudoVFNCVT_RTZ_XU_F_W_M4, VFNCVT_RTZ_XU_F_W }, // 1220
  { PseudoVFNCVT_RTZ_XU_F_W_M4_MASK, VFNCVT_RTZ_XU_F_W }, // 1221
  { PseudoVFNCVT_RTZ_XU_F_W_M4_TU, VFNCVT_RTZ_XU_F_W }, // 1222
  { PseudoVFNCVT_RTZ_XU_F_W_MF2, VFNCVT_RTZ_XU_F_W }, // 1223
  { PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK, VFNCVT_RTZ_XU_F_W }, // 1224
  { PseudoVFNCVT_RTZ_XU_F_W_MF2_TU, VFNCVT_RTZ_XU_F_W }, // 1225
  { PseudoVFNCVT_RTZ_XU_F_W_MF4, VFNCVT_RTZ_XU_F_W }, // 1226
  { PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK, VFNCVT_RTZ_XU_F_W }, // 1227
  { PseudoVFNCVT_RTZ_XU_F_W_MF4_TU, VFNCVT_RTZ_XU_F_W }, // 1228
  { PseudoVFNCVT_RTZ_XU_F_W_MF8, VFNCVT_RTZ_XU_F_W }, // 1229
  { PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK, VFNCVT_RTZ_XU_F_W }, // 1230
  { PseudoVFNCVT_RTZ_XU_F_W_MF8_TU, VFNCVT_RTZ_XU_F_W }, // 1231
  { PseudoVFNCVT_RTZ_X_F_W_M1, VFNCVT_RTZ_X_F_W }, // 1232
  { PseudoVFNCVT_RTZ_X_F_W_M1_MASK, VFNCVT_RTZ_X_F_W }, // 1233
  { PseudoVFNCVT_RTZ_X_F_W_M1_TU, VFNCVT_RTZ_X_F_W }, // 1234
  { PseudoVFNCVT_RTZ_X_F_W_M2, VFNCVT_RTZ_X_F_W }, // 1235
  { PseudoVFNCVT_RTZ_X_F_W_M2_MASK, VFNCVT_RTZ_X_F_W }, // 1236
  { PseudoVFNCVT_RTZ_X_F_W_M2_TU, VFNCVT_RTZ_X_F_W }, // 1237
  { PseudoVFNCVT_RTZ_X_F_W_M4, VFNCVT_RTZ_X_F_W }, // 1238
  { PseudoVFNCVT_RTZ_X_F_W_M4_MASK, VFNCVT_RTZ_X_F_W }, // 1239
  { PseudoVFNCVT_RTZ_X_F_W_M4_TU, VFNCVT_RTZ_X_F_W }, // 1240
  { PseudoVFNCVT_RTZ_X_F_W_MF2, VFNCVT_RTZ_X_F_W }, // 1241
  { PseudoVFNCVT_RTZ_X_F_W_MF2_MASK, VFNCVT_RTZ_X_F_W }, // 1242
  { PseudoVFNCVT_RTZ_X_F_W_MF2_TU, VFNCVT_RTZ_X_F_W }, // 1243
  { PseudoVFNCVT_RTZ_X_F_W_MF4, VFNCVT_RTZ_X_F_W }, // 1244
  { PseudoVFNCVT_RTZ_X_F_W_MF4_MASK, VFNCVT_RTZ_X_F_W }, // 1245
  { PseudoVFNCVT_RTZ_X_F_W_MF4_TU, VFNCVT_RTZ_X_F_W }, // 1246
  { PseudoVFNCVT_RTZ_X_F_W_MF8, VFNCVT_RTZ_X_F_W }, // 1247
  { PseudoVFNCVT_RTZ_X_F_W_MF8_MASK, VFNCVT_RTZ_X_F_W }, // 1248
  { PseudoVFNCVT_RTZ_X_F_W_MF8_TU, VFNCVT_RTZ_X_F_W }, // 1249
  { PseudoVFNCVT_XU_F_W_M1, VFNCVT_XU_F_W }, // 1250
  { PseudoVFNCVT_XU_F_W_M1_MASK, VFNCVT_XU_F_W }, // 1251
  { PseudoVFNCVT_XU_F_W_M1_TU, VFNCVT_XU_F_W }, // 1252
  { PseudoVFNCVT_XU_F_W_M2, VFNCVT_XU_F_W }, // 1253
  { PseudoVFNCVT_XU_F_W_M2_MASK, VFNCVT_XU_F_W }, // 1254
  { PseudoVFNCVT_XU_F_W_M2_TU, VFNCVT_XU_F_W }, // 1255
  { PseudoVFNCVT_XU_F_W_M4, VFNCVT_XU_F_W }, // 1256
  { PseudoVFNCVT_XU_F_W_M4_MASK, VFNCVT_XU_F_W }, // 1257
  { PseudoVFNCVT_XU_F_W_M4_TU, VFNCVT_XU_F_W }, // 1258
  { PseudoVFNCVT_XU_F_W_MF2, VFNCVT_XU_F_W }, // 1259
  { PseudoVFNCVT_XU_F_W_MF2_MASK, VFNCVT_XU_F_W }, // 1260
  { PseudoVFNCVT_XU_F_W_MF2_TU, VFNCVT_XU_F_W }, // 1261
  { PseudoVFNCVT_XU_F_W_MF4, VFNCVT_XU_F_W }, // 1262
  { PseudoVFNCVT_XU_F_W_MF4_MASK, VFNCVT_XU_F_W }, // 1263
  { PseudoVFNCVT_XU_F_W_MF4_TU, VFNCVT_XU_F_W }, // 1264
  { PseudoVFNCVT_XU_F_W_MF8, VFNCVT_XU_F_W }, // 1265
  { PseudoVFNCVT_XU_F_W_MF8_MASK, VFNCVT_XU_F_W }, // 1266
  { PseudoVFNCVT_XU_F_W_MF8_TU, VFNCVT_XU_F_W }, // 1267
  { PseudoVFNCVT_X_F_W_M1, VFNCVT_X_F_W }, // 1268
  { PseudoVFNCVT_X_F_W_M1_MASK, VFNCVT_X_F_W }, // 1269
  { PseudoVFNCVT_X_F_W_M1_TU, VFNCVT_X_F_W }, // 1270
  { PseudoVFNCVT_X_F_W_M2, VFNCVT_X_F_W }, // 1271
  { PseudoVFNCVT_X_F_W_M2_MASK, VFNCVT_X_F_W }, // 1272
  { PseudoVFNCVT_X_F_W_M2_TU, VFNCVT_X_F_W }, // 1273
  { PseudoVFNCVT_X_F_W_M4, VFNCVT_X_F_W }, // 1274
  { PseudoVFNCVT_X_F_W_M4_MASK, VFNCVT_X_F_W }, // 1275
  { PseudoVFNCVT_X_F_W_M4_TU, VFNCVT_X_F_W }, // 1276
  { PseudoVFNCVT_X_F_W_MF2, VFNCVT_X_F_W }, // 1277
  { PseudoVFNCVT_X_F_W_MF2_MASK, VFNCVT_X_F_W }, // 1278
  { PseudoVFNCVT_X_F_W_MF2_TU, VFNCVT_X_F_W }, // 1279
  { PseudoVFNCVT_X_F_W_MF4, VFNCVT_X_F_W }, // 1280
  { PseudoVFNCVT_X_F_W_MF4_MASK, VFNCVT_X_F_W }, // 1281
  { PseudoVFNCVT_X_F_W_MF4_TU, VFNCVT_X_F_W }, // 1282
  { PseudoVFNCVT_X_F_W_MF8, VFNCVT_X_F_W }, // 1283
  { PseudoVFNCVT_X_F_W_MF8_MASK, VFNCVT_X_F_W }, // 1284
  { PseudoVFNCVT_X_F_W_MF8_TU, VFNCVT_X_F_W }, // 1285
  { PseudoVFNMACC_VF16_M1, VFNMACC_VF }, // 1286
  { PseudoVFNMACC_VF16_M1_MASK, VFNMACC_VF }, // 1287
  { PseudoVFNMACC_VF16_M2, VFNMACC_VF }, // 1288
  { PseudoVFNMACC_VF16_M2_MASK, VFNMACC_VF }, // 1289
  { PseudoVFNMACC_VF16_M4, VFNMACC_VF }, // 1290
  { PseudoVFNMACC_VF16_M4_MASK, VFNMACC_VF }, // 1291
  { PseudoVFNMACC_VF16_M8, VFNMACC_VF }, // 1292
  { PseudoVFNMACC_VF16_M8_MASK, VFNMACC_VF }, // 1293
  { PseudoVFNMACC_VF16_MF2, VFNMACC_VF }, // 1294
  { PseudoVFNMACC_VF16_MF2_MASK, VFNMACC_VF }, // 1295
  { PseudoVFNMACC_VF16_MF4, VFNMACC_VF }, // 1296
  { PseudoVFNMACC_VF16_MF4_MASK, VFNMACC_VF }, // 1297
  { PseudoVFNMACC_VF32_M1, VFNMACC_VF }, // 1298
  { PseudoVFNMACC_VF32_M1_MASK, VFNMACC_VF }, // 1299
  { PseudoVFNMACC_VF32_M2, VFNMACC_VF }, // 1300
  { PseudoVFNMACC_VF32_M2_MASK, VFNMACC_VF }, // 1301
  { PseudoVFNMACC_VF32_M4, VFNMACC_VF }, // 1302
  { PseudoVFNMACC_VF32_M4_MASK, VFNMACC_VF }, // 1303
  { PseudoVFNMACC_VF32_M8, VFNMACC_VF }, // 1304
  { PseudoVFNMACC_VF32_M8_MASK, VFNMACC_VF }, // 1305
  { PseudoVFNMACC_VF32_MF2, VFNMACC_VF }, // 1306
  { PseudoVFNMACC_VF32_MF2_MASK, VFNMACC_VF }, // 1307
  { PseudoVFNMACC_VF64_M1, VFNMACC_VF }, // 1308
  { PseudoVFNMACC_VF64_M1_MASK, VFNMACC_VF }, // 1309
  { PseudoVFNMACC_VF64_M2, VFNMACC_VF }, // 1310
  { PseudoVFNMACC_VF64_M2_MASK, VFNMACC_VF }, // 1311
  { PseudoVFNMACC_VF64_M4, VFNMACC_VF }, // 1312
  { PseudoVFNMACC_VF64_M4_MASK, VFNMACC_VF }, // 1313
  { PseudoVFNMACC_VF64_M8, VFNMACC_VF }, // 1314
  { PseudoVFNMACC_VF64_M8_MASK, VFNMACC_VF }, // 1315
  { PseudoVFNMACC_VV_M1, VFNMACC_VV }, // 1316
  { PseudoVFNMACC_VV_M1_MASK, VFNMACC_VV }, // 1317
  { PseudoVFNMACC_VV_M2, VFNMACC_VV }, // 1318
  { PseudoVFNMACC_VV_M2_MASK, VFNMACC_VV }, // 1319
  { PseudoVFNMACC_VV_M4, VFNMACC_VV }, // 1320
  { PseudoVFNMACC_VV_M4_MASK, VFNMACC_VV }, // 1321
  { PseudoVFNMACC_VV_M8, VFNMACC_VV }, // 1322
  { PseudoVFNMACC_VV_M8_MASK, VFNMACC_VV }, // 1323
  { PseudoVFNMACC_VV_MF2, VFNMACC_VV }, // 1324
  { PseudoVFNMACC_VV_MF2_MASK, VFNMACC_VV }, // 1325
  { PseudoVFNMACC_VV_MF4, VFNMACC_VV }, // 1326
  { PseudoVFNMACC_VV_MF4_MASK, VFNMACC_VV }, // 1327
  { PseudoVFNMADD_VF16_M1, VFNMADD_VF }, // 1328
  { PseudoVFNMADD_VF16_M1_MASK, VFNMADD_VF }, // 1329
  { PseudoVFNMADD_VF16_M2, VFNMADD_VF }, // 1330
  { PseudoVFNMADD_VF16_M2_MASK, VFNMADD_VF }, // 1331
  { PseudoVFNMADD_VF16_M4, VFNMADD_VF }, // 1332
  { PseudoVFNMADD_VF16_M4_MASK, VFNMADD_VF }, // 1333
  { PseudoVFNMADD_VF16_M8, VFNMADD_VF }, // 1334
  { PseudoVFNMADD_VF16_M8_MASK, VFNMADD_VF }, // 1335
  { PseudoVFNMADD_VF16_MF2, VFNMADD_VF }, // 1336
  { PseudoVFNMADD_VF16_MF2_MASK, VFNMADD_VF }, // 1337
  { PseudoVFNMADD_VF16_MF4, VFNMADD_VF }, // 1338
  { PseudoVFNMADD_VF16_MF4_MASK, VFNMADD_VF }, // 1339
  { PseudoVFNMADD_VF32_M1, VFNMADD_VF }, // 1340
  { PseudoVFNMADD_VF32_M1_MASK, VFNMADD_VF }, // 1341
  { PseudoVFNMADD_VF32_M2, VFNMADD_VF }, // 1342
  { PseudoVFNMADD_VF32_M2_MASK, VFNMADD_VF }, // 1343
  { PseudoVFNMADD_VF32_M4, VFNMADD_VF }, // 1344
  { PseudoVFNMADD_VF32_M4_MASK, VFNMADD_VF }, // 1345
  { PseudoVFNMADD_VF32_M8, VFNMADD_VF }, // 1346
  { PseudoVFNMADD_VF32_M8_MASK, VFNMADD_VF }, // 1347
  { PseudoVFNMADD_VF32_MF2, VFNMADD_VF }, // 1348
  { PseudoVFNMADD_VF32_MF2_MASK, VFNMADD_VF }, // 1349
  { PseudoVFNMADD_VF64_M1, VFNMADD_VF }, // 1350
  { PseudoVFNMADD_VF64_M1_MASK, VFNMADD_VF }, // 1351
  { PseudoVFNMADD_VF64_M2, VFNMADD_VF }, // 1352
  { PseudoVFNMADD_VF64_M2_MASK, VFNMADD_VF }, // 1353
  { PseudoVFNMADD_VF64_M4, VFNMADD_VF }, // 1354
  { PseudoVFNMADD_VF64_M4_MASK, VFNMADD_VF }, // 1355
  { PseudoVFNMADD_VF64_M8, VFNMADD_VF }, // 1356
  { PseudoVFNMADD_VF64_M8_MASK, VFNMADD_VF }, // 1357
  { PseudoVFNMADD_VV_M1, VFNMADD_VV }, // 1358
  { PseudoVFNMADD_VV_M1_MASK, VFNMADD_VV }, // 1359
  { PseudoVFNMADD_VV_M2, VFNMADD_VV }, // 1360
  { PseudoVFNMADD_VV_M2_MASK, VFNMADD_VV }, // 1361
  { PseudoVFNMADD_VV_M4, VFNMADD_VV }, // 1362
  { PseudoVFNMADD_VV_M4_MASK, VFNMADD_VV }, // 1363
  { PseudoVFNMADD_VV_M8, VFNMADD_VV }, // 1364
  { PseudoVFNMADD_VV_M8_MASK, VFNMADD_VV }, // 1365
  { PseudoVFNMADD_VV_MF2, VFNMADD_VV }, // 1366
  { PseudoVFNMADD_VV_MF2_MASK, VFNMADD_VV }, // 1367
  { PseudoVFNMADD_VV_MF4, VFNMADD_VV }, // 1368
  { PseudoVFNMADD_VV_MF4_MASK, VFNMADD_VV }, // 1369
  { PseudoVFNMSAC_VF16_M1, VFNMSAC_VF }, // 1370
  { PseudoVFNMSAC_VF16_M1_MASK, VFNMSAC_VF }, // 1371
  { PseudoVFNMSAC_VF16_M2, VFNMSAC_VF }, // 1372
  { PseudoVFNMSAC_VF16_M2_MASK, VFNMSAC_VF }, // 1373
  { PseudoVFNMSAC_VF16_M4, VFNMSAC_VF }, // 1374
  { PseudoVFNMSAC_VF16_M4_MASK, VFNMSAC_VF }, // 1375
  { PseudoVFNMSAC_VF16_M8, VFNMSAC_VF }, // 1376
  { PseudoVFNMSAC_VF16_M8_MASK, VFNMSAC_VF }, // 1377
  { PseudoVFNMSAC_VF16_MF2, VFNMSAC_VF }, // 1378
  { PseudoVFNMSAC_VF16_MF2_MASK, VFNMSAC_VF }, // 1379
  { PseudoVFNMSAC_VF16_MF4, VFNMSAC_VF }, // 1380
  { PseudoVFNMSAC_VF16_MF4_MASK, VFNMSAC_VF }, // 1381
  { PseudoVFNMSAC_VF32_M1, VFNMSAC_VF }, // 1382
  { PseudoVFNMSAC_VF32_M1_MASK, VFNMSAC_VF }, // 1383
  { PseudoVFNMSAC_VF32_M2, VFNMSAC_VF }, // 1384
  { PseudoVFNMSAC_VF32_M2_MASK, VFNMSAC_VF }, // 1385
  { PseudoVFNMSAC_VF32_M4, VFNMSAC_VF }, // 1386
  { PseudoVFNMSAC_VF32_M4_MASK, VFNMSAC_VF }, // 1387
  { PseudoVFNMSAC_VF32_M8, VFNMSAC_VF }, // 1388
  { PseudoVFNMSAC_VF32_M8_MASK, VFNMSAC_VF }, // 1389
  { PseudoVFNMSAC_VF32_MF2, VFNMSAC_VF }, // 1390
  { PseudoVFNMSAC_VF32_MF2_MASK, VFNMSAC_VF }, // 1391
  { PseudoVFNMSAC_VF64_M1, VFNMSAC_VF }, // 1392
  { PseudoVFNMSAC_VF64_M1_MASK, VFNMSAC_VF }, // 1393
  { PseudoVFNMSAC_VF64_M2, VFNMSAC_VF }, // 1394
  { PseudoVFNMSAC_VF64_M2_MASK, VFNMSAC_VF }, // 1395
  { PseudoVFNMSAC_VF64_M4, VFNMSAC_VF }, // 1396
  { PseudoVFNMSAC_VF64_M4_MASK, VFNMSAC_VF }, // 1397
  { PseudoVFNMSAC_VF64_M8, VFNMSAC_VF }, // 1398
  { PseudoVFNMSAC_VF64_M8_MASK, VFNMSAC_VF }, // 1399
  { PseudoVFNMSAC_VV_M1, VFNMSAC_VV }, // 1400
  { PseudoVFNMSAC_VV_M1_MASK, VFNMSAC_VV }, // 1401
  { PseudoVFNMSAC_VV_M2, VFNMSAC_VV }, // 1402
  { PseudoVFNMSAC_VV_M2_MASK, VFNMSAC_VV }, // 1403
  { PseudoVFNMSAC_VV_M4, VFNMSAC_VV }, // 1404
  { PseudoVFNMSAC_VV_M4_MASK, VFNMSAC_VV }, // 1405
  { PseudoVFNMSAC_VV_M8, VFNMSAC_VV }, // 1406
  { PseudoVFNMSAC_VV_M8_MASK, VFNMSAC_VV }, // 1407
  { PseudoVFNMSAC_VV_MF2, VFNMSAC_VV }, // 1408
  { PseudoVFNMSAC_VV_MF2_MASK, VFNMSAC_VV }, // 1409
  { PseudoVFNMSAC_VV_MF4, VFNMSAC_VV }, // 1410
  { PseudoVFNMSAC_VV_MF4_MASK, VFNMSAC_VV }, // 1411
  { PseudoVFNMSUB_VF16_M1, VFNMSUB_VF }, // 1412
  { PseudoVFNMSUB_VF16_M1_MASK, VFNMSUB_VF }, // 1413
  { PseudoVFNMSUB_VF16_M2, VFNMSUB_VF }, // 1414
  { PseudoVFNMSUB_VF16_M2_MASK, VFNMSUB_VF }, // 1415
  { PseudoVFNMSUB_VF16_M4, VFNMSUB_VF }, // 1416
  { PseudoVFNMSUB_VF16_M4_MASK, VFNMSUB_VF }, // 1417
  { PseudoVFNMSUB_VF16_M8, VFNMSUB_VF }, // 1418
  { PseudoVFNMSUB_VF16_M8_MASK, VFNMSUB_VF }, // 1419
  { PseudoVFNMSUB_VF16_MF2, VFNMSUB_VF }, // 1420
  { PseudoVFNMSUB_VF16_MF2_MASK, VFNMSUB_VF }, // 1421
  { PseudoVFNMSUB_VF16_MF4, VFNMSUB_VF }, // 1422
  { PseudoVFNMSUB_VF16_MF4_MASK, VFNMSUB_VF }, // 1423
  { PseudoVFNMSUB_VF32_M1, VFNMSUB_VF }, // 1424
  { PseudoVFNMSUB_VF32_M1_MASK, VFNMSUB_VF }, // 1425
  { PseudoVFNMSUB_VF32_M2, VFNMSUB_VF }, // 1426
  { PseudoVFNMSUB_VF32_M2_MASK, VFNMSUB_VF }, // 1427
  { PseudoVFNMSUB_VF32_M4, VFNMSUB_VF }, // 1428
  { PseudoVFNMSUB_VF32_M4_MASK, VFNMSUB_VF }, // 1429
  { PseudoVFNMSUB_VF32_M8, VFNMSUB_VF }, // 1430
  { PseudoVFNMSUB_VF32_M8_MASK, VFNMSUB_VF }, // 1431
  { PseudoVFNMSUB_VF32_MF2, VFNMSUB_VF }, // 1432
  { PseudoVFNMSUB_VF32_MF2_MASK, VFNMSUB_VF }, // 1433
  { PseudoVFNMSUB_VF64_M1, VFNMSUB_VF }, // 1434
  { PseudoVFNMSUB_VF64_M1_MASK, VFNMSUB_VF }, // 1435
  { PseudoVFNMSUB_VF64_M2, VFNMSUB_VF }, // 1436
  { PseudoVFNMSUB_VF64_M2_MASK, VFNMSUB_VF }, // 1437
  { PseudoVFNMSUB_VF64_M4, VFNMSUB_VF }, // 1438
  { PseudoVFNMSUB_VF64_M4_MASK, VFNMSUB_VF }, // 1439
  { PseudoVFNMSUB_VF64_M8, VFNMSUB_VF }, // 1440
  { PseudoVFNMSUB_VF64_M8_MASK, VFNMSUB_VF }, // 1441
  { PseudoVFNMSUB_VV_M1, VFNMSUB_VV }, // 1442
  { PseudoVFNMSUB_VV_M1_MASK, VFNMSUB_VV }, // 1443
  { PseudoVFNMSUB_VV_M2, VFNMSUB_VV }, // 1444
  { PseudoVFNMSUB_VV_M2_MASK, VFNMSUB_VV }, // 1445
  { PseudoVFNMSUB_VV_M4, VFNMSUB_VV }, // 1446
  { PseudoVFNMSUB_VV_M4_MASK, VFNMSUB_VV }, // 1447
  { PseudoVFNMSUB_VV_M8, VFNMSUB_VV }, // 1448
  { PseudoVFNMSUB_VV_M8_MASK, VFNMSUB_VV }, // 1449
  { PseudoVFNMSUB_VV_MF2, VFNMSUB_VV }, // 1450
  { PseudoVFNMSUB_VV_MF2_MASK, VFNMSUB_VV }, // 1451
  { PseudoVFNMSUB_VV_MF4, VFNMSUB_VV }, // 1452
  { PseudoVFNMSUB_VV_MF4_MASK, VFNMSUB_VV }, // 1453
  { PseudoVFRDIV_VF16_M1, VFRDIV_VF }, // 1454
  { PseudoVFRDIV_VF16_M1_MASK, VFRDIV_VF }, // 1455
  { PseudoVFRDIV_VF16_M1_TU, VFRDIV_VF }, // 1456
  { PseudoVFRDIV_VF16_M2, VFRDIV_VF }, // 1457
  { PseudoVFRDIV_VF16_M2_MASK, VFRDIV_VF }, // 1458
  { PseudoVFRDIV_VF16_M2_TU, VFRDIV_VF }, // 1459
  { PseudoVFRDIV_VF16_M4, VFRDIV_VF }, // 1460
  { PseudoVFRDIV_VF16_M4_MASK, VFRDIV_VF }, // 1461
  { PseudoVFRDIV_VF16_M4_TU, VFRDIV_VF }, // 1462
  { PseudoVFRDIV_VF16_M8, VFRDIV_VF }, // 1463
  { PseudoVFRDIV_VF16_M8_MASK, VFRDIV_VF }, // 1464
  { PseudoVFRDIV_VF16_M8_TU, VFRDIV_VF }, // 1465
  { PseudoVFRDIV_VF16_MF2, VFRDIV_VF }, // 1466
  { PseudoVFRDIV_VF16_MF2_MASK, VFRDIV_VF }, // 1467
  { PseudoVFRDIV_VF16_MF2_TU, VFRDIV_VF }, // 1468
  { PseudoVFRDIV_VF16_MF4, VFRDIV_VF }, // 1469
  { PseudoVFRDIV_VF16_MF4_MASK, VFRDIV_VF }, // 1470
  { PseudoVFRDIV_VF16_MF4_TU, VFRDIV_VF }, // 1471
  { PseudoVFRDIV_VF32_M1, VFRDIV_VF }, // 1472
  { PseudoVFRDIV_VF32_M1_MASK, VFRDIV_VF }, // 1473
  { PseudoVFRDIV_VF32_M1_TU, VFRDIV_VF }, // 1474
  { PseudoVFRDIV_VF32_M2, VFRDIV_VF }, // 1475
  { PseudoVFRDIV_VF32_M2_MASK, VFRDIV_VF }, // 1476
  { PseudoVFRDIV_VF32_M2_TU, VFRDIV_VF }, // 1477
  { PseudoVFRDIV_VF32_M4, VFRDIV_VF }, // 1478
  { PseudoVFRDIV_VF32_M4_MASK, VFRDIV_VF }, // 1479
  { PseudoVFRDIV_VF32_M4_TU, VFRDIV_VF }, // 1480
  { PseudoVFRDIV_VF32_M8, VFRDIV_VF }, // 1481
  { PseudoVFRDIV_VF32_M8_MASK, VFRDIV_VF }, // 1482
  { PseudoVFRDIV_VF32_M8_TU, VFRDIV_VF }, // 1483
  { PseudoVFRDIV_VF32_MF2, VFRDIV_VF }, // 1484
  { PseudoVFRDIV_VF32_MF2_MASK, VFRDIV_VF }, // 1485
  { PseudoVFRDIV_VF32_MF2_TU, VFRDIV_VF }, // 1486
  { PseudoVFRDIV_VF64_M1, VFRDIV_VF }, // 1487
  { PseudoVFRDIV_VF64_M1_MASK, VFRDIV_VF }, // 1488
  { PseudoVFRDIV_VF64_M1_TU, VFRDIV_VF }, // 1489
  { PseudoVFRDIV_VF64_M2, VFRDIV_VF }, // 1490
  { PseudoVFRDIV_VF64_M2_MASK, VFRDIV_VF }, // 1491
  { PseudoVFRDIV_VF64_M2_TU, VFRDIV_VF }, // 1492
  { PseudoVFRDIV_VF64_M4, VFRDIV_VF }, // 1493
  { PseudoVFRDIV_VF64_M4_MASK, VFRDIV_VF }, // 1494
  { PseudoVFRDIV_VF64_M4_TU, VFRDIV_VF }, // 1495
  { PseudoVFRDIV_VF64_M8, VFRDIV_VF }, // 1496
  { PseudoVFRDIV_VF64_M8_MASK, VFRDIV_VF }, // 1497
  { PseudoVFRDIV_VF64_M8_TU, VFRDIV_VF }, // 1498
  { PseudoVFREC7_V_M1, VFREC7_V }, // 1499
  { PseudoVFREC7_V_M1_MASK, VFREC7_V }, // 1500
  { PseudoVFREC7_V_M1_TU, VFREC7_V }, // 1501
  { PseudoVFREC7_V_M2, VFREC7_V }, // 1502
  { PseudoVFREC7_V_M2_MASK, VFREC7_V }, // 1503
  { PseudoVFREC7_V_M2_TU, VFREC7_V }, // 1504
  { PseudoVFREC7_V_M4, VFREC7_V }, // 1505
  { PseudoVFREC7_V_M4_MASK, VFREC7_V }, // 1506
  { PseudoVFREC7_V_M4_TU, VFREC7_V }, // 1507
  { PseudoVFREC7_V_M8, VFREC7_V }, // 1508
  { PseudoVFREC7_V_M8_MASK, VFREC7_V }, // 1509
  { PseudoVFREC7_V_M8_TU, VFREC7_V }, // 1510
  { PseudoVFREC7_V_MF2, VFREC7_V }, // 1511
  { PseudoVFREC7_V_MF2_MASK, VFREC7_V }, // 1512
  { PseudoVFREC7_V_MF2_TU, VFREC7_V }, // 1513
  { PseudoVFREC7_V_MF4, VFREC7_V }, // 1514
  { PseudoVFREC7_V_MF4_MASK, VFREC7_V }, // 1515
  { PseudoVFREC7_V_MF4_TU, VFREC7_V }, // 1516
  { PseudoVFREDMAX_VS_M1, VFREDMAX_VS }, // 1517
  { PseudoVFREDMAX_VS_M1_MASK, VFREDMAX_VS }, // 1518
  { PseudoVFREDMAX_VS_M2, VFREDMAX_VS }, // 1519
  { PseudoVFREDMAX_VS_M2_MASK, VFREDMAX_VS }, // 1520
  { PseudoVFREDMAX_VS_M4, VFREDMAX_VS }, // 1521
  { PseudoVFREDMAX_VS_M4_MASK, VFREDMAX_VS }, // 1522
  { PseudoVFREDMAX_VS_M8, VFREDMAX_VS }, // 1523
  { PseudoVFREDMAX_VS_M8_MASK, VFREDMAX_VS }, // 1524
  { PseudoVFREDMAX_VS_MF2, VFREDMAX_VS }, // 1525
  { PseudoVFREDMAX_VS_MF2_MASK, VFREDMAX_VS }, // 1526
  { PseudoVFREDMAX_VS_MF4, VFREDMAX_VS }, // 1527
  { PseudoVFREDMAX_VS_MF4_MASK, VFREDMAX_VS }, // 1528
  { PseudoVFREDMIN_VS_M1, VFREDMIN_VS }, // 1529
  { PseudoVFREDMIN_VS_M1_MASK, VFREDMIN_VS }, // 1530
  { PseudoVFREDMIN_VS_M2, VFREDMIN_VS }, // 1531
  { PseudoVFREDMIN_VS_M2_MASK, VFREDMIN_VS }, // 1532
  { PseudoVFREDMIN_VS_M4, VFREDMIN_VS }, // 1533
  { PseudoVFREDMIN_VS_M4_MASK, VFREDMIN_VS }, // 1534
  { PseudoVFREDMIN_VS_M8, VFREDMIN_VS }, // 1535
  { PseudoVFREDMIN_VS_M8_MASK, VFREDMIN_VS }, // 1536
  { PseudoVFREDMIN_VS_MF2, VFREDMIN_VS }, // 1537
  { PseudoVFREDMIN_VS_MF2_MASK, VFREDMIN_VS }, // 1538
  { PseudoVFREDMIN_VS_MF4, VFREDMIN_VS }, // 1539
  { PseudoVFREDMIN_VS_MF4_MASK, VFREDMIN_VS }, // 1540
  { PseudoVFREDOSUM_VS_M1, VFREDOSUM_VS }, // 1541
  { PseudoVFREDOSUM_VS_M1_MASK, VFREDOSUM_VS }, // 1542
  { PseudoVFREDOSUM_VS_M2, VFREDOSUM_VS }, // 1543
  { PseudoVFREDOSUM_VS_M2_MASK, VFREDOSUM_VS }, // 1544
  { PseudoVFREDOSUM_VS_M4, VFREDOSUM_VS }, // 1545
  { PseudoVFREDOSUM_VS_M4_MASK, VFREDOSUM_VS }, // 1546
  { PseudoVFREDOSUM_VS_M8, VFREDOSUM_VS }, // 1547
  { PseudoVFREDOSUM_VS_M8_MASK, VFREDOSUM_VS }, // 1548
  { PseudoVFREDOSUM_VS_MF2, VFREDOSUM_VS }, // 1549
  { PseudoVFREDOSUM_VS_MF2_MASK, VFREDOSUM_VS }, // 1550
  { PseudoVFREDOSUM_VS_MF4, VFREDOSUM_VS }, // 1551
  { PseudoVFREDOSUM_VS_MF4_MASK, VFREDOSUM_VS }, // 1552
  { PseudoVFREDUSUM_VS_M1, VFREDUSUM_VS }, // 1553
  { PseudoVFREDUSUM_VS_M1_MASK, VFREDUSUM_VS }, // 1554
  { PseudoVFREDUSUM_VS_M2, VFREDUSUM_VS }, // 1555
  { PseudoVFREDUSUM_VS_M2_MASK, VFREDUSUM_VS }, // 1556
  { PseudoVFREDUSUM_VS_M4, VFREDUSUM_VS }, // 1557
  { PseudoVFREDUSUM_VS_M4_MASK, VFREDUSUM_VS }, // 1558
  { PseudoVFREDUSUM_VS_M8, VFREDUSUM_VS }, // 1559
  { PseudoVFREDUSUM_VS_M8_MASK, VFREDUSUM_VS }, // 1560
  { PseudoVFREDUSUM_VS_MF2, VFREDUSUM_VS }, // 1561
  { PseudoVFREDUSUM_VS_MF2_MASK, VFREDUSUM_VS }, // 1562
  { PseudoVFREDUSUM_VS_MF4, VFREDUSUM_VS }, // 1563
  { PseudoVFREDUSUM_VS_MF4_MASK, VFREDUSUM_VS }, // 1564
  { PseudoVFRSQRT7_V_M1, VFRSQRT7_V }, // 1565
  { PseudoVFRSQRT7_V_M1_MASK, VFRSQRT7_V }, // 1566
  { PseudoVFRSQRT7_V_M1_TU, VFRSQRT7_V }, // 1567
  { PseudoVFRSQRT7_V_M2, VFRSQRT7_V }, // 1568
  { PseudoVFRSQRT7_V_M2_MASK, VFRSQRT7_V }, // 1569
  { PseudoVFRSQRT7_V_M2_TU, VFRSQRT7_V }, // 1570
  { PseudoVFRSQRT7_V_M4, VFRSQRT7_V }, // 1571
  { PseudoVFRSQRT7_V_M4_MASK, VFRSQRT7_V }, // 1572
  { PseudoVFRSQRT7_V_M4_TU, VFRSQRT7_V }, // 1573
  { PseudoVFRSQRT7_V_M8, VFRSQRT7_V }, // 1574
  { PseudoVFRSQRT7_V_M8_MASK, VFRSQRT7_V }, // 1575
  { PseudoVFRSQRT7_V_M8_TU, VFRSQRT7_V }, // 1576
  { PseudoVFRSQRT7_V_MF2, VFRSQRT7_V }, // 1577
  { PseudoVFRSQRT7_V_MF2_MASK, VFRSQRT7_V }, // 1578
  { PseudoVFRSQRT7_V_MF2_TU, VFRSQRT7_V }, // 1579
  { PseudoVFRSQRT7_V_MF4, VFRSQRT7_V }, // 1580
  { PseudoVFRSQRT7_V_MF4_MASK, VFRSQRT7_V }, // 1581
  { PseudoVFRSQRT7_V_MF4_TU, VFRSQRT7_V }, // 1582
  { PseudoVFRSUB_VF16_M1, VFRSUB_VF }, // 1583
  { PseudoVFRSUB_VF16_M1_MASK, VFRSUB_VF }, // 1584
  { PseudoVFRSUB_VF16_M1_TU, VFRSUB_VF }, // 1585
  { PseudoVFRSUB_VF16_M2, VFRSUB_VF }, // 1586
  { PseudoVFRSUB_VF16_M2_MASK, VFRSUB_VF }, // 1587
  { PseudoVFRSUB_VF16_M2_TU, VFRSUB_VF }, // 1588
  { PseudoVFRSUB_VF16_M4, VFRSUB_VF }, // 1589
  { PseudoVFRSUB_VF16_M4_MASK, VFRSUB_VF }, // 1590
  { PseudoVFRSUB_VF16_M4_TU, VFRSUB_VF }, // 1591
  { PseudoVFRSUB_VF16_M8, VFRSUB_VF }, // 1592
  { PseudoVFRSUB_VF16_M8_MASK, VFRSUB_VF }, // 1593
  { PseudoVFRSUB_VF16_M8_TU, VFRSUB_VF }, // 1594
  { PseudoVFRSUB_VF16_MF2, VFRSUB_VF }, // 1595
  { PseudoVFRSUB_VF16_MF2_MASK, VFRSUB_VF }, // 1596
  { PseudoVFRSUB_VF16_MF2_TU, VFRSUB_VF }, // 1597
  { PseudoVFRSUB_VF16_MF4, VFRSUB_VF }, // 1598
  { PseudoVFRSUB_VF16_MF4_MASK, VFRSUB_VF }, // 1599
  { PseudoVFRSUB_VF16_MF4_TU, VFRSUB_VF }, // 1600
  { PseudoVFRSUB_VF32_M1, VFRSUB_VF }, // 1601
  { PseudoVFRSUB_VF32_M1_MASK, VFRSUB_VF }, // 1602
  { PseudoVFRSUB_VF32_M1_TU, VFRSUB_VF }, // 1603
  { PseudoVFRSUB_VF32_M2, VFRSUB_VF }, // 1604
  { PseudoVFRSUB_VF32_M2_MASK, VFRSUB_VF }, // 1605
  { PseudoVFRSUB_VF32_M2_TU, VFRSUB_VF }, // 1606
  { PseudoVFRSUB_VF32_M4, VFRSUB_VF }, // 1607
  { PseudoVFRSUB_VF32_M4_MASK, VFRSUB_VF }, // 1608
  { PseudoVFRSUB_VF32_M4_TU, VFRSUB_VF }, // 1609
  { PseudoVFRSUB_VF32_M8, VFRSUB_VF }, // 1610
  { PseudoVFRSUB_VF32_M8_MASK, VFRSUB_VF }, // 1611
  { PseudoVFRSUB_VF32_M8_TU, VFRSUB_VF }, // 1612
  { PseudoVFRSUB_VF32_MF2, VFRSUB_VF }, // 1613
  { PseudoVFRSUB_VF32_MF2_MASK, VFRSUB_VF }, // 1614
  { PseudoVFRSUB_VF32_MF2_TU, VFRSUB_VF }, // 1615
  { PseudoVFRSUB_VF64_M1, VFRSUB_VF }, // 1616
  { PseudoVFRSUB_VF64_M1_MASK, VFRSUB_VF }, // 1617
  { PseudoVFRSUB_VF64_M1_TU, VFRSUB_VF }, // 1618
  { PseudoVFRSUB_VF64_M2, VFRSUB_VF }, // 1619
  { PseudoVFRSUB_VF64_M2_MASK, VFRSUB_VF }, // 1620
  { PseudoVFRSUB_VF64_M2_TU, VFRSUB_VF }, // 1621
  { PseudoVFRSUB_VF64_M4, VFRSUB_VF }, // 1622
  { PseudoVFRSUB_VF64_M4_MASK, VFRSUB_VF }, // 1623
  { PseudoVFRSUB_VF64_M4_TU, VFRSUB_VF }, // 1624
  { PseudoVFRSUB_VF64_M8, VFRSUB_VF }, // 1625
  { PseudoVFRSUB_VF64_M8_MASK, VFRSUB_VF }, // 1626
  { PseudoVFRSUB_VF64_M8_TU, VFRSUB_VF }, // 1627
  { PseudoVFSGNJN_VF16_M1, VFSGNJN_VF }, // 1628
  { PseudoVFSGNJN_VF16_M1_MASK, VFSGNJN_VF }, // 1629
  { PseudoVFSGNJN_VF16_M1_TU, VFSGNJN_VF }, // 1630
  { PseudoVFSGNJN_VF16_M2, VFSGNJN_VF }, // 1631
  { PseudoVFSGNJN_VF16_M2_MASK, VFSGNJN_VF }, // 1632
  { PseudoVFSGNJN_VF16_M2_TU, VFSGNJN_VF }, // 1633
  { PseudoVFSGNJN_VF16_M4, VFSGNJN_VF }, // 1634
  { PseudoVFSGNJN_VF16_M4_MASK, VFSGNJN_VF }, // 1635
  { PseudoVFSGNJN_VF16_M4_TU, VFSGNJN_VF }, // 1636
  { PseudoVFSGNJN_VF16_M8, VFSGNJN_VF }, // 1637
  { PseudoVFSGNJN_VF16_M8_MASK, VFSGNJN_VF }, // 1638
  { PseudoVFSGNJN_VF16_M8_TU, VFSGNJN_VF }, // 1639
  { PseudoVFSGNJN_VF16_MF2, VFSGNJN_VF }, // 1640
  { PseudoVFSGNJN_VF16_MF2_MASK, VFSGNJN_VF }, // 1641
  { PseudoVFSGNJN_VF16_MF2_TU, VFSGNJN_VF }, // 1642
  { PseudoVFSGNJN_VF16_MF4, VFSGNJN_VF }, // 1643
  { PseudoVFSGNJN_VF16_MF4_MASK, VFSGNJN_VF }, // 1644
  { PseudoVFSGNJN_VF16_MF4_TU, VFSGNJN_VF }, // 1645
  { PseudoVFSGNJN_VF32_M1, VFSGNJN_VF }, // 1646
  { PseudoVFSGNJN_VF32_M1_MASK, VFSGNJN_VF }, // 1647
  { PseudoVFSGNJN_VF32_M1_TU, VFSGNJN_VF }, // 1648
  { PseudoVFSGNJN_VF32_M2, VFSGNJN_VF }, // 1649
  { PseudoVFSGNJN_VF32_M2_MASK, VFSGNJN_VF }, // 1650
  { PseudoVFSGNJN_VF32_M2_TU, VFSGNJN_VF }, // 1651
  { PseudoVFSGNJN_VF32_M4, VFSGNJN_VF }, // 1652
  { PseudoVFSGNJN_VF32_M4_MASK, VFSGNJN_VF }, // 1653
  { PseudoVFSGNJN_VF32_M4_TU, VFSGNJN_VF }, // 1654
  { PseudoVFSGNJN_VF32_M8, VFSGNJN_VF }, // 1655
  { PseudoVFSGNJN_VF32_M8_MASK, VFSGNJN_VF }, // 1656
  { PseudoVFSGNJN_VF32_M8_TU, VFSGNJN_VF }, // 1657
  { PseudoVFSGNJN_VF32_MF2, VFSGNJN_VF }, // 1658
  { PseudoVFSGNJN_VF32_MF2_MASK, VFSGNJN_VF }, // 1659
  { PseudoVFSGNJN_VF32_MF2_TU, VFSGNJN_VF }, // 1660
  { PseudoVFSGNJN_VF64_M1, VFSGNJN_VF }, // 1661
  { PseudoVFSGNJN_VF64_M1_MASK, VFSGNJN_VF }, // 1662
  { PseudoVFSGNJN_VF64_M1_TU, VFSGNJN_VF }, // 1663
  { PseudoVFSGNJN_VF64_M2, VFSGNJN_VF }, // 1664
  { PseudoVFSGNJN_VF64_M2_MASK, VFSGNJN_VF }, // 1665
  { PseudoVFSGNJN_VF64_M2_TU, VFSGNJN_VF }, // 1666
  { PseudoVFSGNJN_VF64_M4, VFSGNJN_VF }, // 1667
  { PseudoVFSGNJN_VF64_M4_MASK, VFSGNJN_VF }, // 1668
  { PseudoVFSGNJN_VF64_M4_TU, VFSGNJN_VF }, // 1669
  { PseudoVFSGNJN_VF64_M8, VFSGNJN_VF }, // 1670
  { PseudoVFSGNJN_VF64_M8_MASK, VFSGNJN_VF }, // 1671
  { PseudoVFSGNJN_VF64_M8_TU, VFSGNJN_VF }, // 1672
  { PseudoVFSGNJN_VV_M1, VFSGNJN_VV }, // 1673
  { PseudoVFSGNJN_VV_M1_MASK, VFSGNJN_VV }, // 1674
  { PseudoVFSGNJN_VV_M1_TU, VFSGNJN_VV }, // 1675
  { PseudoVFSGNJN_VV_M2, VFSGNJN_VV }, // 1676
  { PseudoVFSGNJN_VV_M2_MASK, VFSGNJN_VV }, // 1677
  { PseudoVFSGNJN_VV_M2_TU, VFSGNJN_VV }, // 1678
  { PseudoVFSGNJN_VV_M4, VFSGNJN_VV }, // 1679
  { PseudoVFSGNJN_VV_M4_MASK, VFSGNJN_VV }, // 1680
  { PseudoVFSGNJN_VV_M4_TU, VFSGNJN_VV }, // 1681
  { PseudoVFSGNJN_VV_M8, VFSGNJN_VV }, // 1682
  { PseudoVFSGNJN_VV_M8_MASK, VFSGNJN_VV }, // 1683
  { PseudoVFSGNJN_VV_M8_TU, VFSGNJN_VV }, // 1684
  { PseudoVFSGNJN_VV_MF2, VFSGNJN_VV }, // 1685
  { PseudoVFSGNJN_VV_MF2_MASK, VFSGNJN_VV }, // 1686
  { PseudoVFSGNJN_VV_MF2_TU, VFSGNJN_VV }, // 1687
  { PseudoVFSGNJN_VV_MF4, VFSGNJN_VV }, // 1688
  { PseudoVFSGNJN_VV_MF4_MASK, VFSGNJN_VV }, // 1689
  { PseudoVFSGNJN_VV_MF4_TU, VFSGNJN_VV }, // 1690
  { PseudoVFSGNJX_VF16_M1, VFSGNJX_VF }, // 1691
  { PseudoVFSGNJX_VF16_M1_MASK, VFSGNJX_VF }, // 1692
  { PseudoVFSGNJX_VF16_M1_TU, VFSGNJX_VF }, // 1693
  { PseudoVFSGNJX_VF16_M2, VFSGNJX_VF }, // 1694
  { PseudoVFSGNJX_VF16_M2_MASK, VFSGNJX_VF }, // 1695
  { PseudoVFSGNJX_VF16_M2_TU, VFSGNJX_VF }, // 1696
  { PseudoVFSGNJX_VF16_M4, VFSGNJX_VF }, // 1697
  { PseudoVFSGNJX_VF16_M4_MASK, VFSGNJX_VF }, // 1698
  { PseudoVFSGNJX_VF16_M4_TU, VFSGNJX_VF }, // 1699
  { PseudoVFSGNJX_VF16_M8, VFSGNJX_VF }, // 1700
  { PseudoVFSGNJX_VF16_M8_MASK, VFSGNJX_VF }, // 1701
  { PseudoVFSGNJX_VF16_M8_TU, VFSGNJX_VF }, // 1702
  { PseudoVFSGNJX_VF16_MF2, VFSGNJX_VF }, // 1703
  { PseudoVFSGNJX_VF16_MF2_MASK, VFSGNJX_VF }, // 1704
  { PseudoVFSGNJX_VF16_MF2_TU, VFSGNJX_VF }, // 1705
  { PseudoVFSGNJX_VF16_MF4, VFSGNJX_VF }, // 1706
  { PseudoVFSGNJX_VF16_MF4_MASK, VFSGNJX_VF }, // 1707
  { PseudoVFSGNJX_VF16_MF4_TU, VFSGNJX_VF }, // 1708
  { PseudoVFSGNJX_VF32_M1, VFSGNJX_VF }, // 1709
  { PseudoVFSGNJX_VF32_M1_MASK, VFSGNJX_VF }, // 1710
  { PseudoVFSGNJX_VF32_M1_TU, VFSGNJX_VF }, // 1711
  { PseudoVFSGNJX_VF32_M2, VFSGNJX_VF }, // 1712
  { PseudoVFSGNJX_VF32_M2_MASK, VFSGNJX_VF }, // 1713
  { PseudoVFSGNJX_VF32_M2_TU, VFSGNJX_VF }, // 1714
  { PseudoVFSGNJX_VF32_M4, VFSGNJX_VF }, // 1715
  { PseudoVFSGNJX_VF32_M4_MASK, VFSGNJX_VF }, // 1716
  { PseudoVFSGNJX_VF32_M4_TU, VFSGNJX_VF }, // 1717
  { PseudoVFSGNJX_VF32_M8, VFSGNJX_VF }, // 1718
  { PseudoVFSGNJX_VF32_M8_MASK, VFSGNJX_VF }, // 1719
  { PseudoVFSGNJX_VF32_M8_TU, VFSGNJX_VF }, // 1720
  { PseudoVFSGNJX_VF32_MF2, VFSGNJX_VF }, // 1721
  { PseudoVFSGNJX_VF32_MF2_MASK, VFSGNJX_VF }, // 1722
  { PseudoVFSGNJX_VF32_MF2_TU, VFSGNJX_VF }, // 1723
  { PseudoVFSGNJX_VF64_M1, VFSGNJX_VF }, // 1724
  { PseudoVFSGNJX_VF64_M1_MASK, VFSGNJX_VF }, // 1725
  { PseudoVFSGNJX_VF64_M1_TU, VFSGNJX_VF }, // 1726
  { PseudoVFSGNJX_VF64_M2, VFSGNJX_VF }, // 1727
  { PseudoVFSGNJX_VF64_M2_MASK, VFSGNJX_VF }, // 1728
  { PseudoVFSGNJX_VF64_M2_TU, VFSGNJX_VF }, // 1729
  { PseudoVFSGNJX_VF64_M4, VFSGNJX_VF }, // 1730
  { PseudoVFSGNJX_VF64_M4_MASK, VFSGNJX_VF }, // 1731
  { PseudoVFSGNJX_VF64_M4_TU, VFSGNJX_VF }, // 1732
  { PseudoVFSGNJX_VF64_M8, VFSGNJX_VF }, // 1733
  { PseudoVFSGNJX_VF64_M8_MASK, VFSGNJX_VF }, // 1734
  { PseudoVFSGNJX_VF64_M8_TU, VFSGNJX_VF }, // 1735
  { PseudoVFSGNJX_VV_M1, VFSGNJX_VV }, // 1736
  { PseudoVFSGNJX_VV_M1_MASK, VFSGNJX_VV }, // 1737
  { PseudoVFSGNJX_VV_M1_TU, VFSGNJX_VV }, // 1738
  { PseudoVFSGNJX_VV_M2, VFSGNJX_VV }, // 1739
  { PseudoVFSGNJX_VV_M2_MASK, VFSGNJX_VV }, // 1740
  { PseudoVFSGNJX_VV_M2_TU, VFSGNJX_VV }, // 1741
  { PseudoVFSGNJX_VV_M4, VFSGNJX_VV }, // 1742
  { PseudoVFSGNJX_VV_M4_MASK, VFSGNJX_VV }, // 1743
  { PseudoVFSGNJX_VV_M4_TU, VFSGNJX_VV }, // 1744
  { PseudoVFSGNJX_VV_M8, VFSGNJX_VV }, // 1745
  { PseudoVFSGNJX_VV_M8_MASK, VFSGNJX_VV }, // 1746
  { PseudoVFSGNJX_VV_M8_TU, VFSGNJX_VV }, // 1747
  { PseudoVFSGNJX_VV_MF2, VFSGNJX_VV }, // 1748
  { PseudoVFSGNJX_VV_MF2_MASK, VFSGNJX_VV }, // 1749
  { PseudoVFSGNJX_VV_MF2_TU, VFSGNJX_VV }, // 1750
  { PseudoVFSGNJX_VV_MF4, VFSGNJX_VV }, // 1751
  { PseudoVFSGNJX_VV_MF4_MASK, VFSGNJX_VV }, // 1752
  { PseudoVFSGNJX_VV_MF4_TU, VFSGNJX_VV }, // 1753
  { PseudoVFSGNJ_VF16_M1, VFSGNJ_VF }, // 1754
  { PseudoVFSGNJ_VF16_M1_MASK, VFSGNJ_VF }, // 1755
  { PseudoVFSGNJ_VF16_M1_TU, VFSGNJ_VF }, // 1756
  { PseudoVFSGNJ_VF16_M2, VFSGNJ_VF }, // 1757
  { PseudoVFSGNJ_VF16_M2_MASK, VFSGNJ_VF }, // 1758
  { PseudoVFSGNJ_VF16_M2_TU, VFSGNJ_VF }, // 1759
  { PseudoVFSGNJ_VF16_M4, VFSGNJ_VF }, // 1760
  { PseudoVFSGNJ_VF16_M4_MASK, VFSGNJ_VF }, // 1761
  { PseudoVFSGNJ_VF16_M4_TU, VFSGNJ_VF }, // 1762
  { PseudoVFSGNJ_VF16_M8, VFSGNJ_VF }, // 1763
  { PseudoVFSGNJ_VF16_M8_MASK, VFSGNJ_VF }, // 1764
  { PseudoVFSGNJ_VF16_M8_TU, VFSGNJ_VF }, // 1765
  { PseudoVFSGNJ_VF16_MF2, VFSGNJ_VF }, // 1766
  { PseudoVFSGNJ_VF16_MF2_MASK, VFSGNJ_VF }, // 1767
  { PseudoVFSGNJ_VF16_MF2_TU, VFSGNJ_VF }, // 1768
  { PseudoVFSGNJ_VF16_MF4, VFSGNJ_VF }, // 1769
  { PseudoVFSGNJ_VF16_MF4_MASK, VFSGNJ_VF }, // 1770
  { PseudoVFSGNJ_VF16_MF4_TU, VFSGNJ_VF }, // 1771
  { PseudoVFSGNJ_VF32_M1, VFSGNJ_VF }, // 1772
  { PseudoVFSGNJ_VF32_M1_MASK, VFSGNJ_VF }, // 1773
  { PseudoVFSGNJ_VF32_M1_TU, VFSGNJ_VF }, // 1774
  { PseudoVFSGNJ_VF32_M2, VFSGNJ_VF }, // 1775
  { PseudoVFSGNJ_VF32_M2_MASK, VFSGNJ_VF }, // 1776
  { PseudoVFSGNJ_VF32_M2_TU, VFSGNJ_VF }, // 1777
  { PseudoVFSGNJ_VF32_M4, VFSGNJ_VF }, // 1778
  { PseudoVFSGNJ_VF32_M4_MASK, VFSGNJ_VF }, // 1779
  { PseudoVFSGNJ_VF32_M4_TU, VFSGNJ_VF }, // 1780
  { PseudoVFSGNJ_VF32_M8, VFSGNJ_VF }, // 1781
  { PseudoVFSGNJ_VF32_M8_MASK, VFSGNJ_VF }, // 1782
  { PseudoVFSGNJ_VF32_M8_TU, VFSGNJ_VF }, // 1783
  { PseudoVFSGNJ_VF32_MF2, VFSGNJ_VF }, // 1784
  { PseudoVFSGNJ_VF32_MF2_MASK, VFSGNJ_VF }, // 1785
  { PseudoVFSGNJ_VF32_MF2_TU, VFSGNJ_VF }, // 1786
  { PseudoVFSGNJ_VF64_M1, VFSGNJ_VF }, // 1787
  { PseudoVFSGNJ_VF64_M1_MASK, VFSGNJ_VF }, // 1788
  { PseudoVFSGNJ_VF64_M1_TU, VFSGNJ_VF }, // 1789
  { PseudoVFSGNJ_VF64_M2, VFSGNJ_VF }, // 1790
  { PseudoVFSGNJ_VF64_M2_MASK, VFSGNJ_VF }, // 1791
  { PseudoVFSGNJ_VF64_M2_TU, VFSGNJ_VF }, // 1792
  { PseudoVFSGNJ_VF64_M4, VFSGNJ_VF }, // 1793
  { PseudoVFSGNJ_VF64_M4_MASK, VFSGNJ_VF }, // 1794
  { PseudoVFSGNJ_VF64_M4_TU, VFSGNJ_VF }, // 1795
  { PseudoVFSGNJ_VF64_M8, VFSGNJ_VF }, // 1796
  { PseudoVFSGNJ_VF64_M8_MASK, VFSGNJ_VF }, // 1797
  { PseudoVFSGNJ_VF64_M8_TU, VFSGNJ_VF }, // 1798
  { PseudoVFSGNJ_VV_M1, VFSGNJ_VV }, // 1799
  { PseudoVFSGNJ_VV_M1_MASK, VFSGNJ_VV }, // 1800
  { PseudoVFSGNJ_VV_M1_TU, VFSGNJ_VV }, // 1801
  { PseudoVFSGNJ_VV_M2, VFSGNJ_VV }, // 1802
  { PseudoVFSGNJ_VV_M2_MASK, VFSGNJ_VV }, // 1803
  { PseudoVFSGNJ_VV_M2_TU, VFSGNJ_VV }, // 1804
  { PseudoVFSGNJ_VV_M4, VFSGNJ_VV }, // 1805
  { PseudoVFSGNJ_VV_M4_MASK, VFSGNJ_VV }, // 1806
  { PseudoVFSGNJ_VV_M4_TU, VFSGNJ_VV }, // 1807
  { PseudoVFSGNJ_VV_M8, VFSGNJ_VV }, // 1808
  { PseudoVFSGNJ_VV_M8_MASK, VFSGNJ_VV }, // 1809
  { PseudoVFSGNJ_VV_M8_TU, VFSGNJ_VV }, // 1810
  { PseudoVFSGNJ_VV_MF2, VFSGNJ_VV }, // 1811
  { PseudoVFSGNJ_VV_MF2_MASK, VFSGNJ_VV }, // 1812
  { PseudoVFSGNJ_VV_MF2_TU, VFSGNJ_VV }, // 1813
  { PseudoVFSGNJ_VV_MF4, VFSGNJ_VV }, // 1814
  { PseudoVFSGNJ_VV_MF4_MASK, VFSGNJ_VV }, // 1815
  { PseudoVFSGNJ_VV_MF4_TU, VFSGNJ_VV }, // 1816
  { PseudoVFSLIDE1DOWN_VF16_M1, VFSLIDE1DOWN_VF }, // 1817
  { PseudoVFSLIDE1DOWN_VF16_M1_MASK, VFSLIDE1DOWN_VF }, // 1818
  { PseudoVFSLIDE1DOWN_VF16_M1_TU, VFSLIDE1DOWN_VF }, // 1819
  { PseudoVFSLIDE1DOWN_VF16_M2, VFSLIDE1DOWN_VF }, // 1820
  { PseudoVFSLIDE1DOWN_VF16_M2_MASK, VFSLIDE1DOWN_VF }, // 1821
  { PseudoVFSLIDE1DOWN_VF16_M2_TU, VFSLIDE1DOWN_VF }, // 1822
  { PseudoVFSLIDE1DOWN_VF16_M4, VFSLIDE1DOWN_VF }, // 1823
  { PseudoVFSLIDE1DOWN_VF16_M4_MASK, VFSLIDE1DOWN_VF }, // 1824
  { PseudoVFSLIDE1DOWN_VF16_M4_TU, VFSLIDE1DOWN_VF }, // 1825
  { PseudoVFSLIDE1DOWN_VF16_M8, VFSLIDE1DOWN_VF }, // 1826
  { PseudoVFSLIDE1DOWN_VF16_M8_MASK, VFSLIDE1DOWN_VF }, // 1827
  { PseudoVFSLIDE1DOWN_VF16_M8_TU, VFSLIDE1DOWN_VF }, // 1828
  { PseudoVFSLIDE1DOWN_VF16_MF2, VFSLIDE1DOWN_VF }, // 1829
  { PseudoVFSLIDE1DOWN_VF16_MF2_MASK, VFSLIDE1DOWN_VF }, // 1830
  { PseudoVFSLIDE1DOWN_VF16_MF2_TU, VFSLIDE1DOWN_VF }, // 1831
  { PseudoVFSLIDE1DOWN_VF16_MF4, VFSLIDE1DOWN_VF }, // 1832
  { PseudoVFSLIDE1DOWN_VF16_MF4_MASK, VFSLIDE1DOWN_VF }, // 1833
  { PseudoVFSLIDE1DOWN_VF16_MF4_TU, VFSLIDE1DOWN_VF }, // 1834
  { PseudoVFSLIDE1DOWN_VF32_M1, VFSLIDE1DOWN_VF }, // 1835
  { PseudoVFSLIDE1DOWN_VF32_M1_MASK, VFSLIDE1DOWN_VF }, // 1836
  { PseudoVFSLIDE1DOWN_VF32_M1_TU, VFSLIDE1DOWN_VF }, // 1837
  { PseudoVFSLIDE1DOWN_VF32_M2, VFSLIDE1DOWN_VF }, // 1838
  { PseudoVFSLIDE1DOWN_VF32_M2_MASK, VFSLIDE1DOWN_VF }, // 1839
  { PseudoVFSLIDE1DOWN_VF32_M2_TU, VFSLIDE1DOWN_VF }, // 1840
  { PseudoVFSLIDE1DOWN_VF32_M4, VFSLIDE1DOWN_VF }, // 1841
  { PseudoVFSLIDE1DOWN_VF32_M4_MASK, VFSLIDE1DOWN_VF }, // 1842
  { PseudoVFSLIDE1DOWN_VF32_M4_TU, VFSLIDE1DOWN_VF }, // 1843
  { PseudoVFSLIDE1DOWN_VF32_M8, VFSLIDE1DOWN_VF }, // 1844
  { PseudoVFSLIDE1DOWN_VF32_M8_MASK, VFSLIDE1DOWN_VF }, // 1845
  { PseudoVFSLIDE1DOWN_VF32_M8_TU, VFSLIDE1DOWN_VF }, // 1846
  { PseudoVFSLIDE1DOWN_VF32_MF2, VFSLIDE1DOWN_VF }, // 1847
  { PseudoVFSLIDE1DOWN_VF32_MF2_MASK, VFSLIDE1DOWN_VF }, // 1848
  { PseudoVFSLIDE1DOWN_VF32_MF2_TU, VFSLIDE1DOWN_VF }, // 1849
  { PseudoVFSLIDE1DOWN_VF64_M1, VFSLIDE1DOWN_VF }, // 1850
  { PseudoVFSLIDE1DOWN_VF64_M1_MASK, VFSLIDE1DOWN_VF }, // 1851
  { PseudoVFSLIDE1DOWN_VF64_M1_TU, VFSLIDE1DOWN_VF }, // 1852
  { PseudoVFSLIDE1DOWN_VF64_M2, VFSLIDE1DOWN_VF }, // 1853
  { PseudoVFSLIDE1DOWN_VF64_M2_MASK, VFSLIDE1DOWN_VF }, // 1854
  { PseudoVFSLIDE1DOWN_VF64_M2_TU, VFSLIDE1DOWN_VF }, // 1855
  { PseudoVFSLIDE1DOWN_VF64_M4, VFSLIDE1DOWN_VF }, // 1856
  { PseudoVFSLIDE1DOWN_VF64_M4_MASK, VFSLIDE1DOWN_VF }, // 1857
  { PseudoVFSLIDE1DOWN_VF64_M4_TU, VFSLIDE1DOWN_VF }, // 1858
  { PseudoVFSLIDE1DOWN_VF64_M8, VFSLIDE1DOWN_VF }, // 1859
  { PseudoVFSLIDE1DOWN_VF64_M8_MASK, VFSLIDE1DOWN_VF }, // 1860
  { PseudoVFSLIDE1DOWN_VF64_M8_TU, VFSLIDE1DOWN_VF }, // 1861
  { PseudoVFSLIDE1UP_VF16_M1, VFSLIDE1UP_VF }, // 1862
  { PseudoVFSLIDE1UP_VF16_M1_MASK, VFSLIDE1UP_VF }, // 1863
  { PseudoVFSLIDE1UP_VF16_M1_TU, VFSLIDE1UP_VF }, // 1864
  { PseudoVFSLIDE1UP_VF16_M2, VFSLIDE1UP_VF }, // 1865
  { PseudoVFSLIDE1UP_VF16_M2_MASK, VFSLIDE1UP_VF }, // 1866
  { PseudoVFSLIDE1UP_VF16_M2_TU, VFSLIDE1UP_VF }, // 1867
  { PseudoVFSLIDE1UP_VF16_M4, VFSLIDE1UP_VF }, // 1868
  { PseudoVFSLIDE1UP_VF16_M4_MASK, VFSLIDE1UP_VF }, // 1869
  { PseudoVFSLIDE1UP_VF16_M4_TU, VFSLIDE1UP_VF }, // 1870
  { PseudoVFSLIDE1UP_VF16_M8, VFSLIDE1UP_VF }, // 1871
  { PseudoVFSLIDE1UP_VF16_M8_MASK, VFSLIDE1UP_VF }, // 1872
  { PseudoVFSLIDE1UP_VF16_M8_TU, VFSLIDE1UP_VF }, // 1873
  { PseudoVFSLIDE1UP_VF16_MF2, VFSLIDE1UP_VF }, // 1874
  { PseudoVFSLIDE1UP_VF16_MF2_MASK, VFSLIDE1UP_VF }, // 1875
  { PseudoVFSLIDE1UP_VF16_MF2_TU, VFSLIDE1UP_VF }, // 1876
  { PseudoVFSLIDE1UP_VF16_MF4, VFSLIDE1UP_VF }, // 1877
  { PseudoVFSLIDE1UP_VF16_MF4_MASK, VFSLIDE1UP_VF }, // 1878
  { PseudoVFSLIDE1UP_VF16_MF4_TU, VFSLIDE1UP_VF }, // 1879
  { PseudoVFSLIDE1UP_VF32_M1, VFSLIDE1UP_VF }, // 1880
  { PseudoVFSLIDE1UP_VF32_M1_MASK, VFSLIDE1UP_VF }, // 1881
  { PseudoVFSLIDE1UP_VF32_M1_TU, VFSLIDE1UP_VF }, // 1882
  { PseudoVFSLIDE1UP_VF32_M2, VFSLIDE1UP_VF }, // 1883
  { PseudoVFSLIDE1UP_VF32_M2_MASK, VFSLIDE1UP_VF }, // 1884
  { PseudoVFSLIDE1UP_VF32_M2_TU, VFSLIDE1UP_VF }, // 1885
  { PseudoVFSLIDE1UP_VF32_M4, VFSLIDE1UP_VF }, // 1886
  { PseudoVFSLIDE1UP_VF32_M4_MASK, VFSLIDE1UP_VF }, // 1887
  { PseudoVFSLIDE1UP_VF32_M4_TU, VFSLIDE1UP_VF }, // 1888
  { PseudoVFSLIDE1UP_VF32_M8, VFSLIDE1UP_VF }, // 1889
  { PseudoVFSLIDE1UP_VF32_M8_MASK, VFSLIDE1UP_VF }, // 1890
  { PseudoVFSLIDE1UP_VF32_M8_TU, VFSLIDE1UP_VF }, // 1891
  { PseudoVFSLIDE1UP_VF32_MF2, VFSLIDE1UP_VF }, // 1892
  { PseudoVFSLIDE1UP_VF32_MF2_MASK, VFSLIDE1UP_VF }, // 1893
  { PseudoVFSLIDE1UP_VF32_MF2_TU, VFSLIDE1UP_VF }, // 1894
  { PseudoVFSLIDE1UP_VF64_M1, VFSLIDE1UP_VF }, // 1895
  { PseudoVFSLIDE1UP_VF64_M1_MASK, VFSLIDE1UP_VF }, // 1896
  { PseudoVFSLIDE1UP_VF64_M1_TU, VFSLIDE1UP_VF }, // 1897
  { PseudoVFSLIDE1UP_VF64_M2, VFSLIDE1UP_VF }, // 1898
  { PseudoVFSLIDE1UP_VF64_M2_MASK, VFSLIDE1UP_VF }, // 1899
  { PseudoVFSLIDE1UP_VF64_M2_TU, VFSLIDE1UP_VF }, // 1900
  { PseudoVFSLIDE1UP_VF64_M4, VFSLIDE1UP_VF }, // 1901
  { PseudoVFSLIDE1UP_VF64_M4_MASK, VFSLIDE1UP_VF }, // 1902
  { PseudoVFSLIDE1UP_VF64_M4_TU, VFSLIDE1UP_VF }, // 1903
  { PseudoVFSLIDE1UP_VF64_M8, VFSLIDE1UP_VF }, // 1904
  { PseudoVFSLIDE1UP_VF64_M8_MASK, VFSLIDE1UP_VF }, // 1905
  { PseudoVFSLIDE1UP_VF64_M8_TU, VFSLIDE1UP_VF }, // 1906
  { PseudoVFSQRT_V_M1, VFSQRT_V }, // 1907
  { PseudoVFSQRT_V_M1_MASK, VFSQRT_V }, // 1908
  { PseudoVFSQRT_V_M1_TU, VFSQRT_V }, // 1909
  { PseudoVFSQRT_V_M2, VFSQRT_V }, // 1910
  { PseudoVFSQRT_V_M2_MASK, VFSQRT_V }, // 1911
  { PseudoVFSQRT_V_M2_TU, VFSQRT_V }, // 1912
  { PseudoVFSQRT_V_M4, VFSQRT_V }, // 1913
  { PseudoVFSQRT_V_M4_MASK, VFSQRT_V }, // 1914
  { PseudoVFSQRT_V_M4_TU, VFSQRT_V }, // 1915
  { PseudoVFSQRT_V_M8, VFSQRT_V }, // 1916
  { PseudoVFSQRT_V_M8_MASK, VFSQRT_V }, // 1917
  { PseudoVFSQRT_V_M8_TU, VFSQRT_V }, // 1918
  { PseudoVFSQRT_V_MF2, VFSQRT_V }, // 1919
  { PseudoVFSQRT_V_MF2_MASK, VFSQRT_V }, // 1920
  { PseudoVFSQRT_V_MF2_TU, VFSQRT_V }, // 1921
  { PseudoVFSQRT_V_MF4, VFSQRT_V }, // 1922
  { PseudoVFSQRT_V_MF4_MASK, VFSQRT_V }, // 1923
  { PseudoVFSQRT_V_MF4_TU, VFSQRT_V }, // 1924
  { PseudoVFSUB_VF16_M1, VFSUB_VF }, // 1925
  { PseudoVFSUB_VF16_M1_MASK, VFSUB_VF }, // 1926
  { PseudoVFSUB_VF16_M1_TU, VFSUB_VF }, // 1927
  { PseudoVFSUB_VF16_M2, VFSUB_VF }, // 1928
  { PseudoVFSUB_VF16_M2_MASK, VFSUB_VF }, // 1929
  { PseudoVFSUB_VF16_M2_TU, VFSUB_VF }, // 1930
  { PseudoVFSUB_VF16_M4, VFSUB_VF }, // 1931
  { PseudoVFSUB_VF16_M4_MASK, VFSUB_VF }, // 1932
  { PseudoVFSUB_VF16_M4_TU, VFSUB_VF }, // 1933
  { PseudoVFSUB_VF16_M8, VFSUB_VF }, // 1934
  { PseudoVFSUB_VF16_M8_MASK, VFSUB_VF }, // 1935
  { PseudoVFSUB_VF16_M8_TU, VFSUB_VF }, // 1936
  { PseudoVFSUB_VF16_MF2, VFSUB_VF }, // 1937
  { PseudoVFSUB_VF16_MF2_MASK, VFSUB_VF }, // 1938
  { PseudoVFSUB_VF16_MF2_TU, VFSUB_VF }, // 1939
  { PseudoVFSUB_VF16_MF4, VFSUB_VF }, // 1940
  { PseudoVFSUB_VF16_MF4_MASK, VFSUB_VF }, // 1941
  { PseudoVFSUB_VF16_MF4_TU, VFSUB_VF }, // 1942
  { PseudoVFSUB_VF32_M1, VFSUB_VF }, // 1943
  { PseudoVFSUB_VF32_M1_MASK, VFSUB_VF }, // 1944
  { PseudoVFSUB_VF32_M1_TU, VFSUB_VF }, // 1945
  { PseudoVFSUB_VF32_M2, VFSUB_VF }, // 1946
  { PseudoVFSUB_VF32_M2_MASK, VFSUB_VF }, // 1947
  { PseudoVFSUB_VF32_M2_TU, VFSUB_VF }, // 1948
  { PseudoVFSUB_VF32_M4, VFSUB_VF }, // 1949
  { PseudoVFSUB_VF32_M4_MASK, VFSUB_VF }, // 1950
  { PseudoVFSUB_VF32_M4_TU, VFSUB_VF }, // 1951
  { PseudoVFSUB_VF32_M8, VFSUB_VF }, // 1952
  { PseudoVFSUB_VF32_M8_MASK, VFSUB_VF }, // 1953
  { PseudoVFSUB_VF32_M8_TU, VFSUB_VF }, // 1954
  { PseudoVFSUB_VF32_MF2, VFSUB_VF }, // 1955
  { PseudoVFSUB_VF32_MF2_MASK, VFSUB_VF }, // 1956
  { PseudoVFSUB_VF32_MF2_TU, VFSUB_VF }, // 1957
  { PseudoVFSUB_VF64_M1, VFSUB_VF }, // 1958
  { PseudoVFSUB_VF64_M1_MASK, VFSUB_VF }, // 1959
  { PseudoVFSUB_VF64_M1_TU, VFSUB_VF }, // 1960
  { PseudoVFSUB_VF64_M2, VFSUB_VF }, // 1961
  { PseudoVFSUB_VF64_M2_MASK, VFSUB_VF }, // 1962
  { PseudoVFSUB_VF64_M2_TU, VFSUB_VF }, // 1963
  { PseudoVFSUB_VF64_M4, VFSUB_VF }, // 1964
  { PseudoVFSUB_VF64_M4_MASK, VFSUB_VF }, // 1965
  { PseudoVFSUB_VF64_M4_TU, VFSUB_VF }, // 1966
  { PseudoVFSUB_VF64_M8, VFSUB_VF }, // 1967
  { PseudoVFSUB_VF64_M8_MASK, VFSUB_VF }, // 1968
  { PseudoVFSUB_VF64_M8_TU, VFSUB_VF }, // 1969
  { PseudoVFSUB_VV_M1, VFSUB_VV }, // 1970
  { PseudoVFSUB_VV_M1_MASK, VFSUB_VV }, // 1971
  { PseudoVFSUB_VV_M1_TU, VFSUB_VV }, // 1972
  { PseudoVFSUB_VV_M2, VFSUB_VV }, // 1973
  { PseudoVFSUB_VV_M2_MASK, VFSUB_VV }, // 1974
  { PseudoVFSUB_VV_M2_TU, VFSUB_VV }, // 1975
  { PseudoVFSUB_VV_M4, VFSUB_VV }, // 1976
  { PseudoVFSUB_VV_M4_MASK, VFSUB_VV }, // 1977
  { PseudoVFSUB_VV_M4_TU, VFSUB_VV }, // 1978
  { PseudoVFSUB_VV_M8, VFSUB_VV }, // 1979
  { PseudoVFSUB_VV_M8_MASK, VFSUB_VV }, // 1980
  { PseudoVFSUB_VV_M8_TU, VFSUB_VV }, // 1981
  { PseudoVFSUB_VV_MF2, VFSUB_VV }, // 1982
  { PseudoVFSUB_VV_MF2_MASK, VFSUB_VV }, // 1983
  { PseudoVFSUB_VV_MF2_TU, VFSUB_VV }, // 1984
  { PseudoVFSUB_VV_MF4, VFSUB_VV }, // 1985
  { PseudoVFSUB_VV_MF4_MASK, VFSUB_VV }, // 1986
  { PseudoVFSUB_VV_MF4_TU, VFSUB_VV }, // 1987
  { PseudoVFWADD_VF16_M1, VFWADD_VF }, // 1988
  { PseudoVFWADD_VF16_M1_MASK, VFWADD_VF }, // 1989
  { PseudoVFWADD_VF16_M1_TU, VFWADD_VF }, // 1990
  { PseudoVFWADD_VF16_M2, VFWADD_VF }, // 1991
  { PseudoVFWADD_VF16_M2_MASK, VFWADD_VF }, // 1992
  { PseudoVFWADD_VF16_M2_TU, VFWADD_VF }, // 1993
  { PseudoVFWADD_VF16_M4, VFWADD_VF }, // 1994
  { PseudoVFWADD_VF16_M4_MASK, VFWADD_VF }, // 1995
  { PseudoVFWADD_VF16_M4_TU, VFWADD_VF }, // 1996
  { PseudoVFWADD_VF16_M8, VFWADD_VF }, // 1997
  { PseudoVFWADD_VF16_M8_MASK, VFWADD_VF }, // 1998
  { PseudoVFWADD_VF16_M8_TU, VFWADD_VF }, // 1999
  { PseudoVFWADD_VF16_MF2, VFWADD_VF }, // 2000
  { PseudoVFWADD_VF16_MF2_MASK, VFWADD_VF }, // 2001
  { PseudoVFWADD_VF16_MF2_TU, VFWADD_VF }, // 2002
  { PseudoVFWADD_VF16_MF4, VFWADD_VF }, // 2003
  { PseudoVFWADD_VF16_MF4_MASK, VFWADD_VF }, // 2004
  { PseudoVFWADD_VF16_MF4_TU, VFWADD_VF }, // 2005
  { PseudoVFWADD_VF32_M1, VFWADD_VF }, // 2006
  { PseudoVFWADD_VF32_M1_MASK, VFWADD_VF }, // 2007
  { PseudoVFWADD_VF32_M1_TU, VFWADD_VF }, // 2008
  { PseudoVFWADD_VF32_M2, VFWADD_VF }, // 2009
  { PseudoVFWADD_VF32_M2_MASK, VFWADD_VF }, // 2010
  { PseudoVFWADD_VF32_M2_TU, VFWADD_VF }, // 2011
  { PseudoVFWADD_VF32_M4, VFWADD_VF }, // 2012
  { PseudoVFWADD_VF32_M4_MASK, VFWADD_VF }, // 2013
  { PseudoVFWADD_VF32_M4_TU, VFWADD_VF }, // 2014
  { PseudoVFWADD_VF32_M8, VFWADD_VF }, // 2015
  { PseudoVFWADD_VF32_M8_MASK, VFWADD_VF }, // 2016
  { PseudoVFWADD_VF32_M8_TU, VFWADD_VF }, // 2017
  { PseudoVFWADD_VF32_MF2, VFWADD_VF }, // 2018
  { PseudoVFWADD_VF32_MF2_MASK, VFWADD_VF }, // 2019
  { PseudoVFWADD_VF32_MF2_TU, VFWADD_VF }, // 2020
  { PseudoVFWADD_VV_M1, VFWADD_VV }, // 2021
  { PseudoVFWADD_VV_M1_MASK, VFWADD_VV }, // 2022
  { PseudoVFWADD_VV_M1_TU, VFWADD_VV }, // 2023
  { PseudoVFWADD_VV_M2, VFWADD_VV }, // 2024
  { PseudoVFWADD_VV_M2_MASK, VFWADD_VV }, // 2025
  { PseudoVFWADD_VV_M2_TU, VFWADD_VV }, // 2026
  { PseudoVFWADD_VV_M4, VFWADD_VV }, // 2027
  { PseudoVFWADD_VV_M4_MASK, VFWADD_VV }, // 2028
  { PseudoVFWADD_VV_M4_TU, VFWADD_VV }, // 2029
  { PseudoVFWADD_VV_MF2, VFWADD_VV }, // 2030
  { PseudoVFWADD_VV_MF2_MASK, VFWADD_VV }, // 2031
  { PseudoVFWADD_VV_MF2_TU, VFWADD_VV }, // 2032
  { PseudoVFWADD_VV_MF4, VFWADD_VV }, // 2033
  { PseudoVFWADD_VV_MF4_MASK, VFWADD_VV }, // 2034
  { PseudoVFWADD_VV_MF4_TU, VFWADD_VV }, // 2035
  { PseudoVFWADD_WF16_M1, VFWADD_WF }, // 2036
  { PseudoVFWADD_WF16_M1_MASK, VFWADD_WF }, // 2037
  { PseudoVFWADD_WF16_M1_TU, VFWADD_WF }, // 2038
  { PseudoVFWADD_WF16_M2, VFWADD_WF }, // 2039
  { PseudoVFWADD_WF16_M2_MASK, VFWADD_WF }, // 2040
  { PseudoVFWADD_WF16_M2_TU, VFWADD_WF }, // 2041
  { PseudoVFWADD_WF16_M4, VFWADD_WF }, // 2042
  { PseudoVFWADD_WF16_M4_MASK, VFWADD_WF }, // 2043
  { PseudoVFWADD_WF16_M4_TU, VFWADD_WF }, // 2044
  { PseudoVFWADD_WF16_M8, VFWADD_WF }, // 2045
  { PseudoVFWADD_WF16_M8_MASK, VFWADD_WF }, // 2046
  { PseudoVFWADD_WF16_M8_TU, VFWADD_WF }, // 2047
  { PseudoVFWADD_WF16_MF2, VFWADD_WF }, // 2048
  { PseudoVFWADD_WF16_MF2_MASK, VFWADD_WF }, // 2049
  { PseudoVFWADD_WF16_MF2_TU, VFWADD_WF }, // 2050
  { PseudoVFWADD_WF16_MF4, VFWADD_WF }, // 2051
  { PseudoVFWADD_WF16_MF4_MASK, VFWADD_WF }, // 2052
  { PseudoVFWADD_WF16_MF4_TU, VFWADD_WF }, // 2053
  { PseudoVFWADD_WF32_M1, VFWADD_WF }, // 2054
  { PseudoVFWADD_WF32_M1_MASK, VFWADD_WF }, // 2055
  { PseudoVFWADD_WF32_M1_TU, VFWADD_WF }, // 2056
  { PseudoVFWADD_WF32_M2, VFWADD_WF }, // 2057
  { PseudoVFWADD_WF32_M2_MASK, VFWADD_WF }, // 2058
  { PseudoVFWADD_WF32_M2_TU, VFWADD_WF }, // 2059
  { PseudoVFWADD_WF32_M4, VFWADD_WF }, // 2060
  { PseudoVFWADD_WF32_M4_MASK, VFWADD_WF }, // 2061
  { PseudoVFWADD_WF32_M4_TU, VFWADD_WF }, // 2062
  { PseudoVFWADD_WF32_M8, VFWADD_WF }, // 2063
  { PseudoVFWADD_WF32_M8_MASK, VFWADD_WF }, // 2064
  { PseudoVFWADD_WF32_M8_TU, VFWADD_WF }, // 2065
  { PseudoVFWADD_WF32_MF2, VFWADD_WF }, // 2066
  { PseudoVFWADD_WF32_MF2_MASK, VFWADD_WF }, // 2067
  { PseudoVFWADD_WF32_MF2_TU, VFWADD_WF }, // 2068
  { PseudoVFWADD_WV_M1, VFWADD_WV }, // 2069
  { PseudoVFWADD_WV_M1_MASK, VFWADD_WV }, // 2070
  { PseudoVFWADD_WV_M1_MASK_TIED, VFWADD_WV }, // 2071
  { PseudoVFWADD_WV_M1_TIED, VFWADD_WV }, // 2072
  { PseudoVFWADD_WV_M1_TU, VFWADD_WV }, // 2073
  { PseudoVFWADD_WV_M2, VFWADD_WV }, // 2074
  { PseudoVFWADD_WV_M2_MASK, VFWADD_WV }, // 2075
  { PseudoVFWADD_WV_M2_MASK_TIED, VFWADD_WV }, // 2076
  { PseudoVFWADD_WV_M2_TIED, VFWADD_WV }, // 2077
  { PseudoVFWADD_WV_M2_TU, VFWADD_WV }, // 2078
  { PseudoVFWADD_WV_M4, VFWADD_WV }, // 2079
  { PseudoVFWADD_WV_M4_MASK, VFWADD_WV }, // 2080
  { PseudoVFWADD_WV_M4_MASK_TIED, VFWADD_WV }, // 2081
  { PseudoVFWADD_WV_M4_TIED, VFWADD_WV }, // 2082
  { PseudoVFWADD_WV_M4_TU, VFWADD_WV }, // 2083
  { PseudoVFWADD_WV_MF2, VFWADD_WV }, // 2084
  { PseudoVFWADD_WV_MF2_MASK, VFWADD_WV }, // 2085
  { PseudoVFWADD_WV_MF2_MASK_TIED, VFWADD_WV }, // 2086
  { PseudoVFWADD_WV_MF2_TIED, VFWADD_WV }, // 2087
  { PseudoVFWADD_WV_MF2_TU, VFWADD_WV }, // 2088
  { PseudoVFWADD_WV_MF4, VFWADD_WV }, // 2089
  { PseudoVFWADD_WV_MF4_MASK, VFWADD_WV }, // 2090
  { PseudoVFWADD_WV_MF4_MASK_TIED, VFWADD_WV }, // 2091
  { PseudoVFWADD_WV_MF4_TIED, VFWADD_WV }, // 2092
  { PseudoVFWADD_WV_MF4_TU, VFWADD_WV }, // 2093
  { PseudoVFWCVT_F_F_V_M1, VFWCVT_F_F_V }, // 2094
  { PseudoVFWCVT_F_F_V_M1_MASK, VFWCVT_F_F_V }, // 2095
  { PseudoVFWCVT_F_F_V_M1_TU, VFWCVT_F_F_V }, // 2096
  { PseudoVFWCVT_F_F_V_M2, VFWCVT_F_F_V }, // 2097
  { PseudoVFWCVT_F_F_V_M2_MASK, VFWCVT_F_F_V }, // 2098
  { PseudoVFWCVT_F_F_V_M2_TU, VFWCVT_F_F_V }, // 2099
  { PseudoVFWCVT_F_F_V_M4, VFWCVT_F_F_V }, // 2100
  { PseudoVFWCVT_F_F_V_M4_MASK, VFWCVT_F_F_V }, // 2101
  { PseudoVFWCVT_F_F_V_M4_TU, VFWCVT_F_F_V }, // 2102
  { PseudoVFWCVT_F_F_V_MF2, VFWCVT_F_F_V }, // 2103
  { PseudoVFWCVT_F_F_V_MF2_MASK, VFWCVT_F_F_V }, // 2104
  { PseudoVFWCVT_F_F_V_MF2_TU, VFWCVT_F_F_V }, // 2105
  { PseudoVFWCVT_F_F_V_MF4, VFWCVT_F_F_V }, // 2106
  { PseudoVFWCVT_F_F_V_MF4_MASK, VFWCVT_F_F_V }, // 2107
  { PseudoVFWCVT_F_F_V_MF4_TU, VFWCVT_F_F_V }, // 2108
  { PseudoVFWCVT_F_XU_V_M1, VFWCVT_F_XU_V }, // 2109
  { PseudoVFWCVT_F_XU_V_M1_MASK, VFWCVT_F_XU_V }, // 2110
  { PseudoVFWCVT_F_XU_V_M1_TU, VFWCVT_F_XU_V }, // 2111
  { PseudoVFWCVT_F_XU_V_M2, VFWCVT_F_XU_V }, // 2112
  { PseudoVFWCVT_F_XU_V_M2_MASK, VFWCVT_F_XU_V }, // 2113
  { PseudoVFWCVT_F_XU_V_M2_TU, VFWCVT_F_XU_V }, // 2114
  { PseudoVFWCVT_F_XU_V_M4, VFWCVT_F_XU_V }, // 2115
  { PseudoVFWCVT_F_XU_V_M4_MASK, VFWCVT_F_XU_V }, // 2116
  { PseudoVFWCVT_F_XU_V_M4_TU, VFWCVT_F_XU_V }, // 2117
  { PseudoVFWCVT_F_XU_V_MF2, VFWCVT_F_XU_V }, // 2118
  { PseudoVFWCVT_F_XU_V_MF2_MASK, VFWCVT_F_XU_V }, // 2119
  { PseudoVFWCVT_F_XU_V_MF2_TU, VFWCVT_F_XU_V }, // 2120
  { PseudoVFWCVT_F_XU_V_MF4, VFWCVT_F_XU_V }, // 2121
  { PseudoVFWCVT_F_XU_V_MF4_MASK, VFWCVT_F_XU_V }, // 2122
  { PseudoVFWCVT_F_XU_V_MF4_TU, VFWCVT_F_XU_V }, // 2123
  { PseudoVFWCVT_F_XU_V_MF8, VFWCVT_F_XU_V }, // 2124
  { PseudoVFWCVT_F_XU_V_MF8_MASK, VFWCVT_F_XU_V }, // 2125
  { PseudoVFWCVT_F_XU_V_MF8_TU, VFWCVT_F_XU_V }, // 2126
  { PseudoVFWCVT_F_X_V_M1, VFWCVT_F_X_V }, // 2127
  { PseudoVFWCVT_F_X_V_M1_MASK, VFWCVT_F_X_V }, // 2128
  { PseudoVFWCVT_F_X_V_M1_TU, VFWCVT_F_X_V }, // 2129
  { PseudoVFWCVT_F_X_V_M2, VFWCVT_F_X_V }, // 2130
  { PseudoVFWCVT_F_X_V_M2_MASK, VFWCVT_F_X_V }, // 2131
  { PseudoVFWCVT_F_X_V_M2_TU, VFWCVT_F_X_V }, // 2132
  { PseudoVFWCVT_F_X_V_M4, VFWCVT_F_X_V }, // 2133
  { PseudoVFWCVT_F_X_V_M4_MASK, VFWCVT_F_X_V }, // 2134
  { PseudoVFWCVT_F_X_V_M4_TU, VFWCVT_F_X_V }, // 2135
  { PseudoVFWCVT_F_X_V_MF2, VFWCVT_F_X_V }, // 2136
  { PseudoVFWCVT_F_X_V_MF2_MASK, VFWCVT_F_X_V }, // 2137
  { PseudoVFWCVT_F_X_V_MF2_TU, VFWCVT_F_X_V }, // 2138
  { PseudoVFWCVT_F_X_V_MF4, VFWCVT_F_X_V }, // 2139
  { PseudoVFWCVT_F_X_V_MF4_MASK, VFWCVT_F_X_V }, // 2140
  { PseudoVFWCVT_F_X_V_MF4_TU, VFWCVT_F_X_V }, // 2141
  { PseudoVFWCVT_F_X_V_MF8, VFWCVT_F_X_V }, // 2142
  { PseudoVFWCVT_F_X_V_MF8_MASK, VFWCVT_F_X_V }, // 2143
  { PseudoVFWCVT_F_X_V_MF8_TU, VFWCVT_F_X_V }, // 2144
  { PseudoVFWCVT_RTZ_XU_F_V_M1, VFWCVT_RTZ_XU_F_V }, // 2145
  { PseudoVFWCVT_RTZ_XU_F_V_M1_MASK, VFWCVT_RTZ_XU_F_V }, // 2146
  { PseudoVFWCVT_RTZ_XU_F_V_M1_TU, VFWCVT_RTZ_XU_F_V }, // 2147
  { PseudoVFWCVT_RTZ_XU_F_V_M2, VFWCVT_RTZ_XU_F_V }, // 2148
  { PseudoVFWCVT_RTZ_XU_F_V_M2_MASK, VFWCVT_RTZ_XU_F_V }, // 2149
  { PseudoVFWCVT_RTZ_XU_F_V_M2_TU, VFWCVT_RTZ_XU_F_V }, // 2150
  { PseudoVFWCVT_RTZ_XU_F_V_M4, VFWCVT_RTZ_XU_F_V }, // 2151
  { PseudoVFWCVT_RTZ_XU_F_V_M4_MASK, VFWCVT_RTZ_XU_F_V }, // 2152
  { PseudoVFWCVT_RTZ_XU_F_V_M4_TU, VFWCVT_RTZ_XU_F_V }, // 2153
  { PseudoVFWCVT_RTZ_XU_F_V_MF2, VFWCVT_RTZ_XU_F_V }, // 2154
  { PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK, VFWCVT_RTZ_XU_F_V }, // 2155
  { PseudoVFWCVT_RTZ_XU_F_V_MF2_TU, VFWCVT_RTZ_XU_F_V }, // 2156
  { PseudoVFWCVT_RTZ_XU_F_V_MF4, VFWCVT_RTZ_XU_F_V }, // 2157
  { PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK, VFWCVT_RTZ_XU_F_V }, // 2158
  { PseudoVFWCVT_RTZ_XU_F_V_MF4_TU, VFWCVT_RTZ_XU_F_V }, // 2159
  { PseudoVFWCVT_RTZ_X_F_V_M1, VFWCVT_RTZ_X_F_V }, // 2160
  { PseudoVFWCVT_RTZ_X_F_V_M1_MASK, VFWCVT_RTZ_X_F_V }, // 2161
  { PseudoVFWCVT_RTZ_X_F_V_M1_TU, VFWCVT_RTZ_X_F_V }, // 2162
  { PseudoVFWCVT_RTZ_X_F_V_M2, VFWCVT_RTZ_X_F_V }, // 2163
  { PseudoVFWCVT_RTZ_X_F_V_M2_MASK, VFWCVT_RTZ_X_F_V }, // 2164
  { PseudoVFWCVT_RTZ_X_F_V_M2_TU, VFWCVT_RTZ_X_F_V }, // 2165
  { PseudoVFWCVT_RTZ_X_F_V_M4, VFWCVT_RTZ_X_F_V }, // 2166
  { PseudoVFWCVT_RTZ_X_F_V_M4_MASK, VFWCVT_RTZ_X_F_V }, // 2167
  { PseudoVFWCVT_RTZ_X_F_V_M4_TU, VFWCVT_RTZ_X_F_V }, // 2168
  { PseudoVFWCVT_RTZ_X_F_V_MF2, VFWCVT_RTZ_X_F_V }, // 2169
  { PseudoVFWCVT_RTZ_X_F_V_MF2_MASK, VFWCVT_RTZ_X_F_V }, // 2170
  { PseudoVFWCVT_RTZ_X_F_V_MF2_TU, VFWCVT_RTZ_X_F_V }, // 2171
  { PseudoVFWCVT_RTZ_X_F_V_MF4, VFWCVT_RTZ_X_F_V }, // 2172
  { PseudoVFWCVT_RTZ_X_F_V_MF4_MASK, VFWCVT_RTZ_X_F_V }, // 2173
  { PseudoVFWCVT_RTZ_X_F_V_MF4_TU, VFWCVT_RTZ_X_F_V }, // 2174
  { PseudoVFWCVT_XU_F_V_M1, VFWCVT_XU_F_V }, // 2175
  { PseudoVFWCVT_XU_F_V_M1_MASK, VFWCVT_XU_F_V }, // 2176
  { PseudoVFWCVT_XU_F_V_M1_TU, VFWCVT_XU_F_V }, // 2177
  { PseudoVFWCVT_XU_F_V_M2, VFWCVT_XU_F_V }, // 2178
  { PseudoVFWCVT_XU_F_V_M2_MASK, VFWCVT_XU_F_V }, // 2179
  { PseudoVFWCVT_XU_F_V_M2_TU, VFWCVT_XU_F_V }, // 2180
  { PseudoVFWCVT_XU_F_V_M4, VFWCVT_XU_F_V }, // 2181
  { PseudoVFWCVT_XU_F_V_M4_MASK, VFWCVT_XU_F_V }, // 2182
  { PseudoVFWCVT_XU_F_V_M4_TU, VFWCVT_XU_F_V }, // 2183
  { PseudoVFWCVT_XU_F_V_MF2, VFWCVT_XU_F_V }, // 2184
  { PseudoVFWCVT_XU_F_V_MF2_MASK, VFWCVT_XU_F_V }, // 2185
  { PseudoVFWCVT_XU_F_V_MF2_TU, VFWCVT_XU_F_V }, // 2186
  { PseudoVFWCVT_XU_F_V_MF4, VFWCVT_XU_F_V }, // 2187
  { PseudoVFWCVT_XU_F_V_MF4_MASK, VFWCVT_XU_F_V }, // 2188
  { PseudoVFWCVT_XU_F_V_MF4_TU, VFWCVT_XU_F_V }, // 2189
  { PseudoVFWCVT_X_F_V_M1, VFWCVT_X_F_V }, // 2190
  { PseudoVFWCVT_X_F_V_M1_MASK, VFWCVT_X_F_V }, // 2191
  { PseudoVFWCVT_X_F_V_M1_TU, VFWCVT_X_F_V }, // 2192
  { PseudoVFWCVT_X_F_V_M2, VFWCVT_X_F_V }, // 2193
  { PseudoVFWCVT_X_F_V_M2_MASK, VFWCVT_X_F_V }, // 2194
  { PseudoVFWCVT_X_F_V_M2_TU, VFWCVT_X_F_V }, // 2195
  { PseudoVFWCVT_X_F_V_M4, VFWCVT_X_F_V }, // 2196
  { PseudoVFWCVT_X_F_V_M4_MASK, VFWCVT_X_F_V }, // 2197
  { PseudoVFWCVT_X_F_V_M4_TU, VFWCVT_X_F_V }, // 2198
  { PseudoVFWCVT_X_F_V_MF2, VFWCVT_X_F_V }, // 2199
  { PseudoVFWCVT_X_F_V_MF2_MASK, VFWCVT_X_F_V }, // 2200
  { PseudoVFWCVT_X_F_V_MF2_TU, VFWCVT_X_F_V }, // 2201
  { PseudoVFWCVT_X_F_V_MF4, VFWCVT_X_F_V }, // 2202
  { PseudoVFWCVT_X_F_V_MF4_MASK, VFWCVT_X_F_V }, // 2203
  { PseudoVFWCVT_X_F_V_MF4_TU, VFWCVT_X_F_V }, // 2204
  { PseudoVFWMACC_VF16_M1, VFWMACC_VF }, // 2205
  { PseudoVFWMACC_VF16_M1_MASK, VFWMACC_VF }, // 2206
  { PseudoVFWMACC_VF16_M2, VFWMACC_VF }, // 2207
  { PseudoVFWMACC_VF16_M2_MASK, VFWMACC_VF }, // 2208
  { PseudoVFWMACC_VF16_M4, VFWMACC_VF }, // 2209
  { PseudoVFWMACC_VF16_M4_MASK, VFWMACC_VF }, // 2210
  { PseudoVFWMACC_VF16_M8, VFWMACC_VF }, // 2211
  { PseudoVFWMACC_VF16_M8_MASK, VFWMACC_VF }, // 2212
  { PseudoVFWMACC_VF16_MF2, VFWMACC_VF }, // 2213
  { PseudoVFWMACC_VF16_MF2_MASK, VFWMACC_VF }, // 2214
  { PseudoVFWMACC_VF16_MF4, VFWMACC_VF }, // 2215
  { PseudoVFWMACC_VF16_MF4_MASK, VFWMACC_VF }, // 2216
  { PseudoVFWMACC_VF32_M1, VFWMACC_VF }, // 2217
  { PseudoVFWMACC_VF32_M1_MASK, VFWMACC_VF }, // 2218
  { PseudoVFWMACC_VF32_M2, VFWMACC_VF }, // 2219
  { PseudoVFWMACC_VF32_M2_MASK, VFWMACC_VF }, // 2220
  { PseudoVFWMACC_VF32_M4, VFWMACC_VF }, // 2221
  { PseudoVFWMACC_VF32_M4_MASK, VFWMACC_VF }, // 2222
  { PseudoVFWMACC_VF32_M8, VFWMACC_VF }, // 2223
  { PseudoVFWMACC_VF32_M8_MASK, VFWMACC_VF }, // 2224
  { PseudoVFWMACC_VF32_MF2, VFWMACC_VF }, // 2225
  { PseudoVFWMACC_VF32_MF2_MASK, VFWMACC_VF }, // 2226
  { PseudoVFWMACC_VV_M1, VFWMACC_VV }, // 2227
  { PseudoVFWMACC_VV_M1_MASK, VFWMACC_VV }, // 2228
  { PseudoVFWMACC_VV_M2, VFWMACC_VV }, // 2229
  { PseudoVFWMACC_VV_M2_MASK, VFWMACC_VV }, // 2230
  { PseudoVFWMACC_VV_M4, VFWMACC_VV }, // 2231
  { PseudoVFWMACC_VV_M4_MASK, VFWMACC_VV }, // 2232
  { PseudoVFWMACC_VV_MF2, VFWMACC_VV }, // 2233
  { PseudoVFWMACC_VV_MF2_MASK, VFWMACC_VV }, // 2234
  { PseudoVFWMACC_VV_MF4, VFWMACC_VV }, // 2235
  { PseudoVFWMACC_VV_MF4_MASK, VFWMACC_VV }, // 2236
  { PseudoVFWMSAC_VF16_M1, VFWMSAC_VF }, // 2237
  { PseudoVFWMSAC_VF16_M1_MASK, VFWMSAC_VF }, // 2238
  { PseudoVFWMSAC_VF16_M2, VFWMSAC_VF }, // 2239
  { PseudoVFWMSAC_VF16_M2_MASK, VFWMSAC_VF }, // 2240
  { PseudoVFWMSAC_VF16_M4, VFWMSAC_VF }, // 2241
  { PseudoVFWMSAC_VF16_M4_MASK, VFWMSAC_VF }, // 2242
  { PseudoVFWMSAC_VF16_M8, VFWMSAC_VF }, // 2243
  { PseudoVFWMSAC_VF16_M8_MASK, VFWMSAC_VF }, // 2244
  { PseudoVFWMSAC_VF16_MF2, VFWMSAC_VF }, // 2245
  { PseudoVFWMSAC_VF16_MF2_MASK, VFWMSAC_VF }, // 2246
  { PseudoVFWMSAC_VF16_MF4, VFWMSAC_VF }, // 2247
  { PseudoVFWMSAC_VF16_MF4_MASK, VFWMSAC_VF }, // 2248
  { PseudoVFWMSAC_VF32_M1, VFWMSAC_VF }, // 2249
  { PseudoVFWMSAC_VF32_M1_MASK, VFWMSAC_VF }, // 2250
  { PseudoVFWMSAC_VF32_M2, VFWMSAC_VF }, // 2251
  { PseudoVFWMSAC_VF32_M2_MASK, VFWMSAC_VF }, // 2252
  { PseudoVFWMSAC_VF32_M4, VFWMSAC_VF }, // 2253
  { PseudoVFWMSAC_VF32_M4_MASK, VFWMSAC_VF }, // 2254
  { PseudoVFWMSAC_VF32_M8, VFWMSAC_VF }, // 2255
  { PseudoVFWMSAC_VF32_M8_MASK, VFWMSAC_VF }, // 2256
  { PseudoVFWMSAC_VF32_MF2, VFWMSAC_VF }, // 2257
  { PseudoVFWMSAC_VF32_MF2_MASK, VFWMSAC_VF }, // 2258
  { PseudoVFWMSAC_VV_M1, VFWMSAC_VV }, // 2259
  { PseudoVFWMSAC_VV_M1_MASK, VFWMSAC_VV }, // 2260
  { PseudoVFWMSAC_VV_M2, VFWMSAC_VV }, // 2261
  { PseudoVFWMSAC_VV_M2_MASK, VFWMSAC_VV }, // 2262
  { PseudoVFWMSAC_VV_M4, VFWMSAC_VV }, // 2263
  { PseudoVFWMSAC_VV_M4_MASK, VFWMSAC_VV }, // 2264
  { PseudoVFWMSAC_VV_MF2, VFWMSAC_VV }, // 2265
  { PseudoVFWMSAC_VV_MF2_MASK, VFWMSAC_VV }, // 2266
  { PseudoVFWMSAC_VV_MF4, VFWMSAC_VV }, // 2267
  { PseudoVFWMSAC_VV_MF4_MASK, VFWMSAC_VV }, // 2268
  { PseudoVFWMUL_VF16_M1, VFWMUL_VF }, // 2269
  { PseudoVFWMUL_VF16_M1_MASK, VFWMUL_VF }, // 2270
  { PseudoVFWMUL_VF16_M1_TU, VFWMUL_VF }, // 2271
  { PseudoVFWMUL_VF16_M2, VFWMUL_VF }, // 2272
  { PseudoVFWMUL_VF16_M2_MASK, VFWMUL_VF }, // 2273
  { PseudoVFWMUL_VF16_M2_TU, VFWMUL_VF }, // 2274
  { PseudoVFWMUL_VF16_M4, VFWMUL_VF }, // 2275
  { PseudoVFWMUL_VF16_M4_MASK, VFWMUL_VF }, // 2276
  { PseudoVFWMUL_VF16_M4_TU, VFWMUL_VF }, // 2277
  { PseudoVFWMUL_VF16_M8, VFWMUL_VF }, // 2278
  { PseudoVFWMUL_VF16_M8_MASK, VFWMUL_VF }, // 2279
  { PseudoVFWMUL_VF16_M8_TU, VFWMUL_VF }, // 2280
  { PseudoVFWMUL_VF16_MF2, VFWMUL_VF }, // 2281
  { PseudoVFWMUL_VF16_MF2_MASK, VFWMUL_VF }, // 2282
  { PseudoVFWMUL_VF16_MF2_TU, VFWMUL_VF }, // 2283
  { PseudoVFWMUL_VF16_MF4, VFWMUL_VF }, // 2284
  { PseudoVFWMUL_VF16_MF4_MASK, VFWMUL_VF }, // 2285
  { PseudoVFWMUL_VF16_MF4_TU, VFWMUL_VF }, // 2286
  { PseudoVFWMUL_VF32_M1, VFWMUL_VF }, // 2287
  { PseudoVFWMUL_VF32_M1_MASK, VFWMUL_VF }, // 2288
  { PseudoVFWMUL_VF32_M1_TU, VFWMUL_VF }, // 2289
  { PseudoVFWMUL_VF32_M2, VFWMUL_VF }, // 2290
  { PseudoVFWMUL_VF32_M2_MASK, VFWMUL_VF }, // 2291
  { PseudoVFWMUL_VF32_M2_TU, VFWMUL_VF }, // 2292
  { PseudoVFWMUL_VF32_M4, VFWMUL_VF }, // 2293
  { PseudoVFWMUL_VF32_M4_MASK, VFWMUL_VF }, // 2294
  { PseudoVFWMUL_VF32_M4_TU, VFWMUL_VF }, // 2295
  { PseudoVFWMUL_VF32_M8, VFWMUL_VF }, // 2296
  { PseudoVFWMUL_VF32_M8_MASK, VFWMUL_VF }, // 2297
  { PseudoVFWMUL_VF32_M8_TU, VFWMUL_VF }, // 2298
  { PseudoVFWMUL_VF32_MF2, VFWMUL_VF }, // 2299
  { PseudoVFWMUL_VF32_MF2_MASK, VFWMUL_VF }, // 2300
  { PseudoVFWMUL_VF32_MF2_TU, VFWMUL_VF }, // 2301
  { PseudoVFWMUL_VV_M1, VFWMUL_VV }, // 2302
  { PseudoVFWMUL_VV_M1_MASK, VFWMUL_VV }, // 2303
  { PseudoVFWMUL_VV_M1_TU, VFWMUL_VV }, // 2304
  { PseudoVFWMUL_VV_M2, VFWMUL_VV }, // 2305
  { PseudoVFWMUL_VV_M2_MASK, VFWMUL_VV }, // 2306
  { PseudoVFWMUL_VV_M2_TU, VFWMUL_VV }, // 2307
  { PseudoVFWMUL_VV_M4, VFWMUL_VV }, // 2308
  { PseudoVFWMUL_VV_M4_MASK, VFWMUL_VV }, // 2309
  { PseudoVFWMUL_VV_M4_TU, VFWMUL_VV }, // 2310
  { PseudoVFWMUL_VV_MF2, VFWMUL_VV }, // 2311
  { PseudoVFWMUL_VV_MF2_MASK, VFWMUL_VV }, // 2312
  { PseudoVFWMUL_VV_MF2_TU, VFWMUL_VV }, // 2313
  { PseudoVFWMUL_VV_MF4, VFWMUL_VV }, // 2314
  { PseudoVFWMUL_VV_MF4_MASK, VFWMUL_VV }, // 2315
  { PseudoVFWMUL_VV_MF4_TU, VFWMUL_VV }, // 2316
  { PseudoVFWNMACC_VF16_M1, VFWNMACC_VF }, // 2317
  { PseudoVFWNMACC_VF16_M1_MASK, VFWNMACC_VF }, // 2318
  { PseudoVFWNMACC_VF16_M2, VFWNMACC_VF }, // 2319
  { PseudoVFWNMACC_VF16_M2_MASK, VFWNMACC_VF }, // 2320
  { PseudoVFWNMACC_VF16_M4, VFWNMACC_VF }, // 2321
  { PseudoVFWNMACC_VF16_M4_MASK, VFWNMACC_VF }, // 2322
  { PseudoVFWNMACC_VF16_M8, VFWNMACC_VF }, // 2323
  { PseudoVFWNMACC_VF16_M8_MASK, VFWNMACC_VF }, // 2324
  { PseudoVFWNMACC_VF16_MF2, VFWNMACC_VF }, // 2325
  { PseudoVFWNMACC_VF16_MF2_MASK, VFWNMACC_VF }, // 2326
  { PseudoVFWNMACC_VF16_MF4, VFWNMACC_VF }, // 2327
  { PseudoVFWNMACC_VF16_MF4_MASK, VFWNMACC_VF }, // 2328
  { PseudoVFWNMACC_VF32_M1, VFWNMACC_VF }, // 2329
  { PseudoVFWNMACC_VF32_M1_MASK, VFWNMACC_VF }, // 2330
  { PseudoVFWNMACC_VF32_M2, VFWNMACC_VF }, // 2331
  { PseudoVFWNMACC_VF32_M2_MASK, VFWNMACC_VF }, // 2332
  { PseudoVFWNMACC_VF32_M4, VFWNMACC_VF }, // 2333
  { PseudoVFWNMACC_VF32_M4_MASK, VFWNMACC_VF }, // 2334
  { PseudoVFWNMACC_VF32_M8, VFWNMACC_VF }, // 2335
  { PseudoVFWNMACC_VF32_M8_MASK, VFWNMACC_VF }, // 2336
  { PseudoVFWNMACC_VF32_MF2, VFWNMACC_VF }, // 2337
  { PseudoVFWNMACC_VF32_MF2_MASK, VFWNMACC_VF }, // 2338
  { PseudoVFWNMACC_VV_M1, VFWNMACC_VV }, // 2339
  { PseudoVFWNMACC_VV_M1_MASK, VFWNMACC_VV }, // 2340
  { PseudoVFWNMACC_VV_M2, VFWNMACC_VV }, // 2341
  { PseudoVFWNMACC_VV_M2_MASK, VFWNMACC_VV }, // 2342
  { PseudoVFWNMACC_VV_M4, VFWNMACC_VV }, // 2343
  { PseudoVFWNMACC_VV_M4_MASK, VFWNMACC_VV }, // 2344
  { PseudoVFWNMACC_VV_MF2, VFWNMACC_VV }, // 2345
  { PseudoVFWNMACC_VV_MF2_MASK, VFWNMACC_VV }, // 2346
  { PseudoVFWNMACC_VV_MF4, VFWNMACC_VV }, // 2347
  { PseudoVFWNMACC_VV_MF4_MASK, VFWNMACC_VV }, // 2348
  { PseudoVFWNMSAC_VF16_M1, VFWNMSAC_VF }, // 2349
  { PseudoVFWNMSAC_VF16_M1_MASK, VFWNMSAC_VF }, // 2350
  { PseudoVFWNMSAC_VF16_M2, VFWNMSAC_VF }, // 2351
  { PseudoVFWNMSAC_VF16_M2_MASK, VFWNMSAC_VF }, // 2352
  { PseudoVFWNMSAC_VF16_M4, VFWNMSAC_VF }, // 2353
  { PseudoVFWNMSAC_VF16_M4_MASK, VFWNMSAC_VF }, // 2354
  { PseudoVFWNMSAC_VF16_M8, VFWNMSAC_VF }, // 2355
  { PseudoVFWNMSAC_VF16_M8_MASK, VFWNMSAC_VF }, // 2356
  { PseudoVFWNMSAC_VF16_MF2, VFWNMSAC_VF }, // 2357
  { PseudoVFWNMSAC_VF16_MF2_MASK, VFWNMSAC_VF }, // 2358
  { PseudoVFWNMSAC_VF16_MF4, VFWNMSAC_VF }, // 2359
  { PseudoVFWNMSAC_VF16_MF4_MASK, VFWNMSAC_VF }, // 2360
  { PseudoVFWNMSAC_VF32_M1, VFWNMSAC_VF }, // 2361
  { PseudoVFWNMSAC_VF32_M1_MASK, VFWNMSAC_VF }, // 2362
  { PseudoVFWNMSAC_VF32_M2, VFWNMSAC_VF }, // 2363
  { PseudoVFWNMSAC_VF32_M2_MASK, VFWNMSAC_VF }, // 2364
  { PseudoVFWNMSAC_VF32_M4, VFWNMSAC_VF }, // 2365
  { PseudoVFWNMSAC_VF32_M4_MASK, VFWNMSAC_VF }, // 2366
  { PseudoVFWNMSAC_VF32_M8, VFWNMSAC_VF }, // 2367
  { PseudoVFWNMSAC_VF32_M8_MASK, VFWNMSAC_VF }, // 2368
  { PseudoVFWNMSAC_VF32_MF2, VFWNMSAC_VF }, // 2369
  { PseudoVFWNMSAC_VF32_MF2_MASK, VFWNMSAC_VF }, // 2370
  { PseudoVFWNMSAC_VV_M1, VFWNMSAC_VV }, // 2371
  { PseudoVFWNMSAC_VV_M1_MASK, VFWNMSAC_VV }, // 2372
  { PseudoVFWNMSAC_VV_M2, VFWNMSAC_VV }, // 2373
  { PseudoVFWNMSAC_VV_M2_MASK, VFWNMSAC_VV }, // 2374
  { PseudoVFWNMSAC_VV_M4, VFWNMSAC_VV }, // 2375
  { PseudoVFWNMSAC_VV_M4_MASK, VFWNMSAC_VV }, // 2376
  { PseudoVFWNMSAC_VV_MF2, VFWNMSAC_VV }, // 2377
  { PseudoVFWNMSAC_VV_MF2_MASK, VFWNMSAC_VV }, // 2378
  { PseudoVFWNMSAC_VV_MF4, VFWNMSAC_VV }, // 2379
  { PseudoVFWNMSAC_VV_MF4_MASK, VFWNMSAC_VV }, // 2380
  { PseudoVFWREDOSUM_VS_M1, VFWREDOSUM_VS }, // 2381
  { PseudoVFWREDOSUM_VS_M1_MASK, VFWREDOSUM_VS }, // 2382
  { PseudoVFWREDOSUM_VS_M2, VFWREDOSUM_VS }, // 2383
  { PseudoVFWREDOSUM_VS_M2_MASK, VFWREDOSUM_VS }, // 2384
  { PseudoVFWREDOSUM_VS_M4, VFWREDOSUM_VS }, // 2385
  { PseudoVFWREDOSUM_VS_M4_MASK, VFWREDOSUM_VS }, // 2386
  { PseudoVFWREDOSUM_VS_M8, VFWREDOSUM_VS }, // 2387
  { PseudoVFWREDOSUM_VS_M8_MASK, VFWREDOSUM_VS }, // 2388
  { PseudoVFWREDOSUM_VS_MF2, VFWREDOSUM_VS }, // 2389
  { PseudoVFWREDOSUM_VS_MF2_MASK, VFWREDOSUM_VS }, // 2390
  { PseudoVFWREDOSUM_VS_MF4, VFWREDOSUM_VS }, // 2391
  { PseudoVFWREDOSUM_VS_MF4_MASK, VFWREDOSUM_VS }, // 2392
  { PseudoVFWREDUSUM_VS_M1, VFWREDUSUM_VS }, // 2393
  { PseudoVFWREDUSUM_VS_M1_MASK, VFWREDUSUM_VS }, // 2394
  { PseudoVFWREDUSUM_VS_M2, VFWREDUSUM_VS }, // 2395
  { PseudoVFWREDUSUM_VS_M2_MASK, VFWREDUSUM_VS }, // 2396
  { PseudoVFWREDUSUM_VS_M4, VFWREDUSUM_VS }, // 2397
  { PseudoVFWREDUSUM_VS_M4_MASK, VFWREDUSUM_VS }, // 2398
  { PseudoVFWREDUSUM_VS_M8, VFWREDUSUM_VS }, // 2399
  { PseudoVFWREDUSUM_VS_M8_MASK, VFWREDUSUM_VS }, // 2400
  { PseudoVFWREDUSUM_VS_MF2, VFWREDUSUM_VS }, // 2401
  { PseudoVFWREDUSUM_VS_MF2_MASK, VFWREDUSUM_VS }, // 2402
  { PseudoVFWREDUSUM_VS_MF4, VFWREDUSUM_VS }, // 2403
  { PseudoVFWREDUSUM_VS_MF4_MASK, VFWREDUSUM_VS }, // 2404
  { PseudoVFWSUB_VF16_M1, VFWSUB_VF }, // 2405
  { PseudoVFWSUB_VF16_M1_MASK, VFWSUB_VF }, // 2406
  { PseudoVFWSUB_VF16_M1_TU, VFWSUB_VF }, // 2407
  { PseudoVFWSUB_VF16_M2, VFWSUB_VF }, // 2408
  { PseudoVFWSUB_VF16_M2_MASK, VFWSUB_VF }, // 2409
  { PseudoVFWSUB_VF16_M2_TU, VFWSUB_VF }, // 2410
  { PseudoVFWSUB_VF16_M4, VFWSUB_VF }, // 2411
  { PseudoVFWSUB_VF16_M4_MASK, VFWSUB_VF }, // 2412
  { PseudoVFWSUB_VF16_M4_TU, VFWSUB_VF }, // 2413
  { PseudoVFWSUB_VF16_M8, VFWSUB_VF }, // 2414
  { PseudoVFWSUB_VF16_M8_MASK, VFWSUB_VF }, // 2415
  { PseudoVFWSUB_VF16_M8_TU, VFWSUB_VF }, // 2416
  { PseudoVFWSUB_VF16_MF2, VFWSUB_VF }, // 2417
  { PseudoVFWSUB_VF16_MF2_MASK, VFWSUB_VF }, // 2418
  { PseudoVFWSUB_VF16_MF2_TU, VFWSUB_VF }, // 2419
  { PseudoVFWSUB_VF16_MF4, VFWSUB_VF }, // 2420
  { PseudoVFWSUB_VF16_MF4_MASK, VFWSUB_VF }, // 2421
  { PseudoVFWSUB_VF16_MF4_TU, VFWSUB_VF }, // 2422
  { PseudoVFWSUB_VF32_M1, VFWSUB_VF }, // 2423
  { PseudoVFWSUB_VF32_M1_MASK, VFWSUB_VF }, // 2424
  { PseudoVFWSUB_VF32_M1_TU, VFWSUB_VF }, // 2425
  { PseudoVFWSUB_VF32_M2, VFWSUB_VF }, // 2426
  { PseudoVFWSUB_VF32_M2_MASK, VFWSUB_VF }, // 2427
  { PseudoVFWSUB_VF32_M2_TU, VFWSUB_VF }, // 2428
  { PseudoVFWSUB_VF32_M4, VFWSUB_VF }, // 2429
  { PseudoVFWSUB_VF32_M4_MASK, VFWSUB_VF }, // 2430
  { PseudoVFWSUB_VF32_M4_TU, VFWSUB_VF }, // 2431
  { PseudoVFWSUB_VF32_M8, VFWSUB_VF }, // 2432
  { PseudoVFWSUB_VF32_M8_MASK, VFWSUB_VF }, // 2433
  { PseudoVFWSUB_VF32_M8_TU, VFWSUB_VF }, // 2434
  { PseudoVFWSUB_VF32_MF2, VFWSUB_VF }, // 2435
  { PseudoVFWSUB_VF32_MF2_MASK, VFWSUB_VF }, // 2436
  { PseudoVFWSUB_VF32_MF2_TU, VFWSUB_VF }, // 2437
  { PseudoVFWSUB_VV_M1, VFWSUB_VV }, // 2438
  { PseudoVFWSUB_VV_M1_MASK, VFWSUB_VV }, // 2439
  { PseudoVFWSUB_VV_M1_TU, VFWSUB_VV }, // 2440
  { PseudoVFWSUB_VV_M2, VFWSUB_VV }, // 2441
  { PseudoVFWSUB_VV_M2_MASK, VFWSUB_VV }, // 2442
  { PseudoVFWSUB_VV_M2_TU, VFWSUB_VV }, // 2443
  { PseudoVFWSUB_VV_M4, VFWSUB_VV }, // 2444
  { PseudoVFWSUB_VV_M4_MASK, VFWSUB_VV }, // 2445
  { PseudoVFWSUB_VV_M4_TU, VFWSUB_VV }, // 2446
  { PseudoVFWSUB_VV_MF2, VFWSUB_VV }, // 2447
  { PseudoVFWSUB_VV_MF2_MASK, VFWSUB_VV }, // 2448
  { PseudoVFWSUB_VV_MF2_TU, VFWSUB_VV }, // 2449
  { PseudoVFWSUB_VV_MF4, VFWSUB_VV }, // 2450
  { PseudoVFWSUB_VV_MF4_MASK, VFWSUB_VV }, // 2451
  { PseudoVFWSUB_VV_MF4_TU, VFWSUB_VV }, // 2452
  { PseudoVFWSUB_WF16_M1, VFWSUB_WF }, // 2453
  { PseudoVFWSUB_WF16_M1_MASK, VFWSUB_WF }, // 2454
  { PseudoVFWSUB_WF16_M1_TU, VFWSUB_WF }, // 2455
  { PseudoVFWSUB_WF16_M2, VFWSUB_WF }, // 2456
  { PseudoVFWSUB_WF16_M2_MASK, VFWSUB_WF }, // 2457
  { PseudoVFWSUB_WF16_M2_TU, VFWSUB_WF }, // 2458
  { PseudoVFWSUB_WF16_M4, VFWSUB_WF }, // 2459
  { PseudoVFWSUB_WF16_M4_MASK, VFWSUB_WF }, // 2460
  { PseudoVFWSUB_WF16_M4_TU, VFWSUB_WF }, // 2461
  { PseudoVFWSUB_WF16_M8, VFWSUB_WF }, // 2462
  { PseudoVFWSUB_WF16_M8_MASK, VFWSUB_WF }, // 2463
  { PseudoVFWSUB_WF16_M8_TU, VFWSUB_WF }, // 2464
  { PseudoVFWSUB_WF16_MF2, VFWSUB_WF }, // 2465
  { PseudoVFWSUB_WF16_MF2_MASK, VFWSUB_WF }, // 2466
  { PseudoVFWSUB_WF16_MF2_TU, VFWSUB_WF }, // 2467
  { PseudoVFWSUB_WF16_MF4, VFWSUB_WF }, // 2468
  { PseudoVFWSUB_WF16_MF4_MASK, VFWSUB_WF }, // 2469
  { PseudoVFWSUB_WF16_MF4_TU, VFWSUB_WF }, // 2470
  { PseudoVFWSUB_WF32_M1, VFWSUB_WF }, // 2471
  { PseudoVFWSUB_WF32_M1_MASK, VFWSUB_WF }, // 2472
  { PseudoVFWSUB_WF32_M1_TU, VFWSUB_WF }, // 2473
  { PseudoVFWSUB_WF32_M2, VFWSUB_WF }, // 2474
  { PseudoVFWSUB_WF32_M2_MASK, VFWSUB_WF }, // 2475
  { PseudoVFWSUB_WF32_M2_TU, VFWSUB_WF }, // 2476
  { PseudoVFWSUB_WF32_M4, VFWSUB_WF }, // 2477
  { PseudoVFWSUB_WF32_M4_MASK, VFWSUB_WF }, // 2478
  { PseudoVFWSUB_WF32_M4_TU, VFWSUB_WF }, // 2479
  { PseudoVFWSUB_WF32_M8, VFWSUB_WF }, // 2480
  { PseudoVFWSUB_WF32_M8_MASK, VFWSUB_WF }, // 2481
  { PseudoVFWSUB_WF32_M8_TU, VFWSUB_WF }, // 2482
  { PseudoVFWSUB_WF32_MF2, VFWSUB_WF }, // 2483
  { PseudoVFWSUB_WF32_MF2_MASK, VFWSUB_WF }, // 2484
  { PseudoVFWSUB_WF32_MF2_TU, VFWSUB_WF }, // 2485
  { PseudoVFWSUB_WV_M1, VFWSUB_WV }, // 2486
  { PseudoVFWSUB_WV_M1_MASK, VFWSUB_WV }, // 2487
  { PseudoVFWSUB_WV_M1_MASK_TIED, VFWSUB_WV }, // 2488
  { PseudoVFWSUB_WV_M1_TIED, VFWSUB_WV }, // 2489
  { PseudoVFWSUB_WV_M1_TU, VFWSUB_WV }, // 2490
  { PseudoVFWSUB_WV_M2, VFWSUB_WV }, // 2491
  { PseudoVFWSUB_WV_M2_MASK, VFWSUB_WV }, // 2492
  { PseudoVFWSUB_WV_M2_MASK_TIED, VFWSUB_WV }, // 2493
  { PseudoVFWSUB_WV_M2_TIED, VFWSUB_WV }, // 2494
  { PseudoVFWSUB_WV_M2_TU, VFWSUB_WV }, // 2495
  { PseudoVFWSUB_WV_M4, VFWSUB_WV }, // 2496
  { PseudoVFWSUB_WV_M4_MASK, VFWSUB_WV }, // 2497
  { PseudoVFWSUB_WV_M4_MASK_TIED, VFWSUB_WV }, // 2498
  { PseudoVFWSUB_WV_M4_TIED, VFWSUB_WV }, // 2499
  { PseudoVFWSUB_WV_M4_TU, VFWSUB_WV }, // 2500
  { PseudoVFWSUB_WV_MF2, VFWSUB_WV }, // 2501
  { PseudoVFWSUB_WV_MF2_MASK, VFWSUB_WV }, // 2502
  { PseudoVFWSUB_WV_MF2_MASK_TIED, VFWSUB_WV }, // 2503
  { PseudoVFWSUB_WV_MF2_TIED, VFWSUB_WV }, // 2504
  { PseudoVFWSUB_WV_MF2_TU, VFWSUB_WV }, // 2505
  { PseudoVFWSUB_WV_MF4, VFWSUB_WV }, // 2506
  { PseudoVFWSUB_WV_MF4_MASK, VFWSUB_WV }, // 2507
  { PseudoVFWSUB_WV_MF4_MASK_TIED, VFWSUB_WV }, // 2508
  { PseudoVFWSUB_WV_MF4_TIED, VFWSUB_WV }, // 2509
  { PseudoVFWSUB_WV_MF4_TU, VFWSUB_WV }, // 2510
  { PseudoVID_V_M1, VID_V }, // 2511
  { PseudoVID_V_M1_MASK, VID_V }, // 2512
  { PseudoVID_V_M1_TU, VID_V }, // 2513
  { PseudoVID_V_M2, VID_V }, // 2514
  { PseudoVID_V_M2_MASK, VID_V }, // 2515
  { PseudoVID_V_M2_TU, VID_V }, // 2516
  { PseudoVID_V_M4, VID_V }, // 2517
  { PseudoVID_V_M4_MASK, VID_V }, // 2518
  { PseudoVID_V_M4_TU, VID_V }, // 2519
  { PseudoVID_V_M8, VID_V }, // 2520
  { PseudoVID_V_M8_MASK, VID_V }, // 2521
  { PseudoVID_V_M8_TU, VID_V }, // 2522
  { PseudoVID_V_MF2, VID_V }, // 2523
  { PseudoVID_V_MF2_MASK, VID_V }, // 2524
  { PseudoVID_V_MF2_TU, VID_V }, // 2525
  { PseudoVID_V_MF4, VID_V }, // 2526
  { PseudoVID_V_MF4_MASK, VID_V }, // 2527
  { PseudoVID_V_MF4_TU, VID_V }, // 2528
  { PseudoVID_V_MF8, VID_V }, // 2529
  { PseudoVID_V_MF8_MASK, VID_V }, // 2530
  { PseudoVID_V_MF8_TU, VID_V }, // 2531
  { PseudoVIOTA_M_M1, VIOTA_M }, // 2532
  { PseudoVIOTA_M_M1_MASK, VIOTA_M }, // 2533
  { PseudoVIOTA_M_M1_TU, VIOTA_M }, // 2534
  { PseudoVIOTA_M_M2, VIOTA_M }, // 2535
  { PseudoVIOTA_M_M2_MASK, VIOTA_M }, // 2536
  { PseudoVIOTA_M_M2_TU, VIOTA_M }, // 2537
  { PseudoVIOTA_M_M4, VIOTA_M }, // 2538
  { PseudoVIOTA_M_M4_MASK, VIOTA_M }, // 2539
  { PseudoVIOTA_M_M4_TU, VIOTA_M }, // 2540
  { PseudoVIOTA_M_M8, VIOTA_M }, // 2541
  { PseudoVIOTA_M_M8_MASK, VIOTA_M }, // 2542
  { PseudoVIOTA_M_M8_TU, VIOTA_M }, // 2543
  { PseudoVIOTA_M_MF2, VIOTA_M }, // 2544
  { PseudoVIOTA_M_MF2_MASK, VIOTA_M }, // 2545
  { PseudoVIOTA_M_MF2_TU, VIOTA_M }, // 2546
  { PseudoVIOTA_M_MF4, VIOTA_M }, // 2547
  { PseudoVIOTA_M_MF4_MASK, VIOTA_M }, // 2548
  { PseudoVIOTA_M_MF4_TU, VIOTA_M }, // 2549
  { PseudoVIOTA_M_MF8, VIOTA_M }, // 2550
  { PseudoVIOTA_M_MF8_MASK, VIOTA_M }, // 2551
  { PseudoVIOTA_M_MF8_TU, VIOTA_M }, // 2552
  { PseudoVLE16FF_V_M1, VLE16FF_V }, // 2553
  { PseudoVLE16FF_V_M1_MASK, VLE16FF_V }, // 2554
  { PseudoVLE16FF_V_M1_TU, VLE16FF_V }, // 2555
  { PseudoVLE16FF_V_M2, VLE16FF_V }, // 2556
  { PseudoVLE16FF_V_M2_MASK, VLE16FF_V }, // 2557
  { PseudoVLE16FF_V_M2_TU, VLE16FF_V }, // 2558
  { PseudoVLE16FF_V_M4, VLE16FF_V }, // 2559
  { PseudoVLE16FF_V_M4_MASK, VLE16FF_V }, // 2560
  { PseudoVLE16FF_V_M4_TU, VLE16FF_V }, // 2561
  { PseudoVLE16FF_V_M8, VLE16FF_V }, // 2562
  { PseudoVLE16FF_V_M8_MASK, VLE16FF_V }, // 2563
  { PseudoVLE16FF_V_M8_TU, VLE16FF_V }, // 2564
  { PseudoVLE16FF_V_MF2, VLE16FF_V }, // 2565
  { PseudoVLE16FF_V_MF2_MASK, VLE16FF_V }, // 2566
  { PseudoVLE16FF_V_MF2_TU, VLE16FF_V }, // 2567
  { PseudoVLE16FF_V_MF4, VLE16FF_V }, // 2568
  { PseudoVLE16FF_V_MF4_MASK, VLE16FF_V }, // 2569
  { PseudoVLE16FF_V_MF4_TU, VLE16FF_V }, // 2570
  { PseudoVLE16_V_M1, VLE16_V }, // 2571
  { PseudoVLE16_V_M1_MASK, VLE16_V }, // 2572
  { PseudoVLE16_V_M1_TU, VLE16_V }, // 2573
  { PseudoVLE16_V_M2, VLE16_V }, // 2574
  { PseudoVLE16_V_M2_MASK, VLE16_V }, // 2575
  { PseudoVLE16_V_M2_TU, VLE16_V }, // 2576
  { PseudoVLE16_V_M4, VLE16_V }, // 2577
  { PseudoVLE16_V_M4_MASK, VLE16_V }, // 2578
  { PseudoVLE16_V_M4_TU, VLE16_V }, // 2579
  { PseudoVLE16_V_M8, VLE16_V }, // 2580
  { PseudoVLE16_V_M8_MASK, VLE16_V }, // 2581
  { PseudoVLE16_V_M8_TU, VLE16_V }, // 2582
  { PseudoVLE16_V_MF2, VLE16_V }, // 2583
  { PseudoVLE16_V_MF2_MASK, VLE16_V }, // 2584
  { PseudoVLE16_V_MF2_TU, VLE16_V }, // 2585
  { PseudoVLE16_V_MF4, VLE16_V }, // 2586
  { PseudoVLE16_V_MF4_MASK, VLE16_V }, // 2587
  { PseudoVLE16_V_MF4_TU, VLE16_V }, // 2588
  { PseudoVLE32FF_V_M1, VLE32FF_V }, // 2589
  { PseudoVLE32FF_V_M1_MASK, VLE32FF_V }, // 2590
  { PseudoVLE32FF_V_M1_TU, VLE32FF_V }, // 2591
  { PseudoVLE32FF_V_M2, VLE32FF_V }, // 2592
  { PseudoVLE32FF_V_M2_MASK, VLE32FF_V }, // 2593
  { PseudoVLE32FF_V_M2_TU, VLE32FF_V }, // 2594
  { PseudoVLE32FF_V_M4, VLE32FF_V }, // 2595
  { PseudoVLE32FF_V_M4_MASK, VLE32FF_V }, // 2596
  { PseudoVLE32FF_V_M4_TU, VLE32FF_V }, // 2597
  { PseudoVLE32FF_V_M8, VLE32FF_V }, // 2598
  { PseudoVLE32FF_V_M8_MASK, VLE32FF_V }, // 2599
  { PseudoVLE32FF_V_M8_TU, VLE32FF_V }, // 2600
  { PseudoVLE32FF_V_MF2, VLE32FF_V }, // 2601
  { PseudoVLE32FF_V_MF2_MASK, VLE32FF_V }, // 2602
  { PseudoVLE32FF_V_MF2_TU, VLE32FF_V }, // 2603
  { PseudoVLE32_V_M1, VLE32_V }, // 2604
  { PseudoVLE32_V_M1_MASK, VLE32_V }, // 2605
  { PseudoVLE32_V_M1_TU, VLE32_V }, // 2606
  { PseudoVLE32_V_M2, VLE32_V }, // 2607
  { PseudoVLE32_V_M2_MASK, VLE32_V }, // 2608
  { PseudoVLE32_V_M2_TU, VLE32_V }, // 2609
  { PseudoVLE32_V_M4, VLE32_V }, // 2610
  { PseudoVLE32_V_M4_MASK, VLE32_V }, // 2611
  { PseudoVLE32_V_M4_TU, VLE32_V }, // 2612
  { PseudoVLE32_V_M8, VLE32_V }, // 2613
  { PseudoVLE32_V_M8_MASK, VLE32_V }, // 2614
  { PseudoVLE32_V_M8_TU, VLE32_V }, // 2615
  { PseudoVLE32_V_MF2, VLE32_V }, // 2616
  { PseudoVLE32_V_MF2_MASK, VLE32_V }, // 2617
  { PseudoVLE32_V_MF2_TU, VLE32_V }, // 2618
  { PseudoVLE64FF_V_M1, VLE64FF_V }, // 2619
  { PseudoVLE64FF_V_M1_MASK, VLE64FF_V }, // 2620
  { PseudoVLE64FF_V_M1_TU, VLE64FF_V }, // 2621
  { PseudoVLE64FF_V_M2, VLE64FF_V }, // 2622
  { PseudoVLE64FF_V_M2_MASK, VLE64FF_V }, // 2623
  { PseudoVLE64FF_V_M2_TU, VLE64FF_V }, // 2624
  { PseudoVLE64FF_V_M4, VLE64FF_V }, // 2625
  { PseudoVLE64FF_V_M4_MASK, VLE64FF_V }, // 2626
  { PseudoVLE64FF_V_M4_TU, VLE64FF_V }, // 2627
  { PseudoVLE64FF_V_M8, VLE64FF_V }, // 2628
  { PseudoVLE64FF_V_M8_MASK, VLE64FF_V }, // 2629
  { PseudoVLE64FF_V_M8_TU, VLE64FF_V }, // 2630
  { PseudoVLE64_V_M1, VLE64_V }, // 2631
  { PseudoVLE64_V_M1_MASK, VLE64_V }, // 2632
  { PseudoVLE64_V_M1_TU, VLE64_V }, // 2633
  { PseudoVLE64_V_M2, VLE64_V }, // 2634
  { PseudoVLE64_V_M2_MASK, VLE64_V }, // 2635
  { PseudoVLE64_V_M2_TU, VLE64_V }, // 2636
  { PseudoVLE64_V_M4, VLE64_V }, // 2637
  { PseudoVLE64_V_M4_MASK, VLE64_V }, // 2638
  { PseudoVLE64_V_M4_TU, VLE64_V }, // 2639
  { PseudoVLE64_V_M8, VLE64_V }, // 2640
  { PseudoVLE64_V_M8_MASK, VLE64_V }, // 2641
  { PseudoVLE64_V_M8_TU, VLE64_V }, // 2642
  { PseudoVLE8FF_V_M1, VLE8FF_V }, // 2643
  { PseudoVLE8FF_V_M1_MASK, VLE8FF_V }, // 2644
  { PseudoVLE8FF_V_M1_TU, VLE8FF_V }, // 2645
  { PseudoVLE8FF_V_M2, VLE8FF_V }, // 2646
  { PseudoVLE8FF_V_M2_MASK, VLE8FF_V }, // 2647
  { PseudoVLE8FF_V_M2_TU, VLE8FF_V }, // 2648
  { PseudoVLE8FF_V_M4, VLE8FF_V }, // 2649
  { PseudoVLE8FF_V_M4_MASK, VLE8FF_V }, // 2650
  { PseudoVLE8FF_V_M4_TU, VLE8FF_V }, // 2651
  { PseudoVLE8FF_V_M8, VLE8FF_V }, // 2652
  { PseudoVLE8FF_V_M8_MASK, VLE8FF_V }, // 2653
  { PseudoVLE8FF_V_M8_TU, VLE8FF_V }, // 2654
  { PseudoVLE8FF_V_MF2, VLE8FF_V }, // 2655
  { PseudoVLE8FF_V_MF2_MASK, VLE8FF_V }, // 2656
  { PseudoVLE8FF_V_MF2_TU, VLE8FF_V }, // 2657
  { PseudoVLE8FF_V_MF4, VLE8FF_V }, // 2658
  { PseudoVLE8FF_V_MF4_MASK, VLE8FF_V }, // 2659
  { PseudoVLE8FF_V_MF4_TU, VLE8FF_V }, // 2660
  { PseudoVLE8FF_V_MF8, VLE8FF_V }, // 2661
  { PseudoVLE8FF_V_MF8_MASK, VLE8FF_V }, // 2662
  { PseudoVLE8FF_V_MF8_TU, VLE8FF_V }, // 2663
  { PseudoVLE8_V_M1, VLE8_V }, // 2664
  { PseudoVLE8_V_M1_MASK, VLE8_V }, // 2665
  { PseudoVLE8_V_M1_TU, VLE8_V }, // 2666
  { PseudoVLE8_V_M2, VLE8_V }, // 2667
  { PseudoVLE8_V_M2_MASK, VLE8_V }, // 2668
  { PseudoVLE8_V_M2_TU, VLE8_V }, // 2669
  { PseudoVLE8_V_M4, VLE8_V }, // 2670
  { PseudoVLE8_V_M4_MASK, VLE8_V }, // 2671
  { PseudoVLE8_V_M4_TU, VLE8_V }, // 2672
  { PseudoVLE8_V_M8, VLE8_V }, // 2673
  { PseudoVLE8_V_M8_MASK, VLE8_V }, // 2674
  { PseudoVLE8_V_M8_TU, VLE8_V }, // 2675
  { PseudoVLE8_V_MF2, VLE8_V }, // 2676
  { PseudoVLE8_V_MF2_MASK, VLE8_V }, // 2677
  { PseudoVLE8_V_MF2_TU, VLE8_V }, // 2678
  { PseudoVLE8_V_MF4, VLE8_V }, // 2679
  { PseudoVLE8_V_MF4_MASK, VLE8_V }, // 2680
  { PseudoVLE8_V_MF4_TU, VLE8_V }, // 2681
  { PseudoVLE8_V_MF8, VLE8_V }, // 2682
  { PseudoVLE8_V_MF8_MASK, VLE8_V }, // 2683
  { PseudoVLE8_V_MF8_TU, VLE8_V }, // 2684
  { PseudoVLM_V_B1, VLM_V }, // 2685
  { PseudoVLM_V_B16, VLM_V }, // 2686
  { PseudoVLM_V_B2, VLM_V }, // 2687
  { PseudoVLM_V_B32, VLM_V }, // 2688
  { PseudoVLM_V_B4, VLM_V }, // 2689
  { PseudoVLM_V_B64, VLM_V }, // 2690
  { PseudoVLM_V_B8, VLM_V }, // 2691
  { PseudoVLOXEI16_V_M1_M1, VLOXEI16_V }, // 2692
  { PseudoVLOXEI16_V_M1_M1_MASK, VLOXEI16_V }, // 2693
  { PseudoVLOXEI16_V_M1_M1_TU, VLOXEI16_V }, // 2694
  { PseudoVLOXEI16_V_M1_M2, VLOXEI16_V }, // 2695
  { PseudoVLOXEI16_V_M1_M2_MASK, VLOXEI16_V }, // 2696
  { PseudoVLOXEI16_V_M1_M2_TU, VLOXEI16_V }, // 2697
  { PseudoVLOXEI16_V_M1_M4, VLOXEI16_V }, // 2698
  { PseudoVLOXEI16_V_M1_M4_MASK, VLOXEI16_V }, // 2699
  { PseudoVLOXEI16_V_M1_M4_TU, VLOXEI16_V }, // 2700
  { PseudoVLOXEI16_V_M1_MF2, VLOXEI16_V }, // 2701
  { PseudoVLOXEI16_V_M1_MF2_MASK, VLOXEI16_V }, // 2702
  { PseudoVLOXEI16_V_M1_MF2_TU, VLOXEI16_V }, // 2703
  { PseudoVLOXEI16_V_M2_M1, VLOXEI16_V }, // 2704
  { PseudoVLOXEI16_V_M2_M1_MASK, VLOXEI16_V }, // 2705
  { PseudoVLOXEI16_V_M2_M1_TU, VLOXEI16_V }, // 2706
  { PseudoVLOXEI16_V_M2_M2, VLOXEI16_V }, // 2707
  { PseudoVLOXEI16_V_M2_M2_MASK, VLOXEI16_V }, // 2708
  { PseudoVLOXEI16_V_M2_M2_TU, VLOXEI16_V }, // 2709
  { PseudoVLOXEI16_V_M2_M4, VLOXEI16_V }, // 2710
  { PseudoVLOXEI16_V_M2_M4_MASK, VLOXEI16_V }, // 2711
  { PseudoVLOXEI16_V_M2_M4_TU, VLOXEI16_V }, // 2712
  { PseudoVLOXEI16_V_M2_M8, VLOXEI16_V }, // 2713
  { PseudoVLOXEI16_V_M2_M8_MASK, VLOXEI16_V }, // 2714
  { PseudoVLOXEI16_V_M2_M8_TU, VLOXEI16_V }, // 2715
  { PseudoVLOXEI16_V_M4_M2, VLOXEI16_V }, // 2716
  { PseudoVLOXEI16_V_M4_M2_MASK, VLOXEI16_V }, // 2717
  { PseudoVLOXEI16_V_M4_M2_TU, VLOXEI16_V }, // 2718
  { PseudoVLOXEI16_V_M4_M4, VLOXEI16_V }, // 2719
  { PseudoVLOXEI16_V_M4_M4_MASK, VLOXEI16_V }, // 2720
  { PseudoVLOXEI16_V_M4_M4_TU, VLOXEI16_V }, // 2721
  { PseudoVLOXEI16_V_M4_M8, VLOXEI16_V }, // 2722
  { PseudoVLOXEI16_V_M4_M8_MASK, VLOXEI16_V }, // 2723
  { PseudoVLOXEI16_V_M4_M8_TU, VLOXEI16_V }, // 2724
  { PseudoVLOXEI16_V_M8_M4, VLOXEI16_V }, // 2725
  { PseudoVLOXEI16_V_M8_M4_MASK, VLOXEI16_V }, // 2726
  { PseudoVLOXEI16_V_M8_M4_TU, VLOXEI16_V }, // 2727
  { PseudoVLOXEI16_V_M8_M8, VLOXEI16_V }, // 2728
  { PseudoVLOXEI16_V_M8_M8_MASK, VLOXEI16_V }, // 2729
  { PseudoVLOXEI16_V_M8_M8_TU, VLOXEI16_V }, // 2730
  { PseudoVLOXEI16_V_MF2_M1, VLOXEI16_V }, // 2731
  { PseudoVLOXEI16_V_MF2_M1_MASK, VLOXEI16_V }, // 2732
  { PseudoVLOXEI16_V_MF2_M1_TU, VLOXEI16_V }, // 2733
  { PseudoVLOXEI16_V_MF2_M2, VLOXEI16_V }, // 2734
  { PseudoVLOXEI16_V_MF2_M2_MASK, VLOXEI16_V }, // 2735
  { PseudoVLOXEI16_V_MF2_M2_TU, VLOXEI16_V }, // 2736
  { PseudoVLOXEI16_V_MF2_MF2, VLOXEI16_V }, // 2737
  { PseudoVLOXEI16_V_MF2_MF2_MASK, VLOXEI16_V }, // 2738
  { PseudoVLOXEI16_V_MF2_MF2_TU, VLOXEI16_V }, // 2739
  { PseudoVLOXEI16_V_MF2_MF4, VLOXEI16_V }, // 2740
  { PseudoVLOXEI16_V_MF2_MF4_MASK, VLOXEI16_V }, // 2741
  { PseudoVLOXEI16_V_MF2_MF4_TU, VLOXEI16_V }, // 2742
  { PseudoVLOXEI16_V_MF4_M1, VLOXEI16_V }, // 2743
  { PseudoVLOXEI16_V_MF4_M1_MASK, VLOXEI16_V }, // 2744
  { PseudoVLOXEI16_V_MF4_M1_TU, VLOXEI16_V }, // 2745
  { PseudoVLOXEI16_V_MF4_MF2, VLOXEI16_V }, // 2746
  { PseudoVLOXEI16_V_MF4_MF2_MASK, VLOXEI16_V }, // 2747
  { PseudoVLOXEI16_V_MF4_MF2_TU, VLOXEI16_V }, // 2748
  { PseudoVLOXEI16_V_MF4_MF4, VLOXEI16_V }, // 2749
  { PseudoVLOXEI16_V_MF4_MF4_MASK, VLOXEI16_V }, // 2750
  { PseudoVLOXEI16_V_MF4_MF4_TU, VLOXEI16_V }, // 2751
  { PseudoVLOXEI16_V_MF4_MF8, VLOXEI16_V }, // 2752
  { PseudoVLOXEI16_V_MF4_MF8_MASK, VLOXEI16_V }, // 2753
  { PseudoVLOXEI16_V_MF4_MF8_TU, VLOXEI16_V }, // 2754
  { PseudoVLOXEI32_V_M1_M1, VLOXEI32_V }, // 2755
  { PseudoVLOXEI32_V_M1_M1_MASK, VLOXEI32_V }, // 2756
  { PseudoVLOXEI32_V_M1_M1_TU, VLOXEI32_V }, // 2757
  { PseudoVLOXEI32_V_M1_M2, VLOXEI32_V }, // 2758
  { PseudoVLOXEI32_V_M1_M2_MASK, VLOXEI32_V }, // 2759
  { PseudoVLOXEI32_V_M1_M2_TU, VLOXEI32_V }, // 2760
  { PseudoVLOXEI32_V_M1_MF2, VLOXEI32_V }, // 2761
  { PseudoVLOXEI32_V_M1_MF2_MASK, VLOXEI32_V }, // 2762
  { PseudoVLOXEI32_V_M1_MF2_TU, VLOXEI32_V }, // 2763
  { PseudoVLOXEI32_V_M1_MF4, VLOXEI32_V }, // 2764
  { PseudoVLOXEI32_V_M1_MF4_MASK, VLOXEI32_V }, // 2765
  { PseudoVLOXEI32_V_M1_MF4_TU, VLOXEI32_V }, // 2766
  { PseudoVLOXEI32_V_M2_M1, VLOXEI32_V }, // 2767
  { PseudoVLOXEI32_V_M2_M1_MASK, VLOXEI32_V }, // 2768
  { PseudoVLOXEI32_V_M2_M1_TU, VLOXEI32_V }, // 2769
  { PseudoVLOXEI32_V_M2_M2, VLOXEI32_V }, // 2770
  { PseudoVLOXEI32_V_M2_M2_MASK, VLOXEI32_V }, // 2771
  { PseudoVLOXEI32_V_M2_M2_TU, VLOXEI32_V }, // 2772
  { PseudoVLOXEI32_V_M2_M4, VLOXEI32_V }, // 2773
  { PseudoVLOXEI32_V_M2_M4_MASK, VLOXEI32_V }, // 2774
  { PseudoVLOXEI32_V_M2_M4_TU, VLOXEI32_V }, // 2775
  { PseudoVLOXEI32_V_M2_MF2, VLOXEI32_V }, // 2776
  { PseudoVLOXEI32_V_M2_MF2_MASK, VLOXEI32_V }, // 2777
  { PseudoVLOXEI32_V_M2_MF2_TU, VLOXEI32_V }, // 2778
  { PseudoVLOXEI32_V_M4_M1, VLOXEI32_V }, // 2779
  { PseudoVLOXEI32_V_M4_M1_MASK, VLOXEI32_V }, // 2780
  { PseudoVLOXEI32_V_M4_M1_TU, VLOXEI32_V }, // 2781
  { PseudoVLOXEI32_V_M4_M2, VLOXEI32_V }, // 2782
  { PseudoVLOXEI32_V_M4_M2_MASK, VLOXEI32_V }, // 2783
  { PseudoVLOXEI32_V_M4_M2_TU, VLOXEI32_V }, // 2784
  { PseudoVLOXEI32_V_M4_M4, VLOXEI32_V }, // 2785
  { PseudoVLOXEI32_V_M4_M4_MASK, VLOXEI32_V }, // 2786
  { PseudoVLOXEI32_V_M4_M4_TU, VLOXEI32_V }, // 2787
  { PseudoVLOXEI32_V_M4_M8, VLOXEI32_V }, // 2788
  { PseudoVLOXEI32_V_M4_M8_MASK, VLOXEI32_V }, // 2789
  { PseudoVLOXEI32_V_M4_M8_TU, VLOXEI32_V }, // 2790
  { PseudoVLOXEI32_V_M8_M2, VLOXEI32_V }, // 2791
  { PseudoVLOXEI32_V_M8_M2_MASK, VLOXEI32_V }, // 2792
  { PseudoVLOXEI32_V_M8_M2_TU, VLOXEI32_V }, // 2793
  { PseudoVLOXEI32_V_M8_M4, VLOXEI32_V }, // 2794
  { PseudoVLOXEI32_V_M8_M4_MASK, VLOXEI32_V }, // 2795
  { PseudoVLOXEI32_V_M8_M4_TU, VLOXEI32_V }, // 2796
  { PseudoVLOXEI32_V_M8_M8, VLOXEI32_V }, // 2797
  { PseudoVLOXEI32_V_M8_M8_MASK, VLOXEI32_V }, // 2798
  { PseudoVLOXEI32_V_M8_M8_TU, VLOXEI32_V }, // 2799
  { PseudoVLOXEI32_V_MF2_M1, VLOXEI32_V }, // 2800
  { PseudoVLOXEI32_V_MF2_M1_MASK, VLOXEI32_V }, // 2801
  { PseudoVLOXEI32_V_MF2_M1_TU, VLOXEI32_V }, // 2802
  { PseudoVLOXEI32_V_MF2_MF2, VLOXEI32_V }, // 2803
  { PseudoVLOXEI32_V_MF2_MF2_MASK, VLOXEI32_V }, // 2804
  { PseudoVLOXEI32_V_MF2_MF2_TU, VLOXEI32_V }, // 2805
  { PseudoVLOXEI32_V_MF2_MF4, VLOXEI32_V }, // 2806
  { PseudoVLOXEI32_V_MF2_MF4_MASK, VLOXEI32_V }, // 2807
  { PseudoVLOXEI32_V_MF2_MF4_TU, VLOXEI32_V }, // 2808
  { PseudoVLOXEI32_V_MF2_MF8, VLOXEI32_V }, // 2809
  { PseudoVLOXEI32_V_MF2_MF8_MASK, VLOXEI32_V }, // 2810
  { PseudoVLOXEI32_V_MF2_MF8_TU, VLOXEI32_V }, // 2811
  { PseudoVLOXEI64_V_M1_M1, VLOXEI64_V }, // 2812
  { PseudoVLOXEI64_V_M1_M1_MASK, VLOXEI64_V }, // 2813
  { PseudoVLOXEI64_V_M1_M1_TU, VLOXEI64_V }, // 2814
  { PseudoVLOXEI64_V_M1_MF2, VLOXEI64_V }, // 2815
  { PseudoVLOXEI64_V_M1_MF2_MASK, VLOXEI64_V }, // 2816
  { PseudoVLOXEI64_V_M1_MF2_TU, VLOXEI64_V }, // 2817
  { PseudoVLOXEI64_V_M1_MF4, VLOXEI64_V }, // 2818
  { PseudoVLOXEI64_V_M1_MF4_MASK, VLOXEI64_V }, // 2819
  { PseudoVLOXEI64_V_M1_MF4_TU, VLOXEI64_V }, // 2820
  { PseudoVLOXEI64_V_M1_MF8, VLOXEI64_V }, // 2821
  { PseudoVLOXEI64_V_M1_MF8_MASK, VLOXEI64_V }, // 2822
  { PseudoVLOXEI64_V_M1_MF8_TU, VLOXEI64_V }, // 2823
  { PseudoVLOXEI64_V_M2_M1, VLOXEI64_V }, // 2824
  { PseudoVLOXEI64_V_M2_M1_MASK, VLOXEI64_V }, // 2825
  { PseudoVLOXEI64_V_M2_M1_TU, VLOXEI64_V }, // 2826
  { PseudoVLOXEI64_V_M2_M2, VLOXEI64_V }, // 2827
  { PseudoVLOXEI64_V_M2_M2_MASK, VLOXEI64_V }, // 2828
  { PseudoVLOXEI64_V_M2_M2_TU, VLOXEI64_V }, // 2829
  { PseudoVLOXEI64_V_M2_MF2, VLOXEI64_V }, // 2830
  { PseudoVLOXEI64_V_M2_MF2_MASK, VLOXEI64_V }, // 2831
  { PseudoVLOXEI64_V_M2_MF2_TU, VLOXEI64_V }, // 2832
  { PseudoVLOXEI64_V_M2_MF4, VLOXEI64_V }, // 2833
  { PseudoVLOXEI64_V_M2_MF4_MASK, VLOXEI64_V }, // 2834
  { PseudoVLOXEI64_V_M2_MF4_TU, VLOXEI64_V }, // 2835
  { PseudoVLOXEI64_V_M4_M1, VLOXEI64_V }, // 2836
  { PseudoVLOXEI64_V_M4_M1_MASK, VLOXEI64_V }, // 2837
  { PseudoVLOXEI64_V_M4_M1_TU, VLOXEI64_V }, // 2838
  { PseudoVLOXEI64_V_M4_M2, VLOXEI64_V }, // 2839
  { PseudoVLOXEI64_V_M4_M2_MASK, VLOXEI64_V }, // 2840
  { PseudoVLOXEI64_V_M4_M2_TU, VLOXEI64_V }, // 2841
  { PseudoVLOXEI64_V_M4_M4, VLOXEI64_V }, // 2842
  { PseudoVLOXEI64_V_M4_M4_MASK, VLOXEI64_V }, // 2843
  { PseudoVLOXEI64_V_M4_M4_TU, VLOXEI64_V }, // 2844
  { PseudoVLOXEI64_V_M4_MF2, VLOXEI64_V }, // 2845
  { PseudoVLOXEI64_V_M4_MF2_MASK, VLOXEI64_V }, // 2846
  { PseudoVLOXEI64_V_M4_MF2_TU, VLOXEI64_V }, // 2847
  { PseudoVLOXEI64_V_M8_M1, VLOXEI64_V }, // 2848
  { PseudoVLOXEI64_V_M8_M1_MASK, VLOXEI64_V }, // 2849
  { PseudoVLOXEI64_V_M8_M1_TU, VLOXEI64_V }, // 2850
  { PseudoVLOXEI64_V_M8_M2, VLOXEI64_V }, // 2851
  { PseudoVLOXEI64_V_M8_M2_MASK, VLOXEI64_V }, // 2852
  { PseudoVLOXEI64_V_M8_M2_TU, VLOXEI64_V }, // 2853
  { PseudoVLOXEI64_V_M8_M4, VLOXEI64_V }, // 2854
  { PseudoVLOXEI64_V_M8_M4_MASK, VLOXEI64_V }, // 2855
  { PseudoVLOXEI64_V_M8_M4_TU, VLOXEI64_V }, // 2856
  { PseudoVLOXEI64_V_M8_M8, VLOXEI64_V }, // 2857
  { PseudoVLOXEI64_V_M8_M8_MASK, VLOXEI64_V }, // 2858
  { PseudoVLOXEI64_V_M8_M8_TU, VLOXEI64_V }, // 2859
  { PseudoVLOXEI8_V_M1_M1, VLOXEI8_V }, // 2860
  { PseudoVLOXEI8_V_M1_M1_MASK, VLOXEI8_V }, // 2861
  { PseudoVLOXEI8_V_M1_M1_TU, VLOXEI8_V }, // 2862
  { PseudoVLOXEI8_V_M1_M2, VLOXEI8_V }, // 2863
  { PseudoVLOXEI8_V_M1_M2_MASK, VLOXEI8_V }, // 2864
  { PseudoVLOXEI8_V_M1_M2_TU, VLOXEI8_V }, // 2865
  { PseudoVLOXEI8_V_M1_M4, VLOXEI8_V }, // 2866
  { PseudoVLOXEI8_V_M1_M4_MASK, VLOXEI8_V }, // 2867
  { PseudoVLOXEI8_V_M1_M4_TU, VLOXEI8_V }, // 2868
  { PseudoVLOXEI8_V_M1_M8, VLOXEI8_V }, // 2869
  { PseudoVLOXEI8_V_M1_M8_MASK, VLOXEI8_V }, // 2870
  { PseudoVLOXEI8_V_M1_M8_TU, VLOXEI8_V }, // 2871
  { PseudoVLOXEI8_V_M2_M2, VLOXEI8_V }, // 2872
  { PseudoVLOXEI8_V_M2_M2_MASK, VLOXEI8_V }, // 2873
  { PseudoVLOXEI8_V_M2_M2_TU, VLOXEI8_V }, // 2874
  { PseudoVLOXEI8_V_M2_M4, VLOXEI8_V }, // 2875
  { PseudoVLOXEI8_V_M2_M4_MASK, VLOXEI8_V }, // 2876
  { PseudoVLOXEI8_V_M2_M4_TU, VLOXEI8_V }, // 2877
  { PseudoVLOXEI8_V_M2_M8, VLOXEI8_V }, // 2878
  { PseudoVLOXEI8_V_M2_M8_MASK, VLOXEI8_V }, // 2879
  { PseudoVLOXEI8_V_M2_M8_TU, VLOXEI8_V }, // 2880
  { PseudoVLOXEI8_V_M4_M4, VLOXEI8_V }, // 2881
  { PseudoVLOXEI8_V_M4_M4_MASK, VLOXEI8_V }, // 2882
  { PseudoVLOXEI8_V_M4_M4_TU, VLOXEI8_V }, // 2883
  { PseudoVLOXEI8_V_M4_M8, VLOXEI8_V }, // 2884
  { PseudoVLOXEI8_V_M4_M8_MASK, VLOXEI8_V }, // 2885
  { PseudoVLOXEI8_V_M4_M8_TU, VLOXEI8_V }, // 2886
  { PseudoVLOXEI8_V_M8_M8, VLOXEI8_V }, // 2887
  { PseudoVLOXEI8_V_M8_M8_MASK, VLOXEI8_V }, // 2888
  { PseudoVLOXEI8_V_M8_M8_TU, VLOXEI8_V }, // 2889
  { PseudoVLOXEI8_V_MF2_M1, VLOXEI8_V }, // 2890
  { PseudoVLOXEI8_V_MF2_M1_MASK, VLOXEI8_V }, // 2891
  { PseudoVLOXEI8_V_MF2_M1_TU, VLOXEI8_V }, // 2892
  { PseudoVLOXEI8_V_MF2_M2, VLOXEI8_V }, // 2893
  { PseudoVLOXEI8_V_MF2_M2_MASK, VLOXEI8_V }, // 2894
  { PseudoVLOXEI8_V_MF2_M2_TU, VLOXEI8_V }, // 2895
  { PseudoVLOXEI8_V_MF2_M4, VLOXEI8_V }, // 2896
  { PseudoVLOXEI8_V_MF2_M4_MASK, VLOXEI8_V }, // 2897
  { PseudoVLOXEI8_V_MF2_M4_TU, VLOXEI8_V }, // 2898
  { PseudoVLOXEI8_V_MF2_MF2, VLOXEI8_V }, // 2899
  { PseudoVLOXEI8_V_MF2_MF2_MASK, VLOXEI8_V }, // 2900
  { PseudoVLOXEI8_V_MF2_MF2_TU, VLOXEI8_V }, // 2901
  { PseudoVLOXEI8_V_MF4_M1, VLOXEI8_V }, // 2902
  { PseudoVLOXEI8_V_MF4_M1_MASK, VLOXEI8_V }, // 2903
  { PseudoVLOXEI8_V_MF4_M1_TU, VLOXEI8_V }, // 2904
  { PseudoVLOXEI8_V_MF4_M2, VLOXEI8_V }, // 2905
  { PseudoVLOXEI8_V_MF4_M2_MASK, VLOXEI8_V }, // 2906
  { PseudoVLOXEI8_V_MF4_M2_TU, VLOXEI8_V }, // 2907
  { PseudoVLOXEI8_V_MF4_MF2, VLOXEI8_V }, // 2908
  { PseudoVLOXEI8_V_MF4_MF2_MASK, VLOXEI8_V }, // 2909
  { PseudoVLOXEI8_V_MF4_MF2_TU, VLOXEI8_V }, // 2910
  { PseudoVLOXEI8_V_MF4_MF4, VLOXEI8_V }, // 2911
  { PseudoVLOXEI8_V_MF4_MF4_MASK, VLOXEI8_V }, // 2912
  { PseudoVLOXEI8_V_MF4_MF4_TU, VLOXEI8_V }, // 2913
  { PseudoVLOXEI8_V_MF8_M1, VLOXEI8_V }, // 2914
  { PseudoVLOXEI8_V_MF8_M1_MASK, VLOXEI8_V }, // 2915
  { PseudoVLOXEI8_V_MF8_M1_TU, VLOXEI8_V }, // 2916
  { PseudoVLOXEI8_V_MF8_MF2, VLOXEI8_V }, // 2917
  { PseudoVLOXEI8_V_MF8_MF2_MASK, VLOXEI8_V }, // 2918
  { PseudoVLOXEI8_V_MF8_MF2_TU, VLOXEI8_V }, // 2919
  { PseudoVLOXEI8_V_MF8_MF4, VLOXEI8_V }, // 2920
  { PseudoVLOXEI8_V_MF8_MF4_MASK, VLOXEI8_V }, // 2921
  { PseudoVLOXEI8_V_MF8_MF4_TU, VLOXEI8_V }, // 2922
  { PseudoVLOXEI8_V_MF8_MF8, VLOXEI8_V }, // 2923
  { PseudoVLOXEI8_V_MF8_MF8_MASK, VLOXEI8_V }, // 2924
  { PseudoVLOXEI8_V_MF8_MF8_TU, VLOXEI8_V }, // 2925
  { PseudoVLOXSEG2EI16_V_M1_M1, VLOXSEG2EI16_V }, // 2926
  { PseudoVLOXSEG2EI16_V_M1_M1_MASK, VLOXSEG2EI16_V }, // 2927
  { PseudoVLOXSEG2EI16_V_M1_M1_TU, VLOXSEG2EI16_V }, // 2928
  { PseudoVLOXSEG2EI16_V_M1_M2, VLOXSEG2EI16_V }, // 2929
  { PseudoVLOXSEG2EI16_V_M1_M2_MASK, VLOXSEG2EI16_V }, // 2930
  { PseudoVLOXSEG2EI16_V_M1_M2_TU, VLOXSEG2EI16_V }, // 2931
  { PseudoVLOXSEG2EI16_V_M1_M4, VLOXSEG2EI16_V }, // 2932
  { PseudoVLOXSEG2EI16_V_M1_M4_MASK, VLOXSEG2EI16_V }, // 2933
  { PseudoVLOXSEG2EI16_V_M1_M4_TU, VLOXSEG2EI16_V }, // 2934
  { PseudoVLOXSEG2EI16_V_M1_MF2, VLOXSEG2EI16_V }, // 2935
  { PseudoVLOXSEG2EI16_V_M1_MF2_MASK, VLOXSEG2EI16_V }, // 2936
  { PseudoVLOXSEG2EI16_V_M1_MF2_TU, VLOXSEG2EI16_V }, // 2937
  { PseudoVLOXSEG2EI16_V_M2_M1, VLOXSEG2EI16_V }, // 2938
  { PseudoVLOXSEG2EI16_V_M2_M1_MASK, VLOXSEG2EI16_V }, // 2939
  { PseudoVLOXSEG2EI16_V_M2_M1_TU, VLOXSEG2EI16_V }, // 2940
  { PseudoVLOXSEG2EI16_V_M2_M2, VLOXSEG2EI16_V }, // 2941
  { PseudoVLOXSEG2EI16_V_M2_M2_MASK, VLOXSEG2EI16_V }, // 2942
  { PseudoVLOXSEG2EI16_V_M2_M2_TU, VLOXSEG2EI16_V }, // 2943
  { PseudoVLOXSEG2EI16_V_M2_M4, VLOXSEG2EI16_V }, // 2944
  { PseudoVLOXSEG2EI16_V_M2_M4_MASK, VLOXSEG2EI16_V }, // 2945
  { PseudoVLOXSEG2EI16_V_M2_M4_TU, VLOXSEG2EI16_V }, // 2946
  { PseudoVLOXSEG2EI16_V_M4_M2, VLOXSEG2EI16_V }, // 2947
  { PseudoVLOXSEG2EI16_V_M4_M2_MASK, VLOXSEG2EI16_V }, // 2948
  { PseudoVLOXSEG2EI16_V_M4_M2_TU, VLOXSEG2EI16_V }, // 2949
  { PseudoVLOXSEG2EI16_V_M4_M4, VLOXSEG2EI16_V }, // 2950
  { PseudoVLOXSEG2EI16_V_M4_M4_MASK, VLOXSEG2EI16_V }, // 2951
  { PseudoVLOXSEG2EI16_V_M4_M4_TU, VLOXSEG2EI16_V }, // 2952
  { PseudoVLOXSEG2EI16_V_M8_M4, VLOXSEG2EI16_V }, // 2953
  { PseudoVLOXSEG2EI16_V_M8_M4_MASK, VLOXSEG2EI16_V }, // 2954
  { PseudoVLOXSEG2EI16_V_M8_M4_TU, VLOXSEG2EI16_V }, // 2955
  { PseudoVLOXSEG2EI16_V_MF2_M1, VLOXSEG2EI16_V }, // 2956
  { PseudoVLOXSEG2EI16_V_MF2_M1_MASK, VLOXSEG2EI16_V }, // 2957
  { PseudoVLOXSEG2EI16_V_MF2_M1_TU, VLOXSEG2EI16_V }, // 2958
  { PseudoVLOXSEG2EI16_V_MF2_M2, VLOXSEG2EI16_V }, // 2959
  { PseudoVLOXSEG2EI16_V_MF2_M2_MASK, VLOXSEG2EI16_V }, // 2960
  { PseudoVLOXSEG2EI16_V_MF2_M2_TU, VLOXSEG2EI16_V }, // 2961
  { PseudoVLOXSEG2EI16_V_MF2_MF2, VLOXSEG2EI16_V }, // 2962
  { PseudoVLOXSEG2EI16_V_MF2_MF2_MASK, VLOXSEG2EI16_V }, // 2963
  { PseudoVLOXSEG2EI16_V_MF2_MF2_TU, VLOXSEG2EI16_V }, // 2964
  { PseudoVLOXSEG2EI16_V_MF2_MF4, VLOXSEG2EI16_V }, // 2965
  { PseudoVLOXSEG2EI16_V_MF2_MF4_MASK, VLOXSEG2EI16_V }, // 2966
  { PseudoVLOXSEG2EI16_V_MF2_MF4_TU, VLOXSEG2EI16_V }, // 2967
  { PseudoVLOXSEG2EI16_V_MF4_M1, VLOXSEG2EI16_V }, // 2968
  { PseudoVLOXSEG2EI16_V_MF4_M1_MASK, VLOXSEG2EI16_V }, // 2969
  { PseudoVLOXSEG2EI16_V_MF4_M1_TU, VLOXSEG2EI16_V }, // 2970
  { PseudoVLOXSEG2EI16_V_MF4_MF2, VLOXSEG2EI16_V }, // 2971
  { PseudoVLOXSEG2EI16_V_MF4_MF2_MASK, VLOXSEG2EI16_V }, // 2972
  { PseudoVLOXSEG2EI16_V_MF4_MF2_TU, VLOXSEG2EI16_V }, // 2973
  { PseudoVLOXSEG2EI16_V_MF4_MF4, VLOXSEG2EI16_V }, // 2974
  { PseudoVLOXSEG2EI16_V_MF4_MF4_MASK, VLOXSEG2EI16_V }, // 2975
  { PseudoVLOXSEG2EI16_V_MF4_MF4_TU, VLOXSEG2EI16_V }, // 2976
  { PseudoVLOXSEG2EI16_V_MF4_MF8, VLOXSEG2EI16_V }, // 2977
  { PseudoVLOXSEG2EI16_V_MF4_MF8_MASK, VLOXSEG2EI16_V }, // 2978
  { PseudoVLOXSEG2EI16_V_MF4_MF8_TU, VLOXSEG2EI16_V }, // 2979
  { PseudoVLOXSEG2EI32_V_M1_M1, VLOXSEG2EI32_V }, // 2980
  { PseudoVLOXSEG2EI32_V_M1_M1_MASK, VLOXSEG2EI32_V }, // 2981
  { PseudoVLOXSEG2EI32_V_M1_M1_TU, VLOXSEG2EI32_V }, // 2982
  { PseudoVLOXSEG2EI32_V_M1_M2, VLOXSEG2EI32_V }, // 2983
  { PseudoVLOXSEG2EI32_V_M1_M2_MASK, VLOXSEG2EI32_V }, // 2984
  { PseudoVLOXSEG2EI32_V_M1_M2_TU, VLOXSEG2EI32_V }, // 2985
  { PseudoVLOXSEG2EI32_V_M1_MF2, VLOXSEG2EI32_V }, // 2986
  { PseudoVLOXSEG2EI32_V_M1_MF2_MASK, VLOXSEG2EI32_V }, // 2987
  { PseudoVLOXSEG2EI32_V_M1_MF2_TU, VLOXSEG2EI32_V }, // 2988
  { PseudoVLOXSEG2EI32_V_M1_MF4, VLOXSEG2EI32_V }, // 2989
  { PseudoVLOXSEG2EI32_V_M1_MF4_MASK, VLOXSEG2EI32_V }, // 2990
  { PseudoVLOXSEG2EI32_V_M1_MF4_TU, VLOXSEG2EI32_V }, // 2991
  { PseudoVLOXSEG2EI32_V_M2_M1, VLOXSEG2EI32_V }, // 2992
  { PseudoVLOXSEG2EI32_V_M2_M1_MASK, VLOXSEG2EI32_V }, // 2993
  { PseudoVLOXSEG2EI32_V_M2_M1_TU, VLOXSEG2EI32_V }, // 2994
  { PseudoVLOXSEG2EI32_V_M2_M2, VLOXSEG2EI32_V }, // 2995
  { PseudoVLOXSEG2EI32_V_M2_M2_MASK, VLOXSEG2EI32_V }, // 2996
  { PseudoVLOXSEG2EI32_V_M2_M2_TU, VLOXSEG2EI32_V }, // 2997
  { PseudoVLOXSEG2EI32_V_M2_M4, VLOXSEG2EI32_V }, // 2998
  { PseudoVLOXSEG2EI32_V_M2_M4_MASK, VLOXSEG2EI32_V }, // 2999
  { PseudoVLOXSEG2EI32_V_M2_M4_TU, VLOXSEG2EI32_V }, // 3000
  { PseudoVLOXSEG2EI32_V_M2_MF2, VLOXSEG2EI32_V }, // 3001
  { PseudoVLOXSEG2EI32_V_M2_MF2_MASK, VLOXSEG2EI32_V }, // 3002
  { PseudoVLOXSEG2EI32_V_M2_MF2_TU, VLOXSEG2EI32_V }, // 3003
  { PseudoVLOXSEG2EI32_V_M4_M1, VLOXSEG2EI32_V }, // 3004
  { PseudoVLOXSEG2EI32_V_M4_M1_MASK, VLOXSEG2EI32_V }, // 3005
  { PseudoVLOXSEG2EI32_V_M4_M1_TU, VLOXSEG2EI32_V }, // 3006
  { PseudoVLOXSEG2EI32_V_M4_M2, VLOXSEG2EI32_V }, // 3007
  { PseudoVLOXSEG2EI32_V_M4_M2_MASK, VLOXSEG2EI32_V }, // 3008
  { PseudoVLOXSEG2EI32_V_M4_M2_TU, VLOXSEG2EI32_V }, // 3009
  { PseudoVLOXSEG2EI32_V_M4_M4, VLOXSEG2EI32_V }, // 3010
  { PseudoVLOXSEG2EI32_V_M4_M4_MASK, VLOXSEG2EI32_V }, // 3011
  { PseudoVLOXSEG2EI32_V_M4_M4_TU, VLOXSEG2EI32_V }, // 3012
  { PseudoVLOXSEG2EI32_V_M8_M2, VLOXSEG2EI32_V }, // 3013
  { PseudoVLOXSEG2EI32_V_M8_M2_MASK, VLOXSEG2EI32_V }, // 3014
  { PseudoVLOXSEG2EI32_V_M8_M2_TU, VLOXSEG2EI32_V }, // 3015
  { PseudoVLOXSEG2EI32_V_M8_M4, VLOXSEG2EI32_V }, // 3016
  { PseudoVLOXSEG2EI32_V_M8_M4_MASK, VLOXSEG2EI32_V }, // 3017
  { PseudoVLOXSEG2EI32_V_M8_M4_TU, VLOXSEG2EI32_V }, // 3018
  { PseudoVLOXSEG2EI32_V_MF2_M1, VLOXSEG2EI32_V }, // 3019
  { PseudoVLOXSEG2EI32_V_MF2_M1_MASK, VLOXSEG2EI32_V }, // 3020
  { PseudoVLOXSEG2EI32_V_MF2_M1_TU, VLOXSEG2EI32_V }, // 3021
  { PseudoVLOXSEG2EI32_V_MF2_MF2, VLOXSEG2EI32_V }, // 3022
  { PseudoVLOXSEG2EI32_V_MF2_MF2_MASK, VLOXSEG2EI32_V }, // 3023
  { PseudoVLOXSEG2EI32_V_MF2_MF2_TU, VLOXSEG2EI32_V }, // 3024
  { PseudoVLOXSEG2EI32_V_MF2_MF4, VLOXSEG2EI32_V }, // 3025
  { PseudoVLOXSEG2EI32_V_MF2_MF4_MASK, VLOXSEG2EI32_V }, // 3026
  { PseudoVLOXSEG2EI32_V_MF2_MF4_TU, VLOXSEG2EI32_V }, // 3027
  { PseudoVLOXSEG2EI32_V_MF2_MF8, VLOXSEG2EI32_V }, // 3028
  { PseudoVLOXSEG2EI32_V_MF2_MF8_MASK, VLOXSEG2EI32_V }, // 3029
  { PseudoVLOXSEG2EI32_V_MF2_MF8_TU, VLOXSEG2EI32_V }, // 3030
  { PseudoVLOXSEG2EI64_V_M1_M1, VLOXSEG2EI64_V }, // 3031
  { PseudoVLOXSEG2EI64_V_M1_M1_MASK, VLOXSEG2EI64_V }, // 3032
  { PseudoVLOXSEG2EI64_V_M1_M1_TU, VLOXSEG2EI64_V }, // 3033
  { PseudoVLOXSEG2EI64_V_M1_MF2, VLOXSEG2EI64_V }, // 3034
  { PseudoVLOXSEG2EI64_V_M1_MF2_MASK, VLOXSEG2EI64_V }, // 3035
  { PseudoVLOXSEG2EI64_V_M1_MF2_TU, VLOXSEG2EI64_V }, // 3036
  { PseudoVLOXSEG2EI64_V_M1_MF4, VLOXSEG2EI64_V }, // 3037
  { PseudoVLOXSEG2EI64_V_M1_MF4_MASK, VLOXSEG2EI64_V }, // 3038
  { PseudoVLOXSEG2EI64_V_M1_MF4_TU, VLOXSEG2EI64_V }, // 3039
  { PseudoVLOXSEG2EI64_V_M1_MF8, VLOXSEG2EI64_V }, // 3040
  { PseudoVLOXSEG2EI64_V_M1_MF8_MASK, VLOXSEG2EI64_V }, // 3041
  { PseudoVLOXSEG2EI64_V_M1_MF8_TU, VLOXSEG2EI64_V }, // 3042
  { PseudoVLOXSEG2EI64_V_M2_M1, VLOXSEG2EI64_V }, // 3043
  { PseudoVLOXSEG2EI64_V_M2_M1_MASK, VLOXSEG2EI64_V }, // 3044
  { PseudoVLOXSEG2EI64_V_M2_M1_TU, VLOXSEG2EI64_V }, // 3045
  { PseudoVLOXSEG2EI64_V_M2_M2, VLOXSEG2EI64_V }, // 3046
  { PseudoVLOXSEG2EI64_V_M2_M2_MASK, VLOXSEG2EI64_V }, // 3047
  { PseudoVLOXSEG2EI64_V_M2_M2_TU, VLOXSEG2EI64_V }, // 3048
  { PseudoVLOXSEG2EI64_V_M2_MF2, VLOXSEG2EI64_V }, // 3049
  { PseudoVLOXSEG2EI64_V_M2_MF2_MASK, VLOXSEG2EI64_V }, // 3050
  { PseudoVLOXSEG2EI64_V_M2_MF2_TU, VLOXSEG2EI64_V }, // 3051
  { PseudoVLOXSEG2EI64_V_M2_MF4, VLOXSEG2EI64_V }, // 3052
  { PseudoVLOXSEG2EI64_V_M2_MF4_MASK, VLOXSEG2EI64_V }, // 3053
  { PseudoVLOXSEG2EI64_V_M2_MF4_TU, VLOXSEG2EI64_V }, // 3054
  { PseudoVLOXSEG2EI64_V_M4_M1, VLOXSEG2EI64_V }, // 3055
  { PseudoVLOXSEG2EI64_V_M4_M1_MASK, VLOXSEG2EI64_V }, // 3056
  { PseudoVLOXSEG2EI64_V_M4_M1_TU, VLOXSEG2EI64_V }, // 3057
  { PseudoVLOXSEG2EI64_V_M4_M2, VLOXSEG2EI64_V }, // 3058
  { PseudoVLOXSEG2EI64_V_M4_M2_MASK, VLOXSEG2EI64_V }, // 3059
  { PseudoVLOXSEG2EI64_V_M4_M2_TU, VLOXSEG2EI64_V }, // 3060
  { PseudoVLOXSEG2EI64_V_M4_M4, VLOXSEG2EI64_V }, // 3061
  { PseudoVLOXSEG2EI64_V_M4_M4_MASK, VLOXSEG2EI64_V }, // 3062
  { PseudoVLOXSEG2EI64_V_M4_M4_TU, VLOXSEG2EI64_V }, // 3063
  { PseudoVLOXSEG2EI64_V_M4_MF2, VLOXSEG2EI64_V }, // 3064
  { PseudoVLOXSEG2EI64_V_M4_MF2_MASK, VLOXSEG2EI64_V }, // 3065
  { PseudoVLOXSEG2EI64_V_M4_MF2_TU, VLOXSEG2EI64_V }, // 3066
  { PseudoVLOXSEG2EI64_V_M8_M1, VLOXSEG2EI64_V }, // 3067
  { PseudoVLOXSEG2EI64_V_M8_M1_MASK, VLOXSEG2EI64_V }, // 3068
  { PseudoVLOXSEG2EI64_V_M8_M1_TU, VLOXSEG2EI64_V }, // 3069
  { PseudoVLOXSEG2EI64_V_M8_M2, VLOXSEG2EI64_V }, // 3070
  { PseudoVLOXSEG2EI64_V_M8_M2_MASK, VLOXSEG2EI64_V }, // 3071
  { PseudoVLOXSEG2EI64_V_M8_M2_TU, VLOXSEG2EI64_V }, // 3072
  { PseudoVLOXSEG2EI64_V_M8_M4, VLOXSEG2EI64_V }, // 3073
  { PseudoVLOXSEG2EI64_V_M8_M4_MASK, VLOXSEG2EI64_V }, // 3074
  { PseudoVLOXSEG2EI64_V_M8_M4_TU, VLOXSEG2EI64_V }, // 3075
  { PseudoVLOXSEG2EI8_V_M1_M1, VLOXSEG2EI8_V }, // 3076
  { PseudoVLOXSEG2EI8_V_M1_M1_MASK, VLOXSEG2EI8_V }, // 3077
  { PseudoVLOXSEG2EI8_V_M1_M1_TU, VLOXSEG2EI8_V }, // 3078
  { PseudoVLOXSEG2EI8_V_M1_M2, VLOXSEG2EI8_V }, // 3079
  { PseudoVLOXSEG2EI8_V_M1_M2_MASK, VLOXSEG2EI8_V }, // 3080
  { PseudoVLOXSEG2EI8_V_M1_M2_TU, VLOXSEG2EI8_V }, // 3081
  { PseudoVLOXSEG2EI8_V_M1_M4, VLOXSEG2EI8_V }, // 3082
  { PseudoVLOXSEG2EI8_V_M1_M4_MASK, VLOXSEG2EI8_V }, // 3083
  { PseudoVLOXSEG2EI8_V_M1_M4_TU, VLOXSEG2EI8_V }, // 3084
  { PseudoVLOXSEG2EI8_V_M2_M2, VLOXSEG2EI8_V }, // 3085
  { PseudoVLOXSEG2EI8_V_M2_M2_MASK, VLOXSEG2EI8_V }, // 3086
  { PseudoVLOXSEG2EI8_V_M2_M2_TU, VLOXSEG2EI8_V }, // 3087
  { PseudoVLOXSEG2EI8_V_M2_M4, VLOXSEG2EI8_V }, // 3088
  { PseudoVLOXSEG2EI8_V_M2_M4_MASK, VLOXSEG2EI8_V }, // 3089
  { PseudoVLOXSEG2EI8_V_M2_M4_TU, VLOXSEG2EI8_V }, // 3090
  { PseudoVLOXSEG2EI8_V_M4_M4, VLOXSEG2EI8_V }, // 3091
  { PseudoVLOXSEG2EI8_V_M4_M4_MASK, VLOXSEG2EI8_V }, // 3092
  { PseudoVLOXSEG2EI8_V_M4_M4_TU, VLOXSEG2EI8_V }, // 3093
  { PseudoVLOXSEG2EI8_V_MF2_M1, VLOXSEG2EI8_V }, // 3094
  { PseudoVLOXSEG2EI8_V_MF2_M1_MASK, VLOXSEG2EI8_V }, // 3095
  { PseudoVLOXSEG2EI8_V_MF2_M1_TU, VLOXSEG2EI8_V }, // 3096
  { PseudoVLOXSEG2EI8_V_MF2_M2, VLOXSEG2EI8_V }, // 3097
  { PseudoVLOXSEG2EI8_V_MF2_M2_MASK, VLOXSEG2EI8_V }, // 3098
  { PseudoVLOXSEG2EI8_V_MF2_M2_TU, VLOXSEG2EI8_V }, // 3099
  { PseudoVLOXSEG2EI8_V_MF2_M4, VLOXSEG2EI8_V }, // 3100
  { PseudoVLOXSEG2EI8_V_MF2_M4_MASK, VLOXSEG2EI8_V }, // 3101
  { PseudoVLOXSEG2EI8_V_MF2_M4_TU, VLOXSEG2EI8_V }, // 3102
  { PseudoVLOXSEG2EI8_V_MF2_MF2, VLOXSEG2EI8_V }, // 3103
  { PseudoVLOXSEG2EI8_V_MF2_MF2_MASK, VLOXSEG2EI8_V }, // 3104
  { PseudoVLOXSEG2EI8_V_MF2_MF2_TU, VLOXSEG2EI8_V }, // 3105
  { PseudoVLOXSEG2EI8_V_MF4_M1, VLOXSEG2EI8_V }, // 3106
  { PseudoVLOXSEG2EI8_V_MF4_M1_MASK, VLOXSEG2EI8_V }, // 3107
  { PseudoVLOXSEG2EI8_V_MF4_M1_TU, VLOXSEG2EI8_V }, // 3108
  { PseudoVLOXSEG2EI8_V_MF4_M2, VLOXSEG2EI8_V }, // 3109
  { PseudoVLOXSEG2EI8_V_MF4_M2_MASK, VLOXSEG2EI8_V }, // 3110
  { PseudoVLOXSEG2EI8_V_MF4_M2_TU, VLOXSEG2EI8_V }, // 3111
  { PseudoVLOXSEG2EI8_V_MF4_MF2, VLOXSEG2EI8_V }, // 3112
  { PseudoVLOXSEG2EI8_V_MF4_MF2_MASK, VLOXSEG2EI8_V }, // 3113
  { PseudoVLOXSEG2EI8_V_MF4_MF2_TU, VLOXSEG2EI8_V }, // 3114
  { PseudoVLOXSEG2EI8_V_MF4_MF4, VLOXSEG2EI8_V }, // 3115
  { PseudoVLOXSEG2EI8_V_MF4_MF4_MASK, VLOXSEG2EI8_V }, // 3116
  { PseudoVLOXSEG2EI8_V_MF4_MF4_TU, VLOXSEG2EI8_V }, // 3117
  { PseudoVLOXSEG2EI8_V_MF8_M1, VLOXSEG2EI8_V }, // 3118
  { PseudoVLOXSEG2EI8_V_MF8_M1_MASK, VLOXSEG2EI8_V }, // 3119
  { PseudoVLOXSEG2EI8_V_MF8_M1_TU, VLOXSEG2EI8_V }, // 3120
  { PseudoVLOXSEG2EI8_V_MF8_MF2, VLOXSEG2EI8_V }, // 3121
  { PseudoVLOXSEG2EI8_V_MF8_MF2_MASK, VLOXSEG2EI8_V }, // 3122
  { PseudoVLOXSEG2EI8_V_MF8_MF2_TU, VLOXSEG2EI8_V }, // 3123
  { PseudoVLOXSEG2EI8_V_MF8_MF4, VLOXSEG2EI8_V }, // 3124
  { PseudoVLOXSEG2EI8_V_MF8_MF4_MASK, VLOXSEG2EI8_V }, // 3125
  { PseudoVLOXSEG2EI8_V_MF8_MF4_TU, VLOXSEG2EI8_V }, // 3126
  { PseudoVLOXSEG2EI8_V_MF8_MF8, VLOXSEG2EI8_V }, // 3127
  { PseudoVLOXSEG2EI8_V_MF8_MF8_MASK, VLOXSEG2EI8_V }, // 3128
  { PseudoVLOXSEG2EI8_V_MF8_MF8_TU, VLOXSEG2EI8_V }, // 3129
  { PseudoVLOXSEG3EI16_V_M1_M1, VLOXSEG3EI16_V }, // 3130
  { PseudoVLOXSEG3EI16_V_M1_M1_MASK, VLOXSEG3EI16_V }, // 3131
  { PseudoVLOXSEG3EI16_V_M1_M1_TU, VLOXSEG3EI16_V }, // 3132
  { PseudoVLOXSEG3EI16_V_M1_M2, VLOXSEG3EI16_V }, // 3133
  { PseudoVLOXSEG3EI16_V_M1_M2_MASK, VLOXSEG3EI16_V }, // 3134
  { PseudoVLOXSEG3EI16_V_M1_M2_TU, VLOXSEG3EI16_V }, // 3135
  { PseudoVLOXSEG3EI16_V_M1_MF2, VLOXSEG3EI16_V }, // 3136
  { PseudoVLOXSEG3EI16_V_M1_MF2_MASK, VLOXSEG3EI16_V }, // 3137
  { PseudoVLOXSEG3EI16_V_M1_MF2_TU, VLOXSEG3EI16_V }, // 3138
  { PseudoVLOXSEG3EI16_V_M2_M1, VLOXSEG3EI16_V }, // 3139
  { PseudoVLOXSEG3EI16_V_M2_M1_MASK, VLOXSEG3EI16_V }, // 3140
  { PseudoVLOXSEG3EI16_V_M2_M1_TU, VLOXSEG3EI16_V }, // 3141
  { PseudoVLOXSEG3EI16_V_M2_M2, VLOXSEG3EI16_V }, // 3142
  { PseudoVLOXSEG3EI16_V_M2_M2_MASK, VLOXSEG3EI16_V }, // 3143
  { PseudoVLOXSEG3EI16_V_M2_M2_TU, VLOXSEG3EI16_V }, // 3144
  { PseudoVLOXSEG3EI16_V_M4_M2, VLOXSEG3EI16_V }, // 3145
  { PseudoVLOXSEG3EI16_V_M4_M2_MASK, VLOXSEG3EI16_V }, // 3146
  { PseudoVLOXSEG3EI16_V_M4_M2_TU, VLOXSEG3EI16_V }, // 3147
  { PseudoVLOXSEG3EI16_V_MF2_M1, VLOXSEG3EI16_V }, // 3148
  { PseudoVLOXSEG3EI16_V_MF2_M1_MASK, VLOXSEG3EI16_V }, // 3149
  { PseudoVLOXSEG3EI16_V_MF2_M1_TU, VLOXSEG3EI16_V }, // 3150
  { PseudoVLOXSEG3EI16_V_MF2_M2, VLOXSEG3EI16_V }, // 3151
  { PseudoVLOXSEG3EI16_V_MF2_M2_MASK, VLOXSEG3EI16_V }, // 3152
  { PseudoVLOXSEG3EI16_V_MF2_M2_TU, VLOXSEG3EI16_V }, // 3153
  { PseudoVLOXSEG3EI16_V_MF2_MF2, VLOXSEG3EI16_V }, // 3154
  { PseudoVLOXSEG3EI16_V_MF2_MF2_MASK, VLOXSEG3EI16_V }, // 3155
  { PseudoVLOXSEG3EI16_V_MF2_MF2_TU, VLOXSEG3EI16_V }, // 3156
  { PseudoVLOXSEG3EI16_V_MF2_MF4, VLOXSEG3EI16_V }, // 3157
  { PseudoVLOXSEG3EI16_V_MF2_MF4_MASK, VLOXSEG3EI16_V }, // 3158
  { PseudoVLOXSEG3EI16_V_MF2_MF4_TU, VLOXSEG3EI16_V }, // 3159
  { PseudoVLOXSEG3EI16_V_MF4_M1, VLOXSEG3EI16_V }, // 3160
  { PseudoVLOXSEG3EI16_V_MF4_M1_MASK, VLOXSEG3EI16_V }, // 3161
  { PseudoVLOXSEG3EI16_V_MF4_M1_TU, VLOXSEG3EI16_V }, // 3162
  { PseudoVLOXSEG3EI16_V_MF4_MF2, VLOXSEG3EI16_V }, // 3163
  { PseudoVLOXSEG3EI16_V_MF4_MF2_MASK, VLOXSEG3EI16_V }, // 3164
  { PseudoVLOXSEG3EI16_V_MF4_MF2_TU, VLOXSEG3EI16_V }, // 3165
  { PseudoVLOXSEG3EI16_V_MF4_MF4, VLOXSEG3EI16_V }, // 3166
  { PseudoVLOXSEG3EI16_V_MF4_MF4_MASK, VLOXSEG3EI16_V }, // 3167
  { PseudoVLOXSEG3EI16_V_MF4_MF4_TU, VLOXSEG3EI16_V }, // 3168
  { PseudoVLOXSEG3EI16_V_MF4_MF8, VLOXSEG3EI16_V }, // 3169
  { PseudoVLOXSEG3EI16_V_MF4_MF8_MASK, VLOXSEG3EI16_V }, // 3170
  { PseudoVLOXSEG3EI16_V_MF4_MF8_TU, VLOXSEG3EI16_V }, // 3171
  { PseudoVLOXSEG3EI32_V_M1_M1, VLOXSEG3EI32_V }, // 3172
  { PseudoVLOXSEG3EI32_V_M1_M1_MASK, VLOXSEG3EI32_V }, // 3173
  { PseudoVLOXSEG3EI32_V_M1_M1_TU, VLOXSEG3EI32_V }, // 3174
  { PseudoVLOXSEG3EI32_V_M1_M2, VLOXSEG3EI32_V }, // 3175
  { PseudoVLOXSEG3EI32_V_M1_M2_MASK, VLOXSEG3EI32_V }, // 3176
  { PseudoVLOXSEG3EI32_V_M1_M2_TU, VLOXSEG3EI32_V }, // 3177
  { PseudoVLOXSEG3EI32_V_M1_MF2, VLOXSEG3EI32_V }, // 3178
  { PseudoVLOXSEG3EI32_V_M1_MF2_MASK, VLOXSEG3EI32_V }, // 3179
  { PseudoVLOXSEG3EI32_V_M1_MF2_TU, VLOXSEG3EI32_V }, // 3180
  { PseudoVLOXSEG3EI32_V_M1_MF4, VLOXSEG3EI32_V }, // 3181
  { PseudoVLOXSEG3EI32_V_M1_MF4_MASK, VLOXSEG3EI32_V }, // 3182
  { PseudoVLOXSEG3EI32_V_M1_MF4_TU, VLOXSEG3EI32_V }, // 3183
  { PseudoVLOXSEG3EI32_V_M2_M1, VLOXSEG3EI32_V }, // 3184
  { PseudoVLOXSEG3EI32_V_M2_M1_MASK, VLOXSEG3EI32_V }, // 3185
  { PseudoVLOXSEG3EI32_V_M2_M1_TU, VLOXSEG3EI32_V }, // 3186
  { PseudoVLOXSEG3EI32_V_M2_M2, VLOXSEG3EI32_V }, // 3187
  { PseudoVLOXSEG3EI32_V_M2_M2_MASK, VLOXSEG3EI32_V }, // 3188
  { PseudoVLOXSEG3EI32_V_M2_M2_TU, VLOXSEG3EI32_V }, // 3189
  { PseudoVLOXSEG3EI32_V_M2_MF2, VLOXSEG3EI32_V }, // 3190
  { PseudoVLOXSEG3EI32_V_M2_MF2_MASK, VLOXSEG3EI32_V }, // 3191
  { PseudoVLOXSEG3EI32_V_M2_MF2_TU, VLOXSEG3EI32_V }, // 3192
  { PseudoVLOXSEG3EI32_V_M4_M1, VLOXSEG3EI32_V }, // 3193
  { PseudoVLOXSEG3EI32_V_M4_M1_MASK, VLOXSEG3EI32_V }, // 3194
  { PseudoVLOXSEG3EI32_V_M4_M1_TU, VLOXSEG3EI32_V }, // 3195
  { PseudoVLOXSEG3EI32_V_M4_M2, VLOXSEG3EI32_V }, // 3196
  { PseudoVLOXSEG3EI32_V_M4_M2_MASK, VLOXSEG3EI32_V }, // 3197
  { PseudoVLOXSEG3EI32_V_M4_M2_TU, VLOXSEG3EI32_V }, // 3198
  { PseudoVLOXSEG3EI32_V_M8_M2, VLOXSEG3EI32_V }, // 3199
  { PseudoVLOXSEG3EI32_V_M8_M2_MASK, VLOXSEG3EI32_V }, // 3200
  { PseudoVLOXSEG3EI32_V_M8_M2_TU, VLOXSEG3EI32_V }, // 3201
  { PseudoVLOXSEG3EI32_V_MF2_M1, VLOXSEG3EI32_V }, // 3202
  { PseudoVLOXSEG3EI32_V_MF2_M1_MASK, VLOXSEG3EI32_V }, // 3203
  { PseudoVLOXSEG3EI32_V_MF2_M1_TU, VLOXSEG3EI32_V }, // 3204
  { PseudoVLOXSEG3EI32_V_MF2_MF2, VLOXSEG3EI32_V }, // 3205
  { PseudoVLOXSEG3EI32_V_MF2_MF2_MASK, VLOXSEG3EI32_V }, // 3206
  { PseudoVLOXSEG3EI32_V_MF2_MF2_TU, VLOXSEG3EI32_V }, // 3207
  { PseudoVLOXSEG3EI32_V_MF2_MF4, VLOXSEG3EI32_V }, // 3208
  { PseudoVLOXSEG3EI32_V_MF2_MF4_MASK, VLOXSEG3EI32_V }, // 3209
  { PseudoVLOXSEG3EI32_V_MF2_MF4_TU, VLOXSEG3EI32_V }, // 3210
  { PseudoVLOXSEG3EI32_V_MF2_MF8, VLOXSEG3EI32_V }, // 3211
  { PseudoVLOXSEG3EI32_V_MF2_MF8_MASK, VLOXSEG3EI32_V }, // 3212
  { PseudoVLOXSEG3EI32_V_MF2_MF8_TU, VLOXSEG3EI32_V }, // 3213
  { PseudoVLOXSEG3EI64_V_M1_M1, VLOXSEG3EI64_V }, // 3214
  { PseudoVLOXSEG3EI64_V_M1_M1_MASK, VLOXSEG3EI64_V }, // 3215
  { PseudoVLOXSEG3EI64_V_M1_M1_TU, VLOXSEG3EI64_V }, // 3216
  { PseudoVLOXSEG3EI64_V_M1_MF2, VLOXSEG3EI64_V }, // 3217
  { PseudoVLOXSEG3EI64_V_M1_MF2_MASK, VLOXSEG3EI64_V }, // 3218
  { PseudoVLOXSEG3EI64_V_M1_MF2_TU, VLOXSEG3EI64_V }, // 3219
  { PseudoVLOXSEG3EI64_V_M1_MF4, VLOXSEG3EI64_V }, // 3220
  { PseudoVLOXSEG3EI64_V_M1_MF4_MASK, VLOXSEG3EI64_V }, // 3221
  { PseudoVLOXSEG3EI64_V_M1_MF4_TU, VLOXSEG3EI64_V }, // 3222
  { PseudoVLOXSEG3EI64_V_M1_MF8, VLOXSEG3EI64_V }, // 3223
  { PseudoVLOXSEG3EI64_V_M1_MF8_MASK, VLOXSEG3EI64_V }, // 3224
  { PseudoVLOXSEG3EI64_V_M1_MF8_TU, VLOXSEG3EI64_V }, // 3225
  { PseudoVLOXSEG3EI64_V_M2_M1, VLOXSEG3EI64_V }, // 3226
  { PseudoVLOXSEG3EI64_V_M2_M1_MASK, VLOXSEG3EI64_V }, // 3227
  { PseudoVLOXSEG3EI64_V_M2_M1_TU, VLOXSEG3EI64_V }, // 3228
  { PseudoVLOXSEG3EI64_V_M2_M2, VLOXSEG3EI64_V }, // 3229
  { PseudoVLOXSEG3EI64_V_M2_M2_MASK, VLOXSEG3EI64_V }, // 3230
  { PseudoVLOXSEG3EI64_V_M2_M2_TU, VLOXSEG3EI64_V }, // 3231
  { PseudoVLOXSEG3EI64_V_M2_MF2, VLOXSEG3EI64_V }, // 3232
  { PseudoVLOXSEG3EI64_V_M2_MF2_MASK, VLOXSEG3EI64_V }, // 3233
  { PseudoVLOXSEG3EI64_V_M2_MF2_TU, VLOXSEG3EI64_V }, // 3234
  { PseudoVLOXSEG3EI64_V_M2_MF4, VLOXSEG3EI64_V }, // 3235
  { PseudoVLOXSEG3EI64_V_M2_MF4_MASK, VLOXSEG3EI64_V }, // 3236
  { PseudoVLOXSEG3EI64_V_M2_MF4_TU, VLOXSEG3EI64_V }, // 3237
  { PseudoVLOXSEG3EI64_V_M4_M1, VLOXSEG3EI64_V }, // 3238
  { PseudoVLOXSEG3EI64_V_M4_M1_MASK, VLOXSEG3EI64_V }, // 3239
  { PseudoVLOXSEG3EI64_V_M4_M1_TU, VLOXSEG3EI64_V }, // 3240
  { PseudoVLOXSEG3EI64_V_M4_M2, VLOXSEG3EI64_V }, // 3241
  { PseudoVLOXSEG3EI64_V_M4_M2_MASK, VLOXSEG3EI64_V }, // 3242
  { PseudoVLOXSEG3EI64_V_M4_M2_TU, VLOXSEG3EI64_V }, // 3243
  { PseudoVLOXSEG3EI64_V_M4_MF2, VLOXSEG3EI64_V }, // 3244
  { PseudoVLOXSEG3EI64_V_M4_MF2_MASK, VLOXSEG3EI64_V }, // 3245
  { PseudoVLOXSEG3EI64_V_M4_MF2_TU, VLOXSEG3EI64_V }, // 3246
  { PseudoVLOXSEG3EI64_V_M8_M1, VLOXSEG3EI64_V }, // 3247
  { PseudoVLOXSEG3EI64_V_M8_M1_MASK, VLOXSEG3EI64_V }, // 3248
  { PseudoVLOXSEG3EI64_V_M8_M1_TU, VLOXSEG3EI64_V }, // 3249
  { PseudoVLOXSEG3EI64_V_M8_M2, VLOXSEG3EI64_V }, // 3250
  { PseudoVLOXSEG3EI64_V_M8_M2_MASK, VLOXSEG3EI64_V }, // 3251
  { PseudoVLOXSEG3EI64_V_M8_M2_TU, VLOXSEG3EI64_V }, // 3252
  { PseudoVLOXSEG3EI8_V_M1_M1, VLOXSEG3EI8_V }, // 3253
  { PseudoVLOXSEG3EI8_V_M1_M1_MASK, VLOXSEG3EI8_V }, // 3254
  { PseudoVLOXSEG3EI8_V_M1_M1_TU, VLOXSEG3EI8_V }, // 3255
  { PseudoVLOXSEG3EI8_V_M1_M2, VLOXSEG3EI8_V }, // 3256
  { PseudoVLOXSEG3EI8_V_M1_M2_MASK, VLOXSEG3EI8_V }, // 3257
  { PseudoVLOXSEG3EI8_V_M1_M2_TU, VLOXSEG3EI8_V }, // 3258
  { PseudoVLOXSEG3EI8_V_M2_M2, VLOXSEG3EI8_V }, // 3259
  { PseudoVLOXSEG3EI8_V_M2_M2_MASK, VLOXSEG3EI8_V }, // 3260
  { PseudoVLOXSEG3EI8_V_M2_M2_TU, VLOXSEG3EI8_V }, // 3261
  { PseudoVLOXSEG3EI8_V_MF2_M1, VLOXSEG3EI8_V }, // 3262
  { PseudoVLOXSEG3EI8_V_MF2_M1_MASK, VLOXSEG3EI8_V }, // 3263
  { PseudoVLOXSEG3EI8_V_MF2_M1_TU, VLOXSEG3EI8_V }, // 3264
  { PseudoVLOXSEG3EI8_V_MF2_M2, VLOXSEG3EI8_V }, // 3265
  { PseudoVLOXSEG3EI8_V_MF2_M2_MASK, VLOXSEG3EI8_V }, // 3266
  { PseudoVLOXSEG3EI8_V_MF2_M2_TU, VLOXSEG3EI8_V }, // 3267
  { PseudoVLOXSEG3EI8_V_MF2_MF2, VLOXSEG3EI8_V }, // 3268
  { PseudoVLOXSEG3EI8_V_MF2_MF2_MASK, VLOXSEG3EI8_V }, // 3269
  { PseudoVLOXSEG3EI8_V_MF2_MF2_TU, VLOXSEG3EI8_V }, // 3270
  { PseudoVLOXSEG3EI8_V_MF4_M1, VLOXSEG3EI8_V }, // 3271
  { PseudoVLOXSEG3EI8_V_MF4_M1_MASK, VLOXSEG3EI8_V }, // 3272
  { PseudoVLOXSEG3EI8_V_MF4_M1_TU, VLOXSEG3EI8_V }, // 3273
  { PseudoVLOXSEG3EI8_V_MF4_M2, VLOXSEG3EI8_V }, // 3274
  { PseudoVLOXSEG3EI8_V_MF4_M2_MASK, VLOXSEG3EI8_V }, // 3275
  { PseudoVLOXSEG3EI8_V_MF4_M2_TU, VLOXSEG3EI8_V }, // 3276
  { PseudoVLOXSEG3EI8_V_MF4_MF2, VLOXSEG3EI8_V }, // 3277
  { PseudoVLOXSEG3EI8_V_MF4_MF2_MASK, VLOXSEG3EI8_V }, // 3278
  { PseudoVLOXSEG3EI8_V_MF4_MF2_TU, VLOXSEG3EI8_V }, // 3279
  { PseudoVLOXSEG3EI8_V_MF4_MF4, VLOXSEG3EI8_V }, // 3280
  { PseudoVLOXSEG3EI8_V_MF4_MF4_MASK, VLOXSEG3EI8_V }, // 3281
  { PseudoVLOXSEG3EI8_V_MF4_MF4_TU, VLOXSEG3EI8_V }, // 3282
  { PseudoVLOXSEG3EI8_V_MF8_M1, VLOXSEG3EI8_V }, // 3283
  { PseudoVLOXSEG3EI8_V_MF8_M1_MASK, VLOXSEG3EI8_V }, // 3284
  { PseudoVLOXSEG3EI8_V_MF8_M1_TU, VLOXSEG3EI8_V }, // 3285
  { PseudoVLOXSEG3EI8_V_MF8_MF2, VLOXSEG3EI8_V }, // 3286
  { PseudoVLOXSEG3EI8_V_MF8_MF2_MASK, VLOXSEG3EI8_V }, // 3287
  { PseudoVLOXSEG3EI8_V_MF8_MF2_TU, VLOXSEG3EI8_V }, // 3288
  { PseudoVLOXSEG3EI8_V_MF8_MF4, VLOXSEG3EI8_V }, // 3289
  { PseudoVLOXSEG3EI8_V_MF8_MF4_MASK, VLOXSEG3EI8_V }, // 3290
  { PseudoVLOXSEG3EI8_V_MF8_MF4_TU, VLOXSEG3EI8_V }, // 3291
  { PseudoVLOXSEG3EI8_V_MF8_MF8, VLOXSEG3EI8_V }, // 3292
  { PseudoVLOXSEG3EI8_V_MF8_MF8_MASK, VLOXSEG3EI8_V }, // 3293
  { PseudoVLOXSEG3EI8_V_MF8_MF8_TU, VLOXSEG3EI8_V }, // 3294
  { PseudoVLOXSEG4EI16_V_M1_M1, VLOXSEG4EI16_V }, // 3295
  { PseudoVLOXSEG4EI16_V_M1_M1_MASK, VLOXSEG4EI16_V }, // 3296
  { PseudoVLOXSEG4EI16_V_M1_M1_TU, VLOXSEG4EI16_V }, // 3297
  { PseudoVLOXSEG4EI16_V_M1_M2, VLOXSEG4EI16_V }, // 3298
  { PseudoVLOXSEG4EI16_V_M1_M2_MASK, VLOXSEG4EI16_V }, // 3299
  { PseudoVLOXSEG4EI16_V_M1_M2_TU, VLOXSEG4EI16_V }, // 3300
  { PseudoVLOXSEG4EI16_V_M1_MF2, VLOXSEG4EI16_V }, // 3301
  { PseudoVLOXSEG4EI16_V_M1_MF2_MASK, VLOXSEG4EI16_V }, // 3302
  { PseudoVLOXSEG4EI16_V_M1_MF2_TU, VLOXSEG4EI16_V }, // 3303
  { PseudoVLOXSEG4EI16_V_M2_M1, VLOXSEG4EI16_V }, // 3304
  { PseudoVLOXSEG4EI16_V_M2_M1_MASK, VLOXSEG4EI16_V }, // 3305
  { PseudoVLOXSEG4EI16_V_M2_M1_TU, VLOXSEG4EI16_V }, // 3306
  { PseudoVLOXSEG4EI16_V_M2_M2, VLOXSEG4EI16_V }, // 3307
  { PseudoVLOXSEG4EI16_V_M2_M2_MASK, VLOXSEG4EI16_V }, // 3308
  { PseudoVLOXSEG4EI16_V_M2_M2_TU, VLOXSEG4EI16_V }, // 3309
  { PseudoVLOXSEG4EI16_V_M4_M2, VLOXSEG4EI16_V }, // 3310
  { PseudoVLOXSEG4EI16_V_M4_M2_MASK, VLOXSEG4EI16_V }, // 3311
  { PseudoVLOXSEG4EI16_V_M4_M2_TU, VLOXSEG4EI16_V }, // 3312
  { PseudoVLOXSEG4EI16_V_MF2_M1, VLOXSEG4EI16_V }, // 3313
  { PseudoVLOXSEG4EI16_V_MF2_M1_MASK, VLOXSEG4EI16_V }, // 3314
  { PseudoVLOXSEG4EI16_V_MF2_M1_TU, VLOXSEG4EI16_V }, // 3315
  { PseudoVLOXSEG4EI16_V_MF2_M2, VLOXSEG4EI16_V }, // 3316
  { PseudoVLOXSEG4EI16_V_MF2_M2_MASK, VLOXSEG4EI16_V }, // 3317
  { PseudoVLOXSEG4EI16_V_MF2_M2_TU, VLOXSEG4EI16_V }, // 3318
  { PseudoVLOXSEG4EI16_V_MF2_MF2, VLOXSEG4EI16_V }, // 3319
  { PseudoVLOXSEG4EI16_V_MF2_MF2_MASK, VLOXSEG4EI16_V }, // 3320
  { PseudoVLOXSEG4EI16_V_MF2_MF2_TU, VLOXSEG4EI16_V }, // 3321
  { PseudoVLOXSEG4EI16_V_MF2_MF4, VLOXSEG4EI16_V }, // 3322
  { PseudoVLOXSEG4EI16_V_MF2_MF4_MASK, VLOXSEG4EI16_V }, // 3323
  { PseudoVLOXSEG4EI16_V_MF2_MF4_TU, VLOXSEG4EI16_V }, // 3324
  { PseudoVLOXSEG4EI16_V_MF4_M1, VLOXSEG4EI16_V }, // 3325
  { PseudoVLOXSEG4EI16_V_MF4_M1_MASK, VLOXSEG4EI16_V }, // 3326
  { PseudoVLOXSEG4EI16_V_MF4_M1_TU, VLOXSEG4EI16_V }, // 3327
  { PseudoVLOXSEG4EI16_V_MF4_MF2, VLOXSEG4EI16_V }, // 3328
  { PseudoVLOXSEG4EI16_V_MF4_MF2_MASK, VLOXSEG4EI16_V }, // 3329
  { PseudoVLOXSEG4EI16_V_MF4_MF2_TU, VLOXSEG4EI16_V }, // 3330
  { PseudoVLOXSEG4EI16_V_MF4_MF4, VLOXSEG4EI16_V }, // 3331
  { PseudoVLOXSEG4EI16_V_MF4_MF4_MASK, VLOXSEG4EI16_V }, // 3332
  { PseudoVLOXSEG4EI16_V_MF4_MF4_TU, VLOXSEG4EI16_V }, // 3333
  { PseudoVLOXSEG4EI16_V_MF4_MF8, VLOXSEG4EI16_V }, // 3334
  { PseudoVLOXSEG4EI16_V_MF4_MF8_MASK, VLOXSEG4EI16_V }, // 3335
  { PseudoVLOXSEG4EI16_V_MF4_MF8_TU, VLOXSEG4EI16_V }, // 3336
  { PseudoVLOXSEG4EI32_V_M1_M1, VLOXSEG4EI32_V }, // 3337
  { PseudoVLOXSEG4EI32_V_M1_M1_MASK, VLOXSEG4EI32_V }, // 3338
  { PseudoVLOXSEG4EI32_V_M1_M1_TU, VLOXSEG4EI32_V }, // 3339
  { PseudoVLOXSEG4EI32_V_M1_M2, VLOXSEG4EI32_V }, // 3340
  { PseudoVLOXSEG4EI32_V_M1_M2_MASK, VLOXSEG4EI32_V }, // 3341
  { PseudoVLOXSEG4EI32_V_M1_M2_TU, VLOXSEG4EI32_V }, // 3342
  { PseudoVLOXSEG4EI32_V_M1_MF2, VLOXSEG4EI32_V }, // 3343
  { PseudoVLOXSEG4EI32_V_M1_MF2_MASK, VLOXSEG4EI32_V }, // 3344
  { PseudoVLOXSEG4EI32_V_M1_MF2_TU, VLOXSEG4EI32_V }, // 3345
  { PseudoVLOXSEG4EI32_V_M1_MF4, VLOXSEG4EI32_V }, // 3346
  { PseudoVLOXSEG4EI32_V_M1_MF4_MASK, VLOXSEG4EI32_V }, // 3347
  { PseudoVLOXSEG4EI32_V_M1_MF4_TU, VLOXSEG4EI32_V }, // 3348
  { PseudoVLOXSEG4EI32_V_M2_M1, VLOXSEG4EI32_V }, // 3349
  { PseudoVLOXSEG4EI32_V_M2_M1_MASK, VLOXSEG4EI32_V }, // 3350
  { PseudoVLOXSEG4EI32_V_M2_M1_TU, VLOXSEG4EI32_V }, // 3351
  { PseudoVLOXSEG4EI32_V_M2_M2, VLOXSEG4EI32_V }, // 3352
  { PseudoVLOXSEG4EI32_V_M2_M2_MASK, VLOXSEG4EI32_V }, // 3353
  { PseudoVLOXSEG4EI32_V_M2_M2_TU, VLOXSEG4EI32_V }, // 3354
  { PseudoVLOXSEG4EI32_V_M2_MF2, VLOXSEG4EI32_V }, // 3355
  { PseudoVLOXSEG4EI32_V_M2_MF2_MASK, VLOXSEG4EI32_V }, // 3356
  { PseudoVLOXSEG4EI32_V_M2_MF2_TU, VLOXSEG4EI32_V }, // 3357
  { PseudoVLOXSEG4EI32_V_M4_M1, VLOXSEG4EI32_V }, // 3358
  { PseudoVLOXSEG4EI32_V_M4_M1_MASK, VLOXSEG4EI32_V }, // 3359
  { PseudoVLOXSEG4EI32_V_M4_M1_TU, VLOXSEG4EI32_V }, // 3360
  { PseudoVLOXSEG4EI32_V_M4_M2, VLOXSEG4EI32_V }, // 3361
  { PseudoVLOXSEG4EI32_V_M4_M2_MASK, VLOXSEG4EI32_V }, // 3362
  { PseudoVLOXSEG4EI32_V_M4_M2_TU, VLOXSEG4EI32_V }, // 3363
  { PseudoVLOXSEG4EI32_V_M8_M2, VLOXSEG4EI32_V }, // 3364
  { PseudoVLOXSEG4EI32_V_M8_M2_MASK, VLOXSEG4EI32_V }, // 3365
  { PseudoVLOXSEG4EI32_V_M8_M2_TU, VLOXSEG4EI32_V }, // 3366
  { PseudoVLOXSEG4EI32_V_MF2_M1, VLOXSEG4EI32_V }, // 3367
  { PseudoVLOXSEG4EI32_V_MF2_M1_MASK, VLOXSEG4EI32_V }, // 3368
  { PseudoVLOXSEG4EI32_V_MF2_M1_TU, VLOXSEG4EI32_V }, // 3369
  { PseudoVLOXSEG4EI32_V_MF2_MF2, VLOXSEG4EI32_V }, // 3370
  { PseudoVLOXSEG4EI32_V_MF2_MF2_MASK, VLOXSEG4EI32_V }, // 3371
  { PseudoVLOXSEG4EI32_V_MF2_MF2_TU, VLOXSEG4EI32_V }, // 3372
  { PseudoVLOXSEG4EI32_V_MF2_MF4, VLOXSEG4EI32_V }, // 3373
  { PseudoVLOXSEG4EI32_V_MF2_MF4_MASK, VLOXSEG4EI32_V }, // 3374
  { PseudoVLOXSEG4EI32_V_MF2_MF4_TU, VLOXSEG4EI32_V }, // 3375
  { PseudoVLOXSEG4EI32_V_MF2_MF8, VLOXSEG4EI32_V }, // 3376
  { PseudoVLOXSEG4EI32_V_MF2_MF8_MASK, VLOXSEG4EI32_V }, // 3377
  { PseudoVLOXSEG4EI32_V_MF2_MF8_TU, VLOXSEG4EI32_V }, // 3378
  { PseudoVLOXSEG4EI64_V_M1_M1, VLOXSEG4EI64_V }, // 3379
  { PseudoVLOXSEG4EI64_V_M1_M1_MASK, VLOXSEG4EI64_V }, // 3380
  { PseudoVLOXSEG4EI64_V_M1_M1_TU, VLOXSEG4EI64_V }, // 3381
  { PseudoVLOXSEG4EI64_V_M1_MF2, VLOXSEG4EI64_V }, // 3382
  { PseudoVLOXSEG4EI64_V_M1_MF2_MASK, VLOXSEG4EI64_V }, // 3383
  { PseudoVLOXSEG4EI64_V_M1_MF2_TU, VLOXSEG4EI64_V }, // 3384
  { PseudoVLOXSEG4EI64_V_M1_MF4, VLOXSEG4EI64_V }, // 3385
  { PseudoVLOXSEG4EI64_V_M1_MF4_MASK, VLOXSEG4EI64_V }, // 3386
  { PseudoVLOXSEG4EI64_V_M1_MF4_TU, VLOXSEG4EI64_V }, // 3387
  { PseudoVLOXSEG4EI64_V_M1_MF8, VLOXSEG4EI64_V }, // 3388
  { PseudoVLOXSEG4EI64_V_M1_MF8_MASK, VLOXSEG4EI64_V }, // 3389
  { PseudoVLOXSEG4EI64_V_M1_MF8_TU, VLOXSEG4EI64_V }, // 3390
  { PseudoVLOXSEG4EI64_V_M2_M1, VLOXSEG4EI64_V }, // 3391
  { PseudoVLOXSEG4EI64_V_M2_M1_MASK, VLOXSEG4EI64_V }, // 3392
  { PseudoVLOXSEG4EI64_V_M2_M1_TU, VLOXSEG4EI64_V }, // 3393
  { PseudoVLOXSEG4EI64_V_M2_M2, VLOXSEG4EI64_V }, // 3394
  { PseudoVLOXSEG4EI64_V_M2_M2_MASK, VLOXSEG4EI64_V }, // 3395
  { PseudoVLOXSEG4EI64_V_M2_M2_TU, VLOXSEG4EI64_V }, // 3396
  { PseudoVLOXSEG4EI64_V_M2_MF2, VLOXSEG4EI64_V }, // 3397
  { PseudoVLOXSEG4EI64_V_M2_MF2_MASK, VLOXSEG4EI64_V }, // 3398
  { PseudoVLOXSEG4EI64_V_M2_MF2_TU, VLOXSEG4EI64_V }, // 3399
  { PseudoVLOXSEG4EI64_V_M2_MF4, VLOXSEG4EI64_V }, // 3400
  { PseudoVLOXSEG4EI64_V_M2_MF4_MASK, VLOXSEG4EI64_V }, // 3401
  { PseudoVLOXSEG4EI64_V_M2_MF4_TU, VLOXSEG4EI64_V }, // 3402
  { PseudoVLOXSEG4EI64_V_M4_M1, VLOXSEG4EI64_V }, // 3403
  { PseudoVLOXSEG4EI64_V_M4_M1_MASK, VLOXSEG4EI64_V }, // 3404
  { PseudoVLOXSEG4EI64_V_M4_M1_TU, VLOXSEG4EI64_V }, // 3405
  { PseudoVLOXSEG4EI64_V_M4_M2, VLOXSEG4EI64_V }, // 3406
  { PseudoVLOXSEG4EI64_V_M4_M2_MASK, VLOXSEG4EI64_V }, // 3407
  { PseudoVLOXSEG4EI64_V_M4_M2_TU, VLOXSEG4EI64_V }, // 3408
  { PseudoVLOXSEG4EI64_V_M4_MF2, VLOXSEG4EI64_V }, // 3409
  { PseudoVLOXSEG4EI64_V_M4_MF2_MASK, VLOXSEG4EI64_V }, // 3410
  { PseudoVLOXSEG4EI64_V_M4_MF2_TU, VLOXSEG4EI64_V }, // 3411
  { PseudoVLOXSEG4EI64_V_M8_M1, VLOXSEG4EI64_V }, // 3412
  { PseudoVLOXSEG4EI64_V_M8_M1_MASK, VLOXSEG4EI64_V }, // 3413
  { PseudoVLOXSEG4EI64_V_M8_M1_TU, VLOXSEG4EI64_V }, // 3414
  { PseudoVLOXSEG4EI64_V_M8_M2, VLOXSEG4EI64_V }, // 3415
  { PseudoVLOXSEG4EI64_V_M8_M2_MASK, VLOXSEG4EI64_V }, // 3416
  { PseudoVLOXSEG4EI64_V_M8_M2_TU, VLOXSEG4EI64_V }, // 3417
  { PseudoVLOXSEG4EI8_V_M1_M1, VLOXSEG4EI8_V }, // 3418
  { PseudoVLOXSEG4EI8_V_M1_M1_MASK, VLOXSEG4EI8_V }, // 3419
  { PseudoVLOXSEG4EI8_V_M1_M1_TU, VLOXSEG4EI8_V }, // 3420
  { PseudoVLOXSEG4EI8_V_M1_M2, VLOXSEG4EI8_V }, // 3421
  { PseudoVLOXSEG4EI8_V_M1_M2_MASK, VLOXSEG4EI8_V }, // 3422
  { PseudoVLOXSEG4EI8_V_M1_M2_TU, VLOXSEG4EI8_V }, // 3423
  { PseudoVLOXSEG4EI8_V_M2_M2, VLOXSEG4EI8_V }, // 3424
  { PseudoVLOXSEG4EI8_V_M2_M2_MASK, VLOXSEG4EI8_V }, // 3425
  { PseudoVLOXSEG4EI8_V_M2_M2_TU, VLOXSEG4EI8_V }, // 3426
  { PseudoVLOXSEG4EI8_V_MF2_M1, VLOXSEG4EI8_V }, // 3427
  { PseudoVLOXSEG4EI8_V_MF2_M1_MASK, VLOXSEG4EI8_V }, // 3428
  { PseudoVLOXSEG4EI8_V_MF2_M1_TU, VLOXSEG4EI8_V }, // 3429
  { PseudoVLOXSEG4EI8_V_MF2_M2, VLOXSEG4EI8_V }, // 3430
  { PseudoVLOXSEG4EI8_V_MF2_M2_MASK, VLOXSEG4EI8_V }, // 3431
  { PseudoVLOXSEG4EI8_V_MF2_M2_TU, VLOXSEG4EI8_V }, // 3432
  { PseudoVLOXSEG4EI8_V_MF2_MF2, VLOXSEG4EI8_V }, // 3433
  { PseudoVLOXSEG4EI8_V_MF2_MF2_MASK, VLOXSEG4EI8_V }, // 3434
  { PseudoVLOXSEG4EI8_V_MF2_MF2_TU, VLOXSEG4EI8_V }, // 3435
  { PseudoVLOXSEG4EI8_V_MF4_M1, VLOXSEG4EI8_V }, // 3436
  { PseudoVLOXSEG4EI8_V_MF4_M1_MASK, VLOXSEG4EI8_V }, // 3437
  { PseudoVLOXSEG4EI8_V_MF4_M1_TU, VLOXSEG4EI8_V }, // 3438
  { PseudoVLOXSEG4EI8_V_MF4_M2, VLOXSEG4EI8_V }, // 3439
  { PseudoVLOXSEG4EI8_V_MF4_M2_MASK, VLOXSEG4EI8_V }, // 3440
  { PseudoVLOXSEG4EI8_V_MF4_M2_TU, VLOXSEG4EI8_V }, // 3441
  { PseudoVLOXSEG4EI8_V_MF4_MF2, VLOXSEG4EI8_V }, // 3442
  { PseudoVLOXSEG4EI8_V_MF4_MF2_MASK, VLOXSEG4EI8_V }, // 3443
  { PseudoVLOXSEG4EI8_V_MF4_MF2_TU, VLOXSEG4EI8_V }, // 3444
  { PseudoVLOXSEG4EI8_V_MF4_MF4, VLOXSEG4EI8_V }, // 3445
  { PseudoVLOXSEG4EI8_V_MF4_MF4_MASK, VLOXSEG4EI8_V }, // 3446
  { PseudoVLOXSEG4EI8_V_MF4_MF4_TU, VLOXSEG4EI8_V }, // 3447
  { PseudoVLOXSEG4EI8_V_MF8_M1, VLOXSEG4EI8_V }, // 3448
  { PseudoVLOXSEG4EI8_V_MF8_M1_MASK, VLOXSEG4EI8_V }, // 3449
  { PseudoVLOXSEG4EI8_V_MF8_M1_TU, VLOXSEG4EI8_V }, // 3450
  { PseudoVLOXSEG4EI8_V_MF8_MF2, VLOXSEG4EI8_V }, // 3451
  { PseudoVLOXSEG4EI8_V_MF8_MF2_MASK, VLOXSEG4EI8_V }, // 3452
  { PseudoVLOXSEG4EI8_V_MF8_MF2_TU, VLOXSEG4EI8_V }, // 3453
  { PseudoVLOXSEG4EI8_V_MF8_MF4, VLOXSEG4EI8_V }, // 3454
  { PseudoVLOXSEG4EI8_V_MF8_MF4_MASK, VLOXSEG4EI8_V }, // 3455
  { PseudoVLOXSEG4EI8_V_MF8_MF4_TU, VLOXSEG4EI8_V }, // 3456
  { PseudoVLOXSEG4EI8_V_MF8_MF8, VLOXSEG4EI8_V }, // 3457
  { PseudoVLOXSEG4EI8_V_MF8_MF8_MASK, VLOXSEG4EI8_V }, // 3458
  { PseudoVLOXSEG4EI8_V_MF8_MF8_TU, VLOXSEG4EI8_V }, // 3459
  { PseudoVLOXSEG5EI16_V_M1_M1, VLOXSEG5EI16_V }, // 3460
  { PseudoVLOXSEG5EI16_V_M1_M1_MASK, VLOXSEG5EI16_V }, // 3461
  { PseudoVLOXSEG5EI16_V_M1_M1_TU, VLOXSEG5EI16_V }, // 3462
  { PseudoVLOXSEG5EI16_V_M1_MF2, VLOXSEG5EI16_V }, // 3463
  { PseudoVLOXSEG5EI16_V_M1_MF2_MASK, VLOXSEG5EI16_V }, // 3464
  { PseudoVLOXSEG5EI16_V_M1_MF2_TU, VLOXSEG5EI16_V }, // 3465
  { PseudoVLOXSEG5EI16_V_M2_M1, VLOXSEG5EI16_V }, // 3466
  { PseudoVLOXSEG5EI16_V_M2_M1_MASK, VLOXSEG5EI16_V }, // 3467
  { PseudoVLOXSEG5EI16_V_M2_M1_TU, VLOXSEG5EI16_V }, // 3468
  { PseudoVLOXSEG5EI16_V_MF2_M1, VLOXSEG5EI16_V }, // 3469
  { PseudoVLOXSEG5EI16_V_MF2_M1_MASK, VLOXSEG5EI16_V }, // 3470
  { PseudoVLOXSEG5EI16_V_MF2_M1_TU, VLOXSEG5EI16_V }, // 3471
  { PseudoVLOXSEG5EI16_V_MF2_MF2, VLOXSEG5EI16_V }, // 3472
  { PseudoVLOXSEG5EI16_V_MF2_MF2_MASK, VLOXSEG5EI16_V }, // 3473
  { PseudoVLOXSEG5EI16_V_MF2_MF2_TU, VLOXSEG5EI16_V }, // 3474
  { PseudoVLOXSEG5EI16_V_MF2_MF4, VLOXSEG5EI16_V }, // 3475
  { PseudoVLOXSEG5EI16_V_MF2_MF4_MASK, VLOXSEG5EI16_V }, // 3476
  { PseudoVLOXSEG5EI16_V_MF2_MF4_TU, VLOXSEG5EI16_V }, // 3477
  { PseudoVLOXSEG5EI16_V_MF4_M1, VLOXSEG5EI16_V }, // 3478
  { PseudoVLOXSEG5EI16_V_MF4_M1_MASK, VLOXSEG5EI16_V }, // 3479
  { PseudoVLOXSEG5EI16_V_MF4_M1_TU, VLOXSEG5EI16_V }, // 3480
  { PseudoVLOXSEG5EI16_V_MF4_MF2, VLOXSEG5EI16_V }, // 3481
  { PseudoVLOXSEG5EI16_V_MF4_MF2_MASK, VLOXSEG5EI16_V }, // 3482
  { PseudoVLOXSEG5EI16_V_MF4_MF2_TU, VLOXSEG5EI16_V }, // 3483
  { PseudoVLOXSEG5EI16_V_MF4_MF4, VLOXSEG5EI16_V }, // 3484
  { PseudoVLOXSEG5EI16_V_MF4_MF4_MASK, VLOXSEG5EI16_V }, // 3485
  { PseudoVLOXSEG5EI16_V_MF4_MF4_TU, VLOXSEG5EI16_V }, // 3486
  { PseudoVLOXSEG5EI16_V_MF4_MF8, VLOXSEG5EI16_V }, // 3487
  { PseudoVLOXSEG5EI16_V_MF4_MF8_MASK, VLOXSEG5EI16_V }, // 3488
  { PseudoVLOXSEG5EI16_V_MF4_MF8_TU, VLOXSEG5EI16_V }, // 3489
  { PseudoVLOXSEG5EI32_V_M1_M1, VLOXSEG5EI32_V }, // 3490
  { PseudoVLOXSEG5EI32_V_M1_M1_MASK, VLOXSEG5EI32_V }, // 3491
  { PseudoVLOXSEG5EI32_V_M1_M1_TU, VLOXSEG5EI32_V }, // 3492
  { PseudoVLOXSEG5EI32_V_M1_MF2, VLOXSEG5EI32_V }, // 3493
  { PseudoVLOXSEG5EI32_V_M1_MF2_MASK, VLOXSEG5EI32_V }, // 3494
  { PseudoVLOXSEG5EI32_V_M1_MF2_TU, VLOXSEG5EI32_V }, // 3495
  { PseudoVLOXSEG5EI32_V_M1_MF4, VLOXSEG5EI32_V }, // 3496
  { PseudoVLOXSEG5EI32_V_M1_MF4_MASK, VLOXSEG5EI32_V }, // 3497
  { PseudoVLOXSEG5EI32_V_M1_MF4_TU, VLOXSEG5EI32_V }, // 3498
  { PseudoVLOXSEG5EI32_V_M2_M1, VLOXSEG5EI32_V }, // 3499
  { PseudoVLOXSEG5EI32_V_M2_M1_MASK, VLOXSEG5EI32_V }, // 3500
  { PseudoVLOXSEG5EI32_V_M2_M1_TU, VLOXSEG5EI32_V }, // 3501
  { PseudoVLOXSEG5EI32_V_M2_MF2, VLOXSEG5EI32_V }, // 3502
  { PseudoVLOXSEG5EI32_V_M2_MF2_MASK, VLOXSEG5EI32_V }, // 3503
  { PseudoVLOXSEG5EI32_V_M2_MF2_TU, VLOXSEG5EI32_V }, // 3504
  { PseudoVLOXSEG5EI32_V_M4_M1, VLOXSEG5EI32_V }, // 3505
  { PseudoVLOXSEG5EI32_V_M4_M1_MASK, VLOXSEG5EI32_V }, // 3506
  { PseudoVLOXSEG5EI32_V_M4_M1_TU, VLOXSEG5EI32_V }, // 3507
  { PseudoVLOXSEG5EI32_V_MF2_M1, VLOXSEG5EI32_V }, // 3508
  { PseudoVLOXSEG5EI32_V_MF2_M1_MASK, VLOXSEG5EI32_V }, // 3509
  { PseudoVLOXSEG5EI32_V_MF2_M1_TU, VLOXSEG5EI32_V }, // 3510
  { PseudoVLOXSEG5EI32_V_MF2_MF2, VLOXSEG5EI32_V }, // 3511
  { PseudoVLOXSEG5EI32_V_MF2_MF2_MASK, VLOXSEG5EI32_V }, // 3512
  { PseudoVLOXSEG5EI32_V_MF2_MF2_TU, VLOXSEG5EI32_V }, // 3513
  { PseudoVLOXSEG5EI32_V_MF2_MF4, VLOXSEG5EI32_V }, // 3514
  { PseudoVLOXSEG5EI32_V_MF2_MF4_MASK, VLOXSEG5EI32_V }, // 3515
  { PseudoVLOXSEG5EI32_V_MF2_MF4_TU, VLOXSEG5EI32_V }, // 3516
  { PseudoVLOXSEG5EI32_V_MF2_MF8, VLOXSEG5EI32_V }, // 3517
  { PseudoVLOXSEG5EI32_V_MF2_MF8_MASK, VLOXSEG5EI32_V }, // 3518
  { PseudoVLOXSEG5EI32_V_MF2_MF8_TU, VLOXSEG5EI32_V }, // 3519
  { PseudoVLOXSEG5EI64_V_M1_M1, VLOXSEG5EI64_V }, // 3520
  { PseudoVLOXSEG5EI64_V_M1_M1_MASK, VLOXSEG5EI64_V }, // 3521
  { PseudoVLOXSEG5EI64_V_M1_M1_TU, VLOXSEG5EI64_V }, // 3522
  { PseudoVLOXSEG5EI64_V_M1_MF2, VLOXSEG5EI64_V }, // 3523
  { PseudoVLOXSEG5EI64_V_M1_MF2_MASK, VLOXSEG5EI64_V }, // 3524
  { PseudoVLOXSEG5EI64_V_M1_MF2_TU, VLOXSEG5EI64_V }, // 3525
  { PseudoVLOXSEG5EI64_V_M1_MF4, VLOXSEG5EI64_V }, // 3526
  { PseudoVLOXSEG5EI64_V_M1_MF4_MASK, VLOXSEG5EI64_V }, // 3527
  { PseudoVLOXSEG5EI64_V_M1_MF4_TU, VLOXSEG5EI64_V }, // 3528
  { PseudoVLOXSEG5EI64_V_M1_MF8, VLOXSEG5EI64_V }, // 3529
  { PseudoVLOXSEG5EI64_V_M1_MF8_MASK, VLOXSEG5EI64_V }, // 3530
  { PseudoVLOXSEG5EI64_V_M1_MF8_TU, VLOXSEG5EI64_V }, // 3531
  { PseudoVLOXSEG5EI64_V_M2_M1, VLOXSEG5EI64_V }, // 3532
  { PseudoVLOXSEG5EI64_V_M2_M1_MASK, VLOXSEG5EI64_V }, // 3533
  { PseudoVLOXSEG5EI64_V_M2_M1_TU, VLOXSEG5EI64_V }, // 3534
  { PseudoVLOXSEG5EI64_V_M2_MF2, VLOXSEG5EI64_V }, // 3535
  { PseudoVLOXSEG5EI64_V_M2_MF2_MASK, VLOXSEG5EI64_V }, // 3536
  { PseudoVLOXSEG5EI64_V_M2_MF2_TU, VLOXSEG5EI64_V }, // 3537
  { PseudoVLOXSEG5EI64_V_M2_MF4, VLOXSEG5EI64_V }, // 3538
  { PseudoVLOXSEG5EI64_V_M2_MF4_MASK, VLOXSEG5EI64_V }, // 3539
  { PseudoVLOXSEG5EI64_V_M2_MF4_TU, VLOXSEG5EI64_V }, // 3540
  { PseudoVLOXSEG5EI64_V_M4_M1, VLOXSEG5EI64_V }, // 3541
  { PseudoVLOXSEG5EI64_V_M4_M1_MASK, VLOXSEG5EI64_V }, // 3542
  { PseudoVLOXSEG5EI64_V_M4_M1_TU, VLOXSEG5EI64_V }, // 3543
  { PseudoVLOXSEG5EI64_V_M4_MF2, VLOXSEG5EI64_V }, // 3544
  { PseudoVLOXSEG5EI64_V_M4_MF2_MASK, VLOXSEG5EI64_V }, // 3545
  { PseudoVLOXSEG5EI64_V_M4_MF2_TU, VLOXSEG5EI64_V }, // 3546
  { PseudoVLOXSEG5EI64_V_M8_M1, VLOXSEG5EI64_V }, // 3547
  { PseudoVLOXSEG5EI64_V_M8_M1_MASK, VLOXSEG5EI64_V }, // 3548
  { PseudoVLOXSEG5EI64_V_M8_M1_TU, VLOXSEG5EI64_V }, // 3549
  { PseudoVLOXSEG5EI8_V_M1_M1, VLOXSEG5EI8_V }, // 3550
  { PseudoVLOXSEG5EI8_V_M1_M1_MASK, VLOXSEG5EI8_V }, // 3551
  { PseudoVLOXSEG5EI8_V_M1_M1_TU, VLOXSEG5EI8_V }, // 3552
  { PseudoVLOXSEG5EI8_V_MF2_M1, VLOXSEG5EI8_V }, // 3553
  { PseudoVLOXSEG5EI8_V_MF2_M1_MASK, VLOXSEG5EI8_V }, // 3554
  { PseudoVLOXSEG5EI8_V_MF2_M1_TU, VLOXSEG5EI8_V }, // 3555
  { PseudoVLOXSEG5EI8_V_MF2_MF2, VLOXSEG5EI8_V }, // 3556
  { PseudoVLOXSEG5EI8_V_MF2_MF2_MASK, VLOXSEG5EI8_V }, // 3557
  { PseudoVLOXSEG5EI8_V_MF2_MF2_TU, VLOXSEG5EI8_V }, // 3558
  { PseudoVLOXSEG5EI8_V_MF4_M1, VLOXSEG5EI8_V }, // 3559
  { PseudoVLOXSEG5EI8_V_MF4_M1_MASK, VLOXSEG5EI8_V }, // 3560
  { PseudoVLOXSEG5EI8_V_MF4_M1_TU, VLOXSEG5EI8_V }, // 3561
  { PseudoVLOXSEG5EI8_V_MF4_MF2, VLOXSEG5EI8_V }, // 3562
  { PseudoVLOXSEG5EI8_V_MF4_MF2_MASK, VLOXSEG5EI8_V }, // 3563
  { PseudoVLOXSEG5EI8_V_MF4_MF2_TU, VLOXSEG5EI8_V }, // 3564
  { PseudoVLOXSEG5EI8_V_MF4_MF4, VLOXSEG5EI8_V }, // 3565
  { PseudoVLOXSEG5EI8_V_MF4_MF4_MASK, VLOXSEG5EI8_V }, // 3566
  { PseudoVLOXSEG5EI8_V_MF4_MF4_TU, VLOXSEG5EI8_V }, // 3567
  { PseudoVLOXSEG5EI8_V_MF8_M1, VLOXSEG5EI8_V }, // 3568
  { PseudoVLOXSEG5EI8_V_MF8_M1_MASK, VLOXSEG5EI8_V }, // 3569
  { PseudoVLOXSEG5EI8_V_MF8_M1_TU, VLOXSEG5EI8_V }, // 3570
  { PseudoVLOXSEG5EI8_V_MF8_MF2, VLOXSEG5EI8_V }, // 3571
  { PseudoVLOXSEG5EI8_V_MF8_MF2_MASK, VLOXSEG5EI8_V }, // 3572
  { PseudoVLOXSEG5EI8_V_MF8_MF2_TU, VLOXSEG5EI8_V }, // 3573
  { PseudoVLOXSEG5EI8_V_MF8_MF4, VLOXSEG5EI8_V }, // 3574
  { PseudoVLOXSEG5EI8_V_MF8_MF4_MASK, VLOXSEG5EI8_V }, // 3575
  { PseudoVLOXSEG5EI8_V_MF8_MF4_TU, VLOXSEG5EI8_V }, // 3576
  { PseudoVLOXSEG5EI8_V_MF8_MF8, VLOXSEG5EI8_V }, // 3577
  { PseudoVLOXSEG5EI8_V_MF8_MF8_MASK, VLOXSEG5EI8_V }, // 3578
  { PseudoVLOXSEG5EI8_V_MF8_MF8_TU, VLOXSEG5EI8_V }, // 3579
  { PseudoVLOXSEG6EI16_V_M1_M1, VLOXSEG6EI16_V }, // 3580
  { PseudoVLOXSEG6EI16_V_M1_M1_MASK, VLOXSEG6EI16_V }, // 3581
  { PseudoVLOXSEG6EI16_V_M1_M1_TU, VLOXSEG6EI16_V }, // 3582
  { PseudoVLOXSEG6EI16_V_M1_MF2, VLOXSEG6EI16_V }, // 3583
  { PseudoVLOXSEG6EI16_V_M1_MF2_MASK, VLOXSEG6EI16_V }, // 3584
  { PseudoVLOXSEG6EI16_V_M1_MF2_TU, VLOXSEG6EI16_V }, // 3585
  { PseudoVLOXSEG6EI16_V_M2_M1, VLOXSEG6EI16_V }, // 3586
  { PseudoVLOXSEG6EI16_V_M2_M1_MASK, VLOXSEG6EI16_V }, // 3587
  { PseudoVLOXSEG6EI16_V_M2_M1_TU, VLOXSEG6EI16_V }, // 3588
  { PseudoVLOXSEG6EI16_V_MF2_M1, VLOXSEG6EI16_V }, // 3589
  { PseudoVLOXSEG6EI16_V_MF2_M1_MASK, VLOXSEG6EI16_V }, // 3590
  { PseudoVLOXSEG6EI16_V_MF2_M1_TU, VLOXSEG6EI16_V }, // 3591
  { PseudoVLOXSEG6EI16_V_MF2_MF2, VLOXSEG6EI16_V }, // 3592
  { PseudoVLOXSEG6EI16_V_MF2_MF2_MASK, VLOXSEG6EI16_V }, // 3593
  { PseudoVLOXSEG6EI16_V_MF2_MF2_TU, VLOXSEG6EI16_V }, // 3594
  { PseudoVLOXSEG6EI16_V_MF2_MF4, VLOXSEG6EI16_V }, // 3595
  { PseudoVLOXSEG6EI16_V_MF2_MF4_MASK, VLOXSEG6EI16_V }, // 3596
  { PseudoVLOXSEG6EI16_V_MF2_MF4_TU, VLOXSEG6EI16_V }, // 3597
  { PseudoVLOXSEG6EI16_V_MF4_M1, VLOXSEG6EI16_V }, // 3598
  { PseudoVLOXSEG6EI16_V_MF4_M1_MASK, VLOXSEG6EI16_V }, // 3599
  { PseudoVLOXSEG6EI16_V_MF4_M1_TU, VLOXSEG6EI16_V }, // 3600
  { PseudoVLOXSEG6EI16_V_MF4_MF2, VLOXSEG6EI16_V }, // 3601
  { PseudoVLOXSEG6EI16_V_MF4_MF2_MASK, VLOXSEG6EI16_V }, // 3602
  { PseudoVLOXSEG6EI16_V_MF4_MF2_TU, VLOXSEG6EI16_V }, // 3603
  { PseudoVLOXSEG6EI16_V_MF4_MF4, VLOXSEG6EI16_V }, // 3604
  { PseudoVLOXSEG6EI16_V_MF4_MF4_MASK, VLOXSEG6EI16_V }, // 3605
  { PseudoVLOXSEG6EI16_V_MF4_MF4_TU, VLOXSEG6EI16_V }, // 3606
  { PseudoVLOXSEG6EI16_V_MF4_MF8, VLOXSEG6EI16_V }, // 3607
  { PseudoVLOXSEG6EI16_V_MF4_MF8_MASK, VLOXSEG6EI16_V }, // 3608
  { PseudoVLOXSEG6EI16_V_MF4_MF8_TU, VLOXSEG6EI16_V }, // 3609
  { PseudoVLOXSEG6EI32_V_M1_M1, VLOXSEG6EI32_V }, // 3610
  { PseudoVLOXSEG6EI32_V_M1_M1_MASK, VLOXSEG6EI32_V }, // 3611
  { PseudoVLOXSEG6EI32_V_M1_M1_TU, VLOXSEG6EI32_V }, // 3612
  { PseudoVLOXSEG6EI32_V_M1_MF2, VLOXSEG6EI32_V }, // 3613
  { PseudoVLOXSEG6EI32_V_M1_MF2_MASK, VLOXSEG6EI32_V }, // 3614
  { PseudoVLOXSEG6EI32_V_M1_MF2_TU, VLOXSEG6EI32_V }, // 3615
  { PseudoVLOXSEG6EI32_V_M1_MF4, VLOXSEG6EI32_V }, // 3616
  { PseudoVLOXSEG6EI32_V_M1_MF4_MASK, VLOXSEG6EI32_V }, // 3617
  { PseudoVLOXSEG6EI32_V_M1_MF4_TU, VLOXSEG6EI32_V }, // 3618
  { PseudoVLOXSEG6EI32_V_M2_M1, VLOXSEG6EI32_V }, // 3619
  { PseudoVLOXSEG6EI32_V_M2_M1_MASK, VLOXSEG6EI32_V }, // 3620
  { PseudoVLOXSEG6EI32_V_M2_M1_TU, VLOXSEG6EI32_V }, // 3621
  { PseudoVLOXSEG6EI32_V_M2_MF2, VLOXSEG6EI32_V }, // 3622
  { PseudoVLOXSEG6EI32_V_M2_MF2_MASK, VLOXSEG6EI32_V }, // 3623
  { PseudoVLOXSEG6EI32_V_M2_MF2_TU, VLOXSEG6EI32_V }, // 3624
  { PseudoVLOXSEG6EI32_V_M4_M1, VLOXSEG6EI32_V }, // 3625
  { PseudoVLOXSEG6EI32_V_M4_M1_MASK, VLOXSEG6EI32_V }, // 3626
  { PseudoVLOXSEG6EI32_V_M4_M1_TU, VLOXSEG6EI32_V }, // 3627
  { PseudoVLOXSEG6EI32_V_MF2_M1, VLOXSEG6EI32_V }, // 3628
  { PseudoVLOXSEG6EI32_V_MF2_M1_MASK, VLOXSEG6EI32_V }, // 3629
  { PseudoVLOXSEG6EI32_V_MF2_M1_TU, VLOXSEG6EI32_V }, // 3630
  { PseudoVLOXSEG6EI32_V_MF2_MF2, VLOXSEG6EI32_V }, // 3631
  { PseudoVLOXSEG6EI32_V_MF2_MF2_MASK, VLOXSEG6EI32_V }, // 3632
  { PseudoVLOXSEG6EI32_V_MF2_MF2_TU, VLOXSEG6EI32_V }, // 3633
  { PseudoVLOXSEG6EI32_V_MF2_MF4, VLOXSEG6EI32_V }, // 3634
  { PseudoVLOXSEG6EI32_V_MF2_MF4_MASK, VLOXSEG6EI32_V }, // 3635
  { PseudoVLOXSEG6EI32_V_MF2_MF4_TU, VLOXSEG6EI32_V }, // 3636
  { PseudoVLOXSEG6EI32_V_MF2_MF8, VLOXSEG6EI32_V }, // 3637
  { PseudoVLOXSEG6EI32_V_MF2_MF8_MASK, VLOXSEG6EI32_V }, // 3638
  { PseudoVLOXSEG6EI32_V_MF2_MF8_TU, VLOXSEG6EI32_V }, // 3639
  { PseudoVLOXSEG6EI64_V_M1_M1, VLOXSEG6EI64_V }, // 3640
  { PseudoVLOXSEG6EI64_V_M1_M1_MASK, VLOXSEG6EI64_V }, // 3641
  { PseudoVLOXSEG6EI64_V_M1_M1_TU, VLOXSEG6EI64_V }, // 3642
  { PseudoVLOXSEG6EI64_V_M1_MF2, VLOXSEG6EI64_V }, // 3643
  { PseudoVLOXSEG6EI64_V_M1_MF2_MASK, VLOXSEG6EI64_V }, // 3644
  { PseudoVLOXSEG6EI64_V_M1_MF2_TU, VLOXSEG6EI64_V }, // 3645
  { PseudoVLOXSEG6EI64_V_M1_MF4, VLOXSEG6EI64_V }, // 3646
  { PseudoVLOXSEG6EI64_V_M1_MF4_MASK, VLOXSEG6EI64_V }, // 3647
  { PseudoVLOXSEG6EI64_V_M1_MF4_TU, VLOXSEG6EI64_V }, // 3648
  { PseudoVLOXSEG6EI64_V_M1_MF8, VLOXSEG6EI64_V }, // 3649
  { PseudoVLOXSEG6EI64_V_M1_MF8_MASK, VLOXSEG6EI64_V }, // 3650
  { PseudoVLOXSEG6EI64_V_M1_MF8_TU, VLOXSEG6EI64_V }, // 3651
  { PseudoVLOXSEG6EI64_V_M2_M1, VLOXSEG6EI64_V }, // 3652
  { PseudoVLOXSEG6EI64_V_M2_M1_MASK, VLOXSEG6EI64_V }, // 3653
  { PseudoVLOXSEG6EI64_V_M2_M1_TU, VLOXSEG6EI64_V }, // 3654
  { PseudoVLOXSEG6EI64_V_M2_MF2, VLOXSEG6EI64_V }, // 3655
  { PseudoVLOXSEG6EI64_V_M2_MF2_MASK, VLOXSEG6EI64_V }, // 3656
  { PseudoVLOXSEG6EI64_V_M2_MF2_TU, VLOXSEG6EI64_V }, // 3657
  { PseudoVLOXSEG6EI64_V_M2_MF4, VLOXSEG6EI64_V }, // 3658
  { PseudoVLOXSEG6EI64_V_M2_MF4_MASK, VLOXSEG6EI64_V }, // 3659
  { PseudoVLOXSEG6EI64_V_M2_MF4_TU, VLOXSEG6EI64_V }, // 3660
  { PseudoVLOXSEG6EI64_V_M4_M1, VLOXSEG6EI64_V }, // 3661
  { PseudoVLOXSEG6EI64_V_M4_M1_MASK, VLOXSEG6EI64_V }, // 3662
  { PseudoVLOXSEG6EI64_V_M4_M1_TU, VLOXSEG6EI64_V }, // 3663
  { PseudoVLOXSEG6EI64_V_M4_MF2, VLOXSEG6EI64_V }, // 3664
  { PseudoVLOXSEG6EI64_V_M4_MF2_MASK, VLOXSEG6EI64_V }, // 3665
  { PseudoVLOXSEG6EI64_V_M4_MF2_TU, VLOXSEG6EI64_V }, // 3666
  { PseudoVLOXSEG6EI64_V_M8_M1, VLOXSEG6EI64_V }, // 3667
  { PseudoVLOXSEG6EI64_V_M8_M1_MASK, VLOXSEG6EI64_V }, // 3668
  { PseudoVLOXSEG6EI64_V_M8_M1_TU, VLOXSEG6EI64_V }, // 3669
  { PseudoVLOXSEG6EI8_V_M1_M1, VLOXSEG6EI8_V }, // 3670
  { PseudoVLOXSEG6EI8_V_M1_M1_MASK, VLOXSEG6EI8_V }, // 3671
  { PseudoVLOXSEG6EI8_V_M1_M1_TU, VLOXSEG6EI8_V }, // 3672
  { PseudoVLOXSEG6EI8_V_MF2_M1, VLOXSEG6EI8_V }, // 3673
  { PseudoVLOXSEG6EI8_V_MF2_M1_MASK, VLOXSEG6EI8_V }, // 3674
  { PseudoVLOXSEG6EI8_V_MF2_M1_TU, VLOXSEG6EI8_V }, // 3675
  { PseudoVLOXSEG6EI8_V_MF2_MF2, VLOXSEG6EI8_V }, // 3676
  { PseudoVLOXSEG6EI8_V_MF2_MF2_MASK, VLOXSEG6EI8_V }, // 3677
  { PseudoVLOXSEG6EI8_V_MF2_MF2_TU, VLOXSEG6EI8_V }, // 3678
  { PseudoVLOXSEG6EI8_V_MF4_M1, VLOXSEG6EI8_V }, // 3679
  { PseudoVLOXSEG6EI8_V_MF4_M1_MASK, VLOXSEG6EI8_V }, // 3680
  { PseudoVLOXSEG6EI8_V_MF4_M1_TU, VLOXSEG6EI8_V }, // 3681
  { PseudoVLOXSEG6EI8_V_MF4_MF2, VLOXSEG6EI8_V }, // 3682
  { PseudoVLOXSEG6EI8_V_MF4_MF2_MASK, VLOXSEG6EI8_V }, // 3683
  { PseudoVLOXSEG6EI8_V_MF4_MF2_TU, VLOXSEG6EI8_V }, // 3684
  { PseudoVLOXSEG6EI8_V_MF4_MF4, VLOXSEG6EI8_V }, // 3685
  { PseudoVLOXSEG6EI8_V_MF4_MF4_MASK, VLOXSEG6EI8_V }, // 3686
  { PseudoVLOXSEG6EI8_V_MF4_MF4_TU, VLOXSEG6EI8_V }, // 3687
  { PseudoVLOXSEG6EI8_V_MF8_M1, VLOXSEG6EI8_V }, // 3688
  { PseudoVLOXSEG6EI8_V_MF8_M1_MASK, VLOXSEG6EI8_V }, // 3689
  { PseudoVLOXSEG6EI8_V_MF8_M1_TU, VLOXSEG6EI8_V }, // 3690
  { PseudoVLOXSEG6EI8_V_MF8_MF2, VLOXSEG6EI8_V }, // 3691
  { PseudoVLOXSEG6EI8_V_MF8_MF2_MASK, VLOXSEG6EI8_V }, // 3692
  { PseudoVLOXSEG6EI8_V_MF8_MF2_TU, VLOXSEG6EI8_V }, // 3693
  { PseudoVLOXSEG6EI8_V_MF8_MF4, VLOXSEG6EI8_V }, // 3694
  { PseudoVLOXSEG6EI8_V_MF8_MF4_MASK, VLOXSEG6EI8_V }, // 3695
  { PseudoVLOXSEG6EI8_V_MF8_MF4_TU, VLOXSEG6EI8_V }, // 3696
  { PseudoVLOXSEG6EI8_V_MF8_MF8, VLOXSEG6EI8_V }, // 3697
  { PseudoVLOXSEG6EI8_V_MF8_MF8_MASK, VLOXSEG6EI8_V }, // 3698
  { PseudoVLOXSEG6EI8_V_MF8_MF8_TU, VLOXSEG6EI8_V }, // 3699
  { PseudoVLOXSEG7EI16_V_M1_M1, VLOXSEG7EI16_V }, // 3700
  { PseudoVLOXSEG7EI16_V_M1_M1_MASK, VLOXSEG7EI16_V }, // 3701
  { PseudoVLOXSEG7EI16_V_M1_M1_TU, VLOXSEG7EI16_V }, // 3702
  { PseudoVLOXSEG7EI16_V_M1_MF2, VLOXSEG7EI16_V }, // 3703
  { PseudoVLOXSEG7EI16_V_M1_MF2_MASK, VLOXSEG7EI16_V }, // 3704
  { PseudoVLOXSEG7EI16_V_M1_MF2_TU, VLOXSEG7EI16_V }, // 3705
  { PseudoVLOXSEG7EI16_V_M2_M1, VLOXSEG7EI16_V }, // 3706
  { PseudoVLOXSEG7EI16_V_M2_M1_MASK, VLOXSEG7EI16_V }, // 3707
  { PseudoVLOXSEG7EI16_V_M2_M1_TU, VLOXSEG7EI16_V }, // 3708
  { PseudoVLOXSEG7EI16_V_MF2_M1, VLOXSEG7EI16_V }, // 3709
  { PseudoVLOXSEG7EI16_V_MF2_M1_MASK, VLOXSEG7EI16_V }, // 3710
  { PseudoVLOXSEG7EI16_V_MF2_M1_TU, VLOXSEG7EI16_V }, // 3711
  { PseudoVLOXSEG7EI16_V_MF2_MF2, VLOXSEG7EI16_V }, // 3712
  { PseudoVLOXSEG7EI16_V_MF2_MF2_MASK, VLOXSEG7EI16_V }, // 3713
  { PseudoVLOXSEG7EI16_V_MF2_MF2_TU, VLOXSEG7EI16_V }, // 3714
  { PseudoVLOXSEG7EI16_V_MF2_MF4, VLOXSEG7EI16_V }, // 3715
  { PseudoVLOXSEG7EI16_V_MF2_MF4_MASK, VLOXSEG7EI16_V }, // 3716
  { PseudoVLOXSEG7EI16_V_MF2_MF4_TU, VLOXSEG7EI16_V }, // 3717
  { PseudoVLOXSEG7EI16_V_MF4_M1, VLOXSEG7EI16_V }, // 3718
  { PseudoVLOXSEG7EI16_V_MF4_M1_MASK, VLOXSEG7EI16_V }, // 3719
  { PseudoVLOXSEG7EI16_V_MF4_M1_TU, VLOXSEG7EI16_V }, // 3720
  { PseudoVLOXSEG7EI16_V_MF4_MF2, VLOXSEG7EI16_V }, // 3721
  { PseudoVLOXSEG7EI16_V_MF4_MF2_MASK, VLOXSEG7EI16_V }, // 3722
  { PseudoVLOXSEG7EI16_V_MF4_MF2_TU, VLOXSEG7EI16_V }, // 3723
  { PseudoVLOXSEG7EI16_V_MF4_MF4, VLOXSEG7EI16_V }, // 3724
  { PseudoVLOXSEG7EI16_V_MF4_MF4_MASK, VLOXSEG7EI16_V }, // 3725
  { PseudoVLOXSEG7EI16_V_MF4_MF4_TU, VLOXSEG7EI16_V }, // 3726
  { PseudoVLOXSEG7EI16_V_MF4_MF8, VLOXSEG7EI16_V }, // 3727
  { PseudoVLOXSEG7EI16_V_MF4_MF8_MASK, VLOXSEG7EI16_V }, // 3728
  { PseudoVLOXSEG7EI16_V_MF4_MF8_TU, VLOXSEG7EI16_V }, // 3729
  { PseudoVLOXSEG7EI32_V_M1_M1, VLOXSEG7EI32_V }, // 3730
  { PseudoVLOXSEG7EI32_V_M1_M1_MASK, VLOXSEG7EI32_V }, // 3731
  { PseudoVLOXSEG7EI32_V_M1_M1_TU, VLOXSEG7EI32_V }, // 3732
  { PseudoVLOXSEG7EI32_V_M1_MF2, VLOXSEG7EI32_V }, // 3733
  { PseudoVLOXSEG7EI32_V_M1_MF2_MASK, VLOXSEG7EI32_V }, // 3734
  { PseudoVLOXSEG7EI32_V_M1_MF2_TU, VLOXSEG7EI32_V }, // 3735
  { PseudoVLOXSEG7EI32_V_M1_MF4, VLOXSEG7EI32_V }, // 3736
  { PseudoVLOXSEG7EI32_V_M1_MF4_MASK, VLOXSEG7EI32_V }, // 3737
  { PseudoVLOXSEG7EI32_V_M1_MF4_TU, VLOXSEG7EI32_V }, // 3738
  { PseudoVLOXSEG7EI32_V_M2_M1, VLOXSEG7EI32_V }, // 3739
  { PseudoVLOXSEG7EI32_V_M2_M1_MASK, VLOXSEG7EI32_V }, // 3740
  { PseudoVLOXSEG7EI32_V_M2_M1_TU, VLOXSEG7EI32_V }, // 3741
  { PseudoVLOXSEG7EI32_V_M2_MF2, VLOXSEG7EI32_V }, // 3742
  { PseudoVLOXSEG7EI32_V_M2_MF2_MASK, VLOXSEG7EI32_V }, // 3743
  { PseudoVLOXSEG7EI32_V_M2_MF2_TU, VLOXSEG7EI32_V }, // 3744
  { PseudoVLOXSEG7EI32_V_M4_M1, VLOXSEG7EI32_V }, // 3745
  { PseudoVLOXSEG7EI32_V_M4_M1_MASK, VLOXSEG7EI32_V }, // 3746
  { PseudoVLOXSEG7EI32_V_M4_M1_TU, VLOXSEG7EI32_V }, // 3747
  { PseudoVLOXSEG7EI32_V_MF2_M1, VLOXSEG7EI32_V }, // 3748
  { PseudoVLOXSEG7EI32_V_MF2_M1_MASK, VLOXSEG7EI32_V }, // 3749
  { PseudoVLOXSEG7EI32_V_MF2_M1_TU, VLOXSEG7EI32_V }, // 3750
  { PseudoVLOXSEG7EI32_V_MF2_MF2, VLOXSEG7EI32_V }, // 3751
  { PseudoVLOXSEG7EI32_V_MF2_MF2_MASK, VLOXSEG7EI32_V }, // 3752
  { PseudoVLOXSEG7EI32_V_MF2_MF2_TU, VLOXSEG7EI32_V }, // 3753
  { PseudoVLOXSEG7EI32_V_MF2_MF4, VLOXSEG7EI32_V }, // 3754
  { PseudoVLOXSEG7EI32_V_MF2_MF4_MASK, VLOXSEG7EI32_V }, // 3755
  { PseudoVLOXSEG7EI32_V_MF2_MF4_TU, VLOXSEG7EI32_V }, // 3756
  { PseudoVLOXSEG7EI32_V_MF2_MF8, VLOXSEG7EI32_V }, // 3757
  { PseudoVLOXSEG7EI32_V_MF2_MF8_MASK, VLOXSEG7EI32_V }, // 3758
  { PseudoVLOXSEG7EI32_V_MF2_MF8_TU, VLOXSEG7EI32_V }, // 3759
  { PseudoVLOXSEG7EI64_V_M1_M1, VLOXSEG7EI64_V }, // 3760
  { PseudoVLOXSEG7EI64_V_M1_M1_MASK, VLOXSEG7EI64_V }, // 3761
  { PseudoVLOXSEG7EI64_V_M1_M1_TU, VLOXSEG7EI64_V }, // 3762
  { PseudoVLOXSEG7EI64_V_M1_MF2, VLOXSEG7EI64_V }, // 3763
  { PseudoVLOXSEG7EI64_V_M1_MF2_MASK, VLOXSEG7EI64_V }, // 3764
  { PseudoVLOXSEG7EI64_V_M1_MF2_TU, VLOXSEG7EI64_V }, // 3765
  { PseudoVLOXSEG7EI64_V_M1_MF4, VLOXSEG7EI64_V }, // 3766
  { PseudoVLOXSEG7EI64_V_M1_MF4_MASK, VLOXSEG7EI64_V }, // 3767
  { PseudoVLOXSEG7EI64_V_M1_MF4_TU, VLOXSEG7EI64_V }, // 3768
  { PseudoVLOXSEG7EI64_V_M1_MF8, VLOXSEG7EI64_V }, // 3769
  { PseudoVLOXSEG7EI64_V_M1_MF8_MASK, VLOXSEG7EI64_V }, // 3770
  { PseudoVLOXSEG7EI64_V_M1_MF8_TU, VLOXSEG7EI64_V }, // 3771
  { PseudoVLOXSEG7EI64_V_M2_M1, VLOXSEG7EI64_V }, // 3772
  { PseudoVLOXSEG7EI64_V_M2_M1_MASK, VLOXSEG7EI64_V }, // 3773
  { PseudoVLOXSEG7EI64_V_M2_M1_TU, VLOXSEG7EI64_V }, // 3774
  { PseudoVLOXSEG7EI64_V_M2_MF2, VLOXSEG7EI64_V }, // 3775
  { PseudoVLOXSEG7EI64_V_M2_MF2_MASK, VLOXSEG7EI64_V }, // 3776
  { PseudoVLOXSEG7EI64_V_M2_MF2_TU, VLOXSEG7EI64_V }, // 3777
  { PseudoVLOXSEG7EI64_V_M2_MF4, VLOXSEG7EI64_V }, // 3778
  { PseudoVLOXSEG7EI64_V_M2_MF4_MASK, VLOXSEG7EI64_V }, // 3779
  { PseudoVLOXSEG7EI64_V_M2_MF4_TU, VLOXSEG7EI64_V }, // 3780
  { PseudoVLOXSEG7EI64_V_M4_M1, VLOXSEG7EI64_V }, // 3781
  { PseudoVLOXSEG7EI64_V_M4_M1_MASK, VLOXSEG7EI64_V }, // 3782
  { PseudoVLOXSEG7EI64_V_M4_M1_TU, VLOXSEG7EI64_V }, // 3783
  { PseudoVLOXSEG7EI64_V_M4_MF2, VLOXSEG7EI64_V }, // 3784
  { PseudoVLOXSEG7EI64_V_M4_MF2_MASK, VLOXSEG7EI64_V }, // 3785
  { PseudoVLOXSEG7EI64_V_M4_MF2_TU, VLOXSEG7EI64_V }, // 3786
  { PseudoVLOXSEG7EI64_V_M8_M1, VLOXSEG7EI64_V }, // 3787
  { PseudoVLOXSEG7EI64_V_M8_M1_MASK, VLOXSEG7EI64_V }, // 3788
  { PseudoVLOXSEG7EI64_V_M8_M1_TU, VLOXSEG7EI64_V }, // 3789
  { PseudoVLOXSEG7EI8_V_M1_M1, VLOXSEG7EI8_V }, // 3790
  { PseudoVLOXSEG7EI8_V_M1_M1_MASK, VLOXSEG7EI8_V }, // 3791
  { PseudoVLOXSEG7EI8_V_M1_M1_TU, VLOXSEG7EI8_V }, // 3792
  { PseudoVLOXSEG7EI8_V_MF2_M1, VLOXSEG7EI8_V }, // 3793
  { PseudoVLOXSEG7EI8_V_MF2_M1_MASK, VLOXSEG7EI8_V }, // 3794
  { PseudoVLOXSEG7EI8_V_MF2_M1_TU, VLOXSEG7EI8_V }, // 3795
  { PseudoVLOXSEG7EI8_V_MF2_MF2, VLOXSEG7EI8_V }, // 3796
  { PseudoVLOXSEG7EI8_V_MF2_MF2_MASK, VLOXSEG7EI8_V }, // 3797
  { PseudoVLOXSEG7EI8_V_MF2_MF2_TU, VLOXSEG7EI8_V }, // 3798
  { PseudoVLOXSEG7EI8_V_MF4_M1, VLOXSEG7EI8_V }, // 3799
  { PseudoVLOXSEG7EI8_V_MF4_M1_MASK, VLOXSEG7EI8_V }, // 3800
  { PseudoVLOXSEG7EI8_V_MF4_M1_TU, VLOXSEG7EI8_V }, // 3801
  { PseudoVLOXSEG7EI8_V_MF4_MF2, VLOXSEG7EI8_V }, // 3802
  { PseudoVLOXSEG7EI8_V_MF4_MF2_MASK, VLOXSEG7EI8_V }, // 3803
  { PseudoVLOXSEG7EI8_V_MF4_MF2_TU, VLOXSEG7EI8_V }, // 3804
  { PseudoVLOXSEG7EI8_V_MF4_MF4, VLOXSEG7EI8_V }, // 3805
  { PseudoVLOXSEG7EI8_V_MF4_MF4_MASK, VLOXSEG7EI8_V }, // 3806
  { PseudoVLOXSEG7EI8_V_MF4_MF4_TU, VLOXSEG7EI8_V }, // 3807
  { PseudoVLOXSEG7EI8_V_MF8_M1, VLOXSEG7EI8_V }, // 3808
  { PseudoVLOXSEG7EI8_V_MF8_M1_MASK, VLOXSEG7EI8_V }, // 3809
  { PseudoVLOXSEG7EI8_V_MF8_M1_TU, VLOXSEG7EI8_V }, // 3810
  { PseudoVLOXSEG7EI8_V_MF8_MF2, VLOXSEG7EI8_V }, // 3811
  { PseudoVLOXSEG7EI8_V_MF8_MF2_MASK, VLOXSEG7EI8_V }, // 3812
  { PseudoVLOXSEG7EI8_V_MF8_MF2_TU, VLOXSEG7EI8_V }, // 3813
  { PseudoVLOXSEG7EI8_V_MF8_MF4, VLOXSEG7EI8_V }, // 3814
  { PseudoVLOXSEG7EI8_V_MF8_MF4_MASK, VLOXSEG7EI8_V }, // 3815
  { PseudoVLOXSEG7EI8_V_MF8_MF4_TU, VLOXSEG7EI8_V }, // 3816
  { PseudoVLOXSEG7EI8_V_MF8_MF8, VLOXSEG7EI8_V }, // 3817
  { PseudoVLOXSEG7EI8_V_MF8_MF8_MASK, VLOXSEG7EI8_V }, // 3818
  { PseudoVLOXSEG7EI8_V_MF8_MF8_TU, VLOXSEG7EI8_V }, // 3819
  { PseudoVLOXSEG8EI16_V_M1_M1, VLOXSEG8EI16_V }, // 3820
  { PseudoVLOXSEG8EI16_V_M1_M1_MASK, VLOXSEG8EI16_V }, // 3821
  { PseudoVLOXSEG8EI16_V_M1_M1_TU, VLOXSEG8EI16_V }, // 3822
  { PseudoVLOXSEG8EI16_V_M1_MF2, VLOXSEG8EI16_V }, // 3823
  { PseudoVLOXSEG8EI16_V_M1_MF2_MASK, VLOXSEG8EI16_V }, // 3824
  { PseudoVLOXSEG8EI16_V_M1_MF2_TU, VLOXSEG8EI16_V }, // 3825
  { PseudoVLOXSEG8EI16_V_M2_M1, VLOXSEG8EI16_V }, // 3826
  { PseudoVLOXSEG8EI16_V_M2_M1_MASK, VLOXSEG8EI16_V }, // 3827
  { PseudoVLOXSEG8EI16_V_M2_M1_TU, VLOXSEG8EI16_V }, // 3828
  { PseudoVLOXSEG8EI16_V_MF2_M1, VLOXSEG8EI16_V }, // 3829
  { PseudoVLOXSEG8EI16_V_MF2_M1_MASK, VLOXSEG8EI16_V }, // 3830
  { PseudoVLOXSEG8EI16_V_MF2_M1_TU, VLOXSEG8EI16_V }, // 3831
  { PseudoVLOXSEG8EI16_V_MF2_MF2, VLOXSEG8EI16_V }, // 3832
  { PseudoVLOXSEG8EI16_V_MF2_MF2_MASK, VLOXSEG8EI16_V }, // 3833
  { PseudoVLOXSEG8EI16_V_MF2_MF2_TU, VLOXSEG8EI16_V }, // 3834
  { PseudoVLOXSEG8EI16_V_MF2_MF4, VLOXSEG8EI16_V }, // 3835
  { PseudoVLOXSEG8EI16_V_MF2_MF4_MASK, VLOXSEG8EI16_V }, // 3836
  { PseudoVLOXSEG8EI16_V_MF2_MF4_TU, VLOXSEG8EI16_V }, // 3837
  { PseudoVLOXSEG8EI16_V_MF4_M1, VLOXSEG8EI16_V }, // 3838
  { PseudoVLOXSEG8EI16_V_MF4_M1_MASK, VLOXSEG8EI16_V }, // 3839
  { PseudoVLOXSEG8EI16_V_MF4_M1_TU, VLOXSEG8EI16_V }, // 3840
  { PseudoVLOXSEG8EI16_V_MF4_MF2, VLOXSEG8EI16_V }, // 3841
  { PseudoVLOXSEG8EI16_V_MF4_MF2_MASK, VLOXSEG8EI16_V }, // 3842
  { PseudoVLOXSEG8EI16_V_MF4_MF2_TU, VLOXSEG8EI16_V }, // 3843
  { PseudoVLOXSEG8EI16_V_MF4_MF4, VLOXSEG8EI16_V }, // 3844
  { PseudoVLOXSEG8EI16_V_MF4_MF4_MASK, VLOXSEG8EI16_V }, // 3845
  { PseudoVLOXSEG8EI16_V_MF4_MF4_TU, VLOXSEG8EI16_V }, // 3846
  { PseudoVLOXSEG8EI16_V_MF4_MF8, VLOXSEG8EI16_V }, // 3847
  { PseudoVLOXSEG8EI16_V_MF4_MF8_MASK, VLOXSEG8EI16_V }, // 3848
  { PseudoVLOXSEG8EI16_V_MF4_MF8_TU, VLOXSEG8EI16_V }, // 3849
  { PseudoVLOXSEG8EI32_V_M1_M1, VLOXSEG8EI32_V }, // 3850
  { PseudoVLOXSEG8EI32_V_M1_M1_MASK, VLOXSEG8EI32_V }, // 3851
  { PseudoVLOXSEG8EI32_V_M1_M1_TU, VLOXSEG8EI32_V }, // 3852
  { PseudoVLOXSEG8EI32_V_M1_MF2, VLOXSEG8EI32_V }, // 3853
  { PseudoVLOXSEG8EI32_V_M1_MF2_MASK, VLOXSEG8EI32_V }, // 3854
  { PseudoVLOXSEG8EI32_V_M1_MF2_TU, VLOXSEG8EI32_V }, // 3855
  { PseudoVLOXSEG8EI32_V_M1_MF4, VLOXSEG8EI32_V }, // 3856
  { PseudoVLOXSEG8EI32_V_M1_MF4_MASK, VLOXSEG8EI32_V }, // 3857
  { PseudoVLOXSEG8EI32_V_M1_MF4_TU, VLOXSEG8EI32_V }, // 3858
  { PseudoVLOXSEG8EI32_V_M2_M1, VLOXSEG8EI32_V }, // 3859
  { PseudoVLOXSEG8EI32_V_M2_M1_MASK, VLOXSEG8EI32_V }, // 3860
  { PseudoVLOXSEG8EI32_V_M2_M1_TU, VLOXSEG8EI32_V }, // 3861
  { PseudoVLOXSEG8EI32_V_M2_MF2, VLOXSEG8EI32_V }, // 3862
  { PseudoVLOXSEG8EI32_V_M2_MF2_MASK, VLOXSEG8EI32_V }, // 3863
  { PseudoVLOXSEG8EI32_V_M2_MF2_TU, VLOXSEG8EI32_V }, // 3864
  { PseudoVLOXSEG8EI32_V_M4_M1, VLOXSEG8EI32_V }, // 3865
  { PseudoVLOXSEG8EI32_V_M4_M1_MASK, VLOXSEG8EI32_V }, // 3866
  { PseudoVLOXSEG8EI32_V_M4_M1_TU, VLOXSEG8EI32_V }, // 3867
  { PseudoVLOXSEG8EI32_V_MF2_M1, VLOXSEG8EI32_V }, // 3868
  { PseudoVLOXSEG8EI32_V_MF2_M1_MASK, VLOXSEG8EI32_V }, // 3869
  { PseudoVLOXSEG8EI32_V_MF2_M1_TU, VLOXSEG8EI32_V }, // 3870
  { PseudoVLOXSEG8EI32_V_MF2_MF2, VLOXSEG8EI32_V }, // 3871
  { PseudoVLOXSEG8EI32_V_MF2_MF2_MASK, VLOXSEG8EI32_V }, // 3872
  { PseudoVLOXSEG8EI32_V_MF2_MF2_TU, VLOXSEG8EI32_V }, // 3873
  { PseudoVLOXSEG8EI32_V_MF2_MF4, VLOXSEG8EI32_V }, // 3874
  { PseudoVLOXSEG8EI32_V_MF2_MF4_MASK, VLOXSEG8EI32_V }, // 3875
  { PseudoVLOXSEG8EI32_V_MF2_MF4_TU, VLOXSEG8EI32_V }, // 3876
  { PseudoVLOXSEG8EI32_V_MF2_MF8, VLOXSEG8EI32_V }, // 3877
  { PseudoVLOXSEG8EI32_V_MF2_MF8_MASK, VLOXSEG8EI32_V }, // 3878
  { PseudoVLOXSEG8EI32_V_MF2_MF8_TU, VLOXSEG8EI32_V }, // 3879
  { PseudoVLOXSEG8EI64_V_M1_M1, VLOXSEG8EI64_V }, // 3880
  { PseudoVLOXSEG8EI64_V_M1_M1_MASK, VLOXSEG8EI64_V }, // 3881
  { PseudoVLOXSEG8EI64_V_M1_M1_TU, VLOXSEG8EI64_V }, // 3882
  { PseudoVLOXSEG8EI64_V_M1_MF2, VLOXSEG8EI64_V }, // 3883
  { PseudoVLOXSEG8EI64_V_M1_MF2_MASK, VLOXSEG8EI64_V }, // 3884
  { PseudoVLOXSEG8EI64_V_M1_MF2_TU, VLOXSEG8EI64_V }, // 3885
  { PseudoVLOXSEG8EI64_V_M1_MF4, VLOXSEG8EI64_V }, // 3886
  { PseudoVLOXSEG8EI64_V_M1_MF4_MASK, VLOXSEG8EI64_V }, // 3887
  { PseudoVLOXSEG8EI64_V_M1_MF4_TU, VLOXSEG8EI64_V }, // 3888
  { PseudoVLOXSEG8EI64_V_M1_MF8, VLOXSEG8EI64_V }, // 3889
  { PseudoVLOXSEG8EI64_V_M1_MF8_MASK, VLOXSEG8EI64_V }, // 3890
  { PseudoVLOXSEG8EI64_V_M1_MF8_TU, VLOXSEG8EI64_V }, // 3891
  { PseudoVLOXSEG8EI64_V_M2_M1, VLOXSEG8EI64_V }, // 3892
  { PseudoVLOXSEG8EI64_V_M2_M1_MASK, VLOXSEG8EI64_V }, // 3893
  { PseudoVLOXSEG8EI64_V_M2_M1_TU, VLOXSEG8EI64_V }, // 3894
  { PseudoVLOXSEG8EI64_V_M2_MF2, VLOXSEG8EI64_V }, // 3895
  { PseudoVLOXSEG8EI64_V_M2_MF2_MASK, VLOXSEG8EI64_V }, // 3896
  { PseudoVLOXSEG8EI64_V_M2_MF2_TU, VLOXSEG8EI64_V }, // 3897
  { PseudoVLOXSEG8EI64_V_M2_MF4, VLOXSEG8EI64_V }, // 3898
  { PseudoVLOXSEG8EI64_V_M2_MF4_MASK, VLOXSEG8EI64_V }, // 3899
  { PseudoVLOXSEG8EI64_V_M2_MF4_TU, VLOXSEG8EI64_V }, // 3900
  { PseudoVLOXSEG8EI64_V_M4_M1, VLOXSEG8EI64_V }, // 3901
  { PseudoVLOXSEG8EI64_V_M4_M1_MASK, VLOXSEG8EI64_V }, // 3902
  { PseudoVLOXSEG8EI64_V_M4_M1_TU, VLOXSEG8EI64_V }, // 3903
  { PseudoVLOXSEG8EI64_V_M4_MF2, VLOXSEG8EI64_V }, // 3904
  { PseudoVLOXSEG8EI64_V_M4_MF2_MASK, VLOXSEG8EI64_V }, // 3905
  { PseudoVLOXSEG8EI64_V_M4_MF2_TU, VLOXSEG8EI64_V }, // 3906
  { PseudoVLOXSEG8EI64_V_M8_M1, VLOXSEG8EI64_V }, // 3907
  { PseudoVLOXSEG8EI64_V_M8_M1_MASK, VLOXSEG8EI64_V }, // 3908
  { PseudoVLOXSEG8EI64_V_M8_M1_TU, VLOXSEG8EI64_V }, // 3909
  { PseudoVLOXSEG8EI8_V_M1_M1, VLOXSEG8EI8_V }, // 3910
  { PseudoVLOXSEG8EI8_V_M1_M1_MASK, VLOXSEG8EI8_V }, // 3911
  { PseudoVLOXSEG8EI8_V_M1_M1_TU, VLOXSEG8EI8_V }, // 3912
  { PseudoVLOXSEG8EI8_V_MF2_M1, VLOXSEG8EI8_V }, // 3913
  { PseudoVLOXSEG8EI8_V_MF2_M1_MASK, VLOXSEG8EI8_V }, // 3914
  { PseudoVLOXSEG8EI8_V_MF2_M1_TU, VLOXSEG8EI8_V }, // 3915
  { PseudoVLOXSEG8EI8_V_MF2_MF2, VLOXSEG8EI8_V }, // 3916
  { PseudoVLOXSEG8EI8_V_MF2_MF2_MASK, VLOXSEG8EI8_V }, // 3917
  { PseudoVLOXSEG8EI8_V_MF2_MF2_TU, VLOXSEG8EI8_V }, // 3918
  { PseudoVLOXSEG8EI8_V_MF4_M1, VLOXSEG8EI8_V }, // 3919
  { PseudoVLOXSEG8EI8_V_MF4_M1_MASK, VLOXSEG8EI8_V }, // 3920
  { PseudoVLOXSEG8EI8_V_MF4_M1_TU, VLOXSEG8EI8_V }, // 3921
  { PseudoVLOXSEG8EI8_V_MF4_MF2, VLOXSEG8EI8_V }, // 3922
  { PseudoVLOXSEG8EI8_V_MF4_MF2_MASK, VLOXSEG8EI8_V }, // 3923
  { PseudoVLOXSEG8EI8_V_MF4_MF2_TU, VLOXSEG8EI8_V }, // 3924
  { PseudoVLOXSEG8EI8_V_MF4_MF4, VLOXSEG8EI8_V }, // 3925
  { PseudoVLOXSEG8EI8_V_MF4_MF4_MASK, VLOXSEG8EI8_V }, // 3926
  { PseudoVLOXSEG8EI8_V_MF4_MF4_TU, VLOXSEG8EI8_V }, // 3927
  { PseudoVLOXSEG8EI8_V_MF8_M1, VLOXSEG8EI8_V }, // 3928
  { PseudoVLOXSEG8EI8_V_MF8_M1_MASK, VLOXSEG8EI8_V }, // 3929
  { PseudoVLOXSEG8EI8_V_MF8_M1_TU, VLOXSEG8EI8_V }, // 3930
  { PseudoVLOXSEG8EI8_V_MF8_MF2, VLOXSEG8EI8_V }, // 3931
  { PseudoVLOXSEG8EI8_V_MF8_MF2_MASK, VLOXSEG8EI8_V }, // 3932
  { PseudoVLOXSEG8EI8_V_MF8_MF2_TU, VLOXSEG8EI8_V }, // 3933
  { PseudoVLOXSEG8EI8_V_MF8_MF4, VLOXSEG8EI8_V }, // 3934
  { PseudoVLOXSEG8EI8_V_MF8_MF4_MASK, VLOXSEG8EI8_V }, // 3935
  { PseudoVLOXSEG8EI8_V_MF8_MF4_TU, VLOXSEG8EI8_V }, // 3936
  { PseudoVLOXSEG8EI8_V_MF8_MF8, VLOXSEG8EI8_V }, // 3937
  { PseudoVLOXSEG8EI8_V_MF8_MF8_MASK, VLOXSEG8EI8_V }, // 3938
  { PseudoVLOXSEG8EI8_V_MF8_MF8_TU, VLOXSEG8EI8_V }, // 3939
  { PseudoVLSE16_V_M1, VLSE16_V }, // 3940
  { PseudoVLSE16_V_M1_MASK, VLSE16_V }, // 3941
  { PseudoVLSE16_V_M1_TU, VLSE16_V }, // 3942
  { PseudoVLSE16_V_M2, VLSE16_V }, // 3943
  { PseudoVLSE16_V_M2_MASK, VLSE16_V }, // 3944
  { PseudoVLSE16_V_M2_TU, VLSE16_V }, // 3945
  { PseudoVLSE16_V_M4, VLSE16_V }, // 3946
  { PseudoVLSE16_V_M4_MASK, VLSE16_V }, // 3947
  { PseudoVLSE16_V_M4_TU, VLSE16_V }, // 3948
  { PseudoVLSE16_V_M8, VLSE16_V }, // 3949
  { PseudoVLSE16_V_M8_MASK, VLSE16_V }, // 3950
  { PseudoVLSE16_V_M8_TU, VLSE16_V }, // 3951
  { PseudoVLSE16_V_MF2, VLSE16_V }, // 3952
  { PseudoVLSE16_V_MF2_MASK, VLSE16_V }, // 3953
  { PseudoVLSE16_V_MF2_TU, VLSE16_V }, // 3954
  { PseudoVLSE16_V_MF4, VLSE16_V }, // 3955
  { PseudoVLSE16_V_MF4_MASK, VLSE16_V }, // 3956
  { PseudoVLSE16_V_MF4_TU, VLSE16_V }, // 3957
  { PseudoVLSE32_V_M1, VLSE32_V }, // 3958
  { PseudoVLSE32_V_M1_MASK, VLSE32_V }, // 3959
  { PseudoVLSE32_V_M1_TU, VLSE32_V }, // 3960
  { PseudoVLSE32_V_M2, VLSE32_V }, // 3961
  { PseudoVLSE32_V_M2_MASK, VLSE32_V }, // 3962
  { PseudoVLSE32_V_M2_TU, VLSE32_V }, // 3963
  { PseudoVLSE32_V_M4, VLSE32_V }, // 3964
  { PseudoVLSE32_V_M4_MASK, VLSE32_V }, // 3965
  { PseudoVLSE32_V_M4_TU, VLSE32_V }, // 3966
  { PseudoVLSE32_V_M8, VLSE32_V }, // 3967
  { PseudoVLSE32_V_M8_MASK, VLSE32_V }, // 3968
  { PseudoVLSE32_V_M8_TU, VLSE32_V }, // 3969
  { PseudoVLSE32_V_MF2, VLSE32_V }, // 3970
  { PseudoVLSE32_V_MF2_MASK, VLSE32_V }, // 3971
  { PseudoVLSE32_V_MF2_TU, VLSE32_V }, // 3972
  { PseudoVLSE64_V_M1, VLSE64_V }, // 3973
  { PseudoVLSE64_V_M1_MASK, VLSE64_V }, // 3974
  { PseudoVLSE64_V_M1_TU, VLSE64_V }, // 3975
  { PseudoVLSE64_V_M2, VLSE64_V }, // 3976
  { PseudoVLSE64_V_M2_MASK, VLSE64_V }, // 3977
  { PseudoVLSE64_V_M2_TU, VLSE64_V }, // 3978
  { PseudoVLSE64_V_M4, VLSE64_V }, // 3979
  { PseudoVLSE64_V_M4_MASK, VLSE64_V }, // 3980
  { PseudoVLSE64_V_M4_TU, VLSE64_V }, // 3981
  { PseudoVLSE64_V_M8, VLSE64_V }, // 3982
  { PseudoVLSE64_V_M8_MASK, VLSE64_V }, // 3983
  { PseudoVLSE64_V_M8_TU, VLSE64_V }, // 3984
  { PseudoVLSE8_V_M1, VLSE8_V }, // 3985
  { PseudoVLSE8_V_M1_MASK, VLSE8_V }, // 3986
  { PseudoVLSE8_V_M1_TU, VLSE8_V }, // 3987
  { PseudoVLSE8_V_M2, VLSE8_V }, // 3988
  { PseudoVLSE8_V_M2_MASK, VLSE8_V }, // 3989
  { PseudoVLSE8_V_M2_TU, VLSE8_V }, // 3990
  { PseudoVLSE8_V_M4, VLSE8_V }, // 3991
  { PseudoVLSE8_V_M4_MASK, VLSE8_V }, // 3992
  { PseudoVLSE8_V_M4_TU, VLSE8_V }, // 3993
  { PseudoVLSE8_V_M8, VLSE8_V }, // 3994
  { PseudoVLSE8_V_M8_MASK, VLSE8_V }, // 3995
  { PseudoVLSE8_V_M8_TU, VLSE8_V }, // 3996
  { PseudoVLSE8_V_MF2, VLSE8_V }, // 3997
  { PseudoVLSE8_V_MF2_MASK, VLSE8_V }, // 3998
  { PseudoVLSE8_V_MF2_TU, VLSE8_V }, // 3999
  { PseudoVLSE8_V_MF4, VLSE8_V }, // 4000
  { PseudoVLSE8_V_MF4_MASK, VLSE8_V }, // 4001
  { PseudoVLSE8_V_MF4_TU, VLSE8_V }, // 4002
  { PseudoVLSE8_V_MF8, VLSE8_V }, // 4003
  { PseudoVLSE8_V_MF8_MASK, VLSE8_V }, // 4004
  { PseudoVLSE8_V_MF8_TU, VLSE8_V }, // 4005
  { PseudoVLSEG2E16FF_V_M1, VLSEG2E16FF_V }, // 4006
  { PseudoVLSEG2E16FF_V_M1_MASK, VLSEG2E16FF_V }, // 4007
  { PseudoVLSEG2E16FF_V_M1_TU, VLSEG2E16FF_V }, // 4008
  { PseudoVLSEG2E16FF_V_M2, VLSEG2E16FF_V }, // 4009
  { PseudoVLSEG2E16FF_V_M2_MASK, VLSEG2E16FF_V }, // 4010
  { PseudoVLSEG2E16FF_V_M2_TU, VLSEG2E16FF_V }, // 4011
  { PseudoVLSEG2E16FF_V_M4, VLSEG2E16FF_V }, // 4012
  { PseudoVLSEG2E16FF_V_M4_MASK, VLSEG2E16FF_V }, // 4013
  { PseudoVLSEG2E16FF_V_M4_TU, VLSEG2E16FF_V }, // 4014
  { PseudoVLSEG2E16FF_V_MF2, VLSEG2E16FF_V }, // 4015
  { PseudoVLSEG2E16FF_V_MF2_MASK, VLSEG2E16FF_V }, // 4016
  { PseudoVLSEG2E16FF_V_MF2_TU, VLSEG2E16FF_V }, // 4017
  { PseudoVLSEG2E16FF_V_MF4, VLSEG2E16FF_V }, // 4018
  { PseudoVLSEG2E16FF_V_MF4_MASK, VLSEG2E16FF_V }, // 4019
  { PseudoVLSEG2E16FF_V_MF4_TU, VLSEG2E16FF_V }, // 4020
  { PseudoVLSEG2E16_V_M1, VLSEG2E16_V }, // 4021
  { PseudoVLSEG2E16_V_M1_MASK, VLSEG2E16_V }, // 4022
  { PseudoVLSEG2E16_V_M1_TU, VLSEG2E16_V }, // 4023
  { PseudoVLSEG2E16_V_M2, VLSEG2E16_V }, // 4024
  { PseudoVLSEG2E16_V_M2_MASK, VLSEG2E16_V }, // 4025
  { PseudoVLSEG2E16_V_M2_TU, VLSEG2E16_V }, // 4026
  { PseudoVLSEG2E16_V_M4, VLSEG2E16_V }, // 4027
  { PseudoVLSEG2E16_V_M4_MASK, VLSEG2E16_V }, // 4028
  { PseudoVLSEG2E16_V_M4_TU, VLSEG2E16_V }, // 4029
  { PseudoVLSEG2E16_V_MF2, VLSEG2E16_V }, // 4030
  { PseudoVLSEG2E16_V_MF2_MASK, VLSEG2E16_V }, // 4031
  { PseudoVLSEG2E16_V_MF2_TU, VLSEG2E16_V }, // 4032
  { PseudoVLSEG2E16_V_MF4, VLSEG2E16_V }, // 4033
  { PseudoVLSEG2E16_V_MF4_MASK, VLSEG2E16_V }, // 4034
  { PseudoVLSEG2E16_V_MF4_TU, VLSEG2E16_V }, // 4035
  { PseudoVLSEG2E32FF_V_M1, VLSEG2E32FF_V }, // 4036
  { PseudoVLSEG2E32FF_V_M1_MASK, VLSEG2E32FF_V }, // 4037
  { PseudoVLSEG2E32FF_V_M1_TU, VLSEG2E32FF_V }, // 4038
  { PseudoVLSEG2E32FF_V_M2, VLSEG2E32FF_V }, // 4039
  { PseudoVLSEG2E32FF_V_M2_MASK, VLSEG2E32FF_V }, // 4040
  { PseudoVLSEG2E32FF_V_M2_TU, VLSEG2E32FF_V }, // 4041
  { PseudoVLSEG2E32FF_V_M4, VLSEG2E32FF_V }, // 4042
  { PseudoVLSEG2E32FF_V_M4_MASK, VLSEG2E32FF_V }, // 4043
  { PseudoVLSEG2E32FF_V_M4_TU, VLSEG2E32FF_V }, // 4044
  { PseudoVLSEG2E32FF_V_MF2, VLSEG2E32FF_V }, // 4045
  { PseudoVLSEG2E32FF_V_MF2_MASK, VLSEG2E32FF_V }, // 4046
  { PseudoVLSEG2E32FF_V_MF2_TU, VLSEG2E32FF_V }, // 4047
  { PseudoVLSEG2E32_V_M1, VLSEG2E32_V }, // 4048
  { PseudoVLSEG2E32_V_M1_MASK, VLSEG2E32_V }, // 4049
  { PseudoVLSEG2E32_V_M1_TU, VLSEG2E32_V }, // 4050
  { PseudoVLSEG2E32_V_M2, VLSEG2E32_V }, // 4051
  { PseudoVLSEG2E32_V_M2_MASK, VLSEG2E32_V }, // 4052
  { PseudoVLSEG2E32_V_M2_TU, VLSEG2E32_V }, // 4053
  { PseudoVLSEG2E32_V_M4, VLSEG2E32_V }, // 4054
  { PseudoVLSEG2E32_V_M4_MASK, VLSEG2E32_V }, // 4055
  { PseudoVLSEG2E32_V_M4_TU, VLSEG2E32_V }, // 4056
  { PseudoVLSEG2E32_V_MF2, VLSEG2E32_V }, // 4057
  { PseudoVLSEG2E32_V_MF2_MASK, VLSEG2E32_V }, // 4058
  { PseudoVLSEG2E32_V_MF2_TU, VLSEG2E32_V }, // 4059
  { PseudoVLSEG2E64FF_V_M1, VLSEG2E64FF_V }, // 4060
  { PseudoVLSEG2E64FF_V_M1_MASK, VLSEG2E64FF_V }, // 4061
  { PseudoVLSEG2E64FF_V_M1_TU, VLSEG2E64FF_V }, // 4062
  { PseudoVLSEG2E64FF_V_M2, VLSEG2E64FF_V }, // 4063
  { PseudoVLSEG2E64FF_V_M2_MASK, VLSEG2E64FF_V }, // 4064
  { PseudoVLSEG2E64FF_V_M2_TU, VLSEG2E64FF_V }, // 4065
  { PseudoVLSEG2E64FF_V_M4, VLSEG2E64FF_V }, // 4066
  { PseudoVLSEG2E64FF_V_M4_MASK, VLSEG2E64FF_V }, // 4067
  { PseudoVLSEG2E64FF_V_M4_TU, VLSEG2E64FF_V }, // 4068
  { PseudoVLSEG2E64_V_M1, VLSEG2E64_V }, // 4069
  { PseudoVLSEG2E64_V_M1_MASK, VLSEG2E64_V }, // 4070
  { PseudoVLSEG2E64_V_M1_TU, VLSEG2E64_V }, // 4071
  { PseudoVLSEG2E64_V_M2, VLSEG2E64_V }, // 4072
  { PseudoVLSEG2E64_V_M2_MASK, VLSEG2E64_V }, // 4073
  { PseudoVLSEG2E64_V_M2_TU, VLSEG2E64_V }, // 4074
  { PseudoVLSEG2E64_V_M4, VLSEG2E64_V }, // 4075
  { PseudoVLSEG2E64_V_M4_MASK, VLSEG2E64_V }, // 4076
  { PseudoVLSEG2E64_V_M4_TU, VLSEG2E64_V }, // 4077
  { PseudoVLSEG2E8FF_V_M1, VLSEG2E8FF_V }, // 4078
  { PseudoVLSEG2E8FF_V_M1_MASK, VLSEG2E8FF_V }, // 4079
  { PseudoVLSEG2E8FF_V_M1_TU, VLSEG2E8FF_V }, // 4080
  { PseudoVLSEG2E8FF_V_M2, VLSEG2E8FF_V }, // 4081
  { PseudoVLSEG2E8FF_V_M2_MASK, VLSEG2E8FF_V }, // 4082
  { PseudoVLSEG2E8FF_V_M2_TU, VLSEG2E8FF_V }, // 4083
  { PseudoVLSEG2E8FF_V_M4, VLSEG2E8FF_V }, // 4084
  { PseudoVLSEG2E8FF_V_M4_MASK, VLSEG2E8FF_V }, // 4085
  { PseudoVLSEG2E8FF_V_M4_TU, VLSEG2E8FF_V }, // 4086
  { PseudoVLSEG2E8FF_V_MF2, VLSEG2E8FF_V }, // 4087
  { PseudoVLSEG2E8FF_V_MF2_MASK, VLSEG2E8FF_V }, // 4088
  { PseudoVLSEG2E8FF_V_MF2_TU, VLSEG2E8FF_V }, // 4089
  { PseudoVLSEG2E8FF_V_MF4, VLSEG2E8FF_V }, // 4090
  { PseudoVLSEG2E8FF_V_MF4_MASK, VLSEG2E8FF_V }, // 4091
  { PseudoVLSEG2E8FF_V_MF4_TU, VLSEG2E8FF_V }, // 4092
  { PseudoVLSEG2E8FF_V_MF8, VLSEG2E8FF_V }, // 4093
  { PseudoVLSEG2E8FF_V_MF8_MASK, VLSEG2E8FF_V }, // 4094
  { PseudoVLSEG2E8FF_V_MF8_TU, VLSEG2E8FF_V }, // 4095
  { PseudoVLSEG2E8_V_M1, VLSEG2E8_V }, // 4096
  { PseudoVLSEG2E8_V_M1_MASK, VLSEG2E8_V }, // 4097
  { PseudoVLSEG2E8_V_M1_TU, VLSEG2E8_V }, // 4098
  { PseudoVLSEG2E8_V_M2, VLSEG2E8_V }, // 4099
  { PseudoVLSEG2E8_V_M2_MASK, VLSEG2E8_V }, // 4100
  { PseudoVLSEG2E8_V_M2_TU, VLSEG2E8_V }, // 4101
  { PseudoVLSEG2E8_V_M4, VLSEG2E8_V }, // 4102
  { PseudoVLSEG2E8_V_M4_MASK, VLSEG2E8_V }, // 4103
  { PseudoVLSEG2E8_V_M4_TU, VLSEG2E8_V }, // 4104
  { PseudoVLSEG2E8_V_MF2, VLSEG2E8_V }, // 4105
  { PseudoVLSEG2E8_V_MF2_MASK, VLSEG2E8_V }, // 4106
  { PseudoVLSEG2E8_V_MF2_TU, VLSEG2E8_V }, // 4107
  { PseudoVLSEG2E8_V_MF4, VLSEG2E8_V }, // 4108
  { PseudoVLSEG2E8_V_MF4_MASK, VLSEG2E8_V }, // 4109
  { PseudoVLSEG2E8_V_MF4_TU, VLSEG2E8_V }, // 4110
  { PseudoVLSEG2E8_V_MF8, VLSEG2E8_V }, // 4111
  { PseudoVLSEG2E8_V_MF8_MASK, VLSEG2E8_V }, // 4112
  { PseudoVLSEG2E8_V_MF8_TU, VLSEG2E8_V }, // 4113
  { PseudoVLSEG3E16FF_V_M1, VLSEG3E16FF_V }, // 4114
  { PseudoVLSEG3E16FF_V_M1_MASK, VLSEG3E16FF_V }, // 4115
  { PseudoVLSEG3E16FF_V_M1_TU, VLSEG3E16FF_V }, // 4116
  { PseudoVLSEG3E16FF_V_M2, VLSEG3E16FF_V }, // 4117
  { PseudoVLSEG3E16FF_V_M2_MASK, VLSEG3E16FF_V }, // 4118
  { PseudoVLSEG3E16FF_V_M2_TU, VLSEG3E16FF_V }, // 4119
  { PseudoVLSEG3E16FF_V_MF2, VLSEG3E16FF_V }, // 4120
  { PseudoVLSEG3E16FF_V_MF2_MASK, VLSEG3E16FF_V }, // 4121
  { PseudoVLSEG3E16FF_V_MF2_TU, VLSEG3E16FF_V }, // 4122
  { PseudoVLSEG3E16FF_V_MF4, VLSEG3E16FF_V }, // 4123
  { PseudoVLSEG3E16FF_V_MF4_MASK, VLSEG3E16FF_V }, // 4124
  { PseudoVLSEG3E16FF_V_MF4_TU, VLSEG3E16FF_V }, // 4125
  { PseudoVLSEG3E16_V_M1, VLSEG3E16_V }, // 4126
  { PseudoVLSEG3E16_V_M1_MASK, VLSEG3E16_V }, // 4127
  { PseudoVLSEG3E16_V_M1_TU, VLSEG3E16_V }, // 4128
  { PseudoVLSEG3E16_V_M2, VLSEG3E16_V }, // 4129
  { PseudoVLSEG3E16_V_M2_MASK, VLSEG3E16_V }, // 4130
  { PseudoVLSEG3E16_V_M2_TU, VLSEG3E16_V }, // 4131
  { PseudoVLSEG3E16_V_MF2, VLSEG3E16_V }, // 4132
  { PseudoVLSEG3E16_V_MF2_MASK, VLSEG3E16_V }, // 4133
  { PseudoVLSEG3E16_V_MF2_TU, VLSEG3E16_V }, // 4134
  { PseudoVLSEG3E16_V_MF4, VLSEG3E16_V }, // 4135
  { PseudoVLSEG3E16_V_MF4_MASK, VLSEG3E16_V }, // 4136
  { PseudoVLSEG3E16_V_MF4_TU, VLSEG3E16_V }, // 4137
  { PseudoVLSEG3E32FF_V_M1, VLSEG3E32FF_V }, // 4138
  { PseudoVLSEG3E32FF_V_M1_MASK, VLSEG3E32FF_V }, // 4139
  { PseudoVLSEG3E32FF_V_M1_TU, VLSEG3E32FF_V }, // 4140
  { PseudoVLSEG3E32FF_V_M2, VLSEG3E32FF_V }, // 4141
  { PseudoVLSEG3E32FF_V_M2_MASK, VLSEG3E32FF_V }, // 4142
  { PseudoVLSEG3E32FF_V_M2_TU, VLSEG3E32FF_V }, // 4143
  { PseudoVLSEG3E32FF_V_MF2, VLSEG3E32FF_V }, // 4144
  { PseudoVLSEG3E32FF_V_MF2_MASK, VLSEG3E32FF_V }, // 4145
  { PseudoVLSEG3E32FF_V_MF2_TU, VLSEG3E32FF_V }, // 4146
  { PseudoVLSEG3E32_V_M1, VLSEG3E32_V }, // 4147
  { PseudoVLSEG3E32_V_M1_MASK, VLSEG3E32_V }, // 4148
  { PseudoVLSEG3E32_V_M1_TU, VLSEG3E32_V }, // 4149
  { PseudoVLSEG3E32_V_M2, VLSEG3E32_V }, // 4150
  { PseudoVLSEG3E32_V_M2_MASK, VLSEG3E32_V }, // 4151
  { PseudoVLSEG3E32_V_M2_TU, VLSEG3E32_V }, // 4152
  { PseudoVLSEG3E32_V_MF2, VLSEG3E32_V }, // 4153
  { PseudoVLSEG3E32_V_MF2_MASK, VLSEG3E32_V }, // 4154
  { PseudoVLSEG3E32_V_MF2_TU, VLSEG3E32_V }, // 4155
  { PseudoVLSEG3E64FF_V_M1, VLSEG3E64FF_V }, // 4156
  { PseudoVLSEG3E64FF_V_M1_MASK, VLSEG3E64FF_V }, // 4157
  { PseudoVLSEG3E64FF_V_M1_TU, VLSEG3E64FF_V }, // 4158
  { PseudoVLSEG3E64FF_V_M2, VLSEG3E64FF_V }, // 4159
  { PseudoVLSEG3E64FF_V_M2_MASK, VLSEG3E64FF_V }, // 4160
  { PseudoVLSEG3E64FF_V_M2_TU, VLSEG3E64FF_V }, // 4161
  { PseudoVLSEG3E64_V_M1, VLSEG3E64_V }, // 4162
  { PseudoVLSEG3E64_V_M1_MASK, VLSEG3E64_V }, // 4163
  { PseudoVLSEG3E64_V_M1_TU, VLSEG3E64_V }, // 4164
  { PseudoVLSEG3E64_V_M2, VLSEG3E64_V }, // 4165
  { PseudoVLSEG3E64_V_M2_MASK, VLSEG3E64_V }, // 4166
  { PseudoVLSEG3E64_V_M2_TU, VLSEG3E64_V }, // 4167
  { PseudoVLSEG3E8FF_V_M1, VLSEG3E8FF_V }, // 4168
  { PseudoVLSEG3E8FF_V_M1_MASK, VLSEG3E8FF_V }, // 4169
  { PseudoVLSEG3E8FF_V_M1_TU, VLSEG3E8FF_V }, // 4170
  { PseudoVLSEG3E8FF_V_M2, VLSEG3E8FF_V }, // 4171
  { PseudoVLSEG3E8FF_V_M2_MASK, VLSEG3E8FF_V }, // 4172
  { PseudoVLSEG3E8FF_V_M2_TU, VLSEG3E8FF_V }, // 4173
  { PseudoVLSEG3E8FF_V_MF2, VLSEG3E8FF_V }, // 4174
  { PseudoVLSEG3E8FF_V_MF2_MASK, VLSEG3E8FF_V }, // 4175
  { PseudoVLSEG3E8FF_V_MF2_TU, VLSEG3E8FF_V }, // 4176
  { PseudoVLSEG3E8FF_V_MF4, VLSEG3E8FF_V }, // 4177
  { PseudoVLSEG3E8FF_V_MF4_MASK, VLSEG3E8FF_V }, // 4178
  { PseudoVLSEG3E8FF_V_MF4_TU, VLSEG3E8FF_V }, // 4179
  { PseudoVLSEG3E8FF_V_MF8, VLSEG3E8FF_V }, // 4180
  { PseudoVLSEG3E8FF_V_MF8_MASK, VLSEG3E8FF_V }, // 4181
  { PseudoVLSEG3E8FF_V_MF8_TU, VLSEG3E8FF_V }, // 4182
  { PseudoVLSEG3E8_V_M1, VLSEG3E8_V }, // 4183
  { PseudoVLSEG3E8_V_M1_MASK, VLSEG3E8_V }, // 4184
  { PseudoVLSEG3E8_V_M1_TU, VLSEG3E8_V }, // 4185
  { PseudoVLSEG3E8_V_M2, VLSEG3E8_V }, // 4186
  { PseudoVLSEG3E8_V_M2_MASK, VLSEG3E8_V }, // 4187
  { PseudoVLSEG3E8_V_M2_TU, VLSEG3E8_V }, // 4188
  { PseudoVLSEG3E8_V_MF2, VLSEG3E8_V }, // 4189
  { PseudoVLSEG3E8_V_MF2_MASK, VLSEG3E8_V }, // 4190
  { PseudoVLSEG3E8_V_MF2_TU, VLSEG3E8_V }, // 4191
  { PseudoVLSEG3E8_V_MF4, VLSEG3E8_V }, // 4192
  { PseudoVLSEG3E8_V_MF4_MASK, VLSEG3E8_V }, // 4193
  { PseudoVLSEG3E8_V_MF4_TU, VLSEG3E8_V }, // 4194
  { PseudoVLSEG3E8_V_MF8, VLSEG3E8_V }, // 4195
  { PseudoVLSEG3E8_V_MF8_MASK, VLSEG3E8_V }, // 4196
  { PseudoVLSEG3E8_V_MF8_TU, VLSEG3E8_V }, // 4197
  { PseudoVLSEG4E16FF_V_M1, VLSEG4E16FF_V }, // 4198
  { PseudoVLSEG4E16FF_V_M1_MASK, VLSEG4E16FF_V }, // 4199
  { PseudoVLSEG4E16FF_V_M1_TU, VLSEG4E16FF_V }, // 4200
  { PseudoVLSEG4E16FF_V_M2, VLSEG4E16FF_V }, // 4201
  { PseudoVLSEG4E16FF_V_M2_MASK, VLSEG4E16FF_V }, // 4202
  { PseudoVLSEG4E16FF_V_M2_TU, VLSEG4E16FF_V }, // 4203
  { PseudoVLSEG4E16FF_V_MF2, VLSEG4E16FF_V }, // 4204
  { PseudoVLSEG4E16FF_V_MF2_MASK, VLSEG4E16FF_V }, // 4205
  { PseudoVLSEG4E16FF_V_MF2_TU, VLSEG4E16FF_V }, // 4206
  { PseudoVLSEG4E16FF_V_MF4, VLSEG4E16FF_V }, // 4207
  { PseudoVLSEG4E16FF_V_MF4_MASK, VLSEG4E16FF_V }, // 4208
  { PseudoVLSEG4E16FF_V_MF4_TU, VLSEG4E16FF_V }, // 4209
  { PseudoVLSEG4E16_V_M1, VLSEG4E16_V }, // 4210
  { PseudoVLSEG4E16_V_M1_MASK, VLSEG4E16_V }, // 4211
  { PseudoVLSEG4E16_V_M1_TU, VLSEG4E16_V }, // 4212
  { PseudoVLSEG4E16_V_M2, VLSEG4E16_V }, // 4213
  { PseudoVLSEG4E16_V_M2_MASK, VLSEG4E16_V }, // 4214
  { PseudoVLSEG4E16_V_M2_TU, VLSEG4E16_V }, // 4215
  { PseudoVLSEG4E16_V_MF2, VLSEG4E16_V }, // 4216
  { PseudoVLSEG4E16_V_MF2_MASK, VLSEG4E16_V }, // 4217
  { PseudoVLSEG4E16_V_MF2_TU, VLSEG4E16_V }, // 4218
  { PseudoVLSEG4E16_V_MF4, VLSEG4E16_V }, // 4219
  { PseudoVLSEG4E16_V_MF4_MASK, VLSEG4E16_V }, // 4220
  { PseudoVLSEG4E16_V_MF4_TU, VLSEG4E16_V }, // 4221
  { PseudoVLSEG4E32FF_V_M1, VLSEG4E32FF_V }, // 4222
  { PseudoVLSEG4E32FF_V_M1_MASK, VLSEG4E32FF_V }, // 4223
  { PseudoVLSEG4E32FF_V_M1_TU, VLSEG4E32FF_V }, // 4224
  { PseudoVLSEG4E32FF_V_M2, VLSEG4E32FF_V }, // 4225
  { PseudoVLSEG4E32FF_V_M2_MASK, VLSEG4E32FF_V }, // 4226
  { PseudoVLSEG4E32FF_V_M2_TU, VLSEG4E32FF_V }, // 4227
  { PseudoVLSEG4E32FF_V_MF2, VLSEG4E32FF_V }, // 4228
  { PseudoVLSEG4E32FF_V_MF2_MASK, VLSEG4E32FF_V }, // 4229
  { PseudoVLSEG4E32FF_V_MF2_TU, VLSEG4E32FF_V }, // 4230
  { PseudoVLSEG4E32_V_M1, VLSEG4E32_V }, // 4231
  { PseudoVLSEG4E32_V_M1_MASK, VLSEG4E32_V }, // 4232
  { PseudoVLSEG4E32_V_M1_TU, VLSEG4E32_V }, // 4233
  { PseudoVLSEG4E32_V_M2, VLSEG4E32_V }, // 4234
  { PseudoVLSEG4E32_V_M2_MASK, VLSEG4E32_V }, // 4235
  { PseudoVLSEG4E32_V_M2_TU, VLSEG4E32_V }, // 4236
  { PseudoVLSEG4E32_V_MF2, VLSEG4E32_V }, // 4237
  { PseudoVLSEG4E32_V_MF2_MASK, VLSEG4E32_V }, // 4238
  { PseudoVLSEG4E32_V_MF2_TU, VLSEG4E32_V }, // 4239
  { PseudoVLSEG4E64FF_V_M1, VLSEG4E64FF_V }, // 4240
  { PseudoVLSEG4E64FF_V_M1_MASK, VLSEG4E64FF_V }, // 4241
  { PseudoVLSEG4E64FF_V_M1_TU, VLSEG4E64FF_V }, // 4242
  { PseudoVLSEG4E64FF_V_M2, VLSEG4E64FF_V }, // 4243
  { PseudoVLSEG4E64FF_V_M2_MASK, VLSEG4E64FF_V }, // 4244
  { PseudoVLSEG4E64FF_V_M2_TU, VLSEG4E64FF_V }, // 4245
  { PseudoVLSEG4E64_V_M1, VLSEG4E64_V }, // 4246
  { PseudoVLSEG4E64_V_M1_MASK, VLSEG4E64_V }, // 4247
  { PseudoVLSEG4E64_V_M1_TU, VLSEG4E64_V }, // 4248
  { PseudoVLSEG4E64_V_M2, VLSEG4E64_V }, // 4249
  { PseudoVLSEG4E64_V_M2_MASK, VLSEG4E64_V }, // 4250
  { PseudoVLSEG4E64_V_M2_TU, VLSEG4E64_V }, // 4251
  { PseudoVLSEG4E8FF_V_M1, VLSEG4E8FF_V }, // 4252
  { PseudoVLSEG4E8FF_V_M1_MASK, VLSEG4E8FF_V }, // 4253
  { PseudoVLSEG4E8FF_V_M1_TU, VLSEG4E8FF_V }, // 4254
  { PseudoVLSEG4E8FF_V_M2, VLSEG4E8FF_V }, // 4255
  { PseudoVLSEG4E8FF_V_M2_MASK, VLSEG4E8FF_V }, // 4256
  { PseudoVLSEG4E8FF_V_M2_TU, VLSEG4E8FF_V }, // 4257
  { PseudoVLSEG4E8FF_V_MF2, VLSEG4E8FF_V }, // 4258
  { PseudoVLSEG4E8FF_V_MF2_MASK, VLSEG4E8FF_V }, // 4259
  { PseudoVLSEG4E8FF_V_MF2_TU, VLSEG4E8FF_V }, // 4260
  { PseudoVLSEG4E8FF_V_MF4, VLSEG4E8FF_V }, // 4261
  { PseudoVLSEG4E8FF_V_MF4_MASK, VLSEG4E8FF_V }, // 4262
  { PseudoVLSEG4E8FF_V_MF4_TU, VLSEG4E8FF_V }, // 4263
  { PseudoVLSEG4E8FF_V_MF8, VLSEG4E8FF_V }, // 4264
  { PseudoVLSEG4E8FF_V_MF8_MASK, VLSEG4E8FF_V }, // 4265
  { PseudoVLSEG4E8FF_V_MF8_TU, VLSEG4E8FF_V }, // 4266
  { PseudoVLSEG4E8_V_M1, VLSEG4E8_V }, // 4267
  { PseudoVLSEG4E8_V_M1_MASK, VLSEG4E8_V }, // 4268
  { PseudoVLSEG4E8_V_M1_TU, VLSEG4E8_V }, // 4269
  { PseudoVLSEG4E8_V_M2, VLSEG4E8_V }, // 4270
  { PseudoVLSEG4E8_V_M2_MASK, VLSEG4E8_V }, // 4271
  { PseudoVLSEG4E8_V_M2_TU, VLSEG4E8_V }, // 4272
  { PseudoVLSEG4E8_V_MF2, VLSEG4E8_V }, // 4273
  { PseudoVLSEG4E8_V_MF2_MASK, VLSEG4E8_V }, // 4274
  { PseudoVLSEG4E8_V_MF2_TU, VLSEG4E8_V }, // 4275
  { PseudoVLSEG4E8_V_MF4, VLSEG4E8_V }, // 4276
  { PseudoVLSEG4E8_V_MF4_MASK, VLSEG4E8_V }, // 4277
  { PseudoVLSEG4E8_V_MF4_TU, VLSEG4E8_V }, // 4278
  { PseudoVLSEG4E8_V_MF8, VLSEG4E8_V }, // 4279
  { PseudoVLSEG4E8_V_MF8_MASK, VLSEG4E8_V }, // 4280
  { PseudoVLSEG4E8_V_MF8_TU, VLSEG4E8_V }, // 4281
  { PseudoVLSEG5E16FF_V_M1, VLSEG5E16FF_V }, // 4282
  { PseudoVLSEG5E16FF_V_M1_MASK, VLSEG5E16FF_V }, // 4283
  { PseudoVLSEG5E16FF_V_M1_TU, VLSEG5E16FF_V }, // 4284
  { PseudoVLSEG5E16FF_V_MF2, VLSEG5E16FF_V }, // 4285
  { PseudoVLSEG5E16FF_V_MF2_MASK, VLSEG5E16FF_V }, // 4286
  { PseudoVLSEG5E16FF_V_MF2_TU, VLSEG5E16FF_V }, // 4287
  { PseudoVLSEG5E16FF_V_MF4, VLSEG5E16FF_V }, // 4288
  { PseudoVLSEG5E16FF_V_MF4_MASK, VLSEG5E16FF_V }, // 4289
  { PseudoVLSEG5E16FF_V_MF4_TU, VLSEG5E16FF_V }, // 4290
  { PseudoVLSEG5E16_V_M1, VLSEG5E16_V }, // 4291
  { PseudoVLSEG5E16_V_M1_MASK, VLSEG5E16_V }, // 4292
  { PseudoVLSEG5E16_V_M1_TU, VLSEG5E16_V }, // 4293
  { PseudoVLSEG5E16_V_MF2, VLSEG5E16_V }, // 4294
  { PseudoVLSEG5E16_V_MF2_MASK, VLSEG5E16_V }, // 4295
  { PseudoVLSEG5E16_V_MF2_TU, VLSEG5E16_V }, // 4296
  { PseudoVLSEG5E16_V_MF4, VLSEG5E16_V }, // 4297
  { PseudoVLSEG5E16_V_MF4_MASK, VLSEG5E16_V }, // 4298
  { PseudoVLSEG5E16_V_MF4_TU, VLSEG5E16_V }, // 4299
  { PseudoVLSEG5E32FF_V_M1, VLSEG5E32FF_V }, // 4300
  { PseudoVLSEG5E32FF_V_M1_MASK, VLSEG5E32FF_V }, // 4301
  { PseudoVLSEG5E32FF_V_M1_TU, VLSEG5E32FF_V }, // 4302
  { PseudoVLSEG5E32FF_V_MF2, VLSEG5E32FF_V }, // 4303
  { PseudoVLSEG5E32FF_V_MF2_MASK, VLSEG5E32FF_V }, // 4304
  { PseudoVLSEG5E32FF_V_MF2_TU, VLSEG5E32FF_V }, // 4305
  { PseudoVLSEG5E32_V_M1, VLSEG5E32_V }, // 4306
  { PseudoVLSEG5E32_V_M1_MASK, VLSEG5E32_V }, // 4307
  { PseudoVLSEG5E32_V_M1_TU, VLSEG5E32_V }, // 4308
  { PseudoVLSEG5E32_V_MF2, VLSEG5E32_V }, // 4309
  { PseudoVLSEG5E32_V_MF2_MASK, VLSEG5E32_V }, // 4310
  { PseudoVLSEG5E32_V_MF2_TU, VLSEG5E32_V }, // 4311
  { PseudoVLSEG5E64FF_V_M1, VLSEG5E64FF_V }, // 4312
  { PseudoVLSEG5E64FF_V_M1_MASK, VLSEG5E64FF_V }, // 4313
  { PseudoVLSEG5E64FF_V_M1_TU, VLSEG5E64FF_V }, // 4314
  { PseudoVLSEG5E64_V_M1, VLSEG5E64_V }, // 4315
  { PseudoVLSEG5E64_V_M1_MASK, VLSEG5E64_V }, // 4316
  { PseudoVLSEG5E64_V_M1_TU, VLSEG5E64_V }, // 4317
  { PseudoVLSEG5E8FF_V_M1, VLSEG5E8FF_V }, // 4318
  { PseudoVLSEG5E8FF_V_M1_MASK, VLSEG5E8FF_V }, // 4319
  { PseudoVLSEG5E8FF_V_M1_TU, VLSEG5E8FF_V }, // 4320
  { PseudoVLSEG5E8FF_V_MF2, VLSEG5E8FF_V }, // 4321
  { PseudoVLSEG5E8FF_V_MF2_MASK, VLSEG5E8FF_V }, // 4322
  { PseudoVLSEG5E8FF_V_MF2_TU, VLSEG5E8FF_V }, // 4323
  { PseudoVLSEG5E8FF_V_MF4, VLSEG5E8FF_V }, // 4324
  { PseudoVLSEG5E8FF_V_MF4_MASK, VLSEG5E8FF_V }, // 4325
  { PseudoVLSEG5E8FF_V_MF4_TU, VLSEG5E8FF_V }, // 4326
  { PseudoVLSEG5E8FF_V_MF8, VLSEG5E8FF_V }, // 4327
  { PseudoVLSEG5E8FF_V_MF8_MASK, VLSEG5E8FF_V }, // 4328
  { PseudoVLSEG5E8FF_V_MF8_TU, VLSEG5E8FF_V }, // 4329
  { PseudoVLSEG5E8_V_M1, VLSEG5E8_V }, // 4330
  { PseudoVLSEG5E8_V_M1_MASK, VLSEG5E8_V }, // 4331
  { PseudoVLSEG5E8_V_M1_TU, VLSEG5E8_V }, // 4332
  { PseudoVLSEG5E8_V_MF2, VLSEG5E8_V }, // 4333
  { PseudoVLSEG5E8_V_MF2_MASK, VLSEG5E8_V }, // 4334
  { PseudoVLSEG5E8_V_MF2_TU, VLSEG5E8_V }, // 4335
  { PseudoVLSEG5E8_V_MF4, VLSEG5E8_V }, // 4336
  { PseudoVLSEG5E8_V_MF4_MASK, VLSEG5E8_V }, // 4337
  { PseudoVLSEG5E8_V_MF4_TU, VLSEG5E8_V }, // 4338
  { PseudoVLSEG5E8_V_MF8, VLSEG5E8_V }, // 4339
  { PseudoVLSEG5E8_V_MF8_MASK, VLSEG5E8_V }, // 4340
  { PseudoVLSEG5E8_V_MF8_TU, VLSEG5E8_V }, // 4341
  { PseudoVLSEG6E16FF_V_M1, VLSEG6E16FF_V }, // 4342
  { PseudoVLSEG6E16FF_V_M1_MASK, VLSEG6E16FF_V }, // 4343
  { PseudoVLSEG6E16FF_V_M1_TU, VLSEG6E16FF_V }, // 4344
  { PseudoVLSEG6E16FF_V_MF2, VLSEG6E16FF_V }, // 4345
  { PseudoVLSEG6E16FF_V_MF2_MASK, VLSEG6E16FF_V }, // 4346
  { PseudoVLSEG6E16FF_V_MF2_TU, VLSEG6E16FF_V }, // 4347
  { PseudoVLSEG6E16FF_V_MF4, VLSEG6E16FF_V }, // 4348
  { PseudoVLSEG6E16FF_V_MF4_MASK, VLSEG6E16FF_V }, // 4349
  { PseudoVLSEG6E16FF_V_MF4_TU, VLSEG6E16FF_V }, // 4350
  { PseudoVLSEG6E16_V_M1, VLSEG6E16_V }, // 4351
  { PseudoVLSEG6E16_V_M1_MASK, VLSEG6E16_V }, // 4352
  { PseudoVLSEG6E16_V_M1_TU, VLSEG6E16_V }, // 4353
  { PseudoVLSEG6E16_V_MF2, VLSEG6E16_V }, // 4354
  { PseudoVLSEG6E16_V_MF2_MASK, VLSEG6E16_V }, // 4355
  { PseudoVLSEG6E16_V_MF2_TU, VLSEG6E16_V }, // 4356
  { PseudoVLSEG6E16_V_MF4, VLSEG6E16_V }, // 4357
  { PseudoVLSEG6E16_V_MF4_MASK, VLSEG6E16_V }, // 4358
  { PseudoVLSEG6E16_V_MF4_TU, VLSEG6E16_V }, // 4359
  { PseudoVLSEG6E32FF_V_M1, VLSEG6E32FF_V }, // 4360
  { PseudoVLSEG6E32FF_V_M1_MASK, VLSEG6E32FF_V }, // 4361
  { PseudoVLSEG6E32FF_V_M1_TU, VLSEG6E32FF_V }, // 4362
  { PseudoVLSEG6E32FF_V_MF2, VLSEG6E32FF_V }, // 4363
  { PseudoVLSEG6E32FF_V_MF2_MASK, VLSEG6E32FF_V }, // 4364
  { PseudoVLSEG6E32FF_V_MF2_TU, VLSEG6E32FF_V }, // 4365
  { PseudoVLSEG6E32_V_M1, VLSEG6E32_V }, // 4366
  { PseudoVLSEG6E32_V_M1_MASK, VLSEG6E32_V }, // 4367
  { PseudoVLSEG6E32_V_M1_TU, VLSEG6E32_V }, // 4368
  { PseudoVLSEG6E32_V_MF2, VLSEG6E32_V }, // 4369
  { PseudoVLSEG6E32_V_MF2_MASK, VLSEG6E32_V }, // 4370
  { PseudoVLSEG6E32_V_MF2_TU, VLSEG6E32_V }, // 4371
  { PseudoVLSEG6E64FF_V_M1, VLSEG6E64FF_V }, // 4372
  { PseudoVLSEG6E64FF_V_M1_MASK, VLSEG6E64FF_V }, // 4373
  { PseudoVLSEG6E64FF_V_M1_TU, VLSEG6E64FF_V }, // 4374
  { PseudoVLSEG6E64_V_M1, VLSEG6E64_V }, // 4375
  { PseudoVLSEG6E64_V_M1_MASK, VLSEG6E64_V }, // 4376
  { PseudoVLSEG6E64_V_M1_TU, VLSEG6E64_V }, // 4377
  { PseudoVLSEG6E8FF_V_M1, VLSEG6E8FF_V }, // 4378
  { PseudoVLSEG6E8FF_V_M1_MASK, VLSEG6E8FF_V }, // 4379
  { PseudoVLSEG6E8FF_V_M1_TU, VLSEG6E8FF_V }, // 4380
  { PseudoVLSEG6E8FF_V_MF2, VLSEG6E8FF_V }, // 4381
  { PseudoVLSEG6E8FF_V_MF2_MASK, VLSEG6E8FF_V }, // 4382
  { PseudoVLSEG6E8FF_V_MF2_TU, VLSEG6E8FF_V }, // 4383
  { PseudoVLSEG6E8FF_V_MF4, VLSEG6E8FF_V }, // 4384
  { PseudoVLSEG6E8FF_V_MF4_MASK, VLSEG6E8FF_V }, // 4385
  { PseudoVLSEG6E8FF_V_MF4_TU, VLSEG6E8FF_V }, // 4386
  { PseudoVLSEG6E8FF_V_MF8, VLSEG6E8FF_V }, // 4387
  { PseudoVLSEG6E8FF_V_MF8_MASK, VLSEG6E8FF_V }, // 4388
  { PseudoVLSEG6E8FF_V_MF8_TU, VLSEG6E8FF_V }, // 4389
  { PseudoVLSEG6E8_V_M1, VLSEG6E8_V }, // 4390
  { PseudoVLSEG6E8_V_M1_MASK, VLSEG6E8_V }, // 4391
  { PseudoVLSEG6E8_V_M1_TU, VLSEG6E8_V }, // 4392
  { PseudoVLSEG6E8_V_MF2, VLSEG6E8_V }, // 4393
  { PseudoVLSEG6E8_V_MF2_MASK, VLSEG6E8_V }, // 4394
  { PseudoVLSEG6E8_V_MF2_TU, VLSEG6E8_V }, // 4395
  { PseudoVLSEG6E8_V_MF4, VLSEG6E8_V }, // 4396
  { PseudoVLSEG6E8_V_MF4_MASK, VLSEG6E8_V }, // 4397
  { PseudoVLSEG6E8_V_MF4_TU, VLSEG6E8_V }, // 4398
  { PseudoVLSEG6E8_V_MF8, VLSEG6E8_V }, // 4399
  { PseudoVLSEG6E8_V_MF8_MASK, VLSEG6E8_V }, // 4400
  { PseudoVLSEG6E8_V_MF8_TU, VLSEG6E8_V }, // 4401
  { PseudoVLSEG7E16FF_V_M1, VLSEG7E16FF_V }, // 4402
  { PseudoVLSEG7E16FF_V_M1_MASK, VLSEG7E16FF_V }, // 4403
  { PseudoVLSEG7E16FF_V_M1_TU, VLSEG7E16FF_V }, // 4404
  { PseudoVLSEG7E16FF_V_MF2, VLSEG7E16FF_V }, // 4405
  { PseudoVLSEG7E16FF_V_MF2_MASK, VLSEG7E16FF_V }, // 4406
  { PseudoVLSEG7E16FF_V_MF2_TU, VLSEG7E16FF_V }, // 4407
  { PseudoVLSEG7E16FF_V_MF4, VLSEG7E16FF_V }, // 4408
  { PseudoVLSEG7E16FF_V_MF4_MASK, VLSEG7E16FF_V }, // 4409
  { PseudoVLSEG7E16FF_V_MF4_TU, VLSEG7E16FF_V }, // 4410
  { PseudoVLSEG7E16_V_M1, VLSEG7E16_V }, // 4411
  { PseudoVLSEG7E16_V_M1_MASK, VLSEG7E16_V }, // 4412
  { PseudoVLSEG7E16_V_M1_TU, VLSEG7E16_V }, // 4413
  { PseudoVLSEG7E16_V_MF2, VLSEG7E16_V }, // 4414
  { PseudoVLSEG7E16_V_MF2_MASK, VLSEG7E16_V }, // 4415
  { PseudoVLSEG7E16_V_MF2_TU, VLSEG7E16_V }, // 4416
  { PseudoVLSEG7E16_V_MF4, VLSEG7E16_V }, // 4417
  { PseudoVLSEG7E16_V_MF4_MASK, VLSEG7E16_V }, // 4418
  { PseudoVLSEG7E16_V_MF4_TU, VLSEG7E16_V }, // 4419
  { PseudoVLSEG7E32FF_V_M1, VLSEG7E32FF_V }, // 4420
  { PseudoVLSEG7E32FF_V_M1_MASK, VLSEG7E32FF_V }, // 4421
  { PseudoVLSEG7E32FF_V_M1_TU, VLSEG7E32FF_V }, // 4422
  { PseudoVLSEG7E32FF_V_MF2, VLSEG7E32FF_V }, // 4423
  { PseudoVLSEG7E32FF_V_MF2_MASK, VLSEG7E32FF_V }, // 4424
  { PseudoVLSEG7E32FF_V_MF2_TU, VLSEG7E32FF_V }, // 4425
  { PseudoVLSEG7E32_V_M1, VLSEG7E32_V }, // 4426
  { PseudoVLSEG7E32_V_M1_MASK, VLSEG7E32_V }, // 4427
  { PseudoVLSEG7E32_V_M1_TU, VLSEG7E32_V }, // 4428
  { PseudoVLSEG7E32_V_MF2, VLSEG7E32_V }, // 4429
  { PseudoVLSEG7E32_V_MF2_MASK, VLSEG7E32_V }, // 4430
  { PseudoVLSEG7E32_V_MF2_TU, VLSEG7E32_V }, // 4431
  { PseudoVLSEG7E64FF_V_M1, VLSEG7E64FF_V }, // 4432
  { PseudoVLSEG7E64FF_V_M1_MASK, VLSEG7E64FF_V }, // 4433
  { PseudoVLSEG7E64FF_V_M1_TU, VLSEG7E64FF_V }, // 4434
  { PseudoVLSEG7E64_V_M1, VLSEG7E64_V }, // 4435
  { PseudoVLSEG7E64_V_M1_MASK, VLSEG7E64_V }, // 4436
  { PseudoVLSEG7E64_V_M1_TU, VLSEG7E64_V }, // 4437
  { PseudoVLSEG7E8FF_V_M1, VLSEG7E8FF_V }, // 4438
  { PseudoVLSEG7E8FF_V_M1_MASK, VLSEG7E8FF_V }, // 4439
  { PseudoVLSEG7E8FF_V_M1_TU, VLSEG7E8FF_V }, // 4440
  { PseudoVLSEG7E8FF_V_MF2, VLSEG7E8FF_V }, // 4441
  { PseudoVLSEG7E8FF_V_MF2_MASK, VLSEG7E8FF_V }, // 4442
  { PseudoVLSEG7E8FF_V_MF2_TU, VLSEG7E8FF_V }, // 4443
  { PseudoVLSEG7E8FF_V_MF4, VLSEG7E8FF_V }, // 4444
  { PseudoVLSEG7E8FF_V_MF4_MASK, VLSEG7E8FF_V }, // 4445
  { PseudoVLSEG7E8FF_V_MF4_TU, VLSEG7E8FF_V }, // 4446
  { PseudoVLSEG7E8FF_V_MF8, VLSEG7E8FF_V }, // 4447
  { PseudoVLSEG7E8FF_V_MF8_MASK, VLSEG7E8FF_V }, // 4448
  { PseudoVLSEG7E8FF_V_MF8_TU, VLSEG7E8FF_V }, // 4449
  { PseudoVLSEG7E8_V_M1, VLSEG7E8_V }, // 4450
  { PseudoVLSEG7E8_V_M1_MASK, VLSEG7E8_V }, // 4451
  { PseudoVLSEG7E8_V_M1_TU, VLSEG7E8_V }, // 4452
  { PseudoVLSEG7E8_V_MF2, VLSEG7E8_V }, // 4453
  { PseudoVLSEG7E8_V_MF2_MASK, VLSEG7E8_V }, // 4454
  { PseudoVLSEG7E8_V_MF2_TU, VLSEG7E8_V }, // 4455
  { PseudoVLSEG7E8_V_MF4, VLSEG7E8_V }, // 4456
  { PseudoVLSEG7E8_V_MF4_MASK, VLSEG7E8_V }, // 4457
  { PseudoVLSEG7E8_V_MF4_TU, VLSEG7E8_V }, // 4458
  { PseudoVLSEG7E8_V_MF8, VLSEG7E8_V }, // 4459
  { PseudoVLSEG7E8_V_MF8_MASK, VLSEG7E8_V }, // 4460
  { PseudoVLSEG7E8_V_MF8_TU, VLSEG7E8_V }, // 4461
  { PseudoVLSEG8E16FF_V_M1, VLSEG8E16FF_V }, // 4462
  { PseudoVLSEG8E16FF_V_M1_MASK, VLSEG8E16FF_V }, // 4463
  { PseudoVLSEG8E16FF_V_M1_TU, VLSEG8E16FF_V }, // 4464
  { PseudoVLSEG8E16FF_V_MF2, VLSEG8E16FF_V }, // 4465
  { PseudoVLSEG8E16FF_V_MF2_MASK, VLSEG8E16FF_V }, // 4466
  { PseudoVLSEG8E16FF_V_MF2_TU, VLSEG8E16FF_V }, // 4467
  { PseudoVLSEG8E16FF_V_MF4, VLSEG8E16FF_V }, // 4468
  { PseudoVLSEG8E16FF_V_MF4_MASK, VLSEG8E16FF_V }, // 4469
  { PseudoVLSEG8E16FF_V_MF4_TU, VLSEG8E16FF_V }, // 4470
  { PseudoVLSEG8E16_V_M1, VLSEG8E16_V }, // 4471
  { PseudoVLSEG8E16_V_M1_MASK, VLSEG8E16_V }, // 4472
  { PseudoVLSEG8E16_V_M1_TU, VLSEG8E16_V }, // 4473
  { PseudoVLSEG8E16_V_MF2, VLSEG8E16_V }, // 4474
  { PseudoVLSEG8E16_V_MF2_MASK, VLSEG8E16_V }, // 4475
  { PseudoVLSEG8E16_V_MF2_TU, VLSEG8E16_V }, // 4476
  { PseudoVLSEG8E16_V_MF4, VLSEG8E16_V }, // 4477
  { PseudoVLSEG8E16_V_MF4_MASK, VLSEG8E16_V }, // 4478
  { PseudoVLSEG8E16_V_MF4_TU, VLSEG8E16_V }, // 4479
  { PseudoVLSEG8E32FF_V_M1, VLSEG8E32FF_V }, // 4480
  { PseudoVLSEG8E32FF_V_M1_MASK, VLSEG8E32FF_V }, // 4481
  { PseudoVLSEG8E32FF_V_M1_TU, VLSEG8E32FF_V }, // 4482
  { PseudoVLSEG8E32FF_V_MF2, VLSEG8E32FF_V }, // 4483
  { PseudoVLSEG8E32FF_V_MF2_MASK, VLSEG8E32FF_V }, // 4484
  { PseudoVLSEG8E32FF_V_MF2_TU, VLSEG8E32FF_V }, // 4485
  { PseudoVLSEG8E32_V_M1, VLSEG8E32_V }, // 4486
  { PseudoVLSEG8E32_V_M1_MASK, VLSEG8E32_V }, // 4487
  { PseudoVLSEG8E32_V_M1_TU, VLSEG8E32_V }, // 4488
  { PseudoVLSEG8E32_V_MF2, VLSEG8E32_V }, // 4489
  { PseudoVLSEG8E32_V_MF2_MASK, VLSEG8E32_V }, // 4490
  { PseudoVLSEG8E32_V_MF2_TU, VLSEG8E32_V }, // 4491
  { PseudoVLSEG8E64FF_V_M1, VLSEG8E64FF_V }, // 4492
  { PseudoVLSEG8E64FF_V_M1_MASK, VLSEG8E64FF_V }, // 4493
  { PseudoVLSEG8E64FF_V_M1_TU, VLSEG8E64FF_V }, // 4494
  { PseudoVLSEG8E64_V_M1, VLSEG8E64_V }, // 4495
  { PseudoVLSEG8E64_V_M1_MASK, VLSEG8E64_V }, // 4496
  { PseudoVLSEG8E64_V_M1_TU, VLSEG8E64_V }, // 4497
  { PseudoVLSEG8E8FF_V_M1, VLSEG8E8FF_V }, // 4498
  { PseudoVLSEG8E8FF_V_M1_MASK, VLSEG8E8FF_V }, // 4499
  { PseudoVLSEG8E8FF_V_M1_TU, VLSEG8E8FF_V }, // 4500
  { PseudoVLSEG8E8FF_V_MF2, VLSEG8E8FF_V }, // 4501
  { PseudoVLSEG8E8FF_V_MF2_MASK, VLSEG8E8FF_V }, // 4502
  { PseudoVLSEG8E8FF_V_MF2_TU, VLSEG8E8FF_V }, // 4503
  { PseudoVLSEG8E8FF_V_MF4, VLSEG8E8FF_V }, // 4504
  { PseudoVLSEG8E8FF_V_MF4_MASK, VLSEG8E8FF_V }, // 4505
  { PseudoVLSEG8E8FF_V_MF4_TU, VLSEG8E8FF_V }, // 4506
  { PseudoVLSEG8E8FF_V_MF8, VLSEG8E8FF_V }, // 4507
  { PseudoVLSEG8E8FF_V_MF8_MASK, VLSEG8E8FF_V }, // 4508
  { PseudoVLSEG8E8FF_V_MF8_TU, VLSEG8E8FF_V }, // 4509
  { PseudoVLSEG8E8_V_M1, VLSEG8E8_V }, // 4510
  { PseudoVLSEG8E8_V_M1_MASK, VLSEG8E8_V }, // 4511
  { PseudoVLSEG8E8_V_M1_TU, VLSEG8E8_V }, // 4512
  { PseudoVLSEG8E8_V_MF2, VLSEG8E8_V }, // 4513
  { PseudoVLSEG8E8_V_MF2_MASK, VLSEG8E8_V }, // 4514
  { PseudoVLSEG8E8_V_MF2_TU, VLSEG8E8_V }, // 4515
  { PseudoVLSEG8E8_V_MF4, VLSEG8E8_V }, // 4516
  { PseudoVLSEG8E8_V_MF4_MASK, VLSEG8E8_V }, // 4517
  { PseudoVLSEG8E8_V_MF4_TU, VLSEG8E8_V }, // 4518
  { PseudoVLSEG8E8_V_MF8, VLSEG8E8_V }, // 4519
  { PseudoVLSEG8E8_V_MF8_MASK, VLSEG8E8_V }, // 4520
  { PseudoVLSEG8E8_V_MF8_TU, VLSEG8E8_V }, // 4521
  { PseudoVLSSEG2E16_V_M1, VLSSEG2E16_V }, // 4522
  { PseudoVLSSEG2E16_V_M1_MASK, VLSSEG2E16_V }, // 4523
  { PseudoVLSSEG2E16_V_M1_TU, VLSSEG2E16_V }, // 4524
  { PseudoVLSSEG2E16_V_M2, VLSSEG2E16_V }, // 4525
  { PseudoVLSSEG2E16_V_M2_MASK, VLSSEG2E16_V }, // 4526
  { PseudoVLSSEG2E16_V_M2_TU, VLSSEG2E16_V }, // 4527
  { PseudoVLSSEG2E16_V_M4, VLSSEG2E16_V }, // 4528
  { PseudoVLSSEG2E16_V_M4_MASK, VLSSEG2E16_V }, // 4529
  { PseudoVLSSEG2E16_V_M4_TU, VLSSEG2E16_V }, // 4530
  { PseudoVLSSEG2E16_V_MF2, VLSSEG2E16_V }, // 4531
  { PseudoVLSSEG2E16_V_MF2_MASK, VLSSEG2E16_V }, // 4532
  { PseudoVLSSEG2E16_V_MF2_TU, VLSSEG2E16_V }, // 4533
  { PseudoVLSSEG2E16_V_MF4, VLSSEG2E16_V }, // 4534
  { PseudoVLSSEG2E16_V_MF4_MASK, VLSSEG2E16_V }, // 4535
  { PseudoVLSSEG2E16_V_MF4_TU, VLSSEG2E16_V }, // 4536
  { PseudoVLSSEG2E32_V_M1, VLSSEG2E32_V }, // 4537
  { PseudoVLSSEG2E32_V_M1_MASK, VLSSEG2E32_V }, // 4538
  { PseudoVLSSEG2E32_V_M1_TU, VLSSEG2E32_V }, // 4539
  { PseudoVLSSEG2E32_V_M2, VLSSEG2E32_V }, // 4540
  { PseudoVLSSEG2E32_V_M2_MASK, VLSSEG2E32_V }, // 4541
  { PseudoVLSSEG2E32_V_M2_TU, VLSSEG2E32_V }, // 4542
  { PseudoVLSSEG2E32_V_M4, VLSSEG2E32_V }, // 4543
  { PseudoVLSSEG2E32_V_M4_MASK, VLSSEG2E32_V }, // 4544
  { PseudoVLSSEG2E32_V_M4_TU, VLSSEG2E32_V }, // 4545
  { PseudoVLSSEG2E32_V_MF2, VLSSEG2E32_V }, // 4546
  { PseudoVLSSEG2E32_V_MF2_MASK, VLSSEG2E32_V }, // 4547
  { PseudoVLSSEG2E32_V_MF2_TU, VLSSEG2E32_V }, // 4548
  { PseudoVLSSEG2E64_V_M1, VLSSEG2E64_V }, // 4549
  { PseudoVLSSEG2E64_V_M1_MASK, VLSSEG2E64_V }, // 4550
  { PseudoVLSSEG2E64_V_M1_TU, VLSSEG2E64_V }, // 4551
  { PseudoVLSSEG2E64_V_M2, VLSSEG2E64_V }, // 4552
  { PseudoVLSSEG2E64_V_M2_MASK, VLSSEG2E64_V }, // 4553
  { PseudoVLSSEG2E64_V_M2_TU, VLSSEG2E64_V }, // 4554
  { PseudoVLSSEG2E64_V_M4, VLSSEG2E64_V }, // 4555
  { PseudoVLSSEG2E64_V_M4_MASK, VLSSEG2E64_V }, // 4556
  { PseudoVLSSEG2E64_V_M4_TU, VLSSEG2E64_V }, // 4557
  { PseudoVLSSEG2E8_V_M1, VLSSEG2E8_V }, // 4558
  { PseudoVLSSEG2E8_V_M1_MASK, VLSSEG2E8_V }, // 4559
  { PseudoVLSSEG2E8_V_M1_TU, VLSSEG2E8_V }, // 4560
  { PseudoVLSSEG2E8_V_M2, VLSSEG2E8_V }, // 4561
  { PseudoVLSSEG2E8_V_M2_MASK, VLSSEG2E8_V }, // 4562
  { PseudoVLSSEG2E8_V_M2_TU, VLSSEG2E8_V }, // 4563
  { PseudoVLSSEG2E8_V_M4, VLSSEG2E8_V }, // 4564
  { PseudoVLSSEG2E8_V_M4_MASK, VLSSEG2E8_V }, // 4565
  { PseudoVLSSEG2E8_V_M4_TU, VLSSEG2E8_V }, // 4566
  { PseudoVLSSEG2E8_V_MF2, VLSSEG2E8_V }, // 4567
  { PseudoVLSSEG2E8_V_MF2_MASK, VLSSEG2E8_V }, // 4568
  { PseudoVLSSEG2E8_V_MF2_TU, VLSSEG2E8_V }, // 4569
  { PseudoVLSSEG2E8_V_MF4, VLSSEG2E8_V }, // 4570
  { PseudoVLSSEG2E8_V_MF4_MASK, VLSSEG2E8_V }, // 4571
  { PseudoVLSSEG2E8_V_MF4_TU, VLSSEG2E8_V }, // 4572
  { PseudoVLSSEG2E8_V_MF8, VLSSEG2E8_V }, // 4573
  { PseudoVLSSEG2E8_V_MF8_MASK, VLSSEG2E8_V }, // 4574
  { PseudoVLSSEG2E8_V_MF8_TU, VLSSEG2E8_V }, // 4575
  { PseudoVLSSEG3E16_V_M1, VLSSEG3E16_V }, // 4576
  { PseudoVLSSEG3E16_V_M1_MASK, VLSSEG3E16_V }, // 4577
  { PseudoVLSSEG3E16_V_M1_TU, VLSSEG3E16_V }, // 4578
  { PseudoVLSSEG3E16_V_M2, VLSSEG3E16_V }, // 4579
  { PseudoVLSSEG3E16_V_M2_MASK, VLSSEG3E16_V }, // 4580
  { PseudoVLSSEG3E16_V_M2_TU, VLSSEG3E16_V }, // 4581
  { PseudoVLSSEG3E16_V_MF2, VLSSEG3E16_V }, // 4582
  { PseudoVLSSEG3E16_V_MF2_MASK, VLSSEG3E16_V }, // 4583
  { PseudoVLSSEG3E16_V_MF2_TU, VLSSEG3E16_V }, // 4584
  { PseudoVLSSEG3E16_V_MF4, VLSSEG3E16_V }, // 4585
  { PseudoVLSSEG3E16_V_MF4_MASK, VLSSEG3E16_V }, // 4586
  { PseudoVLSSEG3E16_V_MF4_TU, VLSSEG3E16_V }, // 4587
  { PseudoVLSSEG3E32_V_M1, VLSSEG3E32_V }, // 4588
  { PseudoVLSSEG3E32_V_M1_MASK, VLSSEG3E32_V }, // 4589
  { PseudoVLSSEG3E32_V_M1_TU, VLSSEG3E32_V }, // 4590
  { PseudoVLSSEG3E32_V_M2, VLSSEG3E32_V }, // 4591
  { PseudoVLSSEG3E32_V_M2_MASK, VLSSEG3E32_V }, // 4592
  { PseudoVLSSEG3E32_V_M2_TU, VLSSEG3E32_V }, // 4593
  { PseudoVLSSEG3E32_V_MF2, VLSSEG3E32_V }, // 4594
  { PseudoVLSSEG3E32_V_MF2_MASK, VLSSEG3E32_V }, // 4595
  { PseudoVLSSEG3E32_V_MF2_TU, VLSSEG3E32_V }, // 4596
  { PseudoVLSSEG3E64_V_M1, VLSSEG3E64_V }, // 4597
  { PseudoVLSSEG3E64_V_M1_MASK, VLSSEG3E64_V }, // 4598
  { PseudoVLSSEG3E64_V_M1_TU, VLSSEG3E64_V }, // 4599
  { PseudoVLSSEG3E64_V_M2, VLSSEG3E64_V }, // 4600
  { PseudoVLSSEG3E64_V_M2_MASK, VLSSEG3E64_V }, // 4601
  { PseudoVLSSEG3E64_V_M2_TU, VLSSEG3E64_V }, // 4602
  { PseudoVLSSEG3E8_V_M1, VLSSEG3E8_V }, // 4603
  { PseudoVLSSEG3E8_V_M1_MASK, VLSSEG3E8_V }, // 4604
  { PseudoVLSSEG3E8_V_M1_TU, VLSSEG3E8_V }, // 4605
  { PseudoVLSSEG3E8_V_M2, VLSSEG3E8_V }, // 4606
  { PseudoVLSSEG3E8_V_M2_MASK, VLSSEG3E8_V }, // 4607
  { PseudoVLSSEG3E8_V_M2_TU, VLSSEG3E8_V }, // 4608
  { PseudoVLSSEG3E8_V_MF2, VLSSEG3E8_V }, // 4609
  { PseudoVLSSEG3E8_V_MF2_MASK, VLSSEG3E8_V }, // 4610
  { PseudoVLSSEG3E8_V_MF2_TU, VLSSEG3E8_V }, // 4611
  { PseudoVLSSEG3E8_V_MF4, VLSSEG3E8_V }, // 4612
  { PseudoVLSSEG3E8_V_MF4_MASK, VLSSEG3E8_V }, // 4613
  { PseudoVLSSEG3E8_V_MF4_TU, VLSSEG3E8_V }, // 4614
  { PseudoVLSSEG3E8_V_MF8, VLSSEG3E8_V }, // 4615
  { PseudoVLSSEG3E8_V_MF8_MASK, VLSSEG3E8_V }, // 4616
  { PseudoVLSSEG3E8_V_MF8_TU, VLSSEG3E8_V }, // 4617
  { PseudoVLSSEG4E16_V_M1, VLSSEG4E16_V }, // 4618
  { PseudoVLSSEG4E16_V_M1_MASK, VLSSEG4E16_V }, // 4619
  { PseudoVLSSEG4E16_V_M1_TU, VLSSEG4E16_V }, // 4620
  { PseudoVLSSEG4E16_V_M2, VLSSEG4E16_V }, // 4621
  { PseudoVLSSEG4E16_V_M2_MASK, VLSSEG4E16_V }, // 4622
  { PseudoVLSSEG4E16_V_M2_TU, VLSSEG4E16_V }, // 4623
  { PseudoVLSSEG4E16_V_MF2, VLSSEG4E16_V }, // 4624
  { PseudoVLSSEG4E16_V_MF2_MASK, VLSSEG4E16_V }, // 4625
  { PseudoVLSSEG4E16_V_MF2_TU, VLSSEG4E16_V }, // 4626
  { PseudoVLSSEG4E16_V_MF4, VLSSEG4E16_V }, // 4627
  { PseudoVLSSEG4E16_V_MF4_MASK, VLSSEG4E16_V }, // 4628
  { PseudoVLSSEG4E16_V_MF4_TU, VLSSEG4E16_V }, // 4629
  { PseudoVLSSEG4E32_V_M1, VLSSEG4E32_V }, // 4630
  { PseudoVLSSEG4E32_V_M1_MASK, VLSSEG4E32_V }, // 4631
  { PseudoVLSSEG4E32_V_M1_TU, VLSSEG4E32_V }, // 4632
  { PseudoVLSSEG4E32_V_M2, VLSSEG4E32_V }, // 4633
  { PseudoVLSSEG4E32_V_M2_MASK, VLSSEG4E32_V }, // 4634
  { PseudoVLSSEG4E32_V_M2_TU, VLSSEG4E32_V }, // 4635
  { PseudoVLSSEG4E32_V_MF2, VLSSEG4E32_V }, // 4636
  { PseudoVLSSEG4E32_V_MF2_MASK, VLSSEG4E32_V }, // 4637
  { PseudoVLSSEG4E32_V_MF2_TU, VLSSEG4E32_V }, // 4638
  { PseudoVLSSEG4E64_V_M1, VLSSEG4E64_V }, // 4639
  { PseudoVLSSEG4E64_V_M1_MASK, VLSSEG4E64_V }, // 4640
  { PseudoVLSSEG4E64_V_M1_TU, VLSSEG4E64_V }, // 4641
  { PseudoVLSSEG4E64_V_M2, VLSSEG4E64_V }, // 4642
  { PseudoVLSSEG4E64_V_M2_MASK, VLSSEG4E64_V }, // 4643
  { PseudoVLSSEG4E64_V_M2_TU, VLSSEG4E64_V }, // 4644
  { PseudoVLSSEG4E8_V_M1, VLSSEG4E8_V }, // 4645
  { PseudoVLSSEG4E8_V_M1_MASK, VLSSEG4E8_V }, // 4646
  { PseudoVLSSEG4E8_V_M1_TU, VLSSEG4E8_V }, // 4647
  { PseudoVLSSEG4E8_V_M2, VLSSEG4E8_V }, // 4648
  { PseudoVLSSEG4E8_V_M2_MASK, VLSSEG4E8_V }, // 4649
  { PseudoVLSSEG4E8_V_M2_TU, VLSSEG4E8_V }, // 4650
  { PseudoVLSSEG4E8_V_MF2, VLSSEG4E8_V }, // 4651
  { PseudoVLSSEG4E8_V_MF2_MASK, VLSSEG4E8_V }, // 4652
  { PseudoVLSSEG4E8_V_MF2_TU, VLSSEG4E8_V }, // 4653
  { PseudoVLSSEG4E8_V_MF4, VLSSEG4E8_V }, // 4654
  { PseudoVLSSEG4E8_V_MF4_MASK, VLSSEG4E8_V }, // 4655
  { PseudoVLSSEG4E8_V_MF4_TU, VLSSEG4E8_V }, // 4656
  { PseudoVLSSEG4E8_V_MF8, VLSSEG4E8_V }, // 4657
  { PseudoVLSSEG4E8_V_MF8_MASK, VLSSEG4E8_V }, // 4658
  { PseudoVLSSEG4E8_V_MF8_TU, VLSSEG4E8_V }, // 4659
  { PseudoVLSSEG5E16_V_M1, VLSSEG5E16_V }, // 4660
  { PseudoVLSSEG5E16_V_M1_MASK, VLSSEG5E16_V }, // 4661
  { PseudoVLSSEG5E16_V_M1_TU, VLSSEG5E16_V }, // 4662
  { PseudoVLSSEG5E16_V_MF2, VLSSEG5E16_V }, // 4663
  { PseudoVLSSEG5E16_V_MF2_MASK, VLSSEG5E16_V }, // 4664
  { PseudoVLSSEG5E16_V_MF2_TU, VLSSEG5E16_V }, // 4665
  { PseudoVLSSEG5E16_V_MF4, VLSSEG5E16_V }, // 4666
  { PseudoVLSSEG5E16_V_MF4_MASK, VLSSEG5E16_V }, // 4667
  { PseudoVLSSEG5E16_V_MF4_TU, VLSSEG5E16_V }, // 4668
  { PseudoVLSSEG5E32_V_M1, VLSSEG5E32_V }, // 4669
  { PseudoVLSSEG5E32_V_M1_MASK, VLSSEG5E32_V }, // 4670
  { PseudoVLSSEG5E32_V_M1_TU, VLSSEG5E32_V }, // 4671
  { PseudoVLSSEG5E32_V_MF2, VLSSEG5E32_V }, // 4672
  { PseudoVLSSEG5E32_V_MF2_MASK, VLSSEG5E32_V }, // 4673
  { PseudoVLSSEG5E32_V_MF2_TU, VLSSEG5E32_V }, // 4674
  { PseudoVLSSEG5E64_V_M1, VLSSEG5E64_V }, // 4675
  { PseudoVLSSEG5E64_V_M1_MASK, VLSSEG5E64_V }, // 4676
  { PseudoVLSSEG5E64_V_M1_TU, VLSSEG5E64_V }, // 4677
  { PseudoVLSSEG5E8_V_M1, VLSSEG5E8_V }, // 4678
  { PseudoVLSSEG5E8_V_M1_MASK, VLSSEG5E8_V }, // 4679
  { PseudoVLSSEG5E8_V_M1_TU, VLSSEG5E8_V }, // 4680
  { PseudoVLSSEG5E8_V_MF2, VLSSEG5E8_V }, // 4681
  { PseudoVLSSEG5E8_V_MF2_MASK, VLSSEG5E8_V }, // 4682
  { PseudoVLSSEG5E8_V_MF2_TU, VLSSEG5E8_V }, // 4683
  { PseudoVLSSEG5E8_V_MF4, VLSSEG5E8_V }, // 4684
  { PseudoVLSSEG5E8_V_MF4_MASK, VLSSEG5E8_V }, // 4685
  { PseudoVLSSEG5E8_V_MF4_TU, VLSSEG5E8_V }, // 4686
  { PseudoVLSSEG5E8_V_MF8, VLSSEG5E8_V }, // 4687
  { PseudoVLSSEG5E8_V_MF8_MASK, VLSSEG5E8_V }, // 4688
  { PseudoVLSSEG5E8_V_MF8_TU, VLSSEG5E8_V }, // 4689
  { PseudoVLSSEG6E16_V_M1, VLSSEG6E16_V }, // 4690
  { PseudoVLSSEG6E16_V_M1_MASK, VLSSEG6E16_V }, // 4691
  { PseudoVLSSEG6E16_V_M1_TU, VLSSEG6E16_V }, // 4692
  { PseudoVLSSEG6E16_V_MF2, VLSSEG6E16_V }, // 4693
  { PseudoVLSSEG6E16_V_MF2_MASK, VLSSEG6E16_V }, // 4694
  { PseudoVLSSEG6E16_V_MF2_TU, VLSSEG6E16_V }, // 4695
  { PseudoVLSSEG6E16_V_MF4, VLSSEG6E16_V }, // 4696
  { PseudoVLSSEG6E16_V_MF4_MASK, VLSSEG6E16_V }, // 4697
  { PseudoVLSSEG6E16_V_MF4_TU, VLSSEG6E16_V }, // 4698
  { PseudoVLSSEG6E32_V_M1, VLSSEG6E32_V }, // 4699
  { PseudoVLSSEG6E32_V_M1_MASK, VLSSEG6E32_V }, // 4700
  { PseudoVLSSEG6E32_V_M1_TU, VLSSEG6E32_V }, // 4701
  { PseudoVLSSEG6E32_V_MF2, VLSSEG6E32_V }, // 4702
  { PseudoVLSSEG6E32_V_MF2_MASK, VLSSEG6E32_V }, // 4703
  { PseudoVLSSEG6E32_V_MF2_TU, VLSSEG6E32_V }, // 4704
  { PseudoVLSSEG6E64_V_M1, VLSSEG6E64_V }, // 4705
  { PseudoVLSSEG6E64_V_M1_MASK, VLSSEG6E64_V }, // 4706
  { PseudoVLSSEG6E64_V_M1_TU, VLSSEG6E64_V }, // 4707
  { PseudoVLSSEG6E8_V_M1, VLSSEG6E8_V }, // 4708
  { PseudoVLSSEG6E8_V_M1_MASK, VLSSEG6E8_V }, // 4709
  { PseudoVLSSEG6E8_V_M1_TU, VLSSEG6E8_V }, // 4710
  { PseudoVLSSEG6E8_V_MF2, VLSSEG6E8_V }, // 4711
  { PseudoVLSSEG6E8_V_MF2_MASK, VLSSEG6E8_V }, // 4712
  { PseudoVLSSEG6E8_V_MF2_TU, VLSSEG6E8_V }, // 4713
  { PseudoVLSSEG6E8_V_MF4, VLSSEG6E8_V }, // 4714
  { PseudoVLSSEG6E8_V_MF4_MASK, VLSSEG6E8_V }, // 4715
  { PseudoVLSSEG6E8_V_MF4_TU, VLSSEG6E8_V }, // 4716
  { PseudoVLSSEG6E8_V_MF8, VLSSEG6E8_V }, // 4717
  { PseudoVLSSEG6E8_V_MF8_MASK, VLSSEG6E8_V }, // 4718
  { PseudoVLSSEG6E8_V_MF8_TU, VLSSEG6E8_V }, // 4719
  { PseudoVLSSEG7E16_V_M1, VLSSEG7E16_V }, // 4720
  { PseudoVLSSEG7E16_V_M1_MASK, VLSSEG7E16_V }, // 4721
  { PseudoVLSSEG7E16_V_M1_TU, VLSSEG7E16_V }, // 4722
  { PseudoVLSSEG7E16_V_MF2, VLSSEG7E16_V }, // 4723
  { PseudoVLSSEG7E16_V_MF2_MASK, VLSSEG7E16_V }, // 4724
  { PseudoVLSSEG7E16_V_MF2_TU, VLSSEG7E16_V }, // 4725
  { PseudoVLSSEG7E16_V_MF4, VLSSEG7E16_V }, // 4726
  { PseudoVLSSEG7E16_V_MF4_MASK, VLSSEG7E16_V }, // 4727
  { PseudoVLSSEG7E16_V_MF4_TU, VLSSEG7E16_V }, // 4728
  { PseudoVLSSEG7E32_V_M1, VLSSEG7E32_V }, // 4729
  { PseudoVLSSEG7E32_V_M1_MASK, VLSSEG7E32_V }, // 4730
  { PseudoVLSSEG7E32_V_M1_TU, VLSSEG7E32_V }, // 4731
  { PseudoVLSSEG7E32_V_MF2, VLSSEG7E32_V }, // 4732
  { PseudoVLSSEG7E32_V_MF2_MASK, VLSSEG7E32_V }, // 4733
  { PseudoVLSSEG7E32_V_MF2_TU, VLSSEG7E32_V }, // 4734
  { PseudoVLSSEG7E64_V_M1, VLSSEG7E64_V }, // 4735
  { PseudoVLSSEG7E64_V_M1_MASK, VLSSEG7E64_V }, // 4736
  { PseudoVLSSEG7E64_V_M1_TU, VLSSEG7E64_V }, // 4737
  { PseudoVLSSEG7E8_V_M1, VLSSEG7E8_V }, // 4738
  { PseudoVLSSEG7E8_V_M1_MASK, VLSSEG7E8_V }, // 4739
  { PseudoVLSSEG7E8_V_M1_TU, VLSSEG7E8_V }, // 4740
  { PseudoVLSSEG7E8_V_MF2, VLSSEG7E8_V }, // 4741
  { PseudoVLSSEG7E8_V_MF2_MASK, VLSSEG7E8_V }, // 4742
  { PseudoVLSSEG7E8_V_MF2_TU, VLSSEG7E8_V }, // 4743
  { PseudoVLSSEG7E8_V_MF4, VLSSEG7E8_V }, // 4744
  { PseudoVLSSEG7E8_V_MF4_MASK, VLSSEG7E8_V }, // 4745
  { PseudoVLSSEG7E8_V_MF4_TU, VLSSEG7E8_V }, // 4746
  { PseudoVLSSEG7E8_V_MF8, VLSSEG7E8_V }, // 4747
  { PseudoVLSSEG7E8_V_MF8_MASK, VLSSEG7E8_V }, // 4748
  { PseudoVLSSEG7E8_V_MF8_TU, VLSSEG7E8_V }, // 4749
  { PseudoVLSSEG8E16_V_M1, VLSSEG8E16_V }, // 4750
  { PseudoVLSSEG8E16_V_M1_MASK, VLSSEG8E16_V }, // 4751
  { PseudoVLSSEG8E16_V_M1_TU, VLSSEG8E16_V }, // 4752
  { PseudoVLSSEG8E16_V_MF2, VLSSEG8E16_V }, // 4753
  { PseudoVLSSEG8E16_V_MF2_MASK, VLSSEG8E16_V }, // 4754
  { PseudoVLSSEG8E16_V_MF2_TU, VLSSEG8E16_V }, // 4755
  { PseudoVLSSEG8E16_V_MF4, VLSSEG8E16_V }, // 4756
  { PseudoVLSSEG8E16_V_MF4_MASK, VLSSEG8E16_V }, // 4757
  { PseudoVLSSEG8E16_V_MF4_TU, VLSSEG8E16_V }, // 4758
  { PseudoVLSSEG8E32_V_M1, VLSSEG8E32_V }, // 4759
  { PseudoVLSSEG8E32_V_M1_MASK, VLSSEG8E32_V }, // 4760
  { PseudoVLSSEG8E32_V_M1_TU, VLSSEG8E32_V }, // 4761
  { PseudoVLSSEG8E32_V_MF2, VLSSEG8E32_V }, // 4762
  { PseudoVLSSEG8E32_V_MF2_MASK, VLSSEG8E32_V }, // 4763
  { PseudoVLSSEG8E32_V_MF2_TU, VLSSEG8E32_V }, // 4764
  { PseudoVLSSEG8E64_V_M1, VLSSEG8E64_V }, // 4765
  { PseudoVLSSEG8E64_V_M1_MASK, VLSSEG8E64_V }, // 4766
  { PseudoVLSSEG8E64_V_M1_TU, VLSSEG8E64_V }, // 4767
  { PseudoVLSSEG8E8_V_M1, VLSSEG8E8_V }, // 4768
  { PseudoVLSSEG8E8_V_M1_MASK, VLSSEG8E8_V }, // 4769
  { PseudoVLSSEG8E8_V_M1_TU, VLSSEG8E8_V }, // 4770
  { PseudoVLSSEG8E8_V_MF2, VLSSEG8E8_V }, // 4771
  { PseudoVLSSEG8E8_V_MF2_MASK, VLSSEG8E8_V }, // 4772
  { PseudoVLSSEG8E8_V_MF2_TU, VLSSEG8E8_V }, // 4773
  { PseudoVLSSEG8E8_V_MF4, VLSSEG8E8_V }, // 4774
  { PseudoVLSSEG8E8_V_MF4_MASK, VLSSEG8E8_V }, // 4775
  { PseudoVLSSEG8E8_V_MF4_TU, VLSSEG8E8_V }, // 4776
  { PseudoVLSSEG8E8_V_MF8, VLSSEG8E8_V }, // 4777
  { PseudoVLSSEG8E8_V_MF8_MASK, VLSSEG8E8_V }, // 4778
  { PseudoVLSSEG8E8_V_MF8_TU, VLSSEG8E8_V }, // 4779
  { PseudoVLUXEI16_V_M1_M1, VLUXEI16_V }, // 4780
  { PseudoVLUXEI16_V_M1_M1_MASK, VLUXEI16_V }, // 4781
  { PseudoVLUXEI16_V_M1_M1_TU, VLUXEI16_V }, // 4782
  { PseudoVLUXEI16_V_M1_M2, VLUXEI16_V }, // 4783
  { PseudoVLUXEI16_V_M1_M2_MASK, VLUXEI16_V }, // 4784
  { PseudoVLUXEI16_V_M1_M2_TU, VLUXEI16_V }, // 4785
  { PseudoVLUXEI16_V_M1_M4, VLUXEI16_V }, // 4786
  { PseudoVLUXEI16_V_M1_M4_MASK, VLUXEI16_V }, // 4787
  { PseudoVLUXEI16_V_M1_M4_TU, VLUXEI16_V }, // 4788
  { PseudoVLUXEI16_V_M1_MF2, VLUXEI16_V }, // 4789
  { PseudoVLUXEI16_V_M1_MF2_MASK, VLUXEI16_V }, // 4790
  { PseudoVLUXEI16_V_M1_MF2_TU, VLUXEI16_V }, // 4791
  { PseudoVLUXEI16_V_M2_M1, VLUXEI16_V }, // 4792
  { PseudoVLUXEI16_V_M2_M1_MASK, VLUXEI16_V }, // 4793
  { PseudoVLUXEI16_V_M2_M1_TU, VLUXEI16_V }, // 4794
  { PseudoVLUXEI16_V_M2_M2, VLUXEI16_V }, // 4795
  { PseudoVLUXEI16_V_M2_M2_MASK, VLUXEI16_V }, // 4796
  { PseudoVLUXEI16_V_M2_M2_TU, VLUXEI16_V }, // 4797
  { PseudoVLUXEI16_V_M2_M4, VLUXEI16_V }, // 4798
  { PseudoVLUXEI16_V_M2_M4_MASK, VLUXEI16_V }, // 4799
  { PseudoVLUXEI16_V_M2_M4_TU, VLUXEI16_V }, // 4800
  { PseudoVLUXEI16_V_M2_M8, VLUXEI16_V }, // 4801
  { PseudoVLUXEI16_V_M2_M8_MASK, VLUXEI16_V }, // 4802
  { PseudoVLUXEI16_V_M2_M8_TU, VLUXEI16_V }, // 4803
  { PseudoVLUXEI16_V_M4_M2, VLUXEI16_V }, // 4804
  { PseudoVLUXEI16_V_M4_M2_MASK, VLUXEI16_V }, // 4805
  { PseudoVLUXEI16_V_M4_M2_TU, VLUXEI16_V }, // 4806
  { PseudoVLUXEI16_V_M4_M4, VLUXEI16_V }, // 4807
  { PseudoVLUXEI16_V_M4_M4_MASK, VLUXEI16_V }, // 4808
  { PseudoVLUXEI16_V_M4_M4_TU, VLUXEI16_V }, // 4809
  { PseudoVLUXEI16_V_M4_M8, VLUXEI16_V }, // 4810
  { PseudoVLUXEI16_V_M4_M8_MASK, VLUXEI16_V }, // 4811
  { PseudoVLUXEI16_V_M4_M8_TU, VLUXEI16_V }, // 4812
  { PseudoVLUXEI16_V_M8_M4, VLUXEI16_V }, // 4813
  { PseudoVLUXEI16_V_M8_M4_MASK, VLUXEI16_V }, // 4814
  { PseudoVLUXEI16_V_M8_M4_TU, VLUXEI16_V }, // 4815
  { PseudoVLUXEI16_V_M8_M8, VLUXEI16_V }, // 4816
  { PseudoVLUXEI16_V_M8_M8_MASK, VLUXEI16_V }, // 4817
  { PseudoVLUXEI16_V_M8_M8_TU, VLUXEI16_V }, // 4818
  { PseudoVLUXEI16_V_MF2_M1, VLUXEI16_V }, // 4819
  { PseudoVLUXEI16_V_MF2_M1_MASK, VLUXEI16_V }, // 4820
  { PseudoVLUXEI16_V_MF2_M1_TU, VLUXEI16_V }, // 4821
  { PseudoVLUXEI16_V_MF2_M2, VLUXEI16_V }, // 4822
  { PseudoVLUXEI16_V_MF2_M2_MASK, VLUXEI16_V }, // 4823
  { PseudoVLUXEI16_V_MF2_M2_TU, VLUXEI16_V }, // 4824
  { PseudoVLUXEI16_V_MF2_MF2, VLUXEI16_V }, // 4825
  { PseudoVLUXEI16_V_MF2_MF2_MASK, VLUXEI16_V }, // 4826
  { PseudoVLUXEI16_V_MF2_MF2_TU, VLUXEI16_V }, // 4827
  { PseudoVLUXEI16_V_MF2_MF4, VLUXEI16_V }, // 4828
  { PseudoVLUXEI16_V_MF2_MF4_MASK, VLUXEI16_V }, // 4829
  { PseudoVLUXEI16_V_MF2_MF4_TU, VLUXEI16_V }, // 4830
  { PseudoVLUXEI16_V_MF4_M1, VLUXEI16_V }, // 4831
  { PseudoVLUXEI16_V_MF4_M1_MASK, VLUXEI16_V }, // 4832
  { PseudoVLUXEI16_V_MF4_M1_TU, VLUXEI16_V }, // 4833
  { PseudoVLUXEI16_V_MF4_MF2, VLUXEI16_V }, // 4834
  { PseudoVLUXEI16_V_MF4_MF2_MASK, VLUXEI16_V }, // 4835
  { PseudoVLUXEI16_V_MF4_MF2_TU, VLUXEI16_V }, // 4836
  { PseudoVLUXEI16_V_MF4_MF4, VLUXEI16_V }, // 4837
  { PseudoVLUXEI16_V_MF4_MF4_MASK, VLUXEI16_V }, // 4838
  { PseudoVLUXEI16_V_MF4_MF4_TU, VLUXEI16_V }, // 4839
  { PseudoVLUXEI16_V_MF4_MF8, VLUXEI16_V }, // 4840
  { PseudoVLUXEI16_V_MF4_MF8_MASK, VLUXEI16_V }, // 4841
  { PseudoVLUXEI16_V_MF4_MF8_TU, VLUXEI16_V }, // 4842
  { PseudoVLUXEI32_V_M1_M1, VLUXEI32_V }, // 4843
  { PseudoVLUXEI32_V_M1_M1_MASK, VLUXEI32_V }, // 4844
  { PseudoVLUXEI32_V_M1_M1_TU, VLUXEI32_V }, // 4845
  { PseudoVLUXEI32_V_M1_M2, VLUXEI32_V }, // 4846
  { PseudoVLUXEI32_V_M1_M2_MASK, VLUXEI32_V }, // 4847
  { PseudoVLUXEI32_V_M1_M2_TU, VLUXEI32_V }, // 4848
  { PseudoVLUXEI32_V_M1_MF2, VLUXEI32_V }, // 4849
  { PseudoVLUXEI32_V_M1_MF2_MASK, VLUXEI32_V }, // 4850
  { PseudoVLUXEI32_V_M1_MF2_TU, VLUXEI32_V }, // 4851
  { PseudoVLUXEI32_V_M1_MF4, VLUXEI32_V }, // 4852
  { PseudoVLUXEI32_V_M1_MF4_MASK, VLUXEI32_V }, // 4853
  { PseudoVLUXEI32_V_M1_MF4_TU, VLUXEI32_V }, // 4854
  { PseudoVLUXEI32_V_M2_M1, VLUXEI32_V }, // 4855
  { PseudoVLUXEI32_V_M2_M1_MASK, VLUXEI32_V }, // 4856
  { PseudoVLUXEI32_V_M2_M1_TU, VLUXEI32_V }, // 4857
  { PseudoVLUXEI32_V_M2_M2, VLUXEI32_V }, // 4858
  { PseudoVLUXEI32_V_M2_M2_MASK, VLUXEI32_V }, // 4859
  { PseudoVLUXEI32_V_M2_M2_TU, VLUXEI32_V }, // 4860
  { PseudoVLUXEI32_V_M2_M4, VLUXEI32_V }, // 4861
  { PseudoVLUXEI32_V_M2_M4_MASK, VLUXEI32_V }, // 4862
  { PseudoVLUXEI32_V_M2_M4_TU, VLUXEI32_V }, // 4863
  { PseudoVLUXEI32_V_M2_MF2, VLUXEI32_V }, // 4864
  { PseudoVLUXEI32_V_M2_MF2_MASK, VLUXEI32_V }, // 4865
  { PseudoVLUXEI32_V_M2_MF2_TU, VLUXEI32_V }, // 4866
  { PseudoVLUXEI32_V_M4_M1, VLUXEI32_V }, // 4867
  { PseudoVLUXEI32_V_M4_M1_MASK, VLUXEI32_V }, // 4868
  { PseudoVLUXEI32_V_M4_M1_TU, VLUXEI32_V }, // 4869
  { PseudoVLUXEI32_V_M4_M2, VLUXEI32_V }, // 4870
  { PseudoVLUXEI32_V_M4_M2_MASK, VLUXEI32_V }, // 4871
  { PseudoVLUXEI32_V_M4_M2_TU, VLUXEI32_V }, // 4872
  { PseudoVLUXEI32_V_M4_M4, VLUXEI32_V }, // 4873
  { PseudoVLUXEI32_V_M4_M4_MASK, VLUXEI32_V }, // 4874
  { PseudoVLUXEI32_V_M4_M4_TU, VLUXEI32_V }, // 4875
  { PseudoVLUXEI32_V_M4_M8, VLUXEI32_V }, // 4876
  { PseudoVLUXEI32_V_M4_M8_MASK, VLUXEI32_V }, // 4877
  { PseudoVLUXEI32_V_M4_M8_TU, VLUXEI32_V }, // 4878
  { PseudoVLUXEI32_V_M8_M2, VLUXEI32_V }, // 4879
  { PseudoVLUXEI32_V_M8_M2_MASK, VLUXEI32_V }, // 4880
  { PseudoVLUXEI32_V_M8_M2_TU, VLUXEI32_V }, // 4881
  { PseudoVLUXEI32_V_M8_M4, VLUXEI32_V }, // 4882
  { PseudoVLUXEI32_V_M8_M4_MASK, VLUXEI32_V }, // 4883
  { PseudoVLUXEI32_V_M8_M4_TU, VLUXEI32_V }, // 4884
  { PseudoVLUXEI32_V_M8_M8, VLUXEI32_V }, // 4885
  { PseudoVLUXEI32_V_M8_M8_MASK, VLUXEI32_V }, // 4886
  { PseudoVLUXEI32_V_M8_M8_TU, VLUXEI32_V }, // 4887
  { PseudoVLUXEI32_V_MF2_M1, VLUXEI32_V }, // 4888
  { PseudoVLUXEI32_V_MF2_M1_MASK, VLUXEI32_V }, // 4889
  { PseudoVLUXEI32_V_MF2_M1_TU, VLUXEI32_V }, // 4890
  { PseudoVLUXEI32_V_MF2_MF2, VLUXEI32_V }, // 4891
  { PseudoVLUXEI32_V_MF2_MF2_MASK, VLUXEI32_V }, // 4892
  { PseudoVLUXEI32_V_MF2_MF2_TU, VLUXEI32_V }, // 4893
  { PseudoVLUXEI32_V_MF2_MF4, VLUXEI32_V }, // 4894
  { PseudoVLUXEI32_V_MF2_MF4_MASK, VLUXEI32_V }, // 4895
  { PseudoVLUXEI32_V_MF2_MF4_TU, VLUXEI32_V }, // 4896
  { PseudoVLUXEI32_V_MF2_MF8, VLUXEI32_V }, // 4897
  { PseudoVLUXEI32_V_MF2_MF8_MASK, VLUXEI32_V }, // 4898
  { PseudoVLUXEI32_V_MF2_MF8_TU, VLUXEI32_V }, // 4899
  { PseudoVLUXEI64_V_M1_M1, VLUXEI64_V }, // 4900
  { PseudoVLUXEI64_V_M1_M1_MASK, VLUXEI64_V }, // 4901
  { PseudoVLUXEI64_V_M1_M1_TU, VLUXEI64_V }, // 4902
  { PseudoVLUXEI64_V_M1_MF2, VLUXEI64_V }, // 4903
  { PseudoVLUXEI64_V_M1_MF2_MASK, VLUXEI64_V }, // 4904
  { PseudoVLUXEI64_V_M1_MF2_TU, VLUXEI64_V }, // 4905
  { PseudoVLUXEI64_V_M1_MF4, VLUXEI64_V }, // 4906
  { PseudoVLUXEI64_V_M1_MF4_MASK, VLUXEI64_V }, // 4907
  { PseudoVLUXEI64_V_M1_MF4_TU, VLUXEI64_V }, // 4908
  { PseudoVLUXEI64_V_M1_MF8, VLUXEI64_V }, // 4909
  { PseudoVLUXEI64_V_M1_MF8_MASK, VLUXEI64_V }, // 4910
  { PseudoVLUXEI64_V_M1_MF8_TU, VLUXEI64_V }, // 4911
  { PseudoVLUXEI64_V_M2_M1, VLUXEI64_V }, // 4912
  { PseudoVLUXEI64_V_M2_M1_MASK, VLUXEI64_V }, // 4913
  { PseudoVLUXEI64_V_M2_M1_TU, VLUXEI64_V }, // 4914
  { PseudoVLUXEI64_V_M2_M2, VLUXEI64_V }, // 4915
  { PseudoVLUXEI64_V_M2_M2_MASK, VLUXEI64_V }, // 4916
  { PseudoVLUXEI64_V_M2_M2_TU, VLUXEI64_V }, // 4917
  { PseudoVLUXEI64_V_M2_MF2, VLUXEI64_V }, // 4918
  { PseudoVLUXEI64_V_M2_MF2_MASK, VLUXEI64_V }, // 4919
  { PseudoVLUXEI64_V_M2_MF2_TU, VLUXEI64_V }, // 4920
  { PseudoVLUXEI64_V_M2_MF4, VLUXEI64_V }, // 4921
  { PseudoVLUXEI64_V_M2_MF4_MASK, VLUXEI64_V }, // 4922
  { PseudoVLUXEI64_V_M2_MF4_TU, VLUXEI64_V }, // 4923
  { PseudoVLUXEI64_V_M4_M1, VLUXEI64_V }, // 4924
  { PseudoVLUXEI64_V_M4_M1_MASK, VLUXEI64_V }, // 4925
  { PseudoVLUXEI64_V_M4_M1_TU, VLUXEI64_V }, // 4926
  { PseudoVLUXEI64_V_M4_M2, VLUXEI64_V }, // 4927
  { PseudoVLUXEI64_V_M4_M2_MASK, VLUXEI64_V }, // 4928
  { PseudoVLUXEI64_V_M4_M2_TU, VLUXEI64_V }, // 4929
  { PseudoVLUXEI64_V_M4_M4, VLUXEI64_V }, // 4930
  { PseudoVLUXEI64_V_M4_M4_MASK, VLUXEI64_V }, // 4931
  { PseudoVLUXEI64_V_M4_M4_TU, VLUXEI64_V }, // 4932
  { PseudoVLUXEI64_V_M4_MF2, VLUXEI64_V }, // 4933
  { PseudoVLUXEI64_V_M4_MF2_MASK, VLUXEI64_V }, // 4934
  { PseudoVLUXEI64_V_M4_MF2_TU, VLUXEI64_V }, // 4935
  { PseudoVLUXEI64_V_M8_M1, VLUXEI64_V }, // 4936
  { PseudoVLUXEI64_V_M8_M1_MASK, VLUXEI64_V }, // 4937
  { PseudoVLUXEI64_V_M8_M1_TU, VLUXEI64_V }, // 4938
  { PseudoVLUXEI64_V_M8_M2, VLUXEI64_V }, // 4939
  { PseudoVLUXEI64_V_M8_M2_MASK, VLUXEI64_V }, // 4940
  { PseudoVLUXEI64_V_M8_M2_TU, VLUXEI64_V }, // 4941
  { PseudoVLUXEI64_V_M8_M4, VLUXEI64_V }, // 4942
  { PseudoVLUXEI64_V_M8_M4_MASK, VLUXEI64_V }, // 4943
  { PseudoVLUXEI64_V_M8_M4_TU, VLUXEI64_V }, // 4944
  { PseudoVLUXEI64_V_M8_M8, VLUXEI64_V }, // 4945
  { PseudoVLUXEI64_V_M8_M8_MASK, VLUXEI64_V }, // 4946
  { PseudoVLUXEI64_V_M8_M8_TU, VLUXEI64_V }, // 4947
  { PseudoVLUXEI8_V_M1_M1, VLUXEI8_V }, // 4948
  { PseudoVLUXEI8_V_M1_M1_MASK, VLUXEI8_V }, // 4949
  { PseudoVLUXEI8_V_M1_M1_TU, VLUXEI8_V }, // 4950
  { PseudoVLUXEI8_V_M1_M2, VLUXEI8_V }, // 4951
  { PseudoVLUXEI8_V_M1_M2_MASK, VLUXEI8_V }, // 4952
  { PseudoVLUXEI8_V_M1_M2_TU, VLUXEI8_V }, // 4953
  { PseudoVLUXEI8_V_M1_M4, VLUXEI8_V }, // 4954
  { PseudoVLUXEI8_V_M1_M4_MASK, VLUXEI8_V }, // 4955
  { PseudoVLUXEI8_V_M1_M4_TU, VLUXEI8_V }, // 4956
  { PseudoVLUXEI8_V_M1_M8, VLUXEI8_V }, // 4957
  { PseudoVLUXEI8_V_M1_M8_MASK, VLUXEI8_V }, // 4958
  { PseudoVLUXEI8_V_M1_M8_TU, VLUXEI8_V }, // 4959
  { PseudoVLUXEI8_V_M2_M2, VLUXEI8_V }, // 4960
  { PseudoVLUXEI8_V_M2_M2_MASK, VLUXEI8_V }, // 4961
  { PseudoVLUXEI8_V_M2_M2_TU, VLUXEI8_V }, // 4962
  { PseudoVLUXEI8_V_M2_M4, VLUXEI8_V }, // 4963
  { PseudoVLUXEI8_V_M2_M4_MASK, VLUXEI8_V }, // 4964
  { PseudoVLUXEI8_V_M2_M4_TU, VLUXEI8_V }, // 4965
  { PseudoVLUXEI8_V_M2_M8, VLUXEI8_V }, // 4966
  { PseudoVLUXEI8_V_M2_M8_MASK, VLUXEI8_V }, // 4967
  { PseudoVLUXEI8_V_M2_M8_TU, VLUXEI8_V }, // 4968
  { PseudoVLUXEI8_V_M4_M4, VLUXEI8_V }, // 4969
  { PseudoVLUXEI8_V_M4_M4_MASK, VLUXEI8_V }, // 4970
  { PseudoVLUXEI8_V_M4_M4_TU, VLUXEI8_V }, // 4971
  { PseudoVLUXEI8_V_M4_M8, VLUXEI8_V }, // 4972
  { PseudoVLUXEI8_V_M4_M8_MASK, VLUXEI8_V }, // 4973
  { PseudoVLUXEI8_V_M4_M8_TU, VLUXEI8_V }, // 4974
  { PseudoVLUXEI8_V_M8_M8, VLUXEI8_V }, // 4975
  { PseudoVLUXEI8_V_M8_M8_MASK, VLUXEI8_V }, // 4976
  { PseudoVLUXEI8_V_M8_M8_TU, VLUXEI8_V }, // 4977
  { PseudoVLUXEI8_V_MF2_M1, VLUXEI8_V }, // 4978
  { PseudoVLUXEI8_V_MF2_M1_MASK, VLUXEI8_V }, // 4979
  { PseudoVLUXEI8_V_MF2_M1_TU, VLUXEI8_V }, // 4980
  { PseudoVLUXEI8_V_MF2_M2, VLUXEI8_V }, // 4981
  { PseudoVLUXEI8_V_MF2_M2_MASK, VLUXEI8_V }, // 4982
  { PseudoVLUXEI8_V_MF2_M2_TU, VLUXEI8_V }, // 4983
  { PseudoVLUXEI8_V_MF2_M4, VLUXEI8_V }, // 4984
  { PseudoVLUXEI8_V_MF2_M4_MASK, VLUXEI8_V }, // 4985
  { PseudoVLUXEI8_V_MF2_M4_TU, VLUXEI8_V }, // 4986
  { PseudoVLUXEI8_V_MF2_MF2, VLUXEI8_V }, // 4987
  { PseudoVLUXEI8_V_MF2_MF2_MASK, VLUXEI8_V }, // 4988
  { PseudoVLUXEI8_V_MF2_MF2_TU, VLUXEI8_V }, // 4989
  { PseudoVLUXEI8_V_MF4_M1, VLUXEI8_V }, // 4990
  { PseudoVLUXEI8_V_MF4_M1_MASK, VLUXEI8_V }, // 4991
  { PseudoVLUXEI8_V_MF4_M1_TU, VLUXEI8_V }, // 4992
  { PseudoVLUXEI8_V_MF4_M2, VLUXEI8_V }, // 4993
  { PseudoVLUXEI8_V_MF4_M2_MASK, VLUXEI8_V }, // 4994
  { PseudoVLUXEI8_V_MF4_M2_TU, VLUXEI8_V }, // 4995
  { PseudoVLUXEI8_V_MF4_MF2, VLUXEI8_V }, // 4996
  { PseudoVLUXEI8_V_MF4_MF2_MASK, VLUXEI8_V }, // 4997
  { PseudoVLUXEI8_V_MF4_MF2_TU, VLUXEI8_V }, // 4998
  { PseudoVLUXEI8_V_MF4_MF4, VLUXEI8_V }, // 4999
  { PseudoVLUXEI8_V_MF4_MF4_MASK, VLUXEI8_V }, // 5000
  { PseudoVLUXEI8_V_MF4_MF4_TU, VLUXEI8_V }, // 5001
  { PseudoVLUXEI8_V_MF8_M1, VLUXEI8_V }, // 5002
  { PseudoVLUXEI8_V_MF8_M1_MASK, VLUXEI8_V }, // 5003
  { PseudoVLUXEI8_V_MF8_M1_TU, VLUXEI8_V }, // 5004
  { PseudoVLUXEI8_V_MF8_MF2, VLUXEI8_V }, // 5005
  { PseudoVLUXEI8_V_MF8_MF2_MASK, VLUXEI8_V }, // 5006
  { PseudoVLUXEI8_V_MF8_MF2_TU, VLUXEI8_V }, // 5007
  { PseudoVLUXEI8_V_MF8_MF4, VLUXEI8_V }, // 5008
  { PseudoVLUXEI8_V_MF8_MF4_MASK, VLUXEI8_V }, // 5009
  { PseudoVLUXEI8_V_MF8_MF4_TU, VLUXEI8_V }, // 5010
  { PseudoVLUXEI8_V_MF8_MF8, VLUXEI8_V }, // 5011
  { PseudoVLUXEI8_V_MF8_MF8_MASK, VLUXEI8_V }, // 5012
  { PseudoVLUXEI8_V_MF8_MF8_TU, VLUXEI8_V }, // 5013
  { PseudoVLUXSEG2EI16_V_M1_M1, VLUXSEG2EI16_V }, // 5014
  { PseudoVLUXSEG2EI16_V_M1_M1_MASK, VLUXSEG2EI16_V }, // 5015
  { PseudoVLUXSEG2EI16_V_M1_M1_TU, VLUXSEG2EI16_V }, // 5016
  { PseudoVLUXSEG2EI16_V_M1_M2, VLUXSEG2EI16_V }, // 5017
  { PseudoVLUXSEG2EI16_V_M1_M2_MASK, VLUXSEG2EI16_V }, // 5018
  { PseudoVLUXSEG2EI16_V_M1_M2_TU, VLUXSEG2EI16_V }, // 5019
  { PseudoVLUXSEG2EI16_V_M1_M4, VLUXSEG2EI16_V }, // 5020
  { PseudoVLUXSEG2EI16_V_M1_M4_MASK, VLUXSEG2EI16_V }, // 5021
  { PseudoVLUXSEG2EI16_V_M1_M4_TU, VLUXSEG2EI16_V }, // 5022
  { PseudoVLUXSEG2EI16_V_M1_MF2, VLUXSEG2EI16_V }, // 5023
  { PseudoVLUXSEG2EI16_V_M1_MF2_MASK, VLUXSEG2EI16_V }, // 5024
  { PseudoVLUXSEG2EI16_V_M1_MF2_TU, VLUXSEG2EI16_V }, // 5025
  { PseudoVLUXSEG2EI16_V_M2_M1, VLUXSEG2EI16_V }, // 5026
  { PseudoVLUXSEG2EI16_V_M2_M1_MASK, VLUXSEG2EI16_V }, // 5027
  { PseudoVLUXSEG2EI16_V_M2_M1_TU, VLUXSEG2EI16_V }, // 5028
  { PseudoVLUXSEG2EI16_V_M2_M2, VLUXSEG2EI16_V }, // 5029
  { PseudoVLUXSEG2EI16_V_M2_M2_MASK, VLUXSEG2EI16_V }, // 5030
  { PseudoVLUXSEG2EI16_V_M2_M2_TU, VLUXSEG2EI16_V }, // 5031
  { PseudoVLUXSEG2EI16_V_M2_M4, VLUXSEG2EI16_V }, // 5032
  { PseudoVLUXSEG2EI16_V_M2_M4_MASK, VLUXSEG2EI16_V }, // 5033
  { PseudoVLUXSEG2EI16_V_M2_M4_TU, VLUXSEG2EI16_V }, // 5034
  { PseudoVLUXSEG2EI16_V_M4_M2, VLUXSEG2EI16_V }, // 5035
  { PseudoVLUXSEG2EI16_V_M4_M2_MASK, VLUXSEG2EI16_V }, // 5036
  { PseudoVLUXSEG2EI16_V_M4_M2_TU, VLUXSEG2EI16_V }, // 5037
  { PseudoVLUXSEG2EI16_V_M4_M4, VLUXSEG2EI16_V }, // 5038
  { PseudoVLUXSEG2EI16_V_M4_M4_MASK, VLUXSEG2EI16_V }, // 5039
  { PseudoVLUXSEG2EI16_V_M4_M4_TU, VLUXSEG2EI16_V }, // 5040
  { PseudoVLUXSEG2EI16_V_M8_M4, VLUXSEG2EI16_V }, // 5041
  { PseudoVLUXSEG2EI16_V_M8_M4_MASK, VLUXSEG2EI16_V }, // 5042
  { PseudoVLUXSEG2EI16_V_M8_M4_TU, VLUXSEG2EI16_V }, // 5043
  { PseudoVLUXSEG2EI16_V_MF2_M1, VLUXSEG2EI16_V }, // 5044
  { PseudoVLUXSEG2EI16_V_MF2_M1_MASK, VLUXSEG2EI16_V }, // 5045
  { PseudoVLUXSEG2EI16_V_MF2_M1_TU, VLUXSEG2EI16_V }, // 5046
  { PseudoVLUXSEG2EI16_V_MF2_M2, VLUXSEG2EI16_V }, // 5047
  { PseudoVLUXSEG2EI16_V_MF2_M2_MASK, VLUXSEG2EI16_V }, // 5048
  { PseudoVLUXSEG2EI16_V_MF2_M2_TU, VLUXSEG2EI16_V }, // 5049
  { PseudoVLUXSEG2EI16_V_MF2_MF2, VLUXSEG2EI16_V }, // 5050
  { PseudoVLUXSEG2EI16_V_MF2_MF2_MASK, VLUXSEG2EI16_V }, // 5051
  { PseudoVLUXSEG2EI16_V_MF2_MF2_TU, VLUXSEG2EI16_V }, // 5052
  { PseudoVLUXSEG2EI16_V_MF2_MF4, VLUXSEG2EI16_V }, // 5053
  { PseudoVLUXSEG2EI16_V_MF2_MF4_MASK, VLUXSEG2EI16_V }, // 5054
  { PseudoVLUXSEG2EI16_V_MF2_MF4_TU, VLUXSEG2EI16_V }, // 5055
  { PseudoVLUXSEG2EI16_V_MF4_M1, VLUXSEG2EI16_V }, // 5056
  { PseudoVLUXSEG2EI16_V_MF4_M1_MASK, VLUXSEG2EI16_V }, // 5057
  { PseudoVLUXSEG2EI16_V_MF4_M1_TU, VLUXSEG2EI16_V }, // 5058
  { PseudoVLUXSEG2EI16_V_MF4_MF2, VLUXSEG2EI16_V }, // 5059
  { PseudoVLUXSEG2EI16_V_MF4_MF2_MASK, VLUXSEG2EI16_V }, // 5060
  { PseudoVLUXSEG2EI16_V_MF4_MF2_TU, VLUXSEG2EI16_V }, // 5061
  { PseudoVLUXSEG2EI16_V_MF4_MF4, VLUXSEG2EI16_V }, // 5062
  { PseudoVLUXSEG2EI16_V_MF4_MF4_MASK, VLUXSEG2EI16_V }, // 5063
  { PseudoVLUXSEG2EI16_V_MF4_MF4_TU, VLUXSEG2EI16_V }, // 5064
  { PseudoVLUXSEG2EI16_V_MF4_MF8, VLUXSEG2EI16_V }, // 5065
  { PseudoVLUXSEG2EI16_V_MF4_MF8_MASK, VLUXSEG2EI16_V }, // 5066
  { PseudoVLUXSEG2EI16_V_MF4_MF8_TU, VLUXSEG2EI16_V }, // 5067
  { PseudoVLUXSEG2EI32_V_M1_M1, VLUXSEG2EI32_V }, // 5068
  { PseudoVLUXSEG2EI32_V_M1_M1_MASK, VLUXSEG2EI32_V }, // 5069
  { PseudoVLUXSEG2EI32_V_M1_M1_TU, VLUXSEG2EI32_V }, // 5070
  { PseudoVLUXSEG2EI32_V_M1_M2, VLUXSEG2EI32_V }, // 5071
  { PseudoVLUXSEG2EI32_V_M1_M2_MASK, VLUXSEG2EI32_V }, // 5072
  { PseudoVLUXSEG2EI32_V_M1_M2_TU, VLUXSEG2EI32_V }, // 5073
  { PseudoVLUXSEG2EI32_V_M1_MF2, VLUXSEG2EI32_V }, // 5074
  { PseudoVLUXSEG2EI32_V_M1_MF2_MASK, VLUXSEG2EI32_V }, // 5075
  { PseudoVLUXSEG2EI32_V_M1_MF2_TU, VLUXSEG2EI32_V }, // 5076
  { PseudoVLUXSEG2EI32_V_M1_MF4, VLUXSEG2EI32_V }, // 5077
  { PseudoVLUXSEG2EI32_V_M1_MF4_MASK, VLUXSEG2EI32_V }, // 5078
  { PseudoVLUXSEG2EI32_V_M1_MF4_TU, VLUXSEG2EI32_V }, // 5079
  { PseudoVLUXSEG2EI32_V_M2_M1, VLUXSEG2EI32_V }, // 5080
  { PseudoVLUXSEG2EI32_V_M2_M1_MASK, VLUXSEG2EI32_V }, // 5081
  { PseudoVLUXSEG2EI32_V_M2_M1_TU, VLUXSEG2EI32_V }, // 5082
  { PseudoVLUXSEG2EI32_V_M2_M2, VLUXSEG2EI32_V }, // 5083
  { PseudoVLUXSEG2EI32_V_M2_M2_MASK, VLUXSEG2EI32_V }, // 5084
  { PseudoVLUXSEG2EI32_V_M2_M2_TU, VLUXSEG2EI32_V }, // 5085
  { PseudoVLUXSEG2EI32_V_M2_M4, VLUXSEG2EI32_V }, // 5086
  { PseudoVLUXSEG2EI32_V_M2_M4_MASK, VLUXSEG2EI32_V }, // 5087
  { PseudoVLUXSEG2EI32_V_M2_M4_TU, VLUXSEG2EI32_V }, // 5088
  { PseudoVLUXSEG2EI32_V_M2_MF2, VLUXSEG2EI32_V }, // 5089
  { PseudoVLUXSEG2EI32_V_M2_MF2_MASK, VLUXSEG2EI32_V }, // 5090
  { PseudoVLUXSEG2EI32_V_M2_MF2_TU, VLUXSEG2EI32_V }, // 5091
  { PseudoVLUXSEG2EI32_V_M4_M1, VLUXSEG2EI32_V }, // 5092
  { PseudoVLUXSEG2EI32_V_M4_M1_MASK, VLUXSEG2EI32_V }, // 5093
  { PseudoVLUXSEG2EI32_V_M4_M1_TU, VLUXSEG2EI32_V }, // 5094
  { PseudoVLUXSEG2EI32_V_M4_M2, VLUXSEG2EI32_V }, // 5095
  { PseudoVLUXSEG2EI32_V_M4_M2_MASK, VLUXSEG2EI32_V }, // 5096
  { PseudoVLUXSEG2EI32_V_M4_M2_TU, VLUXSEG2EI32_V }, // 5097
  { PseudoVLUXSEG2EI32_V_M4_M4, VLUXSEG2EI32_V }, // 5098
  { PseudoVLUXSEG2EI32_V_M4_M4_MASK, VLUXSEG2EI32_V }, // 5099
  { PseudoVLUXSEG2EI32_V_M4_M4_TU, VLUXSEG2EI32_V }, // 5100
  { PseudoVLUXSEG2EI32_V_M8_M2, VLUXSEG2EI32_V }, // 5101
  { PseudoVLUXSEG2EI32_V_M8_M2_MASK, VLUXSEG2EI32_V }, // 5102
  { PseudoVLUXSEG2EI32_V_M8_M2_TU, VLUXSEG2EI32_V }, // 5103
  { PseudoVLUXSEG2EI32_V_M8_M4, VLUXSEG2EI32_V }, // 5104
  { PseudoVLUXSEG2EI32_V_M8_M4_MASK, VLUXSEG2EI32_V }, // 5105
  { PseudoVLUXSEG2EI32_V_M8_M4_TU, VLUXSEG2EI32_V }, // 5106
  { PseudoVLUXSEG2EI32_V_MF2_M1, VLUXSEG2EI32_V }, // 5107
  { PseudoVLUXSEG2EI32_V_MF2_M1_MASK, VLUXSEG2EI32_V }, // 5108
  { PseudoVLUXSEG2EI32_V_MF2_M1_TU, VLUXSEG2EI32_V }, // 5109
  { PseudoVLUXSEG2EI32_V_MF2_MF2, VLUXSEG2EI32_V }, // 5110
  { PseudoVLUXSEG2EI32_V_MF2_MF2_MASK, VLUXSEG2EI32_V }, // 5111
  { PseudoVLUXSEG2EI32_V_MF2_MF2_TU, VLUXSEG2EI32_V }, // 5112
  { PseudoVLUXSEG2EI32_V_MF2_MF4, VLUXSEG2EI32_V }, // 5113
  { PseudoVLUXSEG2EI32_V_MF2_MF4_MASK, VLUXSEG2EI32_V }, // 5114
  { PseudoVLUXSEG2EI32_V_MF2_MF4_TU, VLUXSEG2EI32_V }, // 5115
  { PseudoVLUXSEG2EI32_V_MF2_MF8, VLUXSEG2EI32_V }, // 5116
  { PseudoVLUXSEG2EI32_V_MF2_MF8_MASK, VLUXSEG2EI32_V }, // 5117
  { PseudoVLUXSEG2EI32_V_MF2_MF8_TU, VLUXSEG2EI32_V }, // 5118
  { PseudoVLUXSEG2EI64_V_M1_M1, VLUXSEG2EI64_V }, // 5119
  { PseudoVLUXSEG2EI64_V_M1_M1_MASK, VLUXSEG2EI64_V }, // 5120
  { PseudoVLUXSEG2EI64_V_M1_M1_TU, VLUXSEG2EI64_V }, // 5121
  { PseudoVLUXSEG2EI64_V_M1_MF2, VLUXSEG2EI64_V }, // 5122
  { PseudoVLUXSEG2EI64_V_M1_MF2_MASK, VLUXSEG2EI64_V }, // 5123
  { PseudoVLUXSEG2EI64_V_M1_MF2_TU, VLUXSEG2EI64_V }, // 5124
  { PseudoVLUXSEG2EI64_V_M1_MF4, VLUXSEG2EI64_V }, // 5125
  { PseudoVLUXSEG2EI64_V_M1_MF4_MASK, VLUXSEG2EI64_V }, // 5126
  { PseudoVLUXSEG2EI64_V_M1_MF4_TU, VLUXSEG2EI64_V }, // 5127
  { PseudoVLUXSEG2EI64_V_M1_MF8, VLUXSEG2EI64_V }, // 5128
  { PseudoVLUXSEG2EI64_V_M1_MF8_MASK, VLUXSEG2EI64_V }, // 5129
  { PseudoVLUXSEG2EI64_V_M1_MF8_TU, VLUXSEG2EI64_V }, // 5130
  { PseudoVLUXSEG2EI64_V_M2_M1, VLUXSEG2EI64_V }, // 5131
  { PseudoVLUXSEG2EI64_V_M2_M1_MASK, VLUXSEG2EI64_V }, // 5132
  { PseudoVLUXSEG2EI64_V_M2_M1_TU, VLUXSEG2EI64_V }, // 5133
  { PseudoVLUXSEG2EI64_V_M2_M2, VLUXSEG2EI64_V }, // 5134
  { PseudoVLUXSEG2EI64_V_M2_M2_MASK, VLUXSEG2EI64_V }, // 5135
  { PseudoVLUXSEG2EI64_V_M2_M2_TU, VLUXSEG2EI64_V }, // 5136
  { PseudoVLUXSEG2EI64_V_M2_MF2, VLUXSEG2EI64_V }, // 5137
  { PseudoVLUXSEG2EI64_V_M2_MF2_MASK, VLUXSEG2EI64_V }, // 5138
  { PseudoVLUXSEG2EI64_V_M2_MF2_TU, VLUXSEG2EI64_V }, // 5139
  { PseudoVLUXSEG2EI64_V_M2_MF4, VLUXSEG2EI64_V }, // 5140
  { PseudoVLUXSEG2EI64_V_M2_MF4_MASK, VLUXSEG2EI64_V }, // 5141
  { PseudoVLUXSEG2EI64_V_M2_MF4_TU, VLUXSEG2EI64_V }, // 5142
  { PseudoVLUXSEG2EI64_V_M4_M1, VLUXSEG2EI64_V }, // 5143
  { PseudoVLUXSEG2EI64_V_M4_M1_MASK, VLUXSEG2EI64_V }, // 5144
  { PseudoVLUXSEG2EI64_V_M4_M1_TU, VLUXSEG2EI64_V }, // 5145
  { PseudoVLUXSEG2EI64_V_M4_M2, VLUXSEG2EI64_V }, // 5146
  { PseudoVLUXSEG2EI64_V_M4_M2_MASK, VLUXSEG2EI64_V }, // 5147
  { PseudoVLUXSEG2EI64_V_M4_M2_TU, VLUXSEG2EI64_V }, // 5148
  { PseudoVLUXSEG2EI64_V_M4_M4, VLUXSEG2EI64_V }, // 5149
  { PseudoVLUXSEG2EI64_V_M4_M4_MASK, VLUXSEG2EI64_V }, // 5150
  { PseudoVLUXSEG2EI64_V_M4_M4_TU, VLUXSEG2EI64_V }, // 5151
  { PseudoVLUXSEG2EI64_V_M4_MF2, VLUXSEG2EI64_V }, // 5152
  { PseudoVLUXSEG2EI64_V_M4_MF2_MASK, VLUXSEG2EI64_V }, // 5153
  { PseudoVLUXSEG2EI64_V_M4_MF2_TU, VLUXSEG2EI64_V }, // 5154
  { PseudoVLUXSEG2EI64_V_M8_M1, VLUXSEG2EI64_V }, // 5155
  { PseudoVLUXSEG2EI64_V_M8_M1_MASK, VLUXSEG2EI64_V }, // 5156
  { PseudoVLUXSEG2EI64_V_M8_M1_TU, VLUXSEG2EI64_V }, // 5157
  { PseudoVLUXSEG2EI64_V_M8_M2, VLUXSEG2EI64_V }, // 5158
  { PseudoVLUXSEG2EI64_V_M8_M2_MASK, VLUXSEG2EI64_V }, // 5159
  { PseudoVLUXSEG2EI64_V_M8_M2_TU, VLUXSEG2EI64_V }, // 5160
  { PseudoVLUXSEG2EI64_V_M8_M4, VLUXSEG2EI64_V }, // 5161
  { PseudoVLUXSEG2EI64_V_M8_M4_MASK, VLUXSEG2EI64_V }, // 5162
  { PseudoVLUXSEG2EI64_V_M8_M4_TU, VLUXSEG2EI64_V }, // 5163
  { PseudoVLUXSEG2EI8_V_M1_M1, VLUXSEG2EI8_V }, // 5164
  { PseudoVLUXSEG2EI8_V_M1_M1_MASK, VLUXSEG2EI8_V }, // 5165
  { PseudoVLUXSEG2EI8_V_M1_M1_TU, VLUXSEG2EI8_V }, // 5166
  { PseudoVLUXSEG2EI8_V_M1_M2, VLUXSEG2EI8_V }, // 5167
  { PseudoVLUXSEG2EI8_V_M1_M2_MASK, VLUXSEG2EI8_V }, // 5168
  { PseudoVLUXSEG2EI8_V_M1_M2_TU, VLUXSEG2EI8_V }, // 5169
  { PseudoVLUXSEG2EI8_V_M1_M4, VLUXSEG2EI8_V }, // 5170
  { PseudoVLUXSEG2EI8_V_M1_M4_MASK, VLUXSEG2EI8_V }, // 5171
  { PseudoVLUXSEG2EI8_V_M1_M4_TU, VLUXSEG2EI8_V }, // 5172
  { PseudoVLUXSEG2EI8_V_M2_M2, VLUXSEG2EI8_V }, // 5173
  { PseudoVLUXSEG2EI8_V_M2_M2_MASK, VLUXSEG2EI8_V }, // 5174
  { PseudoVLUXSEG2EI8_V_M2_M2_TU, VLUXSEG2EI8_V }, // 5175
  { PseudoVLUXSEG2EI8_V_M2_M4, VLUXSEG2EI8_V }, // 5176
  { PseudoVLUXSEG2EI8_V_M2_M4_MASK, VLUXSEG2EI8_V }, // 5177
  { PseudoVLUXSEG2EI8_V_M2_M4_TU, VLUXSEG2EI8_V }, // 5178
  { PseudoVLUXSEG2EI8_V_M4_M4, VLUXSEG2EI8_V }, // 5179
  { PseudoVLUXSEG2EI8_V_M4_M4_MASK, VLUXSEG2EI8_V }, // 5180
  { PseudoVLUXSEG2EI8_V_M4_M4_TU, VLUXSEG2EI8_V }, // 5181
  { PseudoVLUXSEG2EI8_V_MF2_M1, VLUXSEG2EI8_V }, // 5182
  { PseudoVLUXSEG2EI8_V_MF2_M1_MASK, VLUXSEG2EI8_V }, // 5183
  { PseudoVLUXSEG2EI8_V_MF2_M1_TU, VLUXSEG2EI8_V }, // 5184
  { PseudoVLUXSEG2EI8_V_MF2_M2, VLUXSEG2EI8_V }, // 5185
  { PseudoVLUXSEG2EI8_V_MF2_M2_MASK, VLUXSEG2EI8_V }, // 5186
  { PseudoVLUXSEG2EI8_V_MF2_M2_TU, VLUXSEG2EI8_V }, // 5187
  { PseudoVLUXSEG2EI8_V_MF2_M4, VLUXSEG2EI8_V }, // 5188
  { PseudoVLUXSEG2EI8_V_MF2_M4_MASK, VLUXSEG2EI8_V }, // 5189
  { PseudoVLUXSEG2EI8_V_MF2_M4_TU, VLUXSEG2EI8_V }, // 5190
  { PseudoVLUXSEG2EI8_V_MF2_MF2, VLUXSEG2EI8_V }, // 5191
  { PseudoVLUXSEG2EI8_V_MF2_MF2_MASK, VLUXSEG2EI8_V }, // 5192
  { PseudoVLUXSEG2EI8_V_MF2_MF2_TU, VLUXSEG2EI8_V }, // 5193
  { PseudoVLUXSEG2EI8_V_MF4_M1, VLUXSEG2EI8_V }, // 5194
  { PseudoVLUXSEG2EI8_V_MF4_M1_MASK, VLUXSEG2EI8_V }, // 5195
  { PseudoVLUXSEG2EI8_V_MF4_M1_TU, VLUXSEG2EI8_V }, // 5196
  { PseudoVLUXSEG2EI8_V_MF4_M2, VLUXSEG2EI8_V }, // 5197
  { PseudoVLUXSEG2EI8_V_MF4_M2_MASK, VLUXSEG2EI8_V }, // 5198
  { PseudoVLUXSEG2EI8_V_MF4_M2_TU, VLUXSEG2EI8_V }, // 5199
  { PseudoVLUXSEG2EI8_V_MF4_MF2, VLUXSEG2EI8_V }, // 5200
  { PseudoVLUXSEG2EI8_V_MF4_MF2_MASK, VLUXSEG2EI8_V }, // 5201
  { PseudoVLUXSEG2EI8_V_MF4_MF2_TU, VLUXSEG2EI8_V }, // 5202
  { PseudoVLUXSEG2EI8_V_MF4_MF4, VLUXSEG2EI8_V }, // 5203
  { PseudoVLUXSEG2EI8_V_MF4_MF4_MASK, VLUXSEG2EI8_V }, // 5204
  { PseudoVLUXSEG2EI8_V_MF4_MF4_TU, VLUXSEG2EI8_V }, // 5205
  { PseudoVLUXSEG2EI8_V_MF8_M1, VLUXSEG2EI8_V }, // 5206
  { PseudoVLUXSEG2EI8_V_MF8_M1_MASK, VLUXSEG2EI8_V }, // 5207
  { PseudoVLUXSEG2EI8_V_MF8_M1_TU, VLUXSEG2EI8_V }, // 5208
  { PseudoVLUXSEG2EI8_V_MF8_MF2, VLUXSEG2EI8_V }, // 5209
  { PseudoVLUXSEG2EI8_V_MF8_MF2_MASK, VLUXSEG2EI8_V }, // 5210
  { PseudoVLUXSEG2EI8_V_MF8_MF2_TU, VLUXSEG2EI8_V }, // 5211
  { PseudoVLUXSEG2EI8_V_MF8_MF4, VLUXSEG2EI8_V }, // 5212
  { PseudoVLUXSEG2EI8_V_MF8_MF4_MASK, VLUXSEG2EI8_V }, // 5213
  { PseudoVLUXSEG2EI8_V_MF8_MF4_TU, VLUXSEG2EI8_V }, // 5214
  { PseudoVLUXSEG2EI8_V_MF8_MF8, VLUXSEG2EI8_V }, // 5215
  { PseudoVLUXSEG2EI8_V_MF8_MF8_MASK, VLUXSEG2EI8_V }, // 5216
  { PseudoVLUXSEG2EI8_V_MF8_MF8_TU, VLUXSEG2EI8_V }, // 5217
  { PseudoVLUXSEG3EI16_V_M1_M1, VLUXSEG3EI16_V }, // 5218
  { PseudoVLUXSEG3EI16_V_M1_M1_MASK, VLUXSEG3EI16_V }, // 5219
  { PseudoVLUXSEG3EI16_V_M1_M1_TU, VLUXSEG3EI16_V }, // 5220
  { PseudoVLUXSEG3EI16_V_M1_M2, VLUXSEG3EI16_V }, // 5221
  { PseudoVLUXSEG3EI16_V_M1_M2_MASK, VLUXSEG3EI16_V }, // 5222
  { PseudoVLUXSEG3EI16_V_M1_M2_TU, VLUXSEG3EI16_V }, // 5223
  { PseudoVLUXSEG3EI16_V_M1_MF2, VLUXSEG3EI16_V }, // 5224
  { PseudoVLUXSEG3EI16_V_M1_MF2_MASK, VLUXSEG3EI16_V }, // 5225
  { PseudoVLUXSEG3EI16_V_M1_MF2_TU, VLUXSEG3EI16_V }, // 5226
  { PseudoVLUXSEG3EI16_V_M2_M1, VLUXSEG3EI16_V }, // 5227
  { PseudoVLUXSEG3EI16_V_M2_M1_MASK, VLUXSEG3EI16_V }, // 5228
  { PseudoVLUXSEG3EI16_V_M2_M1_TU, VLUXSEG3EI16_V }, // 5229
  { PseudoVLUXSEG3EI16_V_M2_M2, VLUXSEG3EI16_V }, // 5230
  { PseudoVLUXSEG3EI16_V_M2_M2_MASK, VLUXSEG3EI16_V }, // 5231
  { PseudoVLUXSEG3EI16_V_M2_M2_TU, VLUXSEG3EI16_V }, // 5232
  { PseudoVLUXSEG3EI16_V_M4_M2, VLUXSEG3EI16_V }, // 5233
  { PseudoVLUXSEG3EI16_V_M4_M2_MASK, VLUXSEG3EI16_V }, // 5234
  { PseudoVLUXSEG3EI16_V_M4_M2_TU, VLUXSEG3EI16_V }, // 5235
  { PseudoVLUXSEG3EI16_V_MF2_M1, VLUXSEG3EI16_V }, // 5236
  { PseudoVLUXSEG3EI16_V_MF2_M1_MASK, VLUXSEG3EI16_V }, // 5237
  { PseudoVLUXSEG3EI16_V_MF2_M1_TU, VLUXSEG3EI16_V }, // 5238
  { PseudoVLUXSEG3EI16_V_MF2_M2, VLUXSEG3EI16_V }, // 5239
  { PseudoVLUXSEG3EI16_V_MF2_M2_MASK, VLUXSEG3EI16_V }, // 5240
  { PseudoVLUXSEG3EI16_V_MF2_M2_TU, VLUXSEG3EI16_V }, // 5241
  { PseudoVLUXSEG3EI16_V_MF2_MF2, VLUXSEG3EI16_V }, // 5242
  { PseudoVLUXSEG3EI16_V_MF2_MF2_MASK, VLUXSEG3EI16_V }, // 5243
  { PseudoVLUXSEG3EI16_V_MF2_MF2_TU, VLUXSEG3EI16_V }, // 5244
  { PseudoVLUXSEG3EI16_V_MF2_MF4, VLUXSEG3EI16_V }, // 5245
  { PseudoVLUXSEG3EI16_V_MF2_MF4_MASK, VLUXSEG3EI16_V }, // 5246
  { PseudoVLUXSEG3EI16_V_MF2_MF4_TU, VLUXSEG3EI16_V }, // 5247
  { PseudoVLUXSEG3EI16_V_MF4_M1, VLUXSEG3EI16_V }, // 5248
  { PseudoVLUXSEG3EI16_V_MF4_M1_MASK, VLUXSEG3EI16_V }, // 5249
  { PseudoVLUXSEG3EI16_V_MF4_M1_TU, VLUXSEG3EI16_V }, // 5250
  { PseudoVLUXSEG3EI16_V_MF4_MF2, VLUXSEG3EI16_V }, // 5251
  { PseudoVLUXSEG3EI16_V_MF4_MF2_MASK, VLUXSEG3EI16_V }, // 5252
  { PseudoVLUXSEG3EI16_V_MF4_MF2_TU, VLUXSEG3EI16_V }, // 5253
  { PseudoVLUXSEG3EI16_V_MF4_MF4, VLUXSEG3EI16_V }, // 5254
  { PseudoVLUXSEG3EI16_V_MF4_MF4_MASK, VLUXSEG3EI16_V }, // 5255
  { PseudoVLUXSEG3EI16_V_MF4_MF4_TU, VLUXSEG3EI16_V }, // 5256
  { PseudoVLUXSEG3EI16_V_MF4_MF8, VLUXSEG3EI16_V }, // 5257
  { PseudoVLUXSEG3EI16_V_MF4_MF8_MASK, VLUXSEG3EI16_V }, // 5258
  { PseudoVLUXSEG3EI16_V_MF4_MF8_TU, VLUXSEG3EI16_V }, // 5259
  { PseudoVLUXSEG3EI32_V_M1_M1, VLUXSEG3EI32_V }, // 5260
  { PseudoVLUXSEG3EI32_V_M1_M1_MASK, VLUXSEG3EI32_V }, // 5261
  { PseudoVLUXSEG3EI32_V_M1_M1_TU, VLUXSEG3EI32_V }, // 5262
  { PseudoVLUXSEG3EI32_V_M1_M2, VLUXSEG3EI32_V }, // 5263
  { PseudoVLUXSEG3EI32_V_M1_M2_MASK, VLUXSEG3EI32_V }, // 5264
  { PseudoVLUXSEG3EI32_V_M1_M2_TU, VLUXSEG3EI32_V }, // 5265
  { PseudoVLUXSEG3EI32_V_M1_MF2, VLUXSEG3EI32_V }, // 5266
  { PseudoVLUXSEG3EI32_V_M1_MF2_MASK, VLUXSEG3EI32_V }, // 5267
  { PseudoVLUXSEG3EI32_V_M1_MF2_TU, VLUXSEG3EI32_V }, // 5268
  { PseudoVLUXSEG3EI32_V_M1_MF4, VLUXSEG3EI32_V }, // 5269
  { PseudoVLUXSEG3EI32_V_M1_MF4_MASK, VLUXSEG3EI32_V }, // 5270
  { PseudoVLUXSEG3EI32_V_M1_MF4_TU, VLUXSEG3EI32_V }, // 5271
  { PseudoVLUXSEG3EI32_V_M2_M1, VLUXSEG3EI32_V }, // 5272
  { PseudoVLUXSEG3EI32_V_M2_M1_MASK, VLUXSEG3EI32_V }, // 5273
  { PseudoVLUXSEG3EI32_V_M2_M1_TU, VLUXSEG3EI32_V }, // 5274
  { PseudoVLUXSEG3EI32_V_M2_M2, VLUXSEG3EI32_V }, // 5275
  { PseudoVLUXSEG3EI32_V_M2_M2_MASK, VLUXSEG3EI32_V }, // 5276
  { PseudoVLUXSEG3EI32_V_M2_M2_TU, VLUXSEG3EI32_V }, // 5277
  { PseudoVLUXSEG3EI32_V_M2_MF2, VLUXSEG3EI32_V }, // 5278
  { PseudoVLUXSEG3EI32_V_M2_MF2_MASK, VLUXSEG3EI32_V }, // 5279
  { PseudoVLUXSEG3EI32_V_M2_MF2_TU, VLUXSEG3EI32_V }, // 5280
  { PseudoVLUXSEG3EI32_V_M4_M1, VLUXSEG3EI32_V }, // 5281
  { PseudoVLUXSEG3EI32_V_M4_M1_MASK, VLUXSEG3EI32_V }, // 5282
  { PseudoVLUXSEG3EI32_V_M4_M1_TU, VLUXSEG3EI32_V }, // 5283
  { PseudoVLUXSEG3EI32_V_M4_M2, VLUXSEG3EI32_V }, // 5284
  { PseudoVLUXSEG3EI32_V_M4_M2_MASK, VLUXSEG3EI32_V }, // 5285
  { PseudoVLUXSEG3EI32_V_M4_M2_TU, VLUXSEG3EI32_V }, // 5286
  { PseudoVLUXSEG3EI32_V_M8_M2, VLUXSEG3EI32_V }, // 5287
  { PseudoVLUXSEG3EI32_V_M8_M2_MASK, VLUXSEG3EI32_V }, // 5288
  { PseudoVLUXSEG3EI32_V_M8_M2_TU, VLUXSEG3EI32_V }, // 5289
  { PseudoVLUXSEG3EI32_V_MF2_M1, VLUXSEG3EI32_V }, // 5290
  { PseudoVLUXSEG3EI32_V_MF2_M1_MASK, VLUXSEG3EI32_V }, // 5291
  { PseudoVLUXSEG3EI32_V_MF2_M1_TU, VLUXSEG3EI32_V }, // 5292
  { PseudoVLUXSEG3EI32_V_MF2_MF2, VLUXSEG3EI32_V }, // 5293
  { PseudoVLUXSEG3EI32_V_MF2_MF2_MASK, VLUXSEG3EI32_V }, // 5294
  { PseudoVLUXSEG3EI32_V_MF2_MF2_TU, VLUXSEG3EI32_V }, // 5295
  { PseudoVLUXSEG3EI32_V_MF2_MF4, VLUXSEG3EI32_V }, // 5296
  { PseudoVLUXSEG3EI32_V_MF2_MF4_MASK, VLUXSEG3EI32_V }, // 5297
  { PseudoVLUXSEG3EI32_V_MF2_MF4_TU, VLUXSEG3EI32_V }, // 5298
  { PseudoVLUXSEG3EI32_V_MF2_MF8, VLUXSEG3EI32_V }, // 5299
  { PseudoVLUXSEG3EI32_V_MF2_MF8_MASK, VLUXSEG3EI32_V }, // 5300
  { PseudoVLUXSEG3EI32_V_MF2_MF8_TU, VLUXSEG3EI32_V }, // 5301
  { PseudoVLUXSEG3EI64_V_M1_M1, VLUXSEG3EI64_V }, // 5302
  { PseudoVLUXSEG3EI64_V_M1_M1_MASK, VLUXSEG3EI64_V }, // 5303
  { PseudoVLUXSEG3EI64_V_M1_M1_TU, VLUXSEG3EI64_V }, // 5304
  { PseudoVLUXSEG3EI64_V_M1_MF2, VLUXSEG3EI64_V }, // 5305
  { PseudoVLUXSEG3EI64_V_M1_MF2_MASK, VLUXSEG3EI64_V }, // 5306
  { PseudoVLUXSEG3EI64_V_M1_MF2_TU, VLUXSEG3EI64_V }, // 5307
  { PseudoVLUXSEG3EI64_V_M1_MF4, VLUXSEG3EI64_V }, // 5308
  { PseudoVLUXSEG3EI64_V_M1_MF4_MASK, VLUXSEG3EI64_V }, // 5309
  { PseudoVLUXSEG3EI64_V_M1_MF4_TU, VLUXSEG3EI64_V }, // 5310
  { PseudoVLUXSEG3EI64_V_M1_MF8, VLUXSEG3EI64_V }, // 5311
  { PseudoVLUXSEG3EI64_V_M1_MF8_MASK, VLUXSEG3EI64_V }, // 5312
  { PseudoVLUXSEG3EI64_V_M1_MF8_TU, VLUXSEG3EI64_V }, // 5313
  { PseudoVLUXSEG3EI64_V_M2_M1, VLUXSEG3EI64_V }, // 5314
  { PseudoVLUXSEG3EI64_V_M2_M1_MASK, VLUXSEG3EI64_V }, // 5315
  { PseudoVLUXSEG3EI64_V_M2_M1_TU, VLUXSEG3EI64_V }, // 5316
  { PseudoVLUXSEG3EI64_V_M2_M2, VLUXSEG3EI64_V }, // 5317
  { PseudoVLUXSEG3EI64_V_M2_M2_MASK, VLUXSEG3EI64_V }, // 5318
  { PseudoVLUXSEG3EI64_V_M2_M2_TU, VLUXSEG3EI64_V }, // 5319
  { PseudoVLUXSEG3EI64_V_M2_MF2, VLUXSEG3EI64_V }, // 5320
  { PseudoVLUXSEG3EI64_V_M2_MF2_MASK, VLUXSEG3EI64_V }, // 5321
  { PseudoVLUXSEG3EI64_V_M2_MF2_TU, VLUXSEG3EI64_V }, // 5322
  { PseudoVLUXSEG3EI64_V_M2_MF4, VLUXSEG3EI64_V }, // 5323
  { PseudoVLUXSEG3EI64_V_M2_MF4_MASK, VLUXSEG3EI64_V }, // 5324
  { PseudoVLUXSEG3EI64_V_M2_MF4_TU, VLUXSEG3EI64_V }, // 5325
  { PseudoVLUXSEG3EI64_V_M4_M1, VLUXSEG3EI64_V }, // 5326
  { PseudoVLUXSEG3EI64_V_M4_M1_MASK, VLUXSEG3EI64_V }, // 5327
  { PseudoVLUXSEG3EI64_V_M4_M1_TU, VLUXSEG3EI64_V }, // 5328
  { PseudoVLUXSEG3EI64_V_M4_M2, VLUXSEG3EI64_V }, // 5329
  { PseudoVLUXSEG3EI64_V_M4_M2_MASK, VLUXSEG3EI64_V }, // 5330
  { PseudoVLUXSEG3EI64_V_M4_M2_TU, VLUXSEG3EI64_V }, // 5331
  { PseudoVLUXSEG3EI64_V_M4_MF2, VLUXSEG3EI64_V }, // 5332
  { PseudoVLUXSEG3EI64_V_M4_MF2_MASK, VLUXSEG3EI64_V }, // 5333
  { PseudoVLUXSEG3EI64_V_M4_MF2_TU, VLUXSEG3EI64_V }, // 5334
  { PseudoVLUXSEG3EI64_V_M8_M1, VLUXSEG3EI64_V }, // 5335
  { PseudoVLUXSEG3EI64_V_M8_M1_MASK, VLUXSEG3EI64_V }, // 5336
  { PseudoVLUXSEG3EI64_V_M8_M1_TU, VLUXSEG3EI64_V }, // 5337
  { PseudoVLUXSEG3EI64_V_M8_M2, VLUXSEG3EI64_V }, // 5338
  { PseudoVLUXSEG3EI64_V_M8_M2_MASK, VLUXSEG3EI64_V }, // 5339
  { PseudoVLUXSEG3EI64_V_M8_M2_TU, VLUXSEG3EI64_V }, // 5340
  { PseudoVLUXSEG3EI8_V_M1_M1, VLUXSEG3EI8_V }, // 5341
  { PseudoVLUXSEG3EI8_V_M1_M1_MASK, VLUXSEG3EI8_V }, // 5342
  { PseudoVLUXSEG3EI8_V_M1_M1_TU, VLUXSEG3EI8_V }, // 5343
  { PseudoVLUXSEG3EI8_V_M1_M2, VLUXSEG3EI8_V }, // 5344
  { PseudoVLUXSEG3EI8_V_M1_M2_MASK, VLUXSEG3EI8_V }, // 5345
  { PseudoVLUXSEG3EI8_V_M1_M2_TU, VLUXSEG3EI8_V }, // 5346
  { PseudoVLUXSEG3EI8_V_M2_M2, VLUXSEG3EI8_V }, // 5347
  { PseudoVLUXSEG3EI8_V_M2_M2_MASK, VLUXSEG3EI8_V }, // 5348
  { PseudoVLUXSEG3EI8_V_M2_M2_TU, VLUXSEG3EI8_V }, // 5349
  { PseudoVLUXSEG3EI8_V_MF2_M1, VLUXSEG3EI8_V }, // 5350
  { PseudoVLUXSEG3EI8_V_MF2_M1_MASK, VLUXSEG3EI8_V }, // 5351
  { PseudoVLUXSEG3EI8_V_MF2_M1_TU, VLUXSEG3EI8_V }, // 5352
  { PseudoVLUXSEG3EI8_V_MF2_M2, VLUXSEG3EI8_V }, // 5353
  { PseudoVLUXSEG3EI8_V_MF2_M2_MASK, VLUXSEG3EI8_V }, // 5354
  { PseudoVLUXSEG3EI8_V_MF2_M2_TU, VLUXSEG3EI8_V }, // 5355
  { PseudoVLUXSEG3EI8_V_MF2_MF2, VLUXSEG3EI8_V }, // 5356
  { PseudoVLUXSEG3EI8_V_MF2_MF2_MASK, VLUXSEG3EI8_V }, // 5357
  { PseudoVLUXSEG3EI8_V_MF2_MF2_TU, VLUXSEG3EI8_V }, // 5358
  { PseudoVLUXSEG3EI8_V_MF4_M1, VLUXSEG3EI8_V }, // 5359
  { PseudoVLUXSEG3EI8_V_MF4_M1_MASK, VLUXSEG3EI8_V }, // 5360
  { PseudoVLUXSEG3EI8_V_MF4_M1_TU, VLUXSEG3EI8_V }, // 5361
  { PseudoVLUXSEG3EI8_V_MF4_M2, VLUXSEG3EI8_V }, // 5362
  { PseudoVLUXSEG3EI8_V_MF4_M2_MASK, VLUXSEG3EI8_V }, // 5363
  { PseudoVLUXSEG3EI8_V_MF4_M2_TU, VLUXSEG3EI8_V }, // 5364
  { PseudoVLUXSEG3EI8_V_MF4_MF2, VLUXSEG3EI8_V }, // 5365
  { PseudoVLUXSEG3EI8_V_MF4_MF2_MASK, VLUXSEG3EI8_V }, // 5366
  { PseudoVLUXSEG3EI8_V_MF4_MF2_TU, VLUXSEG3EI8_V }, // 5367
  { PseudoVLUXSEG3EI8_V_MF4_MF4, VLUXSEG3EI8_V }, // 5368
  { PseudoVLUXSEG3EI8_V_MF4_MF4_MASK, VLUXSEG3EI8_V }, // 5369
  { PseudoVLUXSEG3EI8_V_MF4_MF4_TU, VLUXSEG3EI8_V }, // 5370
  { PseudoVLUXSEG3EI8_V_MF8_M1, VLUXSEG3EI8_V }, // 5371
  { PseudoVLUXSEG3EI8_V_MF8_M1_MASK, VLUXSEG3EI8_V }, // 5372
  { PseudoVLUXSEG3EI8_V_MF8_M1_TU, VLUXSEG3EI8_V }, // 5373
  { PseudoVLUXSEG3EI8_V_MF8_MF2, VLUXSEG3EI8_V }, // 5374
  { PseudoVLUXSEG3EI8_V_MF8_MF2_MASK, VLUXSEG3EI8_V }, // 5375
  { PseudoVLUXSEG3EI8_V_MF8_MF2_TU, VLUXSEG3EI8_V }, // 5376
  { PseudoVLUXSEG3EI8_V_MF8_MF4, VLUXSEG3EI8_V }, // 5377
  { PseudoVLUXSEG3EI8_V_MF8_MF4_MASK, VLUXSEG3EI8_V }, // 5378
  { PseudoVLUXSEG3EI8_V_MF8_MF4_TU, VLUXSEG3EI8_V }, // 5379
  { PseudoVLUXSEG3EI8_V_MF8_MF8, VLUXSEG3EI8_V }, // 5380
  { PseudoVLUXSEG3EI8_V_MF8_MF8_MASK, VLUXSEG3EI8_V }, // 5381
  { PseudoVLUXSEG3EI8_V_MF8_MF8_TU, VLUXSEG3EI8_V }, // 5382
  { PseudoVLUXSEG4EI16_V_M1_M1, VLUXSEG4EI16_V }, // 5383
  { PseudoVLUXSEG4EI16_V_M1_M1_MASK, VLUXSEG4EI16_V }, // 5384
  { PseudoVLUXSEG4EI16_V_M1_M1_TU, VLUXSEG4EI16_V }, // 5385
  { PseudoVLUXSEG4EI16_V_M1_M2, VLUXSEG4EI16_V }, // 5386
  { PseudoVLUXSEG4EI16_V_M1_M2_MASK, VLUXSEG4EI16_V }, // 5387
  { PseudoVLUXSEG4EI16_V_M1_M2_TU, VLUXSEG4EI16_V }, // 5388
  { PseudoVLUXSEG4EI16_V_M1_MF2, VLUXSEG4EI16_V }, // 5389
  { PseudoVLUXSEG4EI16_V_M1_MF2_MASK, VLUXSEG4EI16_V }, // 5390
  { PseudoVLUXSEG4EI16_V_M1_MF2_TU, VLUXSEG4EI16_V }, // 5391
  { PseudoVLUXSEG4EI16_V_M2_M1, VLUXSEG4EI16_V }, // 5392
  { PseudoVLUXSEG4EI16_V_M2_M1_MASK, VLUXSEG4EI16_V }, // 5393
  { PseudoVLUXSEG4EI16_V_M2_M1_TU, VLUXSEG4EI16_V }, // 5394
  { PseudoVLUXSEG4EI16_V_M2_M2, VLUXSEG4EI16_V }, // 5395
  { PseudoVLUXSEG4EI16_V_M2_M2_MASK, VLUXSEG4EI16_V }, // 5396
  { PseudoVLUXSEG4EI16_V_M2_M2_TU, VLUXSEG4EI16_V }, // 5397
  { PseudoVLUXSEG4EI16_V_M4_M2, VLUXSEG4EI16_V }, // 5398
  { PseudoVLUXSEG4EI16_V_M4_M2_MASK, VLUXSEG4EI16_V }, // 5399
  { PseudoVLUXSEG4EI16_V_M4_M2_TU, VLUXSEG4EI16_V }, // 5400
  { PseudoVLUXSEG4EI16_V_MF2_M1, VLUXSEG4EI16_V }, // 5401
  { PseudoVLUXSEG4EI16_V_MF2_M1_MASK, VLUXSEG4EI16_V }, // 5402
  { PseudoVLUXSEG4EI16_V_MF2_M1_TU, VLUXSEG4EI16_V }, // 5403
  { PseudoVLUXSEG4EI16_V_MF2_M2, VLUXSEG4EI16_V }, // 5404
  { PseudoVLUXSEG4EI16_V_MF2_M2_MASK, VLUXSEG4EI16_V }, // 5405
  { PseudoVLUXSEG4EI16_V_MF2_M2_TU, VLUXSEG4EI16_V }, // 5406
  { PseudoVLUXSEG4EI16_V_MF2_MF2, VLUXSEG4EI16_V }, // 5407
  { PseudoVLUXSEG4EI16_V_MF2_MF2_MASK, VLUXSEG4EI16_V }, // 5408
  { PseudoVLUXSEG4EI16_V_MF2_MF2_TU, VLUXSEG4EI16_V }, // 5409
  { PseudoVLUXSEG4EI16_V_MF2_MF4, VLUXSEG4EI16_V }, // 5410
  { PseudoVLUXSEG4EI16_V_MF2_MF4_MASK, VLUXSEG4EI16_V }, // 5411
  { PseudoVLUXSEG4EI16_V_MF2_MF4_TU, VLUXSEG4EI16_V }, // 5412
  { PseudoVLUXSEG4EI16_V_MF4_M1, VLUXSEG4EI16_V }, // 5413
  { PseudoVLUXSEG4EI16_V_MF4_M1_MASK, VLUXSEG4EI16_V }, // 5414
  { PseudoVLUXSEG4EI16_V_MF4_M1_TU, VLUXSEG4EI16_V }, // 5415
  { PseudoVLUXSEG4EI16_V_MF4_MF2, VLUXSEG4EI16_V }, // 5416
  { PseudoVLUXSEG4EI16_V_MF4_MF2_MASK, VLUXSEG4EI16_V }, // 5417
  { PseudoVLUXSEG4EI16_V_MF4_MF2_TU, VLUXSEG4EI16_V }, // 5418
  { PseudoVLUXSEG4EI16_V_MF4_MF4, VLUXSEG4EI16_V }, // 5419
  { PseudoVLUXSEG4EI16_V_MF4_MF4_MASK, VLUXSEG4EI16_V }, // 5420
  { PseudoVLUXSEG4EI16_V_MF4_MF4_TU, VLUXSEG4EI16_V }, // 5421
  { PseudoVLUXSEG4EI16_V_MF4_MF8, VLUXSEG4EI16_V }, // 5422
  { PseudoVLUXSEG4EI16_V_MF4_MF8_MASK, VLUXSEG4EI16_V }, // 5423
  { PseudoVLUXSEG4EI16_V_MF4_MF8_TU, VLUXSEG4EI16_V }, // 5424
  { PseudoVLUXSEG4EI32_V_M1_M1, VLUXSEG4EI32_V }, // 5425
  { PseudoVLUXSEG4EI32_V_M1_M1_MASK, VLUXSEG4EI32_V }, // 5426
  { PseudoVLUXSEG4EI32_V_M1_M1_TU, VLUXSEG4EI32_V }, // 5427
  { PseudoVLUXSEG4EI32_V_M1_M2, VLUXSEG4EI32_V }, // 5428
  { PseudoVLUXSEG4EI32_V_M1_M2_MASK, VLUXSEG4EI32_V }, // 5429
  { PseudoVLUXSEG4EI32_V_M1_M2_TU, VLUXSEG4EI32_V }, // 5430
  { PseudoVLUXSEG4EI32_V_M1_MF2, VLUXSEG4EI32_V }, // 5431
  { PseudoVLUXSEG4EI32_V_M1_MF2_MASK, VLUXSEG4EI32_V }, // 5432
  { PseudoVLUXSEG4EI32_V_M1_MF2_TU, VLUXSEG4EI32_V }, // 5433
  { PseudoVLUXSEG4EI32_V_M1_MF4, VLUXSEG4EI32_V }, // 5434
  { PseudoVLUXSEG4EI32_V_M1_MF4_MASK, VLUXSEG4EI32_V }, // 5435
  { PseudoVLUXSEG4EI32_V_M1_MF4_TU, VLUXSEG4EI32_V }, // 5436
  { PseudoVLUXSEG4EI32_V_M2_M1, VLUXSEG4EI32_V }, // 5437
  { PseudoVLUXSEG4EI32_V_M2_M1_MASK, VLUXSEG4EI32_V }, // 5438
  { PseudoVLUXSEG4EI32_V_M2_M1_TU, VLUXSEG4EI32_V }, // 5439
  { PseudoVLUXSEG4EI32_V_M2_M2, VLUXSEG4EI32_V }, // 5440
  { PseudoVLUXSEG4EI32_V_M2_M2_MASK, VLUXSEG4EI32_V }, // 5441
  { PseudoVLUXSEG4EI32_V_M2_M2_TU, VLUXSEG4EI32_V }, // 5442
  { PseudoVLUXSEG4EI32_V_M2_MF2, VLUXSEG4EI32_V }, // 5443
  { PseudoVLUXSEG4EI32_V_M2_MF2_MASK, VLUXSEG4EI32_V }, // 5444
  { PseudoVLUXSEG4EI32_V_M2_MF2_TU, VLUXSEG4EI32_V }, // 5445
  { PseudoVLUXSEG4EI32_V_M4_M1, VLUXSEG4EI32_V }, // 5446
  { PseudoVLUXSEG4EI32_V_M4_M1_MASK, VLUXSEG4EI32_V }, // 5447
  { PseudoVLUXSEG4EI32_V_M4_M1_TU, VLUXSEG4EI32_V }, // 5448
  { PseudoVLUXSEG4EI32_V_M4_M2, VLUXSEG4EI32_V }, // 5449
  { PseudoVLUXSEG4EI32_V_M4_M2_MASK, VLUXSEG4EI32_V }, // 5450
  { PseudoVLUXSEG4EI32_V_M4_M2_TU, VLUXSEG4EI32_V }, // 5451
  { PseudoVLUXSEG4EI32_V_M8_M2, VLUXSEG4EI32_V }, // 5452
  { PseudoVLUXSEG4EI32_V_M8_M2_MASK, VLUXSEG4EI32_V }, // 5453
  { PseudoVLUXSEG4EI32_V_M8_M2_TU, VLUXSEG4EI32_V }, // 5454
  { PseudoVLUXSEG4EI32_V_MF2_M1, VLUXSEG4EI32_V }, // 5455
  { PseudoVLUXSEG4EI32_V_MF2_M1_MASK, VLUXSEG4EI32_V }, // 5456
  { PseudoVLUXSEG4EI32_V_MF2_M1_TU, VLUXSEG4EI32_V }, // 5457
  { PseudoVLUXSEG4EI32_V_MF2_MF2, VLUXSEG4EI32_V }, // 5458
  { PseudoVLUXSEG4EI32_V_MF2_MF2_MASK, VLUXSEG4EI32_V }, // 5459
  { PseudoVLUXSEG4EI32_V_MF2_MF2_TU, VLUXSEG4EI32_V }, // 5460
  { PseudoVLUXSEG4EI32_V_MF2_MF4, VLUXSEG4EI32_V }, // 5461
  { PseudoVLUXSEG4EI32_V_MF2_MF4_MASK, VLUXSEG4EI32_V }, // 5462
  { PseudoVLUXSEG4EI32_V_MF2_MF4_TU, VLUXSEG4EI32_V }, // 5463
  { PseudoVLUXSEG4EI32_V_MF2_MF8, VLUXSEG4EI32_V }, // 5464
  { PseudoVLUXSEG4EI32_V_MF2_MF8_MASK, VLUXSEG4EI32_V }, // 5465
  { PseudoVLUXSEG4EI32_V_MF2_MF8_TU, VLUXSEG4EI32_V }, // 5466
  { PseudoVLUXSEG4EI64_V_M1_M1, VLUXSEG4EI64_V }, // 5467
  { PseudoVLUXSEG4EI64_V_M1_M1_MASK, VLUXSEG4EI64_V }, // 5468
  { PseudoVLUXSEG4EI64_V_M1_M1_TU, VLUXSEG4EI64_V }, // 5469
  { PseudoVLUXSEG4EI64_V_M1_MF2, VLUXSEG4EI64_V }, // 5470
  { PseudoVLUXSEG4EI64_V_M1_MF2_MASK, VLUXSEG4EI64_V }, // 5471
  { PseudoVLUXSEG4EI64_V_M1_MF2_TU, VLUXSEG4EI64_V }, // 5472
  { PseudoVLUXSEG4EI64_V_M1_MF4, VLUXSEG4EI64_V }, // 5473
  { PseudoVLUXSEG4EI64_V_M1_MF4_MASK, VLUXSEG4EI64_V }, // 5474
  { PseudoVLUXSEG4EI64_V_M1_MF4_TU, VLUXSEG4EI64_V }, // 5475
  { PseudoVLUXSEG4EI64_V_M1_MF8, VLUXSEG4EI64_V }, // 5476
  { PseudoVLUXSEG4EI64_V_M1_MF8_MASK, VLUXSEG4EI64_V }, // 5477
  { PseudoVLUXSEG4EI64_V_M1_MF8_TU, VLUXSEG4EI64_V }, // 5478
  { PseudoVLUXSEG4EI64_V_M2_M1, VLUXSEG4EI64_V }, // 5479
  { PseudoVLUXSEG4EI64_V_M2_M1_MASK, VLUXSEG4EI64_V }, // 5480
  { PseudoVLUXSEG4EI64_V_M2_M1_TU, VLUXSEG4EI64_V }, // 5481
  { PseudoVLUXSEG4EI64_V_M2_M2, VLUXSEG4EI64_V }, // 5482
  { PseudoVLUXSEG4EI64_V_M2_M2_MASK, VLUXSEG4EI64_V }, // 5483
  { PseudoVLUXSEG4EI64_V_M2_M2_TU, VLUXSEG4EI64_V }, // 5484
  { PseudoVLUXSEG4EI64_V_M2_MF2, VLUXSEG4EI64_V }, // 5485
  { PseudoVLUXSEG4EI64_V_M2_MF2_MASK, VLUXSEG4EI64_V }, // 5486
  { PseudoVLUXSEG4EI64_V_M2_MF2_TU, VLUXSEG4EI64_V }, // 5487
  { PseudoVLUXSEG4EI64_V_M2_MF4, VLUXSEG4EI64_V }, // 5488
  { PseudoVLUXSEG4EI64_V_M2_MF4_MASK, VLUXSEG4EI64_V }, // 5489
  { PseudoVLUXSEG4EI64_V_M2_MF4_TU, VLUXSEG4EI64_V }, // 5490
  { PseudoVLUXSEG4EI64_V_M4_M1, VLUXSEG4EI64_V }, // 5491
  { PseudoVLUXSEG4EI64_V_M4_M1_MASK, VLUXSEG4EI64_V }, // 5492
  { PseudoVLUXSEG4EI64_V_M4_M1_TU, VLUXSEG4EI64_V }, // 5493
  { PseudoVLUXSEG4EI64_V_M4_M2, VLUXSEG4EI64_V }, // 5494
  { PseudoVLUXSEG4EI64_V_M4_M2_MASK, VLUXSEG4EI64_V }, // 5495
  { PseudoVLUXSEG4EI64_V_M4_M2_TU, VLUXSEG4EI64_V }, // 5496
  { PseudoVLUXSEG4EI64_V_M4_MF2, VLUXSEG4EI64_V }, // 5497
  { PseudoVLUXSEG4EI64_V_M4_MF2_MASK, VLUXSEG4EI64_V }, // 5498
  { PseudoVLUXSEG4EI64_V_M4_MF2_TU, VLUXSEG4EI64_V }, // 5499
  { PseudoVLUXSEG4EI64_V_M8_M1, VLUXSEG4EI64_V }, // 5500
  { PseudoVLUXSEG4EI64_V_M8_M1_MASK, VLUXSEG4EI64_V }, // 5501
  { PseudoVLUXSEG4EI64_V_M8_M1_TU, VLUXSEG4EI64_V }, // 5502
  { PseudoVLUXSEG4EI64_V_M8_M2, VLUXSEG4EI64_V }, // 5503
  { PseudoVLUXSEG4EI64_V_M8_M2_MASK, VLUXSEG4EI64_V }, // 5504
  { PseudoVLUXSEG4EI64_V_M8_M2_TU, VLUXSEG4EI64_V }, // 5505
  { PseudoVLUXSEG4EI8_V_M1_M1, VLUXSEG4EI8_V }, // 5506
  { PseudoVLUXSEG4EI8_V_M1_M1_MASK, VLUXSEG4EI8_V }, // 5507
  { PseudoVLUXSEG4EI8_V_M1_M1_TU, VLUXSEG4EI8_V }, // 5508
  { PseudoVLUXSEG4EI8_V_M1_M2, VLUXSEG4EI8_V }, // 5509
  { PseudoVLUXSEG4EI8_V_M1_M2_MASK, VLUXSEG4EI8_V }, // 5510
  { PseudoVLUXSEG4EI8_V_M1_M2_TU, VLUXSEG4EI8_V }, // 5511
  { PseudoVLUXSEG4EI8_V_M2_M2, VLUXSEG4EI8_V }, // 5512
  { PseudoVLUXSEG4EI8_V_M2_M2_MASK, VLUXSEG4EI8_V }, // 5513
  { PseudoVLUXSEG4EI8_V_M2_M2_TU, VLUXSEG4EI8_V }, // 5514
  { PseudoVLUXSEG4EI8_V_MF2_M1, VLUXSEG4EI8_V }, // 5515
  { PseudoVLUXSEG4EI8_V_MF2_M1_MASK, VLUXSEG4EI8_V }, // 5516
  { PseudoVLUXSEG4EI8_V_MF2_M1_TU, VLUXSEG4EI8_V }, // 5517
  { PseudoVLUXSEG4EI8_V_MF2_M2, VLUXSEG4EI8_V }, // 5518
  { PseudoVLUXSEG4EI8_V_MF2_M2_MASK, VLUXSEG4EI8_V }, // 5519
  { PseudoVLUXSEG4EI8_V_MF2_M2_TU, VLUXSEG4EI8_V }, // 5520
  { PseudoVLUXSEG4EI8_V_MF2_MF2, VLUXSEG4EI8_V }, // 5521
  { PseudoVLUXSEG4EI8_V_MF2_MF2_MASK, VLUXSEG4EI8_V }, // 5522
  { PseudoVLUXSEG4EI8_V_MF2_MF2_TU, VLUXSEG4EI8_V }, // 5523
  { PseudoVLUXSEG4EI8_V_MF4_M1, VLUXSEG4EI8_V }, // 5524
  { PseudoVLUXSEG4EI8_V_MF4_M1_MASK, VLUXSEG4EI8_V }, // 5525
  { PseudoVLUXSEG4EI8_V_MF4_M1_TU, VLUXSEG4EI8_V }, // 5526
  { PseudoVLUXSEG4EI8_V_MF4_M2, VLUXSEG4EI8_V }, // 5527
  { PseudoVLUXSEG4EI8_V_MF4_M2_MASK, VLUXSEG4EI8_V }, // 5528
  { PseudoVLUXSEG4EI8_V_MF4_M2_TU, VLUXSEG4EI8_V }, // 5529
  { PseudoVLUXSEG4EI8_V_MF4_MF2, VLUXSEG4EI8_V }, // 5530
  { PseudoVLUXSEG4EI8_V_MF4_MF2_MASK, VLUXSEG4EI8_V }, // 5531
  { PseudoVLUXSEG4EI8_V_MF4_MF2_TU, VLUXSEG4EI8_V }, // 5532
  { PseudoVLUXSEG4EI8_V_MF4_MF4, VLUXSEG4EI8_V }, // 5533
  { PseudoVLUXSEG4EI8_V_MF4_MF4_MASK, VLUXSEG4EI8_V }, // 5534
  { PseudoVLUXSEG4EI8_V_MF4_MF4_TU, VLUXSEG4EI8_V }, // 5535
  { PseudoVLUXSEG4EI8_V_MF8_M1, VLUXSEG4EI8_V }, // 5536
  { PseudoVLUXSEG4EI8_V_MF8_M1_MASK, VLUXSEG4EI8_V }, // 5537
  { PseudoVLUXSEG4EI8_V_MF8_M1_TU, VLUXSEG4EI8_V }, // 5538
  { PseudoVLUXSEG4EI8_V_MF8_MF2, VLUXSEG4EI8_V }, // 5539
  { PseudoVLUXSEG4EI8_V_MF8_MF2_MASK, VLUXSEG4EI8_V }, // 5540
  { PseudoVLUXSEG4EI8_V_MF8_MF2_TU, VLUXSEG4EI8_V }, // 5541
  { PseudoVLUXSEG4EI8_V_MF8_MF4, VLUXSEG4EI8_V }, // 5542
  { PseudoVLUXSEG4EI8_V_MF8_MF4_MASK, VLUXSEG4EI8_V }, // 5543
  { PseudoVLUXSEG4EI8_V_MF8_MF4_TU, VLUXSEG4EI8_V }, // 5544
  { PseudoVLUXSEG4EI8_V_MF8_MF8, VLUXSEG4EI8_V }, // 5545
  { PseudoVLUXSEG4EI8_V_MF8_MF8_MASK, VLUXSEG4EI8_V }, // 5546
  { PseudoVLUXSEG4EI8_V_MF8_MF8_TU, VLUXSEG4EI8_V }, // 5547
  { PseudoVLUXSEG5EI16_V_M1_M1, VLUXSEG5EI16_V }, // 5548
  { PseudoVLUXSEG5EI16_V_M1_M1_MASK, VLUXSEG5EI16_V }, // 5549
  { PseudoVLUXSEG5EI16_V_M1_M1_TU, VLUXSEG5EI16_V }, // 5550
  { PseudoVLUXSEG5EI16_V_M1_MF2, VLUXSEG5EI16_V }, // 5551
  { PseudoVLUXSEG5EI16_V_M1_MF2_MASK, VLUXSEG5EI16_V }, // 5552
  { PseudoVLUXSEG5EI16_V_M1_MF2_TU, VLUXSEG5EI16_V }, // 5553
  { PseudoVLUXSEG5EI16_V_M2_M1, VLUXSEG5EI16_V }, // 5554
  { PseudoVLUXSEG5EI16_V_M2_M1_MASK, VLUXSEG5EI16_V }, // 5555
  { PseudoVLUXSEG5EI16_V_M2_M1_TU, VLUXSEG5EI16_V }, // 5556
  { PseudoVLUXSEG5EI16_V_MF2_M1, VLUXSEG5EI16_V }, // 5557
  { PseudoVLUXSEG5EI16_V_MF2_M1_MASK, VLUXSEG5EI16_V }, // 5558
  { PseudoVLUXSEG5EI16_V_MF2_M1_TU, VLUXSEG5EI16_V }, // 5559
  { PseudoVLUXSEG5EI16_V_MF2_MF2, VLUXSEG5EI16_V }, // 5560
  { PseudoVLUXSEG5EI16_V_MF2_MF2_MASK, VLUXSEG5EI16_V }, // 5561
  { PseudoVLUXSEG5EI16_V_MF2_MF2_TU, VLUXSEG5EI16_V }, // 5562
  { PseudoVLUXSEG5EI16_V_MF2_MF4, VLUXSEG5EI16_V }, // 5563
  { PseudoVLUXSEG5EI16_V_MF2_MF4_MASK, VLUXSEG5EI16_V }, // 5564
  { PseudoVLUXSEG5EI16_V_MF2_MF4_TU, VLUXSEG5EI16_V }, // 5565
  { PseudoVLUXSEG5EI16_V_MF4_M1, VLUXSEG5EI16_V }, // 5566
  { PseudoVLUXSEG5EI16_V_MF4_M1_MASK, VLUXSEG5EI16_V }, // 5567
  { PseudoVLUXSEG5EI16_V_MF4_M1_TU, VLUXSEG5EI16_V }, // 5568
  { PseudoVLUXSEG5EI16_V_MF4_MF2, VLUXSEG5EI16_V }, // 5569
  { PseudoVLUXSEG5EI16_V_MF4_MF2_MASK, VLUXSEG5EI16_V }, // 5570
  { PseudoVLUXSEG5EI16_V_MF4_MF2_TU, VLUXSEG5EI16_V }, // 5571
  { PseudoVLUXSEG5EI16_V_MF4_MF4, VLUXSEG5EI16_V }, // 5572
  { PseudoVLUXSEG5EI16_V_MF4_MF4_MASK, VLUXSEG5EI16_V }, // 5573
  { PseudoVLUXSEG5EI16_V_MF4_MF4_TU, VLUXSEG5EI16_V }, // 5574
  { PseudoVLUXSEG5EI16_V_MF4_MF8, VLUXSEG5EI16_V }, // 5575
  { PseudoVLUXSEG5EI16_V_MF4_MF8_MASK, VLUXSEG5EI16_V }, // 5576
  { PseudoVLUXSEG5EI16_V_MF4_MF8_TU, VLUXSEG5EI16_V }, // 5577
  { PseudoVLUXSEG5EI32_V_M1_M1, VLUXSEG5EI32_V }, // 5578
  { PseudoVLUXSEG5EI32_V_M1_M1_MASK, VLUXSEG5EI32_V }, // 5579
  { PseudoVLUXSEG5EI32_V_M1_M1_TU, VLUXSEG5EI32_V }, // 5580
  { PseudoVLUXSEG5EI32_V_M1_MF2, VLUXSEG5EI32_V }, // 5581
  { PseudoVLUXSEG5EI32_V_M1_MF2_MASK, VLUXSEG5EI32_V }, // 5582
  { PseudoVLUXSEG5EI32_V_M1_MF2_TU, VLUXSEG5EI32_V }, // 5583
  { PseudoVLUXSEG5EI32_V_M1_MF4, VLUXSEG5EI32_V }, // 5584
  { PseudoVLUXSEG5EI32_V_M1_MF4_MASK, VLUXSEG5EI32_V }, // 5585
  { PseudoVLUXSEG5EI32_V_M1_MF4_TU, VLUXSEG5EI32_V }, // 5586
  { PseudoVLUXSEG5EI32_V_M2_M1, VLUXSEG5EI32_V }, // 5587
  { PseudoVLUXSEG5EI32_V_M2_M1_MASK, VLUXSEG5EI32_V }, // 5588
  { PseudoVLUXSEG5EI32_V_M2_M1_TU, VLUXSEG5EI32_V }, // 5589
  { PseudoVLUXSEG5EI32_V_M2_MF2, VLUXSEG5EI32_V }, // 5590
  { PseudoVLUXSEG5EI32_V_M2_MF2_MASK, VLUXSEG5EI32_V }, // 5591
  { PseudoVLUXSEG5EI32_V_M2_MF2_TU, VLUXSEG5EI32_V }, // 5592
  { PseudoVLUXSEG5EI32_V_M4_M1, VLUXSEG5EI32_V }, // 5593
  { PseudoVLUXSEG5EI32_V_M4_M1_MASK, VLUXSEG5EI32_V }, // 5594
  { PseudoVLUXSEG5EI32_V_M4_M1_TU, VLUXSEG5EI32_V }, // 5595
  { PseudoVLUXSEG5EI32_V_MF2_M1, VLUXSEG5EI32_V }, // 5596
  { PseudoVLUXSEG5EI32_V_MF2_M1_MASK, VLUXSEG5EI32_V }, // 5597
  { PseudoVLUXSEG5EI32_V_MF2_M1_TU, VLUXSEG5EI32_V }, // 5598
  { PseudoVLUXSEG5EI32_V_MF2_MF2, VLUXSEG5EI32_V }, // 5599
  { PseudoVLUXSEG5EI32_V_MF2_MF2_MASK, VLUXSEG5EI32_V }, // 5600
  { PseudoVLUXSEG5EI32_V_MF2_MF2_TU, VLUXSEG5EI32_V }, // 5601
  { PseudoVLUXSEG5EI32_V_MF2_MF4, VLUXSEG5EI32_V }, // 5602
  { PseudoVLUXSEG5EI32_V_MF2_MF4_MASK, VLUXSEG5EI32_V }, // 5603
  { PseudoVLUXSEG5EI32_V_MF2_MF4_TU, VLUXSEG5EI32_V }, // 5604
  { PseudoVLUXSEG5EI32_V_MF2_MF8, VLUXSEG5EI32_V }, // 5605
  { PseudoVLUXSEG5EI32_V_MF2_MF8_MASK, VLUXSEG5EI32_V }, // 5606
  { PseudoVLUXSEG5EI32_V_MF2_MF8_TU, VLUXSEG5EI32_V }, // 5607
  { PseudoVLUXSEG5EI64_V_M1_M1, VLUXSEG5EI64_V }, // 5608
  { PseudoVLUXSEG5EI64_V_M1_M1_MASK, VLUXSEG5EI64_V }, // 5609
  { PseudoVLUXSEG5EI64_V_M1_M1_TU, VLUXSEG5EI64_V }, // 5610
  { PseudoVLUXSEG5EI64_V_M1_MF2, VLUXSEG5EI64_V }, // 5611
  { PseudoVLUXSEG5EI64_V_M1_MF2_MASK, VLUXSEG5EI64_V }, // 5612
  { PseudoVLUXSEG5EI64_V_M1_MF2_TU, VLUXSEG5EI64_V }, // 5613
  { PseudoVLUXSEG5EI64_V_M1_MF4, VLUXSEG5EI64_V }, // 5614
  { PseudoVLUXSEG5EI64_V_M1_MF4_MASK, VLUXSEG5EI64_V }, // 5615
  { PseudoVLUXSEG5EI64_V_M1_MF4_TU, VLUXSEG5EI64_V }, // 5616
  { PseudoVLUXSEG5EI64_V_M1_MF8, VLUXSEG5EI64_V }, // 5617
  { PseudoVLUXSEG5EI64_V_M1_MF8_MASK, VLUXSEG5EI64_V }, // 5618
  { PseudoVLUXSEG5EI64_V_M1_MF8_TU, VLUXSEG5EI64_V }, // 5619
  { PseudoVLUXSEG5EI64_V_M2_M1, VLUXSEG5EI64_V }, // 5620
  { PseudoVLUXSEG5EI64_V_M2_M1_MASK, VLUXSEG5EI64_V }, // 5621
  { PseudoVLUXSEG5EI64_V_M2_M1_TU, VLUXSEG5EI64_V }, // 5622
  { PseudoVLUXSEG5EI64_V_M2_MF2, VLUXSEG5EI64_V }, // 5623
  { PseudoVLUXSEG5EI64_V_M2_MF2_MASK, VLUXSEG5EI64_V }, // 5624
  { PseudoVLUXSEG5EI64_V_M2_MF2_TU, VLUXSEG5EI64_V }, // 5625
  { PseudoVLUXSEG5EI64_V_M2_MF4, VLUXSEG5EI64_V }, // 5626
  { PseudoVLUXSEG5EI64_V_M2_MF4_MASK, VLUXSEG5EI64_V }, // 5627
  { PseudoVLUXSEG5EI64_V_M2_MF4_TU, VLUXSEG5EI64_V }, // 5628
  { PseudoVLUXSEG5EI64_V_M4_M1, VLUXSEG5EI64_V }, // 5629
  { PseudoVLUXSEG5EI64_V_M4_M1_MASK, VLUXSEG5EI64_V }, // 5630
  { PseudoVLUXSEG5EI64_V_M4_M1_TU, VLUXSEG5EI64_V }, // 5631
  { PseudoVLUXSEG5EI64_V_M4_MF2, VLUXSEG5EI64_V }, // 5632
  { PseudoVLUXSEG5EI64_V_M4_MF2_MASK, VLUXSEG5EI64_V }, // 5633
  { PseudoVLUXSEG5EI64_V_M4_MF2_TU, VLUXSEG5EI64_V }, // 5634
  { PseudoVLUXSEG5EI64_V_M8_M1, VLUXSEG5EI64_V }, // 5635
  { PseudoVLUXSEG5EI64_V_M8_M1_MASK, VLUXSEG5EI64_V }, // 5636
  { PseudoVLUXSEG5EI64_V_M8_M1_TU, VLUXSEG5EI64_V }, // 5637
  { PseudoVLUXSEG5EI8_V_M1_M1, VLUXSEG5EI8_V }, // 5638
  { PseudoVLUXSEG5EI8_V_M1_M1_MASK, VLUXSEG5EI8_V }, // 5639
  { PseudoVLUXSEG5EI8_V_M1_M1_TU, VLUXSEG5EI8_V }, // 5640
  { PseudoVLUXSEG5EI8_V_MF2_M1, VLUXSEG5EI8_V }, // 5641
  { PseudoVLUXSEG5EI8_V_MF2_M1_MASK, VLUXSEG5EI8_V }, // 5642
  { PseudoVLUXSEG5EI8_V_MF2_M1_TU, VLUXSEG5EI8_V }, // 5643
  { PseudoVLUXSEG5EI8_V_MF2_MF2, VLUXSEG5EI8_V }, // 5644
  { PseudoVLUXSEG5EI8_V_MF2_MF2_MASK, VLUXSEG5EI8_V }, // 5645
  { PseudoVLUXSEG5EI8_V_MF2_MF2_TU, VLUXSEG5EI8_V }, // 5646
  { PseudoVLUXSEG5EI8_V_MF4_M1, VLUXSEG5EI8_V }, // 5647
  { PseudoVLUXSEG5EI8_V_MF4_M1_MASK, VLUXSEG5EI8_V }, // 5648
  { PseudoVLUXSEG5EI8_V_MF4_M1_TU, VLUXSEG5EI8_V }, // 5649
  { PseudoVLUXSEG5EI8_V_MF4_MF2, VLUXSEG5EI8_V }, // 5650
  { PseudoVLUXSEG5EI8_V_MF4_MF2_MASK, VLUXSEG5EI8_V }, // 5651
  { PseudoVLUXSEG5EI8_V_MF4_MF2_TU, VLUXSEG5EI8_V }, // 5652
  { PseudoVLUXSEG5EI8_V_MF4_MF4, VLUXSEG5EI8_V }, // 5653
  { PseudoVLUXSEG5EI8_V_MF4_MF4_MASK, VLUXSEG5EI8_V }, // 5654
  { PseudoVLUXSEG5EI8_V_MF4_MF4_TU, VLUXSEG5EI8_V }, // 5655
  { PseudoVLUXSEG5EI8_V_MF8_M1, VLUXSEG5EI8_V }, // 5656
  { PseudoVLUXSEG5EI8_V_MF8_M1_MASK, VLUXSEG5EI8_V }, // 5657
  { PseudoVLUXSEG5EI8_V_MF8_M1_TU, VLUXSEG5EI8_V }, // 5658
  { PseudoVLUXSEG5EI8_V_MF8_MF2, VLUXSEG5EI8_V }, // 5659
  { PseudoVLUXSEG5EI8_V_MF8_MF2_MASK, VLUXSEG5EI8_V }, // 5660
  { PseudoVLUXSEG5EI8_V_MF8_MF2_TU, VLUXSEG5EI8_V }, // 5661
  { PseudoVLUXSEG5EI8_V_MF8_MF4, VLUXSEG5EI8_V }, // 5662
  { PseudoVLUXSEG5EI8_V_MF8_MF4_MASK, VLUXSEG5EI8_V }, // 5663
  { PseudoVLUXSEG5EI8_V_MF8_MF4_TU, VLUXSEG5EI8_V }, // 5664
  { PseudoVLUXSEG5EI8_V_MF8_MF8, VLUXSEG5EI8_V }, // 5665
  { PseudoVLUXSEG5EI8_V_MF8_MF8_MASK, VLUXSEG5EI8_V }, // 5666
  { PseudoVLUXSEG5EI8_V_MF8_MF8_TU, VLUXSEG5EI8_V }, // 5667
  { PseudoVLUXSEG6EI16_V_M1_M1, VLUXSEG6EI16_V }, // 5668
  { PseudoVLUXSEG6EI16_V_M1_M1_MASK, VLUXSEG6EI16_V }, // 5669
  { PseudoVLUXSEG6EI16_V_M1_M1_TU, VLUXSEG6EI16_V }, // 5670
  { PseudoVLUXSEG6EI16_V_M1_MF2, VLUXSEG6EI16_V }, // 5671
  { PseudoVLUXSEG6EI16_V_M1_MF2_MASK, VLUXSEG6EI16_V }, // 5672
  { PseudoVLUXSEG6EI16_V_M1_MF2_TU, VLUXSEG6EI16_V }, // 5673
  { PseudoVLUXSEG6EI16_V_M2_M1, VLUXSEG6EI16_V }, // 5674
  { PseudoVLUXSEG6EI16_V_M2_M1_MASK, VLUXSEG6EI16_V }, // 5675
  { PseudoVLUXSEG6EI16_V_M2_M1_TU, VLUXSEG6EI16_V }, // 5676
  { PseudoVLUXSEG6EI16_V_MF2_M1, VLUXSEG6EI16_V }, // 5677
  { PseudoVLUXSEG6EI16_V_MF2_M1_MASK, VLUXSEG6EI16_V }, // 5678
  { PseudoVLUXSEG6EI16_V_MF2_M1_TU, VLUXSEG6EI16_V }, // 5679
  { PseudoVLUXSEG6EI16_V_MF2_MF2, VLUXSEG6EI16_V }, // 5680
  { PseudoVLUXSEG6EI16_V_MF2_MF2_MASK, VLUXSEG6EI16_V }, // 5681
  { PseudoVLUXSEG6EI16_V_MF2_MF2_TU, VLUXSEG6EI16_V }, // 5682
  { PseudoVLUXSEG6EI16_V_MF2_MF4, VLUXSEG6EI16_V }, // 5683
  { PseudoVLUXSEG6EI16_V_MF2_MF4_MASK, VLUXSEG6EI16_V }, // 5684
  { PseudoVLUXSEG6EI16_V_MF2_MF4_TU, VLUXSEG6EI16_V }, // 5685
  { PseudoVLUXSEG6EI16_V_MF4_M1, VLUXSEG6EI16_V }, // 5686
  { PseudoVLUXSEG6EI16_V_MF4_M1_MASK, VLUXSEG6EI16_V }, // 5687
  { PseudoVLUXSEG6EI16_V_MF4_M1_TU, VLUXSEG6EI16_V }, // 5688
  { PseudoVLUXSEG6EI16_V_MF4_MF2, VLUXSEG6EI16_V }, // 5689
  { PseudoVLUXSEG6EI16_V_MF4_MF2_MASK, VLUXSEG6EI16_V }, // 5690
  { PseudoVLUXSEG6EI16_V_MF4_MF2_TU, VLUXSEG6EI16_V }, // 5691
  { PseudoVLUXSEG6EI16_V_MF4_MF4, VLUXSEG6EI16_V }, // 5692
  { PseudoVLUXSEG6EI16_V_MF4_MF4_MASK, VLUXSEG6EI16_V }, // 5693
  { PseudoVLUXSEG6EI16_V_MF4_MF4_TU, VLUXSEG6EI16_V }, // 5694
  { PseudoVLUXSEG6EI16_V_MF4_MF8, VLUXSEG6EI16_V }, // 5695
  { PseudoVLUXSEG6EI16_V_MF4_MF8_MASK, VLUXSEG6EI16_V }, // 5696
  { PseudoVLUXSEG6EI16_V_MF4_MF8_TU, VLUXSEG6EI16_V }, // 5697
  { PseudoVLUXSEG6EI32_V_M1_M1, VLUXSEG6EI32_V }, // 5698
  { PseudoVLUXSEG6EI32_V_M1_M1_MASK, VLUXSEG6EI32_V }, // 5699
  { PseudoVLUXSEG6EI32_V_M1_M1_TU, VLUXSEG6EI32_V }, // 5700
  { PseudoVLUXSEG6EI32_V_M1_MF2, VLUXSEG6EI32_V }, // 5701
  { PseudoVLUXSEG6EI32_V_M1_MF2_MASK, VLUXSEG6EI32_V }, // 5702
  { PseudoVLUXSEG6EI32_V_M1_MF2_TU, VLUXSEG6EI32_V }, // 5703
  { PseudoVLUXSEG6EI32_V_M1_MF4, VLUXSEG6EI32_V }, // 5704
  { PseudoVLUXSEG6EI32_V_M1_MF4_MASK, VLUXSEG6EI32_V }, // 5705
  { PseudoVLUXSEG6EI32_V_M1_MF4_TU, VLUXSEG6EI32_V }, // 5706
  { PseudoVLUXSEG6EI32_V_M2_M1, VLUXSEG6EI32_V }, // 5707
  { PseudoVLUXSEG6EI32_V_M2_M1_MASK, VLUXSEG6EI32_V }, // 5708
  { PseudoVLUXSEG6EI32_V_M2_M1_TU, VLUXSEG6EI32_V }, // 5709
  { PseudoVLUXSEG6EI32_V_M2_MF2, VLUXSEG6EI32_V }, // 5710
  { PseudoVLUXSEG6EI32_V_M2_MF2_MASK, VLUXSEG6EI32_V }, // 5711
  { PseudoVLUXSEG6EI32_V_M2_MF2_TU, VLUXSEG6EI32_V }, // 5712
  { PseudoVLUXSEG6EI32_V_M4_M1, VLUXSEG6EI32_V }, // 5713
  { PseudoVLUXSEG6EI32_V_M4_M1_MASK, VLUXSEG6EI32_V }, // 5714
  { PseudoVLUXSEG6EI32_V_M4_M1_TU, VLUXSEG6EI32_V }, // 5715
  { PseudoVLUXSEG6EI32_V_MF2_M1, VLUXSEG6EI32_V }, // 5716
  { PseudoVLUXSEG6EI32_V_MF2_M1_MASK, VLUXSEG6EI32_V }, // 5717
  { PseudoVLUXSEG6EI32_V_MF2_M1_TU, VLUXSEG6EI32_V }, // 5718
  { PseudoVLUXSEG6EI32_V_MF2_MF2, VLUXSEG6EI32_V }, // 5719
  { PseudoVLUXSEG6EI32_V_MF2_MF2_MASK, VLUXSEG6EI32_V }, // 5720
  { PseudoVLUXSEG6EI32_V_MF2_MF2_TU, VLUXSEG6EI32_V }, // 5721
  { PseudoVLUXSEG6EI32_V_MF2_MF4, VLUXSEG6EI32_V }, // 5722
  { PseudoVLUXSEG6EI32_V_MF2_MF4_MASK, VLUXSEG6EI32_V }, // 5723
  { PseudoVLUXSEG6EI32_V_MF2_MF4_TU, VLUXSEG6EI32_V }, // 5724
  { PseudoVLUXSEG6EI32_V_MF2_MF8, VLUXSEG6EI32_V }, // 5725
  { PseudoVLUXSEG6EI32_V_MF2_MF8_MASK, VLUXSEG6EI32_V }, // 5726
  { PseudoVLUXSEG6EI32_V_MF2_MF8_TU, VLUXSEG6EI32_V }, // 5727
  { PseudoVLUXSEG6EI64_V_M1_M1, VLUXSEG6EI64_V }, // 5728
  { PseudoVLUXSEG6EI64_V_M1_M1_MASK, VLUXSEG6EI64_V }, // 5729
  { PseudoVLUXSEG6EI64_V_M1_M1_TU, VLUXSEG6EI64_V }, // 5730
  { PseudoVLUXSEG6EI64_V_M1_MF2, VLUXSEG6EI64_V }, // 5731
  { PseudoVLUXSEG6EI64_V_M1_MF2_MASK, VLUXSEG6EI64_V }, // 5732
  { PseudoVLUXSEG6EI64_V_M1_MF2_TU, VLUXSEG6EI64_V }, // 5733
  { PseudoVLUXSEG6EI64_V_M1_MF4, VLUXSEG6EI64_V }, // 5734
  { PseudoVLUXSEG6EI64_V_M1_MF4_MASK, VLUXSEG6EI64_V }, // 5735
  { PseudoVLUXSEG6EI64_V_M1_MF4_TU, VLUXSEG6EI64_V }, // 5736
  { PseudoVLUXSEG6EI64_V_M1_MF8, VLUXSEG6EI64_V }, // 5737
  { PseudoVLUXSEG6EI64_V_M1_MF8_MASK, VLUXSEG6EI64_V }, // 5738
  { PseudoVLUXSEG6EI64_V_M1_MF8_TU, VLUXSEG6EI64_V }, // 5739
  { PseudoVLUXSEG6EI64_V_M2_M1, VLUXSEG6EI64_V }, // 5740
  { PseudoVLUXSEG6EI64_V_M2_M1_MASK, VLUXSEG6EI64_V }, // 5741
  { PseudoVLUXSEG6EI64_V_M2_M1_TU, VLUXSEG6EI64_V }, // 5742
  { PseudoVLUXSEG6EI64_V_M2_MF2, VLUXSEG6EI64_V }, // 5743
  { PseudoVLUXSEG6EI64_V_M2_MF2_MASK, VLUXSEG6EI64_V }, // 5744
  { PseudoVLUXSEG6EI64_V_M2_MF2_TU, VLUXSEG6EI64_V }, // 5745
  { PseudoVLUXSEG6EI64_V_M2_MF4, VLUXSEG6EI64_V }, // 5746
  { PseudoVLUXSEG6EI64_V_M2_MF4_MASK, VLUXSEG6EI64_V }, // 5747
  { PseudoVLUXSEG6EI64_V_M2_MF4_TU, VLUXSEG6EI64_V }, // 5748
  { PseudoVLUXSEG6EI64_V_M4_M1, VLUXSEG6EI64_V }, // 5749
  { PseudoVLUXSEG6EI64_V_M4_M1_MASK, VLUXSEG6EI64_V }, // 5750
  { PseudoVLUXSEG6EI64_V_M4_M1_TU, VLUXSEG6EI64_V }, // 5751
  { PseudoVLUXSEG6EI64_V_M4_MF2, VLUXSEG6EI64_V }, // 5752
  { PseudoVLUXSEG6EI64_V_M4_MF2_MASK, VLUXSEG6EI64_V }, // 5753
  { PseudoVLUXSEG6EI64_V_M4_MF2_TU, VLUXSEG6EI64_V }, // 5754
  { PseudoVLUXSEG6EI64_V_M8_M1, VLUXSEG6EI64_V }, // 5755
  { PseudoVLUXSEG6EI64_V_M8_M1_MASK, VLUXSEG6EI64_V }, // 5756
  { PseudoVLUXSEG6EI64_V_M8_M1_TU, VLUXSEG6EI64_V }, // 5757
  { PseudoVLUXSEG6EI8_V_M1_M1, VLUXSEG6EI8_V }, // 5758
  { PseudoVLUXSEG6EI8_V_M1_M1_MASK, VLUXSEG6EI8_V }, // 5759
  { PseudoVLUXSEG6EI8_V_M1_M1_TU, VLUXSEG6EI8_V }, // 5760
  { PseudoVLUXSEG6EI8_V_MF2_M1, VLUXSEG6EI8_V }, // 5761
  { PseudoVLUXSEG6EI8_V_MF2_M1_MASK, VLUXSEG6EI8_V }, // 5762
  { PseudoVLUXSEG6EI8_V_MF2_M1_TU, VLUXSEG6EI8_V }, // 5763
  { PseudoVLUXSEG6EI8_V_MF2_MF2, VLUXSEG6EI8_V }, // 5764
  { PseudoVLUXSEG6EI8_V_MF2_MF2_MASK, VLUXSEG6EI8_V }, // 5765
  { PseudoVLUXSEG6EI8_V_MF2_MF2_TU, VLUXSEG6EI8_V }, // 5766
  { PseudoVLUXSEG6EI8_V_MF4_M1, VLUXSEG6EI8_V }, // 5767
  { PseudoVLUXSEG6EI8_V_MF4_M1_MASK, VLUXSEG6EI8_V }, // 5768
  { PseudoVLUXSEG6EI8_V_MF4_M1_TU, VLUXSEG6EI8_V }, // 5769
  { PseudoVLUXSEG6EI8_V_MF4_MF2, VLUXSEG6EI8_V }, // 5770
  { PseudoVLUXSEG6EI8_V_MF4_MF2_MASK, VLUXSEG6EI8_V }, // 5771
  { PseudoVLUXSEG6EI8_V_MF4_MF2_TU, VLUXSEG6EI8_V }, // 5772
  { PseudoVLUXSEG6EI8_V_MF4_MF4, VLUXSEG6EI8_V }, // 5773
  { PseudoVLUXSEG6EI8_V_MF4_MF4_MASK, VLUXSEG6EI8_V }, // 5774
  { PseudoVLUXSEG6EI8_V_MF4_MF4_TU, VLUXSEG6EI8_V }, // 5775
  { PseudoVLUXSEG6EI8_V_MF8_M1, VLUXSEG6EI8_V }, // 5776
  { PseudoVLUXSEG6EI8_V_MF8_M1_MASK, VLUXSEG6EI8_V }, // 5777
  { PseudoVLUXSEG6EI8_V_MF8_M1_TU, VLUXSEG6EI8_V }, // 5778
  { PseudoVLUXSEG6EI8_V_MF8_MF2, VLUXSEG6EI8_V }, // 5779
  { PseudoVLUXSEG6EI8_V_MF8_MF2_MASK, VLUXSEG6EI8_V }, // 5780
  { PseudoVLUXSEG6EI8_V_MF8_MF2_TU, VLUXSEG6EI8_V }, // 5781
  { PseudoVLUXSEG6EI8_V_MF8_MF4, VLUXSEG6EI8_V }, // 5782
  { PseudoVLUXSEG6EI8_V_MF8_MF4_MASK, VLUXSEG6EI8_V }, // 5783
  { PseudoVLUXSEG6EI8_V_MF8_MF4_TU, VLUXSEG6EI8_V }, // 5784
  { PseudoVLUXSEG6EI8_V_MF8_MF8, VLUXSEG6EI8_V }, // 5785
  { PseudoVLUXSEG6EI8_V_MF8_MF8_MASK, VLUXSEG6EI8_V }, // 5786
  { PseudoVLUXSEG6EI8_V_MF8_MF8_TU, VLUXSEG6EI8_V }, // 5787
  { PseudoVLUXSEG7EI16_V_M1_M1, VLUXSEG7EI16_V }, // 5788
  { PseudoVLUXSEG7EI16_V_M1_M1_MASK, VLUXSEG7EI16_V }, // 5789
  { PseudoVLUXSEG7EI16_V_M1_M1_TU, VLUXSEG7EI16_V }, // 5790
  { PseudoVLUXSEG7EI16_V_M1_MF2, VLUXSEG7EI16_V }, // 5791
  { PseudoVLUXSEG7EI16_V_M1_MF2_MASK, VLUXSEG7EI16_V }, // 5792
  { PseudoVLUXSEG7EI16_V_M1_MF2_TU, VLUXSEG7EI16_V }, // 5793
  { PseudoVLUXSEG7EI16_V_M2_M1, VLUXSEG7EI16_V }, // 5794
  { PseudoVLUXSEG7EI16_V_M2_M1_MASK, VLUXSEG7EI16_V }, // 5795
  { PseudoVLUXSEG7EI16_V_M2_M1_TU, VLUXSEG7EI16_V }, // 5796
  { PseudoVLUXSEG7EI16_V_MF2_M1, VLUXSEG7EI16_V }, // 5797
  { PseudoVLUXSEG7EI16_V_MF2_M1_MASK, VLUXSEG7EI16_V }, // 5798
  { PseudoVLUXSEG7EI16_V_MF2_M1_TU, VLUXSEG7EI16_V }, // 5799
  { PseudoVLUXSEG7EI16_V_MF2_MF2, VLUXSEG7EI16_V }, // 5800
  { PseudoVLUXSEG7EI16_V_MF2_MF2_MASK, VLUXSEG7EI16_V }, // 5801
  { PseudoVLUXSEG7EI16_V_MF2_MF2_TU, VLUXSEG7EI16_V }, // 5802
  { PseudoVLUXSEG7EI16_V_MF2_MF4, VLUXSEG7EI16_V }, // 5803
  { PseudoVLUXSEG7EI16_V_MF2_MF4_MASK, VLUXSEG7EI16_V }, // 5804
  { PseudoVLUXSEG7EI16_V_MF2_MF4_TU, VLUXSEG7EI16_V }, // 5805
  { PseudoVLUXSEG7EI16_V_MF4_M1, VLUXSEG7EI16_V }, // 5806
  { PseudoVLUXSEG7EI16_V_MF4_M1_MASK, VLUXSEG7EI16_V }, // 5807
  { PseudoVLUXSEG7EI16_V_MF4_M1_TU, VLUXSEG7EI16_V }, // 5808
  { PseudoVLUXSEG7EI16_V_MF4_MF2, VLUXSEG7EI16_V }, // 5809
  { PseudoVLUXSEG7EI16_V_MF4_MF2_MASK, VLUXSEG7EI16_V }, // 5810
  { PseudoVLUXSEG7EI16_V_MF4_MF2_TU, VLUXSEG7EI16_V }, // 5811
  { PseudoVLUXSEG7EI16_V_MF4_MF4, VLUXSEG7EI16_V }, // 5812
  { PseudoVLUXSEG7EI16_V_MF4_MF4_MASK, VLUXSEG7EI16_V }, // 5813
  { PseudoVLUXSEG7EI16_V_MF4_MF4_TU, VLUXSEG7EI16_V }, // 5814
  { PseudoVLUXSEG7EI16_V_MF4_MF8, VLUXSEG7EI16_V }, // 5815
  { PseudoVLUXSEG7EI16_V_MF4_MF8_MASK, VLUXSEG7EI16_V }, // 5816
  { PseudoVLUXSEG7EI16_V_MF4_MF8_TU, VLUXSEG7EI16_V }, // 5817
  { PseudoVLUXSEG7EI32_V_M1_M1, VLUXSEG7EI32_V }, // 5818
  { PseudoVLUXSEG7EI32_V_M1_M1_MASK, VLUXSEG7EI32_V }, // 5819
  { PseudoVLUXSEG7EI32_V_M1_M1_TU, VLUXSEG7EI32_V }, // 5820
  { PseudoVLUXSEG7EI32_V_M1_MF2, VLUXSEG7EI32_V }, // 5821
  { PseudoVLUXSEG7EI32_V_M1_MF2_MASK, VLUXSEG7EI32_V }, // 5822
  { PseudoVLUXSEG7EI32_V_M1_MF2_TU, VLUXSEG7EI32_V }, // 5823
  { PseudoVLUXSEG7EI32_V_M1_MF4, VLUXSEG7EI32_V }, // 5824
  { PseudoVLUXSEG7EI32_V_M1_MF4_MASK, VLUXSEG7EI32_V }, // 5825
  { PseudoVLUXSEG7EI32_V_M1_MF4_TU, VLUXSEG7EI32_V }, // 5826
  { PseudoVLUXSEG7EI32_V_M2_M1, VLUXSEG7EI32_V }, // 5827
  { PseudoVLUXSEG7EI32_V_M2_M1_MASK, VLUXSEG7EI32_V }, // 5828
  { PseudoVLUXSEG7EI32_V_M2_M1_TU, VLUXSEG7EI32_V }, // 5829
  { PseudoVLUXSEG7EI32_V_M2_MF2, VLUXSEG7EI32_V }, // 5830
  { PseudoVLUXSEG7EI32_V_M2_MF2_MASK, VLUXSEG7EI32_V }, // 5831
  { PseudoVLUXSEG7EI32_V_M2_MF2_TU, VLUXSEG7EI32_V }, // 5832
  { PseudoVLUXSEG7EI32_V_M4_M1, VLUXSEG7EI32_V }, // 5833
  { PseudoVLUXSEG7EI32_V_M4_M1_MASK, VLUXSEG7EI32_V }, // 5834
  { PseudoVLUXSEG7EI32_V_M4_M1_TU, VLUXSEG7EI32_V }, // 5835
  { PseudoVLUXSEG7EI32_V_MF2_M1, VLUXSEG7EI32_V }, // 5836
  { PseudoVLUXSEG7EI32_V_MF2_M1_MASK, VLUXSEG7EI32_V }, // 5837
  { PseudoVLUXSEG7EI32_V_MF2_M1_TU, VLUXSEG7EI32_V }, // 5838
  { PseudoVLUXSEG7EI32_V_MF2_MF2, VLUXSEG7EI32_V }, // 5839
  { PseudoVLUXSEG7EI32_V_MF2_MF2_MASK, VLUXSEG7EI32_V }, // 5840
  { PseudoVLUXSEG7EI32_V_MF2_MF2_TU, VLUXSEG7EI32_V }, // 5841
  { PseudoVLUXSEG7EI32_V_MF2_MF4, VLUXSEG7EI32_V }, // 5842
  { PseudoVLUXSEG7EI32_V_MF2_MF4_MASK, VLUXSEG7EI32_V }, // 5843
  { PseudoVLUXSEG7EI32_V_MF2_MF4_TU, VLUXSEG7EI32_V }, // 5844
  { PseudoVLUXSEG7EI32_V_MF2_MF8, VLUXSEG7EI32_V }, // 5845
  { PseudoVLUXSEG7EI32_V_MF2_MF8_MASK, VLUXSEG7EI32_V }, // 5846
  { PseudoVLUXSEG7EI32_V_MF2_MF8_TU, VLUXSEG7EI32_V }, // 5847
  { PseudoVLUXSEG7EI64_V_M1_M1, VLUXSEG7EI64_V }, // 5848
  { PseudoVLUXSEG7EI64_V_M1_M1_MASK, VLUXSEG7EI64_V }, // 5849
  { PseudoVLUXSEG7EI64_V_M1_M1_TU, VLUXSEG7EI64_V }, // 5850
  { PseudoVLUXSEG7EI64_V_M1_MF2, VLUXSEG7EI64_V }, // 5851
  { PseudoVLUXSEG7EI64_V_M1_MF2_MASK, VLUXSEG7EI64_V }, // 5852
  { PseudoVLUXSEG7EI64_V_M1_MF2_TU, VLUXSEG7EI64_V }, // 5853
  { PseudoVLUXSEG7EI64_V_M1_MF4, VLUXSEG7EI64_V }, // 5854
  { PseudoVLUXSEG7EI64_V_M1_MF4_MASK, VLUXSEG7EI64_V }, // 5855
  { PseudoVLUXSEG7EI64_V_M1_MF4_TU, VLUXSEG7EI64_V }, // 5856
  { PseudoVLUXSEG7EI64_V_M1_MF8, VLUXSEG7EI64_V }, // 5857
  { PseudoVLUXSEG7EI64_V_M1_MF8_MASK, VLUXSEG7EI64_V }, // 5858
  { PseudoVLUXSEG7EI64_V_M1_MF8_TU, VLUXSEG7EI64_V }, // 5859
  { PseudoVLUXSEG7EI64_V_M2_M1, VLUXSEG7EI64_V }, // 5860
  { PseudoVLUXSEG7EI64_V_M2_M1_MASK, VLUXSEG7EI64_V }, // 5861
  { PseudoVLUXSEG7EI64_V_M2_M1_TU, VLUXSEG7EI64_V }, // 5862
  { PseudoVLUXSEG7EI64_V_M2_MF2, VLUXSEG7EI64_V }, // 5863
  { PseudoVLUXSEG7EI64_V_M2_MF2_MASK, VLUXSEG7EI64_V }, // 5864
  { PseudoVLUXSEG7EI64_V_M2_MF2_TU, VLUXSEG7EI64_V }, // 5865
  { PseudoVLUXSEG7EI64_V_M2_MF4, VLUXSEG7EI64_V }, // 5866
  { PseudoVLUXSEG7EI64_V_M2_MF4_MASK, VLUXSEG7EI64_V }, // 5867
  { PseudoVLUXSEG7EI64_V_M2_MF4_TU, VLUXSEG7EI64_V }, // 5868
  { PseudoVLUXSEG7EI64_V_M4_M1, VLUXSEG7EI64_V }, // 5869
  { PseudoVLUXSEG7EI64_V_M4_M1_MASK, VLUXSEG7EI64_V }, // 5870
  { PseudoVLUXSEG7EI64_V_M4_M1_TU, VLUXSEG7EI64_V }, // 5871
  { PseudoVLUXSEG7EI64_V_M4_MF2, VLUXSEG7EI64_V }, // 5872
  { PseudoVLUXSEG7EI64_V_M4_MF2_MASK, VLUXSEG7EI64_V }, // 5873
  { PseudoVLUXSEG7EI64_V_M4_MF2_TU, VLUXSEG7EI64_V }, // 5874
  { PseudoVLUXSEG7EI64_V_M8_M1, VLUXSEG7EI64_V }, // 5875
  { PseudoVLUXSEG7EI64_V_M8_M1_MASK, VLUXSEG7EI64_V }, // 5876
  { PseudoVLUXSEG7EI64_V_M8_M1_TU, VLUXSEG7EI64_V }, // 5877
  { PseudoVLUXSEG7EI8_V_M1_M1, VLUXSEG7EI8_V }, // 5878
  { PseudoVLUXSEG7EI8_V_M1_M1_MASK, VLUXSEG7EI8_V }, // 5879
  { PseudoVLUXSEG7EI8_V_M1_M1_TU, VLUXSEG7EI8_V }, // 5880
  { PseudoVLUXSEG7EI8_V_MF2_M1, VLUXSEG7EI8_V }, // 5881
  { PseudoVLUXSEG7EI8_V_MF2_M1_MASK, VLUXSEG7EI8_V }, // 5882
  { PseudoVLUXSEG7EI8_V_MF2_M1_TU, VLUXSEG7EI8_V }, // 5883
  { PseudoVLUXSEG7EI8_V_MF2_MF2, VLUXSEG7EI8_V }, // 5884
  { PseudoVLUXSEG7EI8_V_MF2_MF2_MASK, VLUXSEG7EI8_V }, // 5885
  { PseudoVLUXSEG7EI8_V_MF2_MF2_TU, VLUXSEG7EI8_V }, // 5886
  { PseudoVLUXSEG7EI8_V_MF4_M1, VLUXSEG7EI8_V }, // 5887
  { PseudoVLUXSEG7EI8_V_MF4_M1_MASK, VLUXSEG7EI8_V }, // 5888
  { PseudoVLUXSEG7EI8_V_MF4_M1_TU, VLUXSEG7EI8_V }, // 5889
  { PseudoVLUXSEG7EI8_V_MF4_MF2, VLUXSEG7EI8_V }, // 5890
  { PseudoVLUXSEG7EI8_V_MF4_MF2_MASK, VLUXSEG7EI8_V }, // 5891
  { PseudoVLUXSEG7EI8_V_MF4_MF2_TU, VLUXSEG7EI8_V }, // 5892
  { PseudoVLUXSEG7EI8_V_MF4_MF4, VLUXSEG7EI8_V }, // 5893
  { PseudoVLUXSEG7EI8_V_MF4_MF4_MASK, VLUXSEG7EI8_V }, // 5894
  { PseudoVLUXSEG7EI8_V_MF4_MF4_TU, VLUXSEG7EI8_V }, // 5895
  { PseudoVLUXSEG7EI8_V_MF8_M1, VLUXSEG7EI8_V }, // 5896
  { PseudoVLUXSEG7EI8_V_MF8_M1_MASK, VLUXSEG7EI8_V }, // 5897
  { PseudoVLUXSEG7EI8_V_MF8_M1_TU, VLUXSEG7EI8_V }, // 5898
  { PseudoVLUXSEG7EI8_V_MF8_MF2, VLUXSEG7EI8_V }, // 5899
  { PseudoVLUXSEG7EI8_V_MF8_MF2_MASK, VLUXSEG7EI8_V }, // 5900
  { PseudoVLUXSEG7EI8_V_MF8_MF2_TU, VLUXSEG7EI8_V }, // 5901
  { PseudoVLUXSEG7EI8_V_MF8_MF4, VLUXSEG7EI8_V }, // 5902
  { PseudoVLUXSEG7EI8_V_MF8_MF4_MASK, VLUXSEG7EI8_V }, // 5903
  { PseudoVLUXSEG7EI8_V_MF8_MF4_TU, VLUXSEG7EI8_V }, // 5904
  { PseudoVLUXSEG7EI8_V_MF8_MF8, VLUXSEG7EI8_V }, // 5905
  { PseudoVLUXSEG7EI8_V_MF8_MF8_MASK, VLUXSEG7EI8_V }, // 5906
  { PseudoVLUXSEG7EI8_V_MF8_MF8_TU, VLUXSEG7EI8_V }, // 5907
  { PseudoVLUXSEG8EI16_V_M1_M1, VLUXSEG8EI16_V }, // 5908
  { PseudoVLUXSEG8EI16_V_M1_M1_MASK, VLUXSEG8EI16_V }, // 5909
  { PseudoVLUXSEG8EI16_V_M1_M1_TU, VLUXSEG8EI16_V }, // 5910
  { PseudoVLUXSEG8EI16_V_M1_MF2, VLUXSEG8EI16_V }, // 5911
  { PseudoVLUXSEG8EI16_V_M1_MF2_MASK, VLUXSEG8EI16_V }, // 5912
  { PseudoVLUXSEG8EI16_V_M1_MF2_TU, VLUXSEG8EI16_V }, // 5913
  { PseudoVLUXSEG8EI16_V_M2_M1, VLUXSEG8EI16_V }, // 5914
  { PseudoVLUXSEG8EI16_V_M2_M1_MASK, VLUXSEG8EI16_V }, // 5915
  { PseudoVLUXSEG8EI16_V_M2_M1_TU, VLUXSEG8EI16_V }, // 5916
  { PseudoVLUXSEG8EI16_V_MF2_M1, VLUXSEG8EI16_V }, // 5917
  { PseudoVLUXSEG8EI16_V_MF2_M1_MASK, VLUXSEG8EI16_V }, // 5918
  { PseudoVLUXSEG8EI16_V_MF2_M1_TU, VLUXSEG8EI16_V }, // 5919
  { PseudoVLUXSEG8EI16_V_MF2_MF2, VLUXSEG8EI16_V }, // 5920
  { PseudoVLUXSEG8EI16_V_MF2_MF2_MASK, VLUXSEG8EI16_V }, // 5921
  { PseudoVLUXSEG8EI16_V_MF2_MF2_TU, VLUXSEG8EI16_V }, // 5922
  { PseudoVLUXSEG8EI16_V_MF2_MF4, VLUXSEG8EI16_V }, // 5923
  { PseudoVLUXSEG8EI16_V_MF2_MF4_MASK, VLUXSEG8EI16_V }, // 5924
  { PseudoVLUXSEG8EI16_V_MF2_MF4_TU, VLUXSEG8EI16_V }, // 5925
  { PseudoVLUXSEG8EI16_V_MF4_M1, VLUXSEG8EI16_V }, // 5926
  { PseudoVLUXSEG8EI16_V_MF4_M1_MASK, VLUXSEG8EI16_V }, // 5927
  { PseudoVLUXSEG8EI16_V_MF4_M1_TU, VLUXSEG8EI16_V }, // 5928
  { PseudoVLUXSEG8EI16_V_MF4_MF2, VLUXSEG8EI16_V }, // 5929
  { PseudoVLUXSEG8EI16_V_MF4_MF2_MASK, VLUXSEG8EI16_V }, // 5930
  { PseudoVLUXSEG8EI16_V_MF4_MF2_TU, VLUXSEG8EI16_V }, // 5931
  { PseudoVLUXSEG8EI16_V_MF4_MF4, VLUXSEG8EI16_V }, // 5932
  { PseudoVLUXSEG8EI16_V_MF4_MF4_MASK, VLUXSEG8EI16_V }, // 5933
  { PseudoVLUXSEG8EI16_V_MF4_MF4_TU, VLUXSEG8EI16_V }, // 5934
  { PseudoVLUXSEG8EI16_V_MF4_MF8, VLUXSEG8EI16_V }, // 5935
  { PseudoVLUXSEG8EI16_V_MF4_MF8_MASK, VLUXSEG8EI16_V }, // 5936
  { PseudoVLUXSEG8EI16_V_MF4_MF8_TU, VLUXSEG8EI16_V }, // 5937
  { PseudoVLUXSEG8EI32_V_M1_M1, VLUXSEG8EI32_V }, // 5938
  { PseudoVLUXSEG8EI32_V_M1_M1_MASK, VLUXSEG8EI32_V }, // 5939
  { PseudoVLUXSEG8EI32_V_M1_M1_TU, VLUXSEG8EI32_V }, // 5940
  { PseudoVLUXSEG8EI32_V_M1_MF2, VLUXSEG8EI32_V }, // 5941
  { PseudoVLUXSEG8EI32_V_M1_MF2_MASK, VLUXSEG8EI32_V }, // 5942
  { PseudoVLUXSEG8EI32_V_M1_MF2_TU, VLUXSEG8EI32_V }, // 5943
  { PseudoVLUXSEG8EI32_V_M1_MF4, VLUXSEG8EI32_V }, // 5944
  { PseudoVLUXSEG8EI32_V_M1_MF4_MASK, VLUXSEG8EI32_V }, // 5945
  { PseudoVLUXSEG8EI32_V_M1_MF4_TU, VLUXSEG8EI32_V }, // 5946
  { PseudoVLUXSEG8EI32_V_M2_M1, VLUXSEG8EI32_V }, // 5947
  { PseudoVLUXSEG8EI32_V_M2_M1_MASK, VLUXSEG8EI32_V }, // 5948
  { PseudoVLUXSEG8EI32_V_M2_M1_TU, VLUXSEG8EI32_V }, // 5949
  { PseudoVLUXSEG8EI32_V_M2_MF2, VLUXSEG8EI32_V }, // 5950
  { PseudoVLUXSEG8EI32_V_M2_MF2_MASK, VLUXSEG8EI32_V }, // 5951
  { PseudoVLUXSEG8EI32_V_M2_MF2_TU, VLUXSEG8EI32_V }, // 5952
  { PseudoVLUXSEG8EI32_V_M4_M1, VLUXSEG8EI32_V }, // 5953
  { PseudoVLUXSEG8EI32_V_M4_M1_MASK, VLUXSEG8EI32_V }, // 5954
  { PseudoVLUXSEG8EI32_V_M4_M1_TU, VLUXSEG8EI32_V }, // 5955
  { PseudoVLUXSEG8EI32_V_MF2_M1, VLUXSEG8EI32_V }, // 5956
  { PseudoVLUXSEG8EI32_V_MF2_M1_MASK, VLUXSEG8EI32_V }, // 5957
  { PseudoVLUXSEG8EI32_V_MF2_M1_TU, VLUXSEG8EI32_V }, // 5958
  { PseudoVLUXSEG8EI32_V_MF2_MF2, VLUXSEG8EI32_V }, // 5959
  { PseudoVLUXSEG8EI32_V_MF2_MF2_MASK, VLUXSEG8EI32_V }, // 5960
  { PseudoVLUXSEG8EI32_V_MF2_MF2_TU, VLUXSEG8EI32_V }, // 5961
  { PseudoVLUXSEG8EI32_V_MF2_MF4, VLUXSEG8EI32_V }, // 5962
  { PseudoVLUXSEG8EI32_V_MF2_MF4_MASK, VLUXSEG8EI32_V }, // 5963
  { PseudoVLUXSEG8EI32_V_MF2_MF4_TU, VLUXSEG8EI32_V }, // 5964
  { PseudoVLUXSEG8EI32_V_MF2_MF8, VLUXSEG8EI32_V }, // 5965
  { PseudoVLUXSEG8EI32_V_MF2_MF8_MASK, VLUXSEG8EI32_V }, // 5966
  { PseudoVLUXSEG8EI32_V_MF2_MF8_TU, VLUXSEG8EI32_V }, // 5967
  { PseudoVLUXSEG8EI64_V_M1_M1, VLUXSEG8EI64_V }, // 5968
  { PseudoVLUXSEG8EI64_V_M1_M1_MASK, VLUXSEG8EI64_V }, // 5969
  { PseudoVLUXSEG8EI64_V_M1_M1_TU, VLUXSEG8EI64_V }, // 5970
  { PseudoVLUXSEG8EI64_V_M1_MF2, VLUXSEG8EI64_V }, // 5971
  { PseudoVLUXSEG8EI64_V_M1_MF2_MASK, VLUXSEG8EI64_V }, // 5972
  { PseudoVLUXSEG8EI64_V_M1_MF2_TU, VLUXSEG8EI64_V }, // 5973
  { PseudoVLUXSEG8EI64_V_M1_MF4, VLUXSEG8EI64_V }, // 5974
  { PseudoVLUXSEG8EI64_V_M1_MF4_MASK, VLUXSEG8EI64_V }, // 5975
  { PseudoVLUXSEG8EI64_V_M1_MF4_TU, VLUXSEG8EI64_V }, // 5976
  { PseudoVLUXSEG8EI64_V_M1_MF8, VLUXSEG8EI64_V }, // 5977
  { PseudoVLUXSEG8EI64_V_M1_MF8_MASK, VLUXSEG8EI64_V }, // 5978
  { PseudoVLUXSEG8EI64_V_M1_MF8_TU, VLUXSEG8EI64_V }, // 5979
  { PseudoVLUXSEG8EI64_V_M2_M1, VLUXSEG8EI64_V }, // 5980
  { PseudoVLUXSEG8EI64_V_M2_M1_MASK, VLUXSEG8EI64_V }, // 5981
  { PseudoVLUXSEG8EI64_V_M2_M1_TU, VLUXSEG8EI64_V }, // 5982
  { PseudoVLUXSEG8EI64_V_M2_MF2, VLUXSEG8EI64_V }, // 5983
  { PseudoVLUXSEG8EI64_V_M2_MF2_MASK, VLUXSEG8EI64_V }, // 5984
  { PseudoVLUXSEG8EI64_V_M2_MF2_TU, VLUXSEG8EI64_V }, // 5985
  { PseudoVLUXSEG8EI64_V_M2_MF4, VLUXSEG8EI64_V }, // 5986
  { PseudoVLUXSEG8EI64_V_M2_MF4_MASK, VLUXSEG8EI64_V }, // 5987
  { PseudoVLUXSEG8EI64_V_M2_MF4_TU, VLUXSEG8EI64_V }, // 5988
  { PseudoVLUXSEG8EI64_V_M4_M1, VLUXSEG8EI64_V }, // 5989
  { PseudoVLUXSEG8EI64_V_M4_M1_MASK, VLUXSEG8EI64_V }, // 5990
  { PseudoVLUXSEG8EI64_V_M4_M1_TU, VLUXSEG8EI64_V }, // 5991
  { PseudoVLUXSEG8EI64_V_M4_MF2, VLUXSEG8EI64_V }, // 5992
  { PseudoVLUXSEG8EI64_V_M4_MF2_MASK, VLUXSEG8EI64_V }, // 5993
  { PseudoVLUXSEG8EI64_V_M4_MF2_TU, VLUXSEG8EI64_V }, // 5994
  { PseudoVLUXSEG8EI64_V_M8_M1, VLUXSEG8EI64_V }, // 5995
  { PseudoVLUXSEG8EI64_V_M8_M1_MASK, VLUXSEG8EI64_V }, // 5996
  { PseudoVLUXSEG8EI64_V_M8_M1_TU, VLUXSEG8EI64_V }, // 5997
  { PseudoVLUXSEG8EI8_V_M1_M1, VLUXSEG8EI8_V }, // 5998
  { PseudoVLUXSEG8EI8_V_M1_M1_MASK, VLUXSEG8EI8_V }, // 5999
  { PseudoVLUXSEG8EI8_V_M1_M1_TU, VLUXSEG8EI8_V }, // 6000
  { PseudoVLUXSEG8EI8_V_MF2_M1, VLUXSEG8EI8_V }, // 6001
  { PseudoVLUXSEG8EI8_V_MF2_M1_MASK, VLUXSEG8EI8_V }, // 6002
  { PseudoVLUXSEG8EI8_V_MF2_M1_TU, VLUXSEG8EI8_V }, // 6003
  { PseudoVLUXSEG8EI8_V_MF2_MF2, VLUXSEG8EI8_V }, // 6004
  { PseudoVLUXSEG8EI8_V_MF2_MF2_MASK, VLUXSEG8EI8_V }, // 6005
  { PseudoVLUXSEG8EI8_V_MF2_MF2_TU, VLUXSEG8EI8_V }, // 6006
  { PseudoVLUXSEG8EI8_V_MF4_M1, VLUXSEG8EI8_V }, // 6007
  { PseudoVLUXSEG8EI8_V_MF4_M1_MASK, VLUXSEG8EI8_V }, // 6008
  { PseudoVLUXSEG8EI8_V_MF4_M1_TU, VLUXSEG8EI8_V }, // 6009
  { PseudoVLUXSEG8EI8_V_MF4_MF2, VLUXSEG8EI8_V }, // 6010
  { PseudoVLUXSEG8EI8_V_MF4_MF2_MASK, VLUXSEG8EI8_V }, // 6011
  { PseudoVLUXSEG8EI8_V_MF4_MF2_TU, VLUXSEG8EI8_V }, // 6012
  { PseudoVLUXSEG8EI8_V_MF4_MF4, VLUXSEG8EI8_V }, // 6013
  { PseudoVLUXSEG8EI8_V_MF4_MF4_MASK, VLUXSEG8EI8_V }, // 6014
  { PseudoVLUXSEG8EI8_V_MF4_MF4_TU, VLUXSEG8EI8_V }, // 6015
  { PseudoVLUXSEG8EI8_V_MF8_M1, VLUXSEG8EI8_V }, // 6016
  { PseudoVLUXSEG8EI8_V_MF8_M1_MASK, VLUXSEG8EI8_V }, // 6017
  { PseudoVLUXSEG8EI8_V_MF8_M1_TU, VLUXSEG8EI8_V }, // 6018
  { PseudoVLUXSEG8EI8_V_MF8_MF2, VLUXSEG8EI8_V }, // 6019
  { PseudoVLUXSEG8EI8_V_MF8_MF2_MASK, VLUXSEG8EI8_V }, // 6020
  { PseudoVLUXSEG8EI8_V_MF8_MF2_TU, VLUXSEG8EI8_V }, // 6021
  { PseudoVLUXSEG8EI8_V_MF8_MF4, VLUXSEG8EI8_V }, // 6022
  { PseudoVLUXSEG8EI8_V_MF8_MF4_MASK, VLUXSEG8EI8_V }, // 6023
  { PseudoVLUXSEG8EI8_V_MF8_MF4_TU, VLUXSEG8EI8_V }, // 6024
  { PseudoVLUXSEG8EI8_V_MF8_MF8, VLUXSEG8EI8_V }, // 6025
  { PseudoVLUXSEG8EI8_V_MF8_MF8_MASK, VLUXSEG8EI8_V }, // 6026
  { PseudoVLUXSEG8EI8_V_MF8_MF8_TU, VLUXSEG8EI8_V }, // 6027
  { PseudoVMACC_VV_M1, VMACC_VV }, // 6028
  { PseudoVMACC_VV_M1_MASK, VMACC_VV }, // 6029
  { PseudoVMACC_VV_M2, VMACC_VV }, // 6030
  { PseudoVMACC_VV_M2_MASK, VMACC_VV }, // 6031
  { PseudoVMACC_VV_M4, VMACC_VV }, // 6032
  { PseudoVMACC_VV_M4_MASK, VMACC_VV }, // 6033
  { PseudoVMACC_VV_M8, VMACC_VV }, // 6034
  { PseudoVMACC_VV_M8_MASK, VMACC_VV }, // 6035
  { PseudoVMACC_VV_MF2, VMACC_VV }, // 6036
  { PseudoVMACC_VV_MF2_MASK, VMACC_VV }, // 6037
  { PseudoVMACC_VV_MF4, VMACC_VV }, // 6038
  { PseudoVMACC_VV_MF4_MASK, VMACC_VV }, // 6039
  { PseudoVMACC_VV_MF8, VMACC_VV }, // 6040
  { PseudoVMACC_VV_MF8_MASK, VMACC_VV }, // 6041
  { PseudoVMACC_VX_M1, VMACC_VX }, // 6042
  { PseudoVMACC_VX_M1_MASK, VMACC_VX }, // 6043
  { PseudoVMACC_VX_M2, VMACC_VX }, // 6044
  { PseudoVMACC_VX_M2_MASK, VMACC_VX }, // 6045
  { PseudoVMACC_VX_M4, VMACC_VX }, // 6046
  { PseudoVMACC_VX_M4_MASK, VMACC_VX }, // 6047
  { PseudoVMACC_VX_M8, VMACC_VX }, // 6048
  { PseudoVMACC_VX_M8_MASK, VMACC_VX }, // 6049
  { PseudoVMACC_VX_MF2, VMACC_VX }, // 6050
  { PseudoVMACC_VX_MF2_MASK, VMACC_VX }, // 6051
  { PseudoVMACC_VX_MF4, VMACC_VX }, // 6052
  { PseudoVMACC_VX_MF4_MASK, VMACC_VX }, // 6053
  { PseudoVMACC_VX_MF8, VMACC_VX }, // 6054
  { PseudoVMACC_VX_MF8_MASK, VMACC_VX }, // 6055
  { PseudoVMADC_VIM_M1, VMADC_VIM }, // 6056
  { PseudoVMADC_VIM_M2, VMADC_VIM }, // 6057
  { PseudoVMADC_VIM_M4, VMADC_VIM }, // 6058
  { PseudoVMADC_VIM_M8, VMADC_VIM }, // 6059
  { PseudoVMADC_VIM_MF2, VMADC_VIM }, // 6060
  { PseudoVMADC_VIM_MF4, VMADC_VIM }, // 6061
  { PseudoVMADC_VIM_MF8, VMADC_VIM }, // 6062
  { PseudoVMADC_VI_M1, VMADC_VI }, // 6063
  { PseudoVMADC_VI_M2, VMADC_VI }, // 6064
  { PseudoVMADC_VI_M4, VMADC_VI }, // 6065
  { PseudoVMADC_VI_M8, VMADC_VI }, // 6066
  { PseudoVMADC_VI_MF2, VMADC_VI }, // 6067
  { PseudoVMADC_VI_MF4, VMADC_VI }, // 6068
  { PseudoVMADC_VI_MF8, VMADC_VI }, // 6069
  { PseudoVMADC_VVM_M1, VMADC_VVM }, // 6070
  { PseudoVMADC_VVM_M2, VMADC_VVM }, // 6071
  { PseudoVMADC_VVM_M4, VMADC_VVM }, // 6072
  { PseudoVMADC_VVM_M8, VMADC_VVM }, // 6073
  { PseudoVMADC_VVM_MF2, VMADC_VVM }, // 6074
  { PseudoVMADC_VVM_MF4, VMADC_VVM }, // 6075
  { PseudoVMADC_VVM_MF8, VMADC_VVM }, // 6076
  { PseudoVMADC_VV_M1, VMADC_VV }, // 6077
  { PseudoVMADC_VV_M2, VMADC_VV }, // 6078
  { PseudoVMADC_VV_M4, VMADC_VV }, // 6079
  { PseudoVMADC_VV_M8, VMADC_VV }, // 6080
  { PseudoVMADC_VV_MF2, VMADC_VV }, // 6081
  { PseudoVMADC_VV_MF4, VMADC_VV }, // 6082
  { PseudoVMADC_VV_MF8, VMADC_VV }, // 6083
  { PseudoVMADC_VXM_M1, VMADC_VXM }, // 6084
  { PseudoVMADC_VXM_M2, VMADC_VXM }, // 6085
  { PseudoVMADC_VXM_M4, VMADC_VXM }, // 6086
  { PseudoVMADC_VXM_M8, VMADC_VXM }, // 6087
  { PseudoVMADC_VXM_MF2, VMADC_VXM }, // 6088
  { PseudoVMADC_VXM_MF4, VMADC_VXM }, // 6089
  { PseudoVMADC_VXM_MF8, VMADC_VXM }, // 6090
  { PseudoVMADC_VX_M1, VMADC_VX }, // 6091
  { PseudoVMADC_VX_M2, VMADC_VX }, // 6092
  { PseudoVMADC_VX_M4, VMADC_VX }, // 6093
  { PseudoVMADC_VX_M8, VMADC_VX }, // 6094
  { PseudoVMADC_VX_MF2, VMADC_VX }, // 6095
  { PseudoVMADC_VX_MF4, VMADC_VX }, // 6096
  { PseudoVMADC_VX_MF8, VMADC_VX }, // 6097
  { PseudoVMADD_VV_M1, VMADD_VV }, // 6098
  { PseudoVMADD_VV_M1_MASK, VMADD_VV }, // 6099
  { PseudoVMADD_VV_M2, VMADD_VV }, // 6100
  { PseudoVMADD_VV_M2_MASK, VMADD_VV }, // 6101
  { PseudoVMADD_VV_M4, VMADD_VV }, // 6102
  { PseudoVMADD_VV_M4_MASK, VMADD_VV }, // 6103
  { PseudoVMADD_VV_M8, VMADD_VV }, // 6104
  { PseudoVMADD_VV_M8_MASK, VMADD_VV }, // 6105
  { PseudoVMADD_VV_MF2, VMADD_VV }, // 6106
  { PseudoVMADD_VV_MF2_MASK, VMADD_VV }, // 6107
  { PseudoVMADD_VV_MF4, VMADD_VV }, // 6108
  { PseudoVMADD_VV_MF4_MASK, VMADD_VV }, // 6109
  { PseudoVMADD_VV_MF8, VMADD_VV }, // 6110
  { PseudoVMADD_VV_MF8_MASK, VMADD_VV }, // 6111
  { PseudoVMADD_VX_M1, VMADD_VX }, // 6112
  { PseudoVMADD_VX_M1_MASK, VMADD_VX }, // 6113
  { PseudoVMADD_VX_M2, VMADD_VX }, // 6114
  { PseudoVMADD_VX_M2_MASK, VMADD_VX }, // 6115
  { PseudoVMADD_VX_M4, VMADD_VX }, // 6116
  { PseudoVMADD_VX_M4_MASK, VMADD_VX }, // 6117
  { PseudoVMADD_VX_M8, VMADD_VX }, // 6118
  { PseudoVMADD_VX_M8_MASK, VMADD_VX }, // 6119
  { PseudoVMADD_VX_MF2, VMADD_VX }, // 6120
  { PseudoVMADD_VX_MF2_MASK, VMADD_VX }, // 6121
  { PseudoVMADD_VX_MF4, VMADD_VX }, // 6122
  { PseudoVMADD_VX_MF4_MASK, VMADD_VX }, // 6123
  { PseudoVMADD_VX_MF8, VMADD_VX }, // 6124
  { PseudoVMADD_VX_MF8_MASK, VMADD_VX }, // 6125
  { PseudoVMANDN_MM_M1, VMANDN_MM }, // 6126
  { PseudoVMANDN_MM_M2, VMANDN_MM }, // 6127
  { PseudoVMANDN_MM_M4, VMANDN_MM }, // 6128
  { PseudoVMANDN_MM_M8, VMANDN_MM }, // 6129
  { PseudoVMANDN_MM_MF2, VMANDN_MM }, // 6130
  { PseudoVMANDN_MM_MF4, VMANDN_MM }, // 6131
  { PseudoVMANDN_MM_MF8, VMANDN_MM }, // 6132
  { PseudoVMAND_MM_M1, VMAND_MM }, // 6133
  { PseudoVMAND_MM_M2, VMAND_MM }, // 6134
  { PseudoVMAND_MM_M4, VMAND_MM }, // 6135
  { PseudoVMAND_MM_M8, VMAND_MM }, // 6136
  { PseudoVMAND_MM_MF2, VMAND_MM }, // 6137
  { PseudoVMAND_MM_MF4, VMAND_MM }, // 6138
  { PseudoVMAND_MM_MF8, VMAND_MM }, // 6139
  { PseudoVMAXU_VV_M1, VMAXU_VV }, // 6140
  { PseudoVMAXU_VV_M1_MASK, VMAXU_VV }, // 6141
  { PseudoVMAXU_VV_M1_TU, VMAXU_VV }, // 6142
  { PseudoVMAXU_VV_M2, VMAXU_VV }, // 6143
  { PseudoVMAXU_VV_M2_MASK, VMAXU_VV }, // 6144
  { PseudoVMAXU_VV_M2_TU, VMAXU_VV }, // 6145
  { PseudoVMAXU_VV_M4, VMAXU_VV }, // 6146
  { PseudoVMAXU_VV_M4_MASK, VMAXU_VV }, // 6147
  { PseudoVMAXU_VV_M4_TU, VMAXU_VV }, // 6148
  { PseudoVMAXU_VV_M8, VMAXU_VV }, // 6149
  { PseudoVMAXU_VV_M8_MASK, VMAXU_VV }, // 6150
  { PseudoVMAXU_VV_M8_TU, VMAXU_VV }, // 6151
  { PseudoVMAXU_VV_MF2, VMAXU_VV }, // 6152
  { PseudoVMAXU_VV_MF2_MASK, VMAXU_VV }, // 6153
  { PseudoVMAXU_VV_MF2_TU, VMAXU_VV }, // 6154
  { PseudoVMAXU_VV_MF4, VMAXU_VV }, // 6155
  { PseudoVMAXU_VV_MF4_MASK, VMAXU_VV }, // 6156
  { PseudoVMAXU_VV_MF4_TU, VMAXU_VV }, // 6157
  { PseudoVMAXU_VV_MF8, VMAXU_VV }, // 6158
  { PseudoVMAXU_VV_MF8_MASK, VMAXU_VV }, // 6159
  { PseudoVMAXU_VV_MF8_TU, VMAXU_VV }, // 6160
  { PseudoVMAXU_VX_M1, VMAXU_VX }, // 6161
  { PseudoVMAXU_VX_M1_MASK, VMAXU_VX }, // 6162
  { PseudoVMAXU_VX_M1_TU, VMAXU_VX }, // 6163
  { PseudoVMAXU_VX_M2, VMAXU_VX }, // 6164
  { PseudoVMAXU_VX_M2_MASK, VMAXU_VX }, // 6165
  { PseudoVMAXU_VX_M2_TU, VMAXU_VX }, // 6166
  { PseudoVMAXU_VX_M4, VMAXU_VX }, // 6167
  { PseudoVMAXU_VX_M4_MASK, VMAXU_VX }, // 6168
  { PseudoVMAXU_VX_M4_TU, VMAXU_VX }, // 6169
  { PseudoVMAXU_VX_M8, VMAXU_VX }, // 6170
  { PseudoVMAXU_VX_M8_MASK, VMAXU_VX }, // 6171
  { PseudoVMAXU_VX_M8_TU, VMAXU_VX }, // 6172
  { PseudoVMAXU_VX_MF2, VMAXU_VX }, // 6173
  { PseudoVMAXU_VX_MF2_MASK, VMAXU_VX }, // 6174
  { PseudoVMAXU_VX_MF2_TU, VMAXU_VX }, // 6175
  { PseudoVMAXU_VX_MF4, VMAXU_VX }, // 6176
  { PseudoVMAXU_VX_MF4_MASK, VMAXU_VX }, // 6177
  { PseudoVMAXU_VX_MF4_TU, VMAXU_VX }, // 6178
  { PseudoVMAXU_VX_MF8, VMAXU_VX }, // 6179
  { PseudoVMAXU_VX_MF8_MASK, VMAXU_VX }, // 6180
  { PseudoVMAXU_VX_MF8_TU, VMAXU_VX }, // 6181
  { PseudoVMAX_VV_M1, VMAX_VV }, // 6182
  { PseudoVMAX_VV_M1_MASK, VMAX_VV }, // 6183
  { PseudoVMAX_VV_M1_TU, VMAX_VV }, // 6184
  { PseudoVMAX_VV_M2, VMAX_VV }, // 6185
  { PseudoVMAX_VV_M2_MASK, VMAX_VV }, // 6186
  { PseudoVMAX_VV_M2_TU, VMAX_VV }, // 6187
  { PseudoVMAX_VV_M4, VMAX_VV }, // 6188
  { PseudoVMAX_VV_M4_MASK, VMAX_VV }, // 6189
  { PseudoVMAX_VV_M4_TU, VMAX_VV }, // 6190
  { PseudoVMAX_VV_M8, VMAX_VV }, // 6191
  { PseudoVMAX_VV_M8_MASK, VMAX_VV }, // 6192
  { PseudoVMAX_VV_M8_TU, VMAX_VV }, // 6193
  { PseudoVMAX_VV_MF2, VMAX_VV }, // 6194
  { PseudoVMAX_VV_MF2_MASK, VMAX_VV }, // 6195
  { PseudoVMAX_VV_MF2_TU, VMAX_VV }, // 6196
  { PseudoVMAX_VV_MF4, VMAX_VV }, // 6197
  { PseudoVMAX_VV_MF4_MASK, VMAX_VV }, // 6198
  { PseudoVMAX_VV_MF4_TU, VMAX_VV }, // 6199
  { PseudoVMAX_VV_MF8, VMAX_VV }, // 6200
  { PseudoVMAX_VV_MF8_MASK, VMAX_VV }, // 6201
  { PseudoVMAX_VV_MF8_TU, VMAX_VV }, // 6202
  { PseudoVMAX_VX_M1, VMAX_VX }, // 6203
  { PseudoVMAX_VX_M1_MASK, VMAX_VX }, // 6204
  { PseudoVMAX_VX_M1_TU, VMAX_VX }, // 6205
  { PseudoVMAX_VX_M2, VMAX_VX }, // 6206
  { PseudoVMAX_VX_M2_MASK, VMAX_VX }, // 6207
  { PseudoVMAX_VX_M2_TU, VMAX_VX }, // 6208
  { PseudoVMAX_VX_M4, VMAX_VX }, // 6209
  { PseudoVMAX_VX_M4_MASK, VMAX_VX }, // 6210
  { PseudoVMAX_VX_M4_TU, VMAX_VX }, // 6211
  { PseudoVMAX_VX_M8, VMAX_VX }, // 6212
  { PseudoVMAX_VX_M8_MASK, VMAX_VX }, // 6213
  { PseudoVMAX_VX_M8_TU, VMAX_VX }, // 6214
  { PseudoVMAX_VX_MF2, VMAX_VX }, // 6215
  { PseudoVMAX_VX_MF2_MASK, VMAX_VX }, // 6216
  { PseudoVMAX_VX_MF2_TU, VMAX_VX }, // 6217
  { PseudoVMAX_VX_MF4, VMAX_VX }, // 6218
  { PseudoVMAX_VX_MF4_MASK, VMAX_VX }, // 6219
  { PseudoVMAX_VX_MF4_TU, VMAX_VX }, // 6220
  { PseudoVMAX_VX_MF8, VMAX_VX }, // 6221
  { PseudoVMAX_VX_MF8_MASK, VMAX_VX }, // 6222
  { PseudoVMAX_VX_MF8_TU, VMAX_VX }, // 6223
  { PseudoVMCLR_M_B1, VMXOR_MM }, // 6224
  { PseudoVMCLR_M_B16, VMXOR_MM }, // 6225
  { PseudoVMCLR_M_B2, VMXOR_MM }, // 6226
  { PseudoVMCLR_M_B32, VMXOR_MM }, // 6227
  { PseudoVMCLR_M_B4, VMXOR_MM }, // 6228
  { PseudoVMCLR_M_B64, VMXOR_MM }, // 6229
  { PseudoVMCLR_M_B8, VMXOR_MM }, // 6230
  { PseudoVMERGE_VIM_M1, VMERGE_VIM }, // 6231
  { PseudoVMERGE_VIM_M1_TU, VMERGE_VIM }, // 6232
  { PseudoVMERGE_VIM_M2, VMERGE_VIM }, // 6233
  { PseudoVMERGE_VIM_M2_TU, VMERGE_VIM }, // 6234
  { PseudoVMERGE_VIM_M4, VMERGE_VIM }, // 6235
  { PseudoVMERGE_VIM_M4_TU, VMERGE_VIM }, // 6236
  { PseudoVMERGE_VIM_M8, VMERGE_VIM }, // 6237
  { PseudoVMERGE_VIM_M8_TU, VMERGE_VIM }, // 6238
  { PseudoVMERGE_VIM_MF2, VMERGE_VIM }, // 6239
  { PseudoVMERGE_VIM_MF2_TU, VMERGE_VIM }, // 6240
  { PseudoVMERGE_VIM_MF4, VMERGE_VIM }, // 6241
  { PseudoVMERGE_VIM_MF4_TU, VMERGE_VIM }, // 6242
  { PseudoVMERGE_VIM_MF8, VMERGE_VIM }, // 6243
  { PseudoVMERGE_VIM_MF8_TU, VMERGE_VIM }, // 6244
  { PseudoVMERGE_VVM_M1, VMERGE_VVM }, // 6245
  { PseudoVMERGE_VVM_M1_TU, VMERGE_VVM }, // 6246
  { PseudoVMERGE_VVM_M2, VMERGE_VVM }, // 6247
  { PseudoVMERGE_VVM_M2_TU, VMERGE_VVM }, // 6248
  { PseudoVMERGE_VVM_M4, VMERGE_VVM }, // 6249
  { PseudoVMERGE_VVM_M4_TU, VMERGE_VVM }, // 6250
  { PseudoVMERGE_VVM_M8, VMERGE_VVM }, // 6251
  { PseudoVMERGE_VVM_M8_TU, VMERGE_VVM }, // 6252
  { PseudoVMERGE_VVM_MF2, VMERGE_VVM }, // 6253
  { PseudoVMERGE_VVM_MF2_TU, VMERGE_VVM }, // 6254
  { PseudoVMERGE_VVM_MF4, VMERGE_VVM }, // 6255
  { PseudoVMERGE_VVM_MF4_TU, VMERGE_VVM }, // 6256
  { PseudoVMERGE_VVM_MF8, VMERGE_VVM }, // 6257
  { PseudoVMERGE_VVM_MF8_TU, VMERGE_VVM }, // 6258
  { PseudoVMERGE_VXM_M1, VMERGE_VXM }, // 6259
  { PseudoVMERGE_VXM_M1_TU, VMERGE_VXM }, // 6260
  { PseudoVMERGE_VXM_M2, VMERGE_VXM }, // 6261
  { PseudoVMERGE_VXM_M2_TU, VMERGE_VXM }, // 6262
  { PseudoVMERGE_VXM_M4, VMERGE_VXM }, // 6263
  { PseudoVMERGE_VXM_M4_TU, VMERGE_VXM }, // 6264
  { PseudoVMERGE_VXM_M8, VMERGE_VXM }, // 6265
  { PseudoVMERGE_VXM_M8_TU, VMERGE_VXM }, // 6266
  { PseudoVMERGE_VXM_MF2, VMERGE_VXM }, // 6267
  { PseudoVMERGE_VXM_MF2_TU, VMERGE_VXM }, // 6268
  { PseudoVMERGE_VXM_MF4, VMERGE_VXM }, // 6269
  { PseudoVMERGE_VXM_MF4_TU, VMERGE_VXM }, // 6270
  { PseudoVMERGE_VXM_MF8, VMERGE_VXM }, // 6271
  { PseudoVMERGE_VXM_MF8_TU, VMERGE_VXM }, // 6272
  { PseudoVMFEQ_VF16_M1, VMFEQ_VF }, // 6273
  { PseudoVMFEQ_VF16_M1_MASK, VMFEQ_VF }, // 6274
  { PseudoVMFEQ_VF16_M2, VMFEQ_VF }, // 6275
  { PseudoVMFEQ_VF16_M2_MASK, VMFEQ_VF }, // 6276
  { PseudoVMFEQ_VF16_M4, VMFEQ_VF }, // 6277
  { PseudoVMFEQ_VF16_M4_MASK, VMFEQ_VF }, // 6278
  { PseudoVMFEQ_VF16_M8, VMFEQ_VF }, // 6279
  { PseudoVMFEQ_VF16_M8_MASK, VMFEQ_VF }, // 6280
  { PseudoVMFEQ_VF16_MF2, VMFEQ_VF }, // 6281
  { PseudoVMFEQ_VF16_MF2_MASK, VMFEQ_VF }, // 6282
  { PseudoVMFEQ_VF16_MF4, VMFEQ_VF }, // 6283
  { PseudoVMFEQ_VF16_MF4_MASK, VMFEQ_VF }, // 6284
  { PseudoVMFEQ_VF32_M1, VMFEQ_VF }, // 6285
  { PseudoVMFEQ_VF32_M1_MASK, VMFEQ_VF }, // 6286
  { PseudoVMFEQ_VF32_M2, VMFEQ_VF }, // 6287
  { PseudoVMFEQ_VF32_M2_MASK, VMFEQ_VF }, // 6288
  { PseudoVMFEQ_VF32_M4, VMFEQ_VF }, // 6289
  { PseudoVMFEQ_VF32_M4_MASK, VMFEQ_VF }, // 6290
  { PseudoVMFEQ_VF32_M8, VMFEQ_VF }, // 6291
  { PseudoVMFEQ_VF32_M8_MASK, VMFEQ_VF }, // 6292
  { PseudoVMFEQ_VF32_MF2, VMFEQ_VF }, // 6293
  { PseudoVMFEQ_VF32_MF2_MASK, VMFEQ_VF }, // 6294
  { PseudoVMFEQ_VF64_M1, VMFEQ_VF }, // 6295
  { PseudoVMFEQ_VF64_M1_MASK, VMFEQ_VF }, // 6296
  { PseudoVMFEQ_VF64_M2, VMFEQ_VF }, // 6297
  { PseudoVMFEQ_VF64_M2_MASK, VMFEQ_VF }, // 6298
  { PseudoVMFEQ_VF64_M4, VMFEQ_VF }, // 6299
  { PseudoVMFEQ_VF64_M4_MASK, VMFEQ_VF }, // 6300
  { PseudoVMFEQ_VF64_M8, VMFEQ_VF }, // 6301
  { PseudoVMFEQ_VF64_M8_MASK, VMFEQ_VF }, // 6302
  { PseudoVMFEQ_VV_M1, VMFEQ_VV }, // 6303
  { PseudoVMFEQ_VV_M1_MASK, VMFEQ_VV }, // 6304
  { PseudoVMFEQ_VV_M2, VMFEQ_VV }, // 6305
  { PseudoVMFEQ_VV_M2_MASK, VMFEQ_VV }, // 6306
  { PseudoVMFEQ_VV_M4, VMFEQ_VV }, // 6307
  { PseudoVMFEQ_VV_M4_MASK, VMFEQ_VV }, // 6308
  { PseudoVMFEQ_VV_M8, VMFEQ_VV }, // 6309
  { PseudoVMFEQ_VV_M8_MASK, VMFEQ_VV }, // 6310
  { PseudoVMFEQ_VV_MF2, VMFEQ_VV }, // 6311
  { PseudoVMFEQ_VV_MF2_MASK, VMFEQ_VV }, // 6312
  { PseudoVMFEQ_VV_MF4, VMFEQ_VV }, // 6313
  { PseudoVMFEQ_VV_MF4_MASK, VMFEQ_VV }, // 6314
  { PseudoVMFGE_VF16_M1, VMFGE_VF }, // 6315
  { PseudoVMFGE_VF16_M1_MASK, VMFGE_VF }, // 6316
  { PseudoVMFGE_VF16_M2, VMFGE_VF }, // 6317
  { PseudoVMFGE_VF16_M2_MASK, VMFGE_VF }, // 6318
  { PseudoVMFGE_VF16_M4, VMFGE_VF }, // 6319
  { PseudoVMFGE_VF16_M4_MASK, VMFGE_VF }, // 6320
  { PseudoVMFGE_VF16_M8, VMFGE_VF }, // 6321
  { PseudoVMFGE_VF16_M8_MASK, VMFGE_VF }, // 6322
  { PseudoVMFGE_VF16_MF2, VMFGE_VF }, // 6323
  { PseudoVMFGE_VF16_MF2_MASK, VMFGE_VF }, // 6324
  { PseudoVMFGE_VF16_MF4, VMFGE_VF }, // 6325
  { PseudoVMFGE_VF16_MF4_MASK, VMFGE_VF }, // 6326
  { PseudoVMFGE_VF32_M1, VMFGE_VF }, // 6327
  { PseudoVMFGE_VF32_M1_MASK, VMFGE_VF }, // 6328
  { PseudoVMFGE_VF32_M2, VMFGE_VF }, // 6329
  { PseudoVMFGE_VF32_M2_MASK, VMFGE_VF }, // 6330
  { PseudoVMFGE_VF32_M4, VMFGE_VF }, // 6331
  { PseudoVMFGE_VF32_M4_MASK, VMFGE_VF }, // 6332
  { PseudoVMFGE_VF32_M8, VMFGE_VF }, // 6333
  { PseudoVMFGE_VF32_M8_MASK, VMFGE_VF }, // 6334
  { PseudoVMFGE_VF32_MF2, VMFGE_VF }, // 6335
  { PseudoVMFGE_VF32_MF2_MASK, VMFGE_VF }, // 6336
  { PseudoVMFGE_VF64_M1, VMFGE_VF }, // 6337
  { PseudoVMFGE_VF64_M1_MASK, VMFGE_VF }, // 6338
  { PseudoVMFGE_VF64_M2, VMFGE_VF }, // 6339
  { PseudoVMFGE_VF64_M2_MASK, VMFGE_VF }, // 6340
  { PseudoVMFGE_VF64_M4, VMFGE_VF }, // 6341
  { PseudoVMFGE_VF64_M4_MASK, VMFGE_VF }, // 6342
  { PseudoVMFGE_VF64_M8, VMFGE_VF }, // 6343
  { PseudoVMFGE_VF64_M8_MASK, VMFGE_VF }, // 6344
  { PseudoVMFGT_VF16_M1, VMFGT_VF }, // 6345
  { PseudoVMFGT_VF16_M1_MASK, VMFGT_VF }, // 6346
  { PseudoVMFGT_VF16_M2, VMFGT_VF }, // 6347
  { PseudoVMFGT_VF16_M2_MASK, VMFGT_VF }, // 6348
  { PseudoVMFGT_VF16_M4, VMFGT_VF }, // 6349
  { PseudoVMFGT_VF16_M4_MASK, VMFGT_VF }, // 6350
  { PseudoVMFGT_VF16_M8, VMFGT_VF }, // 6351
  { PseudoVMFGT_VF16_M8_MASK, VMFGT_VF }, // 6352
  { PseudoVMFGT_VF16_MF2, VMFGT_VF }, // 6353
  { PseudoVMFGT_VF16_MF2_MASK, VMFGT_VF }, // 6354
  { PseudoVMFGT_VF16_MF4, VMFGT_VF }, // 6355
  { PseudoVMFGT_VF16_MF4_MASK, VMFGT_VF }, // 6356
  { PseudoVMFGT_VF32_M1, VMFGT_VF }, // 6357
  { PseudoVMFGT_VF32_M1_MASK, VMFGT_VF }, // 6358
  { PseudoVMFGT_VF32_M2, VMFGT_VF }, // 6359
  { PseudoVMFGT_VF32_M2_MASK, VMFGT_VF }, // 6360
  { PseudoVMFGT_VF32_M4, VMFGT_VF }, // 6361
  { PseudoVMFGT_VF32_M4_MASK, VMFGT_VF }, // 6362
  { PseudoVMFGT_VF32_M8, VMFGT_VF }, // 6363
  { PseudoVMFGT_VF32_M8_MASK, VMFGT_VF }, // 6364
  { PseudoVMFGT_VF32_MF2, VMFGT_VF }, // 6365
  { PseudoVMFGT_VF32_MF2_MASK, VMFGT_VF }, // 6366
  { PseudoVMFGT_VF64_M1, VMFGT_VF }, // 6367
  { PseudoVMFGT_VF64_M1_MASK, VMFGT_VF }, // 6368
  { PseudoVMFGT_VF64_M2, VMFGT_VF }, // 6369
  { PseudoVMFGT_VF64_M2_MASK, VMFGT_VF }, // 6370
  { PseudoVMFGT_VF64_M4, VMFGT_VF }, // 6371
  { PseudoVMFGT_VF64_M4_MASK, VMFGT_VF }, // 6372
  { PseudoVMFGT_VF64_M8, VMFGT_VF }, // 6373
  { PseudoVMFGT_VF64_M8_MASK, VMFGT_VF }, // 6374
  { PseudoVMFLE_VF16_M1, VMFLE_VF }, // 6375
  { PseudoVMFLE_VF16_M1_MASK, VMFLE_VF }, // 6376
  { PseudoVMFLE_VF16_M2, VMFLE_VF }, // 6377
  { PseudoVMFLE_VF16_M2_MASK, VMFLE_VF }, // 6378
  { PseudoVMFLE_VF16_M4, VMFLE_VF }, // 6379
  { PseudoVMFLE_VF16_M4_MASK, VMFLE_VF }, // 6380
  { PseudoVMFLE_VF16_M8, VMFLE_VF }, // 6381
  { PseudoVMFLE_VF16_M8_MASK, VMFLE_VF }, // 6382
  { PseudoVMFLE_VF16_MF2, VMFLE_VF }, // 6383
  { PseudoVMFLE_VF16_MF2_MASK, VMFLE_VF }, // 6384
  { PseudoVMFLE_VF16_MF4, VMFLE_VF }, // 6385
  { PseudoVMFLE_VF16_MF4_MASK, VMFLE_VF }, // 6386
  { PseudoVMFLE_VF32_M1, VMFLE_VF }, // 6387
  { PseudoVMFLE_VF32_M1_MASK, VMFLE_VF }, // 6388
  { PseudoVMFLE_VF32_M2, VMFLE_VF }, // 6389
  { PseudoVMFLE_VF32_M2_MASK, VMFLE_VF }, // 6390
  { PseudoVMFLE_VF32_M4, VMFLE_VF }, // 6391
  { PseudoVMFLE_VF32_M4_MASK, VMFLE_VF }, // 6392
  { PseudoVMFLE_VF32_M8, VMFLE_VF }, // 6393
  { PseudoVMFLE_VF32_M8_MASK, VMFLE_VF }, // 6394
  { PseudoVMFLE_VF32_MF2, VMFLE_VF }, // 6395
  { PseudoVMFLE_VF32_MF2_MASK, VMFLE_VF }, // 6396
  { PseudoVMFLE_VF64_M1, VMFLE_VF }, // 6397
  { PseudoVMFLE_VF64_M1_MASK, VMFLE_VF }, // 6398
  { PseudoVMFLE_VF64_M2, VMFLE_VF }, // 6399
  { PseudoVMFLE_VF64_M2_MASK, VMFLE_VF }, // 6400
  { PseudoVMFLE_VF64_M4, VMFLE_VF }, // 6401
  { PseudoVMFLE_VF64_M4_MASK, VMFLE_VF }, // 6402
  { PseudoVMFLE_VF64_M8, VMFLE_VF }, // 6403
  { PseudoVMFLE_VF64_M8_MASK, VMFLE_VF }, // 6404
  { PseudoVMFLE_VV_M1, VMFLE_VV }, // 6405
  { PseudoVMFLE_VV_M1_MASK, VMFLE_VV }, // 6406
  { PseudoVMFLE_VV_M2, VMFLE_VV }, // 6407
  { PseudoVMFLE_VV_M2_MASK, VMFLE_VV }, // 6408
  { PseudoVMFLE_VV_M4, VMFLE_VV }, // 6409
  { PseudoVMFLE_VV_M4_MASK, VMFLE_VV }, // 6410
  { PseudoVMFLE_VV_M8, VMFLE_VV }, // 6411
  { PseudoVMFLE_VV_M8_MASK, VMFLE_VV }, // 6412
  { PseudoVMFLE_VV_MF2, VMFLE_VV }, // 6413
  { PseudoVMFLE_VV_MF2_MASK, VMFLE_VV }, // 6414
  { PseudoVMFLE_VV_MF4, VMFLE_VV }, // 6415
  { PseudoVMFLE_VV_MF4_MASK, VMFLE_VV }, // 6416
  { PseudoVMFLT_VF16_M1, VMFLT_VF }, // 6417
  { PseudoVMFLT_VF16_M1_MASK, VMFLT_VF }, // 6418
  { PseudoVMFLT_VF16_M2, VMFLT_VF }, // 6419
  { PseudoVMFLT_VF16_M2_MASK, VMFLT_VF }, // 6420
  { PseudoVMFLT_VF16_M4, VMFLT_VF }, // 6421
  { PseudoVMFLT_VF16_M4_MASK, VMFLT_VF }, // 6422
  { PseudoVMFLT_VF16_M8, VMFLT_VF }, // 6423
  { PseudoVMFLT_VF16_M8_MASK, VMFLT_VF }, // 6424
  { PseudoVMFLT_VF16_MF2, VMFLT_VF }, // 6425
  { PseudoVMFLT_VF16_MF2_MASK, VMFLT_VF }, // 6426
  { PseudoVMFLT_VF16_MF4, VMFLT_VF }, // 6427
  { PseudoVMFLT_VF16_MF4_MASK, VMFLT_VF }, // 6428
  { PseudoVMFLT_VF32_M1, VMFLT_VF }, // 6429
  { PseudoVMFLT_VF32_M1_MASK, VMFLT_VF }, // 6430
  { PseudoVMFLT_VF32_M2, VMFLT_VF }, // 6431
  { PseudoVMFLT_VF32_M2_MASK, VMFLT_VF }, // 6432
  { PseudoVMFLT_VF32_M4, VMFLT_VF }, // 6433
  { PseudoVMFLT_VF32_M4_MASK, VMFLT_VF }, // 6434
  { PseudoVMFLT_VF32_M8, VMFLT_VF }, // 6435
  { PseudoVMFLT_VF32_M8_MASK, VMFLT_VF }, // 6436
  { PseudoVMFLT_VF32_MF2, VMFLT_VF }, // 6437
  { PseudoVMFLT_VF32_MF2_MASK, VMFLT_VF }, // 6438
  { PseudoVMFLT_VF64_M1, VMFLT_VF }, // 6439
  { PseudoVMFLT_VF64_M1_MASK, VMFLT_VF }, // 6440
  { PseudoVMFLT_VF64_M2, VMFLT_VF }, // 6441
  { PseudoVMFLT_VF64_M2_MASK, VMFLT_VF }, // 6442
  { PseudoVMFLT_VF64_M4, VMFLT_VF }, // 6443
  { PseudoVMFLT_VF64_M4_MASK, VMFLT_VF }, // 6444
  { PseudoVMFLT_VF64_M8, VMFLT_VF }, // 6445
  { PseudoVMFLT_VF64_M8_MASK, VMFLT_VF }, // 6446
  { PseudoVMFLT_VV_M1, VMFLT_VV }, // 6447
  { PseudoVMFLT_VV_M1_MASK, VMFLT_VV }, // 6448
  { PseudoVMFLT_VV_M2, VMFLT_VV }, // 6449
  { PseudoVMFLT_VV_M2_MASK, VMFLT_VV }, // 6450
  { PseudoVMFLT_VV_M4, VMFLT_VV }, // 6451
  { PseudoVMFLT_VV_M4_MASK, VMFLT_VV }, // 6452
  { PseudoVMFLT_VV_M8, VMFLT_VV }, // 6453
  { PseudoVMFLT_VV_M8_MASK, VMFLT_VV }, // 6454
  { PseudoVMFLT_VV_MF2, VMFLT_VV }, // 6455
  { PseudoVMFLT_VV_MF2_MASK, VMFLT_VV }, // 6456
  { PseudoVMFLT_VV_MF4, VMFLT_VV }, // 6457
  { PseudoVMFLT_VV_MF4_MASK, VMFLT_VV }, // 6458
  { PseudoVMFNE_VF16_M1, VMFNE_VF }, // 6459
  { PseudoVMFNE_VF16_M1_MASK, VMFNE_VF }, // 6460
  { PseudoVMFNE_VF16_M2, VMFNE_VF }, // 6461
  { PseudoVMFNE_VF16_M2_MASK, VMFNE_VF }, // 6462
  { PseudoVMFNE_VF16_M4, VMFNE_VF }, // 6463
  { PseudoVMFNE_VF16_M4_MASK, VMFNE_VF }, // 6464
  { PseudoVMFNE_VF16_M8, VMFNE_VF }, // 6465
  { PseudoVMFNE_VF16_M8_MASK, VMFNE_VF }, // 6466
  { PseudoVMFNE_VF16_MF2, VMFNE_VF }, // 6467
  { PseudoVMFNE_VF16_MF2_MASK, VMFNE_VF }, // 6468
  { PseudoVMFNE_VF16_MF4, VMFNE_VF }, // 6469
  { PseudoVMFNE_VF16_MF4_MASK, VMFNE_VF }, // 6470
  { PseudoVMFNE_VF32_M1, VMFNE_VF }, // 6471
  { PseudoVMFNE_VF32_M1_MASK, VMFNE_VF }, // 6472
  { PseudoVMFNE_VF32_M2, VMFNE_VF }, // 6473
  { PseudoVMFNE_VF32_M2_MASK, VMFNE_VF }, // 6474
  { PseudoVMFNE_VF32_M4, VMFNE_VF }, // 6475
  { PseudoVMFNE_VF32_M4_MASK, VMFNE_VF }, // 6476
  { PseudoVMFNE_VF32_M8, VMFNE_VF }, // 6477
  { PseudoVMFNE_VF32_M8_MASK, VMFNE_VF }, // 6478
  { PseudoVMFNE_VF32_MF2, VMFNE_VF }, // 6479
  { PseudoVMFNE_VF32_MF2_MASK, VMFNE_VF }, // 6480
  { PseudoVMFNE_VF64_M1, VMFNE_VF }, // 6481
  { PseudoVMFNE_VF64_M1_MASK, VMFNE_VF }, // 6482
  { PseudoVMFNE_VF64_M2, VMFNE_VF }, // 6483
  { PseudoVMFNE_VF64_M2_MASK, VMFNE_VF }, // 6484
  { PseudoVMFNE_VF64_M4, VMFNE_VF }, // 6485
  { PseudoVMFNE_VF64_M4_MASK, VMFNE_VF }, // 6486
  { PseudoVMFNE_VF64_M8, VMFNE_VF }, // 6487
  { PseudoVMFNE_VF64_M8_MASK, VMFNE_VF }, // 6488
  { PseudoVMFNE_VV_M1, VMFNE_VV }, // 6489
  { PseudoVMFNE_VV_M1_MASK, VMFNE_VV }, // 6490
  { PseudoVMFNE_VV_M2, VMFNE_VV }, // 6491
  { PseudoVMFNE_VV_M2_MASK, VMFNE_VV }, // 6492
  { PseudoVMFNE_VV_M4, VMFNE_VV }, // 6493
  { PseudoVMFNE_VV_M4_MASK, VMFNE_VV }, // 6494
  { PseudoVMFNE_VV_M8, VMFNE_VV }, // 6495
  { PseudoVMFNE_VV_M8_MASK, VMFNE_VV }, // 6496
  { PseudoVMFNE_VV_MF2, VMFNE_VV }, // 6497
  { PseudoVMFNE_VV_MF2_MASK, VMFNE_VV }, // 6498
  { PseudoVMFNE_VV_MF4, VMFNE_VV }, // 6499
  { PseudoVMFNE_VV_MF4_MASK, VMFNE_VV }, // 6500
  { PseudoVMINU_VV_M1, VMINU_VV }, // 6501
  { PseudoVMINU_VV_M1_MASK, VMINU_VV }, // 6502
  { PseudoVMINU_VV_M1_TU, VMINU_VV }, // 6503
  { PseudoVMINU_VV_M2, VMINU_VV }, // 6504
  { PseudoVMINU_VV_M2_MASK, VMINU_VV }, // 6505
  { PseudoVMINU_VV_M2_TU, VMINU_VV }, // 6506
  { PseudoVMINU_VV_M4, VMINU_VV }, // 6507
  { PseudoVMINU_VV_M4_MASK, VMINU_VV }, // 6508
  { PseudoVMINU_VV_M4_TU, VMINU_VV }, // 6509
  { PseudoVMINU_VV_M8, VMINU_VV }, // 6510
  { PseudoVMINU_VV_M8_MASK, VMINU_VV }, // 6511
  { PseudoVMINU_VV_M8_TU, VMINU_VV }, // 6512
  { PseudoVMINU_VV_MF2, VMINU_VV }, // 6513
  { PseudoVMINU_VV_MF2_MASK, VMINU_VV }, // 6514
  { PseudoVMINU_VV_MF2_TU, VMINU_VV }, // 6515
  { PseudoVMINU_VV_MF4, VMINU_VV }, // 6516
  { PseudoVMINU_VV_MF4_MASK, VMINU_VV }, // 6517
  { PseudoVMINU_VV_MF4_TU, VMINU_VV }, // 6518
  { PseudoVMINU_VV_MF8, VMINU_VV }, // 6519
  { PseudoVMINU_VV_MF8_MASK, VMINU_VV }, // 6520
  { PseudoVMINU_VV_MF8_TU, VMINU_VV }, // 6521
  { PseudoVMINU_VX_M1, VMINU_VX }, // 6522
  { PseudoVMINU_VX_M1_MASK, VMINU_VX }, // 6523
  { PseudoVMINU_VX_M1_TU, VMINU_VX }, // 6524
  { PseudoVMINU_VX_M2, VMINU_VX }, // 6525
  { PseudoVMINU_VX_M2_MASK, VMINU_VX }, // 6526
  { PseudoVMINU_VX_M2_TU, VMINU_VX }, // 6527
  { PseudoVMINU_VX_M4, VMINU_VX }, // 6528
  { PseudoVMINU_VX_M4_MASK, VMINU_VX }, // 6529
  { PseudoVMINU_VX_M4_TU, VMINU_VX }, // 6530
  { PseudoVMINU_VX_M8, VMINU_VX }, // 6531
  { PseudoVMINU_VX_M8_MASK, VMINU_VX }, // 6532
  { PseudoVMINU_VX_M8_TU, VMINU_VX }, // 6533
  { PseudoVMINU_VX_MF2, VMINU_VX }, // 6534
  { PseudoVMINU_VX_MF2_MASK, VMINU_VX }, // 6535
  { PseudoVMINU_VX_MF2_TU, VMINU_VX }, // 6536
  { PseudoVMINU_VX_MF4, VMINU_VX }, // 6537
  { PseudoVMINU_VX_MF4_MASK, VMINU_VX }, // 6538
  { PseudoVMINU_VX_MF4_TU, VMINU_VX }, // 6539
  { PseudoVMINU_VX_MF8, VMINU_VX }, // 6540
  { PseudoVMINU_VX_MF8_MASK, VMINU_VX }, // 6541
  { PseudoVMINU_VX_MF8_TU, VMINU_VX }, // 6542
  { PseudoVMIN_VV_M1, VMIN_VV }, // 6543
  { PseudoVMIN_VV_M1_MASK, VMIN_VV }, // 6544
  { PseudoVMIN_VV_M1_TU, VMIN_VV }, // 6545
  { PseudoVMIN_VV_M2, VMIN_VV }, // 6546
  { PseudoVMIN_VV_M2_MASK, VMIN_VV }, // 6547
  { PseudoVMIN_VV_M2_TU, VMIN_VV }, // 6548
  { PseudoVMIN_VV_M4, VMIN_VV }, // 6549
  { PseudoVMIN_VV_M4_MASK, VMIN_VV }, // 6550
  { PseudoVMIN_VV_M4_TU, VMIN_VV }, // 6551
  { PseudoVMIN_VV_M8, VMIN_VV }, // 6552
  { PseudoVMIN_VV_M8_MASK, VMIN_VV }, // 6553
  { PseudoVMIN_VV_M8_TU, VMIN_VV }, // 6554
  { PseudoVMIN_VV_MF2, VMIN_VV }, // 6555
  { PseudoVMIN_VV_MF2_MASK, VMIN_VV }, // 6556
  { PseudoVMIN_VV_MF2_TU, VMIN_VV }, // 6557
  { PseudoVMIN_VV_MF4, VMIN_VV }, // 6558
  { PseudoVMIN_VV_MF4_MASK, VMIN_VV }, // 6559
  { PseudoVMIN_VV_MF4_TU, VMIN_VV }, // 6560
  { PseudoVMIN_VV_MF8, VMIN_VV }, // 6561
  { PseudoVMIN_VV_MF8_MASK, VMIN_VV }, // 6562
  { PseudoVMIN_VV_MF8_TU, VMIN_VV }, // 6563
  { PseudoVMIN_VX_M1, VMIN_VX }, // 6564
  { PseudoVMIN_VX_M1_MASK, VMIN_VX }, // 6565
  { PseudoVMIN_VX_M1_TU, VMIN_VX }, // 6566
  { PseudoVMIN_VX_M2, VMIN_VX }, // 6567
  { PseudoVMIN_VX_M2_MASK, VMIN_VX }, // 6568
  { PseudoVMIN_VX_M2_TU, VMIN_VX }, // 6569
  { PseudoVMIN_VX_M4, VMIN_VX }, // 6570
  { PseudoVMIN_VX_M4_MASK, VMIN_VX }, // 6571
  { PseudoVMIN_VX_M4_TU, VMIN_VX }, // 6572
  { PseudoVMIN_VX_M8, VMIN_VX }, // 6573
  { PseudoVMIN_VX_M8_MASK, VMIN_VX }, // 6574
  { PseudoVMIN_VX_M8_TU, VMIN_VX }, // 6575
  { PseudoVMIN_VX_MF2, VMIN_VX }, // 6576
  { PseudoVMIN_VX_MF2_MASK, VMIN_VX }, // 6577
  { PseudoVMIN_VX_MF2_TU, VMIN_VX }, // 6578
  { PseudoVMIN_VX_MF4, VMIN_VX }, // 6579
  { PseudoVMIN_VX_MF4_MASK, VMIN_VX }, // 6580
  { PseudoVMIN_VX_MF4_TU, VMIN_VX }, // 6581
  { PseudoVMIN_VX_MF8, VMIN_VX }, // 6582
  { PseudoVMIN_VX_MF8_MASK, VMIN_VX }, // 6583
  { PseudoVMIN_VX_MF8_TU, VMIN_VX }, // 6584
  { PseudoVMNAND_MM_M1, VMNAND_MM }, // 6585
  { PseudoVMNAND_MM_M2, VMNAND_MM }, // 6586
  { PseudoVMNAND_MM_M4, VMNAND_MM }, // 6587
  { PseudoVMNAND_MM_M8, VMNAND_MM }, // 6588
  { PseudoVMNAND_MM_MF2, VMNAND_MM }, // 6589
  { PseudoVMNAND_MM_MF4, VMNAND_MM }, // 6590
  { PseudoVMNAND_MM_MF8, VMNAND_MM }, // 6591
  { PseudoVMNOR_MM_M1, VMNOR_MM }, // 6592
  { PseudoVMNOR_MM_M2, VMNOR_MM }, // 6593
  { PseudoVMNOR_MM_M4, VMNOR_MM }, // 6594
  { PseudoVMNOR_MM_M8, VMNOR_MM }, // 6595
  { PseudoVMNOR_MM_MF2, VMNOR_MM }, // 6596
  { PseudoVMNOR_MM_MF4, VMNOR_MM }, // 6597
  { PseudoVMNOR_MM_MF8, VMNOR_MM }, // 6598
  { PseudoVMORN_MM_M1, VMORN_MM }, // 6599
  { PseudoVMORN_MM_M2, VMORN_MM }, // 6600
  { PseudoVMORN_MM_M4, VMORN_MM }, // 6601
  { PseudoVMORN_MM_M8, VMORN_MM }, // 6602
  { PseudoVMORN_MM_MF2, VMORN_MM }, // 6603
  { PseudoVMORN_MM_MF4, VMORN_MM }, // 6604
  { PseudoVMORN_MM_MF8, VMORN_MM }, // 6605
  { PseudoVMOR_MM_M1, VMOR_MM }, // 6606
  { PseudoVMOR_MM_M2, VMOR_MM }, // 6607
  { PseudoVMOR_MM_M4, VMOR_MM }, // 6608
  { PseudoVMOR_MM_M8, VMOR_MM }, // 6609
  { PseudoVMOR_MM_MF2, VMOR_MM }, // 6610
  { PseudoVMOR_MM_MF4, VMOR_MM }, // 6611
  { PseudoVMOR_MM_MF8, VMOR_MM }, // 6612
  { PseudoVMSBC_VVM_M1, VMSBC_VVM }, // 6613
  { PseudoVMSBC_VVM_M2, VMSBC_VVM }, // 6614
  { PseudoVMSBC_VVM_M4, VMSBC_VVM }, // 6615
  { PseudoVMSBC_VVM_M8, VMSBC_VVM }, // 6616
  { PseudoVMSBC_VVM_MF2, VMSBC_VVM }, // 6617
  { PseudoVMSBC_VVM_MF4, VMSBC_VVM }, // 6618
  { PseudoVMSBC_VVM_MF8, VMSBC_VVM }, // 6619
  { PseudoVMSBC_VV_M1, VMSBC_VV }, // 6620
  { PseudoVMSBC_VV_M2, VMSBC_VV }, // 6621
  { PseudoVMSBC_VV_M4, VMSBC_VV }, // 6622
  { PseudoVMSBC_VV_M8, VMSBC_VV }, // 6623
  { PseudoVMSBC_VV_MF2, VMSBC_VV }, // 6624
  { PseudoVMSBC_VV_MF4, VMSBC_VV }, // 6625
  { PseudoVMSBC_VV_MF8, VMSBC_VV }, // 6626
  { PseudoVMSBC_VXM_M1, VMSBC_VXM }, // 6627
  { PseudoVMSBC_VXM_M2, VMSBC_VXM }, // 6628
  { PseudoVMSBC_VXM_M4, VMSBC_VXM }, // 6629
  { PseudoVMSBC_VXM_M8, VMSBC_VXM }, // 6630
  { PseudoVMSBC_VXM_MF2, VMSBC_VXM }, // 6631
  { PseudoVMSBC_VXM_MF4, VMSBC_VXM }, // 6632
  { PseudoVMSBC_VXM_MF8, VMSBC_VXM }, // 6633
  { PseudoVMSBC_VX_M1, VMSBC_VX }, // 6634
  { PseudoVMSBC_VX_M2, VMSBC_VX }, // 6635
  { PseudoVMSBC_VX_M4, VMSBC_VX }, // 6636
  { PseudoVMSBC_VX_M8, VMSBC_VX }, // 6637
  { PseudoVMSBC_VX_MF2, VMSBC_VX }, // 6638
  { PseudoVMSBC_VX_MF4, VMSBC_VX }, // 6639
  { PseudoVMSBC_VX_MF8, VMSBC_VX }, // 6640
  { PseudoVMSBF_M_B1, VMSBF_M }, // 6641
  { PseudoVMSBF_M_B16, VMSBF_M }, // 6642
  { PseudoVMSBF_M_B16_MASK, VMSBF_M }, // 6643
  { PseudoVMSBF_M_B1_MASK, VMSBF_M }, // 6644
  { PseudoVMSBF_M_B2, VMSBF_M }, // 6645
  { PseudoVMSBF_M_B2_MASK, VMSBF_M }, // 6646
  { PseudoVMSBF_M_B32, VMSBF_M }, // 6647
  { PseudoVMSBF_M_B32_MASK, VMSBF_M }, // 6648
  { PseudoVMSBF_M_B4, VMSBF_M }, // 6649
  { PseudoVMSBF_M_B4_MASK, VMSBF_M }, // 6650
  { PseudoVMSBF_M_B64, VMSBF_M }, // 6651
  { PseudoVMSBF_M_B64_MASK, VMSBF_M }, // 6652
  { PseudoVMSBF_M_B8, VMSBF_M }, // 6653
  { PseudoVMSBF_M_B8_MASK, VMSBF_M }, // 6654
  { PseudoVMSEQ_VI_M1, VMSEQ_VI }, // 6655
  { PseudoVMSEQ_VI_M1_MASK, VMSEQ_VI }, // 6656
  { PseudoVMSEQ_VI_M2, VMSEQ_VI }, // 6657
  { PseudoVMSEQ_VI_M2_MASK, VMSEQ_VI }, // 6658
  { PseudoVMSEQ_VI_M4, VMSEQ_VI }, // 6659
  { PseudoVMSEQ_VI_M4_MASK, VMSEQ_VI }, // 6660
  { PseudoVMSEQ_VI_M8, VMSEQ_VI }, // 6661
  { PseudoVMSEQ_VI_M8_MASK, VMSEQ_VI }, // 6662
  { PseudoVMSEQ_VI_MF2, VMSEQ_VI }, // 6663
  { PseudoVMSEQ_VI_MF2_MASK, VMSEQ_VI }, // 6664
  { PseudoVMSEQ_VI_MF4, VMSEQ_VI }, // 6665
  { PseudoVMSEQ_VI_MF4_MASK, VMSEQ_VI }, // 6666
  { PseudoVMSEQ_VI_MF8, VMSEQ_VI }, // 6667
  { PseudoVMSEQ_VI_MF8_MASK, VMSEQ_VI }, // 6668
  { PseudoVMSEQ_VV_M1, VMSEQ_VV }, // 6669
  { PseudoVMSEQ_VV_M1_MASK, VMSEQ_VV }, // 6670
  { PseudoVMSEQ_VV_M2, VMSEQ_VV }, // 6671
  { PseudoVMSEQ_VV_M2_MASK, VMSEQ_VV }, // 6672
  { PseudoVMSEQ_VV_M4, VMSEQ_VV }, // 6673
  { PseudoVMSEQ_VV_M4_MASK, VMSEQ_VV }, // 6674
  { PseudoVMSEQ_VV_M8, VMSEQ_VV }, // 6675
  { PseudoVMSEQ_VV_M8_MASK, VMSEQ_VV }, // 6676
  { PseudoVMSEQ_VV_MF2, VMSEQ_VV }, // 6677
  { PseudoVMSEQ_VV_MF2_MASK, VMSEQ_VV }, // 6678
  { PseudoVMSEQ_VV_MF4, VMSEQ_VV }, // 6679
  { PseudoVMSEQ_VV_MF4_MASK, VMSEQ_VV }, // 6680
  { PseudoVMSEQ_VV_MF8, VMSEQ_VV }, // 6681
  { PseudoVMSEQ_VV_MF8_MASK, VMSEQ_VV }, // 6682
  { PseudoVMSEQ_VX_M1, VMSEQ_VX }, // 6683
  { PseudoVMSEQ_VX_M1_MASK, VMSEQ_VX }, // 6684
  { PseudoVMSEQ_VX_M2, VMSEQ_VX }, // 6685
  { PseudoVMSEQ_VX_M2_MASK, VMSEQ_VX }, // 6686
  { PseudoVMSEQ_VX_M4, VMSEQ_VX }, // 6687
  { PseudoVMSEQ_VX_M4_MASK, VMSEQ_VX }, // 6688
  { PseudoVMSEQ_VX_M8, VMSEQ_VX }, // 6689
  { PseudoVMSEQ_VX_M8_MASK, VMSEQ_VX }, // 6690
  { PseudoVMSEQ_VX_MF2, VMSEQ_VX }, // 6691
  { PseudoVMSEQ_VX_MF2_MASK, VMSEQ_VX }, // 6692
  { PseudoVMSEQ_VX_MF4, VMSEQ_VX }, // 6693
  { PseudoVMSEQ_VX_MF4_MASK, VMSEQ_VX }, // 6694
  { PseudoVMSEQ_VX_MF8, VMSEQ_VX }, // 6695
  { PseudoVMSEQ_VX_MF8_MASK, VMSEQ_VX }, // 6696
  { PseudoVMSET_M_B1, VMXNOR_MM }, // 6697
  { PseudoVMSET_M_B16, VMXNOR_MM }, // 6698
  { PseudoVMSET_M_B2, VMXNOR_MM }, // 6699
  { PseudoVMSET_M_B32, VMXNOR_MM }, // 6700
  { PseudoVMSET_M_B4, VMXNOR_MM }, // 6701
  { PseudoVMSET_M_B64, VMXNOR_MM }, // 6702
  { PseudoVMSET_M_B8, VMXNOR_MM }, // 6703
  { PseudoVMSGTU_VI_M1, VMSGTU_VI }, // 6704
  { PseudoVMSGTU_VI_M1_MASK, VMSGTU_VI }, // 6705
  { PseudoVMSGTU_VI_M2, VMSGTU_VI }, // 6706
  { PseudoVMSGTU_VI_M2_MASK, VMSGTU_VI }, // 6707
  { PseudoVMSGTU_VI_M4, VMSGTU_VI }, // 6708
  { PseudoVMSGTU_VI_M4_MASK, VMSGTU_VI }, // 6709
  { PseudoVMSGTU_VI_M8, VMSGTU_VI }, // 6710
  { PseudoVMSGTU_VI_M8_MASK, VMSGTU_VI }, // 6711
  { PseudoVMSGTU_VI_MF2, VMSGTU_VI }, // 6712
  { PseudoVMSGTU_VI_MF2_MASK, VMSGTU_VI }, // 6713
  { PseudoVMSGTU_VI_MF4, VMSGTU_VI }, // 6714
  { PseudoVMSGTU_VI_MF4_MASK, VMSGTU_VI }, // 6715
  { PseudoVMSGTU_VI_MF8, VMSGTU_VI }, // 6716
  { PseudoVMSGTU_VI_MF8_MASK, VMSGTU_VI }, // 6717
  { PseudoVMSGTU_VX_M1, VMSGTU_VX }, // 6718
  { PseudoVMSGTU_VX_M1_MASK, VMSGTU_VX }, // 6719
  { PseudoVMSGTU_VX_M2, VMSGTU_VX }, // 6720
  { PseudoVMSGTU_VX_M2_MASK, VMSGTU_VX }, // 6721
  { PseudoVMSGTU_VX_M4, VMSGTU_VX }, // 6722
  { PseudoVMSGTU_VX_M4_MASK, VMSGTU_VX }, // 6723
  { PseudoVMSGTU_VX_M8, VMSGTU_VX }, // 6724
  { PseudoVMSGTU_VX_M8_MASK, VMSGTU_VX }, // 6725
  { PseudoVMSGTU_VX_MF2, VMSGTU_VX }, // 6726
  { PseudoVMSGTU_VX_MF2_MASK, VMSGTU_VX }, // 6727
  { PseudoVMSGTU_VX_MF4, VMSGTU_VX }, // 6728
  { PseudoVMSGTU_VX_MF4_MASK, VMSGTU_VX }, // 6729
  { PseudoVMSGTU_VX_MF8, VMSGTU_VX }, // 6730
  { PseudoVMSGTU_VX_MF8_MASK, VMSGTU_VX }, // 6731
  { PseudoVMSGT_VI_M1, VMSGT_VI }, // 6732
  { PseudoVMSGT_VI_M1_MASK, VMSGT_VI }, // 6733
  { PseudoVMSGT_VI_M2, VMSGT_VI }, // 6734
  { PseudoVMSGT_VI_M2_MASK, VMSGT_VI }, // 6735
  { PseudoVMSGT_VI_M4, VMSGT_VI }, // 6736
  { PseudoVMSGT_VI_M4_MASK, VMSGT_VI }, // 6737
  { PseudoVMSGT_VI_M8, VMSGT_VI }, // 6738
  { PseudoVMSGT_VI_M8_MASK, VMSGT_VI }, // 6739
  { PseudoVMSGT_VI_MF2, VMSGT_VI }, // 6740
  { PseudoVMSGT_VI_MF2_MASK, VMSGT_VI }, // 6741
  { PseudoVMSGT_VI_MF4, VMSGT_VI }, // 6742
  { PseudoVMSGT_VI_MF4_MASK, VMSGT_VI }, // 6743
  { PseudoVMSGT_VI_MF8, VMSGT_VI }, // 6744
  { PseudoVMSGT_VI_MF8_MASK, VMSGT_VI }, // 6745
  { PseudoVMSGT_VX_M1, VMSGT_VX }, // 6746
  { PseudoVMSGT_VX_M1_MASK, VMSGT_VX }, // 6747
  { PseudoVMSGT_VX_M2, VMSGT_VX }, // 6748
  { PseudoVMSGT_VX_M2_MASK, VMSGT_VX }, // 6749
  { PseudoVMSGT_VX_M4, VMSGT_VX }, // 6750
  { PseudoVMSGT_VX_M4_MASK, VMSGT_VX }, // 6751
  { PseudoVMSGT_VX_M8, VMSGT_VX }, // 6752
  { PseudoVMSGT_VX_M8_MASK, VMSGT_VX }, // 6753
  { PseudoVMSGT_VX_MF2, VMSGT_VX }, // 6754
  { PseudoVMSGT_VX_MF2_MASK, VMSGT_VX }, // 6755
  { PseudoVMSGT_VX_MF4, VMSGT_VX }, // 6756
  { PseudoVMSGT_VX_MF4_MASK, VMSGT_VX }, // 6757
  { PseudoVMSGT_VX_MF8, VMSGT_VX }, // 6758
  { PseudoVMSGT_VX_MF8_MASK, VMSGT_VX }, // 6759
  { PseudoVMSIF_M_B1, VMSIF_M }, // 6760
  { PseudoVMSIF_M_B16, VMSIF_M }, // 6761
  { PseudoVMSIF_M_B16_MASK, VMSIF_M }, // 6762
  { PseudoVMSIF_M_B1_MASK, VMSIF_M }, // 6763
  { PseudoVMSIF_M_B2, VMSIF_M }, // 6764
  { PseudoVMSIF_M_B2_MASK, VMSIF_M }, // 6765
  { PseudoVMSIF_M_B32, VMSIF_M }, // 6766
  { PseudoVMSIF_M_B32_MASK, VMSIF_M }, // 6767
  { PseudoVMSIF_M_B4, VMSIF_M }, // 6768
  { PseudoVMSIF_M_B4_MASK, VMSIF_M }, // 6769
  { PseudoVMSIF_M_B64, VMSIF_M }, // 6770
  { PseudoVMSIF_M_B64_MASK, VMSIF_M }, // 6771
  { PseudoVMSIF_M_B8, VMSIF_M }, // 6772
  { PseudoVMSIF_M_B8_MASK, VMSIF_M }, // 6773
  { PseudoVMSLEU_VI_M1, VMSLEU_VI }, // 6774
  { PseudoVMSLEU_VI_M1_MASK, VMSLEU_VI }, // 6775
  { PseudoVMSLEU_VI_M2, VMSLEU_VI }, // 6776
  { PseudoVMSLEU_VI_M2_MASK, VMSLEU_VI }, // 6777
  { PseudoVMSLEU_VI_M4, VMSLEU_VI }, // 6778
  { PseudoVMSLEU_VI_M4_MASK, VMSLEU_VI }, // 6779
  { PseudoVMSLEU_VI_M8, VMSLEU_VI }, // 6780
  { PseudoVMSLEU_VI_M8_MASK, VMSLEU_VI }, // 6781
  { PseudoVMSLEU_VI_MF2, VMSLEU_VI }, // 6782
  { PseudoVMSLEU_VI_MF2_MASK, VMSLEU_VI }, // 6783
  { PseudoVMSLEU_VI_MF4, VMSLEU_VI }, // 6784
  { PseudoVMSLEU_VI_MF4_MASK, VMSLEU_VI }, // 6785
  { PseudoVMSLEU_VI_MF8, VMSLEU_VI }, // 6786
  { PseudoVMSLEU_VI_MF8_MASK, VMSLEU_VI }, // 6787
  { PseudoVMSLEU_VV_M1, VMSLEU_VV }, // 6788
  { PseudoVMSLEU_VV_M1_MASK, VMSLEU_VV }, // 6789
  { PseudoVMSLEU_VV_M2, VMSLEU_VV }, // 6790
  { PseudoVMSLEU_VV_M2_MASK, VMSLEU_VV }, // 6791
  { PseudoVMSLEU_VV_M4, VMSLEU_VV }, // 6792
  { PseudoVMSLEU_VV_M4_MASK, VMSLEU_VV }, // 6793
  { PseudoVMSLEU_VV_M8, VMSLEU_VV }, // 6794
  { PseudoVMSLEU_VV_M8_MASK, VMSLEU_VV }, // 6795
  { PseudoVMSLEU_VV_MF2, VMSLEU_VV }, // 6796
  { PseudoVMSLEU_VV_MF2_MASK, VMSLEU_VV }, // 6797
  { PseudoVMSLEU_VV_MF4, VMSLEU_VV }, // 6798
  { PseudoVMSLEU_VV_MF4_MASK, VMSLEU_VV }, // 6799
  { PseudoVMSLEU_VV_MF8, VMSLEU_VV }, // 6800
  { PseudoVMSLEU_VV_MF8_MASK, VMSLEU_VV }, // 6801
  { PseudoVMSLEU_VX_M1, VMSLEU_VX }, // 6802
  { PseudoVMSLEU_VX_M1_MASK, VMSLEU_VX }, // 6803
  { PseudoVMSLEU_VX_M2, VMSLEU_VX }, // 6804
  { PseudoVMSLEU_VX_M2_MASK, VMSLEU_VX }, // 6805
  { PseudoVMSLEU_VX_M4, VMSLEU_VX }, // 6806
  { PseudoVMSLEU_VX_M4_MASK, VMSLEU_VX }, // 6807
  { PseudoVMSLEU_VX_M8, VMSLEU_VX }, // 6808
  { PseudoVMSLEU_VX_M8_MASK, VMSLEU_VX }, // 6809
  { PseudoVMSLEU_VX_MF2, VMSLEU_VX }, // 6810
  { PseudoVMSLEU_VX_MF2_MASK, VMSLEU_VX }, // 6811
  { PseudoVMSLEU_VX_MF4, VMSLEU_VX }, // 6812
  { PseudoVMSLEU_VX_MF4_MASK, VMSLEU_VX }, // 6813
  { PseudoVMSLEU_VX_MF8, VMSLEU_VX }, // 6814
  { PseudoVMSLEU_VX_MF8_MASK, VMSLEU_VX }, // 6815
  { PseudoVMSLE_VI_M1, VMSLE_VI }, // 6816
  { PseudoVMSLE_VI_M1_MASK, VMSLE_VI }, // 6817
  { PseudoVMSLE_VI_M2, VMSLE_VI }, // 6818
  { PseudoVMSLE_VI_M2_MASK, VMSLE_VI }, // 6819
  { PseudoVMSLE_VI_M4, VMSLE_VI }, // 6820
  { PseudoVMSLE_VI_M4_MASK, VMSLE_VI }, // 6821
  { PseudoVMSLE_VI_M8, VMSLE_VI }, // 6822
  { PseudoVMSLE_VI_M8_MASK, VMSLE_VI }, // 6823
  { PseudoVMSLE_VI_MF2, VMSLE_VI }, // 6824
  { PseudoVMSLE_VI_MF2_MASK, VMSLE_VI }, // 6825
  { PseudoVMSLE_VI_MF4, VMSLE_VI }, // 6826
  { PseudoVMSLE_VI_MF4_MASK, VMSLE_VI }, // 6827
  { PseudoVMSLE_VI_MF8, VMSLE_VI }, // 6828
  { PseudoVMSLE_VI_MF8_MASK, VMSLE_VI }, // 6829
  { PseudoVMSLE_VV_M1, VMSLE_VV }, // 6830
  { PseudoVMSLE_VV_M1_MASK, VMSLE_VV }, // 6831
  { PseudoVMSLE_VV_M2, VMSLE_VV }, // 6832
  { PseudoVMSLE_VV_M2_MASK, VMSLE_VV }, // 6833
  { PseudoVMSLE_VV_M4, VMSLE_VV }, // 6834
  { PseudoVMSLE_VV_M4_MASK, VMSLE_VV }, // 6835
  { PseudoVMSLE_VV_M8, VMSLE_VV }, // 6836
  { PseudoVMSLE_VV_M8_MASK, VMSLE_VV }, // 6837
  { PseudoVMSLE_VV_MF2, VMSLE_VV }, // 6838
  { PseudoVMSLE_VV_MF2_MASK, VMSLE_VV }, // 6839
  { PseudoVMSLE_VV_MF4, VMSLE_VV }, // 6840
  { PseudoVMSLE_VV_MF4_MASK, VMSLE_VV }, // 6841
  { PseudoVMSLE_VV_MF8, VMSLE_VV }, // 6842
  { PseudoVMSLE_VV_MF8_MASK, VMSLE_VV }, // 6843
  { PseudoVMSLE_VX_M1, VMSLE_VX }, // 6844
  { PseudoVMSLE_VX_M1_MASK, VMSLE_VX }, // 6845
  { PseudoVMSLE_VX_M2, VMSLE_VX }, // 6846
  { PseudoVMSLE_VX_M2_MASK, VMSLE_VX }, // 6847
  { PseudoVMSLE_VX_M4, VMSLE_VX }, // 6848
  { PseudoVMSLE_VX_M4_MASK, VMSLE_VX }, // 6849
  { PseudoVMSLE_VX_M8, VMSLE_VX }, // 6850
  { PseudoVMSLE_VX_M8_MASK, VMSLE_VX }, // 6851
  { PseudoVMSLE_VX_MF2, VMSLE_VX }, // 6852
  { PseudoVMSLE_VX_MF2_MASK, VMSLE_VX }, // 6853
  { PseudoVMSLE_VX_MF4, VMSLE_VX }, // 6854
  { PseudoVMSLE_VX_MF4_MASK, VMSLE_VX }, // 6855
  { PseudoVMSLE_VX_MF8, VMSLE_VX }, // 6856
  { PseudoVMSLE_VX_MF8_MASK, VMSLE_VX }, // 6857
  { PseudoVMSLTU_VV_M1, VMSLTU_VV }, // 6858
  { PseudoVMSLTU_VV_M1_MASK, VMSLTU_VV }, // 6859
  { PseudoVMSLTU_VV_M2, VMSLTU_VV }, // 6860
  { PseudoVMSLTU_VV_M2_MASK, VMSLTU_VV }, // 6861
  { PseudoVMSLTU_VV_M4, VMSLTU_VV }, // 6862
  { PseudoVMSLTU_VV_M4_MASK, VMSLTU_VV }, // 6863
  { PseudoVMSLTU_VV_M8, VMSLTU_VV }, // 6864
  { PseudoVMSLTU_VV_M8_MASK, VMSLTU_VV }, // 6865
  { PseudoVMSLTU_VV_MF2, VMSLTU_VV }, // 6866
  { PseudoVMSLTU_VV_MF2_MASK, VMSLTU_VV }, // 6867
  { PseudoVMSLTU_VV_MF4, VMSLTU_VV }, // 6868
  { PseudoVMSLTU_VV_MF4_MASK, VMSLTU_VV }, // 6869
  { PseudoVMSLTU_VV_MF8, VMSLTU_VV }, // 6870
  { PseudoVMSLTU_VV_MF8_MASK, VMSLTU_VV }, // 6871
  { PseudoVMSLTU_VX_M1, VMSLTU_VX }, // 6872
  { PseudoVMSLTU_VX_M1_MASK, VMSLTU_VX }, // 6873
  { PseudoVMSLTU_VX_M2, VMSLTU_VX }, // 6874
  { PseudoVMSLTU_VX_M2_MASK, VMSLTU_VX }, // 6875
  { PseudoVMSLTU_VX_M4, VMSLTU_VX }, // 6876
  { PseudoVMSLTU_VX_M4_MASK, VMSLTU_VX }, // 6877
  { PseudoVMSLTU_VX_M8, VMSLTU_VX }, // 6878
  { PseudoVMSLTU_VX_M8_MASK, VMSLTU_VX }, // 6879
  { PseudoVMSLTU_VX_MF2, VMSLTU_VX }, // 6880
  { PseudoVMSLTU_VX_MF2_MASK, VMSLTU_VX }, // 6881
  { PseudoVMSLTU_VX_MF4, VMSLTU_VX }, // 6882
  { PseudoVMSLTU_VX_MF4_MASK, VMSLTU_VX }, // 6883
  { PseudoVMSLTU_VX_MF8, VMSLTU_VX }, // 6884
  { PseudoVMSLTU_VX_MF8_MASK, VMSLTU_VX }, // 6885
  { PseudoVMSLT_VV_M1, VMSLT_VV }, // 6886
  { PseudoVMSLT_VV_M1_MASK, VMSLT_VV }, // 6887
  { PseudoVMSLT_VV_M2, VMSLT_VV }, // 6888
  { PseudoVMSLT_VV_M2_MASK, VMSLT_VV }, // 6889
  { PseudoVMSLT_VV_M4, VMSLT_VV }, // 6890
  { PseudoVMSLT_VV_M4_MASK, VMSLT_VV }, // 6891
  { PseudoVMSLT_VV_M8, VMSLT_VV }, // 6892
  { PseudoVMSLT_VV_M8_MASK, VMSLT_VV }, // 6893
  { PseudoVMSLT_VV_MF2, VMSLT_VV }, // 6894
  { PseudoVMSLT_VV_MF2_MASK, VMSLT_VV }, // 6895
  { PseudoVMSLT_VV_MF4, VMSLT_VV }, // 6896
  { PseudoVMSLT_VV_MF4_MASK, VMSLT_VV }, // 6897
  { PseudoVMSLT_VV_MF8, VMSLT_VV }, // 6898
  { PseudoVMSLT_VV_MF8_MASK, VMSLT_VV }, // 6899
  { PseudoVMSLT_VX_M1, VMSLT_VX }, // 6900
  { PseudoVMSLT_VX_M1_MASK, VMSLT_VX }, // 6901
  { PseudoVMSLT_VX_M2, VMSLT_VX }, // 6902
  { PseudoVMSLT_VX_M2_MASK, VMSLT_VX }, // 6903
  { PseudoVMSLT_VX_M4, VMSLT_VX }, // 6904
  { PseudoVMSLT_VX_M4_MASK, VMSLT_VX }, // 6905
  { PseudoVMSLT_VX_M8, VMSLT_VX }, // 6906
  { PseudoVMSLT_VX_M8_MASK, VMSLT_VX }, // 6907
  { PseudoVMSLT_VX_MF2, VMSLT_VX }, // 6908
  { PseudoVMSLT_VX_MF2_MASK, VMSLT_VX }, // 6909
  { PseudoVMSLT_VX_MF4, VMSLT_VX }, // 6910
  { PseudoVMSLT_VX_MF4_MASK, VMSLT_VX }, // 6911
  { PseudoVMSLT_VX_MF8, VMSLT_VX }, // 6912
  { PseudoVMSLT_VX_MF8_MASK, VMSLT_VX }, // 6913
  { PseudoVMSNE_VI_M1, VMSNE_VI }, // 6914
  { PseudoVMSNE_VI_M1_MASK, VMSNE_VI }, // 6915
  { PseudoVMSNE_VI_M2, VMSNE_VI }, // 6916
  { PseudoVMSNE_VI_M2_MASK, VMSNE_VI }, // 6917
  { PseudoVMSNE_VI_M4, VMSNE_VI }, // 6918
  { PseudoVMSNE_VI_M4_MASK, VMSNE_VI }, // 6919
  { PseudoVMSNE_VI_M8, VMSNE_VI }, // 6920
  { PseudoVMSNE_VI_M8_MASK, VMSNE_VI }, // 6921
  { PseudoVMSNE_VI_MF2, VMSNE_VI }, // 6922
  { PseudoVMSNE_VI_MF2_MASK, VMSNE_VI }, // 6923
  { PseudoVMSNE_VI_MF4, VMSNE_VI }, // 6924
  { PseudoVMSNE_VI_MF4_MASK, VMSNE_VI }, // 6925
  { PseudoVMSNE_VI_MF8, VMSNE_VI }, // 6926
  { PseudoVMSNE_VI_MF8_MASK, VMSNE_VI }, // 6927
  { PseudoVMSNE_VV_M1, VMSNE_VV }, // 6928
  { PseudoVMSNE_VV_M1_MASK, VMSNE_VV }, // 6929
  { PseudoVMSNE_VV_M2, VMSNE_VV }, // 6930
  { PseudoVMSNE_VV_M2_MASK, VMSNE_VV }, // 6931
  { PseudoVMSNE_VV_M4, VMSNE_VV }, // 6932
  { PseudoVMSNE_VV_M4_MASK, VMSNE_VV }, // 6933
  { PseudoVMSNE_VV_M8, VMSNE_VV }, // 6934
  { PseudoVMSNE_VV_M8_MASK, VMSNE_VV }, // 6935
  { PseudoVMSNE_VV_MF2, VMSNE_VV }, // 6936
  { PseudoVMSNE_VV_MF2_MASK, VMSNE_VV }, // 6937
  { PseudoVMSNE_VV_MF4, VMSNE_VV }, // 6938
  { PseudoVMSNE_VV_MF4_MASK, VMSNE_VV }, // 6939
  { PseudoVMSNE_VV_MF8, VMSNE_VV }, // 6940
  { PseudoVMSNE_VV_MF8_MASK, VMSNE_VV }, // 6941
  { PseudoVMSNE_VX_M1, VMSNE_VX }, // 6942
  { PseudoVMSNE_VX_M1_MASK, VMSNE_VX }, // 6943
  { PseudoVMSNE_VX_M2, VMSNE_VX }, // 6944
  { PseudoVMSNE_VX_M2_MASK, VMSNE_VX }, // 6945
  { PseudoVMSNE_VX_M4, VMSNE_VX }, // 6946
  { PseudoVMSNE_VX_M4_MASK, VMSNE_VX }, // 6947
  { PseudoVMSNE_VX_M8, VMSNE_VX }, // 6948
  { PseudoVMSNE_VX_M8_MASK, VMSNE_VX }, // 6949
  { PseudoVMSNE_VX_MF2, VMSNE_VX }, // 6950
  { PseudoVMSNE_VX_MF2_MASK, VMSNE_VX }, // 6951
  { PseudoVMSNE_VX_MF4, VMSNE_VX }, // 6952
  { PseudoVMSNE_VX_MF4_MASK, VMSNE_VX }, // 6953
  { PseudoVMSNE_VX_MF8, VMSNE_VX }, // 6954
  { PseudoVMSNE_VX_MF8_MASK, VMSNE_VX }, // 6955
  { PseudoVMSOF_M_B1, VMSOF_M }, // 6956
  { PseudoVMSOF_M_B16, VMSOF_M }, // 6957
  { PseudoVMSOF_M_B16_MASK, VMSOF_M }, // 6958
  { PseudoVMSOF_M_B1_MASK, VMSOF_M }, // 6959
  { PseudoVMSOF_M_B2, VMSOF_M }, // 6960
  { PseudoVMSOF_M_B2_MASK, VMSOF_M }, // 6961
  { PseudoVMSOF_M_B32, VMSOF_M }, // 6962
  { PseudoVMSOF_M_B32_MASK, VMSOF_M }, // 6963
  { PseudoVMSOF_M_B4, VMSOF_M }, // 6964
  { PseudoVMSOF_M_B4_MASK, VMSOF_M }, // 6965
  { PseudoVMSOF_M_B64, VMSOF_M }, // 6966
  { PseudoVMSOF_M_B64_MASK, VMSOF_M }, // 6967
  { PseudoVMSOF_M_B8, VMSOF_M }, // 6968
  { PseudoVMSOF_M_B8_MASK, VMSOF_M }, // 6969
  { PseudoVMULHSU_VV_M1, VMULHSU_VV }, // 6970
  { PseudoVMULHSU_VV_M1_MASK, VMULHSU_VV }, // 6971
  { PseudoVMULHSU_VV_M1_TU, VMULHSU_VV }, // 6972
  { PseudoVMULHSU_VV_M2, VMULHSU_VV }, // 6973
  { PseudoVMULHSU_VV_M2_MASK, VMULHSU_VV }, // 6974
  { PseudoVMULHSU_VV_M2_TU, VMULHSU_VV }, // 6975
  { PseudoVMULHSU_VV_M4, VMULHSU_VV }, // 6976
  { PseudoVMULHSU_VV_M4_MASK, VMULHSU_VV }, // 6977
  { PseudoVMULHSU_VV_M4_TU, VMULHSU_VV }, // 6978
  { PseudoVMULHSU_VV_M8, VMULHSU_VV }, // 6979
  { PseudoVMULHSU_VV_M8_MASK, VMULHSU_VV }, // 6980
  { PseudoVMULHSU_VV_M8_TU, VMULHSU_VV }, // 6981
  { PseudoVMULHSU_VV_MF2, VMULHSU_VV }, // 6982
  { PseudoVMULHSU_VV_MF2_MASK, VMULHSU_VV }, // 6983
  { PseudoVMULHSU_VV_MF2_TU, VMULHSU_VV }, // 6984
  { PseudoVMULHSU_VV_MF4, VMULHSU_VV }, // 6985
  { PseudoVMULHSU_VV_MF4_MASK, VMULHSU_VV }, // 6986
  { PseudoVMULHSU_VV_MF4_TU, VMULHSU_VV }, // 6987
  { PseudoVMULHSU_VV_MF8, VMULHSU_VV }, // 6988
  { PseudoVMULHSU_VV_MF8_MASK, VMULHSU_VV }, // 6989
  { PseudoVMULHSU_VV_MF8_TU, VMULHSU_VV }, // 6990
  { PseudoVMULHSU_VX_M1, VMULHSU_VX }, // 6991
  { PseudoVMULHSU_VX_M1_MASK, VMULHSU_VX }, // 6992
  { PseudoVMULHSU_VX_M1_TU, VMULHSU_VX }, // 6993
  { PseudoVMULHSU_VX_M2, VMULHSU_VX }, // 6994
  { PseudoVMULHSU_VX_M2_MASK, VMULHSU_VX }, // 6995
  { PseudoVMULHSU_VX_M2_TU, VMULHSU_VX }, // 6996
  { PseudoVMULHSU_VX_M4, VMULHSU_VX }, // 6997
  { PseudoVMULHSU_VX_M4_MASK, VMULHSU_VX }, // 6998
  { PseudoVMULHSU_VX_M4_TU, VMULHSU_VX }, // 6999
  { PseudoVMULHSU_VX_M8, VMULHSU_VX }, // 7000
  { PseudoVMULHSU_VX_M8_MASK, VMULHSU_VX }, // 7001
  { PseudoVMULHSU_VX_M8_TU, VMULHSU_VX }, // 7002
  { PseudoVMULHSU_VX_MF2, VMULHSU_VX }, // 7003
  { PseudoVMULHSU_VX_MF2_MASK, VMULHSU_VX }, // 7004
  { PseudoVMULHSU_VX_MF2_TU, VMULHSU_VX }, // 7005
  { PseudoVMULHSU_VX_MF4, VMULHSU_VX }, // 7006
  { PseudoVMULHSU_VX_MF4_MASK, VMULHSU_VX }, // 7007
  { PseudoVMULHSU_VX_MF4_TU, VMULHSU_VX }, // 7008
  { PseudoVMULHSU_VX_MF8, VMULHSU_VX }, // 7009
  { PseudoVMULHSU_VX_MF8_MASK, VMULHSU_VX }, // 7010
  { PseudoVMULHSU_VX_MF8_TU, VMULHSU_VX }, // 7011
  { PseudoVMULHU_VV_M1, VMULHU_VV }, // 7012
  { PseudoVMULHU_VV_M1_MASK, VMULHU_VV }, // 7013
  { PseudoVMULHU_VV_M1_TU, VMULHU_VV }, // 7014
  { PseudoVMULHU_VV_M2, VMULHU_VV }, // 7015
  { PseudoVMULHU_VV_M2_MASK, VMULHU_VV }, // 7016
  { PseudoVMULHU_VV_M2_TU, VMULHU_VV }, // 7017
  { PseudoVMULHU_VV_M4, VMULHU_VV }, // 7018
  { PseudoVMULHU_VV_M4_MASK, VMULHU_VV }, // 7019
  { PseudoVMULHU_VV_M4_TU, VMULHU_VV }, // 7020
  { PseudoVMULHU_VV_M8, VMULHU_VV }, // 7021
  { PseudoVMULHU_VV_M8_MASK, VMULHU_VV }, // 7022
  { PseudoVMULHU_VV_M8_TU, VMULHU_VV }, // 7023
  { PseudoVMULHU_VV_MF2, VMULHU_VV }, // 7024
  { PseudoVMULHU_VV_MF2_MASK, VMULHU_VV }, // 7025
  { PseudoVMULHU_VV_MF2_TU, VMULHU_VV }, // 7026
  { PseudoVMULHU_VV_MF4, VMULHU_VV }, // 7027
  { PseudoVMULHU_VV_MF4_MASK, VMULHU_VV }, // 7028
  { PseudoVMULHU_VV_MF4_TU, VMULHU_VV }, // 7029
  { PseudoVMULHU_VV_MF8, VMULHU_VV }, // 7030
  { PseudoVMULHU_VV_MF8_MASK, VMULHU_VV }, // 7031
  { PseudoVMULHU_VV_MF8_TU, VMULHU_VV }, // 7032
  { PseudoVMULHU_VX_M1, VMULHU_VX }, // 7033
  { PseudoVMULHU_VX_M1_MASK, VMULHU_VX }, // 7034
  { PseudoVMULHU_VX_M1_TU, VMULHU_VX }, // 7035
  { PseudoVMULHU_VX_M2, VMULHU_VX }, // 7036
  { PseudoVMULHU_VX_M2_MASK, VMULHU_VX }, // 7037
  { PseudoVMULHU_VX_M2_TU, VMULHU_VX }, // 7038
  { PseudoVMULHU_VX_M4, VMULHU_VX }, // 7039
  { PseudoVMULHU_VX_M4_MASK, VMULHU_VX }, // 7040
  { PseudoVMULHU_VX_M4_TU, VMULHU_VX }, // 7041
  { PseudoVMULHU_VX_M8, VMULHU_VX }, // 7042
  { PseudoVMULHU_VX_M8_MASK, VMULHU_VX }, // 7043
  { PseudoVMULHU_VX_M8_TU, VMULHU_VX }, // 7044
  { PseudoVMULHU_VX_MF2, VMULHU_VX }, // 7045
  { PseudoVMULHU_VX_MF2_MASK, VMULHU_VX }, // 7046
  { PseudoVMULHU_VX_MF2_TU, VMULHU_VX }, // 7047
  { PseudoVMULHU_VX_MF4, VMULHU_VX }, // 7048
  { PseudoVMULHU_VX_MF4_MASK, VMULHU_VX }, // 7049
  { PseudoVMULHU_VX_MF4_TU, VMULHU_VX }, // 7050
  { PseudoVMULHU_VX_MF8, VMULHU_VX }, // 7051
  { PseudoVMULHU_VX_MF8_MASK, VMULHU_VX }, // 7052
  { PseudoVMULHU_VX_MF8_TU, VMULHU_VX }, // 7053
  { PseudoVMULH_VV_M1, VMULH_VV }, // 7054
  { PseudoVMULH_VV_M1_MASK, VMULH_VV }, // 7055
  { PseudoVMULH_VV_M1_TU, VMULH_VV }, // 7056
  { PseudoVMULH_VV_M2, VMULH_VV }, // 7057
  { PseudoVMULH_VV_M2_MASK, VMULH_VV }, // 7058
  { PseudoVMULH_VV_M2_TU, VMULH_VV }, // 7059
  { PseudoVMULH_VV_M4, VMULH_VV }, // 7060
  { PseudoVMULH_VV_M4_MASK, VMULH_VV }, // 7061
  { PseudoVMULH_VV_M4_TU, VMULH_VV }, // 7062
  { PseudoVMULH_VV_M8, VMULH_VV }, // 7063
  { PseudoVMULH_VV_M8_MASK, VMULH_VV }, // 7064
  { PseudoVMULH_VV_M8_TU, VMULH_VV }, // 7065
  { PseudoVMULH_VV_MF2, VMULH_VV }, // 7066
  { PseudoVMULH_VV_MF2_MASK, VMULH_VV }, // 7067
  { PseudoVMULH_VV_MF2_TU, VMULH_VV }, // 7068
  { PseudoVMULH_VV_MF4, VMULH_VV }, // 7069
  { PseudoVMULH_VV_MF4_MASK, VMULH_VV }, // 7070
  { PseudoVMULH_VV_MF4_TU, VMULH_VV }, // 7071
  { PseudoVMULH_VV_MF8, VMULH_VV }, // 7072
  { PseudoVMULH_VV_MF8_MASK, VMULH_VV }, // 7073
  { PseudoVMULH_VV_MF8_TU, VMULH_VV }, // 7074
  { PseudoVMULH_VX_M1, VMULH_VX }, // 7075
  { PseudoVMULH_VX_M1_MASK, VMULH_VX }, // 7076
  { PseudoVMULH_VX_M1_TU, VMULH_VX }, // 7077
  { PseudoVMULH_VX_M2, VMULH_VX }, // 7078
  { PseudoVMULH_VX_M2_MASK, VMULH_VX }, // 7079
  { PseudoVMULH_VX_M2_TU, VMULH_VX }, // 7080
  { PseudoVMULH_VX_M4, VMULH_VX }, // 7081
  { PseudoVMULH_VX_M4_MASK, VMULH_VX }, // 7082
  { PseudoVMULH_VX_M4_TU, VMULH_VX }, // 7083
  { PseudoVMULH_VX_M8, VMULH_VX }, // 7084
  { PseudoVMULH_VX_M8_MASK, VMULH_VX }, // 7085
  { PseudoVMULH_VX_M8_TU, VMULH_VX }, // 7086
  { PseudoVMULH_VX_MF2, VMULH_VX }, // 7087
  { PseudoVMULH_VX_MF2_MASK, VMULH_VX }, // 7088
  { PseudoVMULH_VX_MF2_TU, VMULH_VX }, // 7089
  { PseudoVMULH_VX_MF4, VMULH_VX }, // 7090
  { PseudoVMULH_VX_MF4_MASK, VMULH_VX }, // 7091
  { PseudoVMULH_VX_MF4_TU, VMULH_VX }, // 7092
  { PseudoVMULH_VX_MF8, VMULH_VX }, // 7093
  { PseudoVMULH_VX_MF8_MASK, VMULH_VX }, // 7094
  { PseudoVMULH_VX_MF8_TU, VMULH_VX }, // 7095
  { PseudoVMUL_VV_M1, VMUL_VV }, // 7096
  { PseudoVMUL_VV_M1_MASK, VMUL_VV }, // 7097
  { PseudoVMUL_VV_M1_TU, VMUL_VV }, // 7098
  { PseudoVMUL_VV_M2, VMUL_VV }, // 7099
  { PseudoVMUL_VV_M2_MASK, VMUL_VV }, // 7100
  { PseudoVMUL_VV_M2_TU, VMUL_VV }, // 7101
  { PseudoVMUL_VV_M4, VMUL_VV }, // 7102
  { PseudoVMUL_VV_M4_MASK, VMUL_VV }, // 7103
  { PseudoVMUL_VV_M4_TU, VMUL_VV }, // 7104
  { PseudoVMUL_VV_M8, VMUL_VV }, // 7105
  { PseudoVMUL_VV_M8_MASK, VMUL_VV }, // 7106
  { PseudoVMUL_VV_M8_TU, VMUL_VV }, // 7107
  { PseudoVMUL_VV_MF2, VMUL_VV }, // 7108
  { PseudoVMUL_VV_MF2_MASK, VMUL_VV }, // 7109
  { PseudoVMUL_VV_MF2_TU, VMUL_VV }, // 7110
  { PseudoVMUL_VV_MF4, VMUL_VV }, // 7111
  { PseudoVMUL_VV_MF4_MASK, VMUL_VV }, // 7112
  { PseudoVMUL_VV_MF4_TU, VMUL_VV }, // 7113
  { PseudoVMUL_VV_MF8, VMUL_VV }, // 7114
  { PseudoVMUL_VV_MF8_MASK, VMUL_VV }, // 7115
  { PseudoVMUL_VV_MF8_TU, VMUL_VV }, // 7116
  { PseudoVMUL_VX_M1, VMUL_VX }, // 7117
  { PseudoVMUL_VX_M1_MASK, VMUL_VX }, // 7118
  { PseudoVMUL_VX_M1_TU, VMUL_VX }, // 7119
  { PseudoVMUL_VX_M2, VMUL_VX }, // 7120
  { PseudoVMUL_VX_M2_MASK, VMUL_VX }, // 7121
  { PseudoVMUL_VX_M2_TU, VMUL_VX }, // 7122
  { PseudoVMUL_VX_M4, VMUL_VX }, // 7123
  { PseudoVMUL_VX_M4_MASK, VMUL_VX }, // 7124
  { PseudoVMUL_VX_M4_TU, VMUL_VX }, // 7125
  { PseudoVMUL_VX_M8, VMUL_VX }, // 7126
  { PseudoVMUL_VX_M8_MASK, VMUL_VX }, // 7127
  { PseudoVMUL_VX_M8_TU, VMUL_VX }, // 7128
  { PseudoVMUL_VX_MF2, VMUL_VX }, // 7129
  { PseudoVMUL_VX_MF2_MASK, VMUL_VX }, // 7130
  { PseudoVMUL_VX_MF2_TU, VMUL_VX }, // 7131
  { PseudoVMUL_VX_MF4, VMUL_VX }, // 7132
  { PseudoVMUL_VX_MF4_MASK, VMUL_VX }, // 7133
  { PseudoVMUL_VX_MF4_TU, VMUL_VX }, // 7134
  { PseudoVMUL_VX_MF8, VMUL_VX }, // 7135
  { PseudoVMUL_VX_MF8_MASK, VMUL_VX }, // 7136
  { PseudoVMUL_VX_MF8_TU, VMUL_VX }, // 7137
  { PseudoVMV1R_V, VMV1R_V }, // 7138
  { PseudoVMV2R_V, VMV2R_V }, // 7139
  { PseudoVMV4R_V, VMV4R_V }, // 7140
  { PseudoVMV8R_V, VMV8R_V }, // 7141
  { PseudoVMV_S_X_M1, VMV_S_X }, // 7142
  { PseudoVMV_S_X_M2, VMV_S_X }, // 7143
  { PseudoVMV_S_X_M4, VMV_S_X }, // 7144
  { PseudoVMV_S_X_M8, VMV_S_X }, // 7145
  { PseudoVMV_S_X_MF2, VMV_S_X }, // 7146
  { PseudoVMV_S_X_MF4, VMV_S_X }, // 7147
  { PseudoVMV_S_X_MF8, VMV_S_X }, // 7148
  { PseudoVMV_V_I_M1, VMV_V_I }, // 7149
  { PseudoVMV_V_I_M1_TU, VMV_V_I }, // 7150
  { PseudoVMV_V_I_M2, VMV_V_I }, // 7151
  { PseudoVMV_V_I_M2_TU, VMV_V_I }, // 7152
  { PseudoVMV_V_I_M4, VMV_V_I }, // 7153
  { PseudoVMV_V_I_M4_TU, VMV_V_I }, // 7154
  { PseudoVMV_V_I_M8, VMV_V_I }, // 7155
  { PseudoVMV_V_I_M8_TU, VMV_V_I }, // 7156
  { PseudoVMV_V_I_MF2, VMV_V_I }, // 7157
  { PseudoVMV_V_I_MF2_TU, VMV_V_I }, // 7158
  { PseudoVMV_V_I_MF4, VMV_V_I }, // 7159
  { PseudoVMV_V_I_MF4_TU, VMV_V_I }, // 7160
  { PseudoVMV_V_I_MF8, VMV_V_I }, // 7161
  { PseudoVMV_V_I_MF8_TU, VMV_V_I }, // 7162
  { PseudoVMV_V_V_M1, VMV_V_V }, // 7163
  { PseudoVMV_V_V_M1_TU, VMV_V_V }, // 7164
  { PseudoVMV_V_V_M2, VMV_V_V }, // 7165
  { PseudoVMV_V_V_M2_TU, VMV_V_V }, // 7166
  { PseudoVMV_V_V_M4, VMV_V_V }, // 7167
  { PseudoVMV_V_V_M4_TU, VMV_V_V }, // 7168
  { PseudoVMV_V_V_M8, VMV_V_V }, // 7169
  { PseudoVMV_V_V_M8_TU, VMV_V_V }, // 7170
  { PseudoVMV_V_V_MF2, VMV_V_V }, // 7171
  { PseudoVMV_V_V_MF2_TU, VMV_V_V }, // 7172
  { PseudoVMV_V_V_MF4, VMV_V_V }, // 7173
  { PseudoVMV_V_V_MF4_TU, VMV_V_V }, // 7174
  { PseudoVMV_V_V_MF8, VMV_V_V }, // 7175
  { PseudoVMV_V_V_MF8_TU, VMV_V_V }, // 7176
  { PseudoVMV_V_X_M1, VMV_V_X }, // 7177
  { PseudoVMV_V_X_M1_TU, VMV_V_X }, // 7178
  { PseudoVMV_V_X_M2, VMV_V_X }, // 7179
  { PseudoVMV_V_X_M2_TU, VMV_V_X }, // 7180
  { PseudoVMV_V_X_M4, VMV_V_X }, // 7181
  { PseudoVMV_V_X_M4_TU, VMV_V_X }, // 7182
  { PseudoVMV_V_X_M8, VMV_V_X }, // 7183
  { PseudoVMV_V_X_M8_TU, VMV_V_X }, // 7184
  { PseudoVMV_V_X_MF2, VMV_V_X }, // 7185
  { PseudoVMV_V_X_MF2_TU, VMV_V_X }, // 7186
  { PseudoVMV_V_X_MF4, VMV_V_X }, // 7187
  { PseudoVMV_V_X_MF4_TU, VMV_V_X }, // 7188
  { PseudoVMV_V_X_MF8, VMV_V_X }, // 7189
  { PseudoVMV_V_X_MF8_TU, VMV_V_X }, // 7190
  { PseudoVMV_X_S_M1, VMV_X_S }, // 7191
  { PseudoVMV_X_S_M2, VMV_X_S }, // 7192
  { PseudoVMV_X_S_M4, VMV_X_S }, // 7193
  { PseudoVMV_X_S_M8, VMV_X_S }, // 7194
  { PseudoVMV_X_S_MF2, VMV_X_S }, // 7195
  { PseudoVMV_X_S_MF4, VMV_X_S }, // 7196
  { PseudoVMV_X_S_MF8, VMV_X_S }, // 7197
  { PseudoVMXNOR_MM_M1, VMXNOR_MM }, // 7198
  { PseudoVMXNOR_MM_M2, VMXNOR_MM }, // 7199
  { PseudoVMXNOR_MM_M4, VMXNOR_MM }, // 7200
  { PseudoVMXNOR_MM_M8, VMXNOR_MM }, // 7201
  { PseudoVMXNOR_MM_MF2, VMXNOR_MM }, // 7202
  { PseudoVMXNOR_MM_MF4, VMXNOR_MM }, // 7203
  { PseudoVMXNOR_MM_MF8, VMXNOR_MM }, // 7204
  { PseudoVMXOR_MM_M1, VMXOR_MM }, // 7205
  { PseudoVMXOR_MM_M2, VMXOR_MM }, // 7206
  { PseudoVMXOR_MM_M4, VMXOR_MM }, // 7207
  { PseudoVMXOR_MM_M8, VMXOR_MM }, // 7208
  { PseudoVMXOR_MM_MF2, VMXOR_MM }, // 7209
  { PseudoVMXOR_MM_MF4, VMXOR_MM }, // 7210
  { PseudoVMXOR_MM_MF8, VMXOR_MM }, // 7211
  { PseudoVNCLIPU_WI_M1, VNCLIPU_WI }, // 7212
  { PseudoVNCLIPU_WI_M1_MASK, VNCLIPU_WI }, // 7213
  { PseudoVNCLIPU_WI_M1_TU, VNCLIPU_WI }, // 7214
  { PseudoVNCLIPU_WI_M2, VNCLIPU_WI }, // 7215
  { PseudoVNCLIPU_WI_M2_MASK, VNCLIPU_WI }, // 7216
  { PseudoVNCLIPU_WI_M2_TU, VNCLIPU_WI }, // 7217
  { PseudoVNCLIPU_WI_M4, VNCLIPU_WI }, // 7218
  { PseudoVNCLIPU_WI_M4_MASK, VNCLIPU_WI }, // 7219
  { PseudoVNCLIPU_WI_M4_TU, VNCLIPU_WI }, // 7220
  { PseudoVNCLIPU_WI_MF2, VNCLIPU_WI }, // 7221
  { PseudoVNCLIPU_WI_MF2_MASK, VNCLIPU_WI }, // 7222
  { PseudoVNCLIPU_WI_MF2_TU, VNCLIPU_WI }, // 7223
  { PseudoVNCLIPU_WI_MF4, VNCLIPU_WI }, // 7224
  { PseudoVNCLIPU_WI_MF4_MASK, VNCLIPU_WI }, // 7225
  { PseudoVNCLIPU_WI_MF4_TU, VNCLIPU_WI }, // 7226
  { PseudoVNCLIPU_WI_MF8, VNCLIPU_WI }, // 7227
  { PseudoVNCLIPU_WI_MF8_MASK, VNCLIPU_WI }, // 7228
  { PseudoVNCLIPU_WI_MF8_TU, VNCLIPU_WI }, // 7229
  { PseudoVNCLIPU_WV_M1, VNCLIPU_WV }, // 7230
  { PseudoVNCLIPU_WV_M1_MASK, VNCLIPU_WV }, // 7231
  { PseudoVNCLIPU_WV_M1_TU, VNCLIPU_WV }, // 7232
  { PseudoVNCLIPU_WV_M2, VNCLIPU_WV }, // 7233
  { PseudoVNCLIPU_WV_M2_MASK, VNCLIPU_WV }, // 7234
  { PseudoVNCLIPU_WV_M2_TU, VNCLIPU_WV }, // 7235
  { PseudoVNCLIPU_WV_M4, VNCLIPU_WV }, // 7236
  { PseudoVNCLIPU_WV_M4_MASK, VNCLIPU_WV }, // 7237
  { PseudoVNCLIPU_WV_M4_TU, VNCLIPU_WV }, // 7238
  { PseudoVNCLIPU_WV_MF2, VNCLIPU_WV }, // 7239
  { PseudoVNCLIPU_WV_MF2_MASK, VNCLIPU_WV }, // 7240
  { PseudoVNCLIPU_WV_MF2_TU, VNCLIPU_WV }, // 7241
  { PseudoVNCLIPU_WV_MF4, VNCLIPU_WV }, // 7242
  { PseudoVNCLIPU_WV_MF4_MASK, VNCLIPU_WV }, // 7243
  { PseudoVNCLIPU_WV_MF4_TU, VNCLIPU_WV }, // 7244
  { PseudoVNCLIPU_WV_MF8, VNCLIPU_WV }, // 7245
  { PseudoVNCLIPU_WV_MF8_MASK, VNCLIPU_WV }, // 7246
  { PseudoVNCLIPU_WV_MF8_TU, VNCLIPU_WV }, // 7247
  { PseudoVNCLIPU_WX_M1, VNCLIPU_WX }, // 7248
  { PseudoVNCLIPU_WX_M1_MASK, VNCLIPU_WX }, // 7249
  { PseudoVNCLIPU_WX_M1_TU, VNCLIPU_WX }, // 7250
  { PseudoVNCLIPU_WX_M2, VNCLIPU_WX }, // 7251
  { PseudoVNCLIPU_WX_M2_MASK, VNCLIPU_WX }, // 7252
  { PseudoVNCLIPU_WX_M2_TU, VNCLIPU_WX }, // 7253
  { PseudoVNCLIPU_WX_M4, VNCLIPU_WX }, // 7254
  { PseudoVNCLIPU_WX_M4_MASK, VNCLIPU_WX }, // 7255
  { PseudoVNCLIPU_WX_M4_TU, VNCLIPU_WX }, // 7256
  { PseudoVNCLIPU_WX_MF2, VNCLIPU_WX }, // 7257
  { PseudoVNCLIPU_WX_MF2_MASK, VNCLIPU_WX }, // 7258
  { PseudoVNCLIPU_WX_MF2_TU, VNCLIPU_WX }, // 7259
  { PseudoVNCLIPU_WX_MF4, VNCLIPU_WX }, // 7260
  { PseudoVNCLIPU_WX_MF4_MASK, VNCLIPU_WX }, // 7261
  { PseudoVNCLIPU_WX_MF4_TU, VNCLIPU_WX }, // 7262
  { PseudoVNCLIPU_WX_MF8, VNCLIPU_WX }, // 7263
  { PseudoVNCLIPU_WX_MF8_MASK, VNCLIPU_WX }, // 7264
  { PseudoVNCLIPU_WX_MF8_TU, VNCLIPU_WX }, // 7265
  { PseudoVNCLIP_WI_M1, VNCLIP_WI }, // 7266
  { PseudoVNCLIP_WI_M1_MASK, VNCLIP_WI }, // 7267
  { PseudoVNCLIP_WI_M1_TU, VNCLIP_WI }, // 7268
  { PseudoVNCLIP_WI_M2, VNCLIP_WI }, // 7269
  { PseudoVNCLIP_WI_M2_MASK, VNCLIP_WI }, // 7270
  { PseudoVNCLIP_WI_M2_TU, VNCLIP_WI }, // 7271
  { PseudoVNCLIP_WI_M4, VNCLIP_WI }, // 7272
  { PseudoVNCLIP_WI_M4_MASK, VNCLIP_WI }, // 7273
  { PseudoVNCLIP_WI_M4_TU, VNCLIP_WI }, // 7274
  { PseudoVNCLIP_WI_MF2, VNCLIP_WI }, // 7275
  { PseudoVNCLIP_WI_MF2_MASK, VNCLIP_WI }, // 7276
  { PseudoVNCLIP_WI_MF2_TU, VNCLIP_WI }, // 7277
  { PseudoVNCLIP_WI_MF4, VNCLIP_WI }, // 7278
  { PseudoVNCLIP_WI_MF4_MASK, VNCLIP_WI }, // 7279
  { PseudoVNCLIP_WI_MF4_TU, VNCLIP_WI }, // 7280
  { PseudoVNCLIP_WI_MF8, VNCLIP_WI }, // 7281
  { PseudoVNCLIP_WI_MF8_MASK, VNCLIP_WI }, // 7282
  { PseudoVNCLIP_WI_MF8_TU, VNCLIP_WI }, // 7283
  { PseudoVNCLIP_WV_M1, VNCLIP_WV }, // 7284
  { PseudoVNCLIP_WV_M1_MASK, VNCLIP_WV }, // 7285
  { PseudoVNCLIP_WV_M1_TU, VNCLIP_WV }, // 7286
  { PseudoVNCLIP_WV_M2, VNCLIP_WV }, // 7287
  { PseudoVNCLIP_WV_M2_MASK, VNCLIP_WV }, // 7288
  { PseudoVNCLIP_WV_M2_TU, VNCLIP_WV }, // 7289
  { PseudoVNCLIP_WV_M4, VNCLIP_WV }, // 7290
  { PseudoVNCLIP_WV_M4_MASK, VNCLIP_WV }, // 7291
  { PseudoVNCLIP_WV_M4_TU, VNCLIP_WV }, // 7292
  { PseudoVNCLIP_WV_MF2, VNCLIP_WV }, // 7293
  { PseudoVNCLIP_WV_MF2_MASK, VNCLIP_WV }, // 7294
  { PseudoVNCLIP_WV_MF2_TU, VNCLIP_WV }, // 7295
  { PseudoVNCLIP_WV_MF4, VNCLIP_WV }, // 7296
  { PseudoVNCLIP_WV_MF4_MASK, VNCLIP_WV }, // 7297
  { PseudoVNCLIP_WV_MF4_TU, VNCLIP_WV }, // 7298
  { PseudoVNCLIP_WV_MF8, VNCLIP_WV }, // 7299
  { PseudoVNCLIP_WV_MF8_MASK, VNCLIP_WV }, // 7300
  { PseudoVNCLIP_WV_MF8_TU, VNCLIP_WV }, // 7301
  { PseudoVNCLIP_WX_M1, VNCLIP_WX }, // 7302
  { PseudoVNCLIP_WX_M1_MASK, VNCLIP_WX }, // 7303
  { PseudoVNCLIP_WX_M1_TU, VNCLIP_WX }, // 7304
  { PseudoVNCLIP_WX_M2, VNCLIP_WX }, // 7305
  { PseudoVNCLIP_WX_M2_MASK, VNCLIP_WX }, // 7306
  { PseudoVNCLIP_WX_M2_TU, VNCLIP_WX }, // 7307
  { PseudoVNCLIP_WX_M4, VNCLIP_WX }, // 7308
  { PseudoVNCLIP_WX_M4_MASK, VNCLIP_WX }, // 7309
  { PseudoVNCLIP_WX_M4_TU, VNCLIP_WX }, // 7310
  { PseudoVNCLIP_WX_MF2, VNCLIP_WX }, // 7311
  { PseudoVNCLIP_WX_MF2_MASK, VNCLIP_WX }, // 7312
  { PseudoVNCLIP_WX_MF2_TU, VNCLIP_WX }, // 7313
  { PseudoVNCLIP_WX_MF4, VNCLIP_WX }, // 7314
  { PseudoVNCLIP_WX_MF4_MASK, VNCLIP_WX }, // 7315
  { PseudoVNCLIP_WX_MF4_TU, VNCLIP_WX }, // 7316
  { PseudoVNCLIP_WX_MF8, VNCLIP_WX }, // 7317
  { PseudoVNCLIP_WX_MF8_MASK, VNCLIP_WX }, // 7318
  { PseudoVNCLIP_WX_MF8_TU, VNCLIP_WX }, // 7319
  { PseudoVNMSAC_VV_M1, VNMSAC_VV }, // 7320
  { PseudoVNMSAC_VV_M1_MASK, VNMSAC_VV }, // 7321
  { PseudoVNMSAC_VV_M2, VNMSAC_VV }, // 7322
  { PseudoVNMSAC_VV_M2_MASK, VNMSAC_VV }, // 7323
  { PseudoVNMSAC_VV_M4, VNMSAC_VV }, // 7324
  { PseudoVNMSAC_VV_M4_MASK, VNMSAC_VV }, // 7325
  { PseudoVNMSAC_VV_M8, VNMSAC_VV }, // 7326
  { PseudoVNMSAC_VV_M8_MASK, VNMSAC_VV }, // 7327
  { PseudoVNMSAC_VV_MF2, VNMSAC_VV }, // 7328
  { PseudoVNMSAC_VV_MF2_MASK, VNMSAC_VV }, // 7329
  { PseudoVNMSAC_VV_MF4, VNMSAC_VV }, // 7330
  { PseudoVNMSAC_VV_MF4_MASK, VNMSAC_VV }, // 7331
  { PseudoVNMSAC_VV_MF8, VNMSAC_VV }, // 7332
  { PseudoVNMSAC_VV_MF8_MASK, VNMSAC_VV }, // 7333
  { PseudoVNMSAC_VX_M1, VNMSAC_VX }, // 7334
  { PseudoVNMSAC_VX_M1_MASK, VNMSAC_VX }, // 7335
  { PseudoVNMSAC_VX_M2, VNMSAC_VX }, // 7336
  { PseudoVNMSAC_VX_M2_MASK, VNMSAC_VX }, // 7337
  { PseudoVNMSAC_VX_M4, VNMSAC_VX }, // 7338
  { PseudoVNMSAC_VX_M4_MASK, VNMSAC_VX }, // 7339
  { PseudoVNMSAC_VX_M8, VNMSAC_VX }, // 7340
  { PseudoVNMSAC_VX_M8_MASK, VNMSAC_VX }, // 7341
  { PseudoVNMSAC_VX_MF2, VNMSAC_VX }, // 7342
  { PseudoVNMSAC_VX_MF2_MASK, VNMSAC_VX }, // 7343
  { PseudoVNMSAC_VX_MF4, VNMSAC_VX }, // 7344
  { PseudoVNMSAC_VX_MF4_MASK, VNMSAC_VX }, // 7345
  { PseudoVNMSAC_VX_MF8, VNMSAC_VX }, // 7346
  { PseudoVNMSAC_VX_MF8_MASK, VNMSAC_VX }, // 7347
  { PseudoVNMSUB_VV_M1, VNMSUB_VV }, // 7348
  { PseudoVNMSUB_VV_M1_MASK, VNMSUB_VV }, // 7349
  { PseudoVNMSUB_VV_M2, VNMSUB_VV }, // 7350
  { PseudoVNMSUB_VV_M2_MASK, VNMSUB_VV }, // 7351
  { PseudoVNMSUB_VV_M4, VNMSUB_VV }, // 7352
  { PseudoVNMSUB_VV_M4_MASK, VNMSUB_VV }, // 7353
  { PseudoVNMSUB_VV_M8, VNMSUB_VV }, // 7354
  { PseudoVNMSUB_VV_M8_MASK, VNMSUB_VV }, // 7355
  { PseudoVNMSUB_VV_MF2, VNMSUB_VV }, // 7356
  { PseudoVNMSUB_VV_MF2_MASK, VNMSUB_VV }, // 7357
  { PseudoVNMSUB_VV_MF4, VNMSUB_VV }, // 7358
  { PseudoVNMSUB_VV_MF4_MASK, VNMSUB_VV }, // 7359
  { PseudoVNMSUB_VV_MF8, VNMSUB_VV }, // 7360
  { PseudoVNMSUB_VV_MF8_MASK, VNMSUB_VV }, // 7361
  { PseudoVNMSUB_VX_M1, VNMSUB_VX }, // 7362
  { PseudoVNMSUB_VX_M1_MASK, VNMSUB_VX }, // 7363
  { PseudoVNMSUB_VX_M2, VNMSUB_VX }, // 7364
  { PseudoVNMSUB_VX_M2_MASK, VNMSUB_VX }, // 7365
  { PseudoVNMSUB_VX_M4, VNMSUB_VX }, // 7366
  { PseudoVNMSUB_VX_M4_MASK, VNMSUB_VX }, // 7367
  { PseudoVNMSUB_VX_M8, VNMSUB_VX }, // 7368
  { PseudoVNMSUB_VX_M8_MASK, VNMSUB_VX }, // 7369
  { PseudoVNMSUB_VX_MF2, VNMSUB_VX }, // 7370
  { PseudoVNMSUB_VX_MF2_MASK, VNMSUB_VX }, // 7371
  { PseudoVNMSUB_VX_MF4, VNMSUB_VX }, // 7372
  { PseudoVNMSUB_VX_MF4_MASK, VNMSUB_VX }, // 7373
  { PseudoVNMSUB_VX_MF8, VNMSUB_VX }, // 7374
  { PseudoVNMSUB_VX_MF8_MASK, VNMSUB_VX }, // 7375
  { PseudoVNSRA_WI_M1, VNSRA_WI }, // 7376
  { PseudoVNSRA_WI_M1_MASK, VNSRA_WI }, // 7377
  { PseudoVNSRA_WI_M1_TU, VNSRA_WI }, // 7378
  { PseudoVNSRA_WI_M2, VNSRA_WI }, // 7379
  { PseudoVNSRA_WI_M2_MASK, VNSRA_WI }, // 7380
  { PseudoVNSRA_WI_M2_TU, VNSRA_WI }, // 7381
  { PseudoVNSRA_WI_M4, VNSRA_WI }, // 7382
  { PseudoVNSRA_WI_M4_MASK, VNSRA_WI }, // 7383
  { PseudoVNSRA_WI_M4_TU, VNSRA_WI }, // 7384
  { PseudoVNSRA_WI_MF2, VNSRA_WI }, // 7385
  { PseudoVNSRA_WI_MF2_MASK, VNSRA_WI }, // 7386
  { PseudoVNSRA_WI_MF2_TU, VNSRA_WI }, // 7387
  { PseudoVNSRA_WI_MF4, VNSRA_WI }, // 7388
  { PseudoVNSRA_WI_MF4_MASK, VNSRA_WI }, // 7389
  { PseudoVNSRA_WI_MF4_TU, VNSRA_WI }, // 7390
  { PseudoVNSRA_WI_MF8, VNSRA_WI }, // 7391
  { PseudoVNSRA_WI_MF8_MASK, VNSRA_WI }, // 7392
  { PseudoVNSRA_WI_MF8_TU, VNSRA_WI }, // 7393
  { PseudoVNSRA_WV_M1, VNSRA_WV }, // 7394
  { PseudoVNSRA_WV_M1_MASK, VNSRA_WV }, // 7395
  { PseudoVNSRA_WV_M1_TU, VNSRA_WV }, // 7396
  { PseudoVNSRA_WV_M2, VNSRA_WV }, // 7397
  { PseudoVNSRA_WV_M2_MASK, VNSRA_WV }, // 7398
  { PseudoVNSRA_WV_M2_TU, VNSRA_WV }, // 7399
  { PseudoVNSRA_WV_M4, VNSRA_WV }, // 7400
  { PseudoVNSRA_WV_M4_MASK, VNSRA_WV }, // 7401
  { PseudoVNSRA_WV_M4_TU, VNSRA_WV }, // 7402
  { PseudoVNSRA_WV_MF2, VNSRA_WV }, // 7403
  { PseudoVNSRA_WV_MF2_MASK, VNSRA_WV }, // 7404
  { PseudoVNSRA_WV_MF2_TU, VNSRA_WV }, // 7405
  { PseudoVNSRA_WV_MF4, VNSRA_WV }, // 7406
  { PseudoVNSRA_WV_MF4_MASK, VNSRA_WV }, // 7407
  { PseudoVNSRA_WV_MF4_TU, VNSRA_WV }, // 7408
  { PseudoVNSRA_WV_MF8, VNSRA_WV }, // 7409
  { PseudoVNSRA_WV_MF8_MASK, VNSRA_WV }, // 7410
  { PseudoVNSRA_WV_MF8_TU, VNSRA_WV }, // 7411
  { PseudoVNSRA_WX_M1, VNSRA_WX }, // 7412
  { PseudoVNSRA_WX_M1_MASK, VNSRA_WX }, // 7413
  { PseudoVNSRA_WX_M1_TU, VNSRA_WX }, // 7414
  { PseudoVNSRA_WX_M2, VNSRA_WX }, // 7415
  { PseudoVNSRA_WX_M2_MASK, VNSRA_WX }, // 7416
  { PseudoVNSRA_WX_M2_TU, VNSRA_WX }, // 7417
  { PseudoVNSRA_WX_M4, VNSRA_WX }, // 7418
  { PseudoVNSRA_WX_M4_MASK, VNSRA_WX }, // 7419
  { PseudoVNSRA_WX_M4_TU, VNSRA_WX }, // 7420
  { PseudoVNSRA_WX_MF2, VNSRA_WX }, // 7421
  { PseudoVNSRA_WX_MF2_MASK, VNSRA_WX }, // 7422
  { PseudoVNSRA_WX_MF2_TU, VNSRA_WX }, // 7423
  { PseudoVNSRA_WX_MF4, VNSRA_WX }, // 7424
  { PseudoVNSRA_WX_MF4_MASK, VNSRA_WX }, // 7425
  { PseudoVNSRA_WX_MF4_TU, VNSRA_WX }, // 7426
  { PseudoVNSRA_WX_MF8, VNSRA_WX }, // 7427
  { PseudoVNSRA_WX_MF8_MASK, VNSRA_WX }, // 7428
  { PseudoVNSRA_WX_MF8_TU, VNSRA_WX }, // 7429
  { PseudoVNSRL_WI_M1, VNSRL_WI }, // 7430
  { PseudoVNSRL_WI_M1_MASK, VNSRL_WI }, // 7431
  { PseudoVNSRL_WI_M1_TU, VNSRL_WI }, // 7432
  { PseudoVNSRL_WI_M2, VNSRL_WI }, // 7433
  { PseudoVNSRL_WI_M2_MASK, VNSRL_WI }, // 7434
  { PseudoVNSRL_WI_M2_TU, VNSRL_WI }, // 7435
  { PseudoVNSRL_WI_M4, VNSRL_WI }, // 7436
  { PseudoVNSRL_WI_M4_MASK, VNSRL_WI }, // 7437
  { PseudoVNSRL_WI_M4_TU, VNSRL_WI }, // 7438
  { PseudoVNSRL_WI_MF2, VNSRL_WI }, // 7439
  { PseudoVNSRL_WI_MF2_MASK, VNSRL_WI }, // 7440
  { PseudoVNSRL_WI_MF2_TU, VNSRL_WI }, // 7441
  { PseudoVNSRL_WI_MF4, VNSRL_WI }, // 7442
  { PseudoVNSRL_WI_MF4_MASK, VNSRL_WI }, // 7443
  { PseudoVNSRL_WI_MF4_TU, VNSRL_WI }, // 7444
  { PseudoVNSRL_WI_MF8, VNSRL_WI }, // 7445
  { PseudoVNSRL_WI_MF8_MASK, VNSRL_WI }, // 7446
  { PseudoVNSRL_WI_MF8_TU, VNSRL_WI }, // 7447
  { PseudoVNSRL_WV_M1, VNSRL_WV }, // 7448
  { PseudoVNSRL_WV_M1_MASK, VNSRL_WV }, // 7449
  { PseudoVNSRL_WV_M1_TU, VNSRL_WV }, // 7450
  { PseudoVNSRL_WV_M2, VNSRL_WV }, // 7451
  { PseudoVNSRL_WV_M2_MASK, VNSRL_WV }, // 7452
  { PseudoVNSRL_WV_M2_TU, VNSRL_WV }, // 7453
  { PseudoVNSRL_WV_M4, VNSRL_WV }, // 7454
  { PseudoVNSRL_WV_M4_MASK, VNSRL_WV }, // 7455
  { PseudoVNSRL_WV_M4_TU, VNSRL_WV }, // 7456
  { PseudoVNSRL_WV_MF2, VNSRL_WV }, // 7457
  { PseudoVNSRL_WV_MF2_MASK, VNSRL_WV }, // 7458
  { PseudoVNSRL_WV_MF2_TU, VNSRL_WV }, // 7459
  { PseudoVNSRL_WV_MF4, VNSRL_WV }, // 7460
  { PseudoVNSRL_WV_MF4_MASK, VNSRL_WV }, // 7461
  { PseudoVNSRL_WV_MF4_TU, VNSRL_WV }, // 7462
  { PseudoVNSRL_WV_MF8, VNSRL_WV }, // 7463
  { PseudoVNSRL_WV_MF8_MASK, VNSRL_WV }, // 7464
  { PseudoVNSRL_WV_MF8_TU, VNSRL_WV }, // 7465
  { PseudoVNSRL_WX_M1, VNSRL_WX }, // 7466
  { PseudoVNSRL_WX_M1_MASK, VNSRL_WX }, // 7467
  { PseudoVNSRL_WX_M1_TU, VNSRL_WX }, // 7468
  { PseudoVNSRL_WX_M2, VNSRL_WX }, // 7469
  { PseudoVNSRL_WX_M2_MASK, VNSRL_WX }, // 7470
  { PseudoVNSRL_WX_M2_TU, VNSRL_WX }, // 7471
  { PseudoVNSRL_WX_M4, VNSRL_WX }, // 7472
  { PseudoVNSRL_WX_M4_MASK, VNSRL_WX }, // 7473
  { PseudoVNSRL_WX_M4_TU, VNSRL_WX }, // 7474
  { PseudoVNSRL_WX_MF2, VNSRL_WX }, // 7475
  { PseudoVNSRL_WX_MF2_MASK, VNSRL_WX }, // 7476
  { PseudoVNSRL_WX_MF2_TU, VNSRL_WX }, // 7477
  { PseudoVNSRL_WX_MF4, VNSRL_WX }, // 7478
  { PseudoVNSRL_WX_MF4_MASK, VNSRL_WX }, // 7479
  { PseudoVNSRL_WX_MF4_TU, VNSRL_WX }, // 7480
  { PseudoVNSRL_WX_MF8, VNSRL_WX }, // 7481
  { PseudoVNSRL_WX_MF8_MASK, VNSRL_WX }, // 7482
  { PseudoVNSRL_WX_MF8_TU, VNSRL_WX }, // 7483
  { PseudoVOR_VI_M1, VOR_VI }, // 7484
  { PseudoVOR_VI_M1_MASK, VOR_VI }, // 7485
  { PseudoVOR_VI_M1_TU, VOR_VI }, // 7486
  { PseudoVOR_VI_M2, VOR_VI }, // 7487
  { PseudoVOR_VI_M2_MASK, VOR_VI }, // 7488
  { PseudoVOR_VI_M2_TU, VOR_VI }, // 7489
  { PseudoVOR_VI_M4, VOR_VI }, // 7490
  { PseudoVOR_VI_M4_MASK, VOR_VI }, // 7491
  { PseudoVOR_VI_M4_TU, VOR_VI }, // 7492
  { PseudoVOR_VI_M8, VOR_VI }, // 7493
  { PseudoVOR_VI_M8_MASK, VOR_VI }, // 7494
  { PseudoVOR_VI_M8_TU, VOR_VI }, // 7495
  { PseudoVOR_VI_MF2, VOR_VI }, // 7496
  { PseudoVOR_VI_MF2_MASK, VOR_VI }, // 7497
  { PseudoVOR_VI_MF2_TU, VOR_VI }, // 7498
  { PseudoVOR_VI_MF4, VOR_VI }, // 7499
  { PseudoVOR_VI_MF4_MASK, VOR_VI }, // 7500
  { PseudoVOR_VI_MF4_TU, VOR_VI }, // 7501
  { PseudoVOR_VI_MF8, VOR_VI }, // 7502
  { PseudoVOR_VI_MF8_MASK, VOR_VI }, // 7503
  { PseudoVOR_VI_MF8_TU, VOR_VI }, // 7504
  { PseudoVOR_VV_M1, VOR_VV }, // 7505
  { PseudoVOR_VV_M1_MASK, VOR_VV }, // 7506
  { PseudoVOR_VV_M1_TU, VOR_VV }, // 7507
  { PseudoVOR_VV_M2, VOR_VV }, // 7508
  { PseudoVOR_VV_M2_MASK, VOR_VV }, // 7509
  { PseudoVOR_VV_M2_TU, VOR_VV }, // 7510
  { PseudoVOR_VV_M4, VOR_VV }, // 7511
  { PseudoVOR_VV_M4_MASK, VOR_VV }, // 7512
  { PseudoVOR_VV_M4_TU, VOR_VV }, // 7513
  { PseudoVOR_VV_M8, VOR_VV }, // 7514
  { PseudoVOR_VV_M8_MASK, VOR_VV }, // 7515
  { PseudoVOR_VV_M8_TU, VOR_VV }, // 7516
  { PseudoVOR_VV_MF2, VOR_VV }, // 7517
  { PseudoVOR_VV_MF2_MASK, VOR_VV }, // 7518
  { PseudoVOR_VV_MF2_TU, VOR_VV }, // 7519
  { PseudoVOR_VV_MF4, VOR_VV }, // 7520
  { PseudoVOR_VV_MF4_MASK, VOR_VV }, // 7521
  { PseudoVOR_VV_MF4_TU, VOR_VV }, // 7522
  { PseudoVOR_VV_MF8, VOR_VV }, // 7523
  { PseudoVOR_VV_MF8_MASK, VOR_VV }, // 7524
  { PseudoVOR_VV_MF8_TU, VOR_VV }, // 7525
  { PseudoVOR_VX_M1, VOR_VX }, // 7526
  { PseudoVOR_VX_M1_MASK, VOR_VX }, // 7527
  { PseudoVOR_VX_M1_TU, VOR_VX }, // 7528
  { PseudoVOR_VX_M2, VOR_VX }, // 7529
  { PseudoVOR_VX_M2_MASK, VOR_VX }, // 7530
  { PseudoVOR_VX_M2_TU, VOR_VX }, // 7531
  { PseudoVOR_VX_M4, VOR_VX }, // 7532
  { PseudoVOR_VX_M4_MASK, VOR_VX }, // 7533
  { PseudoVOR_VX_M4_TU, VOR_VX }, // 7534
  { PseudoVOR_VX_M8, VOR_VX }, // 7535
  { PseudoVOR_VX_M8_MASK, VOR_VX }, // 7536
  { PseudoVOR_VX_M8_TU, VOR_VX }, // 7537
  { PseudoVOR_VX_MF2, VOR_VX }, // 7538
  { PseudoVOR_VX_MF2_MASK, VOR_VX }, // 7539
  { PseudoVOR_VX_MF2_TU, VOR_VX }, // 7540
  { PseudoVOR_VX_MF4, VOR_VX }, // 7541
  { PseudoVOR_VX_MF4_MASK, VOR_VX }, // 7542
  { PseudoVOR_VX_MF4_TU, VOR_VX }, // 7543
  { PseudoVOR_VX_MF8, VOR_VX }, // 7544
  { PseudoVOR_VX_MF8_MASK, VOR_VX }, // 7545
  { PseudoVOR_VX_MF8_TU, VOR_VX }, // 7546
  { PseudoVREDAND_VS_M1, VREDAND_VS }, // 7547
  { PseudoVREDAND_VS_M1_MASK, VREDAND_VS }, // 7548
  { PseudoVREDAND_VS_M2, VREDAND_VS }, // 7549
  { PseudoVREDAND_VS_M2_MASK, VREDAND_VS }, // 7550
  { PseudoVREDAND_VS_M4, VREDAND_VS }, // 7551
  { PseudoVREDAND_VS_M4_MASK, VREDAND_VS }, // 7552
  { PseudoVREDAND_VS_M8, VREDAND_VS }, // 7553
  { PseudoVREDAND_VS_M8_MASK, VREDAND_VS }, // 7554
  { PseudoVREDAND_VS_MF2, VREDAND_VS }, // 7555
  { PseudoVREDAND_VS_MF2_MASK, VREDAND_VS }, // 7556
  { PseudoVREDAND_VS_MF4, VREDAND_VS }, // 7557
  { PseudoVREDAND_VS_MF4_MASK, VREDAND_VS }, // 7558
  { PseudoVREDAND_VS_MF8, VREDAND_VS }, // 7559
  { PseudoVREDAND_VS_MF8_MASK, VREDAND_VS }, // 7560
  { PseudoVREDMAXU_VS_M1, VREDMAXU_VS }, // 7561
  { PseudoVREDMAXU_VS_M1_MASK, VREDMAXU_VS }, // 7562
  { PseudoVREDMAXU_VS_M2, VREDMAXU_VS }, // 7563
  { PseudoVREDMAXU_VS_M2_MASK, VREDMAXU_VS }, // 7564
  { PseudoVREDMAXU_VS_M4, VREDMAXU_VS }, // 7565
  { PseudoVREDMAXU_VS_M4_MASK, VREDMAXU_VS }, // 7566
  { PseudoVREDMAXU_VS_M8, VREDMAXU_VS }, // 7567
  { PseudoVREDMAXU_VS_M8_MASK, VREDMAXU_VS }, // 7568
  { PseudoVREDMAXU_VS_MF2, VREDMAXU_VS }, // 7569
  { PseudoVREDMAXU_VS_MF2_MASK, VREDMAXU_VS }, // 7570
  { PseudoVREDMAXU_VS_MF4, VREDMAXU_VS }, // 7571
  { PseudoVREDMAXU_VS_MF4_MASK, VREDMAXU_VS }, // 7572
  { PseudoVREDMAXU_VS_MF8, VREDMAXU_VS }, // 7573
  { PseudoVREDMAXU_VS_MF8_MASK, VREDMAXU_VS }, // 7574
  { PseudoVREDMAX_VS_M1, VREDMAX_VS }, // 7575
  { PseudoVREDMAX_VS_M1_MASK, VREDMAX_VS }, // 7576
  { PseudoVREDMAX_VS_M2, VREDMAX_VS }, // 7577
  { PseudoVREDMAX_VS_M2_MASK, VREDMAX_VS }, // 7578
  { PseudoVREDMAX_VS_M4, VREDMAX_VS }, // 7579
  { PseudoVREDMAX_VS_M4_MASK, VREDMAX_VS }, // 7580
  { PseudoVREDMAX_VS_M8, VREDMAX_VS }, // 7581
  { PseudoVREDMAX_VS_M8_MASK, VREDMAX_VS }, // 7582
  { PseudoVREDMAX_VS_MF2, VREDMAX_VS }, // 7583
  { PseudoVREDMAX_VS_MF2_MASK, VREDMAX_VS }, // 7584
  { PseudoVREDMAX_VS_MF4, VREDMAX_VS }, // 7585
  { PseudoVREDMAX_VS_MF4_MASK, VREDMAX_VS }, // 7586
  { PseudoVREDMAX_VS_MF8, VREDMAX_VS }, // 7587
  { PseudoVREDMAX_VS_MF8_MASK, VREDMAX_VS }, // 7588
  { PseudoVREDMINU_VS_M1, VREDMINU_VS }, // 7589
  { PseudoVREDMINU_VS_M1_MASK, VREDMINU_VS }, // 7590
  { PseudoVREDMINU_VS_M2, VREDMINU_VS }, // 7591
  { PseudoVREDMINU_VS_M2_MASK, VREDMINU_VS }, // 7592
  { PseudoVREDMINU_VS_M4, VREDMINU_VS }, // 7593
  { PseudoVREDMINU_VS_M4_MASK, VREDMINU_VS }, // 7594
  { PseudoVREDMINU_VS_M8, VREDMINU_VS }, // 7595
  { PseudoVREDMINU_VS_M8_MASK, VREDMINU_VS }, // 7596
  { PseudoVREDMINU_VS_MF2, VREDMINU_VS }, // 7597
  { PseudoVREDMINU_VS_MF2_MASK, VREDMINU_VS }, // 7598
  { PseudoVREDMINU_VS_MF4, VREDMINU_VS }, // 7599
  { PseudoVREDMINU_VS_MF4_MASK, VREDMINU_VS }, // 7600
  { PseudoVREDMINU_VS_MF8, VREDMINU_VS }, // 7601
  { PseudoVREDMINU_VS_MF8_MASK, VREDMINU_VS }, // 7602
  { PseudoVREDMIN_VS_M1, VREDMIN_VS }, // 7603
  { PseudoVREDMIN_VS_M1_MASK, VREDMIN_VS }, // 7604
  { PseudoVREDMIN_VS_M2, VREDMIN_VS }, // 7605
  { PseudoVREDMIN_VS_M2_MASK, VREDMIN_VS }, // 7606
  { PseudoVREDMIN_VS_M4, VREDMIN_VS }, // 7607
  { PseudoVREDMIN_VS_M4_MASK, VREDMIN_VS }, // 7608
  { PseudoVREDMIN_VS_M8, VREDMIN_VS }, // 7609
  { PseudoVREDMIN_VS_M8_MASK, VREDMIN_VS }, // 7610
  { PseudoVREDMIN_VS_MF2, VREDMIN_VS }, // 7611
  { PseudoVREDMIN_VS_MF2_MASK, VREDMIN_VS }, // 7612
  { PseudoVREDMIN_VS_MF4, VREDMIN_VS }, // 7613
  { PseudoVREDMIN_VS_MF4_MASK, VREDMIN_VS }, // 7614
  { PseudoVREDMIN_VS_MF8, VREDMIN_VS }, // 7615
  { PseudoVREDMIN_VS_MF8_MASK, VREDMIN_VS }, // 7616
  { PseudoVREDOR_VS_M1, VREDOR_VS }, // 7617
  { PseudoVREDOR_VS_M1_MASK, VREDOR_VS }, // 7618
  { PseudoVREDOR_VS_M2, VREDOR_VS }, // 7619
  { PseudoVREDOR_VS_M2_MASK, VREDOR_VS }, // 7620
  { PseudoVREDOR_VS_M4, VREDOR_VS }, // 7621
  { PseudoVREDOR_VS_M4_MASK, VREDOR_VS }, // 7622
  { PseudoVREDOR_VS_M8, VREDOR_VS }, // 7623
  { PseudoVREDOR_VS_M8_MASK, VREDOR_VS }, // 7624
  { PseudoVREDOR_VS_MF2, VREDOR_VS }, // 7625
  { PseudoVREDOR_VS_MF2_MASK, VREDOR_VS }, // 7626
  { PseudoVREDOR_VS_MF4, VREDOR_VS }, // 7627
  { PseudoVREDOR_VS_MF4_MASK, VREDOR_VS }, // 7628
  { PseudoVREDOR_VS_MF8, VREDOR_VS }, // 7629
  { PseudoVREDOR_VS_MF8_MASK, VREDOR_VS }, // 7630
  { PseudoVREDSUM_VS_M1, VREDSUM_VS }, // 7631
  { PseudoVREDSUM_VS_M1_MASK, VREDSUM_VS }, // 7632
  { PseudoVREDSUM_VS_M2, VREDSUM_VS }, // 7633
  { PseudoVREDSUM_VS_M2_MASK, VREDSUM_VS }, // 7634
  { PseudoVREDSUM_VS_M4, VREDSUM_VS }, // 7635
  { PseudoVREDSUM_VS_M4_MASK, VREDSUM_VS }, // 7636
  { PseudoVREDSUM_VS_M8, VREDSUM_VS }, // 7637
  { PseudoVREDSUM_VS_M8_MASK, VREDSUM_VS }, // 7638
  { PseudoVREDSUM_VS_MF2, VREDSUM_VS }, // 7639
  { PseudoVREDSUM_VS_MF2_MASK, VREDSUM_VS }, // 7640
  { PseudoVREDSUM_VS_MF4, VREDSUM_VS }, // 7641
  { PseudoVREDSUM_VS_MF4_MASK, VREDSUM_VS }, // 7642
  { PseudoVREDSUM_VS_MF8, VREDSUM_VS }, // 7643
  { PseudoVREDSUM_VS_MF8_MASK, VREDSUM_VS }, // 7644
  { PseudoVREDXOR_VS_M1, VREDXOR_VS }, // 7645
  { PseudoVREDXOR_VS_M1_MASK, VREDXOR_VS }, // 7646
  { PseudoVREDXOR_VS_M2, VREDXOR_VS }, // 7647
  { PseudoVREDXOR_VS_M2_MASK, VREDXOR_VS }, // 7648
  { PseudoVREDXOR_VS_M4, VREDXOR_VS }, // 7649
  { PseudoVREDXOR_VS_M4_MASK, VREDXOR_VS }, // 7650
  { PseudoVREDXOR_VS_M8, VREDXOR_VS }, // 7651
  { PseudoVREDXOR_VS_M8_MASK, VREDXOR_VS }, // 7652
  { PseudoVREDXOR_VS_MF2, VREDXOR_VS }, // 7653
  { PseudoVREDXOR_VS_MF2_MASK, VREDXOR_VS }, // 7654
  { PseudoVREDXOR_VS_MF4, VREDXOR_VS }, // 7655
  { PseudoVREDXOR_VS_MF4_MASK, VREDXOR_VS }, // 7656
  { PseudoVREDXOR_VS_MF8, VREDXOR_VS }, // 7657
  { PseudoVREDXOR_VS_MF8_MASK, VREDXOR_VS }, // 7658
  { PseudoVRELOAD_M1, VL1RE8_V }, // 7659
  { PseudoVRELOAD_M2, VL2RE8_V }, // 7660
  { PseudoVRELOAD_M4, VL4RE8_V }, // 7661
  { PseudoVRELOAD_M8, VL8RE8_V }, // 7662
  { PseudoVREMU_VV_M1, VREMU_VV }, // 7663
  { PseudoVREMU_VV_M1_MASK, VREMU_VV }, // 7664
  { PseudoVREMU_VV_M1_TU, VREMU_VV }, // 7665
  { PseudoVREMU_VV_M2, VREMU_VV }, // 7666
  { PseudoVREMU_VV_M2_MASK, VREMU_VV }, // 7667
  { PseudoVREMU_VV_M2_TU, VREMU_VV }, // 7668
  { PseudoVREMU_VV_M4, VREMU_VV }, // 7669
  { PseudoVREMU_VV_M4_MASK, VREMU_VV }, // 7670
  { PseudoVREMU_VV_M4_TU, VREMU_VV }, // 7671
  { PseudoVREMU_VV_M8, VREMU_VV }, // 7672
  { PseudoVREMU_VV_M8_MASK, VREMU_VV }, // 7673
  { PseudoVREMU_VV_M8_TU, VREMU_VV }, // 7674
  { PseudoVREMU_VV_MF2, VREMU_VV }, // 7675
  { PseudoVREMU_VV_MF2_MASK, VREMU_VV }, // 7676
  { PseudoVREMU_VV_MF2_TU, VREMU_VV }, // 7677
  { PseudoVREMU_VV_MF4, VREMU_VV }, // 7678
  { PseudoVREMU_VV_MF4_MASK, VREMU_VV }, // 7679
  { PseudoVREMU_VV_MF4_TU, VREMU_VV }, // 7680
  { PseudoVREMU_VV_MF8, VREMU_VV }, // 7681
  { PseudoVREMU_VV_MF8_MASK, VREMU_VV }, // 7682
  { PseudoVREMU_VV_MF8_TU, VREMU_VV }, // 7683
  { PseudoVREMU_VX_M1, VREMU_VX }, // 7684
  { PseudoVREMU_VX_M1_MASK, VREMU_VX }, // 7685
  { PseudoVREMU_VX_M1_TU, VREMU_VX }, // 7686
  { PseudoVREMU_VX_M2, VREMU_VX }, // 7687
  { PseudoVREMU_VX_M2_MASK, VREMU_VX }, // 7688
  { PseudoVREMU_VX_M2_TU, VREMU_VX }, // 7689
  { PseudoVREMU_VX_M4, VREMU_VX }, // 7690
  { PseudoVREMU_VX_M4_MASK, VREMU_VX }, // 7691
  { PseudoVREMU_VX_M4_TU, VREMU_VX }, // 7692
  { PseudoVREMU_VX_M8, VREMU_VX }, // 7693
  { PseudoVREMU_VX_M8_MASK, VREMU_VX }, // 7694
  { PseudoVREMU_VX_M8_TU, VREMU_VX }, // 7695
  { PseudoVREMU_VX_MF2, VREMU_VX }, // 7696
  { PseudoVREMU_VX_MF2_MASK, VREMU_VX }, // 7697
  { PseudoVREMU_VX_MF2_TU, VREMU_VX }, // 7698
  { PseudoVREMU_VX_MF4, VREMU_VX }, // 7699
  { PseudoVREMU_VX_MF4_MASK, VREMU_VX }, // 7700
  { PseudoVREMU_VX_MF4_TU, VREMU_VX }, // 7701
  { PseudoVREMU_VX_MF8, VREMU_VX }, // 7702
  { PseudoVREMU_VX_MF8_MASK, VREMU_VX }, // 7703
  { PseudoVREMU_VX_MF8_TU, VREMU_VX }, // 7704
  { PseudoVREM_VV_M1, VREM_VV }, // 7705
  { PseudoVREM_VV_M1_MASK, VREM_VV }, // 7706
  { PseudoVREM_VV_M1_TU, VREM_VV }, // 7707
  { PseudoVREM_VV_M2, VREM_VV }, // 7708
  { PseudoVREM_VV_M2_MASK, VREM_VV }, // 7709
  { PseudoVREM_VV_M2_TU, VREM_VV }, // 7710
  { PseudoVREM_VV_M4, VREM_VV }, // 7711
  { PseudoVREM_VV_M4_MASK, VREM_VV }, // 7712
  { PseudoVREM_VV_M4_TU, VREM_VV }, // 7713
  { PseudoVREM_VV_M8, VREM_VV }, // 7714
  { PseudoVREM_VV_M8_MASK, VREM_VV }, // 7715
  { PseudoVREM_VV_M8_TU, VREM_VV }, // 7716
  { PseudoVREM_VV_MF2, VREM_VV }, // 7717
  { PseudoVREM_VV_MF2_MASK, VREM_VV }, // 7718
  { PseudoVREM_VV_MF2_TU, VREM_VV }, // 7719
  { PseudoVREM_VV_MF4, VREM_VV }, // 7720
  { PseudoVREM_VV_MF4_MASK, VREM_VV }, // 7721
  { PseudoVREM_VV_MF4_TU, VREM_VV }, // 7722
  { PseudoVREM_VV_MF8, VREM_VV }, // 7723
  { PseudoVREM_VV_MF8_MASK, VREM_VV }, // 7724
  { PseudoVREM_VV_MF8_TU, VREM_VV }, // 7725
  { PseudoVREM_VX_M1, VREM_VX }, // 7726
  { PseudoVREM_VX_M1_MASK, VREM_VX }, // 7727
  { PseudoVREM_VX_M1_TU, VREM_VX }, // 7728
  { PseudoVREM_VX_M2, VREM_VX }, // 7729
  { PseudoVREM_VX_M2_MASK, VREM_VX }, // 7730
  { PseudoVREM_VX_M2_TU, VREM_VX }, // 7731
  { PseudoVREM_VX_M4, VREM_VX }, // 7732
  { PseudoVREM_VX_M4_MASK, VREM_VX }, // 7733
  { PseudoVREM_VX_M4_TU, VREM_VX }, // 7734
  { PseudoVREM_VX_M8, VREM_VX }, // 7735
  { PseudoVREM_VX_M8_MASK, VREM_VX }, // 7736
  { PseudoVREM_VX_M8_TU, VREM_VX }, // 7737
  { PseudoVREM_VX_MF2, VREM_VX }, // 7738
  { PseudoVREM_VX_MF2_MASK, VREM_VX }, // 7739
  { PseudoVREM_VX_MF2_TU, VREM_VX }, // 7740
  { PseudoVREM_VX_MF4, VREM_VX }, // 7741
  { PseudoVREM_VX_MF4_MASK, VREM_VX }, // 7742
  { PseudoVREM_VX_MF4_TU, VREM_VX }, // 7743
  { PseudoVREM_VX_MF8, VREM_VX }, // 7744
  { PseudoVREM_VX_MF8_MASK, VREM_VX }, // 7745
  { PseudoVREM_VX_MF8_TU, VREM_VX }, // 7746
  { PseudoVRGATHEREI16_VV_M1_M1, VRGATHEREI16_VV }, // 7747
  { PseudoVRGATHEREI16_VV_M1_M1_MASK, VRGATHEREI16_VV }, // 7748
  { PseudoVRGATHEREI16_VV_M1_M1_TU, VRGATHEREI16_VV }, // 7749
  { PseudoVRGATHEREI16_VV_M1_M2, VRGATHEREI16_VV }, // 7750
  { PseudoVRGATHEREI16_VV_M1_M2_MASK, VRGATHEREI16_VV }, // 7751
  { PseudoVRGATHEREI16_VV_M1_M2_TU, VRGATHEREI16_VV }, // 7752
  { PseudoVRGATHEREI16_VV_M1_MF2, VRGATHEREI16_VV }, // 7753
  { PseudoVRGATHEREI16_VV_M1_MF2_MASK, VRGATHEREI16_VV }, // 7754
  { PseudoVRGATHEREI16_VV_M1_MF2_TU, VRGATHEREI16_VV }, // 7755
  { PseudoVRGATHEREI16_VV_M1_MF4, VRGATHEREI16_VV }, // 7756
  { PseudoVRGATHEREI16_VV_M1_MF4_MASK, VRGATHEREI16_VV }, // 7757
  { PseudoVRGATHEREI16_VV_M1_MF4_TU, VRGATHEREI16_VV }, // 7758
  { PseudoVRGATHEREI16_VV_M2_M1, VRGATHEREI16_VV }, // 7759
  { PseudoVRGATHEREI16_VV_M2_M1_MASK, VRGATHEREI16_VV }, // 7760
  { PseudoVRGATHEREI16_VV_M2_M1_TU, VRGATHEREI16_VV }, // 7761
  { PseudoVRGATHEREI16_VV_M2_M2, VRGATHEREI16_VV }, // 7762
  { PseudoVRGATHEREI16_VV_M2_M2_MASK, VRGATHEREI16_VV }, // 7763
  { PseudoVRGATHEREI16_VV_M2_M2_TU, VRGATHEREI16_VV }, // 7764
  { PseudoVRGATHEREI16_VV_M2_M4, VRGATHEREI16_VV }, // 7765
  { PseudoVRGATHEREI16_VV_M2_M4_MASK, VRGATHEREI16_VV }, // 7766
  { PseudoVRGATHEREI16_VV_M2_M4_TU, VRGATHEREI16_VV }, // 7767
  { PseudoVRGATHEREI16_VV_M2_MF2, VRGATHEREI16_VV }, // 7768
  { PseudoVRGATHEREI16_VV_M2_MF2_MASK, VRGATHEREI16_VV }, // 7769
  { PseudoVRGATHEREI16_VV_M2_MF2_TU, VRGATHEREI16_VV }, // 7770
  { PseudoVRGATHEREI16_VV_M4_M1, VRGATHEREI16_VV }, // 7771
  { PseudoVRGATHEREI16_VV_M4_M1_MASK, VRGATHEREI16_VV }, // 7772
  { PseudoVRGATHEREI16_VV_M4_M1_TU, VRGATHEREI16_VV }, // 7773
  { PseudoVRGATHEREI16_VV_M4_M2, VRGATHEREI16_VV }, // 7774
  { PseudoVRGATHEREI16_VV_M4_M2_MASK, VRGATHEREI16_VV }, // 7775
  { PseudoVRGATHEREI16_VV_M4_M2_TU, VRGATHEREI16_VV }, // 7776
  { PseudoVRGATHEREI16_VV_M4_M4, VRGATHEREI16_VV }, // 7777
  { PseudoVRGATHEREI16_VV_M4_M4_MASK, VRGATHEREI16_VV }, // 7778
  { PseudoVRGATHEREI16_VV_M4_M4_TU, VRGATHEREI16_VV }, // 7779
  { PseudoVRGATHEREI16_VV_M4_M8, VRGATHEREI16_VV }, // 7780
  { PseudoVRGATHEREI16_VV_M4_M8_MASK, VRGATHEREI16_VV }, // 7781
  { PseudoVRGATHEREI16_VV_M4_M8_TU, VRGATHEREI16_VV }, // 7782
  { PseudoVRGATHEREI16_VV_M8_M2, VRGATHEREI16_VV }, // 7783
  { PseudoVRGATHEREI16_VV_M8_M2_MASK, VRGATHEREI16_VV }, // 7784
  { PseudoVRGATHEREI16_VV_M8_M2_TU, VRGATHEREI16_VV }, // 7785
  { PseudoVRGATHEREI16_VV_M8_M4, VRGATHEREI16_VV }, // 7786
  { PseudoVRGATHEREI16_VV_M8_M4_MASK, VRGATHEREI16_VV }, // 7787
  { PseudoVRGATHEREI16_VV_M8_M4_TU, VRGATHEREI16_VV }, // 7788
  { PseudoVRGATHEREI16_VV_M8_M8, VRGATHEREI16_VV }, // 7789
  { PseudoVRGATHEREI16_VV_M8_M8_MASK, VRGATHEREI16_VV }, // 7790
  { PseudoVRGATHEREI16_VV_M8_M8_TU, VRGATHEREI16_VV }, // 7791
  { PseudoVRGATHEREI16_VV_MF2_M1, VRGATHEREI16_VV }, // 7792
  { PseudoVRGATHEREI16_VV_MF2_M1_MASK, VRGATHEREI16_VV }, // 7793
  { PseudoVRGATHEREI16_VV_MF2_M1_TU, VRGATHEREI16_VV }, // 7794
  { PseudoVRGATHEREI16_VV_MF2_MF2, VRGATHEREI16_VV }, // 7795
  { PseudoVRGATHEREI16_VV_MF2_MF2_MASK, VRGATHEREI16_VV }, // 7796
  { PseudoVRGATHEREI16_VV_MF2_MF2_TU, VRGATHEREI16_VV }, // 7797
  { PseudoVRGATHEREI16_VV_MF2_MF4, VRGATHEREI16_VV }, // 7798
  { PseudoVRGATHEREI16_VV_MF2_MF4_MASK, VRGATHEREI16_VV }, // 7799
  { PseudoVRGATHEREI16_VV_MF2_MF4_TU, VRGATHEREI16_VV }, // 7800
  { PseudoVRGATHEREI16_VV_MF2_MF8, VRGATHEREI16_VV }, // 7801
  { PseudoVRGATHEREI16_VV_MF2_MF8_MASK, VRGATHEREI16_VV }, // 7802
  { PseudoVRGATHEREI16_VV_MF2_MF8_TU, VRGATHEREI16_VV }, // 7803
  { PseudoVRGATHEREI16_VV_MF4_MF2, VRGATHEREI16_VV }, // 7804
  { PseudoVRGATHEREI16_VV_MF4_MF2_MASK, VRGATHEREI16_VV }, // 7805
  { PseudoVRGATHEREI16_VV_MF4_MF2_TU, VRGATHEREI16_VV }, // 7806
  { PseudoVRGATHEREI16_VV_MF4_MF4, VRGATHEREI16_VV }, // 7807
  { PseudoVRGATHEREI16_VV_MF4_MF4_MASK, VRGATHEREI16_VV }, // 7808
  { PseudoVRGATHEREI16_VV_MF4_MF4_TU, VRGATHEREI16_VV }, // 7809
  { PseudoVRGATHEREI16_VV_MF4_MF8, VRGATHEREI16_VV }, // 7810
  { PseudoVRGATHEREI16_VV_MF4_MF8_MASK, VRGATHEREI16_VV }, // 7811
  { PseudoVRGATHEREI16_VV_MF4_MF8_TU, VRGATHEREI16_VV }, // 7812
  { PseudoVRGATHEREI16_VV_MF8_MF4, VRGATHEREI16_VV }, // 7813
  { PseudoVRGATHEREI16_VV_MF8_MF4_MASK, VRGATHEREI16_VV }, // 7814
  { PseudoVRGATHEREI16_VV_MF8_MF4_TU, VRGATHEREI16_VV }, // 7815
  { PseudoVRGATHEREI16_VV_MF8_MF8, VRGATHEREI16_VV }, // 7816
  { PseudoVRGATHEREI16_VV_MF8_MF8_MASK, VRGATHEREI16_VV }, // 7817
  { PseudoVRGATHEREI16_VV_MF8_MF8_TU, VRGATHEREI16_VV }, // 7818
  { PseudoVRGATHER_VI_M1, VRGATHER_VI }, // 7819
  { PseudoVRGATHER_VI_M1_MASK, VRGATHER_VI }, // 7820
  { PseudoVRGATHER_VI_M1_TU, VRGATHER_VI }, // 7821
  { PseudoVRGATHER_VI_M2, VRGATHER_VI }, // 7822
  { PseudoVRGATHER_VI_M2_MASK, VRGATHER_VI }, // 7823
  { PseudoVRGATHER_VI_M2_TU, VRGATHER_VI }, // 7824
  { PseudoVRGATHER_VI_M4, VRGATHER_VI }, // 7825
  { PseudoVRGATHER_VI_M4_MASK, VRGATHER_VI }, // 7826
  { PseudoVRGATHER_VI_M4_TU, VRGATHER_VI }, // 7827
  { PseudoVRGATHER_VI_M8, VRGATHER_VI }, // 7828
  { PseudoVRGATHER_VI_M8_MASK, VRGATHER_VI }, // 7829
  { PseudoVRGATHER_VI_M8_TU, VRGATHER_VI }, // 7830
  { PseudoVRGATHER_VI_MF2, VRGATHER_VI }, // 7831
  { PseudoVRGATHER_VI_MF2_MASK, VRGATHER_VI }, // 7832
  { PseudoVRGATHER_VI_MF2_TU, VRGATHER_VI }, // 7833
  { PseudoVRGATHER_VI_MF4, VRGATHER_VI }, // 7834
  { PseudoVRGATHER_VI_MF4_MASK, VRGATHER_VI }, // 7835
  { PseudoVRGATHER_VI_MF4_TU, VRGATHER_VI }, // 7836
  { PseudoVRGATHER_VI_MF8, VRGATHER_VI }, // 7837
  { PseudoVRGATHER_VI_MF8_MASK, VRGATHER_VI }, // 7838
  { PseudoVRGATHER_VI_MF8_TU, VRGATHER_VI }, // 7839
  { PseudoVRGATHER_VV_M1, VRGATHER_VV }, // 7840
  { PseudoVRGATHER_VV_M1_MASK, VRGATHER_VV }, // 7841
  { PseudoVRGATHER_VV_M1_TU, VRGATHER_VV }, // 7842
  { PseudoVRGATHER_VV_M2, VRGATHER_VV }, // 7843
  { PseudoVRGATHER_VV_M2_MASK, VRGATHER_VV }, // 7844
  { PseudoVRGATHER_VV_M2_TU, VRGATHER_VV }, // 7845
  { PseudoVRGATHER_VV_M4, VRGATHER_VV }, // 7846
  { PseudoVRGATHER_VV_M4_MASK, VRGATHER_VV }, // 7847
  { PseudoVRGATHER_VV_M4_TU, VRGATHER_VV }, // 7848
  { PseudoVRGATHER_VV_M8, VRGATHER_VV }, // 7849
  { PseudoVRGATHER_VV_M8_MASK, VRGATHER_VV }, // 7850
  { PseudoVRGATHER_VV_M8_TU, VRGATHER_VV }, // 7851
  { PseudoVRGATHER_VV_MF2, VRGATHER_VV }, // 7852
  { PseudoVRGATHER_VV_MF2_MASK, VRGATHER_VV }, // 7853
  { PseudoVRGATHER_VV_MF2_TU, VRGATHER_VV }, // 7854
  { PseudoVRGATHER_VV_MF4, VRGATHER_VV }, // 7855
  { PseudoVRGATHER_VV_MF4_MASK, VRGATHER_VV }, // 7856
  { PseudoVRGATHER_VV_MF4_TU, VRGATHER_VV }, // 7857
  { PseudoVRGATHER_VV_MF8, VRGATHER_VV }, // 7858
  { PseudoVRGATHER_VV_MF8_MASK, VRGATHER_VV }, // 7859
  { PseudoVRGATHER_VV_MF8_TU, VRGATHER_VV }, // 7860
  { PseudoVRGATHER_VX_M1, VRGATHER_VX }, // 7861
  { PseudoVRGATHER_VX_M1_MASK, VRGATHER_VX }, // 7862
  { PseudoVRGATHER_VX_M1_TU, VRGATHER_VX }, // 7863
  { PseudoVRGATHER_VX_M2, VRGATHER_VX }, // 7864
  { PseudoVRGATHER_VX_M2_MASK, VRGATHER_VX }, // 7865
  { PseudoVRGATHER_VX_M2_TU, VRGATHER_VX }, // 7866
  { PseudoVRGATHER_VX_M4, VRGATHER_VX }, // 7867
  { PseudoVRGATHER_VX_M4_MASK, VRGATHER_VX }, // 7868
  { PseudoVRGATHER_VX_M4_TU, VRGATHER_VX }, // 7869
  { PseudoVRGATHER_VX_M8, VRGATHER_VX }, // 7870
  { PseudoVRGATHER_VX_M8_MASK, VRGATHER_VX }, // 7871
  { PseudoVRGATHER_VX_M8_TU, VRGATHER_VX }, // 7872
  { PseudoVRGATHER_VX_MF2, VRGATHER_VX }, // 7873
  { PseudoVRGATHER_VX_MF2_MASK, VRGATHER_VX }, // 7874
  { PseudoVRGATHER_VX_MF2_TU, VRGATHER_VX }, // 7875
  { PseudoVRGATHER_VX_MF4, VRGATHER_VX }, // 7876
  { PseudoVRGATHER_VX_MF4_MASK, VRGATHER_VX }, // 7877
  { PseudoVRGATHER_VX_MF4_TU, VRGATHER_VX }, // 7878
  { PseudoVRGATHER_VX_MF8, VRGATHER_VX }, // 7879
  { PseudoVRGATHER_VX_MF8_MASK, VRGATHER_VX }, // 7880
  { PseudoVRGATHER_VX_MF8_TU, VRGATHER_VX }, // 7881
  { PseudoVRSUB_VI_M1, VRSUB_VI }, // 7882
  { PseudoVRSUB_VI_M1_MASK, VRSUB_VI }, // 7883
  { PseudoVRSUB_VI_M1_TU, VRSUB_VI }, // 7884
  { PseudoVRSUB_VI_M2, VRSUB_VI }, // 7885
  { PseudoVRSUB_VI_M2_MASK, VRSUB_VI }, // 7886
  { PseudoVRSUB_VI_M2_TU, VRSUB_VI }, // 7887
  { PseudoVRSUB_VI_M4, VRSUB_VI }, // 7888
  { PseudoVRSUB_VI_M4_MASK, VRSUB_VI }, // 7889
  { PseudoVRSUB_VI_M4_TU, VRSUB_VI }, // 7890
  { PseudoVRSUB_VI_M8, VRSUB_VI }, // 7891
  { PseudoVRSUB_VI_M8_MASK, VRSUB_VI }, // 7892
  { PseudoVRSUB_VI_M8_TU, VRSUB_VI }, // 7893
  { PseudoVRSUB_VI_MF2, VRSUB_VI }, // 7894
  { PseudoVRSUB_VI_MF2_MASK, VRSUB_VI }, // 7895
  { PseudoVRSUB_VI_MF2_TU, VRSUB_VI }, // 7896
  { PseudoVRSUB_VI_MF4, VRSUB_VI }, // 7897
  { PseudoVRSUB_VI_MF4_MASK, VRSUB_VI }, // 7898
  { PseudoVRSUB_VI_MF4_TU, VRSUB_VI }, // 7899
  { PseudoVRSUB_VI_MF8, VRSUB_VI }, // 7900
  { PseudoVRSUB_VI_MF8_MASK, VRSUB_VI }, // 7901
  { PseudoVRSUB_VI_MF8_TU, VRSUB_VI }, // 7902
  { PseudoVRSUB_VX_M1, VRSUB_VX }, // 7903
  { PseudoVRSUB_VX_M1_MASK, VRSUB_VX }, // 7904
  { PseudoVRSUB_VX_M1_TU, VRSUB_VX }, // 7905
  { PseudoVRSUB_VX_M2, VRSUB_VX }, // 7906
  { PseudoVRSUB_VX_M2_MASK, VRSUB_VX }, // 7907
  { PseudoVRSUB_VX_M2_TU, VRSUB_VX }, // 7908
  { PseudoVRSUB_VX_M4, VRSUB_VX }, // 7909
  { PseudoVRSUB_VX_M4_MASK, VRSUB_VX }, // 7910
  { PseudoVRSUB_VX_M4_TU, VRSUB_VX }, // 7911
  { PseudoVRSUB_VX_M8, VRSUB_VX }, // 7912
  { PseudoVRSUB_VX_M8_MASK, VRSUB_VX }, // 7913
  { PseudoVRSUB_VX_M8_TU, VRSUB_VX }, // 7914
  { PseudoVRSUB_VX_MF2, VRSUB_VX }, // 7915
  { PseudoVRSUB_VX_MF2_MASK, VRSUB_VX }, // 7916
  { PseudoVRSUB_VX_MF2_TU, VRSUB_VX }, // 7917
  { PseudoVRSUB_VX_MF4, VRSUB_VX }, // 7918
  { PseudoVRSUB_VX_MF4_MASK, VRSUB_VX }, // 7919
  { PseudoVRSUB_VX_MF4_TU, VRSUB_VX }, // 7920
  { PseudoVRSUB_VX_MF8, VRSUB_VX }, // 7921
  { PseudoVRSUB_VX_MF8_MASK, VRSUB_VX }, // 7922
  { PseudoVRSUB_VX_MF8_TU, VRSUB_VX }, // 7923
  { PseudoVSADDU_VI_M1, VSADDU_VI }, // 7924
  { PseudoVSADDU_VI_M1_MASK, VSADDU_VI }, // 7925
  { PseudoVSADDU_VI_M1_TU, VSADDU_VI }, // 7926
  { PseudoVSADDU_VI_M2, VSADDU_VI }, // 7927
  { PseudoVSADDU_VI_M2_MASK, VSADDU_VI }, // 7928
  { PseudoVSADDU_VI_M2_TU, VSADDU_VI }, // 7929
  { PseudoVSADDU_VI_M4, VSADDU_VI }, // 7930
  { PseudoVSADDU_VI_M4_MASK, VSADDU_VI }, // 7931
  { PseudoVSADDU_VI_M4_TU, VSADDU_VI }, // 7932
  { PseudoVSADDU_VI_M8, VSADDU_VI }, // 7933
  { PseudoVSADDU_VI_M8_MASK, VSADDU_VI }, // 7934
  { PseudoVSADDU_VI_M8_TU, VSADDU_VI }, // 7935
  { PseudoVSADDU_VI_MF2, VSADDU_VI }, // 7936
  { PseudoVSADDU_VI_MF2_MASK, VSADDU_VI }, // 7937
  { PseudoVSADDU_VI_MF2_TU, VSADDU_VI }, // 7938
  { PseudoVSADDU_VI_MF4, VSADDU_VI }, // 7939
  { PseudoVSADDU_VI_MF4_MASK, VSADDU_VI }, // 7940
  { PseudoVSADDU_VI_MF4_TU, VSADDU_VI }, // 7941
  { PseudoVSADDU_VI_MF8, VSADDU_VI }, // 7942
  { PseudoVSADDU_VI_MF8_MASK, VSADDU_VI }, // 7943
  { PseudoVSADDU_VI_MF8_TU, VSADDU_VI }, // 7944
  { PseudoVSADDU_VV_M1, VSADDU_VV }, // 7945
  { PseudoVSADDU_VV_M1_MASK, VSADDU_VV }, // 7946
  { PseudoVSADDU_VV_M1_TU, VSADDU_VV }, // 7947
  { PseudoVSADDU_VV_M2, VSADDU_VV }, // 7948
  { PseudoVSADDU_VV_M2_MASK, VSADDU_VV }, // 7949
  { PseudoVSADDU_VV_M2_TU, VSADDU_VV }, // 7950
  { PseudoVSADDU_VV_M4, VSADDU_VV }, // 7951
  { PseudoVSADDU_VV_M4_MASK, VSADDU_VV }, // 7952
  { PseudoVSADDU_VV_M4_TU, VSADDU_VV }, // 7953
  { PseudoVSADDU_VV_M8, VSADDU_VV }, // 7954
  { PseudoVSADDU_VV_M8_MASK, VSADDU_VV }, // 7955
  { PseudoVSADDU_VV_M8_TU, VSADDU_VV }, // 7956
  { PseudoVSADDU_VV_MF2, VSADDU_VV }, // 7957
  { PseudoVSADDU_VV_MF2_MASK, VSADDU_VV }, // 7958
  { PseudoVSADDU_VV_MF2_TU, VSADDU_VV }, // 7959
  { PseudoVSADDU_VV_MF4, VSADDU_VV }, // 7960
  { PseudoVSADDU_VV_MF4_MASK, VSADDU_VV }, // 7961
  { PseudoVSADDU_VV_MF4_TU, VSADDU_VV }, // 7962
  { PseudoVSADDU_VV_MF8, VSADDU_VV }, // 7963
  { PseudoVSADDU_VV_MF8_MASK, VSADDU_VV }, // 7964
  { PseudoVSADDU_VV_MF8_TU, VSADDU_VV }, // 7965
  { PseudoVSADDU_VX_M1, VSADDU_VX }, // 7966
  { PseudoVSADDU_VX_M1_MASK, VSADDU_VX }, // 7967
  { PseudoVSADDU_VX_M1_TU, VSADDU_VX }, // 7968
  { PseudoVSADDU_VX_M2, VSADDU_VX }, // 7969
  { PseudoVSADDU_VX_M2_MASK, VSADDU_VX }, // 7970
  { PseudoVSADDU_VX_M2_TU, VSADDU_VX }, // 7971
  { PseudoVSADDU_VX_M4, VSADDU_VX }, // 7972
  { PseudoVSADDU_VX_M4_MASK, VSADDU_VX }, // 7973
  { PseudoVSADDU_VX_M4_TU, VSADDU_VX }, // 7974
  { PseudoVSADDU_VX_M8, VSADDU_VX }, // 7975
  { PseudoVSADDU_VX_M8_MASK, VSADDU_VX }, // 7976
  { PseudoVSADDU_VX_M8_TU, VSADDU_VX }, // 7977
  { PseudoVSADDU_VX_MF2, VSADDU_VX }, // 7978
  { PseudoVSADDU_VX_MF2_MASK, VSADDU_VX }, // 7979
  { PseudoVSADDU_VX_MF2_TU, VSADDU_VX }, // 7980
  { PseudoVSADDU_VX_MF4, VSADDU_VX }, // 7981
  { PseudoVSADDU_VX_MF4_MASK, VSADDU_VX }, // 7982
  { PseudoVSADDU_VX_MF4_TU, VSADDU_VX }, // 7983
  { PseudoVSADDU_VX_MF8, VSADDU_VX }, // 7984
  { PseudoVSADDU_VX_MF8_MASK, VSADDU_VX }, // 7985
  { PseudoVSADDU_VX_MF8_TU, VSADDU_VX }, // 7986
  { PseudoVSADD_VI_M1, VSADD_VI }, // 7987
  { PseudoVSADD_VI_M1_MASK, VSADD_VI }, // 7988
  { PseudoVSADD_VI_M1_TU, VSADD_VI }, // 7989
  { PseudoVSADD_VI_M2, VSADD_VI }, // 7990
  { PseudoVSADD_VI_M2_MASK, VSADD_VI }, // 7991
  { PseudoVSADD_VI_M2_TU, VSADD_VI }, // 7992
  { PseudoVSADD_VI_M4, VSADD_VI }, // 7993
  { PseudoVSADD_VI_M4_MASK, VSADD_VI }, // 7994
  { PseudoVSADD_VI_M4_TU, VSADD_VI }, // 7995
  { PseudoVSADD_VI_M8, VSADD_VI }, // 7996
  { PseudoVSADD_VI_M8_MASK, VSADD_VI }, // 7997
  { PseudoVSADD_VI_M8_TU, VSADD_VI }, // 7998
  { PseudoVSADD_VI_MF2, VSADD_VI }, // 7999
  { PseudoVSADD_VI_MF2_MASK, VSADD_VI }, // 8000
  { PseudoVSADD_VI_MF2_TU, VSADD_VI }, // 8001
  { PseudoVSADD_VI_MF4, VSADD_VI }, // 8002
  { PseudoVSADD_VI_MF4_MASK, VSADD_VI }, // 8003
  { PseudoVSADD_VI_MF4_TU, VSADD_VI }, // 8004
  { PseudoVSADD_VI_MF8, VSADD_VI }, // 8005
  { PseudoVSADD_VI_MF8_MASK, VSADD_VI }, // 8006
  { PseudoVSADD_VI_MF8_TU, VSADD_VI }, // 8007
  { PseudoVSADD_VV_M1, VSADD_VV }, // 8008
  { PseudoVSADD_VV_M1_MASK, VSADD_VV }, // 8009
  { PseudoVSADD_VV_M1_TU, VSADD_VV }, // 8010
  { PseudoVSADD_VV_M2, VSADD_VV }, // 8011
  { PseudoVSADD_VV_M2_MASK, VSADD_VV }, // 8012
  { PseudoVSADD_VV_M2_TU, VSADD_VV }, // 8013
  { PseudoVSADD_VV_M4, VSADD_VV }, // 8014
  { PseudoVSADD_VV_M4_MASK, VSADD_VV }, // 8015
  { PseudoVSADD_VV_M4_TU, VSADD_VV }, // 8016
  { PseudoVSADD_VV_M8, VSADD_VV }, // 8017
  { PseudoVSADD_VV_M8_MASK, VSADD_VV }, // 8018
  { PseudoVSADD_VV_M8_TU, VSADD_VV }, // 8019
  { PseudoVSADD_VV_MF2, VSADD_VV }, // 8020
  { PseudoVSADD_VV_MF2_MASK, VSADD_VV }, // 8021
  { PseudoVSADD_VV_MF2_TU, VSADD_VV }, // 8022
  { PseudoVSADD_VV_MF4, VSADD_VV }, // 8023
  { PseudoVSADD_VV_MF4_MASK, VSADD_VV }, // 8024
  { PseudoVSADD_VV_MF4_TU, VSADD_VV }, // 8025
  { PseudoVSADD_VV_MF8, VSADD_VV }, // 8026
  { PseudoVSADD_VV_MF8_MASK, VSADD_VV }, // 8027
  { PseudoVSADD_VV_MF8_TU, VSADD_VV }, // 8028
  { PseudoVSADD_VX_M1, VSADD_VX }, // 8029
  { PseudoVSADD_VX_M1_MASK, VSADD_VX }, // 8030
  { PseudoVSADD_VX_M1_TU, VSADD_VX }, // 8031
  { PseudoVSADD_VX_M2, VSADD_VX }, // 8032
  { PseudoVSADD_VX_M2_MASK, VSADD_VX }, // 8033
  { PseudoVSADD_VX_M2_TU, VSADD_VX }, // 8034
  { PseudoVSADD_VX_M4, VSADD_VX }, // 8035
  { PseudoVSADD_VX_M4_MASK, VSADD_VX }, // 8036
  { PseudoVSADD_VX_M4_TU, VSADD_VX }, // 8037
  { PseudoVSADD_VX_M8, VSADD_VX }, // 8038
  { PseudoVSADD_VX_M8_MASK, VSADD_VX }, // 8039
  { PseudoVSADD_VX_M8_TU, VSADD_VX }, // 8040
  { PseudoVSADD_VX_MF2, VSADD_VX }, // 8041
  { PseudoVSADD_VX_MF2_MASK, VSADD_VX }, // 8042
  { PseudoVSADD_VX_MF2_TU, VSADD_VX }, // 8043
  { PseudoVSADD_VX_MF4, VSADD_VX }, // 8044
  { PseudoVSADD_VX_MF4_MASK, VSADD_VX }, // 8045
  { PseudoVSADD_VX_MF4_TU, VSADD_VX }, // 8046
  { PseudoVSADD_VX_MF8, VSADD_VX }, // 8047
  { PseudoVSADD_VX_MF8_MASK, VSADD_VX }, // 8048
  { PseudoVSADD_VX_MF8_TU, VSADD_VX }, // 8049
  { PseudoVSBC_VVM_M1, VSBC_VVM }, // 8050
  { PseudoVSBC_VVM_M1_TU, VSBC_VVM }, // 8051
  { PseudoVSBC_VVM_M2, VSBC_VVM }, // 8052
  { PseudoVSBC_VVM_M2_TU, VSBC_VVM }, // 8053
  { PseudoVSBC_VVM_M4, VSBC_VVM }, // 8054
  { PseudoVSBC_VVM_M4_TU, VSBC_VVM }, // 8055
  { PseudoVSBC_VVM_M8, VSBC_VVM }, // 8056
  { PseudoVSBC_VVM_M8_TU, VSBC_VVM }, // 8057
  { PseudoVSBC_VVM_MF2, VSBC_VVM }, // 8058
  { PseudoVSBC_VVM_MF2_TU, VSBC_VVM }, // 8059
  { PseudoVSBC_VVM_MF4, VSBC_VVM }, // 8060
  { PseudoVSBC_VVM_MF4_TU, VSBC_VVM }, // 8061
  { PseudoVSBC_VVM_MF8, VSBC_VVM }, // 8062
  { PseudoVSBC_VVM_MF8_TU, VSBC_VVM }, // 8063
  { PseudoVSBC_VXM_M1, VSBC_VXM }, // 8064
  { PseudoVSBC_VXM_M1_TU, VSBC_VXM }, // 8065
  { PseudoVSBC_VXM_M2, VSBC_VXM }, // 8066
  { PseudoVSBC_VXM_M2_TU, VSBC_VXM }, // 8067
  { PseudoVSBC_VXM_M4, VSBC_VXM }, // 8068
  { PseudoVSBC_VXM_M4_TU, VSBC_VXM }, // 8069
  { PseudoVSBC_VXM_M8, VSBC_VXM }, // 8070
  { PseudoVSBC_VXM_M8_TU, VSBC_VXM }, // 8071
  { PseudoVSBC_VXM_MF2, VSBC_VXM }, // 8072
  { PseudoVSBC_VXM_MF2_TU, VSBC_VXM }, // 8073
  { PseudoVSBC_VXM_MF4, VSBC_VXM }, // 8074
  { PseudoVSBC_VXM_MF4_TU, VSBC_VXM }, // 8075
  { PseudoVSBC_VXM_MF8, VSBC_VXM }, // 8076
  { PseudoVSBC_VXM_MF8_TU, VSBC_VXM }, // 8077
  { PseudoVSE16_V_M1, VSE16_V }, // 8078
  { PseudoVSE16_V_M1_MASK, VSE16_V }, // 8079
  { PseudoVSE16_V_M2, VSE16_V }, // 8080
  { PseudoVSE16_V_M2_MASK, VSE16_V }, // 8081
  { PseudoVSE16_V_M4, VSE16_V }, // 8082
  { PseudoVSE16_V_M4_MASK, VSE16_V }, // 8083
  { PseudoVSE16_V_M8, VSE16_V }, // 8084
  { PseudoVSE16_V_M8_MASK, VSE16_V }, // 8085
  { PseudoVSE16_V_MF2, VSE16_V }, // 8086
  { PseudoVSE16_V_MF2_MASK, VSE16_V }, // 8087
  { PseudoVSE16_V_MF4, VSE16_V }, // 8088
  { PseudoVSE16_V_MF4_MASK, VSE16_V }, // 8089
  { PseudoVSE32_V_M1, VSE32_V }, // 8090
  { PseudoVSE32_V_M1_MASK, VSE32_V }, // 8091
  { PseudoVSE32_V_M2, VSE32_V }, // 8092
  { PseudoVSE32_V_M2_MASK, VSE32_V }, // 8093
  { PseudoVSE32_V_M4, VSE32_V }, // 8094
  { PseudoVSE32_V_M4_MASK, VSE32_V }, // 8095
  { PseudoVSE32_V_M8, VSE32_V }, // 8096
  { PseudoVSE32_V_M8_MASK, VSE32_V }, // 8097
  { PseudoVSE32_V_MF2, VSE32_V }, // 8098
  { PseudoVSE32_V_MF2_MASK, VSE32_V }, // 8099
  { PseudoVSE64_V_M1, VSE64_V }, // 8100
  { PseudoVSE64_V_M1_MASK, VSE64_V }, // 8101
  { PseudoVSE64_V_M2, VSE64_V }, // 8102
  { PseudoVSE64_V_M2_MASK, VSE64_V }, // 8103
  { PseudoVSE64_V_M4, VSE64_V }, // 8104
  { PseudoVSE64_V_M4_MASK, VSE64_V }, // 8105
  { PseudoVSE64_V_M8, VSE64_V }, // 8106
  { PseudoVSE64_V_M8_MASK, VSE64_V }, // 8107
  { PseudoVSE8_V_M1, VSE8_V }, // 8108
  { PseudoVSE8_V_M1_MASK, VSE8_V }, // 8109
  { PseudoVSE8_V_M2, VSE8_V }, // 8110
  { PseudoVSE8_V_M2_MASK, VSE8_V }, // 8111
  { PseudoVSE8_V_M4, VSE8_V }, // 8112
  { PseudoVSE8_V_M4_MASK, VSE8_V }, // 8113
  { PseudoVSE8_V_M8, VSE8_V }, // 8114
  { PseudoVSE8_V_M8_MASK, VSE8_V }, // 8115
  { PseudoVSE8_V_MF2, VSE8_V }, // 8116
  { PseudoVSE8_V_MF2_MASK, VSE8_V }, // 8117
  { PseudoVSE8_V_MF4, VSE8_V }, // 8118
  { PseudoVSE8_V_MF4_MASK, VSE8_V }, // 8119
  { PseudoVSE8_V_MF8, VSE8_V }, // 8120
  { PseudoVSE8_V_MF8_MASK, VSE8_V }, // 8121
  { PseudoVSEXT_VF2_M1, VSEXT_VF2 }, // 8122
  { PseudoVSEXT_VF2_M1_MASK, VSEXT_VF2 }, // 8123
  { PseudoVSEXT_VF2_M1_TU, VSEXT_VF2 }, // 8124
  { PseudoVSEXT_VF2_M2, VSEXT_VF2 }, // 8125
  { PseudoVSEXT_VF2_M2_MASK, VSEXT_VF2 }, // 8126
  { PseudoVSEXT_VF2_M2_TU, VSEXT_VF2 }, // 8127
  { PseudoVSEXT_VF2_M4, VSEXT_VF2 }, // 8128
  { PseudoVSEXT_VF2_M4_MASK, VSEXT_VF2 }, // 8129
  { PseudoVSEXT_VF2_M4_TU, VSEXT_VF2 }, // 8130
  { PseudoVSEXT_VF2_M8, VSEXT_VF2 }, // 8131
  { PseudoVSEXT_VF2_M8_MASK, VSEXT_VF2 }, // 8132
  { PseudoVSEXT_VF2_M8_TU, VSEXT_VF2 }, // 8133
  { PseudoVSEXT_VF2_MF2, VSEXT_VF2 }, // 8134
  { PseudoVSEXT_VF2_MF2_MASK, VSEXT_VF2 }, // 8135
  { PseudoVSEXT_VF2_MF2_TU, VSEXT_VF2 }, // 8136
  { PseudoVSEXT_VF2_MF4, VSEXT_VF2 }, // 8137
  { PseudoVSEXT_VF2_MF4_MASK, VSEXT_VF2 }, // 8138
  { PseudoVSEXT_VF2_MF4_TU, VSEXT_VF2 }, // 8139
  { PseudoVSEXT_VF4_M1, VSEXT_VF4 }, // 8140
  { PseudoVSEXT_VF4_M1_MASK, VSEXT_VF4 }, // 8141
  { PseudoVSEXT_VF4_M1_TU, VSEXT_VF4 }, // 8142
  { PseudoVSEXT_VF4_M2, VSEXT_VF4 }, // 8143
  { PseudoVSEXT_VF4_M2_MASK, VSEXT_VF4 }, // 8144
  { PseudoVSEXT_VF4_M2_TU, VSEXT_VF4 }, // 8145
  { PseudoVSEXT_VF4_M4, VSEXT_VF4 }, // 8146
  { PseudoVSEXT_VF4_M4_MASK, VSEXT_VF4 }, // 8147
  { PseudoVSEXT_VF4_M4_TU, VSEXT_VF4 }, // 8148
  { PseudoVSEXT_VF4_M8, VSEXT_VF4 }, // 8149
  { PseudoVSEXT_VF4_M8_MASK, VSEXT_VF4 }, // 8150
  { PseudoVSEXT_VF4_M8_TU, VSEXT_VF4 }, // 8151
  { PseudoVSEXT_VF4_MF2, VSEXT_VF4 }, // 8152
  { PseudoVSEXT_VF4_MF2_MASK, VSEXT_VF4 }, // 8153
  { PseudoVSEXT_VF4_MF2_TU, VSEXT_VF4 }, // 8154
  { PseudoVSEXT_VF8_M1, VSEXT_VF8 }, // 8155
  { PseudoVSEXT_VF8_M1_MASK, VSEXT_VF8 }, // 8156
  { PseudoVSEXT_VF8_M1_TU, VSEXT_VF8 }, // 8157
  { PseudoVSEXT_VF8_M2, VSEXT_VF8 }, // 8158
  { PseudoVSEXT_VF8_M2_MASK, VSEXT_VF8 }, // 8159
  { PseudoVSEXT_VF8_M2_TU, VSEXT_VF8 }, // 8160
  { PseudoVSEXT_VF8_M4, VSEXT_VF8 }, // 8161
  { PseudoVSEXT_VF8_M4_MASK, VSEXT_VF8 }, // 8162
  { PseudoVSEXT_VF8_M4_TU, VSEXT_VF8 }, // 8163
  { PseudoVSEXT_VF8_M8, VSEXT_VF8 }, // 8164
  { PseudoVSEXT_VF8_M8_MASK, VSEXT_VF8 }, // 8165
  { PseudoVSEXT_VF8_M8_TU, VSEXT_VF8 }, // 8166
  { PseudoVSLIDE1DOWN_VX_M1, VSLIDE1DOWN_VX }, // 8167
  { PseudoVSLIDE1DOWN_VX_M1_MASK, VSLIDE1DOWN_VX }, // 8168
  { PseudoVSLIDE1DOWN_VX_M1_TU, VSLIDE1DOWN_VX }, // 8169
  { PseudoVSLIDE1DOWN_VX_M2, VSLIDE1DOWN_VX }, // 8170
  { PseudoVSLIDE1DOWN_VX_M2_MASK, VSLIDE1DOWN_VX }, // 8171
  { PseudoVSLIDE1DOWN_VX_M2_TU, VSLIDE1DOWN_VX }, // 8172
  { PseudoVSLIDE1DOWN_VX_M4, VSLIDE1DOWN_VX }, // 8173
  { PseudoVSLIDE1DOWN_VX_M4_MASK, VSLIDE1DOWN_VX }, // 8174
  { PseudoVSLIDE1DOWN_VX_M4_TU, VSLIDE1DOWN_VX }, // 8175
  { PseudoVSLIDE1DOWN_VX_M8, VSLIDE1DOWN_VX }, // 8176
  { PseudoVSLIDE1DOWN_VX_M8_MASK, VSLIDE1DOWN_VX }, // 8177
  { PseudoVSLIDE1DOWN_VX_M8_TU, VSLIDE1DOWN_VX }, // 8178
  { PseudoVSLIDE1DOWN_VX_MF2, VSLIDE1DOWN_VX }, // 8179
  { PseudoVSLIDE1DOWN_VX_MF2_MASK, VSLIDE1DOWN_VX }, // 8180
  { PseudoVSLIDE1DOWN_VX_MF2_TU, VSLIDE1DOWN_VX }, // 8181
  { PseudoVSLIDE1DOWN_VX_MF4, VSLIDE1DOWN_VX }, // 8182
  { PseudoVSLIDE1DOWN_VX_MF4_MASK, VSLIDE1DOWN_VX }, // 8183
  { PseudoVSLIDE1DOWN_VX_MF4_TU, VSLIDE1DOWN_VX }, // 8184
  { PseudoVSLIDE1DOWN_VX_MF8, VSLIDE1DOWN_VX }, // 8185
  { PseudoVSLIDE1DOWN_VX_MF8_MASK, VSLIDE1DOWN_VX }, // 8186
  { PseudoVSLIDE1DOWN_VX_MF8_TU, VSLIDE1DOWN_VX }, // 8187
  { PseudoVSLIDE1UP_VX_M1, VSLIDE1UP_VX }, // 8188
  { PseudoVSLIDE1UP_VX_M1_MASK, VSLIDE1UP_VX }, // 8189
  { PseudoVSLIDE1UP_VX_M1_TU, VSLIDE1UP_VX }, // 8190
  { PseudoVSLIDE1UP_VX_M2, VSLIDE1UP_VX }, // 8191
  { PseudoVSLIDE1UP_VX_M2_MASK, VSLIDE1UP_VX }, // 8192
  { PseudoVSLIDE1UP_VX_M2_TU, VSLIDE1UP_VX }, // 8193
  { PseudoVSLIDE1UP_VX_M4, VSLIDE1UP_VX }, // 8194
  { PseudoVSLIDE1UP_VX_M4_MASK, VSLIDE1UP_VX }, // 8195
  { PseudoVSLIDE1UP_VX_M4_TU, VSLIDE1UP_VX }, // 8196
  { PseudoVSLIDE1UP_VX_M8, VSLIDE1UP_VX }, // 8197
  { PseudoVSLIDE1UP_VX_M8_MASK, VSLIDE1UP_VX }, // 8198
  { PseudoVSLIDE1UP_VX_M8_TU, VSLIDE1UP_VX }, // 8199
  { PseudoVSLIDE1UP_VX_MF2, VSLIDE1UP_VX }, // 8200
  { PseudoVSLIDE1UP_VX_MF2_MASK, VSLIDE1UP_VX }, // 8201
  { PseudoVSLIDE1UP_VX_MF2_TU, VSLIDE1UP_VX }, // 8202
  { PseudoVSLIDE1UP_VX_MF4, VSLIDE1UP_VX }, // 8203
  { PseudoVSLIDE1UP_VX_MF4_MASK, VSLIDE1UP_VX }, // 8204
  { PseudoVSLIDE1UP_VX_MF4_TU, VSLIDE1UP_VX }, // 8205
  { PseudoVSLIDE1UP_VX_MF8, VSLIDE1UP_VX }, // 8206
  { PseudoVSLIDE1UP_VX_MF8_MASK, VSLIDE1UP_VX }, // 8207
  { PseudoVSLIDE1UP_VX_MF8_TU, VSLIDE1UP_VX }, // 8208
  { PseudoVSLIDEDOWN_VI_M1, VSLIDEDOWN_VI }, // 8209
  { PseudoVSLIDEDOWN_VI_M1_MASK, VSLIDEDOWN_VI }, // 8210
  { PseudoVSLIDEDOWN_VI_M2, VSLIDEDOWN_VI }, // 8211
  { PseudoVSLIDEDOWN_VI_M2_MASK, VSLIDEDOWN_VI }, // 8212
  { PseudoVSLIDEDOWN_VI_M4, VSLIDEDOWN_VI }, // 8213
  { PseudoVSLIDEDOWN_VI_M4_MASK, VSLIDEDOWN_VI }, // 8214
  { PseudoVSLIDEDOWN_VI_M8, VSLIDEDOWN_VI }, // 8215
  { PseudoVSLIDEDOWN_VI_M8_MASK, VSLIDEDOWN_VI }, // 8216
  { PseudoVSLIDEDOWN_VI_MF2, VSLIDEDOWN_VI }, // 8217
  { PseudoVSLIDEDOWN_VI_MF2_MASK, VSLIDEDOWN_VI }, // 8218
  { PseudoVSLIDEDOWN_VI_MF4, VSLIDEDOWN_VI }, // 8219
  { PseudoVSLIDEDOWN_VI_MF4_MASK, VSLIDEDOWN_VI }, // 8220
  { PseudoVSLIDEDOWN_VI_MF8, VSLIDEDOWN_VI }, // 8221
  { PseudoVSLIDEDOWN_VI_MF8_MASK, VSLIDEDOWN_VI }, // 8222
  { PseudoVSLIDEDOWN_VX_M1, VSLIDEDOWN_VX }, // 8223
  { PseudoVSLIDEDOWN_VX_M1_MASK, VSLIDEDOWN_VX }, // 8224
  { PseudoVSLIDEDOWN_VX_M2, VSLIDEDOWN_VX }, // 8225
  { PseudoVSLIDEDOWN_VX_M2_MASK, VSLIDEDOWN_VX }, // 8226
  { PseudoVSLIDEDOWN_VX_M4, VSLIDEDOWN_VX }, // 8227
  { PseudoVSLIDEDOWN_VX_M4_MASK, VSLIDEDOWN_VX }, // 8228
  { PseudoVSLIDEDOWN_VX_M8, VSLIDEDOWN_VX }, // 8229
  { PseudoVSLIDEDOWN_VX_M8_MASK, VSLIDEDOWN_VX }, // 8230
  { PseudoVSLIDEDOWN_VX_MF2, VSLIDEDOWN_VX }, // 8231
  { PseudoVSLIDEDOWN_VX_MF2_MASK, VSLIDEDOWN_VX }, // 8232
  { PseudoVSLIDEDOWN_VX_MF4, VSLIDEDOWN_VX }, // 8233
  { PseudoVSLIDEDOWN_VX_MF4_MASK, VSLIDEDOWN_VX }, // 8234
  { PseudoVSLIDEDOWN_VX_MF8, VSLIDEDOWN_VX }, // 8235
  { PseudoVSLIDEDOWN_VX_MF8_MASK, VSLIDEDOWN_VX }, // 8236
  { PseudoVSLIDEUP_VI_M1, VSLIDEUP_VI }, // 8237
  { PseudoVSLIDEUP_VI_M1_MASK, VSLIDEUP_VI }, // 8238
  { PseudoVSLIDEUP_VI_M2, VSLIDEUP_VI }, // 8239
  { PseudoVSLIDEUP_VI_M2_MASK, VSLIDEUP_VI }, // 8240
  { PseudoVSLIDEUP_VI_M4, VSLIDEUP_VI }, // 8241
  { PseudoVSLIDEUP_VI_M4_MASK, VSLIDEUP_VI }, // 8242
  { PseudoVSLIDEUP_VI_M8, VSLIDEUP_VI }, // 8243
  { PseudoVSLIDEUP_VI_M8_MASK, VSLIDEUP_VI }, // 8244
  { PseudoVSLIDEUP_VI_MF2, VSLIDEUP_VI }, // 8245
  { PseudoVSLIDEUP_VI_MF2_MASK, VSLIDEUP_VI }, // 8246
  { PseudoVSLIDEUP_VI_MF4, VSLIDEUP_VI }, // 8247
  { PseudoVSLIDEUP_VI_MF4_MASK, VSLIDEUP_VI }, // 8248
  { PseudoVSLIDEUP_VI_MF8, VSLIDEUP_VI }, // 8249
  { PseudoVSLIDEUP_VI_MF8_MASK, VSLIDEUP_VI }, // 8250
  { PseudoVSLIDEUP_VX_M1, VSLIDEUP_VX }, // 8251
  { PseudoVSLIDEUP_VX_M1_MASK, VSLIDEUP_VX }, // 8252
  { PseudoVSLIDEUP_VX_M2, VSLIDEUP_VX }, // 8253
  { PseudoVSLIDEUP_VX_M2_MASK, VSLIDEUP_VX }, // 8254
  { PseudoVSLIDEUP_VX_M4, VSLIDEUP_VX }, // 8255
  { PseudoVSLIDEUP_VX_M4_MASK, VSLIDEUP_VX }, // 8256
  { PseudoVSLIDEUP_VX_M8, VSLIDEUP_VX }, // 8257
  { PseudoVSLIDEUP_VX_M8_MASK, VSLIDEUP_VX }, // 8258
  { PseudoVSLIDEUP_VX_MF2, VSLIDEUP_VX }, // 8259
  { PseudoVSLIDEUP_VX_MF2_MASK, VSLIDEUP_VX }, // 8260
  { PseudoVSLIDEUP_VX_MF4, VSLIDEUP_VX }, // 8261
  { PseudoVSLIDEUP_VX_MF4_MASK, VSLIDEUP_VX }, // 8262
  { PseudoVSLIDEUP_VX_MF8, VSLIDEUP_VX }, // 8263
  { PseudoVSLIDEUP_VX_MF8_MASK, VSLIDEUP_VX }, // 8264
  { PseudoVSLL_VI_M1, VSLL_VI }, // 8265
  { PseudoVSLL_VI_M1_MASK, VSLL_VI }, // 8266
  { PseudoVSLL_VI_M1_TU, VSLL_VI }, // 8267
  { PseudoVSLL_VI_M2, VSLL_VI }, // 8268
  { PseudoVSLL_VI_M2_MASK, VSLL_VI }, // 8269
  { PseudoVSLL_VI_M2_TU, VSLL_VI }, // 8270
  { PseudoVSLL_VI_M4, VSLL_VI }, // 8271
  { PseudoVSLL_VI_M4_MASK, VSLL_VI }, // 8272
  { PseudoVSLL_VI_M4_TU, VSLL_VI }, // 8273
  { PseudoVSLL_VI_M8, VSLL_VI }, // 8274
  { PseudoVSLL_VI_M8_MASK, VSLL_VI }, // 8275
  { PseudoVSLL_VI_M8_TU, VSLL_VI }, // 8276
  { PseudoVSLL_VI_MF2, VSLL_VI }, // 8277
  { PseudoVSLL_VI_MF2_MASK, VSLL_VI }, // 8278
  { PseudoVSLL_VI_MF2_TU, VSLL_VI }, // 8279
  { PseudoVSLL_VI_MF4, VSLL_VI }, // 8280
  { PseudoVSLL_VI_MF4_MASK, VSLL_VI }, // 8281
  { PseudoVSLL_VI_MF4_TU, VSLL_VI }, // 8282
  { PseudoVSLL_VI_MF8, VSLL_VI }, // 8283
  { PseudoVSLL_VI_MF8_MASK, VSLL_VI }, // 8284
  { PseudoVSLL_VI_MF8_TU, VSLL_VI }, // 8285
  { PseudoVSLL_VV_M1, VSLL_VV }, // 8286
  { PseudoVSLL_VV_M1_MASK, VSLL_VV }, // 8287
  { PseudoVSLL_VV_M1_TU, VSLL_VV }, // 8288
  { PseudoVSLL_VV_M2, VSLL_VV }, // 8289
  { PseudoVSLL_VV_M2_MASK, VSLL_VV }, // 8290
  { PseudoVSLL_VV_M2_TU, VSLL_VV }, // 8291
  { PseudoVSLL_VV_M4, VSLL_VV }, // 8292
  { PseudoVSLL_VV_M4_MASK, VSLL_VV }, // 8293
  { PseudoVSLL_VV_M4_TU, VSLL_VV }, // 8294
  { PseudoVSLL_VV_M8, VSLL_VV }, // 8295
  { PseudoVSLL_VV_M8_MASK, VSLL_VV }, // 8296
  { PseudoVSLL_VV_M8_TU, VSLL_VV }, // 8297
  { PseudoVSLL_VV_MF2, VSLL_VV }, // 8298
  { PseudoVSLL_VV_MF2_MASK, VSLL_VV }, // 8299
  { PseudoVSLL_VV_MF2_TU, VSLL_VV }, // 8300
  { PseudoVSLL_VV_MF4, VSLL_VV }, // 8301
  { PseudoVSLL_VV_MF4_MASK, VSLL_VV }, // 8302
  { PseudoVSLL_VV_MF4_TU, VSLL_VV }, // 8303
  { PseudoVSLL_VV_MF8, VSLL_VV }, // 8304
  { PseudoVSLL_VV_MF8_MASK, VSLL_VV }, // 8305
  { PseudoVSLL_VV_MF8_TU, VSLL_VV }, // 8306
  { PseudoVSLL_VX_M1, VSLL_VX }, // 8307
  { PseudoVSLL_VX_M1_MASK, VSLL_VX }, // 8308
  { PseudoVSLL_VX_M1_TU, VSLL_VX }, // 8309
  { PseudoVSLL_VX_M2, VSLL_VX }, // 8310
  { PseudoVSLL_VX_M2_MASK, VSLL_VX }, // 8311
  { PseudoVSLL_VX_M2_TU, VSLL_VX }, // 8312
  { PseudoVSLL_VX_M4, VSLL_VX }, // 8313
  { PseudoVSLL_VX_M4_MASK, VSLL_VX }, // 8314
  { PseudoVSLL_VX_M4_TU, VSLL_VX }, // 8315
  { PseudoVSLL_VX_M8, VSLL_VX }, // 8316
  { PseudoVSLL_VX_M8_MASK, VSLL_VX }, // 8317
  { PseudoVSLL_VX_M8_TU, VSLL_VX }, // 8318
  { PseudoVSLL_VX_MF2, VSLL_VX }, // 8319
  { PseudoVSLL_VX_MF2_MASK, VSLL_VX }, // 8320
  { PseudoVSLL_VX_MF2_TU, VSLL_VX }, // 8321
  { PseudoVSLL_VX_MF4, VSLL_VX }, // 8322
  { PseudoVSLL_VX_MF4_MASK, VSLL_VX }, // 8323
  { PseudoVSLL_VX_MF4_TU, VSLL_VX }, // 8324
  { PseudoVSLL_VX_MF8, VSLL_VX }, // 8325
  { PseudoVSLL_VX_MF8_MASK, VSLL_VX }, // 8326
  { PseudoVSLL_VX_MF8_TU, VSLL_VX }, // 8327
  { PseudoVSMUL_VV_M1, VSMUL_VV }, // 8328
  { PseudoVSMUL_VV_M1_MASK, VSMUL_VV }, // 8329
  { PseudoVSMUL_VV_M1_TU, VSMUL_VV }, // 8330
  { PseudoVSMUL_VV_M2, VSMUL_VV }, // 8331
  { PseudoVSMUL_VV_M2_MASK, VSMUL_VV }, // 8332
  { PseudoVSMUL_VV_M2_TU, VSMUL_VV }, // 8333
  { PseudoVSMUL_VV_M4, VSMUL_VV }, // 8334
  { PseudoVSMUL_VV_M4_MASK, VSMUL_VV }, // 8335
  { PseudoVSMUL_VV_M4_TU, VSMUL_VV }, // 8336
  { PseudoVSMUL_VV_M8, VSMUL_VV }, // 8337
  { PseudoVSMUL_VV_M8_MASK, VSMUL_VV }, // 8338
  { PseudoVSMUL_VV_M8_TU, VSMUL_VV }, // 8339
  { PseudoVSMUL_VV_MF2, VSMUL_VV }, // 8340
  { PseudoVSMUL_VV_MF2_MASK, VSMUL_VV }, // 8341
  { PseudoVSMUL_VV_MF2_TU, VSMUL_VV }, // 8342
  { PseudoVSMUL_VV_MF4, VSMUL_VV }, // 8343
  { PseudoVSMUL_VV_MF4_MASK, VSMUL_VV }, // 8344
  { PseudoVSMUL_VV_MF4_TU, VSMUL_VV }, // 8345
  { PseudoVSMUL_VV_MF8, VSMUL_VV }, // 8346
  { PseudoVSMUL_VV_MF8_MASK, VSMUL_VV }, // 8347
  { PseudoVSMUL_VV_MF8_TU, VSMUL_VV }, // 8348
  { PseudoVSMUL_VX_M1, VSMUL_VX }, // 8349
  { PseudoVSMUL_VX_M1_MASK, VSMUL_VX }, // 8350
  { PseudoVSMUL_VX_M1_TU, VSMUL_VX }, // 8351
  { PseudoVSMUL_VX_M2, VSMUL_VX }, // 8352
  { PseudoVSMUL_VX_M2_MASK, VSMUL_VX }, // 8353
  { PseudoVSMUL_VX_M2_TU, VSMUL_VX }, // 8354
  { PseudoVSMUL_VX_M4, VSMUL_VX }, // 8355
  { PseudoVSMUL_VX_M4_MASK, VSMUL_VX }, // 8356
  { PseudoVSMUL_VX_M4_TU, VSMUL_VX }, // 8357
  { PseudoVSMUL_VX_M8, VSMUL_VX }, // 8358
  { PseudoVSMUL_VX_M8_MASK, VSMUL_VX }, // 8359
  { PseudoVSMUL_VX_M8_TU, VSMUL_VX }, // 8360
  { PseudoVSMUL_VX_MF2, VSMUL_VX }, // 8361
  { PseudoVSMUL_VX_MF2_MASK, VSMUL_VX }, // 8362
  { PseudoVSMUL_VX_MF2_TU, VSMUL_VX }, // 8363
  { PseudoVSMUL_VX_MF4, VSMUL_VX }, // 8364
  { PseudoVSMUL_VX_MF4_MASK, VSMUL_VX }, // 8365
  { PseudoVSMUL_VX_MF4_TU, VSMUL_VX }, // 8366
  { PseudoVSMUL_VX_MF8, VSMUL_VX }, // 8367
  { PseudoVSMUL_VX_MF8_MASK, VSMUL_VX }, // 8368
  { PseudoVSMUL_VX_MF8_TU, VSMUL_VX }, // 8369
  { PseudoVSM_V_B1, VSM_V }, // 8370
  { PseudoVSM_V_B16, VSM_V }, // 8371
  { PseudoVSM_V_B2, VSM_V }, // 8372
  { PseudoVSM_V_B32, VSM_V }, // 8373
  { PseudoVSM_V_B4, VSM_V }, // 8374
  { PseudoVSM_V_B64, VSM_V }, // 8375
  { PseudoVSM_V_B8, VSM_V }, // 8376
  { PseudoVSOXEI16_V_M1_M1, VSOXEI16_V }, // 8377
  { PseudoVSOXEI16_V_M1_M1_MASK, VSOXEI16_V }, // 8378
  { PseudoVSOXEI16_V_M1_M2, VSOXEI16_V }, // 8379
  { PseudoVSOXEI16_V_M1_M2_MASK, VSOXEI16_V }, // 8380
  { PseudoVSOXEI16_V_M1_M4, VSOXEI16_V }, // 8381
  { PseudoVSOXEI16_V_M1_M4_MASK, VSOXEI16_V }, // 8382
  { PseudoVSOXEI16_V_M1_MF2, VSOXEI16_V }, // 8383
  { PseudoVSOXEI16_V_M1_MF2_MASK, VSOXEI16_V }, // 8384
  { PseudoVSOXEI16_V_M2_M1, VSOXEI16_V }, // 8385
  { PseudoVSOXEI16_V_M2_M1_MASK, VSOXEI16_V }, // 8386
  { PseudoVSOXEI16_V_M2_M2, VSOXEI16_V }, // 8387
  { PseudoVSOXEI16_V_M2_M2_MASK, VSOXEI16_V }, // 8388
  { PseudoVSOXEI16_V_M2_M4, VSOXEI16_V }, // 8389
  { PseudoVSOXEI16_V_M2_M4_MASK, VSOXEI16_V }, // 8390
  { PseudoVSOXEI16_V_M2_M8, VSOXEI16_V }, // 8391
  { PseudoVSOXEI16_V_M2_M8_MASK, VSOXEI16_V }, // 8392
  { PseudoVSOXEI16_V_M4_M2, VSOXEI16_V }, // 8393
  { PseudoVSOXEI16_V_M4_M2_MASK, VSOXEI16_V }, // 8394
  { PseudoVSOXEI16_V_M4_M4, VSOXEI16_V }, // 8395
  { PseudoVSOXEI16_V_M4_M4_MASK, VSOXEI16_V }, // 8396
  { PseudoVSOXEI16_V_M4_M8, VSOXEI16_V }, // 8397
  { PseudoVSOXEI16_V_M4_M8_MASK, VSOXEI16_V }, // 8398
  { PseudoVSOXEI16_V_M8_M4, VSOXEI16_V }, // 8399
  { PseudoVSOXEI16_V_M8_M4_MASK, VSOXEI16_V }, // 8400
  { PseudoVSOXEI16_V_M8_M8, VSOXEI16_V }, // 8401
  { PseudoVSOXEI16_V_M8_M8_MASK, VSOXEI16_V }, // 8402
  { PseudoVSOXEI16_V_MF2_M1, VSOXEI16_V }, // 8403
  { PseudoVSOXEI16_V_MF2_M1_MASK, VSOXEI16_V }, // 8404
  { PseudoVSOXEI16_V_MF2_M2, VSOXEI16_V }, // 8405
  { PseudoVSOXEI16_V_MF2_M2_MASK, VSOXEI16_V }, // 8406
  { PseudoVSOXEI16_V_MF2_MF2, VSOXEI16_V }, // 8407
  { PseudoVSOXEI16_V_MF2_MF2_MASK, VSOXEI16_V }, // 8408
  { PseudoVSOXEI16_V_MF2_MF4, VSOXEI16_V }, // 8409
  { PseudoVSOXEI16_V_MF2_MF4_MASK, VSOXEI16_V }, // 8410
  { PseudoVSOXEI16_V_MF4_M1, VSOXEI16_V }, // 8411
  { PseudoVSOXEI16_V_MF4_M1_MASK, VSOXEI16_V }, // 8412
  { PseudoVSOXEI16_V_MF4_MF2, VSOXEI16_V }, // 8413
  { PseudoVSOXEI16_V_MF4_MF2_MASK, VSOXEI16_V }, // 8414
  { PseudoVSOXEI16_V_MF4_MF4, VSOXEI16_V }, // 8415
  { PseudoVSOXEI16_V_MF4_MF4_MASK, VSOXEI16_V }, // 8416
  { PseudoVSOXEI16_V_MF4_MF8, VSOXEI16_V }, // 8417
  { PseudoVSOXEI16_V_MF4_MF8_MASK, VSOXEI16_V }, // 8418
  { PseudoVSOXEI32_V_M1_M1, VSOXEI32_V }, // 8419
  { PseudoVSOXEI32_V_M1_M1_MASK, VSOXEI32_V }, // 8420
  { PseudoVSOXEI32_V_M1_M2, VSOXEI32_V }, // 8421
  { PseudoVSOXEI32_V_M1_M2_MASK, VSOXEI32_V }, // 8422
  { PseudoVSOXEI32_V_M1_MF2, VSOXEI32_V }, // 8423
  { PseudoVSOXEI32_V_M1_MF2_MASK, VSOXEI32_V }, // 8424
  { PseudoVSOXEI32_V_M1_MF4, VSOXEI32_V }, // 8425
  { PseudoVSOXEI32_V_M1_MF4_MASK, VSOXEI32_V }, // 8426
  { PseudoVSOXEI32_V_M2_M1, VSOXEI32_V }, // 8427
  { PseudoVSOXEI32_V_M2_M1_MASK, VSOXEI32_V }, // 8428
  { PseudoVSOXEI32_V_M2_M2, VSOXEI32_V }, // 8429
  { PseudoVSOXEI32_V_M2_M2_MASK, VSOXEI32_V }, // 8430
  { PseudoVSOXEI32_V_M2_M4, VSOXEI32_V }, // 8431
  { PseudoVSOXEI32_V_M2_M4_MASK, VSOXEI32_V }, // 8432
  { PseudoVSOXEI32_V_M2_MF2, VSOXEI32_V }, // 8433
  { PseudoVSOXEI32_V_M2_MF2_MASK, VSOXEI32_V }, // 8434
  { PseudoVSOXEI32_V_M4_M1, VSOXEI32_V }, // 8435
  { PseudoVSOXEI32_V_M4_M1_MASK, VSOXEI32_V }, // 8436
  { PseudoVSOXEI32_V_M4_M2, VSOXEI32_V }, // 8437
  { PseudoVSOXEI32_V_M4_M2_MASK, VSOXEI32_V }, // 8438
  { PseudoVSOXEI32_V_M4_M4, VSOXEI32_V }, // 8439
  { PseudoVSOXEI32_V_M4_M4_MASK, VSOXEI32_V }, // 8440
  { PseudoVSOXEI32_V_M4_M8, VSOXEI32_V }, // 8441
  { PseudoVSOXEI32_V_M4_M8_MASK, VSOXEI32_V }, // 8442
  { PseudoVSOXEI32_V_M8_M2, VSOXEI32_V }, // 8443
  { PseudoVSOXEI32_V_M8_M2_MASK, VSOXEI32_V }, // 8444
  { PseudoVSOXEI32_V_M8_M4, VSOXEI32_V }, // 8445
  { PseudoVSOXEI32_V_M8_M4_MASK, VSOXEI32_V }, // 8446
  { PseudoVSOXEI32_V_M8_M8, VSOXEI32_V }, // 8447
  { PseudoVSOXEI32_V_M8_M8_MASK, VSOXEI32_V }, // 8448
  { PseudoVSOXEI32_V_MF2_M1, VSOXEI32_V }, // 8449
  { PseudoVSOXEI32_V_MF2_M1_MASK, VSOXEI32_V }, // 8450
  { PseudoVSOXEI32_V_MF2_MF2, VSOXEI32_V }, // 8451
  { PseudoVSOXEI32_V_MF2_MF2_MASK, VSOXEI32_V }, // 8452
  { PseudoVSOXEI32_V_MF2_MF4, VSOXEI32_V }, // 8453
  { PseudoVSOXEI32_V_MF2_MF4_MASK, VSOXEI32_V }, // 8454
  { PseudoVSOXEI32_V_MF2_MF8, VSOXEI32_V }, // 8455
  { PseudoVSOXEI32_V_MF2_MF8_MASK, VSOXEI32_V }, // 8456
  { PseudoVSOXEI64_V_M1_M1, VSOXEI64_V }, // 8457
  { PseudoVSOXEI64_V_M1_M1_MASK, VSOXEI64_V }, // 8458
  { PseudoVSOXEI64_V_M1_MF2, VSOXEI64_V }, // 8459
  { PseudoVSOXEI64_V_M1_MF2_MASK, VSOXEI64_V }, // 8460
  { PseudoVSOXEI64_V_M1_MF4, VSOXEI64_V }, // 8461
  { PseudoVSOXEI64_V_M1_MF4_MASK, VSOXEI64_V }, // 8462
  { PseudoVSOXEI64_V_M1_MF8, VSOXEI64_V }, // 8463
  { PseudoVSOXEI64_V_M1_MF8_MASK, VSOXEI64_V }, // 8464
  { PseudoVSOXEI64_V_M2_M1, VSOXEI64_V }, // 8465
  { PseudoVSOXEI64_V_M2_M1_MASK, VSOXEI64_V }, // 8466
  { PseudoVSOXEI64_V_M2_M2, VSOXEI64_V }, // 8467
  { PseudoVSOXEI64_V_M2_M2_MASK, VSOXEI64_V }, // 8468
  { PseudoVSOXEI64_V_M2_MF2, VSOXEI64_V }, // 8469
  { PseudoVSOXEI64_V_M2_MF2_MASK, VSOXEI64_V }, // 8470
  { PseudoVSOXEI64_V_M2_MF4, VSOXEI64_V }, // 8471
  { PseudoVSOXEI64_V_M2_MF4_MASK, VSOXEI64_V }, // 8472
  { PseudoVSOXEI64_V_M4_M1, VSOXEI64_V }, // 8473
  { PseudoVSOXEI64_V_M4_M1_MASK, VSOXEI64_V }, // 8474
  { PseudoVSOXEI64_V_M4_M2, VSOXEI64_V }, // 8475
  { PseudoVSOXEI64_V_M4_M2_MASK, VSOXEI64_V }, // 8476
  { PseudoVSOXEI64_V_M4_M4, VSOXEI64_V }, // 8477
  { PseudoVSOXEI64_V_M4_M4_MASK, VSOXEI64_V }, // 8478
  { PseudoVSOXEI64_V_M4_MF2, VSOXEI64_V }, // 8479
  { PseudoVSOXEI64_V_M4_MF2_MASK, VSOXEI64_V }, // 8480
  { PseudoVSOXEI64_V_M8_M1, VSOXEI64_V }, // 8481
  { PseudoVSOXEI64_V_M8_M1_MASK, VSOXEI64_V }, // 8482
  { PseudoVSOXEI64_V_M8_M2, VSOXEI64_V }, // 8483
  { PseudoVSOXEI64_V_M8_M2_MASK, VSOXEI64_V }, // 8484
  { PseudoVSOXEI64_V_M8_M4, VSOXEI64_V }, // 8485
  { PseudoVSOXEI64_V_M8_M4_MASK, VSOXEI64_V }, // 8486
  { PseudoVSOXEI64_V_M8_M8, VSOXEI64_V }, // 8487
  { PseudoVSOXEI64_V_M8_M8_MASK, VSOXEI64_V }, // 8488
  { PseudoVSOXEI8_V_M1_M1, VSOXEI8_V }, // 8489
  { PseudoVSOXEI8_V_M1_M1_MASK, VSOXEI8_V }, // 8490
  { PseudoVSOXEI8_V_M1_M2, VSOXEI8_V }, // 8491
  { PseudoVSOXEI8_V_M1_M2_MASK, VSOXEI8_V }, // 8492
  { PseudoVSOXEI8_V_M1_M4, VSOXEI8_V }, // 8493
  { PseudoVSOXEI8_V_M1_M4_MASK, VSOXEI8_V }, // 8494
  { PseudoVSOXEI8_V_M1_M8, VSOXEI8_V }, // 8495
  { PseudoVSOXEI8_V_M1_M8_MASK, VSOXEI8_V }, // 8496
  { PseudoVSOXEI8_V_M2_M2, VSOXEI8_V }, // 8497
  { PseudoVSOXEI8_V_M2_M2_MASK, VSOXEI8_V }, // 8498
  { PseudoVSOXEI8_V_M2_M4, VSOXEI8_V }, // 8499
  { PseudoVSOXEI8_V_M2_M4_MASK, VSOXEI8_V }, // 8500
  { PseudoVSOXEI8_V_M2_M8, VSOXEI8_V }, // 8501
  { PseudoVSOXEI8_V_M2_M8_MASK, VSOXEI8_V }, // 8502
  { PseudoVSOXEI8_V_M4_M4, VSOXEI8_V }, // 8503
  { PseudoVSOXEI8_V_M4_M4_MASK, VSOXEI8_V }, // 8504
  { PseudoVSOXEI8_V_M4_M8, VSOXEI8_V }, // 8505
  { PseudoVSOXEI8_V_M4_M8_MASK, VSOXEI8_V }, // 8506
  { PseudoVSOXEI8_V_M8_M8, VSOXEI8_V }, // 8507
  { PseudoVSOXEI8_V_M8_M8_MASK, VSOXEI8_V }, // 8508
  { PseudoVSOXEI8_V_MF2_M1, VSOXEI8_V }, // 8509
  { PseudoVSOXEI8_V_MF2_M1_MASK, VSOXEI8_V }, // 8510
  { PseudoVSOXEI8_V_MF2_M2, VSOXEI8_V }, // 8511
  { PseudoVSOXEI8_V_MF2_M2_MASK, VSOXEI8_V }, // 8512
  { PseudoVSOXEI8_V_MF2_M4, VSOXEI8_V }, // 8513
  { PseudoVSOXEI8_V_MF2_M4_MASK, VSOXEI8_V }, // 8514
  { PseudoVSOXEI8_V_MF2_MF2, VSOXEI8_V }, // 8515
  { PseudoVSOXEI8_V_MF2_MF2_MASK, VSOXEI8_V }, // 8516
  { PseudoVSOXEI8_V_MF4_M1, VSOXEI8_V }, // 8517
  { PseudoVSOXEI8_V_MF4_M1_MASK, VSOXEI8_V }, // 8518
  { PseudoVSOXEI8_V_MF4_M2, VSOXEI8_V }, // 8519
  { PseudoVSOXEI8_V_MF4_M2_MASK, VSOXEI8_V }, // 8520
  { PseudoVSOXEI8_V_MF4_MF2, VSOXEI8_V }, // 8521
  { PseudoVSOXEI8_V_MF4_MF2_MASK, VSOXEI8_V }, // 8522
  { PseudoVSOXEI8_V_MF4_MF4, VSOXEI8_V }, // 8523
  { PseudoVSOXEI8_V_MF4_MF4_MASK, VSOXEI8_V }, // 8524
  { PseudoVSOXEI8_V_MF8_M1, VSOXEI8_V }, // 8525
  { PseudoVSOXEI8_V_MF8_M1_MASK, VSOXEI8_V }, // 8526
  { PseudoVSOXEI8_V_MF8_MF2, VSOXEI8_V }, // 8527
  { PseudoVSOXEI8_V_MF8_MF2_MASK, VSOXEI8_V }, // 8528
  { PseudoVSOXEI8_V_MF8_MF4, VSOXEI8_V }, // 8529
  { PseudoVSOXEI8_V_MF8_MF4_MASK, VSOXEI8_V }, // 8530
  { PseudoVSOXEI8_V_MF8_MF8, VSOXEI8_V }, // 8531
  { PseudoVSOXEI8_V_MF8_MF8_MASK, VSOXEI8_V }, // 8532
  { PseudoVSOXSEG2EI16_V_M1_M1, VSOXSEG2EI16_V }, // 8533
  { PseudoVSOXSEG2EI16_V_M1_M1_MASK, VSOXSEG2EI16_V }, // 8534
  { PseudoVSOXSEG2EI16_V_M1_M2, VSOXSEG2EI16_V }, // 8535
  { PseudoVSOXSEG2EI16_V_M1_M2_MASK, VSOXSEG2EI16_V }, // 8536
  { PseudoVSOXSEG2EI16_V_M1_M4, VSOXSEG2EI16_V }, // 8537
  { PseudoVSOXSEG2EI16_V_M1_M4_MASK, VSOXSEG2EI16_V }, // 8538
  { PseudoVSOXSEG2EI16_V_M1_MF2, VSOXSEG2EI16_V }, // 8539
  { PseudoVSOXSEG2EI16_V_M1_MF2_MASK, VSOXSEG2EI16_V }, // 8540
  { PseudoVSOXSEG2EI16_V_M2_M1, VSOXSEG2EI16_V }, // 8541
  { PseudoVSOXSEG2EI16_V_M2_M1_MASK, VSOXSEG2EI16_V }, // 8542
  { PseudoVSOXSEG2EI16_V_M2_M2, VSOXSEG2EI16_V }, // 8543
  { PseudoVSOXSEG2EI16_V_M2_M2_MASK, VSOXSEG2EI16_V }, // 8544
  { PseudoVSOXSEG2EI16_V_M2_M4, VSOXSEG2EI16_V }, // 8545
  { PseudoVSOXSEG2EI16_V_M2_M4_MASK, VSOXSEG2EI16_V }, // 8546
  { PseudoVSOXSEG2EI16_V_M4_M2, VSOXSEG2EI16_V }, // 8547
  { PseudoVSOXSEG2EI16_V_M4_M2_MASK, VSOXSEG2EI16_V }, // 8548
  { PseudoVSOXSEG2EI16_V_M4_M4, VSOXSEG2EI16_V }, // 8549
  { PseudoVSOXSEG2EI16_V_M4_M4_MASK, VSOXSEG2EI16_V }, // 8550
  { PseudoVSOXSEG2EI16_V_M8_M4, VSOXSEG2EI16_V }, // 8551
  { PseudoVSOXSEG2EI16_V_M8_M4_MASK, VSOXSEG2EI16_V }, // 8552
  { PseudoVSOXSEG2EI16_V_MF2_M1, VSOXSEG2EI16_V }, // 8553
  { PseudoVSOXSEG2EI16_V_MF2_M1_MASK, VSOXSEG2EI16_V }, // 8554
  { PseudoVSOXSEG2EI16_V_MF2_M2, VSOXSEG2EI16_V }, // 8555
  { PseudoVSOXSEG2EI16_V_MF2_M2_MASK, VSOXSEG2EI16_V }, // 8556
  { PseudoVSOXSEG2EI16_V_MF2_MF2, VSOXSEG2EI16_V }, // 8557
  { PseudoVSOXSEG2EI16_V_MF2_MF2_MASK, VSOXSEG2EI16_V }, // 8558
  { PseudoVSOXSEG2EI16_V_MF2_MF4, VSOXSEG2EI16_V }, // 8559
  { PseudoVSOXSEG2EI16_V_MF2_MF4_MASK, VSOXSEG2EI16_V }, // 8560
  { PseudoVSOXSEG2EI16_V_MF4_M1, VSOXSEG2EI16_V }, // 8561
  { PseudoVSOXSEG2EI16_V_MF4_M1_MASK, VSOXSEG2EI16_V }, // 8562
  { PseudoVSOXSEG2EI16_V_MF4_MF2, VSOXSEG2EI16_V }, // 8563
  { PseudoVSOXSEG2EI16_V_MF4_MF2_MASK, VSOXSEG2EI16_V }, // 8564
  { PseudoVSOXSEG2EI16_V_MF4_MF4, VSOXSEG2EI16_V }, // 8565
  { PseudoVSOXSEG2EI16_V_MF4_MF4_MASK, VSOXSEG2EI16_V }, // 8566
  { PseudoVSOXSEG2EI16_V_MF4_MF8, VSOXSEG2EI16_V }, // 8567
  { PseudoVSOXSEG2EI16_V_MF4_MF8_MASK, VSOXSEG2EI16_V }, // 8568
  { PseudoVSOXSEG2EI32_V_M1_M1, VSOXSEG2EI32_V }, // 8569
  { PseudoVSOXSEG2EI32_V_M1_M1_MASK, VSOXSEG2EI32_V }, // 8570
  { PseudoVSOXSEG2EI32_V_M1_M2, VSOXSEG2EI32_V }, // 8571
  { PseudoVSOXSEG2EI32_V_M1_M2_MASK, VSOXSEG2EI32_V }, // 8572
  { PseudoVSOXSEG2EI32_V_M1_MF2, VSOXSEG2EI32_V }, // 8573
  { PseudoVSOXSEG2EI32_V_M1_MF2_MASK, VSOXSEG2EI32_V }, // 8574
  { PseudoVSOXSEG2EI32_V_M1_MF4, VSOXSEG2EI32_V }, // 8575
  { PseudoVSOXSEG2EI32_V_M1_MF4_MASK, VSOXSEG2EI32_V }, // 8576
  { PseudoVSOXSEG2EI32_V_M2_M1, VSOXSEG2EI32_V }, // 8577
  { PseudoVSOXSEG2EI32_V_M2_M1_MASK, VSOXSEG2EI32_V }, // 8578
  { PseudoVSOXSEG2EI32_V_M2_M2, VSOXSEG2EI32_V }, // 8579
  { PseudoVSOXSEG2EI32_V_M2_M2_MASK, VSOXSEG2EI32_V }, // 8580
  { PseudoVSOXSEG2EI32_V_M2_M4, VSOXSEG2EI32_V }, // 8581
  { PseudoVSOXSEG2EI32_V_M2_M4_MASK, VSOXSEG2EI32_V }, // 8582
  { PseudoVSOXSEG2EI32_V_M2_MF2, VSOXSEG2EI32_V }, // 8583
  { PseudoVSOXSEG2EI32_V_M2_MF2_MASK, VSOXSEG2EI32_V }, // 8584
  { PseudoVSOXSEG2EI32_V_M4_M1, VSOXSEG2EI32_V }, // 8585
  { PseudoVSOXSEG2EI32_V_M4_M1_MASK, VSOXSEG2EI32_V }, // 8586
  { PseudoVSOXSEG2EI32_V_M4_M2, VSOXSEG2EI32_V }, // 8587
  { PseudoVSOXSEG2EI32_V_M4_M2_MASK, VSOXSEG2EI32_V }, // 8588
  { PseudoVSOXSEG2EI32_V_M4_M4, VSOXSEG2EI32_V }, // 8589
  { PseudoVSOXSEG2EI32_V_M4_M4_MASK, VSOXSEG2EI32_V }, // 8590
  { PseudoVSOXSEG2EI32_V_M8_M2, VSOXSEG2EI32_V }, // 8591
  { PseudoVSOXSEG2EI32_V_M8_M2_MASK, VSOXSEG2EI32_V }, // 8592
  { PseudoVSOXSEG2EI32_V_M8_M4, VSOXSEG2EI32_V }, // 8593
  { PseudoVSOXSEG2EI32_V_M8_M4_MASK, VSOXSEG2EI32_V }, // 8594
  { PseudoVSOXSEG2EI32_V_MF2_M1, VSOXSEG2EI32_V }, // 8595
  { PseudoVSOXSEG2EI32_V_MF2_M1_MASK, VSOXSEG2EI32_V }, // 8596
  { PseudoVSOXSEG2EI32_V_MF2_MF2, VSOXSEG2EI32_V }, // 8597
  { PseudoVSOXSEG2EI32_V_MF2_MF2_MASK, VSOXSEG2EI32_V }, // 8598
  { PseudoVSOXSEG2EI32_V_MF2_MF4, VSOXSEG2EI32_V }, // 8599
  { PseudoVSOXSEG2EI32_V_MF2_MF4_MASK, VSOXSEG2EI32_V }, // 8600
  { PseudoVSOXSEG2EI32_V_MF2_MF8, VSOXSEG2EI32_V }, // 8601
  { PseudoVSOXSEG2EI32_V_MF2_MF8_MASK, VSOXSEG2EI32_V }, // 8602
  { PseudoVSOXSEG2EI64_V_M1_M1, VSOXSEG2EI64_V }, // 8603
  { PseudoVSOXSEG2EI64_V_M1_M1_MASK, VSOXSEG2EI64_V }, // 8604
  { PseudoVSOXSEG2EI64_V_M1_MF2, VSOXSEG2EI64_V }, // 8605
  { PseudoVSOXSEG2EI64_V_M1_MF2_MASK, VSOXSEG2EI64_V }, // 8606
  { PseudoVSOXSEG2EI64_V_M1_MF4, VSOXSEG2EI64_V }, // 8607
  { PseudoVSOXSEG2EI64_V_M1_MF4_MASK, VSOXSEG2EI64_V }, // 8608
  { PseudoVSOXSEG2EI64_V_M1_MF8, VSOXSEG2EI64_V }, // 8609
  { PseudoVSOXSEG2EI64_V_M1_MF8_MASK, VSOXSEG2EI64_V }, // 8610
  { PseudoVSOXSEG2EI64_V_M2_M1, VSOXSEG2EI64_V }, // 8611
  { PseudoVSOXSEG2EI64_V_M2_M1_MASK, VSOXSEG2EI64_V }, // 8612
  { PseudoVSOXSEG2EI64_V_M2_M2, VSOXSEG2EI64_V }, // 8613
  { PseudoVSOXSEG2EI64_V_M2_M2_MASK, VSOXSEG2EI64_V }, // 8614
  { PseudoVSOXSEG2EI64_V_M2_MF2, VSOXSEG2EI64_V }, // 8615
  { PseudoVSOXSEG2EI64_V_M2_MF2_MASK, VSOXSEG2EI64_V }, // 8616
  { PseudoVSOXSEG2EI64_V_M2_MF4, VSOXSEG2EI64_V }, // 8617
  { PseudoVSOXSEG2EI64_V_M2_MF4_MASK, VSOXSEG2EI64_V }, // 8618
  { PseudoVSOXSEG2EI64_V_M4_M1, VSOXSEG2EI64_V }, // 8619
  { PseudoVSOXSEG2EI64_V_M4_M1_MASK, VSOXSEG2EI64_V }, // 8620
  { PseudoVSOXSEG2EI64_V_M4_M2, VSOXSEG2EI64_V }, // 8621
  { PseudoVSOXSEG2EI64_V_M4_M2_MASK, VSOXSEG2EI64_V }, // 8622
  { PseudoVSOXSEG2EI64_V_M4_M4, VSOXSEG2EI64_V }, // 8623
  { PseudoVSOXSEG2EI64_V_M4_M4_MASK, VSOXSEG2EI64_V }, // 8624
  { PseudoVSOXSEG2EI64_V_M4_MF2, VSOXSEG2EI64_V }, // 8625
  { PseudoVSOXSEG2EI64_V_M4_MF2_MASK, VSOXSEG2EI64_V }, // 8626
  { PseudoVSOXSEG2EI64_V_M8_M1, VSOXSEG2EI64_V }, // 8627
  { PseudoVSOXSEG2EI64_V_M8_M1_MASK, VSOXSEG2EI64_V }, // 8628
  { PseudoVSOXSEG2EI64_V_M8_M2, VSOXSEG2EI64_V }, // 8629
  { PseudoVSOXSEG2EI64_V_M8_M2_MASK, VSOXSEG2EI64_V }, // 8630
  { PseudoVSOXSEG2EI64_V_M8_M4, VSOXSEG2EI64_V }, // 8631
  { PseudoVSOXSEG2EI64_V_M8_M4_MASK, VSOXSEG2EI64_V }, // 8632
  { PseudoVSOXSEG2EI8_V_M1_M1, VSOXSEG2EI8_V }, // 8633
  { PseudoVSOXSEG2EI8_V_M1_M1_MASK, VSOXSEG2EI8_V }, // 8634
  { PseudoVSOXSEG2EI8_V_M1_M2, VSOXSEG2EI8_V }, // 8635
  { PseudoVSOXSEG2EI8_V_M1_M2_MASK, VSOXSEG2EI8_V }, // 8636
  { PseudoVSOXSEG2EI8_V_M1_M4, VSOXSEG2EI8_V }, // 8637
  { PseudoVSOXSEG2EI8_V_M1_M4_MASK, VSOXSEG2EI8_V }, // 8638
  { PseudoVSOXSEG2EI8_V_M2_M2, VSOXSEG2EI8_V }, // 8639
  { PseudoVSOXSEG2EI8_V_M2_M2_MASK, VSOXSEG2EI8_V }, // 8640
  { PseudoVSOXSEG2EI8_V_M2_M4, VSOXSEG2EI8_V }, // 8641
  { PseudoVSOXSEG2EI8_V_M2_M4_MASK, VSOXSEG2EI8_V }, // 8642
  { PseudoVSOXSEG2EI8_V_M4_M4, VSOXSEG2EI8_V }, // 8643
  { PseudoVSOXSEG2EI8_V_M4_M4_MASK, VSOXSEG2EI8_V }, // 8644
  { PseudoVSOXSEG2EI8_V_MF2_M1, VSOXSEG2EI8_V }, // 8645
  { PseudoVSOXSEG2EI8_V_MF2_M1_MASK, VSOXSEG2EI8_V }, // 8646
  { PseudoVSOXSEG2EI8_V_MF2_M2, VSOXSEG2EI8_V }, // 8647
  { PseudoVSOXSEG2EI8_V_MF2_M2_MASK, VSOXSEG2EI8_V }, // 8648
  { PseudoVSOXSEG2EI8_V_MF2_M4, VSOXSEG2EI8_V }, // 8649
  { PseudoVSOXSEG2EI8_V_MF2_M4_MASK, VSOXSEG2EI8_V }, // 8650
  { PseudoVSOXSEG2EI8_V_MF2_MF2, VSOXSEG2EI8_V }, // 8651
  { PseudoVSOXSEG2EI8_V_MF2_MF2_MASK, VSOXSEG2EI8_V }, // 8652
  { PseudoVSOXSEG2EI8_V_MF4_M1, VSOXSEG2EI8_V }, // 8653
  { PseudoVSOXSEG2EI8_V_MF4_M1_MASK, VSOXSEG2EI8_V }, // 8654
  { PseudoVSOXSEG2EI8_V_MF4_M2, VSOXSEG2EI8_V }, // 8655
  { PseudoVSOXSEG2EI8_V_MF4_M2_MASK, VSOXSEG2EI8_V }, // 8656
  { PseudoVSOXSEG2EI8_V_MF4_MF2, VSOXSEG2EI8_V }, // 8657
  { PseudoVSOXSEG2EI8_V_MF4_MF2_MASK, VSOXSEG2EI8_V }, // 8658
  { PseudoVSOXSEG2EI8_V_MF4_MF4, VSOXSEG2EI8_V }, // 8659
  { PseudoVSOXSEG2EI8_V_MF4_MF4_MASK, VSOXSEG2EI8_V }, // 8660
  { PseudoVSOXSEG2EI8_V_MF8_M1, VSOXSEG2EI8_V }, // 8661
  { PseudoVSOXSEG2EI8_V_MF8_M1_MASK, VSOXSEG2EI8_V }, // 8662
  { PseudoVSOXSEG2EI8_V_MF8_MF2, VSOXSEG2EI8_V }, // 8663
  { PseudoVSOXSEG2EI8_V_MF8_MF2_MASK, VSOXSEG2EI8_V }, // 8664
  { PseudoVSOXSEG2EI8_V_MF8_MF4, VSOXSEG2EI8_V }, // 8665
  { PseudoVSOXSEG2EI8_V_MF8_MF4_MASK, VSOXSEG2EI8_V }, // 8666
  { PseudoVSOXSEG2EI8_V_MF8_MF8, VSOXSEG2EI8_V }, // 8667
  { PseudoVSOXSEG2EI8_V_MF8_MF8_MASK, VSOXSEG2EI8_V }, // 8668
  { PseudoVSOXSEG3EI16_V_M1_M1, VSOXSEG3EI16_V }, // 8669
  { PseudoVSOXSEG3EI16_V_M1_M1_MASK, VSOXSEG3EI16_V }, // 8670
  { PseudoVSOXSEG3EI16_V_M1_M2, VSOXSEG3EI16_V }, // 8671
  { PseudoVSOXSEG3EI16_V_M1_M2_MASK, VSOXSEG3EI16_V }, // 8672
  { PseudoVSOXSEG3EI16_V_M1_MF2, VSOXSEG3EI16_V }, // 8673
  { PseudoVSOXSEG3EI16_V_M1_MF2_MASK, VSOXSEG3EI16_V }, // 8674
  { PseudoVSOXSEG3EI16_V_M2_M1, VSOXSEG3EI16_V }, // 8675
  { PseudoVSOXSEG3EI16_V_M2_M1_MASK, VSOXSEG3EI16_V }, // 8676
  { PseudoVSOXSEG3EI16_V_M2_M2, VSOXSEG3EI16_V }, // 8677
  { PseudoVSOXSEG3EI16_V_M2_M2_MASK, VSOXSEG3EI16_V }, // 8678
  { PseudoVSOXSEG3EI16_V_M4_M2, VSOXSEG3EI16_V }, // 8679
  { PseudoVSOXSEG3EI16_V_M4_M2_MASK, VSOXSEG3EI16_V }, // 8680
  { PseudoVSOXSEG3EI16_V_MF2_M1, VSOXSEG3EI16_V }, // 8681
  { PseudoVSOXSEG3EI16_V_MF2_M1_MASK, VSOXSEG3EI16_V }, // 8682
  { PseudoVSOXSEG3EI16_V_MF2_M2, VSOXSEG3EI16_V }, // 8683
  { PseudoVSOXSEG3EI16_V_MF2_M2_MASK, VSOXSEG3EI16_V }, // 8684
  { PseudoVSOXSEG3EI16_V_MF2_MF2, VSOXSEG3EI16_V }, // 8685
  { PseudoVSOXSEG3EI16_V_MF2_MF2_MASK, VSOXSEG3EI16_V }, // 8686
  { PseudoVSOXSEG3EI16_V_MF2_MF4, VSOXSEG3EI16_V }, // 8687
  { PseudoVSOXSEG3EI16_V_MF2_MF4_MASK, VSOXSEG3EI16_V }, // 8688
  { PseudoVSOXSEG3EI16_V_MF4_M1, VSOXSEG3EI16_V }, // 8689
  { PseudoVSOXSEG3EI16_V_MF4_M1_MASK, VSOXSEG3EI16_V }, // 8690
  { PseudoVSOXSEG3EI16_V_MF4_MF2, VSOXSEG3EI16_V }, // 8691
  { PseudoVSOXSEG3EI16_V_MF4_MF2_MASK, VSOXSEG3EI16_V }, // 8692
  { PseudoVSOXSEG3EI16_V_MF4_MF4, VSOXSEG3EI16_V }, // 8693
  { PseudoVSOXSEG3EI16_V_MF4_MF4_MASK, VSOXSEG3EI16_V }, // 8694
  { PseudoVSOXSEG3EI16_V_MF4_MF8, VSOXSEG3EI16_V }, // 8695
  { PseudoVSOXSEG3EI16_V_MF4_MF8_MASK, VSOXSEG3EI16_V }, // 8696
  { PseudoVSOXSEG3EI32_V_M1_M1, VSOXSEG3EI32_V }, // 8697
  { PseudoVSOXSEG3EI32_V_M1_M1_MASK, VSOXSEG3EI32_V }, // 8698
  { PseudoVSOXSEG3EI32_V_M1_M2, VSOXSEG3EI32_V }, // 8699
  { PseudoVSOXSEG3EI32_V_M1_M2_MASK, VSOXSEG3EI32_V }, // 8700
  { PseudoVSOXSEG3EI32_V_M1_MF2, VSOXSEG3EI32_V }, // 8701
  { PseudoVSOXSEG3EI32_V_M1_MF2_MASK, VSOXSEG3EI32_V }, // 8702
  { PseudoVSOXSEG3EI32_V_M1_MF4, VSOXSEG3EI32_V }, // 8703
  { PseudoVSOXSEG3EI32_V_M1_MF4_MASK, VSOXSEG3EI32_V }, // 8704
  { PseudoVSOXSEG3EI32_V_M2_M1, VSOXSEG3EI32_V }, // 8705
  { PseudoVSOXSEG3EI32_V_M2_M1_MASK, VSOXSEG3EI32_V }, // 8706
  { PseudoVSOXSEG3EI32_V_M2_M2, VSOXSEG3EI32_V }, // 8707
  { PseudoVSOXSEG3EI32_V_M2_M2_MASK, VSOXSEG3EI32_V }, // 8708
  { PseudoVSOXSEG3EI32_V_M2_MF2, VSOXSEG3EI32_V }, // 8709
  { PseudoVSOXSEG3EI32_V_M2_MF2_MASK, VSOXSEG3EI32_V }, // 8710
  { PseudoVSOXSEG3EI32_V_M4_M1, VSOXSEG3EI32_V }, // 8711
  { PseudoVSOXSEG3EI32_V_M4_M1_MASK, VSOXSEG3EI32_V }, // 8712
  { PseudoVSOXSEG3EI32_V_M4_M2, VSOXSEG3EI32_V }, // 8713
  { PseudoVSOXSEG3EI32_V_M4_M2_MASK, VSOXSEG3EI32_V }, // 8714
  { PseudoVSOXSEG3EI32_V_M8_M2, VSOXSEG3EI32_V }, // 8715
  { PseudoVSOXSEG3EI32_V_M8_M2_MASK, VSOXSEG3EI32_V }, // 8716
  { PseudoVSOXSEG3EI32_V_MF2_M1, VSOXSEG3EI32_V }, // 8717
  { PseudoVSOXSEG3EI32_V_MF2_M1_MASK, VSOXSEG3EI32_V }, // 8718
  { PseudoVSOXSEG3EI32_V_MF2_MF2, VSOXSEG3EI32_V }, // 8719
  { PseudoVSOXSEG3EI32_V_MF2_MF2_MASK, VSOXSEG3EI32_V }, // 8720
  { PseudoVSOXSEG3EI32_V_MF2_MF4, VSOXSEG3EI32_V }, // 8721
  { PseudoVSOXSEG3EI32_V_MF2_MF4_MASK, VSOXSEG3EI32_V }, // 8722
  { PseudoVSOXSEG3EI32_V_MF2_MF8, VSOXSEG3EI32_V }, // 8723
  { PseudoVSOXSEG3EI32_V_MF2_MF8_MASK, VSOXSEG3EI32_V }, // 8724
  { PseudoVSOXSEG3EI64_V_M1_M1, VSOXSEG3EI64_V }, // 8725
  { PseudoVSOXSEG3EI64_V_M1_M1_MASK, VSOXSEG3EI64_V }, // 8726
  { PseudoVSOXSEG3EI64_V_M1_MF2, VSOXSEG3EI64_V }, // 8727
  { PseudoVSOXSEG3EI64_V_M1_MF2_MASK, VSOXSEG3EI64_V }, // 8728
  { PseudoVSOXSEG3EI64_V_M1_MF4, VSOXSEG3EI64_V }, // 8729
  { PseudoVSOXSEG3EI64_V_M1_MF4_MASK, VSOXSEG3EI64_V }, // 8730
  { PseudoVSOXSEG3EI64_V_M1_MF8, VSOXSEG3EI64_V }, // 8731
  { PseudoVSOXSEG3EI64_V_M1_MF8_MASK, VSOXSEG3EI64_V }, // 8732
  { PseudoVSOXSEG3EI64_V_M2_M1, VSOXSEG3EI64_V }, // 8733
  { PseudoVSOXSEG3EI64_V_M2_M1_MASK, VSOXSEG3EI64_V }, // 8734
  { PseudoVSOXSEG3EI64_V_M2_M2, VSOXSEG3EI64_V }, // 8735
  { PseudoVSOXSEG3EI64_V_M2_M2_MASK, VSOXSEG3EI64_V }, // 8736
  { PseudoVSOXSEG3EI64_V_M2_MF2, VSOXSEG3EI64_V }, // 8737
  { PseudoVSOXSEG3EI64_V_M2_MF2_MASK, VSOXSEG3EI64_V }, // 8738
  { PseudoVSOXSEG3EI64_V_M2_MF4, VSOXSEG3EI64_V }, // 8739
  { PseudoVSOXSEG3EI64_V_M2_MF4_MASK, VSOXSEG3EI64_V }, // 8740
  { PseudoVSOXSEG3EI64_V_M4_M1, VSOXSEG3EI64_V }, // 8741
  { PseudoVSOXSEG3EI64_V_M4_M1_MASK, VSOXSEG3EI64_V }, // 8742
  { PseudoVSOXSEG3EI64_V_M4_M2, VSOXSEG3EI64_V }, // 8743
  { PseudoVSOXSEG3EI64_V_M4_M2_MASK, VSOXSEG3EI64_V }, // 8744
  { PseudoVSOXSEG3EI64_V_M4_MF2, VSOXSEG3EI64_V }, // 8745
  { PseudoVSOXSEG3EI64_V_M4_MF2_MASK, VSOXSEG3EI64_V }, // 8746
  { PseudoVSOXSEG3EI64_V_M8_M1, VSOXSEG3EI64_V }, // 8747
  { PseudoVSOXSEG3EI64_V_M8_M1_MASK, VSOXSEG3EI64_V }, // 8748
  { PseudoVSOXSEG3EI64_V_M8_M2, VSOXSEG3EI64_V }, // 8749
  { PseudoVSOXSEG3EI64_V_M8_M2_MASK, VSOXSEG3EI64_V }, // 8750
  { PseudoVSOXSEG3EI8_V_M1_M1, VSOXSEG3EI8_V }, // 8751
  { PseudoVSOXSEG3EI8_V_M1_M1_MASK, VSOXSEG3EI8_V }, // 8752
  { PseudoVSOXSEG3EI8_V_M1_M2, VSOXSEG3EI8_V }, // 8753
  { PseudoVSOXSEG3EI8_V_M1_M2_MASK, VSOXSEG3EI8_V }, // 8754
  { PseudoVSOXSEG3EI8_V_M2_M2, VSOXSEG3EI8_V }, // 8755
  { PseudoVSOXSEG3EI8_V_M2_M2_MASK, VSOXSEG3EI8_V }, // 8756
  { PseudoVSOXSEG3EI8_V_MF2_M1, VSOXSEG3EI8_V }, // 8757
  { PseudoVSOXSEG3EI8_V_MF2_M1_MASK, VSOXSEG3EI8_V }, // 8758
  { PseudoVSOXSEG3EI8_V_MF2_M2, VSOXSEG3EI8_V }, // 8759
  { PseudoVSOXSEG3EI8_V_MF2_M2_MASK, VSOXSEG3EI8_V }, // 8760
  { PseudoVSOXSEG3EI8_V_MF2_MF2, VSOXSEG3EI8_V }, // 8761
  { PseudoVSOXSEG3EI8_V_MF2_MF2_MASK, VSOXSEG3EI8_V }, // 8762
  { PseudoVSOXSEG3EI8_V_MF4_M1, VSOXSEG3EI8_V }, // 8763
  { PseudoVSOXSEG3EI8_V_MF4_M1_MASK, VSOXSEG3EI8_V }, // 8764
  { PseudoVSOXSEG3EI8_V_MF4_M2, VSOXSEG3EI8_V }, // 8765
  { PseudoVSOXSEG3EI8_V_MF4_M2_MASK, VSOXSEG3EI8_V }, // 8766
  { PseudoVSOXSEG3EI8_V_MF4_MF2, VSOXSEG3EI8_V }, // 8767
  { PseudoVSOXSEG3EI8_V_MF4_MF2_MASK, VSOXSEG3EI8_V }, // 8768
  { PseudoVSOXSEG3EI8_V_MF4_MF4, VSOXSEG3EI8_V }, // 8769
  { PseudoVSOXSEG3EI8_V_MF4_MF4_MASK, VSOXSEG3EI8_V }, // 8770
  { PseudoVSOXSEG3EI8_V_MF8_M1, VSOXSEG3EI8_V }, // 8771
  { PseudoVSOXSEG3EI8_V_MF8_M1_MASK, VSOXSEG3EI8_V }, // 8772
  { PseudoVSOXSEG3EI8_V_MF8_MF2, VSOXSEG3EI8_V }, // 8773
  { PseudoVSOXSEG3EI8_V_MF8_MF2_MASK, VSOXSEG3EI8_V }, // 8774
  { PseudoVSOXSEG3EI8_V_MF8_MF4, VSOXSEG3EI8_V }, // 8775
  { PseudoVSOXSEG3EI8_V_MF8_MF4_MASK, VSOXSEG3EI8_V }, // 8776
  { PseudoVSOXSEG3EI8_V_MF8_MF8, VSOXSEG3EI8_V }, // 8777
  { PseudoVSOXSEG3EI8_V_MF8_MF8_MASK, VSOXSEG3EI8_V }, // 8778
  { PseudoVSOXSEG4EI16_V_M1_M1, VSOXSEG4EI16_V }, // 8779
  { PseudoVSOXSEG4EI16_V_M1_M1_MASK, VSOXSEG4EI16_V }, // 8780
  { PseudoVSOXSEG4EI16_V_M1_M2, VSOXSEG4EI16_V }, // 8781
  { PseudoVSOXSEG4EI16_V_M1_M2_MASK, VSOXSEG4EI16_V }, // 8782
  { PseudoVSOXSEG4EI16_V_M1_MF2, VSOXSEG4EI16_V }, // 8783
  { PseudoVSOXSEG4EI16_V_M1_MF2_MASK, VSOXSEG4EI16_V }, // 8784
  { PseudoVSOXSEG4EI16_V_M2_M1, VSOXSEG4EI16_V }, // 8785
  { PseudoVSOXSEG4EI16_V_M2_M1_MASK, VSOXSEG4EI16_V }, // 8786
  { PseudoVSOXSEG4EI16_V_M2_M2, VSOXSEG4EI16_V }, // 8787
  { PseudoVSOXSEG4EI16_V_M2_M2_MASK, VSOXSEG4EI16_V }, // 8788
  { PseudoVSOXSEG4EI16_V_M4_M2, VSOXSEG4EI16_V }, // 8789
  { PseudoVSOXSEG4EI16_V_M4_M2_MASK, VSOXSEG4EI16_V }, // 8790
  { PseudoVSOXSEG4EI16_V_MF2_M1, VSOXSEG4EI16_V }, // 8791
  { PseudoVSOXSEG4EI16_V_MF2_M1_MASK, VSOXSEG4EI16_V }, // 8792
  { PseudoVSOXSEG4EI16_V_MF2_M2, VSOXSEG4EI16_V }, // 8793
  { PseudoVSOXSEG4EI16_V_MF2_M2_MASK, VSOXSEG4EI16_V }, // 8794
  { PseudoVSOXSEG4EI16_V_MF2_MF2, VSOXSEG4EI16_V }, // 8795
  { PseudoVSOXSEG4EI16_V_MF2_MF2_MASK, VSOXSEG4EI16_V }, // 8796
  { PseudoVSOXSEG4EI16_V_MF2_MF4, VSOXSEG4EI16_V }, // 8797
  { PseudoVSOXSEG4EI16_V_MF2_MF4_MASK, VSOXSEG4EI16_V }, // 8798
  { PseudoVSOXSEG4EI16_V_MF4_M1, VSOXSEG4EI16_V }, // 8799
  { PseudoVSOXSEG4EI16_V_MF4_M1_MASK, VSOXSEG4EI16_V }, // 8800
  { PseudoVSOXSEG4EI16_V_MF4_MF2, VSOXSEG4EI16_V }, // 8801
  { PseudoVSOXSEG4EI16_V_MF4_MF2_MASK, VSOXSEG4EI16_V }, // 8802
  { PseudoVSOXSEG4EI16_V_MF4_MF4, VSOXSEG4EI16_V }, // 8803
  { PseudoVSOXSEG4EI16_V_MF4_MF4_MASK, VSOXSEG4EI16_V }, // 8804
  { PseudoVSOXSEG4EI16_V_MF4_MF8, VSOXSEG4EI16_V }, // 8805
  { PseudoVSOXSEG4EI16_V_MF4_MF8_MASK, VSOXSEG4EI16_V }, // 8806
  { PseudoVSOXSEG4EI32_V_M1_M1, VSOXSEG4EI32_V }, // 8807
  { PseudoVSOXSEG4EI32_V_M1_M1_MASK, VSOXSEG4EI32_V }, // 8808
  { PseudoVSOXSEG4EI32_V_M1_M2, VSOXSEG4EI32_V }, // 8809
  { PseudoVSOXSEG4EI32_V_M1_M2_MASK, VSOXSEG4EI32_V }, // 8810
  { PseudoVSOXSEG4EI32_V_M1_MF2, VSOXSEG4EI32_V }, // 8811
  { PseudoVSOXSEG4EI32_V_M1_MF2_MASK, VSOXSEG4EI32_V }, // 8812
  { PseudoVSOXSEG4EI32_V_M1_MF4, VSOXSEG4EI32_V }, // 8813
  { PseudoVSOXSEG4EI32_V_M1_MF4_MASK, VSOXSEG4EI32_V }, // 8814
  { PseudoVSOXSEG4EI32_V_M2_M1, VSOXSEG4EI32_V }, // 8815
  { PseudoVSOXSEG4EI32_V_M2_M1_MASK, VSOXSEG4EI32_V }, // 8816
  { PseudoVSOXSEG4EI32_V_M2_M2, VSOXSEG4EI32_V }, // 8817
  { PseudoVSOXSEG4EI32_V_M2_M2_MASK, VSOXSEG4EI32_V }, // 8818
  { PseudoVSOXSEG4EI32_V_M2_MF2, VSOXSEG4EI32_V }, // 8819
  { PseudoVSOXSEG4EI32_V_M2_MF2_MASK, VSOXSEG4EI32_V }, // 8820
  { PseudoVSOXSEG4EI32_V_M4_M1, VSOXSEG4EI32_V }, // 8821
  { PseudoVSOXSEG4EI32_V_M4_M1_MASK, VSOXSEG4EI32_V }, // 8822
  { PseudoVSOXSEG4EI32_V_M4_M2, VSOXSEG4EI32_V }, // 8823
  { PseudoVSOXSEG4EI32_V_M4_M2_MASK, VSOXSEG4EI32_V }, // 8824
  { PseudoVSOXSEG4EI32_V_M8_M2, VSOXSEG4EI32_V }, // 8825
  { PseudoVSOXSEG4EI32_V_M8_M2_MASK, VSOXSEG4EI32_V }, // 8826
  { PseudoVSOXSEG4EI32_V_MF2_M1, VSOXSEG4EI32_V }, // 8827
  { PseudoVSOXSEG4EI32_V_MF2_M1_MASK, VSOXSEG4EI32_V }, // 8828
  { PseudoVSOXSEG4EI32_V_MF2_MF2, VSOXSEG4EI32_V }, // 8829
  { PseudoVSOXSEG4EI32_V_MF2_MF2_MASK, VSOXSEG4EI32_V }, // 8830
  { PseudoVSOXSEG4EI32_V_MF2_MF4, VSOXSEG4EI32_V }, // 8831
  { PseudoVSOXSEG4EI32_V_MF2_MF4_MASK, VSOXSEG4EI32_V }, // 8832
  { PseudoVSOXSEG4EI32_V_MF2_MF8, VSOXSEG4EI32_V }, // 8833
  { PseudoVSOXSEG4EI32_V_MF2_MF8_MASK, VSOXSEG4EI32_V }, // 8834
  { PseudoVSOXSEG4EI64_V_M1_M1, VSOXSEG4EI64_V }, // 8835
  { PseudoVSOXSEG4EI64_V_M1_M1_MASK, VSOXSEG4EI64_V }, // 8836
  { PseudoVSOXSEG4EI64_V_M1_MF2, VSOXSEG4EI64_V }, // 8837
  { PseudoVSOXSEG4EI64_V_M1_MF2_MASK, VSOXSEG4EI64_V }, // 8838
  { PseudoVSOXSEG4EI64_V_M1_MF4, VSOXSEG4EI64_V }, // 8839
  { PseudoVSOXSEG4EI64_V_M1_MF4_MASK, VSOXSEG4EI64_V }, // 8840
  { PseudoVSOXSEG4EI64_V_M1_MF8, VSOXSEG4EI64_V }, // 8841
  { PseudoVSOXSEG4EI64_V_M1_MF8_MASK, VSOXSEG4EI64_V }, // 8842
  { PseudoVSOXSEG4EI64_V_M2_M1, VSOXSEG4EI64_V }, // 8843
  { PseudoVSOXSEG4EI64_V_M2_M1_MASK, VSOXSEG4EI64_V }, // 8844
  { PseudoVSOXSEG4EI64_V_M2_M2, VSOXSEG4EI64_V }, // 8845
  { PseudoVSOXSEG4EI64_V_M2_M2_MASK, VSOXSEG4EI64_V }, // 8846
  { PseudoVSOXSEG4EI64_V_M2_MF2, VSOXSEG4EI64_V }, // 8847
  { PseudoVSOXSEG4EI64_V_M2_MF2_MASK, VSOXSEG4EI64_V }, // 8848
  { PseudoVSOXSEG4EI64_V_M2_MF4, VSOXSEG4EI64_V }, // 8849
  { PseudoVSOXSEG4EI64_V_M2_MF4_MASK, VSOXSEG4EI64_V }, // 8850
  { PseudoVSOXSEG4EI64_V_M4_M1, VSOXSEG4EI64_V }, // 8851
  { PseudoVSOXSEG4EI64_V_M4_M1_MASK, VSOXSEG4EI64_V }, // 8852
  { PseudoVSOXSEG4EI64_V_M4_M2, VSOXSEG4EI64_V }, // 8853
  { PseudoVSOXSEG4EI64_V_M4_M2_MASK, VSOXSEG4EI64_V }, // 8854
  { PseudoVSOXSEG4EI64_V_M4_MF2, VSOXSEG4EI64_V }, // 8855
  { PseudoVSOXSEG4EI64_V_M4_MF2_MASK, VSOXSEG4EI64_V }, // 8856
  { PseudoVSOXSEG4EI64_V_M8_M1, VSOXSEG4EI64_V }, // 8857
  { PseudoVSOXSEG4EI64_V_M8_M1_MASK, VSOXSEG4EI64_V }, // 8858
  { PseudoVSOXSEG4EI64_V_M8_M2, VSOXSEG4EI64_V }, // 8859
  { PseudoVSOXSEG4EI64_V_M8_M2_MASK, VSOXSEG4EI64_V }, // 8860
  { PseudoVSOXSEG4EI8_V_M1_M1, VSOXSEG4EI8_V }, // 8861
  { PseudoVSOXSEG4EI8_V_M1_M1_MASK, VSOXSEG4EI8_V }, // 8862
  { PseudoVSOXSEG4EI8_V_M1_M2, VSOXSEG4EI8_V }, // 8863
  { PseudoVSOXSEG4EI8_V_M1_M2_MASK, VSOXSEG4EI8_V }, // 8864
  { PseudoVSOXSEG4EI8_V_M2_M2, VSOXSEG4EI8_V }, // 8865
  { PseudoVSOXSEG4EI8_V_M2_M2_MASK, VSOXSEG4EI8_V }, // 8866
  { PseudoVSOXSEG4EI8_V_MF2_M1, VSOXSEG4EI8_V }, // 8867
  { PseudoVSOXSEG4EI8_V_MF2_M1_MASK, VSOXSEG4EI8_V }, // 8868
  { PseudoVSOXSEG4EI8_V_MF2_M2, VSOXSEG4EI8_V }, // 8869
  { PseudoVSOXSEG4EI8_V_MF2_M2_MASK, VSOXSEG4EI8_V }, // 8870
  { PseudoVSOXSEG4EI8_V_MF2_MF2, VSOXSEG4EI8_V }, // 8871
  { PseudoVSOXSEG4EI8_V_MF2_MF2_MASK, VSOXSEG4EI8_V }, // 8872
  { PseudoVSOXSEG4EI8_V_MF4_M1, VSOXSEG4EI8_V }, // 8873
  { PseudoVSOXSEG4EI8_V_MF4_M1_MASK, VSOXSEG4EI8_V }, // 8874
  { PseudoVSOXSEG4EI8_V_MF4_M2, VSOXSEG4EI8_V }, // 8875
  { PseudoVSOXSEG4EI8_V_MF4_M2_MASK, VSOXSEG4EI8_V }, // 8876
  { PseudoVSOXSEG4EI8_V_MF4_MF2, VSOXSEG4EI8_V }, // 8877
  { PseudoVSOXSEG4EI8_V_MF4_MF2_MASK, VSOXSEG4EI8_V }, // 8878
  { PseudoVSOXSEG4EI8_V_MF4_MF4, VSOXSEG4EI8_V }, // 8879
  { PseudoVSOXSEG4EI8_V_MF4_MF4_MASK, VSOXSEG4EI8_V }, // 8880
  { PseudoVSOXSEG4EI8_V_MF8_M1, VSOXSEG4EI8_V }, // 8881
  { PseudoVSOXSEG4EI8_V_MF8_M1_MASK, VSOXSEG4EI8_V }, // 8882
  { PseudoVSOXSEG4EI8_V_MF8_MF2, VSOXSEG4EI8_V }, // 8883
  { PseudoVSOXSEG4EI8_V_MF8_MF2_MASK, VSOXSEG4EI8_V }, // 8884
  { PseudoVSOXSEG4EI8_V_MF8_MF4, VSOXSEG4EI8_V }, // 8885
  { PseudoVSOXSEG4EI8_V_MF8_MF4_MASK, VSOXSEG4EI8_V }, // 8886
  { PseudoVSOXSEG4EI8_V_MF8_MF8, VSOXSEG4EI8_V }, // 8887
  { PseudoVSOXSEG4EI8_V_MF8_MF8_MASK, VSOXSEG4EI8_V }, // 8888
  { PseudoVSOXSEG5EI16_V_M1_M1, VSOXSEG5EI16_V }, // 8889
  { PseudoVSOXSEG5EI16_V_M1_M1_MASK, VSOXSEG5EI16_V }, // 8890
  { PseudoVSOXSEG5EI16_V_M1_MF2, VSOXSEG5EI16_V }, // 8891
  { PseudoVSOXSEG5EI16_V_M1_MF2_MASK, VSOXSEG5EI16_V }, // 8892
  { PseudoVSOXSEG5EI16_V_M2_M1, VSOXSEG5EI16_V }, // 8893
  { PseudoVSOXSEG5EI16_V_M2_M1_MASK, VSOXSEG5EI16_V }, // 8894
  { PseudoVSOXSEG5EI16_V_MF2_M1, VSOXSEG5EI16_V }, // 8895
  { PseudoVSOXSEG5EI16_V_MF2_M1_MASK, VSOXSEG5EI16_V }, // 8896
  { PseudoVSOXSEG5EI16_V_MF2_MF2, VSOXSEG5EI16_V }, // 8897
  { PseudoVSOXSEG5EI16_V_MF2_MF2_MASK, VSOXSEG5EI16_V }, // 8898
  { PseudoVSOXSEG5EI16_V_MF2_MF4, VSOXSEG5EI16_V }, // 8899
  { PseudoVSOXSEG5EI16_V_MF2_MF4_MASK, VSOXSEG5EI16_V }, // 8900
  { PseudoVSOXSEG5EI16_V_MF4_M1, VSOXSEG5EI16_V }, // 8901
  { PseudoVSOXSEG5EI16_V_MF4_M1_MASK, VSOXSEG5EI16_V }, // 8902
  { PseudoVSOXSEG5EI16_V_MF4_MF2, VSOXSEG5EI16_V }, // 8903
  { PseudoVSOXSEG5EI16_V_MF4_MF2_MASK, VSOXSEG5EI16_V }, // 8904
  { PseudoVSOXSEG5EI16_V_MF4_MF4, VSOXSEG5EI16_V }, // 8905
  { PseudoVSOXSEG5EI16_V_MF4_MF4_MASK, VSOXSEG5EI16_V }, // 8906
  { PseudoVSOXSEG5EI16_V_MF4_MF8, VSOXSEG5EI16_V }, // 8907
  { PseudoVSOXSEG5EI16_V_MF4_MF8_MASK, VSOXSEG5EI16_V }, // 8908
  { PseudoVSOXSEG5EI32_V_M1_M1, VSOXSEG5EI32_V }, // 8909
  { PseudoVSOXSEG5EI32_V_M1_M1_MASK, VSOXSEG5EI32_V }, // 8910
  { PseudoVSOXSEG5EI32_V_M1_MF2, VSOXSEG5EI32_V }, // 8911
  { PseudoVSOXSEG5EI32_V_M1_MF2_MASK, VSOXSEG5EI32_V }, // 8912
  { PseudoVSOXSEG5EI32_V_M1_MF4, VSOXSEG5EI32_V }, // 8913
  { PseudoVSOXSEG5EI32_V_M1_MF4_MASK, VSOXSEG5EI32_V }, // 8914
  { PseudoVSOXSEG5EI32_V_M2_M1, VSOXSEG5EI32_V }, // 8915
  { PseudoVSOXSEG5EI32_V_M2_M1_MASK, VSOXSEG5EI32_V }, // 8916
  { PseudoVSOXSEG5EI32_V_M2_MF2, VSOXSEG5EI32_V }, // 8917
  { PseudoVSOXSEG5EI32_V_M2_MF2_MASK, VSOXSEG5EI32_V }, // 8918
  { PseudoVSOXSEG5EI32_V_M4_M1, VSOXSEG5EI32_V }, // 8919
  { PseudoVSOXSEG5EI32_V_M4_M1_MASK, VSOXSEG5EI32_V }, // 8920
  { PseudoVSOXSEG5EI32_V_MF2_M1, VSOXSEG5EI32_V }, // 8921
  { PseudoVSOXSEG5EI32_V_MF2_M1_MASK, VSOXSEG5EI32_V }, // 8922
  { PseudoVSOXSEG5EI32_V_MF2_MF2, VSOXSEG5EI32_V }, // 8923
  { PseudoVSOXSEG5EI32_V_MF2_MF2_MASK, VSOXSEG5EI32_V }, // 8924
  { PseudoVSOXSEG5EI32_V_MF2_MF4, VSOXSEG5EI32_V }, // 8925
  { PseudoVSOXSEG5EI32_V_MF2_MF4_MASK, VSOXSEG5EI32_V }, // 8926
  { PseudoVSOXSEG5EI32_V_MF2_MF8, VSOXSEG5EI32_V }, // 8927
  { PseudoVSOXSEG5EI32_V_MF2_MF8_MASK, VSOXSEG5EI32_V }, // 8928
  { PseudoVSOXSEG5EI64_V_M1_M1, VSOXSEG5EI64_V }, // 8929
  { PseudoVSOXSEG5EI64_V_M1_M1_MASK, VSOXSEG5EI64_V }, // 8930
  { PseudoVSOXSEG5EI64_V_M1_MF2, VSOXSEG5EI64_V }, // 8931
  { PseudoVSOXSEG5EI64_V_M1_MF2_MASK, VSOXSEG5EI64_V }, // 8932
  { PseudoVSOXSEG5EI64_V_M1_MF4, VSOXSEG5EI64_V }, // 8933
  { PseudoVSOXSEG5EI64_V_M1_MF4_MASK, VSOXSEG5EI64_V }, // 8934
  { PseudoVSOXSEG5EI64_V_M1_MF8, VSOXSEG5EI64_V }, // 8935
  { PseudoVSOXSEG5EI64_V_M1_MF8_MASK, VSOXSEG5EI64_V }, // 8936
  { PseudoVSOXSEG5EI64_V_M2_M1, VSOXSEG5EI64_V }, // 8937
  { PseudoVSOXSEG5EI64_V_M2_M1_MASK, VSOXSEG5EI64_V }, // 8938
  { PseudoVSOXSEG5EI64_V_M2_MF2, VSOXSEG5EI64_V }, // 8939
  { PseudoVSOXSEG5EI64_V_M2_MF2_MASK, VSOXSEG5EI64_V }, // 8940
  { PseudoVSOXSEG5EI64_V_M2_MF4, VSOXSEG5EI64_V }, // 8941
  { PseudoVSOXSEG5EI64_V_M2_MF4_MASK, VSOXSEG5EI64_V }, // 8942
  { PseudoVSOXSEG5EI64_V_M4_M1, VSOXSEG5EI64_V }, // 8943
  { PseudoVSOXSEG5EI64_V_M4_M1_MASK, VSOXSEG5EI64_V }, // 8944
  { PseudoVSOXSEG5EI64_V_M4_MF2, VSOXSEG5EI64_V }, // 8945
  { PseudoVSOXSEG5EI64_V_M4_MF2_MASK, VSOXSEG5EI64_V }, // 8946
  { PseudoVSOXSEG5EI64_V_M8_M1, VSOXSEG5EI64_V }, // 8947
  { PseudoVSOXSEG5EI64_V_M8_M1_MASK, VSOXSEG5EI64_V }, // 8948
  { PseudoVSOXSEG5EI8_V_M1_M1, VSOXSEG5EI8_V }, // 8949
  { PseudoVSOXSEG5EI8_V_M1_M1_MASK, VSOXSEG5EI8_V }, // 8950
  { PseudoVSOXSEG5EI8_V_MF2_M1, VSOXSEG5EI8_V }, // 8951
  { PseudoVSOXSEG5EI8_V_MF2_M1_MASK, VSOXSEG5EI8_V }, // 8952
  { PseudoVSOXSEG5EI8_V_MF2_MF2, VSOXSEG5EI8_V }, // 8953
  { PseudoVSOXSEG5EI8_V_MF2_MF2_MASK, VSOXSEG5EI8_V }, // 8954
  { PseudoVSOXSEG5EI8_V_MF4_M1, VSOXSEG5EI8_V }, // 8955
  { PseudoVSOXSEG5EI8_V_MF4_M1_MASK, VSOXSEG5EI8_V }, // 8956
  { PseudoVSOXSEG5EI8_V_MF4_MF2, VSOXSEG5EI8_V }, // 8957
  { PseudoVSOXSEG5EI8_V_MF4_MF2_MASK, VSOXSEG5EI8_V }, // 8958
  { PseudoVSOXSEG5EI8_V_MF4_MF4, VSOXSEG5EI8_V }, // 8959
  { PseudoVSOXSEG5EI8_V_MF4_MF4_MASK, VSOXSEG5EI8_V }, // 8960
  { PseudoVSOXSEG5EI8_V_MF8_M1, VSOXSEG5EI8_V }, // 8961
  { PseudoVSOXSEG5EI8_V_MF8_M1_MASK, VSOXSEG5EI8_V }, // 8962
  { PseudoVSOXSEG5EI8_V_MF8_MF2, VSOXSEG5EI8_V }, // 8963
  { PseudoVSOXSEG5EI8_V_MF8_MF2_MASK, VSOXSEG5EI8_V }, // 8964
  { PseudoVSOXSEG5EI8_V_MF8_MF4, VSOXSEG5EI8_V }, // 8965
  { PseudoVSOXSEG5EI8_V_MF8_MF4_MASK, VSOXSEG5EI8_V }, // 8966
  { PseudoVSOXSEG5EI8_V_MF8_MF8, VSOXSEG5EI8_V }, // 8967
  { PseudoVSOXSEG5EI8_V_MF8_MF8_MASK, VSOXSEG5EI8_V }, // 8968
  { PseudoVSOXSEG6EI16_V_M1_M1, VSOXSEG6EI16_V }, // 8969
  { PseudoVSOXSEG6EI16_V_M1_M1_MASK, VSOXSEG6EI16_V }, // 8970
  { PseudoVSOXSEG6EI16_V_M1_MF2, VSOXSEG6EI16_V }, // 8971
  { PseudoVSOXSEG6EI16_V_M1_MF2_MASK, VSOXSEG6EI16_V }, // 8972
  { PseudoVSOXSEG6EI16_V_M2_M1, VSOXSEG6EI16_V }, // 8973
  { PseudoVSOXSEG6EI16_V_M2_M1_MASK, VSOXSEG6EI16_V }, // 8974
  { PseudoVSOXSEG6EI16_V_MF2_M1, VSOXSEG6EI16_V }, // 8975
  { PseudoVSOXSEG6EI16_V_MF2_M1_MASK, VSOXSEG6EI16_V }, // 8976
  { PseudoVSOXSEG6EI16_V_MF2_MF2, VSOXSEG6EI16_V }, // 8977
  { PseudoVSOXSEG6EI16_V_MF2_MF2_MASK, VSOXSEG6EI16_V }, // 8978
  { PseudoVSOXSEG6EI16_V_MF2_MF4, VSOXSEG6EI16_V }, // 8979
  { PseudoVSOXSEG6EI16_V_MF2_MF4_MASK, VSOXSEG6EI16_V }, // 8980
  { PseudoVSOXSEG6EI16_V_MF4_M1, VSOXSEG6EI16_V }, // 8981
  { PseudoVSOXSEG6EI16_V_MF4_M1_MASK, VSOXSEG6EI16_V }, // 8982
  { PseudoVSOXSEG6EI16_V_MF4_MF2, VSOXSEG6EI16_V }, // 8983
  { PseudoVSOXSEG6EI16_V_MF4_MF2_MASK, VSOXSEG6EI16_V }, // 8984
  { PseudoVSOXSEG6EI16_V_MF4_MF4, VSOXSEG6EI16_V }, // 8985
  { PseudoVSOXSEG6EI16_V_MF4_MF4_MASK, VSOXSEG6EI16_V }, // 8986
  { PseudoVSOXSEG6EI16_V_MF4_MF8, VSOXSEG6EI16_V }, // 8987
  { PseudoVSOXSEG6EI16_V_MF4_MF8_MASK, VSOXSEG6EI16_V }, // 8988
  { PseudoVSOXSEG6EI32_V_M1_M1, VSOXSEG6EI32_V }, // 8989
  { PseudoVSOXSEG6EI32_V_M1_M1_MASK, VSOXSEG6EI32_V }, // 8990
  { PseudoVSOXSEG6EI32_V_M1_MF2, VSOXSEG6EI32_V }, // 8991
  { PseudoVSOXSEG6EI32_V_M1_MF2_MASK, VSOXSEG6EI32_V }, // 8992
  { PseudoVSOXSEG6EI32_V_M1_MF4, VSOXSEG6EI32_V }, // 8993
  { PseudoVSOXSEG6EI32_V_M1_MF4_MASK, VSOXSEG6EI32_V }, // 8994
  { PseudoVSOXSEG6EI32_V_M2_M1, VSOXSEG6EI32_V }, // 8995
  { PseudoVSOXSEG6EI32_V_M2_M1_MASK, VSOXSEG6EI32_V }, // 8996
  { PseudoVSOXSEG6EI32_V_M2_MF2, VSOXSEG6EI32_V }, // 8997
  { PseudoVSOXSEG6EI32_V_M2_MF2_MASK, VSOXSEG6EI32_V }, // 8998
  { PseudoVSOXSEG6EI32_V_M4_M1, VSOXSEG6EI32_V }, // 8999
  { PseudoVSOXSEG6EI32_V_M4_M1_MASK, VSOXSEG6EI32_V }, // 9000
  { PseudoVSOXSEG6EI32_V_MF2_M1, VSOXSEG6EI32_V }, // 9001
  { PseudoVSOXSEG6EI32_V_MF2_M1_MASK, VSOXSEG6EI32_V }, // 9002
  { PseudoVSOXSEG6EI32_V_MF2_MF2, VSOXSEG6EI32_V }, // 9003
  { PseudoVSOXSEG6EI32_V_MF2_MF2_MASK, VSOXSEG6EI32_V }, // 9004
  { PseudoVSOXSEG6EI32_V_MF2_MF4, VSOXSEG6EI32_V }, // 9005
  { PseudoVSOXSEG6EI32_V_MF2_MF4_MASK, VSOXSEG6EI32_V }, // 9006
  { PseudoVSOXSEG6EI32_V_MF2_MF8, VSOXSEG6EI32_V }, // 9007
  { PseudoVSOXSEG6EI32_V_MF2_MF8_MASK, VSOXSEG6EI32_V }, // 9008
  { PseudoVSOXSEG6EI64_V_M1_M1, VSOXSEG6EI64_V }, // 9009
  { PseudoVSOXSEG6EI64_V_M1_M1_MASK, VSOXSEG6EI64_V }, // 9010
  { PseudoVSOXSEG6EI64_V_M1_MF2, VSOXSEG6EI64_V }, // 9011
  { PseudoVSOXSEG6EI64_V_M1_MF2_MASK, VSOXSEG6EI64_V }, // 9012
  { PseudoVSOXSEG6EI64_V_M1_MF4, VSOXSEG6EI64_V }, // 9013
  { PseudoVSOXSEG6EI64_V_M1_MF4_MASK, VSOXSEG6EI64_V }, // 9014
  { PseudoVSOXSEG6EI64_V_M1_MF8, VSOXSEG6EI64_V }, // 9015
  { PseudoVSOXSEG6EI64_V_M1_MF8_MASK, VSOXSEG6EI64_V }, // 9016
  { PseudoVSOXSEG6EI64_V_M2_M1, VSOXSEG6EI64_V }, // 9017
  { PseudoVSOXSEG6EI64_V_M2_M1_MASK, VSOXSEG6EI64_V }, // 9018
  { PseudoVSOXSEG6EI64_V_M2_MF2, VSOXSEG6EI64_V }, // 9019
  { PseudoVSOXSEG6EI64_V_M2_MF2_MASK, VSOXSEG6EI64_V }, // 9020
  { PseudoVSOXSEG6EI64_V_M2_MF4, VSOXSEG6EI64_V }, // 9021
  { PseudoVSOXSEG6EI64_V_M2_MF4_MASK, VSOXSEG6EI64_V }, // 9022
  { PseudoVSOXSEG6EI64_V_M4_M1, VSOXSEG6EI64_V }, // 9023
  { PseudoVSOXSEG6EI64_V_M4_M1_MASK, VSOXSEG6EI64_V }, // 9024
  { PseudoVSOXSEG6EI64_V_M4_MF2, VSOXSEG6EI64_V }, // 9025
  { PseudoVSOXSEG6EI64_V_M4_MF2_MASK, VSOXSEG6EI64_V }, // 9026
  { PseudoVSOXSEG6EI64_V_M8_M1, VSOXSEG6EI64_V }, // 9027
  { PseudoVSOXSEG6EI64_V_M8_M1_MASK, VSOXSEG6EI64_V }, // 9028
  { PseudoVSOXSEG6EI8_V_M1_M1, VSOXSEG6EI8_V }, // 9029
  { PseudoVSOXSEG6EI8_V_M1_M1_MASK, VSOXSEG6EI8_V }, // 9030
  { PseudoVSOXSEG6EI8_V_MF2_M1, VSOXSEG6EI8_V }, // 9031
  { PseudoVSOXSEG6EI8_V_MF2_M1_MASK, VSOXSEG6EI8_V }, // 9032
  { PseudoVSOXSEG6EI8_V_MF2_MF2, VSOXSEG6EI8_V }, // 9033
  { PseudoVSOXSEG6EI8_V_MF2_MF2_MASK, VSOXSEG6EI8_V }, // 9034
  { PseudoVSOXSEG6EI8_V_MF4_M1, VSOXSEG6EI8_V }, // 9035
  { PseudoVSOXSEG6EI8_V_MF4_M1_MASK, VSOXSEG6EI8_V }, // 9036
  { PseudoVSOXSEG6EI8_V_MF4_MF2, VSOXSEG6EI8_V }, // 9037
  { PseudoVSOXSEG6EI8_V_MF4_MF2_MASK, VSOXSEG6EI8_V }, // 9038
  { PseudoVSOXSEG6EI8_V_MF4_MF4, VSOXSEG6EI8_V }, // 9039
  { PseudoVSOXSEG6EI8_V_MF4_MF4_MASK, VSOXSEG6EI8_V }, // 9040
  { PseudoVSOXSEG6EI8_V_MF8_M1, VSOXSEG6EI8_V }, // 9041
  { PseudoVSOXSEG6EI8_V_MF8_M1_MASK, VSOXSEG6EI8_V }, // 9042
  { PseudoVSOXSEG6EI8_V_MF8_MF2, VSOXSEG6EI8_V }, // 9043
  { PseudoVSOXSEG6EI8_V_MF8_MF2_MASK, VSOXSEG6EI8_V }, // 9044
  { PseudoVSOXSEG6EI8_V_MF8_MF4, VSOXSEG6EI8_V }, // 9045
  { PseudoVSOXSEG6EI8_V_MF8_MF4_MASK, VSOXSEG6EI8_V }, // 9046
  { PseudoVSOXSEG6EI8_V_MF8_MF8, VSOXSEG6EI8_V }, // 9047
  { PseudoVSOXSEG6EI8_V_MF8_MF8_MASK, VSOXSEG6EI8_V }, // 9048
  { PseudoVSOXSEG7EI16_V_M1_M1, VSOXSEG7EI16_V }, // 9049
  { PseudoVSOXSEG7EI16_V_M1_M1_MASK, VSOXSEG7EI16_V }, // 9050
  { PseudoVSOXSEG7EI16_V_M1_MF2, VSOXSEG7EI16_V }, // 9051
  { PseudoVSOXSEG7EI16_V_M1_MF2_MASK, VSOXSEG7EI16_V }, // 9052
  { PseudoVSOXSEG7EI16_V_M2_M1, VSOXSEG7EI16_V }, // 9053
  { PseudoVSOXSEG7EI16_V_M2_M1_MASK, VSOXSEG7EI16_V }, // 9054
  { PseudoVSOXSEG7EI16_V_MF2_M1, VSOXSEG7EI16_V }, // 9055
  { PseudoVSOXSEG7EI16_V_MF2_M1_MASK, VSOXSEG7EI16_V }, // 9056
  { PseudoVSOXSEG7EI16_V_MF2_MF2, VSOXSEG7EI16_V }, // 9057
  { PseudoVSOXSEG7EI16_V_MF2_MF2_MASK, VSOXSEG7EI16_V }, // 9058
  { PseudoVSOXSEG7EI16_V_MF2_MF4, VSOXSEG7EI16_V }, // 9059
  { PseudoVSOXSEG7EI16_V_MF2_MF4_MASK, VSOXSEG7EI16_V }, // 9060
  { PseudoVSOXSEG7EI16_V_MF4_M1, VSOXSEG7EI16_V }, // 9061
  { PseudoVSOXSEG7EI16_V_MF4_M1_MASK, VSOXSEG7EI16_V }, // 9062
  { PseudoVSOXSEG7EI16_V_MF4_MF2, VSOXSEG7EI16_V }, // 9063
  { PseudoVSOXSEG7EI16_V_MF4_MF2_MASK, VSOXSEG7EI16_V }, // 9064
  { PseudoVSOXSEG7EI16_V_MF4_MF4, VSOXSEG7EI16_V }, // 9065
  { PseudoVSOXSEG7EI16_V_MF4_MF4_MASK, VSOXSEG7EI16_V }, // 9066
  { PseudoVSOXSEG7EI16_V_MF4_MF8, VSOXSEG7EI16_V }, // 9067
  { PseudoVSOXSEG7EI16_V_MF4_MF8_MASK, VSOXSEG7EI16_V }, // 9068
  { PseudoVSOXSEG7EI32_V_M1_M1, VSOXSEG7EI32_V }, // 9069
  { PseudoVSOXSEG7EI32_V_M1_M1_MASK, VSOXSEG7EI32_V }, // 9070
  { PseudoVSOXSEG7EI32_V_M1_MF2, VSOXSEG7EI32_V }, // 9071
  { PseudoVSOXSEG7EI32_V_M1_MF2_MASK, VSOXSEG7EI32_V }, // 9072
  { PseudoVSOXSEG7EI32_V_M1_MF4, VSOXSEG7EI32_V }, // 9073
  { PseudoVSOXSEG7EI32_V_M1_MF4_MASK, VSOXSEG7EI32_V }, // 9074
  { PseudoVSOXSEG7EI32_V_M2_M1, VSOXSEG7EI32_V }, // 9075
  { PseudoVSOXSEG7EI32_V_M2_M1_MASK, VSOXSEG7EI32_V }, // 9076
  { PseudoVSOXSEG7EI32_V_M2_MF2, VSOXSEG7EI32_V }, // 9077
  { PseudoVSOXSEG7EI32_V_M2_MF2_MASK, VSOXSEG7EI32_V }, // 9078
  { PseudoVSOXSEG7EI32_V_M4_M1, VSOXSEG7EI32_V }, // 9079
  { PseudoVSOXSEG7EI32_V_M4_M1_MASK, VSOXSEG7EI32_V }, // 9080
  { PseudoVSOXSEG7EI32_V_MF2_M1, VSOXSEG7EI32_V }, // 9081
  { PseudoVSOXSEG7EI32_V_MF2_M1_MASK, VSOXSEG7EI32_V }, // 9082
  { PseudoVSOXSEG7EI32_V_MF2_MF2, VSOXSEG7EI32_V }, // 9083
  { PseudoVSOXSEG7EI32_V_MF2_MF2_MASK, VSOXSEG7EI32_V }, // 9084
  { PseudoVSOXSEG7EI32_V_MF2_MF4, VSOXSEG7EI32_V }, // 9085
  { PseudoVSOXSEG7EI32_V_MF2_MF4_MASK, VSOXSEG7EI32_V }, // 9086
  { PseudoVSOXSEG7EI32_V_MF2_MF8, VSOXSEG7EI32_V }, // 9087
  { PseudoVSOXSEG7EI32_V_MF2_MF8_MASK, VSOXSEG7EI32_V }, // 9088
  { PseudoVSOXSEG7EI64_V_M1_M1, VSOXSEG7EI64_V }, // 9089
  { PseudoVSOXSEG7EI64_V_M1_M1_MASK, VSOXSEG7EI64_V }, // 9090
  { PseudoVSOXSEG7EI64_V_M1_MF2, VSOXSEG7EI64_V }, // 9091
  { PseudoVSOXSEG7EI64_V_M1_MF2_MASK, VSOXSEG7EI64_V }, // 9092
  { PseudoVSOXSEG7EI64_V_M1_MF4, VSOXSEG7EI64_V }, // 9093
  { PseudoVSOXSEG7EI64_V_M1_MF4_MASK, VSOXSEG7EI64_V }, // 9094
  { PseudoVSOXSEG7EI64_V_M1_MF8, VSOXSEG7EI64_V }, // 9095
  { PseudoVSOXSEG7EI64_V_M1_MF8_MASK, VSOXSEG7EI64_V }, // 9096
  { PseudoVSOXSEG7EI64_V_M2_M1, VSOXSEG7EI64_V }, // 9097
  { PseudoVSOXSEG7EI64_V_M2_M1_MASK, VSOXSEG7EI64_V }, // 9098
  { PseudoVSOXSEG7EI64_V_M2_MF2, VSOXSEG7EI64_V }, // 9099
  { PseudoVSOXSEG7EI64_V_M2_MF2_MASK, VSOXSEG7EI64_V }, // 9100
  { PseudoVSOXSEG7EI64_V_M2_MF4, VSOXSEG7EI64_V }, // 9101
  { PseudoVSOXSEG7EI64_V_M2_MF4_MASK, VSOXSEG7EI64_V }, // 9102
  { PseudoVSOXSEG7EI64_V_M4_M1, VSOXSEG7EI64_V }, // 9103
  { PseudoVSOXSEG7EI64_V_M4_M1_MASK, VSOXSEG7EI64_V }, // 9104
  { PseudoVSOXSEG7EI64_V_M4_MF2, VSOXSEG7EI64_V }, // 9105
  { PseudoVSOXSEG7EI64_V_M4_MF2_MASK, VSOXSEG7EI64_V }, // 9106
  { PseudoVSOXSEG7EI64_V_M8_M1, VSOXSEG7EI64_V }, // 9107
  { PseudoVSOXSEG7EI64_V_M8_M1_MASK, VSOXSEG7EI64_V }, // 9108
  { PseudoVSOXSEG7EI8_V_M1_M1, VSOXSEG7EI8_V }, // 9109
  { PseudoVSOXSEG7EI8_V_M1_M1_MASK, VSOXSEG7EI8_V }, // 9110
  { PseudoVSOXSEG7EI8_V_MF2_M1, VSOXSEG7EI8_V }, // 9111
  { PseudoVSOXSEG7EI8_V_MF2_M1_MASK, VSOXSEG7EI8_V }, // 9112
  { PseudoVSOXSEG7EI8_V_MF2_MF2, VSOXSEG7EI8_V }, // 9113
  { PseudoVSOXSEG7EI8_V_MF2_MF2_MASK, VSOXSEG7EI8_V }, // 9114
  { PseudoVSOXSEG7EI8_V_MF4_M1, VSOXSEG7EI8_V }, // 9115
  { PseudoVSOXSEG7EI8_V_MF4_M1_MASK, VSOXSEG7EI8_V }, // 9116
  { PseudoVSOXSEG7EI8_V_MF4_MF2, VSOXSEG7EI8_V }, // 9117
  { PseudoVSOXSEG7EI8_V_MF4_MF2_MASK, VSOXSEG7EI8_V }, // 9118
  { PseudoVSOXSEG7EI8_V_MF4_MF4, VSOXSEG7EI8_V }, // 9119
  { PseudoVSOXSEG7EI8_V_MF4_MF4_MASK, VSOXSEG7EI8_V }, // 9120
  { PseudoVSOXSEG7EI8_V_MF8_M1, VSOXSEG7EI8_V }, // 9121
  { PseudoVSOXSEG7EI8_V_MF8_M1_MASK, VSOXSEG7EI8_V }, // 9122
  { PseudoVSOXSEG7EI8_V_MF8_MF2, VSOXSEG7EI8_V }, // 9123
  { PseudoVSOXSEG7EI8_V_MF8_MF2_MASK, VSOXSEG7EI8_V }, // 9124
  { PseudoVSOXSEG7EI8_V_MF8_MF4, VSOXSEG7EI8_V }, // 9125
  { PseudoVSOXSEG7EI8_V_MF8_MF4_MASK, VSOXSEG7EI8_V }, // 9126
  { PseudoVSOXSEG7EI8_V_MF8_MF8, VSOXSEG7EI8_V }, // 9127
  { PseudoVSOXSEG7EI8_V_MF8_MF8_MASK, VSOXSEG7EI8_V }, // 9128
  { PseudoVSOXSEG8EI16_V_M1_M1, VSOXSEG8EI16_V }, // 9129
  { PseudoVSOXSEG8EI16_V_M1_M1_MASK, VSOXSEG8EI16_V }, // 9130
  { PseudoVSOXSEG8EI16_V_M1_MF2, VSOXSEG8EI16_V }, // 9131
  { PseudoVSOXSEG8EI16_V_M1_MF2_MASK, VSOXSEG8EI16_V }, // 9132
  { PseudoVSOXSEG8EI16_V_M2_M1, VSOXSEG8EI16_V }, // 9133
  { PseudoVSOXSEG8EI16_V_M2_M1_MASK, VSOXSEG8EI16_V }, // 9134
  { PseudoVSOXSEG8EI16_V_MF2_M1, VSOXSEG8EI16_V }, // 9135
  { PseudoVSOXSEG8EI16_V_MF2_M1_MASK, VSOXSEG8EI16_V }, // 9136
  { PseudoVSOXSEG8EI16_V_MF2_MF2, VSOXSEG8EI16_V }, // 9137
  { PseudoVSOXSEG8EI16_V_MF2_MF2_MASK, VSOXSEG8EI16_V }, // 9138
  { PseudoVSOXSEG8EI16_V_MF2_MF4, VSOXSEG8EI16_V }, // 9139
  { PseudoVSOXSEG8EI16_V_MF2_MF4_MASK, VSOXSEG8EI16_V }, // 9140
  { PseudoVSOXSEG8EI16_V_MF4_M1, VSOXSEG8EI16_V }, // 9141
  { PseudoVSOXSEG8EI16_V_MF4_M1_MASK, VSOXSEG8EI16_V }, // 9142
  { PseudoVSOXSEG8EI16_V_MF4_MF2, VSOXSEG8EI16_V }, // 9143
  { PseudoVSOXSEG8EI16_V_MF4_MF2_MASK, VSOXSEG8EI16_V }, // 9144
  { PseudoVSOXSEG8EI16_V_MF4_MF4, VSOXSEG8EI16_V }, // 9145
  { PseudoVSOXSEG8EI16_V_MF4_MF4_MASK, VSOXSEG8EI16_V }, // 9146
  { PseudoVSOXSEG8EI16_V_MF4_MF8, VSOXSEG8EI16_V }, // 9147
  { PseudoVSOXSEG8EI16_V_MF4_MF8_MASK, VSOXSEG8EI16_V }, // 9148
  { PseudoVSOXSEG8EI32_V_M1_M1, VSOXSEG8EI32_V }, // 9149
  { PseudoVSOXSEG8EI32_V_M1_M1_MASK, VSOXSEG8EI32_V }, // 9150
  { PseudoVSOXSEG8EI32_V_M1_MF2, VSOXSEG8EI32_V }, // 9151
  { PseudoVSOXSEG8EI32_V_M1_MF2_MASK, VSOXSEG8EI32_V }, // 9152
  { PseudoVSOXSEG8EI32_V_M1_MF4, VSOXSEG8EI32_V }, // 9153
  { PseudoVSOXSEG8EI32_V_M1_MF4_MASK, VSOXSEG8EI32_V }, // 9154
  { PseudoVSOXSEG8EI32_V_M2_M1, VSOXSEG8EI32_V }, // 9155
  { PseudoVSOXSEG8EI32_V_M2_M1_MASK, VSOXSEG8EI32_V }, // 9156
  { PseudoVSOXSEG8EI32_V_M2_MF2, VSOXSEG8EI32_V }, // 9157
  { PseudoVSOXSEG8EI32_V_M2_MF2_MASK, VSOXSEG8EI32_V }, // 9158
  { PseudoVSOXSEG8EI32_V_M4_M1, VSOXSEG8EI32_V }, // 9159
  { PseudoVSOXSEG8EI32_V_M4_M1_MASK, VSOXSEG8EI32_V }, // 9160
  { PseudoVSOXSEG8EI32_V_MF2_M1, VSOXSEG8EI32_V }, // 9161
  { PseudoVSOXSEG8EI32_V_MF2_M1_MASK, VSOXSEG8EI32_V }, // 9162
  { PseudoVSOXSEG8EI32_V_MF2_MF2, VSOXSEG8EI32_V }, // 9163
  { PseudoVSOXSEG8EI32_V_MF2_MF2_MASK, VSOXSEG8EI32_V }, // 9164
  { PseudoVSOXSEG8EI32_V_MF2_MF4, VSOXSEG8EI32_V }, // 9165
  { PseudoVSOXSEG8EI32_V_MF2_MF4_MASK, VSOXSEG8EI32_V }, // 9166
  { PseudoVSOXSEG8EI32_V_MF2_MF8, VSOXSEG8EI32_V }, // 9167
  { PseudoVSOXSEG8EI32_V_MF2_MF8_MASK, VSOXSEG8EI32_V }, // 9168
  { PseudoVSOXSEG8EI64_V_M1_M1, VSOXSEG8EI64_V }, // 9169
  { PseudoVSOXSEG8EI64_V_M1_M1_MASK, VSOXSEG8EI64_V }, // 9170
  { PseudoVSOXSEG8EI64_V_M1_MF2, VSOXSEG8EI64_V }, // 9171
  { PseudoVSOXSEG8EI64_V_M1_MF2_MASK, VSOXSEG8EI64_V }, // 9172
  { PseudoVSOXSEG8EI64_V_M1_MF4, VSOXSEG8EI64_V }, // 9173
  { PseudoVSOXSEG8EI64_V_M1_MF4_MASK, VSOXSEG8EI64_V }, // 9174
  { PseudoVSOXSEG8EI64_V_M1_MF8, VSOXSEG8EI64_V }, // 9175
  { PseudoVSOXSEG8EI64_V_M1_MF8_MASK, VSOXSEG8EI64_V }, // 9176
  { PseudoVSOXSEG8EI64_V_M2_M1, VSOXSEG8EI64_V }, // 9177
  { PseudoVSOXSEG8EI64_V_M2_M1_MASK, VSOXSEG8EI64_V }, // 9178
  { PseudoVSOXSEG8EI64_V_M2_MF2, VSOXSEG8EI64_V }, // 9179
  { PseudoVSOXSEG8EI64_V_M2_MF2_MASK, VSOXSEG8EI64_V }, // 9180
  { PseudoVSOXSEG8EI64_V_M2_MF4, VSOXSEG8EI64_V }, // 9181
  { PseudoVSOXSEG8EI64_V_M2_MF4_MASK, VSOXSEG8EI64_V }, // 9182
  { PseudoVSOXSEG8EI64_V_M4_M1, VSOXSEG8EI64_V }, // 9183
  { PseudoVSOXSEG8EI64_V_M4_M1_MASK, VSOXSEG8EI64_V }, // 9184
  { PseudoVSOXSEG8EI64_V_M4_MF2, VSOXSEG8EI64_V }, // 9185
  { PseudoVSOXSEG8EI64_V_M4_MF2_MASK, VSOXSEG8EI64_V }, // 9186
  { PseudoVSOXSEG8EI64_V_M8_M1, VSOXSEG8EI64_V }, // 9187
  { PseudoVSOXSEG8EI64_V_M8_M1_MASK, VSOXSEG8EI64_V }, // 9188
  { PseudoVSOXSEG8EI8_V_M1_M1, VSOXSEG8EI8_V }, // 9189
  { PseudoVSOXSEG8EI8_V_M1_M1_MASK, VSOXSEG8EI8_V }, // 9190
  { PseudoVSOXSEG8EI8_V_MF2_M1, VSOXSEG8EI8_V }, // 9191
  { PseudoVSOXSEG8EI8_V_MF2_M1_MASK, VSOXSEG8EI8_V }, // 9192
  { PseudoVSOXSEG8EI8_V_MF2_MF2, VSOXSEG8EI8_V }, // 9193
  { PseudoVSOXSEG8EI8_V_MF2_MF2_MASK, VSOXSEG8EI8_V }, // 9194
  { PseudoVSOXSEG8EI8_V_MF4_M1, VSOXSEG8EI8_V }, // 9195
  { PseudoVSOXSEG8EI8_V_MF4_M1_MASK, VSOXSEG8EI8_V }, // 9196
  { PseudoVSOXSEG8EI8_V_MF4_MF2, VSOXSEG8EI8_V }, // 9197
  { PseudoVSOXSEG8EI8_V_MF4_MF2_MASK, VSOXSEG8EI8_V }, // 9198
  { PseudoVSOXSEG8EI8_V_MF4_MF4, VSOXSEG8EI8_V }, // 9199
  { PseudoVSOXSEG8EI8_V_MF4_MF4_MASK, VSOXSEG8EI8_V }, // 9200
  { PseudoVSOXSEG8EI8_V_MF8_M1, VSOXSEG8EI8_V }, // 9201
  { PseudoVSOXSEG8EI8_V_MF8_M1_MASK, VSOXSEG8EI8_V }, // 9202
  { PseudoVSOXSEG8EI8_V_MF8_MF2, VSOXSEG8EI8_V }, // 9203
  { PseudoVSOXSEG8EI8_V_MF8_MF2_MASK, VSOXSEG8EI8_V }, // 9204
  { PseudoVSOXSEG8EI8_V_MF8_MF4, VSOXSEG8EI8_V }, // 9205
  { PseudoVSOXSEG8EI8_V_MF8_MF4_MASK, VSOXSEG8EI8_V }, // 9206
  { PseudoVSOXSEG8EI8_V_MF8_MF8, VSOXSEG8EI8_V }, // 9207
  { PseudoVSOXSEG8EI8_V_MF8_MF8_MASK, VSOXSEG8EI8_V }, // 9208
  { PseudoVSPILL_M1, VS1R_V }, // 9209
  { PseudoVSPILL_M2, VS2R_V }, // 9210
  { PseudoVSPILL_M4, VS4R_V }, // 9211
  { PseudoVSPILL_M8, VS8R_V }, // 9212
  { PseudoVSRA_VI_M1, VSRA_VI }, // 9213
  { PseudoVSRA_VI_M1_MASK, VSRA_VI }, // 9214
  { PseudoVSRA_VI_M1_TU, VSRA_VI }, // 9215
  { PseudoVSRA_VI_M2, VSRA_VI }, // 9216
  { PseudoVSRA_VI_M2_MASK, VSRA_VI }, // 9217
  { PseudoVSRA_VI_M2_TU, VSRA_VI }, // 9218
  { PseudoVSRA_VI_M4, VSRA_VI }, // 9219
  { PseudoVSRA_VI_M4_MASK, VSRA_VI }, // 9220
  { PseudoVSRA_VI_M4_TU, VSRA_VI }, // 9221
  { PseudoVSRA_VI_M8, VSRA_VI }, // 9222
  { PseudoVSRA_VI_M8_MASK, VSRA_VI }, // 9223
  { PseudoVSRA_VI_M8_TU, VSRA_VI }, // 9224
  { PseudoVSRA_VI_MF2, VSRA_VI }, // 9225
  { PseudoVSRA_VI_MF2_MASK, VSRA_VI }, // 9226
  { PseudoVSRA_VI_MF2_TU, VSRA_VI }, // 9227
  { PseudoVSRA_VI_MF4, VSRA_VI }, // 9228
  { PseudoVSRA_VI_MF4_MASK, VSRA_VI }, // 9229
  { PseudoVSRA_VI_MF4_TU, VSRA_VI }, // 9230
  { PseudoVSRA_VI_MF8, VSRA_VI }, // 9231
  { PseudoVSRA_VI_MF8_MASK, VSRA_VI }, // 9232
  { PseudoVSRA_VI_MF8_TU, VSRA_VI }, // 9233
  { PseudoVSRA_VV_M1, VSRA_VV }, // 9234
  { PseudoVSRA_VV_M1_MASK, VSRA_VV }, // 9235
  { PseudoVSRA_VV_M1_TU, VSRA_VV }, // 9236
  { PseudoVSRA_VV_M2, VSRA_VV }, // 9237
  { PseudoVSRA_VV_M2_MASK, VSRA_VV }, // 9238
  { PseudoVSRA_VV_M2_TU, VSRA_VV }, // 9239
  { PseudoVSRA_VV_M4, VSRA_VV }, // 9240
  { PseudoVSRA_VV_M4_MASK, VSRA_VV }, // 9241
  { PseudoVSRA_VV_M4_TU, VSRA_VV }, // 9242
  { PseudoVSRA_VV_M8, VSRA_VV }, // 9243
  { PseudoVSRA_VV_M8_MASK, VSRA_VV }, // 9244
  { PseudoVSRA_VV_M8_TU, VSRA_VV }, // 9245
  { PseudoVSRA_VV_MF2, VSRA_VV }, // 9246
  { PseudoVSRA_VV_MF2_MASK, VSRA_VV }, // 9247
  { PseudoVSRA_VV_MF2_TU, VSRA_VV }, // 9248
  { PseudoVSRA_VV_MF4, VSRA_VV }, // 9249
  { PseudoVSRA_VV_MF4_MASK, VSRA_VV }, // 9250
  { PseudoVSRA_VV_MF4_TU, VSRA_VV }, // 9251
  { PseudoVSRA_VV_MF8, VSRA_VV }, // 9252
  { PseudoVSRA_VV_MF8_MASK, VSRA_VV }, // 9253
  { PseudoVSRA_VV_MF8_TU, VSRA_VV }, // 9254
  { PseudoVSRA_VX_M1, VSRA_VX }, // 9255
  { PseudoVSRA_VX_M1_MASK, VSRA_VX }, // 9256
  { PseudoVSRA_VX_M1_TU, VSRA_VX }, // 9257
  { PseudoVSRA_VX_M2, VSRA_VX }, // 9258
  { PseudoVSRA_VX_M2_MASK, VSRA_VX }, // 9259
  { PseudoVSRA_VX_M2_TU, VSRA_VX }, // 9260
  { PseudoVSRA_VX_M4, VSRA_VX }, // 9261
  { PseudoVSRA_VX_M4_MASK, VSRA_VX }, // 9262
  { PseudoVSRA_VX_M4_TU, VSRA_VX }, // 9263
  { PseudoVSRA_VX_M8, VSRA_VX }, // 9264
  { PseudoVSRA_VX_M8_MASK, VSRA_VX }, // 9265
  { PseudoVSRA_VX_M8_TU, VSRA_VX }, // 9266
  { PseudoVSRA_VX_MF2, VSRA_VX }, // 9267
  { PseudoVSRA_VX_MF2_MASK, VSRA_VX }, // 9268
  { PseudoVSRA_VX_MF2_TU, VSRA_VX }, // 9269
  { PseudoVSRA_VX_MF4, VSRA_VX }, // 9270
  { PseudoVSRA_VX_MF4_MASK, VSRA_VX }, // 9271
  { PseudoVSRA_VX_MF4_TU, VSRA_VX }, // 9272
  { PseudoVSRA_VX_MF8, VSRA_VX }, // 9273
  { PseudoVSRA_VX_MF8_MASK, VSRA_VX }, // 9274
  { PseudoVSRA_VX_MF8_TU, VSRA_VX }, // 9275
  { PseudoVSRL_VI_M1, VSRL_VI }, // 9276
  { PseudoVSRL_VI_M1_MASK, VSRL_VI }, // 9277
  { PseudoVSRL_VI_M1_TU, VSRL_VI }, // 9278
  { PseudoVSRL_VI_M2, VSRL_VI }, // 9279
  { PseudoVSRL_VI_M2_MASK, VSRL_VI }, // 9280
  { PseudoVSRL_VI_M2_TU, VSRL_VI }, // 9281
  { PseudoVSRL_VI_M4, VSRL_VI }, // 9282
  { PseudoVSRL_VI_M4_MASK, VSRL_VI }, // 9283
  { PseudoVSRL_VI_M4_TU, VSRL_VI }, // 9284
  { PseudoVSRL_VI_M8, VSRL_VI }, // 9285
  { PseudoVSRL_VI_M8_MASK, VSRL_VI }, // 9286
  { PseudoVSRL_VI_M8_TU, VSRL_VI }, // 9287
  { PseudoVSRL_VI_MF2, VSRL_VI }, // 9288
  { PseudoVSRL_VI_MF2_MASK, VSRL_VI }, // 9289
  { PseudoVSRL_VI_MF2_TU, VSRL_VI }, // 9290
  { PseudoVSRL_VI_MF4, VSRL_VI }, // 9291
  { PseudoVSRL_VI_MF4_MASK, VSRL_VI }, // 9292
  { PseudoVSRL_VI_MF4_TU, VSRL_VI }, // 9293
  { PseudoVSRL_VI_MF8, VSRL_VI }, // 9294
  { PseudoVSRL_VI_MF8_MASK, VSRL_VI }, // 9295
  { PseudoVSRL_VI_MF8_TU, VSRL_VI }, // 9296
  { PseudoVSRL_VV_M1, VSRL_VV }, // 9297
  { PseudoVSRL_VV_M1_MASK, VSRL_VV }, // 9298
  { PseudoVSRL_VV_M1_TU, VSRL_VV }, // 9299
  { PseudoVSRL_VV_M2, VSRL_VV }, // 9300
  { PseudoVSRL_VV_M2_MASK, VSRL_VV }, // 9301
  { PseudoVSRL_VV_M2_TU, VSRL_VV }, // 9302
  { PseudoVSRL_VV_M4, VSRL_VV }, // 9303
  { PseudoVSRL_VV_M4_MASK, VSRL_VV }, // 9304
  { PseudoVSRL_VV_M4_TU, VSRL_VV }, // 9305
  { PseudoVSRL_VV_M8, VSRL_VV }, // 9306
  { PseudoVSRL_VV_M8_MASK, VSRL_VV }, // 9307
  { PseudoVSRL_VV_M8_TU, VSRL_VV }, // 9308
  { PseudoVSRL_VV_MF2, VSRL_VV }, // 9309
  { PseudoVSRL_VV_MF2_MASK, VSRL_VV }, // 9310
  { PseudoVSRL_VV_MF2_TU, VSRL_VV }, // 9311
  { PseudoVSRL_VV_MF4, VSRL_VV }, // 9312
  { PseudoVSRL_VV_MF4_MASK, VSRL_VV }, // 9313
  { PseudoVSRL_VV_MF4_TU, VSRL_VV }, // 9314
  { PseudoVSRL_VV_MF8, VSRL_VV }, // 9315
  { PseudoVSRL_VV_MF8_MASK, VSRL_VV }, // 9316
  { PseudoVSRL_VV_MF8_TU, VSRL_VV }, // 9317
  { PseudoVSRL_VX_M1, VSRL_VX }, // 9318
  { PseudoVSRL_VX_M1_MASK, VSRL_VX }, // 9319
  { PseudoVSRL_VX_M1_TU, VSRL_VX }, // 9320
  { PseudoVSRL_VX_M2, VSRL_VX }, // 9321
  { PseudoVSRL_VX_M2_MASK, VSRL_VX }, // 9322
  { PseudoVSRL_VX_M2_TU, VSRL_VX }, // 9323
  { PseudoVSRL_VX_M4, VSRL_VX }, // 9324
  { PseudoVSRL_VX_M4_MASK, VSRL_VX }, // 9325
  { PseudoVSRL_VX_M4_TU, VSRL_VX }, // 9326
  { PseudoVSRL_VX_M8, VSRL_VX }, // 9327
  { PseudoVSRL_VX_M8_MASK, VSRL_VX }, // 9328
  { PseudoVSRL_VX_M8_TU, VSRL_VX }, // 9329
  { PseudoVSRL_VX_MF2, VSRL_VX }, // 9330
  { PseudoVSRL_VX_MF2_MASK, VSRL_VX }, // 9331
  { PseudoVSRL_VX_MF2_TU, VSRL_VX }, // 9332
  { PseudoVSRL_VX_MF4, VSRL_VX }, // 9333
  { PseudoVSRL_VX_MF4_MASK, VSRL_VX }, // 9334
  { PseudoVSRL_VX_MF4_TU, VSRL_VX }, // 9335
  { PseudoVSRL_VX_MF8, VSRL_VX }, // 9336
  { PseudoVSRL_VX_MF8_MASK, VSRL_VX }, // 9337
  { PseudoVSRL_VX_MF8_TU, VSRL_VX }, // 9338
  { PseudoVSSE16_V_M1, VSSE16_V }, // 9339
  { PseudoVSSE16_V_M1_MASK, VSSE16_V }, // 9340
  { PseudoVSSE16_V_M2, VSSE16_V }, // 9341
  { PseudoVSSE16_V_M2_MASK, VSSE16_V }, // 9342
  { PseudoVSSE16_V_M4, VSSE16_V }, // 9343
  { PseudoVSSE16_V_M4_MASK, VSSE16_V }, // 9344
  { PseudoVSSE16_V_M8, VSSE16_V }, // 9345
  { PseudoVSSE16_V_M8_MASK, VSSE16_V }, // 9346
  { PseudoVSSE16_V_MF2, VSSE16_V }, // 9347
  { PseudoVSSE16_V_MF2_MASK, VSSE16_V }, // 9348
  { PseudoVSSE16_V_MF4, VSSE16_V }, // 9349
  { PseudoVSSE16_V_MF4_MASK, VSSE16_V }, // 9350
  { PseudoVSSE32_V_M1, VSSE32_V }, // 9351
  { PseudoVSSE32_V_M1_MASK, VSSE32_V }, // 9352
  { PseudoVSSE32_V_M2, VSSE32_V }, // 9353
  { PseudoVSSE32_V_M2_MASK, VSSE32_V }, // 9354
  { PseudoVSSE32_V_M4, VSSE32_V }, // 9355
  { PseudoVSSE32_V_M4_MASK, VSSE32_V }, // 9356
  { PseudoVSSE32_V_M8, VSSE32_V }, // 9357
  { PseudoVSSE32_V_M8_MASK, VSSE32_V }, // 9358
  { PseudoVSSE32_V_MF2, VSSE32_V }, // 9359
  { PseudoVSSE32_V_MF2_MASK, VSSE32_V }, // 9360
  { PseudoVSSE64_V_M1, VSSE64_V }, // 9361
  { PseudoVSSE64_V_M1_MASK, VSSE64_V }, // 9362
  { PseudoVSSE64_V_M2, VSSE64_V }, // 9363
  { PseudoVSSE64_V_M2_MASK, VSSE64_V }, // 9364
  { PseudoVSSE64_V_M4, VSSE64_V }, // 9365
  { PseudoVSSE64_V_M4_MASK, VSSE64_V }, // 9366
  { PseudoVSSE64_V_M8, VSSE64_V }, // 9367
  { PseudoVSSE64_V_M8_MASK, VSSE64_V }, // 9368
  { PseudoVSSE8_V_M1, VSSE8_V }, // 9369
  { PseudoVSSE8_V_M1_MASK, VSSE8_V }, // 9370
  { PseudoVSSE8_V_M2, VSSE8_V }, // 9371
  { PseudoVSSE8_V_M2_MASK, VSSE8_V }, // 9372
  { PseudoVSSE8_V_M4, VSSE8_V }, // 9373
  { PseudoVSSE8_V_M4_MASK, VSSE8_V }, // 9374
  { PseudoVSSE8_V_M8, VSSE8_V }, // 9375
  { PseudoVSSE8_V_M8_MASK, VSSE8_V }, // 9376
  { PseudoVSSE8_V_MF2, VSSE8_V }, // 9377
  { PseudoVSSE8_V_MF2_MASK, VSSE8_V }, // 9378
  { PseudoVSSE8_V_MF4, VSSE8_V }, // 9379
  { PseudoVSSE8_V_MF4_MASK, VSSE8_V }, // 9380
  { PseudoVSSE8_V_MF8, VSSE8_V }, // 9381
  { PseudoVSSE8_V_MF8_MASK, VSSE8_V }, // 9382
  { PseudoVSSEG2E16_V_M1, VSSEG2E16_V }, // 9383
  { PseudoVSSEG2E16_V_M1_MASK, VSSEG2E16_V }, // 9384
  { PseudoVSSEG2E16_V_M2, VSSEG2E16_V }, // 9385
  { PseudoVSSEG2E16_V_M2_MASK, VSSEG2E16_V }, // 9386
  { PseudoVSSEG2E16_V_M4, VSSEG2E16_V }, // 9387
  { PseudoVSSEG2E16_V_M4_MASK, VSSEG2E16_V }, // 9388
  { PseudoVSSEG2E16_V_MF2, VSSEG2E16_V }, // 9389
  { PseudoVSSEG2E16_V_MF2_MASK, VSSEG2E16_V }, // 9390
  { PseudoVSSEG2E16_V_MF4, VSSEG2E16_V }, // 9391
  { PseudoVSSEG2E16_V_MF4_MASK, VSSEG2E16_V }, // 9392
  { PseudoVSSEG2E32_V_M1, VSSEG2E32_V }, // 9393
  { PseudoVSSEG2E32_V_M1_MASK, VSSEG2E32_V }, // 9394
  { PseudoVSSEG2E32_V_M2, VSSEG2E32_V }, // 9395
  { PseudoVSSEG2E32_V_M2_MASK, VSSEG2E32_V }, // 9396
  { PseudoVSSEG2E32_V_M4, VSSEG2E32_V }, // 9397
  { PseudoVSSEG2E32_V_M4_MASK, VSSEG2E32_V }, // 9398
  { PseudoVSSEG2E32_V_MF2, VSSEG2E32_V }, // 9399
  { PseudoVSSEG2E32_V_MF2_MASK, VSSEG2E32_V }, // 9400
  { PseudoVSSEG2E64_V_M1, VSSEG2E64_V }, // 9401
  { PseudoVSSEG2E64_V_M1_MASK, VSSEG2E64_V }, // 9402
  { PseudoVSSEG2E64_V_M2, VSSEG2E64_V }, // 9403
  { PseudoVSSEG2E64_V_M2_MASK, VSSEG2E64_V }, // 9404
  { PseudoVSSEG2E64_V_M4, VSSEG2E64_V }, // 9405
  { PseudoVSSEG2E64_V_M4_MASK, VSSEG2E64_V }, // 9406
  { PseudoVSSEG2E8_V_M1, VSSEG2E8_V }, // 9407
  { PseudoVSSEG2E8_V_M1_MASK, VSSEG2E8_V }, // 9408
  { PseudoVSSEG2E8_V_M2, VSSEG2E8_V }, // 9409
  { PseudoVSSEG2E8_V_M2_MASK, VSSEG2E8_V }, // 9410
  { PseudoVSSEG2E8_V_M4, VSSEG2E8_V }, // 9411
  { PseudoVSSEG2E8_V_M4_MASK, VSSEG2E8_V }, // 9412
  { PseudoVSSEG2E8_V_MF2, VSSEG2E8_V }, // 9413
  { PseudoVSSEG2E8_V_MF2_MASK, VSSEG2E8_V }, // 9414
  { PseudoVSSEG2E8_V_MF4, VSSEG2E8_V }, // 9415
  { PseudoVSSEG2E8_V_MF4_MASK, VSSEG2E8_V }, // 9416
  { PseudoVSSEG2E8_V_MF8, VSSEG2E8_V }, // 9417
  { PseudoVSSEG2E8_V_MF8_MASK, VSSEG2E8_V }, // 9418
  { PseudoVSSEG3E16_V_M1, VSSEG3E16_V }, // 9419
  { PseudoVSSEG3E16_V_M1_MASK, VSSEG3E16_V }, // 9420
  { PseudoVSSEG3E16_V_M2, VSSEG3E16_V }, // 9421
  { PseudoVSSEG3E16_V_M2_MASK, VSSEG3E16_V }, // 9422
  { PseudoVSSEG3E16_V_MF2, VSSEG3E16_V }, // 9423
  { PseudoVSSEG3E16_V_MF2_MASK, VSSEG3E16_V }, // 9424
  { PseudoVSSEG3E16_V_MF4, VSSEG3E16_V }, // 9425
  { PseudoVSSEG3E16_V_MF4_MASK, VSSEG3E16_V }, // 9426
  { PseudoVSSEG3E32_V_M1, VSSEG3E32_V }, // 9427
  { PseudoVSSEG3E32_V_M1_MASK, VSSEG3E32_V }, // 9428
  { PseudoVSSEG3E32_V_M2, VSSEG3E32_V }, // 9429
  { PseudoVSSEG3E32_V_M2_MASK, VSSEG3E32_V }, // 9430
  { PseudoVSSEG3E32_V_MF2, VSSEG3E32_V }, // 9431
  { PseudoVSSEG3E32_V_MF2_MASK, VSSEG3E32_V }, // 9432
  { PseudoVSSEG3E64_V_M1, VSSEG3E64_V }, // 9433
  { PseudoVSSEG3E64_V_M1_MASK, VSSEG3E64_V }, // 9434
  { PseudoVSSEG3E64_V_M2, VSSEG3E64_V }, // 9435
  { PseudoVSSEG3E64_V_M2_MASK, VSSEG3E64_V }, // 9436
  { PseudoVSSEG3E8_V_M1, VSSEG3E8_V }, // 9437
  { PseudoVSSEG3E8_V_M1_MASK, VSSEG3E8_V }, // 9438
  { PseudoVSSEG3E8_V_M2, VSSEG3E8_V }, // 9439
  { PseudoVSSEG3E8_V_M2_MASK, VSSEG3E8_V }, // 9440
  { PseudoVSSEG3E8_V_MF2, VSSEG3E8_V }, // 9441
  { PseudoVSSEG3E8_V_MF2_MASK, VSSEG3E8_V }, // 9442
  { PseudoVSSEG3E8_V_MF4, VSSEG3E8_V }, // 9443
  { PseudoVSSEG3E8_V_MF4_MASK, VSSEG3E8_V }, // 9444
  { PseudoVSSEG3E8_V_MF8, VSSEG3E8_V }, // 9445
  { PseudoVSSEG3E8_V_MF8_MASK, VSSEG3E8_V }, // 9446
  { PseudoVSSEG4E16_V_M1, VSSEG4E16_V }, // 9447
  { PseudoVSSEG4E16_V_M1_MASK, VSSEG4E16_V }, // 9448
  { PseudoVSSEG4E16_V_M2, VSSEG4E16_V }, // 9449
  { PseudoVSSEG4E16_V_M2_MASK, VSSEG4E16_V }, // 9450
  { PseudoVSSEG4E16_V_MF2, VSSEG4E16_V }, // 9451
  { PseudoVSSEG4E16_V_MF2_MASK, VSSEG4E16_V }, // 9452
  { PseudoVSSEG4E16_V_MF4, VSSEG4E16_V }, // 9453
  { PseudoVSSEG4E16_V_MF4_MASK, VSSEG4E16_V }, // 9454
  { PseudoVSSEG4E32_V_M1, VSSEG4E32_V }, // 9455
  { PseudoVSSEG4E32_V_M1_MASK, VSSEG4E32_V }, // 9456
  { PseudoVSSEG4E32_V_M2, VSSEG4E32_V }, // 9457
  { PseudoVSSEG4E32_V_M2_MASK, VSSEG4E32_V }, // 9458
  { PseudoVSSEG4E32_V_MF2, VSSEG4E32_V }, // 9459
  { PseudoVSSEG4E32_V_MF2_MASK, VSSEG4E32_V }, // 9460
  { PseudoVSSEG4E64_V_M1, VSSEG4E64_V }, // 9461
  { PseudoVSSEG4E64_V_M1_MASK, VSSEG4E64_V }, // 9462
  { PseudoVSSEG4E64_V_M2, VSSEG4E64_V }, // 9463
  { PseudoVSSEG4E64_V_M2_MASK, VSSEG4E64_V }, // 9464
  { PseudoVSSEG4E8_V_M1, VSSEG4E8_V }, // 9465
  { PseudoVSSEG4E8_V_M1_MASK, VSSEG4E8_V }, // 9466
  { PseudoVSSEG4E8_V_M2, VSSEG4E8_V }, // 9467
  { PseudoVSSEG4E8_V_M2_MASK, VSSEG4E8_V }, // 9468
  { PseudoVSSEG4E8_V_MF2, VSSEG4E8_V }, // 9469
  { PseudoVSSEG4E8_V_MF2_MASK, VSSEG4E8_V }, // 9470
  { PseudoVSSEG4E8_V_MF4, VSSEG4E8_V }, // 9471
  { PseudoVSSEG4E8_V_MF4_MASK, VSSEG4E8_V }, // 9472
  { PseudoVSSEG4E8_V_MF8, VSSEG4E8_V }, // 9473
  { PseudoVSSEG4E8_V_MF8_MASK, VSSEG4E8_V }, // 9474
  { PseudoVSSEG5E16_V_M1, VSSEG5E16_V }, // 9475
  { PseudoVSSEG5E16_V_M1_MASK, VSSEG5E16_V }, // 9476
  { PseudoVSSEG5E16_V_MF2, VSSEG5E16_V }, // 9477
  { PseudoVSSEG5E16_V_MF2_MASK, VSSEG5E16_V }, // 9478
  { PseudoVSSEG5E16_V_MF4, VSSEG5E16_V }, // 9479
  { PseudoVSSEG5E16_V_MF4_MASK, VSSEG5E16_V }, // 9480
  { PseudoVSSEG5E32_V_M1, VSSEG5E32_V }, // 9481
  { PseudoVSSEG5E32_V_M1_MASK, VSSEG5E32_V }, // 9482
  { PseudoVSSEG5E32_V_MF2, VSSEG5E32_V }, // 9483
  { PseudoVSSEG5E32_V_MF2_MASK, VSSEG5E32_V }, // 9484
  { PseudoVSSEG5E64_V_M1, VSSEG5E64_V }, // 9485
  { PseudoVSSEG5E64_V_M1_MASK, VSSEG5E64_V }, // 9486
  { PseudoVSSEG5E8_V_M1, VSSEG5E8_V }, // 9487
  { PseudoVSSEG5E8_V_M1_MASK, VSSEG5E8_V }, // 9488
  { PseudoVSSEG5E8_V_MF2, VSSEG5E8_V }, // 9489
  { PseudoVSSEG5E8_V_MF2_MASK, VSSEG5E8_V }, // 9490
  { PseudoVSSEG5E8_V_MF4, VSSEG5E8_V }, // 9491
  { PseudoVSSEG5E8_V_MF4_MASK, VSSEG5E8_V }, // 9492
  { PseudoVSSEG5E8_V_MF8, VSSEG5E8_V }, // 9493
  { PseudoVSSEG5E8_V_MF8_MASK, VSSEG5E8_V }, // 9494
  { PseudoVSSEG6E16_V_M1, VSSEG6E16_V }, // 9495
  { PseudoVSSEG6E16_V_M1_MASK, VSSEG6E16_V }, // 9496
  { PseudoVSSEG6E16_V_MF2, VSSEG6E16_V }, // 9497
  { PseudoVSSEG6E16_V_MF2_MASK, VSSEG6E16_V }, // 9498
  { PseudoVSSEG6E16_V_MF4, VSSEG6E16_V }, // 9499
  { PseudoVSSEG6E16_V_MF4_MASK, VSSEG6E16_V }, // 9500
  { PseudoVSSEG6E32_V_M1, VSSEG6E32_V }, // 9501
  { PseudoVSSEG6E32_V_M1_MASK, VSSEG6E32_V }, // 9502
  { PseudoVSSEG6E32_V_MF2, VSSEG6E32_V }, // 9503
  { PseudoVSSEG6E32_V_MF2_MASK, VSSEG6E32_V }, // 9504
  { PseudoVSSEG6E64_V_M1, VSSEG6E64_V }, // 9505
  { PseudoVSSEG6E64_V_M1_MASK, VSSEG6E64_V }, // 9506
  { PseudoVSSEG6E8_V_M1, VSSEG6E8_V }, // 9507
  { PseudoVSSEG6E8_V_M1_MASK, VSSEG6E8_V }, // 9508
  { PseudoVSSEG6E8_V_MF2, VSSEG6E8_V }, // 9509
  { PseudoVSSEG6E8_V_MF2_MASK, VSSEG6E8_V }, // 9510
  { PseudoVSSEG6E8_V_MF4, VSSEG6E8_V }, // 9511
  { PseudoVSSEG6E8_V_MF4_MASK, VSSEG6E8_V }, // 9512
  { PseudoVSSEG6E8_V_MF8, VSSEG6E8_V }, // 9513
  { PseudoVSSEG6E8_V_MF8_MASK, VSSEG6E8_V }, // 9514
  { PseudoVSSEG7E16_V_M1, VSSEG7E16_V }, // 9515
  { PseudoVSSEG7E16_V_M1_MASK, VSSEG7E16_V }, // 9516
  { PseudoVSSEG7E16_V_MF2, VSSEG7E16_V }, // 9517
  { PseudoVSSEG7E16_V_MF2_MASK, VSSEG7E16_V }, // 9518
  { PseudoVSSEG7E16_V_MF4, VSSEG7E16_V }, // 9519
  { PseudoVSSEG7E16_V_MF4_MASK, VSSEG7E16_V }, // 9520
  { PseudoVSSEG7E32_V_M1, VSSEG7E32_V }, // 9521
  { PseudoVSSEG7E32_V_M1_MASK, VSSEG7E32_V }, // 9522
  { PseudoVSSEG7E32_V_MF2, VSSEG7E32_V }, // 9523
  { PseudoVSSEG7E32_V_MF2_MASK, VSSEG7E32_V }, // 9524
  { PseudoVSSEG7E64_V_M1, VSSEG7E64_V }, // 9525
  { PseudoVSSEG7E64_V_M1_MASK, VSSEG7E64_V }, // 9526
  { PseudoVSSEG7E8_V_M1, VSSEG7E8_V }, // 9527
  { PseudoVSSEG7E8_V_M1_MASK, VSSEG7E8_V }, // 9528
  { PseudoVSSEG7E8_V_MF2, VSSEG7E8_V }, // 9529
  { PseudoVSSEG7E8_V_MF2_MASK, VSSEG7E8_V }, // 9530
  { PseudoVSSEG7E8_V_MF4, VSSEG7E8_V }, // 9531
  { PseudoVSSEG7E8_V_MF4_MASK, VSSEG7E8_V }, // 9532
  { PseudoVSSEG7E8_V_MF8, VSSEG7E8_V }, // 9533
  { PseudoVSSEG7E8_V_MF8_MASK, VSSEG7E8_V }, // 9534
  { PseudoVSSEG8E16_V_M1, VSSEG8E16_V }, // 9535
  { PseudoVSSEG8E16_V_M1_MASK, VSSEG8E16_V }, // 9536
  { PseudoVSSEG8E16_V_MF2, VSSEG8E16_V }, // 9537
  { PseudoVSSEG8E16_V_MF2_MASK, VSSEG8E16_V }, // 9538
  { PseudoVSSEG8E16_V_MF4, VSSEG8E16_V }, // 9539
  { PseudoVSSEG8E16_V_MF4_MASK, VSSEG8E16_V }, // 9540
  { PseudoVSSEG8E32_V_M1, VSSEG8E32_V }, // 9541
  { PseudoVSSEG8E32_V_M1_MASK, VSSEG8E32_V }, // 9542
  { PseudoVSSEG8E32_V_MF2, VSSEG8E32_V }, // 9543
  { PseudoVSSEG8E32_V_MF2_MASK, VSSEG8E32_V }, // 9544
  { PseudoVSSEG8E64_V_M1, VSSEG8E64_V }, // 9545
  { PseudoVSSEG8E64_V_M1_MASK, VSSEG8E64_V }, // 9546
  { PseudoVSSEG8E8_V_M1, VSSEG8E8_V }, // 9547
  { PseudoVSSEG8E8_V_M1_MASK, VSSEG8E8_V }, // 9548
  { PseudoVSSEG8E8_V_MF2, VSSEG8E8_V }, // 9549
  { PseudoVSSEG8E8_V_MF2_MASK, VSSEG8E8_V }, // 9550
  { PseudoVSSEG8E8_V_MF4, VSSEG8E8_V }, // 9551
  { PseudoVSSEG8E8_V_MF4_MASK, VSSEG8E8_V }, // 9552
  { PseudoVSSEG8E8_V_MF8, VSSEG8E8_V }, // 9553
  { PseudoVSSEG8E8_V_MF8_MASK, VSSEG8E8_V }, // 9554
  { PseudoVSSRA_VI_M1, VSSRA_VI }, // 9555
  { PseudoVSSRA_VI_M1_MASK, VSSRA_VI }, // 9556
  { PseudoVSSRA_VI_M1_TU, VSSRA_VI }, // 9557
  { PseudoVSSRA_VI_M2, VSSRA_VI }, // 9558
  { PseudoVSSRA_VI_M2_MASK, VSSRA_VI }, // 9559
  { PseudoVSSRA_VI_M2_TU, VSSRA_VI }, // 9560
  { PseudoVSSRA_VI_M4, VSSRA_VI }, // 9561
  { PseudoVSSRA_VI_M4_MASK, VSSRA_VI }, // 9562
  { PseudoVSSRA_VI_M4_TU, VSSRA_VI }, // 9563
  { PseudoVSSRA_VI_M8, VSSRA_VI }, // 9564
  { PseudoVSSRA_VI_M8_MASK, VSSRA_VI }, // 9565
  { PseudoVSSRA_VI_M8_TU, VSSRA_VI }, // 9566
  { PseudoVSSRA_VI_MF2, VSSRA_VI }, // 9567
  { PseudoVSSRA_VI_MF2_MASK, VSSRA_VI }, // 9568
  { PseudoVSSRA_VI_MF2_TU, VSSRA_VI }, // 9569
  { PseudoVSSRA_VI_MF4, VSSRA_VI }, // 9570
  { PseudoVSSRA_VI_MF4_MASK, VSSRA_VI }, // 9571
  { PseudoVSSRA_VI_MF4_TU, VSSRA_VI }, // 9572
  { PseudoVSSRA_VI_MF8, VSSRA_VI }, // 9573
  { PseudoVSSRA_VI_MF8_MASK, VSSRA_VI }, // 9574
  { PseudoVSSRA_VI_MF8_TU, VSSRA_VI }, // 9575
  { PseudoVSSRA_VV_M1, VSSRA_VV }, // 9576
  { PseudoVSSRA_VV_M1_MASK, VSSRA_VV }, // 9577
  { PseudoVSSRA_VV_M1_TU, VSSRA_VV }, // 9578
  { PseudoVSSRA_VV_M2, VSSRA_VV }, // 9579
  { PseudoVSSRA_VV_M2_MASK, VSSRA_VV }, // 9580
  { PseudoVSSRA_VV_M2_TU, VSSRA_VV }, // 9581
  { PseudoVSSRA_VV_M4, VSSRA_VV }, // 9582
  { PseudoVSSRA_VV_M4_MASK, VSSRA_VV }, // 9583
  { PseudoVSSRA_VV_M4_TU, VSSRA_VV }, // 9584
  { PseudoVSSRA_VV_M8, VSSRA_VV }, // 9585
  { PseudoVSSRA_VV_M8_MASK, VSSRA_VV }, // 9586
  { PseudoVSSRA_VV_M8_TU, VSSRA_VV }, // 9587
  { PseudoVSSRA_VV_MF2, VSSRA_VV }, // 9588
  { PseudoVSSRA_VV_MF2_MASK, VSSRA_VV }, // 9589
  { PseudoVSSRA_VV_MF2_TU, VSSRA_VV }, // 9590
  { PseudoVSSRA_VV_MF4, VSSRA_VV }, // 9591
  { PseudoVSSRA_VV_MF4_MASK, VSSRA_VV }, // 9592
  { PseudoVSSRA_VV_MF4_TU, VSSRA_VV }, // 9593
  { PseudoVSSRA_VV_MF8, VSSRA_VV }, // 9594
  { PseudoVSSRA_VV_MF8_MASK, VSSRA_VV }, // 9595
  { PseudoVSSRA_VV_MF8_TU, VSSRA_VV }, // 9596
  { PseudoVSSRA_VX_M1, VSSRA_VX }, // 9597
  { PseudoVSSRA_VX_M1_MASK, VSSRA_VX }, // 9598
  { PseudoVSSRA_VX_M1_TU, VSSRA_VX }, // 9599
  { PseudoVSSRA_VX_M2, VSSRA_VX }, // 9600
  { PseudoVSSRA_VX_M2_MASK, VSSRA_VX }, // 9601
  { PseudoVSSRA_VX_M2_TU, VSSRA_VX }, // 9602
  { PseudoVSSRA_VX_M4, VSSRA_VX }, // 9603
  { PseudoVSSRA_VX_M4_MASK, VSSRA_VX }, // 9604
  { PseudoVSSRA_VX_M4_TU, VSSRA_VX }, // 9605
  { PseudoVSSRA_VX_M8, VSSRA_VX }, // 9606
  { PseudoVSSRA_VX_M8_MASK, VSSRA_VX }, // 9607
  { PseudoVSSRA_VX_M8_TU, VSSRA_VX }, // 9608
  { PseudoVSSRA_VX_MF2, VSSRA_VX }, // 9609
  { PseudoVSSRA_VX_MF2_MASK, VSSRA_VX }, // 9610
  { PseudoVSSRA_VX_MF2_TU, VSSRA_VX }, // 9611
  { PseudoVSSRA_VX_MF4, VSSRA_VX }, // 9612
  { PseudoVSSRA_VX_MF4_MASK, VSSRA_VX }, // 9613
  { PseudoVSSRA_VX_MF4_TU, VSSRA_VX }, // 9614
  { PseudoVSSRA_VX_MF8, VSSRA_VX }, // 9615
  { PseudoVSSRA_VX_MF8_MASK, VSSRA_VX }, // 9616
  { PseudoVSSRA_VX_MF8_TU, VSSRA_VX }, // 9617
  { PseudoVSSRL_VI_M1, VSSRL_VI }, // 9618
  { PseudoVSSRL_VI_M1_MASK, VSSRL_VI }, // 9619
  { PseudoVSSRL_VI_M1_TU, VSSRL_VI }, // 9620
  { PseudoVSSRL_VI_M2, VSSRL_VI }, // 9621
  { PseudoVSSRL_VI_M2_MASK, VSSRL_VI }, // 9622
  { PseudoVSSRL_VI_M2_TU, VSSRL_VI }, // 9623
  { PseudoVSSRL_VI_M4, VSSRL_VI }, // 9624
  { PseudoVSSRL_VI_M4_MASK, VSSRL_VI }, // 9625
  { PseudoVSSRL_VI_M4_TU, VSSRL_VI }, // 9626
  { PseudoVSSRL_VI_M8, VSSRL_VI }, // 9627
  { PseudoVSSRL_VI_M8_MASK, VSSRL_VI }, // 9628
  { PseudoVSSRL_VI_M8_TU, VSSRL_VI }, // 9629
  { PseudoVSSRL_VI_MF2, VSSRL_VI }, // 9630
  { PseudoVSSRL_VI_MF2_MASK, VSSRL_VI }, // 9631
  { PseudoVSSRL_VI_MF2_TU, VSSRL_VI }, // 9632
  { PseudoVSSRL_VI_MF4, VSSRL_VI }, // 9633
  { PseudoVSSRL_VI_MF4_MASK, VSSRL_VI }, // 9634
  { PseudoVSSRL_VI_MF4_TU, VSSRL_VI }, // 9635
  { PseudoVSSRL_VI_MF8, VSSRL_VI }, // 9636
  { PseudoVSSRL_VI_MF8_MASK, VSSRL_VI }, // 9637
  { PseudoVSSRL_VI_MF8_TU, VSSRL_VI }, // 9638
  { PseudoVSSRL_VV_M1, VSSRL_VV }, // 9639
  { PseudoVSSRL_VV_M1_MASK, VSSRL_VV }, // 9640
  { PseudoVSSRL_VV_M1_TU, VSSRL_VV }, // 9641
  { PseudoVSSRL_VV_M2, VSSRL_VV }, // 9642
  { PseudoVSSRL_VV_M2_MASK, VSSRL_VV }, // 9643
  { PseudoVSSRL_VV_M2_TU, VSSRL_VV }, // 9644
  { PseudoVSSRL_VV_M4, VSSRL_VV }, // 9645
  { PseudoVSSRL_VV_M4_MASK, VSSRL_VV }, // 9646
  { PseudoVSSRL_VV_M4_TU, VSSRL_VV }, // 9647
  { PseudoVSSRL_VV_M8, VSSRL_VV }, // 9648
  { PseudoVSSRL_VV_M8_MASK, VSSRL_VV }, // 9649
  { PseudoVSSRL_VV_M8_TU, VSSRL_VV }, // 9650
  { PseudoVSSRL_VV_MF2, VSSRL_VV }, // 9651
  { PseudoVSSRL_VV_MF2_MASK, VSSRL_VV }, // 9652
  { PseudoVSSRL_VV_MF2_TU, VSSRL_VV }, // 9653
  { PseudoVSSRL_VV_MF4, VSSRL_VV }, // 9654
  { PseudoVSSRL_VV_MF4_MASK, VSSRL_VV }, // 9655
  { PseudoVSSRL_VV_MF4_TU, VSSRL_VV }, // 9656
  { PseudoVSSRL_VV_MF8, VSSRL_VV }, // 9657
  { PseudoVSSRL_VV_MF8_MASK, VSSRL_VV }, // 9658
  { PseudoVSSRL_VV_MF8_TU, VSSRL_VV }, // 9659
  { PseudoVSSRL_VX_M1, VSSRL_VX }, // 9660
  { PseudoVSSRL_VX_M1_MASK, VSSRL_VX }, // 9661
  { PseudoVSSRL_VX_M1_TU, VSSRL_VX }, // 9662
  { PseudoVSSRL_VX_M2, VSSRL_VX }, // 9663
  { PseudoVSSRL_VX_M2_MASK, VSSRL_VX }, // 9664
  { PseudoVSSRL_VX_M2_TU, VSSRL_VX }, // 9665
  { PseudoVSSRL_VX_M4, VSSRL_VX }, // 9666
  { PseudoVSSRL_VX_M4_MASK, VSSRL_VX }, // 9667
  { PseudoVSSRL_VX_M4_TU, VSSRL_VX }, // 9668
  { PseudoVSSRL_VX_M8, VSSRL_VX }, // 9669
  { PseudoVSSRL_VX_M8_MASK, VSSRL_VX }, // 9670
  { PseudoVSSRL_VX_M8_TU, VSSRL_VX }, // 9671
  { PseudoVSSRL_VX_MF2, VSSRL_VX }, // 9672
  { PseudoVSSRL_VX_MF2_MASK, VSSRL_VX }, // 9673
  { PseudoVSSRL_VX_MF2_TU, VSSRL_VX }, // 9674
  { PseudoVSSRL_VX_MF4, VSSRL_VX }, // 9675
  { PseudoVSSRL_VX_MF4_MASK, VSSRL_VX }, // 9676
  { PseudoVSSRL_VX_MF4_TU, VSSRL_VX }, // 9677
  { PseudoVSSRL_VX_MF8, VSSRL_VX }, // 9678
  { PseudoVSSRL_VX_MF8_MASK, VSSRL_VX }, // 9679
  { PseudoVSSRL_VX_MF8_TU, VSSRL_VX }, // 9680
  { PseudoVSSSEG2E16_V_M1, VSSSEG2E16_V }, // 9681
  { PseudoVSSSEG2E16_V_M1_MASK, VSSSEG2E16_V }, // 9682
  { PseudoVSSSEG2E16_V_M2, VSSSEG2E16_V }, // 9683
  { PseudoVSSSEG2E16_V_M2_MASK, VSSSEG2E16_V }, // 9684
  { PseudoVSSSEG2E16_V_M4, VSSSEG2E16_V }, // 9685
  { PseudoVSSSEG2E16_V_M4_MASK, VSSSEG2E16_V }, // 9686
  { PseudoVSSSEG2E16_V_MF2, VSSSEG2E16_V }, // 9687
  { PseudoVSSSEG2E16_V_MF2_MASK, VSSSEG2E16_V }, // 9688
  { PseudoVSSSEG2E16_V_MF4, VSSSEG2E16_V }, // 9689
  { PseudoVSSSEG2E16_V_MF4_MASK, VSSSEG2E16_V }, // 9690
  { PseudoVSSSEG2E32_V_M1, VSSSEG2E32_V }, // 9691
  { PseudoVSSSEG2E32_V_M1_MASK, VSSSEG2E32_V }, // 9692
  { PseudoVSSSEG2E32_V_M2, VSSSEG2E32_V }, // 9693
  { PseudoVSSSEG2E32_V_M2_MASK, VSSSEG2E32_V }, // 9694
  { PseudoVSSSEG2E32_V_M4, VSSSEG2E32_V }, // 9695
  { PseudoVSSSEG2E32_V_M4_MASK, VSSSEG2E32_V }, // 9696
  { PseudoVSSSEG2E32_V_MF2, VSSSEG2E32_V }, // 9697
  { PseudoVSSSEG2E32_V_MF2_MASK, VSSSEG2E32_V }, // 9698
  { PseudoVSSSEG2E64_V_M1, VSSSEG2E64_V }, // 9699
  { PseudoVSSSEG2E64_V_M1_MASK, VSSSEG2E64_V }, // 9700
  { PseudoVSSSEG2E64_V_M2, VSSSEG2E64_V }, // 9701
  { PseudoVSSSEG2E64_V_M2_MASK, VSSSEG2E64_V }, // 9702
  { PseudoVSSSEG2E64_V_M4, VSSSEG2E64_V }, // 9703
  { PseudoVSSSEG2E64_V_M4_MASK, VSSSEG2E64_V }, // 9704
  { PseudoVSSSEG2E8_V_M1, VSSSEG2E8_V }, // 9705
  { PseudoVSSSEG2E8_V_M1_MASK, VSSSEG2E8_V }, // 9706
  { PseudoVSSSEG2E8_V_M2, VSSSEG2E8_V }, // 9707
  { PseudoVSSSEG2E8_V_M2_MASK, VSSSEG2E8_V }, // 9708
  { PseudoVSSSEG2E8_V_M4, VSSSEG2E8_V }, // 9709
  { PseudoVSSSEG2E8_V_M4_MASK, VSSSEG2E8_V }, // 9710
  { PseudoVSSSEG2E8_V_MF2, VSSSEG2E8_V }, // 9711
  { PseudoVSSSEG2E8_V_MF2_MASK, VSSSEG2E8_V }, // 9712
  { PseudoVSSSEG2E8_V_MF4, VSSSEG2E8_V }, // 9713
  { PseudoVSSSEG2E8_V_MF4_MASK, VSSSEG2E8_V }, // 9714
  { PseudoVSSSEG2E8_V_MF8, VSSSEG2E8_V }, // 9715
  { PseudoVSSSEG2E8_V_MF8_MASK, VSSSEG2E8_V }, // 9716
  { PseudoVSSSEG3E16_V_M1, VSSSEG3E16_V }, // 9717
  { PseudoVSSSEG3E16_V_M1_MASK, VSSSEG3E16_V }, // 9718
  { PseudoVSSSEG3E16_V_M2, VSSSEG3E16_V }, // 9719
  { PseudoVSSSEG3E16_V_M2_MASK, VSSSEG3E16_V }, // 9720
  { PseudoVSSSEG3E16_V_MF2, VSSSEG3E16_V }, // 9721
  { PseudoVSSSEG3E16_V_MF2_MASK, VSSSEG3E16_V }, // 9722
  { PseudoVSSSEG3E16_V_MF4, VSSSEG3E16_V }, // 9723
  { PseudoVSSSEG3E16_V_MF4_MASK, VSSSEG3E16_V }, // 9724
  { PseudoVSSSEG3E32_V_M1, VSSSEG3E32_V }, // 9725
  { PseudoVSSSEG3E32_V_M1_MASK, VSSSEG3E32_V }, // 9726
  { PseudoVSSSEG3E32_V_M2, VSSSEG3E32_V }, // 9727
  { PseudoVSSSEG3E32_V_M2_MASK, VSSSEG3E32_V }, // 9728
  { PseudoVSSSEG3E32_V_MF2, VSSSEG3E32_V }, // 9729
  { PseudoVSSSEG3E32_V_MF2_MASK, VSSSEG3E32_V }, // 9730
  { PseudoVSSSEG3E64_V_M1, VSSSEG3E64_V }, // 9731
  { PseudoVSSSEG3E64_V_M1_MASK, VSSSEG3E64_V }, // 9732
  { PseudoVSSSEG3E64_V_M2, VSSSEG3E64_V }, // 9733
  { PseudoVSSSEG3E64_V_M2_MASK, VSSSEG3E64_V }, // 9734
  { PseudoVSSSEG3E8_V_M1, VSSSEG3E8_V }, // 9735
  { PseudoVSSSEG3E8_V_M1_MASK, VSSSEG3E8_V }, // 9736
  { PseudoVSSSEG3E8_V_M2, VSSSEG3E8_V }, // 9737
  { PseudoVSSSEG3E8_V_M2_MASK, VSSSEG3E8_V }, // 9738
  { PseudoVSSSEG3E8_V_MF2, VSSSEG3E8_V }, // 9739
  { PseudoVSSSEG3E8_V_MF2_MASK, VSSSEG3E8_V }, // 9740
  { PseudoVSSSEG3E8_V_MF4, VSSSEG3E8_V }, // 9741
  { PseudoVSSSEG3E8_V_MF4_MASK, VSSSEG3E8_V }, // 9742
  { PseudoVSSSEG3E8_V_MF8, VSSSEG3E8_V }, // 9743
  { PseudoVSSSEG3E8_V_MF8_MASK, VSSSEG3E8_V }, // 9744
  { PseudoVSSSEG4E16_V_M1, VSSSEG4E16_V }, // 9745
  { PseudoVSSSEG4E16_V_M1_MASK, VSSSEG4E16_V }, // 9746
  { PseudoVSSSEG4E16_V_M2, VSSSEG4E16_V }, // 9747
  { PseudoVSSSEG4E16_V_M2_MASK, VSSSEG4E16_V }, // 9748
  { PseudoVSSSEG4E16_V_MF2, VSSSEG4E16_V }, // 9749
  { PseudoVSSSEG4E16_V_MF2_MASK, VSSSEG4E16_V }, // 9750
  { PseudoVSSSEG4E16_V_MF4, VSSSEG4E16_V }, // 9751
  { PseudoVSSSEG4E16_V_MF4_MASK, VSSSEG4E16_V }, // 9752
  { PseudoVSSSEG4E32_V_M1, VSSSEG4E32_V }, // 9753
  { PseudoVSSSEG4E32_V_M1_MASK, VSSSEG4E32_V }, // 9754
  { PseudoVSSSEG4E32_V_M2, VSSSEG4E32_V }, // 9755
  { PseudoVSSSEG4E32_V_M2_MASK, VSSSEG4E32_V }, // 9756
  { PseudoVSSSEG4E32_V_MF2, VSSSEG4E32_V }, // 9757
  { PseudoVSSSEG4E32_V_MF2_MASK, VSSSEG4E32_V }, // 9758
  { PseudoVSSSEG4E64_V_M1, VSSSEG4E64_V }, // 9759
  { PseudoVSSSEG4E64_V_M1_MASK, VSSSEG4E64_V }, // 9760
  { PseudoVSSSEG4E64_V_M2, VSSSEG4E64_V }, // 9761
  { PseudoVSSSEG4E64_V_M2_MASK, VSSSEG4E64_V }, // 9762
  { PseudoVSSSEG4E8_V_M1, VSSSEG4E8_V }, // 9763
  { PseudoVSSSEG4E8_V_M1_MASK, VSSSEG4E8_V }, // 9764
  { PseudoVSSSEG4E8_V_M2, VSSSEG4E8_V }, // 9765
  { PseudoVSSSEG4E8_V_M2_MASK, VSSSEG4E8_V }, // 9766
  { PseudoVSSSEG4E8_V_MF2, VSSSEG4E8_V }, // 9767
  { PseudoVSSSEG4E8_V_MF2_MASK, VSSSEG4E8_V }, // 9768
  { PseudoVSSSEG4E8_V_MF4, VSSSEG4E8_V }, // 9769
  { PseudoVSSSEG4E8_V_MF4_MASK, VSSSEG4E8_V }, // 9770
  { PseudoVSSSEG4E8_V_MF8, VSSSEG4E8_V }, // 9771
  { PseudoVSSSEG4E8_V_MF8_MASK, VSSSEG4E8_V }, // 9772
  { PseudoVSSSEG5E16_V_M1, VSSSEG5E16_V }, // 9773
  { PseudoVSSSEG5E16_V_M1_MASK, VSSSEG5E16_V }, // 9774
  { PseudoVSSSEG5E16_V_MF2, VSSSEG5E16_V }, // 9775
  { PseudoVSSSEG5E16_V_MF2_MASK, VSSSEG5E16_V }, // 9776
  { PseudoVSSSEG5E16_V_MF4, VSSSEG5E16_V }, // 9777
  { PseudoVSSSEG5E16_V_MF4_MASK, VSSSEG5E16_V }, // 9778
  { PseudoVSSSEG5E32_V_M1, VSSSEG5E32_V }, // 9779
  { PseudoVSSSEG5E32_V_M1_MASK, VSSSEG5E32_V }, // 9780
  { PseudoVSSSEG5E32_V_MF2, VSSSEG5E32_V }, // 9781
  { PseudoVSSSEG5E32_V_MF2_MASK, VSSSEG5E32_V }, // 9782
  { PseudoVSSSEG5E64_V_M1, VSSSEG5E64_V }, // 9783
  { PseudoVSSSEG5E64_V_M1_MASK, VSSSEG5E64_V }, // 9784
  { PseudoVSSSEG5E8_V_M1, VSSSEG5E8_V }, // 9785
  { PseudoVSSSEG5E8_V_M1_MASK, VSSSEG5E8_V }, // 9786
  { PseudoVSSSEG5E8_V_MF2, VSSSEG5E8_V }, // 9787
  { PseudoVSSSEG5E8_V_MF2_MASK, VSSSEG5E8_V }, // 9788
  { PseudoVSSSEG5E8_V_MF4, VSSSEG5E8_V }, // 9789
  { PseudoVSSSEG5E8_V_MF4_MASK, VSSSEG5E8_V }, // 9790
  { PseudoVSSSEG5E8_V_MF8, VSSSEG5E8_V }, // 9791
  { PseudoVSSSEG5E8_V_MF8_MASK, VSSSEG5E8_V }, // 9792
  { PseudoVSSSEG6E16_V_M1, VSSSEG6E16_V }, // 9793
  { PseudoVSSSEG6E16_V_M1_MASK, VSSSEG6E16_V }, // 9794
  { PseudoVSSSEG6E16_V_MF2, VSSSEG6E16_V }, // 9795
  { PseudoVSSSEG6E16_V_MF2_MASK, VSSSEG6E16_V }, // 9796
  { PseudoVSSSEG6E16_V_MF4, VSSSEG6E16_V }, // 9797
  { PseudoVSSSEG6E16_V_MF4_MASK, VSSSEG6E16_V }, // 9798
  { PseudoVSSSEG6E32_V_M1, VSSSEG6E32_V }, // 9799
  { PseudoVSSSEG6E32_V_M1_MASK, VSSSEG6E32_V }, // 9800
  { PseudoVSSSEG6E32_V_MF2, VSSSEG6E32_V }, // 9801
  { PseudoVSSSEG6E32_V_MF2_MASK, VSSSEG6E32_V }, // 9802
  { PseudoVSSSEG6E64_V_M1, VSSSEG6E64_V }, // 9803
  { PseudoVSSSEG6E64_V_M1_MASK, VSSSEG6E64_V }, // 9804
  { PseudoVSSSEG6E8_V_M1, VSSSEG6E8_V }, // 9805
  { PseudoVSSSEG6E8_V_M1_MASK, VSSSEG6E8_V }, // 9806
  { PseudoVSSSEG6E8_V_MF2, VSSSEG6E8_V }, // 9807
  { PseudoVSSSEG6E8_V_MF2_MASK, VSSSEG6E8_V }, // 9808
  { PseudoVSSSEG6E8_V_MF4, VSSSEG6E8_V }, // 9809
  { PseudoVSSSEG6E8_V_MF4_MASK, VSSSEG6E8_V }, // 9810
  { PseudoVSSSEG6E8_V_MF8, VSSSEG6E8_V }, // 9811
  { PseudoVSSSEG6E8_V_MF8_MASK, VSSSEG6E8_V }, // 9812
  { PseudoVSSSEG7E16_V_M1, VSSSEG7E16_V }, // 9813
  { PseudoVSSSEG7E16_V_M1_MASK, VSSSEG7E16_V }, // 9814
  { PseudoVSSSEG7E16_V_MF2, VSSSEG7E16_V }, // 9815
  { PseudoVSSSEG7E16_V_MF2_MASK, VSSSEG7E16_V }, // 9816
  { PseudoVSSSEG7E16_V_MF4, VSSSEG7E16_V }, // 9817
  { PseudoVSSSEG7E16_V_MF4_MASK, VSSSEG7E16_V }, // 9818
  { PseudoVSSSEG7E32_V_M1, VSSSEG7E32_V }, // 9819
  { PseudoVSSSEG7E32_V_M1_MASK, VSSSEG7E32_V }, // 9820
  { PseudoVSSSEG7E32_V_MF2, VSSSEG7E32_V }, // 9821
  { PseudoVSSSEG7E32_V_MF2_MASK, VSSSEG7E32_V }, // 9822
  { PseudoVSSSEG7E64_V_M1, VSSSEG7E64_V }, // 9823
  { PseudoVSSSEG7E64_V_M1_MASK, VSSSEG7E64_V }, // 9824
  { PseudoVSSSEG7E8_V_M1, VSSSEG7E8_V }, // 9825
  { PseudoVSSSEG7E8_V_M1_MASK, VSSSEG7E8_V }, // 9826
  { PseudoVSSSEG7E8_V_MF2, VSSSEG7E8_V }, // 9827
  { PseudoVSSSEG7E8_V_MF2_MASK, VSSSEG7E8_V }, // 9828
  { PseudoVSSSEG7E8_V_MF4, VSSSEG7E8_V }, // 9829
  { PseudoVSSSEG7E8_V_MF4_MASK, VSSSEG7E8_V }, // 9830
  { PseudoVSSSEG7E8_V_MF8, VSSSEG7E8_V }, // 9831
  { PseudoVSSSEG7E8_V_MF8_MASK, VSSSEG7E8_V }, // 9832
  { PseudoVSSSEG8E16_V_M1, VSSSEG8E16_V }, // 9833
  { PseudoVSSSEG8E16_V_M1_MASK, VSSSEG8E16_V }, // 9834
  { PseudoVSSSEG8E16_V_MF2, VSSSEG8E16_V }, // 9835
  { PseudoVSSSEG8E16_V_MF2_MASK, VSSSEG8E16_V }, // 9836
  { PseudoVSSSEG8E16_V_MF4, VSSSEG8E16_V }, // 9837
  { PseudoVSSSEG8E16_V_MF4_MASK, VSSSEG8E16_V }, // 9838
  { PseudoVSSSEG8E32_V_M1, VSSSEG8E32_V }, // 9839
  { PseudoVSSSEG8E32_V_M1_MASK, VSSSEG8E32_V }, // 9840
  { PseudoVSSSEG8E32_V_MF2, VSSSEG8E32_V }, // 9841
  { PseudoVSSSEG8E32_V_MF2_MASK, VSSSEG8E32_V }, // 9842
  { PseudoVSSSEG8E64_V_M1, VSSSEG8E64_V }, // 9843
  { PseudoVSSSEG8E64_V_M1_MASK, VSSSEG8E64_V }, // 9844
  { PseudoVSSSEG8E8_V_M1, VSSSEG8E8_V }, // 9845
  { PseudoVSSSEG8E8_V_M1_MASK, VSSSEG8E8_V }, // 9846
  { PseudoVSSSEG8E8_V_MF2, VSSSEG8E8_V }, // 9847
  { PseudoVSSSEG8E8_V_MF2_MASK, VSSSEG8E8_V }, // 9848
  { PseudoVSSSEG8E8_V_MF4, VSSSEG8E8_V }, // 9849
  { PseudoVSSSEG8E8_V_MF4_MASK, VSSSEG8E8_V }, // 9850
  { PseudoVSSSEG8E8_V_MF8, VSSSEG8E8_V }, // 9851
  { PseudoVSSSEG8E8_V_MF8_MASK, VSSSEG8E8_V }, // 9852
  { PseudoVSSUBU_VV_M1, VSSUBU_VV }, // 9853
  { PseudoVSSUBU_VV_M1_MASK, VSSUBU_VV }, // 9854
  { PseudoVSSUBU_VV_M1_TU, VSSUBU_VV }, // 9855
  { PseudoVSSUBU_VV_M2, VSSUBU_VV }, // 9856
  { PseudoVSSUBU_VV_M2_MASK, VSSUBU_VV }, // 9857
  { PseudoVSSUBU_VV_M2_TU, VSSUBU_VV }, // 9858
  { PseudoVSSUBU_VV_M4, VSSUBU_VV }, // 9859
  { PseudoVSSUBU_VV_M4_MASK, VSSUBU_VV }, // 9860
  { PseudoVSSUBU_VV_M4_TU, VSSUBU_VV }, // 9861
  { PseudoVSSUBU_VV_M8, VSSUBU_VV }, // 9862
  { PseudoVSSUBU_VV_M8_MASK, VSSUBU_VV }, // 9863
  { PseudoVSSUBU_VV_M8_TU, VSSUBU_VV }, // 9864
  { PseudoVSSUBU_VV_MF2, VSSUBU_VV }, // 9865
  { PseudoVSSUBU_VV_MF2_MASK, VSSUBU_VV }, // 9866
  { PseudoVSSUBU_VV_MF2_TU, VSSUBU_VV }, // 9867
  { PseudoVSSUBU_VV_MF4, VSSUBU_VV }, // 9868
  { PseudoVSSUBU_VV_MF4_MASK, VSSUBU_VV }, // 9869
  { PseudoVSSUBU_VV_MF4_TU, VSSUBU_VV }, // 9870
  { PseudoVSSUBU_VV_MF8, VSSUBU_VV }, // 9871
  { PseudoVSSUBU_VV_MF8_MASK, VSSUBU_VV }, // 9872
  { PseudoVSSUBU_VV_MF8_TU, VSSUBU_VV }, // 9873
  { PseudoVSSUBU_VX_M1, VSSUBU_VX }, // 9874
  { PseudoVSSUBU_VX_M1_MASK, VSSUBU_VX }, // 9875
  { PseudoVSSUBU_VX_M1_TU, VSSUBU_VX }, // 9876
  { PseudoVSSUBU_VX_M2, VSSUBU_VX }, // 9877
  { PseudoVSSUBU_VX_M2_MASK, VSSUBU_VX }, // 9878
  { PseudoVSSUBU_VX_M2_TU, VSSUBU_VX }, // 9879
  { PseudoVSSUBU_VX_M4, VSSUBU_VX }, // 9880
  { PseudoVSSUBU_VX_M4_MASK, VSSUBU_VX }, // 9881
  { PseudoVSSUBU_VX_M4_TU, VSSUBU_VX }, // 9882
  { PseudoVSSUBU_VX_M8, VSSUBU_VX }, // 9883
  { PseudoVSSUBU_VX_M8_MASK, VSSUBU_VX }, // 9884
  { PseudoVSSUBU_VX_M8_TU, VSSUBU_VX }, // 9885
  { PseudoVSSUBU_VX_MF2, VSSUBU_VX }, // 9886
  { PseudoVSSUBU_VX_MF2_MASK, VSSUBU_VX }, // 9887
  { PseudoVSSUBU_VX_MF2_TU, VSSUBU_VX }, // 9888
  { PseudoVSSUBU_VX_MF4, VSSUBU_VX }, // 9889
  { PseudoVSSUBU_VX_MF4_MASK, VSSUBU_VX }, // 9890
  { PseudoVSSUBU_VX_MF4_TU, VSSUBU_VX }, // 9891
  { PseudoVSSUBU_VX_MF8, VSSUBU_VX }, // 9892
  { PseudoVSSUBU_VX_MF8_MASK, VSSUBU_VX }, // 9893
  { PseudoVSSUBU_VX_MF8_TU, VSSUBU_VX }, // 9894
  { PseudoVSSUB_VV_M1, VSSUB_VV }, // 9895
  { PseudoVSSUB_VV_M1_MASK, VSSUB_VV }, // 9896
  { PseudoVSSUB_VV_M1_TU, VSSUB_VV }, // 9897
  { PseudoVSSUB_VV_M2, VSSUB_VV }, // 9898
  { PseudoVSSUB_VV_M2_MASK, VSSUB_VV }, // 9899
  { PseudoVSSUB_VV_M2_TU, VSSUB_VV }, // 9900
  { PseudoVSSUB_VV_M4, VSSUB_VV }, // 9901
  { PseudoVSSUB_VV_M4_MASK, VSSUB_VV }, // 9902
  { PseudoVSSUB_VV_M4_TU, VSSUB_VV }, // 9903
  { PseudoVSSUB_VV_M8, VSSUB_VV }, // 9904
  { PseudoVSSUB_VV_M8_MASK, VSSUB_VV }, // 9905
  { PseudoVSSUB_VV_M8_TU, VSSUB_VV }, // 9906
  { PseudoVSSUB_VV_MF2, VSSUB_VV }, // 9907
  { PseudoVSSUB_VV_MF2_MASK, VSSUB_VV }, // 9908
  { PseudoVSSUB_VV_MF2_TU, VSSUB_VV }, // 9909
  { PseudoVSSUB_VV_MF4, VSSUB_VV }, // 9910
  { PseudoVSSUB_VV_MF4_MASK, VSSUB_VV }, // 9911
  { PseudoVSSUB_VV_MF4_TU, VSSUB_VV }, // 9912
  { PseudoVSSUB_VV_MF8, VSSUB_VV }, // 9913
  { PseudoVSSUB_VV_MF8_MASK, VSSUB_VV }, // 9914
  { PseudoVSSUB_VV_MF8_TU, VSSUB_VV }, // 9915
  { PseudoVSSUB_VX_M1, VSSUB_VX }, // 9916
  { PseudoVSSUB_VX_M1_MASK, VSSUB_VX }, // 9917
  { PseudoVSSUB_VX_M1_TU, VSSUB_VX }, // 9918
  { PseudoVSSUB_VX_M2, VSSUB_VX }, // 9919
  { PseudoVSSUB_VX_M2_MASK, VSSUB_VX }, // 9920
  { PseudoVSSUB_VX_M2_TU, VSSUB_VX }, // 9921
  { PseudoVSSUB_VX_M4, VSSUB_VX }, // 9922
  { PseudoVSSUB_VX_M4_MASK, VSSUB_VX }, // 9923
  { PseudoVSSUB_VX_M4_TU, VSSUB_VX }, // 9924
  { PseudoVSSUB_VX_M8, VSSUB_VX }, // 9925
  { PseudoVSSUB_VX_M8_MASK, VSSUB_VX }, // 9926
  { PseudoVSSUB_VX_M8_TU, VSSUB_VX }, // 9927
  { PseudoVSSUB_VX_MF2, VSSUB_VX }, // 9928
  { PseudoVSSUB_VX_MF2_MASK, VSSUB_VX }, // 9929
  { PseudoVSSUB_VX_MF2_TU, VSSUB_VX }, // 9930
  { PseudoVSSUB_VX_MF4, VSSUB_VX }, // 9931
  { PseudoVSSUB_VX_MF4_MASK, VSSUB_VX }, // 9932
  { PseudoVSSUB_VX_MF4_TU, VSSUB_VX }, // 9933
  { PseudoVSSUB_VX_MF8, VSSUB_VX }, // 9934
  { PseudoVSSUB_VX_MF8_MASK, VSSUB_VX }, // 9935
  { PseudoVSSUB_VX_MF8_TU, VSSUB_VX }, // 9936
  { PseudoVSUB_VV_M1, VSUB_VV }, // 9937
  { PseudoVSUB_VV_M1_MASK, VSUB_VV }, // 9938
  { PseudoVSUB_VV_M1_TU, VSUB_VV }, // 9939
  { PseudoVSUB_VV_M2, VSUB_VV }, // 9940
  { PseudoVSUB_VV_M2_MASK, VSUB_VV }, // 9941
  { PseudoVSUB_VV_M2_TU, VSUB_VV }, // 9942
  { PseudoVSUB_VV_M4, VSUB_VV }, // 9943
  { PseudoVSUB_VV_M4_MASK, VSUB_VV }, // 9944
  { PseudoVSUB_VV_M4_TU, VSUB_VV }, // 9945
  { PseudoVSUB_VV_M8, VSUB_VV }, // 9946
  { PseudoVSUB_VV_M8_MASK, VSUB_VV }, // 9947
  { PseudoVSUB_VV_M8_TU, VSUB_VV }, // 9948
  { PseudoVSUB_VV_MF2, VSUB_VV }, // 9949
  { PseudoVSUB_VV_MF2_MASK, VSUB_VV }, // 9950
  { PseudoVSUB_VV_MF2_TU, VSUB_VV }, // 9951
  { PseudoVSUB_VV_MF4, VSUB_VV }, // 9952
  { PseudoVSUB_VV_MF4_MASK, VSUB_VV }, // 9953
  { PseudoVSUB_VV_MF4_TU, VSUB_VV }, // 9954
  { PseudoVSUB_VV_MF8, VSUB_VV }, // 9955
  { PseudoVSUB_VV_MF8_MASK, VSUB_VV }, // 9956
  { PseudoVSUB_VV_MF8_TU, VSUB_VV }, // 9957
  { PseudoVSUB_VX_M1, VSUB_VX }, // 9958
  { PseudoVSUB_VX_M1_MASK, VSUB_VX }, // 9959
  { PseudoVSUB_VX_M1_TU, VSUB_VX }, // 9960
  { PseudoVSUB_VX_M2, VSUB_VX }, // 9961
  { PseudoVSUB_VX_M2_MASK, VSUB_VX }, // 9962
  { PseudoVSUB_VX_M2_TU, VSUB_VX }, // 9963
  { PseudoVSUB_VX_M4, VSUB_VX }, // 9964
  { PseudoVSUB_VX_M4_MASK, VSUB_VX }, // 9965
  { PseudoVSUB_VX_M4_TU, VSUB_VX }, // 9966
  { PseudoVSUB_VX_M8, VSUB_VX }, // 9967
  { PseudoVSUB_VX_M8_MASK, VSUB_VX }, // 9968
  { PseudoVSUB_VX_M8_TU, VSUB_VX }, // 9969
  { PseudoVSUB_VX_MF2, VSUB_VX }, // 9970
  { PseudoVSUB_VX_MF2_MASK, VSUB_VX }, // 9971
  { PseudoVSUB_VX_MF2_TU, VSUB_VX }, // 9972
  { PseudoVSUB_VX_MF4, VSUB_VX }, // 9973
  { PseudoVSUB_VX_MF4_MASK, VSUB_VX }, // 9974
  { PseudoVSUB_VX_MF4_TU, VSUB_VX }, // 9975
  { PseudoVSUB_VX_MF8, VSUB_VX }, // 9976
  { PseudoVSUB_VX_MF8_MASK, VSUB_VX }, // 9977
  { PseudoVSUB_VX_MF8_TU, VSUB_VX }, // 9978
  { PseudoVSUXEI16_V_M1_M1, VSUXEI16_V }, // 9979
  { PseudoVSUXEI16_V_M1_M1_MASK, VSUXEI16_V }, // 9980
  { PseudoVSUXEI16_V_M1_M2, VSUXEI16_V }, // 9981
  { PseudoVSUXEI16_V_M1_M2_MASK, VSUXEI16_V }, // 9982
  { PseudoVSUXEI16_V_M1_M4, VSUXEI16_V }, // 9983
  { PseudoVSUXEI16_V_M1_M4_MASK, VSUXEI16_V }, // 9984
  { PseudoVSUXEI16_V_M1_MF2, VSUXEI16_V }, // 9985
  { PseudoVSUXEI16_V_M1_MF2_MASK, VSUXEI16_V }, // 9986
  { PseudoVSUXEI16_V_M2_M1, VSUXEI16_V }, // 9987
  { PseudoVSUXEI16_V_M2_M1_MASK, VSUXEI16_V }, // 9988
  { PseudoVSUXEI16_V_M2_M2, VSUXEI16_V }, // 9989
  { PseudoVSUXEI16_V_M2_M2_MASK, VSUXEI16_V }, // 9990
  { PseudoVSUXEI16_V_M2_M4, VSUXEI16_V }, // 9991
  { PseudoVSUXEI16_V_M2_M4_MASK, VSUXEI16_V }, // 9992
  { PseudoVSUXEI16_V_M2_M8, VSUXEI16_V }, // 9993
  { PseudoVSUXEI16_V_M2_M8_MASK, VSUXEI16_V }, // 9994
  { PseudoVSUXEI16_V_M4_M2, VSUXEI16_V }, // 9995
  { PseudoVSUXEI16_V_M4_M2_MASK, VSUXEI16_V }, // 9996
  { PseudoVSUXEI16_V_M4_M4, VSUXEI16_V }, // 9997
  { PseudoVSUXEI16_V_M4_M4_MASK, VSUXEI16_V }, // 9998
  { PseudoVSUXEI16_V_M4_M8, VSUXEI16_V }, // 9999
  { PseudoVSUXEI16_V_M4_M8_MASK, VSUXEI16_V }, // 10000
  { PseudoVSUXEI16_V_M8_M4, VSUXEI16_V }, // 10001
  { PseudoVSUXEI16_V_M8_M4_MASK, VSUXEI16_V }, // 10002
  { PseudoVSUXEI16_V_M8_M8, VSUXEI16_V }, // 10003
  { PseudoVSUXEI16_V_M8_M8_MASK, VSUXEI16_V }, // 10004
  { PseudoVSUXEI16_V_MF2_M1, VSUXEI16_V }, // 10005
  { PseudoVSUXEI16_V_MF2_M1_MASK, VSUXEI16_V }, // 10006
  { PseudoVSUXEI16_V_MF2_M2, VSUXEI16_V }, // 10007
  { PseudoVSUXEI16_V_MF2_M2_MASK, VSUXEI16_V }, // 10008
  { PseudoVSUXEI16_V_MF2_MF2, VSUXEI16_V }, // 10009
  { PseudoVSUXEI16_V_MF2_MF2_MASK, VSUXEI16_V }, // 10010
  { PseudoVSUXEI16_V_MF2_MF4, VSUXEI16_V }, // 10011
  { PseudoVSUXEI16_V_MF2_MF4_MASK, VSUXEI16_V }, // 10012
  { PseudoVSUXEI16_V_MF4_M1, VSUXEI16_V }, // 10013
  { PseudoVSUXEI16_V_MF4_M1_MASK, VSUXEI16_V }, // 10014
  { PseudoVSUXEI16_V_MF4_MF2, VSUXEI16_V }, // 10015
  { PseudoVSUXEI16_V_MF4_MF2_MASK, VSUXEI16_V }, // 10016
  { PseudoVSUXEI16_V_MF4_MF4, VSUXEI16_V }, // 10017
  { PseudoVSUXEI16_V_MF4_MF4_MASK, VSUXEI16_V }, // 10018
  { PseudoVSUXEI16_V_MF4_MF8, VSUXEI16_V }, // 10019
  { PseudoVSUXEI16_V_MF4_MF8_MASK, VSUXEI16_V }, // 10020
  { PseudoVSUXEI32_V_M1_M1, VSUXEI32_V }, // 10021
  { PseudoVSUXEI32_V_M1_M1_MASK, VSUXEI32_V }, // 10022
  { PseudoVSUXEI32_V_M1_M2, VSUXEI32_V }, // 10023
  { PseudoVSUXEI32_V_M1_M2_MASK, VSUXEI32_V }, // 10024
  { PseudoVSUXEI32_V_M1_MF2, VSUXEI32_V }, // 10025
  { PseudoVSUXEI32_V_M1_MF2_MASK, VSUXEI32_V }, // 10026
  { PseudoVSUXEI32_V_M1_MF4, VSUXEI32_V }, // 10027
  { PseudoVSUXEI32_V_M1_MF4_MASK, VSUXEI32_V }, // 10028
  { PseudoVSUXEI32_V_M2_M1, VSUXEI32_V }, // 10029
  { PseudoVSUXEI32_V_M2_M1_MASK, VSUXEI32_V }, // 10030
  { PseudoVSUXEI32_V_M2_M2, VSUXEI32_V }, // 10031
  { PseudoVSUXEI32_V_M2_M2_MASK, VSUXEI32_V }, // 10032
  { PseudoVSUXEI32_V_M2_M4, VSUXEI32_V }, // 10033
  { PseudoVSUXEI32_V_M2_M4_MASK, VSUXEI32_V }, // 10034
  { PseudoVSUXEI32_V_M2_MF2, VSUXEI32_V }, // 10035
  { PseudoVSUXEI32_V_M2_MF2_MASK, VSUXEI32_V }, // 10036
  { PseudoVSUXEI32_V_M4_M1, VSUXEI32_V }, // 10037
  { PseudoVSUXEI32_V_M4_M1_MASK, VSUXEI32_V }, // 10038
  { PseudoVSUXEI32_V_M4_M2, VSUXEI32_V }, // 10039
  { PseudoVSUXEI32_V_M4_M2_MASK, VSUXEI32_V }, // 10040
  { PseudoVSUXEI32_V_M4_M4, VSUXEI32_V }, // 10041
  { PseudoVSUXEI32_V_M4_M4_MASK, VSUXEI32_V }, // 10042
  { PseudoVSUXEI32_V_M4_M8, VSUXEI32_V }, // 10043
  { PseudoVSUXEI32_V_M4_M8_MASK, VSUXEI32_V }, // 10044
  { PseudoVSUXEI32_V_M8_M2, VSUXEI32_V }, // 10045
  { PseudoVSUXEI32_V_M8_M2_MASK, VSUXEI32_V }, // 10046
  { PseudoVSUXEI32_V_M8_M4, VSUXEI32_V }, // 10047
  { PseudoVSUXEI32_V_M8_M4_MASK, VSUXEI32_V }, // 10048
  { PseudoVSUXEI32_V_M8_M8, VSUXEI32_V }, // 10049
  { PseudoVSUXEI32_V_M8_M8_MASK, VSUXEI32_V }, // 10050
  { PseudoVSUXEI32_V_MF2_M1, VSUXEI32_V }, // 10051
  { PseudoVSUXEI32_V_MF2_M1_MASK, VSUXEI32_V }, // 10052
  { PseudoVSUXEI32_V_MF2_MF2, VSUXEI32_V }, // 10053
  { PseudoVSUXEI32_V_MF2_MF2_MASK, VSUXEI32_V }, // 10054
  { PseudoVSUXEI32_V_MF2_MF4, VSUXEI32_V }, // 10055
  { PseudoVSUXEI32_V_MF2_MF4_MASK, VSUXEI32_V }, // 10056
  { PseudoVSUXEI32_V_MF2_MF8, VSUXEI32_V }, // 10057
  { PseudoVSUXEI32_V_MF2_MF8_MASK, VSUXEI32_V }, // 10058
  { PseudoVSUXEI64_V_M1_M1, VSUXEI64_V }, // 10059
  { PseudoVSUXEI64_V_M1_M1_MASK, VSUXEI64_V }, // 10060
  { PseudoVSUXEI64_V_M1_MF2, VSUXEI64_V }, // 10061
  { PseudoVSUXEI64_V_M1_MF2_MASK, VSUXEI64_V }, // 10062
  { PseudoVSUXEI64_V_M1_MF4, VSUXEI64_V }, // 10063
  { PseudoVSUXEI64_V_M1_MF4_MASK, VSUXEI64_V }, // 10064
  { PseudoVSUXEI64_V_M1_MF8, VSUXEI64_V }, // 10065
  { PseudoVSUXEI64_V_M1_MF8_MASK, VSUXEI64_V }, // 10066
  { PseudoVSUXEI64_V_M2_M1, VSUXEI64_V }, // 10067
  { PseudoVSUXEI64_V_M2_M1_MASK, VSUXEI64_V }, // 10068
  { PseudoVSUXEI64_V_M2_M2, VSUXEI64_V }, // 10069
  { PseudoVSUXEI64_V_M2_M2_MASK, VSUXEI64_V }, // 10070
  { PseudoVSUXEI64_V_M2_MF2, VSUXEI64_V }, // 10071
  { PseudoVSUXEI64_V_M2_MF2_MASK, VSUXEI64_V }, // 10072
  { PseudoVSUXEI64_V_M2_MF4, VSUXEI64_V }, // 10073
  { PseudoVSUXEI64_V_M2_MF4_MASK, VSUXEI64_V }, // 10074
  { PseudoVSUXEI64_V_M4_M1, VSUXEI64_V }, // 10075
  { PseudoVSUXEI64_V_M4_M1_MASK, VSUXEI64_V }, // 10076
  { PseudoVSUXEI64_V_M4_M2, VSUXEI64_V }, // 10077
  { PseudoVSUXEI64_V_M4_M2_MASK, VSUXEI64_V }, // 10078
  { PseudoVSUXEI64_V_M4_M4, VSUXEI64_V }, // 10079
  { PseudoVSUXEI64_V_M4_M4_MASK, VSUXEI64_V }, // 10080
  { PseudoVSUXEI64_V_M4_MF2, VSUXEI64_V }, // 10081
  { PseudoVSUXEI64_V_M4_MF2_MASK, VSUXEI64_V }, // 10082
  { PseudoVSUXEI64_V_M8_M1, VSUXEI64_V }, // 10083
  { PseudoVSUXEI64_V_M8_M1_MASK, VSUXEI64_V }, // 10084
  { PseudoVSUXEI64_V_M8_M2, VSUXEI64_V }, // 10085
  { PseudoVSUXEI64_V_M8_M2_MASK, VSUXEI64_V }, // 10086
  { PseudoVSUXEI64_V_M8_M4, VSUXEI64_V }, // 10087
  { PseudoVSUXEI64_V_M8_M4_MASK, VSUXEI64_V }, // 10088
  { PseudoVSUXEI64_V_M8_M8, VSUXEI64_V }, // 10089
  { PseudoVSUXEI64_V_M8_M8_MASK, VSUXEI64_V }, // 10090
  { PseudoVSUXEI8_V_M1_M1, VSUXEI8_V }, // 10091
  { PseudoVSUXEI8_V_M1_M1_MASK, VSUXEI8_V }, // 10092
  { PseudoVSUXEI8_V_M1_M2, VSUXEI8_V }, // 10093
  { PseudoVSUXEI8_V_M1_M2_MASK, VSUXEI8_V }, // 10094
  { PseudoVSUXEI8_V_M1_M4, VSUXEI8_V }, // 10095
  { PseudoVSUXEI8_V_M1_M4_MASK, VSUXEI8_V }, // 10096
  { PseudoVSUXEI8_V_M1_M8, VSUXEI8_V }, // 10097
  { PseudoVSUXEI8_V_M1_M8_MASK, VSUXEI8_V }, // 10098
  { PseudoVSUXEI8_V_M2_M2, VSUXEI8_V }, // 10099
  { PseudoVSUXEI8_V_M2_M2_MASK, VSUXEI8_V }, // 10100
  { PseudoVSUXEI8_V_M2_M4, VSUXEI8_V }, // 10101
  { PseudoVSUXEI8_V_M2_M4_MASK, VSUXEI8_V }, // 10102
  { PseudoVSUXEI8_V_M2_M8, VSUXEI8_V }, // 10103
  { PseudoVSUXEI8_V_M2_M8_MASK, VSUXEI8_V }, // 10104
  { PseudoVSUXEI8_V_M4_M4, VSUXEI8_V }, // 10105
  { PseudoVSUXEI8_V_M4_M4_MASK, VSUXEI8_V }, // 10106
  { PseudoVSUXEI8_V_M4_M8, VSUXEI8_V }, // 10107
  { PseudoVSUXEI8_V_M4_M8_MASK, VSUXEI8_V }, // 10108
  { PseudoVSUXEI8_V_M8_M8, VSUXEI8_V }, // 10109
  { PseudoVSUXEI8_V_M8_M8_MASK, VSUXEI8_V }, // 10110
  { PseudoVSUXEI8_V_MF2_M1, VSUXEI8_V }, // 10111
  { PseudoVSUXEI8_V_MF2_M1_MASK, VSUXEI8_V }, // 10112
  { PseudoVSUXEI8_V_MF2_M2, VSUXEI8_V }, // 10113
  { PseudoVSUXEI8_V_MF2_M2_MASK, VSUXEI8_V }, // 10114
  { PseudoVSUXEI8_V_MF2_M4, VSUXEI8_V }, // 10115
  { PseudoVSUXEI8_V_MF2_M4_MASK, VSUXEI8_V }, // 10116
  { PseudoVSUXEI8_V_MF2_MF2, VSUXEI8_V }, // 10117
  { PseudoVSUXEI8_V_MF2_MF2_MASK, VSUXEI8_V }, // 10118
  { PseudoVSUXEI8_V_MF4_M1, VSUXEI8_V }, // 10119
  { PseudoVSUXEI8_V_MF4_M1_MASK, VSUXEI8_V }, // 10120
  { PseudoVSUXEI8_V_MF4_M2, VSUXEI8_V }, // 10121
  { PseudoVSUXEI8_V_MF4_M2_MASK, VSUXEI8_V }, // 10122
  { PseudoVSUXEI8_V_MF4_MF2, VSUXEI8_V }, // 10123
  { PseudoVSUXEI8_V_MF4_MF2_MASK, VSUXEI8_V }, // 10124
  { PseudoVSUXEI8_V_MF4_MF4, VSUXEI8_V }, // 10125
  { PseudoVSUXEI8_V_MF4_MF4_MASK, VSUXEI8_V }, // 10126
  { PseudoVSUXEI8_V_MF8_M1, VSUXEI8_V }, // 10127
  { PseudoVSUXEI8_V_MF8_M1_MASK, VSUXEI8_V }, // 10128
  { PseudoVSUXEI8_V_MF8_MF2, VSUXEI8_V }, // 10129
  { PseudoVSUXEI8_V_MF8_MF2_MASK, VSUXEI8_V }, // 10130
  { PseudoVSUXEI8_V_MF8_MF4, VSUXEI8_V }, // 10131
  { PseudoVSUXEI8_V_MF8_MF4_MASK, VSUXEI8_V }, // 10132
  { PseudoVSUXEI8_V_MF8_MF8, VSUXEI8_V }, // 10133
  { PseudoVSUXEI8_V_MF8_MF8_MASK, VSUXEI8_V }, // 10134
  { PseudoVSUXSEG2EI16_V_M1_M1, VSUXSEG2EI16_V }, // 10135
  { PseudoVSUXSEG2EI16_V_M1_M1_MASK, VSUXSEG2EI16_V }, // 10136
  { PseudoVSUXSEG2EI16_V_M1_M2, VSUXSEG2EI16_V }, // 10137
  { PseudoVSUXSEG2EI16_V_M1_M2_MASK, VSUXSEG2EI16_V }, // 10138
  { PseudoVSUXSEG2EI16_V_M1_M4, VSUXSEG2EI16_V }, // 10139
  { PseudoVSUXSEG2EI16_V_M1_M4_MASK, VSUXSEG2EI16_V }, // 10140
  { PseudoVSUXSEG2EI16_V_M1_MF2, VSUXSEG2EI16_V }, // 10141
  { PseudoVSUXSEG2EI16_V_M1_MF2_MASK, VSUXSEG2EI16_V }, // 10142
  { PseudoVSUXSEG2EI16_V_M2_M1, VSUXSEG2EI16_V }, // 10143
  { PseudoVSUXSEG2EI16_V_M2_M1_MASK, VSUXSEG2EI16_V }, // 10144
  { PseudoVSUXSEG2EI16_V_M2_M2, VSUXSEG2EI16_V }, // 10145
  { PseudoVSUXSEG2EI16_V_M2_M2_MASK, VSUXSEG2EI16_V }, // 10146
  { PseudoVSUXSEG2EI16_V_M2_M4, VSUXSEG2EI16_V }, // 10147
  { PseudoVSUXSEG2EI16_V_M2_M4_MASK, VSUXSEG2EI16_V }, // 10148
  { PseudoVSUXSEG2EI16_V_M4_M2, VSUXSEG2EI16_V }, // 10149
  { PseudoVSUXSEG2EI16_V_M4_M2_MASK, VSUXSEG2EI16_V }, // 10150
  { PseudoVSUXSEG2EI16_V_M4_M4, VSUXSEG2EI16_V }, // 10151
  { PseudoVSUXSEG2EI16_V_M4_M4_MASK, VSUXSEG2EI16_V }, // 10152
  { PseudoVSUXSEG2EI16_V_M8_M4, VSUXSEG2EI16_V }, // 10153
  { PseudoVSUXSEG2EI16_V_M8_M4_MASK, VSUXSEG2EI16_V }, // 10154
  { PseudoVSUXSEG2EI16_V_MF2_M1, VSUXSEG2EI16_V }, // 10155
  { PseudoVSUXSEG2EI16_V_MF2_M1_MASK, VSUXSEG2EI16_V }, // 10156
  { PseudoVSUXSEG2EI16_V_MF2_M2, VSUXSEG2EI16_V }, // 10157
  { PseudoVSUXSEG2EI16_V_MF2_M2_MASK, VSUXSEG2EI16_V }, // 10158
  { PseudoVSUXSEG2EI16_V_MF2_MF2, VSUXSEG2EI16_V }, // 10159
  { PseudoVSUXSEG2EI16_V_MF2_MF2_MASK, VSUXSEG2EI16_V }, // 10160
  { PseudoVSUXSEG2EI16_V_MF2_MF4, VSUXSEG2EI16_V }, // 10161
  { PseudoVSUXSEG2EI16_V_MF2_MF4_MASK, VSUXSEG2EI16_V }, // 10162
  { PseudoVSUXSEG2EI16_V_MF4_M1, VSUXSEG2EI16_V }, // 10163
  { PseudoVSUXSEG2EI16_V_MF4_M1_MASK, VSUXSEG2EI16_V }, // 10164
  { PseudoVSUXSEG2EI16_V_MF4_MF2, VSUXSEG2EI16_V }, // 10165
  { PseudoVSUXSEG2EI16_V_MF4_MF2_MASK, VSUXSEG2EI16_V }, // 10166
  { PseudoVSUXSEG2EI16_V_MF4_MF4, VSUXSEG2EI16_V }, // 10167
  { PseudoVSUXSEG2EI16_V_MF4_MF4_MASK, VSUXSEG2EI16_V }, // 10168
  { PseudoVSUXSEG2EI16_V_MF4_MF8, VSUXSEG2EI16_V }, // 10169
  { PseudoVSUXSEG2EI16_V_MF4_MF8_MASK, VSUXSEG2EI16_V }, // 10170
  { PseudoVSUXSEG2EI32_V_M1_M1, VSUXSEG2EI32_V }, // 10171
  { PseudoVSUXSEG2EI32_V_M1_M1_MASK, VSUXSEG2EI32_V }, // 10172
  { PseudoVSUXSEG2EI32_V_M1_M2, VSUXSEG2EI32_V }, // 10173
  { PseudoVSUXSEG2EI32_V_M1_M2_MASK, VSUXSEG2EI32_V }, // 10174
  { PseudoVSUXSEG2EI32_V_M1_MF2, VSUXSEG2EI32_V }, // 10175
  { PseudoVSUXSEG2EI32_V_M1_MF2_MASK, VSUXSEG2EI32_V }, // 10176
  { PseudoVSUXSEG2EI32_V_M1_MF4, VSUXSEG2EI32_V }, // 10177
  { PseudoVSUXSEG2EI32_V_M1_MF4_MASK, VSUXSEG2EI32_V }, // 10178
  { PseudoVSUXSEG2EI32_V_M2_M1, VSUXSEG2EI32_V }, // 10179
  { PseudoVSUXSEG2EI32_V_M2_M1_MASK, VSUXSEG2EI32_V }, // 10180
  { PseudoVSUXSEG2EI32_V_M2_M2, VSUXSEG2EI32_V }, // 10181
  { PseudoVSUXSEG2EI32_V_M2_M2_MASK, VSUXSEG2EI32_V }, // 10182
  { PseudoVSUXSEG2EI32_V_M2_M4, VSUXSEG2EI32_V }, // 10183
  { PseudoVSUXSEG2EI32_V_M2_M4_MASK, VSUXSEG2EI32_V }, // 10184
  { PseudoVSUXSEG2EI32_V_M2_MF2, VSUXSEG2EI32_V }, // 10185
  { PseudoVSUXSEG2EI32_V_M2_MF2_MASK, VSUXSEG2EI32_V }, // 10186
  { PseudoVSUXSEG2EI32_V_M4_M1, VSUXSEG2EI32_V }, // 10187
  { PseudoVSUXSEG2EI32_V_M4_M1_MASK, VSUXSEG2EI32_V }, // 10188
  { PseudoVSUXSEG2EI32_V_M4_M2, VSUXSEG2EI32_V }, // 10189
  { PseudoVSUXSEG2EI32_V_M4_M2_MASK, VSUXSEG2EI32_V }, // 10190
  { PseudoVSUXSEG2EI32_V_M4_M4, VSUXSEG2EI32_V }, // 10191
  { PseudoVSUXSEG2EI32_V_M4_M4_MASK, VSUXSEG2EI32_V }, // 10192
  { PseudoVSUXSEG2EI32_V_M8_M2, VSUXSEG2EI32_V }, // 10193
  { PseudoVSUXSEG2EI32_V_M8_M2_MASK, VSUXSEG2EI32_V }, // 10194
  { PseudoVSUXSEG2EI32_V_M8_M4, VSUXSEG2EI32_V }, // 10195
  { PseudoVSUXSEG2EI32_V_M8_M4_MASK, VSUXSEG2EI32_V }, // 10196
  { PseudoVSUXSEG2EI32_V_MF2_M1, VSUXSEG2EI32_V }, // 10197
  { PseudoVSUXSEG2EI32_V_MF2_M1_MASK, VSUXSEG2EI32_V }, // 10198
  { PseudoVSUXSEG2EI32_V_MF2_MF2, VSUXSEG2EI32_V }, // 10199
  { PseudoVSUXSEG2EI32_V_MF2_MF2_MASK, VSUXSEG2EI32_V }, // 10200
  { PseudoVSUXSEG2EI32_V_MF2_MF4, VSUXSEG2EI32_V }, // 10201
  { PseudoVSUXSEG2EI32_V_MF2_MF4_MASK, VSUXSEG2EI32_V }, // 10202
  { PseudoVSUXSEG2EI32_V_MF2_MF8, VSUXSEG2EI32_V }, // 10203
  { PseudoVSUXSEG2EI32_V_MF2_MF8_MASK, VSUXSEG2EI32_V }, // 10204
  { PseudoVSUXSEG2EI64_V_M1_M1, VSUXSEG2EI64_V }, // 10205
  { PseudoVSUXSEG2EI64_V_M1_M1_MASK, VSUXSEG2EI64_V }, // 10206
  { PseudoVSUXSEG2EI64_V_M1_MF2, VSUXSEG2EI64_V }, // 10207
  { PseudoVSUXSEG2EI64_V_M1_MF2_MASK, VSUXSEG2EI64_V }, // 10208
  { PseudoVSUXSEG2EI64_V_M1_MF4, VSUXSEG2EI64_V }, // 10209
  { PseudoVSUXSEG2EI64_V_M1_MF4_MASK, VSUXSEG2EI64_V }, // 10210
  { PseudoVSUXSEG2EI64_V_M1_MF8, VSUXSEG2EI64_V }, // 10211
  { PseudoVSUXSEG2EI64_V_M1_MF8_MASK, VSUXSEG2EI64_V }, // 10212
  { PseudoVSUXSEG2EI64_V_M2_M1, VSUXSEG2EI64_V }, // 10213
  { PseudoVSUXSEG2EI64_V_M2_M1_MASK, VSUXSEG2EI64_V }, // 10214
  { PseudoVSUXSEG2EI64_V_M2_M2, VSUXSEG2EI64_V }, // 10215
  { PseudoVSUXSEG2EI64_V_M2_M2_MASK, VSUXSEG2EI64_V }, // 10216
  { PseudoVSUXSEG2EI64_V_M2_MF2, VSUXSEG2EI64_V }, // 10217
  { PseudoVSUXSEG2EI64_V_M2_MF2_MASK, VSUXSEG2EI64_V }, // 10218
  { PseudoVSUXSEG2EI64_V_M2_MF4, VSUXSEG2EI64_V }, // 10219
  { PseudoVSUXSEG2EI64_V_M2_MF4_MASK, VSUXSEG2EI64_V }, // 10220
  { PseudoVSUXSEG2EI64_V_M4_M1, VSUXSEG2EI64_V }, // 10221
  { PseudoVSUXSEG2EI64_V_M4_M1_MASK, VSUXSEG2EI64_V }, // 10222
  { PseudoVSUXSEG2EI64_V_M4_M2, VSUXSEG2EI64_V }, // 10223
  { PseudoVSUXSEG2EI64_V_M4_M2_MASK, VSUXSEG2EI64_V }, // 10224
  { PseudoVSUXSEG2EI64_V_M4_M4, VSUXSEG2EI64_V }, // 10225
  { PseudoVSUXSEG2EI64_V_M4_M4_MASK, VSUXSEG2EI64_V }, // 10226
  { PseudoVSUXSEG2EI64_V_M4_MF2, VSUXSEG2EI64_V }, // 10227
  { PseudoVSUXSEG2EI64_V_M4_MF2_MASK, VSUXSEG2EI64_V }, // 10228
  { PseudoVSUXSEG2EI64_V_M8_M1, VSUXSEG2EI64_V }, // 10229
  { PseudoVSUXSEG2EI64_V_M8_M1_MASK, VSUXSEG2EI64_V }, // 10230
  { PseudoVSUXSEG2EI64_V_M8_M2, VSUXSEG2EI64_V }, // 10231
  { PseudoVSUXSEG2EI64_V_M8_M2_MASK, VSUXSEG2EI64_V }, // 10232
  { PseudoVSUXSEG2EI64_V_M8_M4, VSUXSEG2EI64_V }, // 10233
  { PseudoVSUXSEG2EI64_V_M8_M4_MASK, VSUXSEG2EI64_V }, // 10234
  { PseudoVSUXSEG2EI8_V_M1_M1, VSUXSEG2EI8_V }, // 10235
  { PseudoVSUXSEG2EI8_V_M1_M1_MASK, VSUXSEG2EI8_V }, // 10236
  { PseudoVSUXSEG2EI8_V_M1_M2, VSUXSEG2EI8_V }, // 10237
  { PseudoVSUXSEG2EI8_V_M1_M2_MASK, VSUXSEG2EI8_V }, // 10238
  { PseudoVSUXSEG2EI8_V_M1_M4, VSUXSEG2EI8_V }, // 10239
  { PseudoVSUXSEG2EI8_V_M1_M4_MASK, VSUXSEG2EI8_V }, // 10240
  { PseudoVSUXSEG2EI8_V_M2_M2, VSUXSEG2EI8_V }, // 10241
  { PseudoVSUXSEG2EI8_V_M2_M2_MASK, VSUXSEG2EI8_V }, // 10242
  { PseudoVSUXSEG2EI8_V_M2_M4, VSUXSEG2EI8_V }, // 10243
  { PseudoVSUXSEG2EI8_V_M2_M4_MASK, VSUXSEG2EI8_V }, // 10244
  { PseudoVSUXSEG2EI8_V_M4_M4, VSUXSEG2EI8_V }, // 10245
  { PseudoVSUXSEG2EI8_V_M4_M4_MASK, VSUXSEG2EI8_V }, // 10246
  { PseudoVSUXSEG2EI8_V_MF2_M1, VSUXSEG2EI8_V }, // 10247
  { PseudoVSUXSEG2EI8_V_MF2_M1_MASK, VSUXSEG2EI8_V }, // 10248
  { PseudoVSUXSEG2EI8_V_MF2_M2, VSUXSEG2EI8_V }, // 10249
  { PseudoVSUXSEG2EI8_V_MF2_M2_MASK, VSUXSEG2EI8_V }, // 10250
  { PseudoVSUXSEG2EI8_V_MF2_M4, VSUXSEG2EI8_V }, // 10251
  { PseudoVSUXSEG2EI8_V_MF2_M4_MASK, VSUXSEG2EI8_V }, // 10252
  { PseudoVSUXSEG2EI8_V_MF2_MF2, VSUXSEG2EI8_V }, // 10253
  { PseudoVSUXSEG2EI8_V_MF2_MF2_MASK, VSUXSEG2EI8_V }, // 10254
  { PseudoVSUXSEG2EI8_V_MF4_M1, VSUXSEG2EI8_V }, // 10255
  { PseudoVSUXSEG2EI8_V_MF4_M1_MASK, VSUXSEG2EI8_V }, // 10256
  { PseudoVSUXSEG2EI8_V_MF4_M2, VSUXSEG2EI8_V }, // 10257
  { PseudoVSUXSEG2EI8_V_MF4_M2_MASK, VSUXSEG2EI8_V }, // 10258
  { PseudoVSUXSEG2EI8_V_MF4_MF2, VSUXSEG2EI8_V }, // 10259
  { PseudoVSUXSEG2EI8_V_MF4_MF2_MASK, VSUXSEG2EI8_V }, // 10260
  { PseudoVSUXSEG2EI8_V_MF4_MF4, VSUXSEG2EI8_V }, // 10261
  { PseudoVSUXSEG2EI8_V_MF4_MF4_MASK, VSUXSEG2EI8_V }, // 10262
  { PseudoVSUXSEG2EI8_V_MF8_M1, VSUXSEG2EI8_V }, // 10263
  { PseudoVSUXSEG2EI8_V_MF8_M1_MASK, VSUXSEG2EI8_V }, // 10264
  { PseudoVSUXSEG2EI8_V_MF8_MF2, VSUXSEG2EI8_V }, // 10265
  { PseudoVSUXSEG2EI8_V_MF8_MF2_MASK, VSUXSEG2EI8_V }, // 10266
  { PseudoVSUXSEG2EI8_V_MF8_MF4, VSUXSEG2EI8_V }, // 10267
  { PseudoVSUXSEG2EI8_V_MF8_MF4_MASK, VSUXSEG2EI8_V }, // 10268
  { PseudoVSUXSEG2EI8_V_MF8_MF8, VSUXSEG2EI8_V }, // 10269
  { PseudoVSUXSEG2EI8_V_MF8_MF8_MASK, VSUXSEG2EI8_V }, // 10270
  { PseudoVSUXSEG3EI16_V_M1_M1, VSUXSEG3EI16_V }, // 10271
  { PseudoVSUXSEG3EI16_V_M1_M1_MASK, VSUXSEG3EI16_V }, // 10272
  { PseudoVSUXSEG3EI16_V_M1_M2, VSUXSEG3EI16_V }, // 10273
  { PseudoVSUXSEG3EI16_V_M1_M2_MASK, VSUXSEG3EI16_V }, // 10274
  { PseudoVSUXSEG3EI16_V_M1_MF2, VSUXSEG3EI16_V }, // 10275
  { PseudoVSUXSEG3EI16_V_M1_MF2_MASK, VSUXSEG3EI16_V }, // 10276
  { PseudoVSUXSEG3EI16_V_M2_M1, VSUXSEG3EI16_V }, // 10277
  { PseudoVSUXSEG3EI16_V_M2_M1_MASK, VSUXSEG3EI16_V }, // 10278
  { PseudoVSUXSEG3EI16_V_M2_M2, VSUXSEG3EI16_V }, // 10279
  { PseudoVSUXSEG3EI16_V_M2_M2_MASK, VSUXSEG3EI16_V }, // 10280
  { PseudoVSUXSEG3EI16_V_M4_M2, VSUXSEG3EI16_V }, // 10281
  { PseudoVSUXSEG3EI16_V_M4_M2_MASK, VSUXSEG3EI16_V }, // 10282
  { PseudoVSUXSEG3EI16_V_MF2_M1, VSUXSEG3EI16_V }, // 10283
  { PseudoVSUXSEG3EI16_V_MF2_M1_MASK, VSUXSEG3EI16_V }, // 10284
  { PseudoVSUXSEG3EI16_V_MF2_M2, VSUXSEG3EI16_V }, // 10285
  { PseudoVSUXSEG3EI16_V_MF2_M2_MASK, VSUXSEG3EI16_V }, // 10286
  { PseudoVSUXSEG3EI16_V_MF2_MF2, VSUXSEG3EI16_V }, // 10287
  { PseudoVSUXSEG3EI16_V_MF2_MF2_MASK, VSUXSEG3EI16_V }, // 10288
  { PseudoVSUXSEG3EI16_V_MF2_MF4, VSUXSEG3EI16_V }, // 10289
  { PseudoVSUXSEG3EI16_V_MF2_MF4_MASK, VSUXSEG3EI16_V }, // 10290
  { PseudoVSUXSEG3EI16_V_MF4_M1, VSUXSEG3EI16_V }, // 10291
  { PseudoVSUXSEG3EI16_V_MF4_M1_MASK, VSUXSEG3EI16_V }, // 10292
  { PseudoVSUXSEG3EI16_V_MF4_MF2, VSUXSEG3EI16_V }, // 10293
  { PseudoVSUXSEG3EI16_V_MF4_MF2_MASK, VSUXSEG3EI16_V }, // 10294
  { PseudoVSUXSEG3EI16_V_MF4_MF4, VSUXSEG3EI16_V }, // 10295
  { PseudoVSUXSEG3EI16_V_MF4_MF4_MASK, VSUXSEG3EI16_V }, // 10296
  { PseudoVSUXSEG3EI16_V_MF4_MF8, VSUXSEG3EI16_V }, // 10297
  { PseudoVSUXSEG3EI16_V_MF4_MF8_MASK, VSUXSEG3EI16_V }, // 10298
  { PseudoVSUXSEG3EI32_V_M1_M1, VSUXSEG3EI32_V }, // 10299
  { PseudoVSUXSEG3EI32_V_M1_M1_MASK, VSUXSEG3EI32_V }, // 10300
  { PseudoVSUXSEG3EI32_V_M1_M2, VSUXSEG3EI32_V }, // 10301
  { PseudoVSUXSEG3EI32_V_M1_M2_MASK, VSUXSEG3EI32_V }, // 10302
  { PseudoVSUXSEG3EI32_V_M1_MF2, VSUXSEG3EI32_V }, // 10303
  { PseudoVSUXSEG3EI32_V_M1_MF2_MASK, VSUXSEG3EI32_V }, // 10304
  { PseudoVSUXSEG3EI32_V_M1_MF4, VSUXSEG3EI32_V }, // 10305
  { PseudoVSUXSEG3EI32_V_M1_MF4_MASK, VSUXSEG3EI32_V }, // 10306
  { PseudoVSUXSEG3EI32_V_M2_M1, VSUXSEG3EI32_V }, // 10307
  { PseudoVSUXSEG3EI32_V_M2_M1_MASK, VSUXSEG3EI32_V }, // 10308
  { PseudoVSUXSEG3EI32_V_M2_M2, VSUXSEG3EI32_V }, // 10309
  { PseudoVSUXSEG3EI32_V_M2_M2_MASK, VSUXSEG3EI32_V }, // 10310
  { PseudoVSUXSEG3EI32_V_M2_MF2, VSUXSEG3EI32_V }, // 10311
  { PseudoVSUXSEG3EI32_V_M2_MF2_MASK, VSUXSEG3EI32_V }, // 10312
  { PseudoVSUXSEG3EI32_V_M4_M1, VSUXSEG3EI32_V }, // 10313
  { PseudoVSUXSEG3EI32_V_M4_M1_MASK, VSUXSEG3EI32_V }, // 10314
  { PseudoVSUXSEG3EI32_V_M4_M2, VSUXSEG3EI32_V }, // 10315
  { PseudoVSUXSEG3EI32_V_M4_M2_MASK, VSUXSEG3EI32_V }, // 10316
  { PseudoVSUXSEG3EI32_V_M8_M2, VSUXSEG3EI32_V }, // 10317
  { PseudoVSUXSEG3EI32_V_M8_M2_MASK, VSUXSEG3EI32_V }, // 10318
  { PseudoVSUXSEG3EI32_V_MF2_M1, VSUXSEG3EI32_V }, // 10319
  { PseudoVSUXSEG3EI32_V_MF2_M1_MASK, VSUXSEG3EI32_V }, // 10320
  { PseudoVSUXSEG3EI32_V_MF2_MF2, VSUXSEG3EI32_V }, // 10321
  { PseudoVSUXSEG3EI32_V_MF2_MF2_MASK, VSUXSEG3EI32_V }, // 10322
  { PseudoVSUXSEG3EI32_V_MF2_MF4, VSUXSEG3EI32_V }, // 10323
  { PseudoVSUXSEG3EI32_V_MF2_MF4_MASK, VSUXSEG3EI32_V }, // 10324
  { PseudoVSUXSEG3EI32_V_MF2_MF8, VSUXSEG3EI32_V }, // 10325
  { PseudoVSUXSEG3EI32_V_MF2_MF8_MASK, VSUXSEG3EI32_V }, // 10326
  { PseudoVSUXSEG3EI64_V_M1_M1, VSUXSEG3EI64_V }, // 10327
  { PseudoVSUXSEG3EI64_V_M1_M1_MASK, VSUXSEG3EI64_V }, // 10328
  { PseudoVSUXSEG3EI64_V_M1_MF2, VSUXSEG3EI64_V }, // 10329
  { PseudoVSUXSEG3EI64_V_M1_MF2_MASK, VSUXSEG3EI64_V }, // 10330
  { PseudoVSUXSEG3EI64_V_M1_MF4, VSUXSEG3EI64_V }, // 10331
  { PseudoVSUXSEG3EI64_V_M1_MF4_MASK, VSUXSEG3EI64_V }, // 10332
  { PseudoVSUXSEG3EI64_V_M1_MF8, VSUXSEG3EI64_V }, // 10333
  { PseudoVSUXSEG3EI64_V_M1_MF8_MASK, VSUXSEG3EI64_V }, // 10334
  { PseudoVSUXSEG3EI64_V_M2_M1, VSUXSEG3EI64_V }, // 10335
  { PseudoVSUXSEG3EI64_V_M2_M1_MASK, VSUXSEG3EI64_V }, // 10336
  { PseudoVSUXSEG3EI64_V_M2_M2, VSUXSEG3EI64_V }, // 10337
  { PseudoVSUXSEG3EI64_V_M2_M2_MASK, VSUXSEG3EI64_V }, // 10338
  { PseudoVSUXSEG3EI64_V_M2_MF2, VSUXSEG3EI64_V }, // 10339
  { PseudoVSUXSEG3EI64_V_M2_MF2_MASK, VSUXSEG3EI64_V }, // 10340
  { PseudoVSUXSEG3EI64_V_M2_MF4, VSUXSEG3EI64_V }, // 10341
  { PseudoVSUXSEG3EI64_V_M2_MF4_MASK, VSUXSEG3EI64_V }, // 10342
  { PseudoVSUXSEG3EI64_V_M4_M1, VSUXSEG3EI64_V }, // 10343
  { PseudoVSUXSEG3EI64_V_M4_M1_MASK, VSUXSEG3EI64_V }, // 10344
  { PseudoVSUXSEG3EI64_V_M4_M2, VSUXSEG3EI64_V }, // 10345
  { PseudoVSUXSEG3EI64_V_M4_M2_MASK, VSUXSEG3EI64_V }, // 10346
  { PseudoVSUXSEG3EI64_V_M4_MF2, VSUXSEG3EI64_V }, // 10347
  { PseudoVSUXSEG3EI64_V_M4_MF2_MASK, VSUXSEG3EI64_V }, // 10348
  { PseudoVSUXSEG3EI64_V_M8_M1, VSUXSEG3EI64_V }, // 10349
  { PseudoVSUXSEG3EI64_V_M8_M1_MASK, VSUXSEG3EI64_V }, // 10350
  { PseudoVSUXSEG3EI64_V_M8_M2, VSUXSEG3EI64_V }, // 10351
  { PseudoVSUXSEG3EI64_V_M8_M2_MASK, VSUXSEG3EI64_V }, // 10352
  { PseudoVSUXSEG3EI8_V_M1_M1, VSUXSEG3EI8_V }, // 10353
  { PseudoVSUXSEG3EI8_V_M1_M1_MASK, VSUXSEG3EI8_V }, // 10354
  { PseudoVSUXSEG3EI8_V_M1_M2, VSUXSEG3EI8_V }, // 10355
  { PseudoVSUXSEG3EI8_V_M1_M2_MASK, VSUXSEG3EI8_V }, // 10356
  { PseudoVSUXSEG3EI8_V_M2_M2, VSUXSEG3EI8_V }, // 10357
  { PseudoVSUXSEG3EI8_V_M2_M2_MASK, VSUXSEG3EI8_V }, // 10358
  { PseudoVSUXSEG3EI8_V_MF2_M1, VSUXSEG3EI8_V }, // 10359
  { PseudoVSUXSEG3EI8_V_MF2_M1_MASK, VSUXSEG3EI8_V }, // 10360
  { PseudoVSUXSEG3EI8_V_MF2_M2, VSUXSEG3EI8_V }, // 10361
  { PseudoVSUXSEG3EI8_V_MF2_M2_MASK, VSUXSEG3EI8_V }, // 10362
  { PseudoVSUXSEG3EI8_V_MF2_MF2, VSUXSEG3EI8_V }, // 10363
  { PseudoVSUXSEG3EI8_V_MF2_MF2_MASK, VSUXSEG3EI8_V }, // 10364
  { PseudoVSUXSEG3EI8_V_MF4_M1, VSUXSEG3EI8_V }, // 10365
  { PseudoVSUXSEG3EI8_V_MF4_M1_MASK, VSUXSEG3EI8_V }, // 10366
  { PseudoVSUXSEG3EI8_V_MF4_M2, VSUXSEG3EI8_V }, // 10367
  { PseudoVSUXSEG3EI8_V_MF4_M2_MASK, VSUXSEG3EI8_V }, // 10368
  { PseudoVSUXSEG3EI8_V_MF4_MF2, VSUXSEG3EI8_V }, // 10369
  { PseudoVSUXSEG3EI8_V_MF4_MF2_MASK, VSUXSEG3EI8_V }, // 10370
  { PseudoVSUXSEG3EI8_V_MF4_MF4, VSUXSEG3EI8_V }, // 10371
  { PseudoVSUXSEG3EI8_V_MF4_MF4_MASK, VSUXSEG3EI8_V }, // 10372
  { PseudoVSUXSEG3EI8_V_MF8_M1, VSUXSEG3EI8_V }, // 10373
  { PseudoVSUXSEG3EI8_V_MF8_M1_MASK, VSUXSEG3EI8_V }, // 10374
  { PseudoVSUXSEG3EI8_V_MF8_MF2, VSUXSEG3EI8_V }, // 10375
  { PseudoVSUXSEG3EI8_V_MF8_MF2_MASK, VSUXSEG3EI8_V }, // 10376
  { PseudoVSUXSEG3EI8_V_MF8_MF4, VSUXSEG3EI8_V }, // 10377
  { PseudoVSUXSEG3EI8_V_MF8_MF4_MASK, VSUXSEG3EI8_V }, // 10378
  { PseudoVSUXSEG3EI8_V_MF8_MF8, VSUXSEG3EI8_V }, // 10379
  { PseudoVSUXSEG3EI8_V_MF8_MF8_MASK, VSUXSEG3EI8_V }, // 10380
  { PseudoVSUXSEG4EI16_V_M1_M1, VSUXSEG4EI16_V }, // 10381
  { PseudoVSUXSEG4EI16_V_M1_M1_MASK, VSUXSEG4EI16_V }, // 10382
  { PseudoVSUXSEG4EI16_V_M1_M2, VSUXSEG4EI16_V }, // 10383
  { PseudoVSUXSEG4EI16_V_M1_M2_MASK, VSUXSEG4EI16_V }, // 10384
  { PseudoVSUXSEG4EI16_V_M1_MF2, VSUXSEG4EI16_V }, // 10385
  { PseudoVSUXSEG4EI16_V_M1_MF2_MASK, VSUXSEG4EI16_V }, // 10386
  { PseudoVSUXSEG4EI16_V_M2_M1, VSUXSEG4EI16_V }, // 10387
  { PseudoVSUXSEG4EI16_V_M2_M1_MASK, VSUXSEG4EI16_V }, // 10388
  { PseudoVSUXSEG4EI16_V_M2_M2, VSUXSEG4EI16_V }, // 10389
  { PseudoVSUXSEG4EI16_V_M2_M2_MASK, VSUXSEG4EI16_V }, // 10390
  { PseudoVSUXSEG4EI16_V_M4_M2, VSUXSEG4EI16_V }, // 10391
  { PseudoVSUXSEG4EI16_V_M4_M2_MASK, VSUXSEG4EI16_V }, // 10392
  { PseudoVSUXSEG4EI16_V_MF2_M1, VSUXSEG4EI16_V }, // 10393
  { PseudoVSUXSEG4EI16_V_MF2_M1_MASK, VSUXSEG4EI16_V }, // 10394
  { PseudoVSUXSEG4EI16_V_MF2_M2, VSUXSEG4EI16_V }, // 10395
  { PseudoVSUXSEG4EI16_V_MF2_M2_MASK, VSUXSEG4EI16_V }, // 10396
  { PseudoVSUXSEG4EI16_V_MF2_MF2, VSUXSEG4EI16_V }, // 10397
  { PseudoVSUXSEG4EI16_V_MF2_MF2_MASK, VSUXSEG4EI16_V }, // 10398
  { PseudoVSUXSEG4EI16_V_MF2_MF4, VSUXSEG4EI16_V }, // 10399
  { PseudoVSUXSEG4EI16_V_MF2_MF4_MASK, VSUXSEG4EI16_V }, // 10400
  { PseudoVSUXSEG4EI16_V_MF4_M1, VSUXSEG4EI16_V }, // 10401
  { PseudoVSUXSEG4EI16_V_MF4_M1_MASK, VSUXSEG4EI16_V }, // 10402
  { PseudoVSUXSEG4EI16_V_MF4_MF2, VSUXSEG4EI16_V }, // 10403
  { PseudoVSUXSEG4EI16_V_MF4_MF2_MASK, VSUXSEG4EI16_V }, // 10404
  { PseudoVSUXSEG4EI16_V_MF4_MF4, VSUXSEG4EI16_V }, // 10405
  { PseudoVSUXSEG4EI16_V_MF4_MF4_MASK, VSUXSEG4EI16_V }, // 10406
  { PseudoVSUXSEG4EI16_V_MF4_MF8, VSUXSEG4EI16_V }, // 10407
  { PseudoVSUXSEG4EI16_V_MF4_MF8_MASK, VSUXSEG4EI16_V }, // 10408
  { PseudoVSUXSEG4EI32_V_M1_M1, VSUXSEG4EI32_V }, // 10409
  { PseudoVSUXSEG4EI32_V_M1_M1_MASK, VSUXSEG4EI32_V }, // 10410
  { PseudoVSUXSEG4EI32_V_M1_M2, VSUXSEG4EI32_V }, // 10411
  { PseudoVSUXSEG4EI32_V_M1_M2_MASK, VSUXSEG4EI32_V }, // 10412
  { PseudoVSUXSEG4EI32_V_M1_MF2, VSUXSEG4EI32_V }, // 10413
  { PseudoVSUXSEG4EI32_V_M1_MF2_MASK, VSUXSEG4EI32_V }, // 10414
  { PseudoVSUXSEG4EI32_V_M1_MF4, VSUXSEG4EI32_V }, // 10415
  { PseudoVSUXSEG4EI32_V_M1_MF4_MASK, VSUXSEG4EI32_V }, // 10416
  { PseudoVSUXSEG4EI32_V_M2_M1, VSUXSEG4EI32_V }, // 10417
  { PseudoVSUXSEG4EI32_V_M2_M1_MASK, VSUXSEG4EI32_V }, // 10418
  { PseudoVSUXSEG4EI32_V_M2_M2, VSUXSEG4EI32_V }, // 10419
  { PseudoVSUXSEG4EI32_V_M2_M2_MASK, VSUXSEG4EI32_V }, // 10420
  { PseudoVSUXSEG4EI32_V_M2_MF2, VSUXSEG4EI32_V }, // 10421
  { PseudoVSUXSEG4EI32_V_M2_MF2_MASK, VSUXSEG4EI32_V }, // 10422
  { PseudoVSUXSEG4EI32_V_M4_M1, VSUXSEG4EI32_V }, // 10423
  { PseudoVSUXSEG4EI32_V_M4_M1_MASK, VSUXSEG4EI32_V }, // 10424
  { PseudoVSUXSEG4EI32_V_M4_M2, VSUXSEG4EI32_V }, // 10425
  { PseudoVSUXSEG4EI32_V_M4_M2_MASK, VSUXSEG4EI32_V }, // 10426
  { PseudoVSUXSEG4EI32_V_M8_M2, VSUXSEG4EI32_V }, // 10427
  { PseudoVSUXSEG4EI32_V_M8_M2_MASK, VSUXSEG4EI32_V }, // 10428
  { PseudoVSUXSEG4EI32_V_MF2_M1, VSUXSEG4EI32_V }, // 10429
  { PseudoVSUXSEG4EI32_V_MF2_M1_MASK, VSUXSEG4EI32_V }, // 10430
  { PseudoVSUXSEG4EI32_V_MF2_MF2, VSUXSEG4EI32_V }, // 10431
  { PseudoVSUXSEG4EI32_V_MF2_MF2_MASK, VSUXSEG4EI32_V }, // 10432
  { PseudoVSUXSEG4EI32_V_MF2_MF4, VSUXSEG4EI32_V }, // 10433
  { PseudoVSUXSEG4EI32_V_MF2_MF4_MASK, VSUXSEG4EI32_V }, // 10434
  { PseudoVSUXSEG4EI32_V_MF2_MF8, VSUXSEG4EI32_V }, // 10435
  { PseudoVSUXSEG4EI32_V_MF2_MF8_MASK, VSUXSEG4EI32_V }, // 10436
  { PseudoVSUXSEG4EI64_V_M1_M1, VSUXSEG4EI64_V }, // 10437
  { PseudoVSUXSEG4EI64_V_M1_M1_MASK, VSUXSEG4EI64_V }, // 10438
  { PseudoVSUXSEG4EI64_V_M1_MF2, VSUXSEG4EI64_V }, // 10439
  { PseudoVSUXSEG4EI64_V_M1_MF2_MASK, VSUXSEG4EI64_V }, // 10440
  { PseudoVSUXSEG4EI64_V_M1_MF4, VSUXSEG4EI64_V }, // 10441
  { PseudoVSUXSEG4EI64_V_M1_MF4_MASK, VSUXSEG4EI64_V }, // 10442
  { PseudoVSUXSEG4EI64_V_M1_MF8, VSUXSEG4EI64_V }, // 10443
  { PseudoVSUXSEG4EI64_V_M1_MF8_MASK, VSUXSEG4EI64_V }, // 10444
  { PseudoVSUXSEG4EI64_V_M2_M1, VSUXSEG4EI64_V }, // 10445
  { PseudoVSUXSEG4EI64_V_M2_M1_MASK, VSUXSEG4EI64_V }, // 10446
  { PseudoVSUXSEG4EI64_V_M2_M2, VSUXSEG4EI64_V }, // 10447
  { PseudoVSUXSEG4EI64_V_M2_M2_MASK, VSUXSEG4EI64_V }, // 10448
  { PseudoVSUXSEG4EI64_V_M2_MF2, VSUXSEG4EI64_V }, // 10449
  { PseudoVSUXSEG4EI64_V_M2_MF2_MASK, VSUXSEG4EI64_V }, // 10450
  { PseudoVSUXSEG4EI64_V_M2_MF4, VSUXSEG4EI64_V }, // 10451
  { PseudoVSUXSEG4EI64_V_M2_MF4_MASK, VSUXSEG4EI64_V }, // 10452
  { PseudoVSUXSEG4EI64_V_M4_M1, VSUXSEG4EI64_V }, // 10453
  { PseudoVSUXSEG4EI64_V_M4_M1_MASK, VSUXSEG4EI64_V }, // 10454
  { PseudoVSUXSEG4EI64_V_M4_M2, VSUXSEG4EI64_V }, // 10455
  { PseudoVSUXSEG4EI64_V_M4_M2_MASK, VSUXSEG4EI64_V }, // 10456
  { PseudoVSUXSEG4EI64_V_M4_MF2, VSUXSEG4EI64_V }, // 10457
  { PseudoVSUXSEG4EI64_V_M4_MF2_MASK, VSUXSEG4EI64_V }, // 10458
  { PseudoVSUXSEG4EI64_V_M8_M1, VSUXSEG4EI64_V }, // 10459
  { PseudoVSUXSEG4EI64_V_M8_M1_MASK, VSUXSEG4EI64_V }, // 10460
  { PseudoVSUXSEG4EI64_V_M8_M2, VSUXSEG4EI64_V }, // 10461
  { PseudoVSUXSEG4EI64_V_M8_M2_MASK, VSUXSEG4EI64_V }, // 10462
  { PseudoVSUXSEG4EI8_V_M1_M1, VSUXSEG4EI8_V }, // 10463
  { PseudoVSUXSEG4EI8_V_M1_M1_MASK, VSUXSEG4EI8_V }, // 10464
  { PseudoVSUXSEG4EI8_V_M1_M2, VSUXSEG4EI8_V }, // 10465
  { PseudoVSUXSEG4EI8_V_M1_M2_MASK, VSUXSEG4EI8_V }, // 10466
  { PseudoVSUXSEG4EI8_V_M2_M2, VSUXSEG4EI8_V }, // 10467
  { PseudoVSUXSEG4EI8_V_M2_M2_MASK, VSUXSEG4EI8_V }, // 10468
  { PseudoVSUXSEG4EI8_V_MF2_M1, VSUXSEG4EI8_V }, // 10469
  { PseudoVSUXSEG4EI8_V_MF2_M1_MASK, VSUXSEG4EI8_V }, // 10470
  { PseudoVSUXSEG4EI8_V_MF2_M2, VSUXSEG4EI8_V }, // 10471
  { PseudoVSUXSEG4EI8_V_MF2_M2_MASK, VSUXSEG4EI8_V }, // 10472
  { PseudoVSUXSEG4EI8_V_MF2_MF2, VSUXSEG4EI8_V }, // 10473
  { PseudoVSUXSEG4EI8_V_MF2_MF2_MASK, VSUXSEG4EI8_V }, // 10474
  { PseudoVSUXSEG4EI8_V_MF4_M1, VSUXSEG4EI8_V }, // 10475
  { PseudoVSUXSEG4EI8_V_MF4_M1_MASK, VSUXSEG4EI8_V }, // 10476
  { PseudoVSUXSEG4EI8_V_MF4_M2, VSUXSEG4EI8_V }, // 10477
  { PseudoVSUXSEG4EI8_V_MF4_M2_MASK, VSUXSEG4EI8_V }, // 10478
  { PseudoVSUXSEG4EI8_V_MF4_MF2, VSUXSEG4EI8_V }, // 10479
  { PseudoVSUXSEG4EI8_V_MF4_MF2_MASK, VSUXSEG4EI8_V }, // 10480
  { PseudoVSUXSEG4EI8_V_MF4_MF4, VSUXSEG4EI8_V }, // 10481
  { PseudoVSUXSEG4EI8_V_MF4_MF4_MASK, VSUXSEG4EI8_V }, // 10482
  { PseudoVSUXSEG4EI8_V_MF8_M1, VSUXSEG4EI8_V }, // 10483
  { PseudoVSUXSEG4EI8_V_MF8_M1_MASK, VSUXSEG4EI8_V }, // 10484
  { PseudoVSUXSEG4EI8_V_MF8_MF2, VSUXSEG4EI8_V }, // 10485
  { PseudoVSUXSEG4EI8_V_MF8_MF2_MASK, VSUXSEG4EI8_V }, // 10486
  { PseudoVSUXSEG4EI8_V_MF8_MF4, VSUXSEG4EI8_V }, // 10487
  { PseudoVSUXSEG4EI8_V_MF8_MF4_MASK, VSUXSEG4EI8_V }, // 10488
  { PseudoVSUXSEG4EI8_V_MF8_MF8, VSUXSEG4EI8_V }, // 10489
  { PseudoVSUXSEG4EI8_V_MF8_MF8_MASK, VSUXSEG4EI8_V }, // 10490
  { PseudoVSUXSEG5EI16_V_M1_M1, VSUXSEG5EI16_V }, // 10491
  { PseudoVSUXSEG5EI16_V_M1_M1_MASK, VSUXSEG5EI16_V }, // 10492
  { PseudoVSUXSEG5EI16_V_M1_MF2, VSUXSEG5EI16_V }, // 10493
  { PseudoVSUXSEG5EI16_V_M1_MF2_MASK, VSUXSEG5EI16_V }, // 10494
  { PseudoVSUXSEG5EI16_V_M2_M1, VSUXSEG5EI16_V }, // 10495
  { PseudoVSUXSEG5EI16_V_M2_M1_MASK, VSUXSEG5EI16_V }, // 10496
  { PseudoVSUXSEG5EI16_V_MF2_M1, VSUXSEG5EI16_V }, // 10497
  { PseudoVSUXSEG5EI16_V_MF2_M1_MASK, VSUXSEG5EI16_V }, // 10498
  { PseudoVSUXSEG5EI16_V_MF2_MF2, VSUXSEG5EI16_V }, // 10499
  { PseudoVSUXSEG5EI16_V_MF2_MF2_MASK, VSUXSEG5EI16_V }, // 10500
  { PseudoVSUXSEG5EI16_V_MF2_MF4, VSUXSEG5EI16_V }, // 10501
  { PseudoVSUXSEG5EI16_V_MF2_MF4_MASK, VSUXSEG5EI16_V }, // 10502
  { PseudoVSUXSEG5EI16_V_MF4_M1, VSUXSEG5EI16_V }, // 10503
  { PseudoVSUXSEG5EI16_V_MF4_M1_MASK, VSUXSEG5EI16_V }, // 10504
  { PseudoVSUXSEG5EI16_V_MF4_MF2, VSUXSEG5EI16_V }, // 10505
  { PseudoVSUXSEG5EI16_V_MF4_MF2_MASK, VSUXSEG5EI16_V }, // 10506
  { PseudoVSUXSEG5EI16_V_MF4_MF4, VSUXSEG5EI16_V }, // 10507
  { PseudoVSUXSEG5EI16_V_MF4_MF4_MASK, VSUXSEG5EI16_V }, // 10508
  { PseudoVSUXSEG5EI16_V_MF4_MF8, VSUXSEG5EI16_V }, // 10509
  { PseudoVSUXSEG5EI16_V_MF4_MF8_MASK, VSUXSEG5EI16_V }, // 10510
  { PseudoVSUXSEG5EI32_V_M1_M1, VSUXSEG5EI32_V }, // 10511
  { PseudoVSUXSEG5EI32_V_M1_M1_MASK, VSUXSEG5EI32_V }, // 10512
  { PseudoVSUXSEG5EI32_V_M1_MF2, VSUXSEG5EI32_V }, // 10513
  { PseudoVSUXSEG5EI32_V_M1_MF2_MASK, VSUXSEG5EI32_V }, // 10514
  { PseudoVSUXSEG5EI32_V_M1_MF4, VSUXSEG5EI32_V }, // 10515
  { PseudoVSUXSEG5EI32_V_M1_MF4_MASK, VSUXSEG5EI32_V }, // 10516
  { PseudoVSUXSEG5EI32_V_M2_M1, VSUXSEG5EI32_V }, // 10517
  { PseudoVSUXSEG5EI32_V_M2_M1_MASK, VSUXSEG5EI32_V }, // 10518
  { PseudoVSUXSEG5EI32_V_M2_MF2, VSUXSEG5EI32_V }, // 10519
  { PseudoVSUXSEG5EI32_V_M2_MF2_MASK, VSUXSEG5EI32_V }, // 10520
  { PseudoVSUXSEG5EI32_V_M4_M1, VSUXSEG5EI32_V }, // 10521
  { PseudoVSUXSEG5EI32_V_M4_M1_MASK, VSUXSEG5EI32_V }, // 10522
  { PseudoVSUXSEG5EI32_V_MF2_M1, VSUXSEG5EI32_V }, // 10523
  { PseudoVSUXSEG5EI32_V_MF2_M1_MASK, VSUXSEG5EI32_V }, // 10524
  { PseudoVSUXSEG5EI32_V_MF2_MF2, VSUXSEG5EI32_V }, // 10525
  { PseudoVSUXSEG5EI32_V_MF2_MF2_MASK, VSUXSEG5EI32_V }, // 10526
  { PseudoVSUXSEG5EI32_V_MF2_MF4, VSUXSEG5EI32_V }, // 10527
  { PseudoVSUXSEG5EI32_V_MF2_MF4_MASK, VSUXSEG5EI32_V }, // 10528
  { PseudoVSUXSEG5EI32_V_MF2_MF8, VSUXSEG5EI32_V }, // 10529
  { PseudoVSUXSEG5EI32_V_MF2_MF8_MASK, VSUXSEG5EI32_V }, // 10530
  { PseudoVSUXSEG5EI64_V_M1_M1, VSUXSEG5EI64_V }, // 10531
  { PseudoVSUXSEG5EI64_V_M1_M1_MASK, VSUXSEG5EI64_V }, // 10532
  { PseudoVSUXSEG5EI64_V_M1_MF2, VSUXSEG5EI64_V }, // 10533
  { PseudoVSUXSEG5EI64_V_M1_MF2_MASK, VSUXSEG5EI64_V }, // 10534
  { PseudoVSUXSEG5EI64_V_M1_MF4, VSUXSEG5EI64_V }, // 10535
  { PseudoVSUXSEG5EI64_V_M1_MF4_MASK, VSUXSEG5EI64_V }, // 10536
  { PseudoVSUXSEG5EI64_V_M1_MF8, VSUXSEG5EI64_V }, // 10537
  { PseudoVSUXSEG5EI64_V_M1_MF8_MASK, VSUXSEG5EI64_V }, // 10538
  { PseudoVSUXSEG5EI64_V_M2_M1, VSUXSEG5EI64_V }, // 10539
  { PseudoVSUXSEG5EI64_V_M2_M1_MASK, VSUXSEG5EI64_V }, // 10540
  { PseudoVSUXSEG5EI64_V_M2_MF2, VSUXSEG5EI64_V }, // 10541
  { PseudoVSUXSEG5EI64_V_M2_MF2_MASK, VSUXSEG5EI64_V }, // 10542
  { PseudoVSUXSEG5EI64_V_M2_MF4, VSUXSEG5EI64_V }, // 10543
  { PseudoVSUXSEG5EI64_V_M2_MF4_MASK, VSUXSEG5EI64_V }, // 10544
  { PseudoVSUXSEG5EI64_V_M4_M1, VSUXSEG5EI64_V }, // 10545
  { PseudoVSUXSEG5EI64_V_M4_M1_MASK, VSUXSEG5EI64_V }, // 10546
  { PseudoVSUXSEG5EI64_V_M4_MF2, VSUXSEG5EI64_V }, // 10547
  { PseudoVSUXSEG5EI64_V_M4_MF2_MASK, VSUXSEG5EI64_V }, // 10548
  { PseudoVSUXSEG5EI64_V_M8_M1, VSUXSEG5EI64_V }, // 10549
  { PseudoVSUXSEG5EI64_V_M8_M1_MASK, VSUXSEG5EI64_V }, // 10550
  { PseudoVSUXSEG5EI8_V_M1_M1, VSUXSEG5EI8_V }, // 10551
  { PseudoVSUXSEG5EI8_V_M1_M1_MASK, VSUXSEG5EI8_V }, // 10552
  { PseudoVSUXSEG5EI8_V_MF2_M1, VSUXSEG5EI8_V }, // 10553
  { PseudoVSUXSEG5EI8_V_MF2_M1_MASK, VSUXSEG5EI8_V }, // 10554
  { PseudoVSUXSEG5EI8_V_MF2_MF2, VSUXSEG5EI8_V }, // 10555
  { PseudoVSUXSEG5EI8_V_MF2_MF2_MASK, VSUXSEG5EI8_V }, // 10556
  { PseudoVSUXSEG5EI8_V_MF4_M1, VSUXSEG5EI8_V }, // 10557
  { PseudoVSUXSEG5EI8_V_MF4_M1_MASK, VSUXSEG5EI8_V }, // 10558
  { PseudoVSUXSEG5EI8_V_MF4_MF2, VSUXSEG5EI8_V }, // 10559
  { PseudoVSUXSEG5EI8_V_MF4_MF2_MASK, VSUXSEG5EI8_V }, // 10560
  { PseudoVSUXSEG5EI8_V_MF4_MF4, VSUXSEG5EI8_V }, // 10561
  { PseudoVSUXSEG5EI8_V_MF4_MF4_MASK, VSUXSEG5EI8_V }, // 10562
  { PseudoVSUXSEG5EI8_V_MF8_M1, VSUXSEG5EI8_V }, // 10563
  { PseudoVSUXSEG5EI8_V_MF8_M1_MASK, VSUXSEG5EI8_V }, // 10564
  { PseudoVSUXSEG5EI8_V_MF8_MF2, VSUXSEG5EI8_V }, // 10565
  { PseudoVSUXSEG5EI8_V_MF8_MF2_MASK, VSUXSEG5EI8_V }, // 10566
  { PseudoVSUXSEG5EI8_V_MF8_MF4, VSUXSEG5EI8_V }, // 10567
  { PseudoVSUXSEG5EI8_V_MF8_MF4_MASK, VSUXSEG5EI8_V }, // 10568
  { PseudoVSUXSEG5EI8_V_MF8_MF8, VSUXSEG5EI8_V }, // 10569
  { PseudoVSUXSEG5EI8_V_MF8_MF8_MASK, VSUXSEG5EI8_V }, // 10570
  { PseudoVSUXSEG6EI16_V_M1_M1, VSUXSEG6EI16_V }, // 10571
  { PseudoVSUXSEG6EI16_V_M1_M1_MASK, VSUXSEG6EI16_V }, // 10572
  { PseudoVSUXSEG6EI16_V_M1_MF2, VSUXSEG6EI16_V }, // 10573
  { PseudoVSUXSEG6EI16_V_M1_MF2_MASK, VSUXSEG6EI16_V }, // 10574
  { PseudoVSUXSEG6EI16_V_M2_M1, VSUXSEG6EI16_V }, // 10575
  { PseudoVSUXSEG6EI16_V_M2_M1_MASK, VSUXSEG6EI16_V }, // 10576
  { PseudoVSUXSEG6EI16_V_MF2_M1, VSUXSEG6EI16_V }, // 10577
  { PseudoVSUXSEG6EI16_V_MF2_M1_MASK, VSUXSEG6EI16_V }, // 10578
  { PseudoVSUXSEG6EI16_V_MF2_MF2, VSUXSEG6EI16_V }, // 10579
  { PseudoVSUXSEG6EI16_V_MF2_MF2_MASK, VSUXSEG6EI16_V }, // 10580
  { PseudoVSUXSEG6EI16_V_MF2_MF4, VSUXSEG6EI16_V }, // 10581
  { PseudoVSUXSEG6EI16_V_MF2_MF4_MASK, VSUXSEG6EI16_V }, // 10582
  { PseudoVSUXSEG6EI16_V_MF4_M1, VSUXSEG6EI16_V }, // 10583
  { PseudoVSUXSEG6EI16_V_MF4_M1_MASK, VSUXSEG6EI16_V }, // 10584
  { PseudoVSUXSEG6EI16_V_MF4_MF2, VSUXSEG6EI16_V }, // 10585
  { PseudoVSUXSEG6EI16_V_MF4_MF2_MASK, VSUXSEG6EI16_V }, // 10586
  { PseudoVSUXSEG6EI16_V_MF4_MF4, VSUXSEG6EI16_V }, // 10587
  { PseudoVSUXSEG6EI16_V_MF4_MF4_MASK, VSUXSEG6EI16_V }, // 10588
  { PseudoVSUXSEG6EI16_V_MF4_MF8, VSUXSEG6EI16_V }, // 10589
  { PseudoVSUXSEG6EI16_V_MF4_MF8_MASK, VSUXSEG6EI16_V }, // 10590
  { PseudoVSUXSEG6EI32_V_M1_M1, VSUXSEG6EI32_V }, // 10591
  { PseudoVSUXSEG6EI32_V_M1_M1_MASK, VSUXSEG6EI32_V }, // 10592
  { PseudoVSUXSEG6EI32_V_M1_MF2, VSUXSEG6EI32_V }, // 10593
  { PseudoVSUXSEG6EI32_V_M1_MF2_MASK, VSUXSEG6EI32_V }, // 10594
  { PseudoVSUXSEG6EI32_V_M1_MF4, VSUXSEG6EI32_V }, // 10595
  { PseudoVSUXSEG6EI32_V_M1_MF4_MASK, VSUXSEG6EI32_V }, // 10596
  { PseudoVSUXSEG6EI32_V_M2_M1, VSUXSEG6EI32_V }, // 10597
  { PseudoVSUXSEG6EI32_V_M2_M1_MASK, VSUXSEG6EI32_V }, // 10598
  { PseudoVSUXSEG6EI32_V_M2_MF2, VSUXSEG6EI32_V }, // 10599
  { PseudoVSUXSEG6EI32_V_M2_MF2_MASK, VSUXSEG6EI32_V }, // 10600
  { PseudoVSUXSEG6EI32_V_M4_M1, VSUXSEG6EI32_V }, // 10601
  { PseudoVSUXSEG6EI32_V_M4_M1_MASK, VSUXSEG6EI32_V }, // 10602
  { PseudoVSUXSEG6EI32_V_MF2_M1, VSUXSEG6EI32_V }, // 10603
  { PseudoVSUXSEG6EI32_V_MF2_M1_MASK, VSUXSEG6EI32_V }, // 10604
  { PseudoVSUXSEG6EI32_V_MF2_MF2, VSUXSEG6EI32_V }, // 10605
  { PseudoVSUXSEG6EI32_V_MF2_MF2_MASK, VSUXSEG6EI32_V }, // 10606
  { PseudoVSUXSEG6EI32_V_MF2_MF4, VSUXSEG6EI32_V }, // 10607
  { PseudoVSUXSEG6EI32_V_MF2_MF4_MASK, VSUXSEG6EI32_V }, // 10608
  { PseudoVSUXSEG6EI32_V_MF2_MF8, VSUXSEG6EI32_V }, // 10609
  { PseudoVSUXSEG6EI32_V_MF2_MF8_MASK, VSUXSEG6EI32_V }, // 10610
  { PseudoVSUXSEG6EI64_V_M1_M1, VSUXSEG6EI64_V }, // 10611
  { PseudoVSUXSEG6EI64_V_M1_M1_MASK, VSUXSEG6EI64_V }, // 10612
  { PseudoVSUXSEG6EI64_V_M1_MF2, VSUXSEG6EI64_V }, // 10613
  { PseudoVSUXSEG6EI64_V_M1_MF2_MASK, VSUXSEG6EI64_V }, // 10614
  { PseudoVSUXSEG6EI64_V_M1_MF4, VSUXSEG6EI64_V }, // 10615
  { PseudoVSUXSEG6EI64_V_M1_MF4_MASK, VSUXSEG6EI64_V }, // 10616
  { PseudoVSUXSEG6EI64_V_M1_MF8, VSUXSEG6EI64_V }, // 10617
  { PseudoVSUXSEG6EI64_V_M1_MF8_MASK, VSUXSEG6EI64_V }, // 10618
  { PseudoVSUXSEG6EI64_V_M2_M1, VSUXSEG6EI64_V }, // 10619
  { PseudoVSUXSEG6EI64_V_M2_M1_MASK, VSUXSEG6EI64_V }, // 10620
  { PseudoVSUXSEG6EI64_V_M2_MF2, VSUXSEG6EI64_V }, // 10621
  { PseudoVSUXSEG6EI64_V_M2_MF2_MASK, VSUXSEG6EI64_V }, // 10622
  { PseudoVSUXSEG6EI64_V_M2_MF4, VSUXSEG6EI64_V }, // 10623
  { PseudoVSUXSEG6EI64_V_M2_MF4_MASK, VSUXSEG6EI64_V }, // 10624
  { PseudoVSUXSEG6EI64_V_M4_M1, VSUXSEG6EI64_V }, // 10625
  { PseudoVSUXSEG6EI64_V_M4_M1_MASK, VSUXSEG6EI64_V }, // 10626
  { PseudoVSUXSEG6EI64_V_M4_MF2, VSUXSEG6EI64_V }, // 10627
  { PseudoVSUXSEG6EI64_V_M4_MF2_MASK, VSUXSEG6EI64_V }, // 10628
  { PseudoVSUXSEG6EI64_V_M8_M1, VSUXSEG6EI64_V }, // 10629
  { PseudoVSUXSEG6EI64_V_M8_M1_MASK, VSUXSEG6EI64_V }, // 10630
  { PseudoVSUXSEG6EI8_V_M1_M1, VSUXSEG6EI8_V }, // 10631
  { PseudoVSUXSEG6EI8_V_M1_M1_MASK, VSUXSEG6EI8_V }, // 10632
  { PseudoVSUXSEG6EI8_V_MF2_M1, VSUXSEG6EI8_V }, // 10633
  { PseudoVSUXSEG6EI8_V_MF2_M1_MASK, VSUXSEG6EI8_V }, // 10634
  { PseudoVSUXSEG6EI8_V_MF2_MF2, VSUXSEG6EI8_V }, // 10635
  { PseudoVSUXSEG6EI8_V_MF2_MF2_MASK, VSUXSEG6EI8_V }, // 10636
  { PseudoVSUXSEG6EI8_V_MF4_M1, VSUXSEG6EI8_V }, // 10637
  { PseudoVSUXSEG6EI8_V_MF4_M1_MASK, VSUXSEG6EI8_V }, // 10638
  { PseudoVSUXSEG6EI8_V_MF4_MF2, VSUXSEG6EI8_V }, // 10639
  { PseudoVSUXSEG6EI8_V_MF4_MF2_MASK, VSUXSEG6EI8_V }, // 10640
  { PseudoVSUXSEG6EI8_V_MF4_MF4, VSUXSEG6EI8_V }, // 10641
  { PseudoVSUXSEG6EI8_V_MF4_MF4_MASK, VSUXSEG6EI8_V }, // 10642
  { PseudoVSUXSEG6EI8_V_MF8_M1, VSUXSEG6EI8_V }, // 10643
  { PseudoVSUXSEG6EI8_V_MF8_M1_MASK, VSUXSEG6EI8_V }, // 10644
  { PseudoVSUXSEG6EI8_V_MF8_MF2, VSUXSEG6EI8_V }, // 10645
  { PseudoVSUXSEG6EI8_V_MF8_MF2_MASK, VSUXSEG6EI8_V }, // 10646
  { PseudoVSUXSEG6EI8_V_MF8_MF4, VSUXSEG6EI8_V }, // 10647
  { PseudoVSUXSEG6EI8_V_MF8_MF4_MASK, VSUXSEG6EI8_V }, // 10648
  { PseudoVSUXSEG6EI8_V_MF8_MF8, VSUXSEG6EI8_V }, // 10649
  { PseudoVSUXSEG6EI8_V_MF8_MF8_MASK, VSUXSEG6EI8_V }, // 10650
  { PseudoVSUXSEG7EI16_V_M1_M1, VSUXSEG7EI16_V }, // 10651
  { PseudoVSUXSEG7EI16_V_M1_M1_MASK, VSUXSEG7EI16_V }, // 10652
  { PseudoVSUXSEG7EI16_V_M1_MF2, VSUXSEG7EI16_V }, // 10653
  { PseudoVSUXSEG7EI16_V_M1_MF2_MASK, VSUXSEG7EI16_V }, // 10654
  { PseudoVSUXSEG7EI16_V_M2_M1, VSUXSEG7EI16_V }, // 10655
  { PseudoVSUXSEG7EI16_V_M2_M1_MASK, VSUXSEG7EI16_V }, // 10656
  { PseudoVSUXSEG7EI16_V_MF2_M1, VSUXSEG7EI16_V }, // 10657
  { PseudoVSUXSEG7EI16_V_MF2_M1_MASK, VSUXSEG7EI16_V }, // 10658
  { PseudoVSUXSEG7EI16_V_MF2_MF2, VSUXSEG7EI16_V }, // 10659
  { PseudoVSUXSEG7EI16_V_MF2_MF2_MASK, VSUXSEG7EI16_V }, // 10660
  { PseudoVSUXSEG7EI16_V_MF2_MF4, VSUXSEG7EI16_V }, // 10661
  { PseudoVSUXSEG7EI16_V_MF2_MF4_MASK, VSUXSEG7EI16_V }, // 10662
  { PseudoVSUXSEG7EI16_V_MF4_M1, VSUXSEG7EI16_V }, // 10663
  { PseudoVSUXSEG7EI16_V_MF4_M1_MASK, VSUXSEG7EI16_V }, // 10664
  { PseudoVSUXSEG7EI16_V_MF4_MF2, VSUXSEG7EI16_V }, // 10665
  { PseudoVSUXSEG7EI16_V_MF4_MF2_MASK, VSUXSEG7EI16_V }, // 10666
  { PseudoVSUXSEG7EI16_V_MF4_MF4, VSUXSEG7EI16_V }, // 10667
  { PseudoVSUXSEG7EI16_V_MF4_MF4_MASK, VSUXSEG7EI16_V }, // 10668
  { PseudoVSUXSEG7EI16_V_MF4_MF8, VSUXSEG7EI16_V }, // 10669
  { PseudoVSUXSEG7EI16_V_MF4_MF8_MASK, VSUXSEG7EI16_V }, // 10670
  { PseudoVSUXSEG7EI32_V_M1_M1, VSUXSEG7EI32_V }, // 10671
  { PseudoVSUXSEG7EI32_V_M1_M1_MASK, VSUXSEG7EI32_V }, // 10672
  { PseudoVSUXSEG7EI32_V_M1_MF2, VSUXSEG7EI32_V }, // 10673
  { PseudoVSUXSEG7EI32_V_M1_MF2_MASK, VSUXSEG7EI32_V }, // 10674
  { PseudoVSUXSEG7EI32_V_M1_MF4, VSUXSEG7EI32_V }, // 10675
  { PseudoVSUXSEG7EI32_V_M1_MF4_MASK, VSUXSEG7EI32_V }, // 10676
  { PseudoVSUXSEG7EI32_V_M2_M1, VSUXSEG7EI32_V }, // 10677
  { PseudoVSUXSEG7EI32_V_M2_M1_MASK, VSUXSEG7EI32_V }, // 10678
  { PseudoVSUXSEG7EI32_V_M2_MF2, VSUXSEG7EI32_V }, // 10679
  { PseudoVSUXSEG7EI32_V_M2_MF2_MASK, VSUXSEG7EI32_V }, // 10680
  { PseudoVSUXSEG7EI32_V_M4_M1, VSUXSEG7EI32_V }, // 10681
  { PseudoVSUXSEG7EI32_V_M4_M1_MASK, VSUXSEG7EI32_V }, // 10682
  { PseudoVSUXSEG7EI32_V_MF2_M1, VSUXSEG7EI32_V }, // 10683
  { PseudoVSUXSEG7EI32_V_MF2_M1_MASK, VSUXSEG7EI32_V }, // 10684
  { PseudoVSUXSEG7EI32_V_MF2_MF2, VSUXSEG7EI32_V }, // 10685
  { PseudoVSUXSEG7EI32_V_MF2_MF2_MASK, VSUXSEG7EI32_V }, // 10686
  { PseudoVSUXSEG7EI32_V_MF2_MF4, VSUXSEG7EI32_V }, // 10687
  { PseudoVSUXSEG7EI32_V_MF2_MF4_MASK, VSUXSEG7EI32_V }, // 10688
  { PseudoVSUXSEG7EI32_V_MF2_MF8, VSUXSEG7EI32_V }, // 10689
  { PseudoVSUXSEG7EI32_V_MF2_MF8_MASK, VSUXSEG7EI32_V }, // 10690
  { PseudoVSUXSEG7EI64_V_M1_M1, VSUXSEG7EI64_V }, // 10691
  { PseudoVSUXSEG7EI64_V_M1_M1_MASK, VSUXSEG7EI64_V }, // 10692
  { PseudoVSUXSEG7EI64_V_M1_MF2, VSUXSEG7EI64_V }, // 10693
  { PseudoVSUXSEG7EI64_V_M1_MF2_MASK, VSUXSEG7EI64_V }, // 10694
  { PseudoVSUXSEG7EI64_V_M1_MF4, VSUXSEG7EI64_V }, // 10695
  { PseudoVSUXSEG7EI64_V_M1_MF4_MASK, VSUXSEG7EI64_V }, // 10696
  { PseudoVSUXSEG7EI64_V_M1_MF8, VSUXSEG7EI64_V }, // 10697
  { PseudoVSUXSEG7EI64_V_M1_MF8_MASK, VSUXSEG7EI64_V }, // 10698
  { PseudoVSUXSEG7EI64_V_M2_M1, VSUXSEG7EI64_V }, // 10699
  { PseudoVSUXSEG7EI64_V_M2_M1_MASK, VSUXSEG7EI64_V }, // 10700
  { PseudoVSUXSEG7EI64_V_M2_MF2, VSUXSEG7EI64_V }, // 10701
  { PseudoVSUXSEG7EI64_V_M2_MF2_MASK, VSUXSEG7EI64_V }, // 10702
  { PseudoVSUXSEG7EI64_V_M2_MF4, VSUXSEG7EI64_V }, // 10703
  { PseudoVSUXSEG7EI64_V_M2_MF4_MASK, VSUXSEG7EI64_V }, // 10704
  { PseudoVSUXSEG7EI64_V_M4_M1, VSUXSEG7EI64_V }, // 10705
  { PseudoVSUXSEG7EI64_V_M4_M1_MASK, VSUXSEG7EI64_V }, // 10706
  { PseudoVSUXSEG7EI64_V_M4_MF2, VSUXSEG7EI64_V }, // 10707
  { PseudoVSUXSEG7EI64_V_M4_MF2_MASK, VSUXSEG7EI64_V }, // 10708
  { PseudoVSUXSEG7EI64_V_M8_M1, VSUXSEG7EI64_V }, // 10709
  { PseudoVSUXSEG7EI64_V_M8_M1_MASK, VSUXSEG7EI64_V }, // 10710
  { PseudoVSUXSEG7EI8_V_M1_M1, VSUXSEG7EI8_V }, // 10711
  { PseudoVSUXSEG7EI8_V_M1_M1_MASK, VSUXSEG7EI8_V }, // 10712
  { PseudoVSUXSEG7EI8_V_MF2_M1, VSUXSEG7EI8_V }, // 10713
  { PseudoVSUXSEG7EI8_V_MF2_M1_MASK, VSUXSEG7EI8_V }, // 10714
  { PseudoVSUXSEG7EI8_V_MF2_MF2, VSUXSEG7EI8_V }, // 10715
  { PseudoVSUXSEG7EI8_V_MF2_MF2_MASK, VSUXSEG7EI8_V }, // 10716
  { PseudoVSUXSEG7EI8_V_MF4_M1, VSUXSEG7EI8_V }, // 10717
  { PseudoVSUXSEG7EI8_V_MF4_M1_MASK, VSUXSEG7EI8_V }, // 10718
  { PseudoVSUXSEG7EI8_V_MF4_MF2, VSUXSEG7EI8_V }, // 10719
  { PseudoVSUXSEG7EI8_V_MF4_MF2_MASK, VSUXSEG7EI8_V }, // 10720
  { PseudoVSUXSEG7EI8_V_MF4_MF4, VSUXSEG7EI8_V }, // 10721
  { PseudoVSUXSEG7EI8_V_MF4_MF4_MASK, VSUXSEG7EI8_V }, // 10722
  { PseudoVSUXSEG7EI8_V_MF8_M1, VSUXSEG7EI8_V }, // 10723
  { PseudoVSUXSEG7EI8_V_MF8_M1_MASK, VSUXSEG7EI8_V }, // 10724
  { PseudoVSUXSEG7EI8_V_MF8_MF2, VSUXSEG7EI8_V }, // 10725
  { PseudoVSUXSEG7EI8_V_MF8_MF2_MASK, VSUXSEG7EI8_V }, // 10726
  { PseudoVSUXSEG7EI8_V_MF8_MF4, VSUXSEG7EI8_V }, // 10727
  { PseudoVSUXSEG7EI8_V_MF8_MF4_MASK, VSUXSEG7EI8_V }, // 10728
  { PseudoVSUXSEG7EI8_V_MF8_MF8, VSUXSEG7EI8_V }, // 10729
  { PseudoVSUXSEG7EI8_V_MF8_MF8_MASK, VSUXSEG7EI8_V }, // 10730
  { PseudoVSUXSEG8EI16_V_M1_M1, VSUXSEG8EI16_V }, // 10731
  { PseudoVSUXSEG8EI16_V_M1_M1_MASK, VSUXSEG8EI16_V }, // 10732
  { PseudoVSUXSEG8EI16_V_M1_MF2, VSUXSEG8EI16_V }, // 10733
  { PseudoVSUXSEG8EI16_V_M1_MF2_MASK, VSUXSEG8EI16_V }, // 10734
  { PseudoVSUXSEG8EI16_V_M2_M1, VSUXSEG8EI16_V }, // 10735
  { PseudoVSUXSEG8EI16_V_M2_M1_MASK, VSUXSEG8EI16_V }, // 10736
  { PseudoVSUXSEG8EI16_V_MF2_M1, VSUXSEG8EI16_V }, // 10737
  { PseudoVSUXSEG8EI16_V_MF2_M1_MASK, VSUXSEG8EI16_V }, // 10738
  { PseudoVSUXSEG8EI16_V_MF2_MF2, VSUXSEG8EI16_V }, // 10739
  { PseudoVSUXSEG8EI16_V_MF2_MF2_MASK, VSUXSEG8EI16_V }, // 10740
  { PseudoVSUXSEG8EI16_V_MF2_MF4, VSUXSEG8EI16_V }, // 10741
  { PseudoVSUXSEG8EI16_V_MF2_MF4_MASK, VSUXSEG8EI16_V }, // 10742
  { PseudoVSUXSEG8EI16_V_MF4_M1, VSUXSEG8EI16_V }, // 10743
  { PseudoVSUXSEG8EI16_V_MF4_M1_MASK, VSUXSEG8EI16_V }, // 10744
  { PseudoVSUXSEG8EI16_V_MF4_MF2, VSUXSEG8EI16_V }, // 10745
  { PseudoVSUXSEG8EI16_V_MF4_MF2_MASK, VSUXSEG8EI16_V }, // 10746
  { PseudoVSUXSEG8EI16_V_MF4_MF4, VSUXSEG8EI16_V }, // 10747
  { PseudoVSUXSEG8EI16_V_MF4_MF4_MASK, VSUXSEG8EI16_V }, // 10748
  { PseudoVSUXSEG8EI16_V_MF4_MF8, VSUXSEG8EI16_V }, // 10749
  { PseudoVSUXSEG8EI16_V_MF4_MF8_MASK, VSUXSEG8EI16_V }, // 10750
  { PseudoVSUXSEG8EI32_V_M1_M1, VSUXSEG8EI32_V }, // 10751
  { PseudoVSUXSEG8EI32_V_M1_M1_MASK, VSUXSEG8EI32_V }, // 10752
  { PseudoVSUXSEG8EI32_V_M1_MF2, VSUXSEG8EI32_V }, // 10753
  { PseudoVSUXSEG8EI32_V_M1_MF2_MASK, VSUXSEG8EI32_V }, // 10754
  { PseudoVSUXSEG8EI32_V_M1_MF4, VSUXSEG8EI32_V }, // 10755
  { PseudoVSUXSEG8EI32_V_M1_MF4_MASK, VSUXSEG8EI32_V }, // 10756
  { PseudoVSUXSEG8EI32_V_M2_M1, VSUXSEG8EI32_V }, // 10757
  { PseudoVSUXSEG8EI32_V_M2_M1_MASK, VSUXSEG8EI32_V }, // 10758
  { PseudoVSUXSEG8EI32_V_M2_MF2, VSUXSEG8EI32_V }, // 10759
  { PseudoVSUXSEG8EI32_V_M2_MF2_MASK, VSUXSEG8EI32_V }, // 10760
  { PseudoVSUXSEG8EI32_V_M4_M1, VSUXSEG8EI32_V }, // 10761
  { PseudoVSUXSEG8EI32_V_M4_M1_MASK, VSUXSEG8EI32_V }, // 10762
  { PseudoVSUXSEG8EI32_V_MF2_M1, VSUXSEG8EI32_V }, // 10763
  { PseudoVSUXSEG8EI32_V_MF2_M1_MASK, VSUXSEG8EI32_V }, // 10764
  { PseudoVSUXSEG8EI32_V_MF2_MF2, VSUXSEG8EI32_V }, // 10765
  { PseudoVSUXSEG8EI32_V_MF2_MF2_MASK, VSUXSEG8EI32_V }, // 10766
  { PseudoVSUXSEG8EI32_V_MF2_MF4, VSUXSEG8EI32_V }, // 10767
  { PseudoVSUXSEG8EI32_V_MF2_MF4_MASK, VSUXSEG8EI32_V }, // 10768
  { PseudoVSUXSEG8EI32_V_MF2_MF8, VSUXSEG8EI32_V }, // 10769
  { PseudoVSUXSEG8EI32_V_MF2_MF8_MASK, VSUXSEG8EI32_V }, // 10770
  { PseudoVSUXSEG8EI64_V_M1_M1, VSUXSEG8EI64_V }, // 10771
  { PseudoVSUXSEG8EI64_V_M1_M1_MASK, VSUXSEG8EI64_V }, // 10772
  { PseudoVSUXSEG8EI64_V_M1_MF2, VSUXSEG8EI64_V }, // 10773
  { PseudoVSUXSEG8EI64_V_M1_MF2_MASK, VSUXSEG8EI64_V }, // 10774
  { PseudoVSUXSEG8EI64_V_M1_MF4, VSUXSEG8EI64_V }, // 10775
  { PseudoVSUXSEG8EI64_V_M1_MF4_MASK, VSUXSEG8EI64_V }, // 10776
  { PseudoVSUXSEG8EI64_V_M1_MF8, VSUXSEG8EI64_V }, // 10777
  { PseudoVSUXSEG8EI64_V_M1_MF8_MASK, VSUXSEG8EI64_V }, // 10778
  { PseudoVSUXSEG8EI64_V_M2_M1, VSUXSEG8EI64_V }, // 10779
  { PseudoVSUXSEG8EI64_V_M2_M1_MASK, VSUXSEG8EI64_V }, // 10780
  { PseudoVSUXSEG8EI64_V_M2_MF2, VSUXSEG8EI64_V }, // 10781
  { PseudoVSUXSEG8EI64_V_M2_MF2_MASK, VSUXSEG8EI64_V }, // 10782
  { PseudoVSUXSEG8EI64_V_M2_MF4, VSUXSEG8EI64_V }, // 10783
  { PseudoVSUXSEG8EI64_V_M2_MF4_MASK, VSUXSEG8EI64_V }, // 10784
  { PseudoVSUXSEG8EI64_V_M4_M1, VSUXSEG8EI64_V }, // 10785
  { PseudoVSUXSEG8EI64_V_M4_M1_MASK, VSUXSEG8EI64_V }, // 10786
  { PseudoVSUXSEG8EI64_V_M4_MF2, VSUXSEG8EI64_V }, // 10787
  { PseudoVSUXSEG8EI64_V_M4_MF2_MASK, VSUXSEG8EI64_V }, // 10788
  { PseudoVSUXSEG8EI64_V_M8_M1, VSUXSEG8EI64_V }, // 10789
  { PseudoVSUXSEG8EI64_V_M8_M1_MASK, VSUXSEG8EI64_V }, // 10790
  { PseudoVSUXSEG8EI8_V_M1_M1, VSUXSEG8EI8_V }, // 10791
  { PseudoVSUXSEG8EI8_V_M1_M1_MASK, VSUXSEG8EI8_V }, // 10792
  { PseudoVSUXSEG8EI8_V_MF2_M1, VSUXSEG8EI8_V }, // 10793
  { PseudoVSUXSEG8EI8_V_MF2_M1_MASK, VSUXSEG8EI8_V }, // 10794
  { PseudoVSUXSEG8EI8_V_MF2_MF2, VSUXSEG8EI8_V }, // 10795
  { PseudoVSUXSEG8EI8_V_MF2_MF2_MASK, VSUXSEG8EI8_V }, // 10796
  { PseudoVSUXSEG8EI8_V_MF4_M1, VSUXSEG8EI8_V }, // 10797
  { PseudoVSUXSEG8EI8_V_MF4_M1_MASK, VSUXSEG8EI8_V }, // 10798
  { PseudoVSUXSEG8EI8_V_MF4_MF2, VSUXSEG8EI8_V }, // 10799
  { PseudoVSUXSEG8EI8_V_MF4_MF2_MASK, VSUXSEG8EI8_V }, // 10800
  { PseudoVSUXSEG8EI8_V_MF4_MF4, VSUXSEG8EI8_V }, // 10801
  { PseudoVSUXSEG8EI8_V_MF4_MF4_MASK, VSUXSEG8EI8_V }, // 10802
  { PseudoVSUXSEG8EI8_V_MF8_M1, VSUXSEG8EI8_V }, // 10803
  { PseudoVSUXSEG8EI8_V_MF8_M1_MASK, VSUXSEG8EI8_V }, // 10804
  { PseudoVSUXSEG8EI8_V_MF8_MF2, VSUXSEG8EI8_V }, // 10805
  { PseudoVSUXSEG8EI8_V_MF8_MF2_MASK, VSUXSEG8EI8_V }, // 10806
  { PseudoVSUXSEG8EI8_V_MF8_MF4, VSUXSEG8EI8_V }, // 10807
  { PseudoVSUXSEG8EI8_V_MF8_MF4_MASK, VSUXSEG8EI8_V }, // 10808
  { PseudoVSUXSEG8EI8_V_MF8_MF8, VSUXSEG8EI8_V }, // 10809
  { PseudoVSUXSEG8EI8_V_MF8_MF8_MASK, VSUXSEG8EI8_V }, // 10810
  { PseudoVWADDU_VV_M1, VWADDU_VV }, // 10811
  { PseudoVWADDU_VV_M1_MASK, VWADDU_VV }, // 10812
  { PseudoVWADDU_VV_M1_TU, VWADDU_VV }, // 10813
  { PseudoVWADDU_VV_M2, VWADDU_VV }, // 10814
  { PseudoVWADDU_VV_M2_MASK, VWADDU_VV }, // 10815
  { PseudoVWADDU_VV_M2_TU, VWADDU_VV }, // 10816
  { PseudoVWADDU_VV_M4, VWADDU_VV }, // 10817
  { PseudoVWADDU_VV_M4_MASK, VWADDU_VV }, // 10818
  { PseudoVWADDU_VV_M4_TU, VWADDU_VV }, // 10819
  { PseudoVWADDU_VV_MF2, VWADDU_VV }, // 10820
  { PseudoVWADDU_VV_MF2_MASK, VWADDU_VV }, // 10821
  { PseudoVWADDU_VV_MF2_TU, VWADDU_VV }, // 10822
  { PseudoVWADDU_VV_MF4, VWADDU_VV }, // 10823
  { PseudoVWADDU_VV_MF4_MASK, VWADDU_VV }, // 10824
  { PseudoVWADDU_VV_MF4_TU, VWADDU_VV }, // 10825
  { PseudoVWADDU_VV_MF8, VWADDU_VV }, // 10826
  { PseudoVWADDU_VV_MF8_MASK, VWADDU_VV }, // 10827
  { PseudoVWADDU_VV_MF8_TU, VWADDU_VV }, // 10828
  { PseudoVWADDU_VX_M1, VWADDU_VX }, // 10829
  { PseudoVWADDU_VX_M1_MASK, VWADDU_VX }, // 10830
  { PseudoVWADDU_VX_M1_TU, VWADDU_VX }, // 10831
  { PseudoVWADDU_VX_M2, VWADDU_VX }, // 10832
  { PseudoVWADDU_VX_M2_MASK, VWADDU_VX }, // 10833
  { PseudoVWADDU_VX_M2_TU, VWADDU_VX }, // 10834
  { PseudoVWADDU_VX_M4, VWADDU_VX }, // 10835
  { PseudoVWADDU_VX_M4_MASK, VWADDU_VX }, // 10836
  { PseudoVWADDU_VX_M4_TU, VWADDU_VX }, // 10837
  { PseudoVWADDU_VX_MF2, VWADDU_VX }, // 10838
  { PseudoVWADDU_VX_MF2_MASK, VWADDU_VX }, // 10839
  { PseudoVWADDU_VX_MF2_TU, VWADDU_VX }, // 10840
  { PseudoVWADDU_VX_MF4, VWADDU_VX }, // 10841
  { PseudoVWADDU_VX_MF4_MASK, VWADDU_VX }, // 10842
  { PseudoVWADDU_VX_MF4_TU, VWADDU_VX }, // 10843
  { PseudoVWADDU_VX_MF8, VWADDU_VX }, // 10844
  { PseudoVWADDU_VX_MF8_MASK, VWADDU_VX }, // 10845
  { PseudoVWADDU_VX_MF8_TU, VWADDU_VX }, // 10846
  { PseudoVWADDU_WV_M1, VWADDU_WV }, // 10847
  { PseudoVWADDU_WV_M1_MASK, VWADDU_WV }, // 10848
  { PseudoVWADDU_WV_M1_MASK_TIED, VWADDU_WV }, // 10849
  { PseudoVWADDU_WV_M1_TIED, VWADDU_WV }, // 10850
  { PseudoVWADDU_WV_M1_TU, VWADDU_WV }, // 10851
  { PseudoVWADDU_WV_M2, VWADDU_WV }, // 10852
  { PseudoVWADDU_WV_M2_MASK, VWADDU_WV }, // 10853
  { PseudoVWADDU_WV_M2_MASK_TIED, VWADDU_WV }, // 10854
  { PseudoVWADDU_WV_M2_TIED, VWADDU_WV }, // 10855
  { PseudoVWADDU_WV_M2_TU, VWADDU_WV }, // 10856
  { PseudoVWADDU_WV_M4, VWADDU_WV }, // 10857
  { PseudoVWADDU_WV_M4_MASK, VWADDU_WV }, // 10858
  { PseudoVWADDU_WV_M4_MASK_TIED, VWADDU_WV }, // 10859
  { PseudoVWADDU_WV_M4_TIED, VWADDU_WV }, // 10860
  { PseudoVWADDU_WV_M4_TU, VWADDU_WV }, // 10861
  { PseudoVWADDU_WV_MF2, VWADDU_WV }, // 10862
  { PseudoVWADDU_WV_MF2_MASK, VWADDU_WV }, // 10863
  { PseudoVWADDU_WV_MF2_MASK_TIED, VWADDU_WV }, // 10864
  { PseudoVWADDU_WV_MF2_TIED, VWADDU_WV }, // 10865
  { PseudoVWADDU_WV_MF2_TU, VWADDU_WV }, // 10866
  { PseudoVWADDU_WV_MF4, VWADDU_WV }, // 10867
  { PseudoVWADDU_WV_MF4_MASK, VWADDU_WV }, // 10868
  { PseudoVWADDU_WV_MF4_MASK_TIED, VWADDU_WV }, // 10869
  { PseudoVWADDU_WV_MF4_TIED, VWADDU_WV }, // 10870
  { PseudoVWADDU_WV_MF4_TU, VWADDU_WV }, // 10871
  { PseudoVWADDU_WV_MF8, VWADDU_WV }, // 10872
  { PseudoVWADDU_WV_MF8_MASK, VWADDU_WV }, // 10873
  { PseudoVWADDU_WV_MF8_MASK_TIED, VWADDU_WV }, // 10874
  { PseudoVWADDU_WV_MF8_TIED, VWADDU_WV }, // 10875
  { PseudoVWADDU_WV_MF8_TU, VWADDU_WV }, // 10876
  { PseudoVWADDU_WX_M1, VWADDU_WX }, // 10877
  { PseudoVWADDU_WX_M1_MASK, VWADDU_WX }, // 10878
  { PseudoVWADDU_WX_M1_TU, VWADDU_WX }, // 10879
  { PseudoVWADDU_WX_M2, VWADDU_WX }, // 10880
  { PseudoVWADDU_WX_M2_MASK, VWADDU_WX }, // 10881
  { PseudoVWADDU_WX_M2_TU, VWADDU_WX }, // 10882
  { PseudoVWADDU_WX_M4, VWADDU_WX }, // 10883
  { PseudoVWADDU_WX_M4_MASK, VWADDU_WX }, // 10884
  { PseudoVWADDU_WX_M4_TU, VWADDU_WX }, // 10885
  { PseudoVWADDU_WX_MF2, VWADDU_WX }, // 10886
  { PseudoVWADDU_WX_MF2_MASK, VWADDU_WX }, // 10887
  { PseudoVWADDU_WX_MF2_TU, VWADDU_WX }, // 10888
  { PseudoVWADDU_WX_MF4, VWADDU_WX }, // 10889
  { PseudoVWADDU_WX_MF4_MASK, VWADDU_WX }, // 10890
  { PseudoVWADDU_WX_MF4_TU, VWADDU_WX }, // 10891
  { PseudoVWADDU_WX_MF8, VWADDU_WX }, // 10892
  { PseudoVWADDU_WX_MF8_MASK, VWADDU_WX }, // 10893
  { PseudoVWADDU_WX_MF8_TU, VWADDU_WX }, // 10894
  { PseudoVWADD_VV_M1, VWADD_VV }, // 10895
  { PseudoVWADD_VV_M1_MASK, VWADD_VV }, // 10896
  { PseudoVWADD_VV_M1_TU, VWADD_VV }, // 10897
  { PseudoVWADD_VV_M2, VWADD_VV }, // 10898
  { PseudoVWADD_VV_M2_MASK, VWADD_VV }, // 10899
  { PseudoVWADD_VV_M2_TU, VWADD_VV }, // 10900
  { PseudoVWADD_VV_M4, VWADD_VV }, // 10901
  { PseudoVWADD_VV_M4_MASK, VWADD_VV }, // 10902
  { PseudoVWADD_VV_M4_TU, VWADD_VV }, // 10903
  { PseudoVWADD_VV_MF2, VWADD_VV }, // 10904
  { PseudoVWADD_VV_MF2_MASK, VWADD_VV }, // 10905
  { PseudoVWADD_VV_MF2_TU, VWADD_VV }, // 10906
  { PseudoVWADD_VV_MF4, VWADD_VV }, // 10907
  { PseudoVWADD_VV_MF4_MASK, VWADD_VV }, // 10908
  { PseudoVWADD_VV_MF4_TU, VWADD_VV }, // 10909
  { PseudoVWADD_VV_MF8, VWADD_VV }, // 10910
  { PseudoVWADD_VV_MF8_MASK, VWADD_VV }, // 10911
  { PseudoVWADD_VV_MF8_TU, VWADD_VV }, // 10912
  { PseudoVWADD_VX_M1, VWADD_VX }, // 10913
  { PseudoVWADD_VX_M1_MASK, VWADD_VX }, // 10914
  { PseudoVWADD_VX_M1_TU, VWADD_VX }, // 10915
  { PseudoVWADD_VX_M2, VWADD_VX }, // 10916
  { PseudoVWADD_VX_M2_MASK, VWADD_VX }, // 10917
  { PseudoVWADD_VX_M2_TU, VWADD_VX }, // 10918
  { PseudoVWADD_VX_M4, VWADD_VX }, // 10919
  { PseudoVWADD_VX_M4_MASK, VWADD_VX }, // 10920
  { PseudoVWADD_VX_M4_TU, VWADD_VX }, // 10921
  { PseudoVWADD_VX_MF2, VWADD_VX }, // 10922
  { PseudoVWADD_VX_MF2_MASK, VWADD_VX }, // 10923
  { PseudoVWADD_VX_MF2_TU, VWADD_VX }, // 10924
  { PseudoVWADD_VX_MF4, VWADD_VX }, // 10925
  { PseudoVWADD_VX_MF4_MASK, VWADD_VX }, // 10926
  { PseudoVWADD_VX_MF4_TU, VWADD_VX }, // 10927
  { PseudoVWADD_VX_MF8, VWADD_VX }, // 10928
  { PseudoVWADD_VX_MF8_MASK, VWADD_VX }, // 10929
  { PseudoVWADD_VX_MF8_TU, VWADD_VX }, // 10930
  { PseudoVWADD_WV_M1, VWADD_WV }, // 10931
  { PseudoVWADD_WV_M1_MASK, VWADD_WV }, // 10932
  { PseudoVWADD_WV_M1_MASK_TIED, VWADD_WV }, // 10933
  { PseudoVWADD_WV_M1_TIED, VWADD_WV }, // 10934
  { PseudoVWADD_WV_M1_TU, VWADD_WV }, // 10935
  { PseudoVWADD_WV_M2, VWADD_WV }, // 10936
  { PseudoVWADD_WV_M2_MASK, VWADD_WV }, // 10937
  { PseudoVWADD_WV_M2_MASK_TIED, VWADD_WV }, // 10938
  { PseudoVWADD_WV_M2_TIED, VWADD_WV }, // 10939
  { PseudoVWADD_WV_M2_TU, VWADD_WV }, // 10940
  { PseudoVWADD_WV_M4, VWADD_WV }, // 10941
  { PseudoVWADD_WV_M4_MASK, VWADD_WV }, // 10942
  { PseudoVWADD_WV_M4_MASK_TIED, VWADD_WV }, // 10943
  { PseudoVWADD_WV_M4_TIED, VWADD_WV }, // 10944
  { PseudoVWADD_WV_M4_TU, VWADD_WV }, // 10945
  { PseudoVWADD_WV_MF2, VWADD_WV }, // 10946
  { PseudoVWADD_WV_MF2_MASK, VWADD_WV }, // 10947
  { PseudoVWADD_WV_MF2_MASK_TIED, VWADD_WV }, // 10948
  { PseudoVWADD_WV_MF2_TIED, VWADD_WV }, // 10949
  { PseudoVWADD_WV_MF2_TU, VWADD_WV }, // 10950
  { PseudoVWADD_WV_MF4, VWADD_WV }, // 10951
  { PseudoVWADD_WV_MF4_MASK, VWADD_WV }, // 10952
  { PseudoVWADD_WV_MF4_MASK_TIED, VWADD_WV }, // 10953
  { PseudoVWADD_WV_MF4_TIED, VWADD_WV }, // 10954
  { PseudoVWADD_WV_MF4_TU, VWADD_WV }, // 10955
  { PseudoVWADD_WV_MF8, VWADD_WV }, // 10956
  { PseudoVWADD_WV_MF8_MASK, VWADD_WV }, // 10957
  { PseudoVWADD_WV_MF8_MASK_TIED, VWADD_WV }, // 10958
  { PseudoVWADD_WV_MF8_TIED, VWADD_WV }, // 10959
  { PseudoVWADD_WV_MF8_TU, VWADD_WV }, // 10960
  { PseudoVWADD_WX_M1, VWADD_WX }, // 10961
  { PseudoVWADD_WX_M1_MASK, VWADD_WX }, // 10962
  { PseudoVWADD_WX_M1_TU, VWADD_WX }, // 10963
  { PseudoVWADD_WX_M2, VWADD_WX }, // 10964
  { PseudoVWADD_WX_M2_MASK, VWADD_WX }, // 10965
  { PseudoVWADD_WX_M2_TU, VWADD_WX }, // 10966
  { PseudoVWADD_WX_M4, VWADD_WX }, // 10967
  { PseudoVWADD_WX_M4_MASK, VWADD_WX }, // 10968
  { PseudoVWADD_WX_M4_TU, VWADD_WX }, // 10969
  { PseudoVWADD_WX_MF2, VWADD_WX }, // 10970
  { PseudoVWADD_WX_MF2_MASK, VWADD_WX }, // 10971
  { PseudoVWADD_WX_MF2_TU, VWADD_WX }, // 10972
  { PseudoVWADD_WX_MF4, VWADD_WX }, // 10973
  { PseudoVWADD_WX_MF4_MASK, VWADD_WX }, // 10974
  { PseudoVWADD_WX_MF4_TU, VWADD_WX }, // 10975
  { PseudoVWADD_WX_MF8, VWADD_WX }, // 10976
  { PseudoVWADD_WX_MF8_MASK, VWADD_WX }, // 10977
  { PseudoVWADD_WX_MF8_TU, VWADD_WX }, // 10978
  { PseudoVWMACCSU_VV_M1, VWMACCSU_VV }, // 10979
  { PseudoVWMACCSU_VV_M1_MASK, VWMACCSU_VV }, // 10980
  { PseudoVWMACCSU_VV_M2, VWMACCSU_VV }, // 10981
  { PseudoVWMACCSU_VV_M2_MASK, VWMACCSU_VV }, // 10982
  { PseudoVWMACCSU_VV_M4, VWMACCSU_VV }, // 10983
  { PseudoVWMACCSU_VV_M4_MASK, VWMACCSU_VV }, // 10984
  { PseudoVWMACCSU_VV_MF2, VWMACCSU_VV }, // 10985
  { PseudoVWMACCSU_VV_MF2_MASK, VWMACCSU_VV }, // 10986
  { PseudoVWMACCSU_VV_MF4, VWMACCSU_VV }, // 10987
  { PseudoVWMACCSU_VV_MF4_MASK, VWMACCSU_VV }, // 10988
  { PseudoVWMACCSU_VV_MF8, VWMACCSU_VV }, // 10989
  { PseudoVWMACCSU_VV_MF8_MASK, VWMACCSU_VV }, // 10990
  { PseudoVWMACCSU_VX_M1, VWMACCSU_VX }, // 10991
  { PseudoVWMACCSU_VX_M1_MASK, VWMACCSU_VX }, // 10992
  { PseudoVWMACCSU_VX_M2, VWMACCSU_VX }, // 10993
  { PseudoVWMACCSU_VX_M2_MASK, VWMACCSU_VX }, // 10994
  { PseudoVWMACCSU_VX_M4, VWMACCSU_VX }, // 10995
  { PseudoVWMACCSU_VX_M4_MASK, VWMACCSU_VX }, // 10996
  { PseudoVWMACCSU_VX_MF2, VWMACCSU_VX }, // 10997
  { PseudoVWMACCSU_VX_MF2_MASK, VWMACCSU_VX }, // 10998
  { PseudoVWMACCSU_VX_MF4, VWMACCSU_VX }, // 10999
  { PseudoVWMACCSU_VX_MF4_MASK, VWMACCSU_VX }, // 11000
  { PseudoVWMACCSU_VX_MF8, VWMACCSU_VX }, // 11001
  { PseudoVWMACCSU_VX_MF8_MASK, VWMACCSU_VX }, // 11002
  { PseudoVWMACCUS_VX_M1, VWMACCUS_VX }, // 11003
  { PseudoVWMACCUS_VX_M1_MASK, VWMACCUS_VX }, // 11004
  { PseudoVWMACCUS_VX_M2, VWMACCUS_VX }, // 11005
  { PseudoVWMACCUS_VX_M2_MASK, VWMACCUS_VX }, // 11006
  { PseudoVWMACCUS_VX_M4, VWMACCUS_VX }, // 11007
  { PseudoVWMACCUS_VX_M4_MASK, VWMACCUS_VX }, // 11008
  { PseudoVWMACCUS_VX_MF2, VWMACCUS_VX }, // 11009
  { PseudoVWMACCUS_VX_MF2_MASK, VWMACCUS_VX }, // 11010
  { PseudoVWMACCUS_VX_MF4, VWMACCUS_VX }, // 11011
  { PseudoVWMACCUS_VX_MF4_MASK, VWMACCUS_VX }, // 11012
  { PseudoVWMACCUS_VX_MF8, VWMACCUS_VX }, // 11013
  { PseudoVWMACCUS_VX_MF8_MASK, VWMACCUS_VX }, // 11014
  { PseudoVWMACCU_VV_M1, VWMACCU_VV }, // 11015
  { PseudoVWMACCU_VV_M1_MASK, VWMACCU_VV }, // 11016
  { PseudoVWMACCU_VV_M2, VWMACCU_VV }, // 11017
  { PseudoVWMACCU_VV_M2_MASK, VWMACCU_VV }, // 11018
  { PseudoVWMACCU_VV_M4, VWMACCU_VV }, // 11019
  { PseudoVWMACCU_VV_M4_MASK, VWMACCU_VV }, // 11020
  { PseudoVWMACCU_VV_MF2, VWMACCU_VV }, // 11021
  { PseudoVWMACCU_VV_MF2_MASK, VWMACCU_VV }, // 11022
  { PseudoVWMACCU_VV_MF4, VWMACCU_VV }, // 11023
  { PseudoVWMACCU_VV_MF4_MASK, VWMACCU_VV }, // 11024
  { PseudoVWMACCU_VV_MF8, VWMACCU_VV }, // 11025
  { PseudoVWMACCU_VV_MF8_MASK, VWMACCU_VV }, // 11026
  { PseudoVWMACCU_VX_M1, VWMACCU_VX }, // 11027
  { PseudoVWMACCU_VX_M1_MASK, VWMACCU_VX }, // 11028
  { PseudoVWMACCU_VX_M2, VWMACCU_VX }, // 11029
  { PseudoVWMACCU_VX_M2_MASK, VWMACCU_VX }, // 11030
  { PseudoVWMACCU_VX_M4, VWMACCU_VX }, // 11031
  { PseudoVWMACCU_VX_M4_MASK, VWMACCU_VX }, // 11032
  { PseudoVWMACCU_VX_MF2, VWMACCU_VX }, // 11033
  { PseudoVWMACCU_VX_MF2_MASK, VWMACCU_VX }, // 11034
  { PseudoVWMACCU_VX_MF4, VWMACCU_VX }, // 11035
  { PseudoVWMACCU_VX_MF4_MASK, VWMACCU_VX }, // 11036
  { PseudoVWMACCU_VX_MF8, VWMACCU_VX }, // 11037
  { PseudoVWMACCU_VX_MF8_MASK, VWMACCU_VX }, // 11038
  { PseudoVWMACC_VV_M1, VWMACC_VV }, // 11039
  { PseudoVWMACC_VV_M1_MASK, VWMACC_VV }, // 11040
  { PseudoVWMACC_VV_M2, VWMACC_VV }, // 11041
  { PseudoVWMACC_VV_M2_MASK, VWMACC_VV }, // 11042
  { PseudoVWMACC_VV_M4, VWMACC_VV }, // 11043
  { PseudoVWMACC_VV_M4_MASK, VWMACC_VV }, // 11044
  { PseudoVWMACC_VV_MF2, VWMACC_VV }, // 11045
  { PseudoVWMACC_VV_MF2_MASK, VWMACC_VV }, // 11046
  { PseudoVWMACC_VV_MF4, VWMACC_VV }, // 11047
  { PseudoVWMACC_VV_MF4_MASK, VWMACC_VV }, // 11048
  { PseudoVWMACC_VV_MF8, VWMACC_VV }, // 11049
  { PseudoVWMACC_VV_MF8_MASK, VWMACC_VV }, // 11050
  { PseudoVWMACC_VX_M1, VWMACC_VX }, // 11051
  { PseudoVWMACC_VX_M1_MASK, VWMACC_VX }, // 11052
  { PseudoVWMACC_VX_M2, VWMACC_VX }, // 11053
  { PseudoVWMACC_VX_M2_MASK, VWMACC_VX }, // 11054
  { PseudoVWMACC_VX_M4, VWMACC_VX }, // 11055
  { PseudoVWMACC_VX_M4_MASK, VWMACC_VX }, // 11056
  { PseudoVWMACC_VX_MF2, VWMACC_VX }, // 11057
  { PseudoVWMACC_VX_MF2_MASK, VWMACC_VX }, // 11058
  { PseudoVWMACC_VX_MF4, VWMACC_VX }, // 11059
  { PseudoVWMACC_VX_MF4_MASK, VWMACC_VX }, // 11060
  { PseudoVWMACC_VX_MF8, VWMACC_VX }, // 11061
  { PseudoVWMACC_VX_MF8_MASK, VWMACC_VX }, // 11062
  { PseudoVWMULSU_VV_M1, VWMULSU_VV }, // 11063
  { PseudoVWMULSU_VV_M1_MASK, VWMULSU_VV }, // 11064
  { PseudoVWMULSU_VV_M1_TU, VWMULSU_VV }, // 11065
  { PseudoVWMULSU_VV_M2, VWMULSU_VV }, // 11066
  { PseudoVWMULSU_VV_M2_MASK, VWMULSU_VV }, // 11067
  { PseudoVWMULSU_VV_M2_TU, VWMULSU_VV }, // 11068
  { PseudoVWMULSU_VV_M4, VWMULSU_VV }, // 11069
  { PseudoVWMULSU_VV_M4_MASK, VWMULSU_VV }, // 11070
  { PseudoVWMULSU_VV_M4_TU, VWMULSU_VV }, // 11071
  { PseudoVWMULSU_VV_MF2, VWMULSU_VV }, // 11072
  { PseudoVWMULSU_VV_MF2_MASK, VWMULSU_VV }, // 11073
  { PseudoVWMULSU_VV_MF2_TU, VWMULSU_VV }, // 11074
  { PseudoVWMULSU_VV_MF4, VWMULSU_VV }, // 11075
  { PseudoVWMULSU_VV_MF4_MASK, VWMULSU_VV }, // 11076
  { PseudoVWMULSU_VV_MF4_TU, VWMULSU_VV }, // 11077
  { PseudoVWMULSU_VV_MF8, VWMULSU_VV }, // 11078
  { PseudoVWMULSU_VV_MF8_MASK, VWMULSU_VV }, // 11079
  { PseudoVWMULSU_VV_MF8_TU, VWMULSU_VV }, // 11080
  { PseudoVWMULSU_VX_M1, VWMULSU_VX }, // 11081
  { PseudoVWMULSU_VX_M1_MASK, VWMULSU_VX }, // 11082
  { PseudoVWMULSU_VX_M1_TU, VWMULSU_VX }, // 11083
  { PseudoVWMULSU_VX_M2, VWMULSU_VX }, // 11084
  { PseudoVWMULSU_VX_M2_MASK, VWMULSU_VX }, // 11085
  { PseudoVWMULSU_VX_M2_TU, VWMULSU_VX }, // 11086
  { PseudoVWMULSU_VX_M4, VWMULSU_VX }, // 11087
  { PseudoVWMULSU_VX_M4_MASK, VWMULSU_VX }, // 11088
  { PseudoVWMULSU_VX_M4_TU, VWMULSU_VX }, // 11089
  { PseudoVWMULSU_VX_MF2, VWMULSU_VX }, // 11090
  { PseudoVWMULSU_VX_MF2_MASK, VWMULSU_VX }, // 11091
  { PseudoVWMULSU_VX_MF2_TU, VWMULSU_VX }, // 11092
  { PseudoVWMULSU_VX_MF4, VWMULSU_VX }, // 11093
  { PseudoVWMULSU_VX_MF4_MASK, VWMULSU_VX }, // 11094
  { PseudoVWMULSU_VX_MF4_TU, VWMULSU_VX }, // 11095
  { PseudoVWMULSU_VX_MF8, VWMULSU_VX }, // 11096
  { PseudoVWMULSU_VX_MF8_MASK, VWMULSU_VX }, // 11097
  { PseudoVWMULSU_VX_MF8_TU, VWMULSU_VX }, // 11098
  { PseudoVWMULU_VV_M1, VWMULU_VV }, // 11099
  { PseudoVWMULU_VV_M1_MASK, VWMULU_VV }, // 11100
  { PseudoVWMULU_VV_M1_TU, VWMULU_VV }, // 11101
  { PseudoVWMULU_VV_M2, VWMULU_VV }, // 11102
  { PseudoVWMULU_VV_M2_MASK, VWMULU_VV }, // 11103
  { PseudoVWMULU_VV_M2_TU, VWMULU_VV }, // 11104
  { PseudoVWMULU_VV_M4, VWMULU_VV }, // 11105
  { PseudoVWMULU_VV_M4_MASK, VWMULU_VV }, // 11106
  { PseudoVWMULU_VV_M4_TU, VWMULU_VV }, // 11107
  { PseudoVWMULU_VV_MF2, VWMULU_VV }, // 11108
  { PseudoVWMULU_VV_MF2_MASK, VWMULU_VV }, // 11109
  { PseudoVWMULU_VV_MF2_TU, VWMULU_VV }, // 11110
  { PseudoVWMULU_VV_MF4, VWMULU_VV }, // 11111
  { PseudoVWMULU_VV_MF4_MASK, VWMULU_VV }, // 11112
  { PseudoVWMULU_VV_MF4_TU, VWMULU_VV }, // 11113
  { PseudoVWMULU_VV_MF8, VWMULU_VV }, // 11114
  { PseudoVWMULU_VV_MF8_MASK, VWMULU_VV }, // 11115
  { PseudoVWMULU_VV_MF8_TU, VWMULU_VV }, // 11116
  { PseudoVWMULU_VX_M1, VWMULU_VX }, // 11117
  { PseudoVWMULU_VX_M1_MASK, VWMULU_VX }, // 11118
  { PseudoVWMULU_VX_M1_TU, VWMULU_VX }, // 11119
  { PseudoVWMULU_VX_M2, VWMULU_VX }, // 11120
  { PseudoVWMULU_VX_M2_MASK, VWMULU_VX }, // 11121
  { PseudoVWMULU_VX_M2_TU, VWMULU_VX }, // 11122
  { PseudoVWMULU_VX_M4, VWMULU_VX }, // 11123
  { PseudoVWMULU_VX_M4_MASK, VWMULU_VX }, // 11124
  { PseudoVWMULU_VX_M4_TU, VWMULU_VX }, // 11125
  { PseudoVWMULU_VX_MF2, VWMULU_VX }, // 11126
  { PseudoVWMULU_VX_MF2_MASK, VWMULU_VX }, // 11127
  { PseudoVWMULU_VX_MF2_TU, VWMULU_VX }, // 11128
  { PseudoVWMULU_VX_MF4, VWMULU_VX }, // 11129
  { PseudoVWMULU_VX_MF4_MASK, VWMULU_VX }, // 11130
  { PseudoVWMULU_VX_MF4_TU, VWMULU_VX }, // 11131
  { PseudoVWMULU_VX_MF8, VWMULU_VX }, // 11132
  { PseudoVWMULU_VX_MF8_MASK, VWMULU_VX }, // 11133
  { PseudoVWMULU_VX_MF8_TU, VWMULU_VX }, // 11134
  { PseudoVWMUL_VV_M1, VWMUL_VV }, // 11135
  { PseudoVWMUL_VV_M1_MASK, VWMUL_VV }, // 11136
  { PseudoVWMUL_VV_M1_TU, VWMUL_VV }, // 11137
  { PseudoVWMUL_VV_M2, VWMUL_VV }, // 11138
  { PseudoVWMUL_VV_M2_MASK, VWMUL_VV }, // 11139
  { PseudoVWMUL_VV_M2_TU, VWMUL_VV }, // 11140
  { PseudoVWMUL_VV_M4, VWMUL_VV }, // 11141
  { PseudoVWMUL_VV_M4_MASK, VWMUL_VV }, // 11142
  { PseudoVWMUL_VV_M4_TU, VWMUL_VV }, // 11143
  { PseudoVWMUL_VV_MF2, VWMUL_VV }, // 11144
  { PseudoVWMUL_VV_MF2_MASK, VWMUL_VV }, // 11145
  { PseudoVWMUL_VV_MF2_TU, VWMUL_VV }, // 11146
  { PseudoVWMUL_VV_MF4, VWMUL_VV }, // 11147
  { PseudoVWMUL_VV_MF4_MASK, VWMUL_VV }, // 11148
  { PseudoVWMUL_VV_MF4_TU, VWMUL_VV }, // 11149
  { PseudoVWMUL_VV_MF8, VWMUL_VV }, // 11150
  { PseudoVWMUL_VV_MF8_MASK, VWMUL_VV }, // 11151
  { PseudoVWMUL_VV_MF8_TU, VWMUL_VV }, // 11152
  { PseudoVWMUL_VX_M1, VWMUL_VX }, // 11153
  { PseudoVWMUL_VX_M1_MASK, VWMUL_VX }, // 11154
  { PseudoVWMUL_VX_M1_TU, VWMUL_VX }, // 11155
  { PseudoVWMUL_VX_M2, VWMUL_VX }, // 11156
  { PseudoVWMUL_VX_M2_MASK, VWMUL_VX }, // 11157
  { PseudoVWMUL_VX_M2_TU, VWMUL_VX }, // 11158
  { PseudoVWMUL_VX_M4, VWMUL_VX }, // 11159
  { PseudoVWMUL_VX_M4_MASK, VWMUL_VX }, // 11160
  { PseudoVWMUL_VX_M4_TU, VWMUL_VX }, // 11161
  { PseudoVWMUL_VX_MF2, VWMUL_VX }, // 11162
  { PseudoVWMUL_VX_MF2_MASK, VWMUL_VX }, // 11163
  { PseudoVWMUL_VX_MF2_TU, VWMUL_VX }, // 11164
  { PseudoVWMUL_VX_MF4, VWMUL_VX }, // 11165
  { PseudoVWMUL_VX_MF4_MASK, VWMUL_VX }, // 11166
  { PseudoVWMUL_VX_MF4_TU, VWMUL_VX }, // 11167
  { PseudoVWMUL_VX_MF8, VWMUL_VX }, // 11168
  { PseudoVWMUL_VX_MF8_MASK, VWMUL_VX }, // 11169
  { PseudoVWMUL_VX_MF8_TU, VWMUL_VX }, // 11170
  { PseudoVWREDSUMU_VS_M1, VWREDSUMU_VS }, // 11171
  { PseudoVWREDSUMU_VS_M1_MASK, VWREDSUMU_VS }, // 11172
  { PseudoVWREDSUMU_VS_M2, VWREDSUMU_VS }, // 11173
  { PseudoVWREDSUMU_VS_M2_MASK, VWREDSUMU_VS }, // 11174
  { PseudoVWREDSUMU_VS_M4, VWREDSUMU_VS }, // 11175
  { PseudoVWREDSUMU_VS_M4_MASK, VWREDSUMU_VS }, // 11176
  { PseudoVWREDSUMU_VS_M8, VWREDSUMU_VS }, // 11177
  { PseudoVWREDSUMU_VS_M8_MASK, VWREDSUMU_VS }, // 11178
  { PseudoVWREDSUMU_VS_MF2, VWREDSUMU_VS }, // 11179
  { PseudoVWREDSUMU_VS_MF2_MASK, VWREDSUMU_VS }, // 11180
  { PseudoVWREDSUMU_VS_MF4, VWREDSUMU_VS }, // 11181
  { PseudoVWREDSUMU_VS_MF4_MASK, VWREDSUMU_VS }, // 11182
  { PseudoVWREDSUMU_VS_MF8, VWREDSUMU_VS }, // 11183
  { PseudoVWREDSUMU_VS_MF8_MASK, VWREDSUMU_VS }, // 11184
  { PseudoVWREDSUM_VS_M1, VWREDSUM_VS }, // 11185
  { PseudoVWREDSUM_VS_M1_MASK, VWREDSUM_VS }, // 11186
  { PseudoVWREDSUM_VS_M2, VWREDSUM_VS }, // 11187
  { PseudoVWREDSUM_VS_M2_MASK, VWREDSUM_VS }, // 11188
  { PseudoVWREDSUM_VS_M4, VWREDSUM_VS }, // 11189
  { PseudoVWREDSUM_VS_M4_MASK, VWREDSUM_VS }, // 11190
  { PseudoVWREDSUM_VS_M8, VWREDSUM_VS }, // 11191
  { PseudoVWREDSUM_VS_M8_MASK, VWREDSUM_VS }, // 11192
  { PseudoVWREDSUM_VS_MF2, VWREDSUM_VS }, // 11193
  { PseudoVWREDSUM_VS_MF2_MASK, VWREDSUM_VS }, // 11194
  { PseudoVWREDSUM_VS_MF4, VWREDSUM_VS }, // 11195
  { PseudoVWREDSUM_VS_MF4_MASK, VWREDSUM_VS }, // 11196
  { PseudoVWREDSUM_VS_MF8, VWREDSUM_VS }, // 11197
  { PseudoVWREDSUM_VS_MF8_MASK, VWREDSUM_VS }, // 11198
  { PseudoVWSUBU_VV_M1, VWSUBU_VV }, // 11199
  { PseudoVWSUBU_VV_M1_MASK, VWSUBU_VV }, // 11200
  { PseudoVWSUBU_VV_M1_TU, VWSUBU_VV }, // 11201
  { PseudoVWSUBU_VV_M2, VWSUBU_VV }, // 11202
  { PseudoVWSUBU_VV_M2_MASK, VWSUBU_VV }, // 11203
  { PseudoVWSUBU_VV_M2_TU, VWSUBU_VV }, // 11204
  { PseudoVWSUBU_VV_M4, VWSUBU_VV }, // 11205
  { PseudoVWSUBU_VV_M4_MASK, VWSUBU_VV }, // 11206
  { PseudoVWSUBU_VV_M4_TU, VWSUBU_VV }, // 11207
  { PseudoVWSUBU_VV_MF2, VWSUBU_VV }, // 11208
  { PseudoVWSUBU_VV_MF2_MASK, VWSUBU_VV }, // 11209
  { PseudoVWSUBU_VV_MF2_TU, VWSUBU_VV }, // 11210
  { PseudoVWSUBU_VV_MF4, VWSUBU_VV }, // 11211
  { PseudoVWSUBU_VV_MF4_MASK, VWSUBU_VV }, // 11212
  { PseudoVWSUBU_VV_MF4_TU, VWSUBU_VV }, // 11213
  { PseudoVWSUBU_VV_MF8, VWSUBU_VV }, // 11214
  { PseudoVWSUBU_VV_MF8_MASK, VWSUBU_VV }, // 11215
  { PseudoVWSUBU_VV_MF8_TU, VWSUBU_VV }, // 11216
  { PseudoVWSUBU_VX_M1, VWSUBU_VX }, // 11217
  { PseudoVWSUBU_VX_M1_MASK, VWSUBU_VX }, // 11218
  { PseudoVWSUBU_VX_M1_TU, VWSUBU_VX }, // 11219
  { PseudoVWSUBU_VX_M2, VWSUBU_VX }, // 11220
  { PseudoVWSUBU_VX_M2_MASK, VWSUBU_VX }, // 11221
  { PseudoVWSUBU_VX_M2_TU, VWSUBU_VX }, // 11222
  { PseudoVWSUBU_VX_M4, VWSUBU_VX }, // 11223
  { PseudoVWSUBU_VX_M4_MASK, VWSUBU_VX }, // 11224
  { PseudoVWSUBU_VX_M4_TU, VWSUBU_VX }, // 11225
  { PseudoVWSUBU_VX_MF2, VWSUBU_VX }, // 11226
  { PseudoVWSUBU_VX_MF2_MASK, VWSUBU_VX }, // 11227
  { PseudoVWSUBU_VX_MF2_TU, VWSUBU_VX }, // 11228
  { PseudoVWSUBU_VX_MF4, VWSUBU_VX }, // 11229
  { PseudoVWSUBU_VX_MF4_MASK, VWSUBU_VX }, // 11230
  { PseudoVWSUBU_VX_MF4_TU, VWSUBU_VX }, // 11231
  { PseudoVWSUBU_VX_MF8, VWSUBU_VX }, // 11232
  { PseudoVWSUBU_VX_MF8_MASK, VWSUBU_VX }, // 11233
  { PseudoVWSUBU_VX_MF8_TU, VWSUBU_VX }, // 11234
  { PseudoVWSUBU_WV_M1, VWSUBU_WV }, // 11235
  { PseudoVWSUBU_WV_M1_MASK, VWSUBU_WV }, // 11236
  { PseudoVWSUBU_WV_M1_MASK_TIED, VWSUBU_WV }, // 11237
  { PseudoVWSUBU_WV_M1_TIED, VWSUBU_WV }, // 11238
  { PseudoVWSUBU_WV_M1_TU, VWSUBU_WV }, // 11239
  { PseudoVWSUBU_WV_M2, VWSUBU_WV }, // 11240
  { PseudoVWSUBU_WV_M2_MASK, VWSUBU_WV }, // 11241
  { PseudoVWSUBU_WV_M2_MASK_TIED, VWSUBU_WV }, // 11242
  { PseudoVWSUBU_WV_M2_TIED, VWSUBU_WV }, // 11243
  { PseudoVWSUBU_WV_M2_TU, VWSUBU_WV }, // 11244
  { PseudoVWSUBU_WV_M4, VWSUBU_WV }, // 11245
  { PseudoVWSUBU_WV_M4_MASK, VWSUBU_WV }, // 11246
  { PseudoVWSUBU_WV_M4_MASK_TIED, VWSUBU_WV }, // 11247
  { PseudoVWSUBU_WV_M4_TIED, VWSUBU_WV }, // 11248
  { PseudoVWSUBU_WV_M4_TU, VWSUBU_WV }, // 11249
  { PseudoVWSUBU_WV_MF2, VWSUBU_WV }, // 11250
  { PseudoVWSUBU_WV_MF2_MASK, VWSUBU_WV }, // 11251
  { PseudoVWSUBU_WV_MF2_MASK_TIED, VWSUBU_WV }, // 11252
  { PseudoVWSUBU_WV_MF2_TIED, VWSUBU_WV }, // 11253
  { PseudoVWSUBU_WV_MF2_TU, VWSUBU_WV }, // 11254
  { PseudoVWSUBU_WV_MF4, VWSUBU_WV }, // 11255
  { PseudoVWSUBU_WV_MF4_MASK, VWSUBU_WV }, // 11256
  { PseudoVWSUBU_WV_MF4_MASK_TIED, VWSUBU_WV }, // 11257
  { PseudoVWSUBU_WV_MF4_TIED, VWSUBU_WV }, // 11258
  { PseudoVWSUBU_WV_MF4_TU, VWSUBU_WV }, // 11259
  { PseudoVWSUBU_WV_MF8, VWSUBU_WV }, // 11260
  { PseudoVWSUBU_WV_MF8_MASK, VWSUBU_WV }, // 11261
  { PseudoVWSUBU_WV_MF8_MASK_TIED, VWSUBU_WV }, // 11262
  { PseudoVWSUBU_WV_MF8_TIED, VWSUBU_WV }, // 11263
  { PseudoVWSUBU_WV_MF8_TU, VWSUBU_WV }, // 11264
  { PseudoVWSUBU_WX_M1, VWSUBU_WX }, // 11265
  { PseudoVWSUBU_WX_M1_MASK, VWSUBU_WX }, // 11266
  { PseudoVWSUBU_WX_M1_TU, VWSUBU_WX }, // 11267
  { PseudoVWSUBU_WX_M2, VWSUBU_WX }, // 11268
  { PseudoVWSUBU_WX_M2_MASK, VWSUBU_WX }, // 11269
  { PseudoVWSUBU_WX_M2_TU, VWSUBU_WX }, // 11270
  { PseudoVWSUBU_WX_M4, VWSUBU_WX }, // 11271
  { PseudoVWSUBU_WX_M4_MASK, VWSUBU_WX }, // 11272
  { PseudoVWSUBU_WX_M4_TU, VWSUBU_WX }, // 11273
  { PseudoVWSUBU_WX_MF2, VWSUBU_WX }, // 11274
  { PseudoVWSUBU_WX_MF2_MASK, VWSUBU_WX }, // 11275
  { PseudoVWSUBU_WX_MF2_TU, VWSUBU_WX }, // 11276
  { PseudoVWSUBU_WX_MF4, VWSUBU_WX }, // 11277
  { PseudoVWSUBU_WX_MF4_MASK, VWSUBU_WX }, // 11278
  { PseudoVWSUBU_WX_MF4_TU, VWSUBU_WX }, // 11279
  { PseudoVWSUBU_WX_MF8, VWSUBU_WX }, // 11280
  { PseudoVWSUBU_WX_MF8_MASK, VWSUBU_WX }, // 11281
  { PseudoVWSUBU_WX_MF8_TU, VWSUBU_WX }, // 11282
  { PseudoVWSUB_VV_M1, VWSUB_VV }, // 11283
  { PseudoVWSUB_VV_M1_MASK, VWSUB_VV }, // 11284
  { PseudoVWSUB_VV_M1_TU, VWSUB_VV }, // 11285
  { PseudoVWSUB_VV_M2, VWSUB_VV }, // 11286
  { PseudoVWSUB_VV_M2_MASK, VWSUB_VV }, // 11287
  { PseudoVWSUB_VV_M2_TU, VWSUB_VV }, // 11288
  { PseudoVWSUB_VV_M4, VWSUB_VV }, // 11289
  { PseudoVWSUB_VV_M4_MASK, VWSUB_VV }, // 11290
  { PseudoVWSUB_VV_M4_TU, VWSUB_VV }, // 11291
  { PseudoVWSUB_VV_MF2, VWSUB_VV }, // 11292
  { PseudoVWSUB_VV_MF2_MASK, VWSUB_VV }, // 11293
  { PseudoVWSUB_VV_MF2_TU, VWSUB_VV }, // 11294
  { PseudoVWSUB_VV_MF4, VWSUB_VV }, // 11295
  { PseudoVWSUB_VV_MF4_MASK, VWSUB_VV }, // 11296
  { PseudoVWSUB_VV_MF4_TU, VWSUB_VV }, // 11297
  { PseudoVWSUB_VV_MF8, VWSUB_VV }, // 11298
  { PseudoVWSUB_VV_MF8_MASK, VWSUB_VV }, // 11299
  { PseudoVWSUB_VV_MF8_TU, VWSUB_VV }, // 11300
  { PseudoVWSUB_VX_M1, VWSUB_VX }, // 11301
  { PseudoVWSUB_VX_M1_MASK, VWSUB_VX }, // 11302
  { PseudoVWSUB_VX_M1_TU, VWSUB_VX }, // 11303
  { PseudoVWSUB_VX_M2, VWSUB_VX }, // 11304
  { PseudoVWSUB_VX_M2_MASK, VWSUB_VX }, // 11305
  { PseudoVWSUB_VX_M2_TU, VWSUB_VX }, // 11306
  { PseudoVWSUB_VX_M4, VWSUB_VX }, // 11307
  { PseudoVWSUB_VX_M4_MASK, VWSUB_VX }, // 11308
  { PseudoVWSUB_VX_M4_TU, VWSUB_VX }, // 11309
  { PseudoVWSUB_VX_MF2, VWSUB_VX }, // 11310
  { PseudoVWSUB_VX_MF2_MASK, VWSUB_VX }, // 11311
  { PseudoVWSUB_VX_MF2_TU, VWSUB_VX }, // 11312
  { PseudoVWSUB_VX_MF4, VWSUB_VX }, // 11313
  { PseudoVWSUB_VX_MF4_MASK, VWSUB_VX }, // 11314
  { PseudoVWSUB_VX_MF4_TU, VWSUB_VX }, // 11315
  { PseudoVWSUB_VX_MF8, VWSUB_VX }, // 11316
  { PseudoVWSUB_VX_MF8_MASK, VWSUB_VX }, // 11317
  { PseudoVWSUB_VX_MF8_TU, VWSUB_VX }, // 11318
  { PseudoVWSUB_WV_M1, VWSUB_WV }, // 11319
  { PseudoVWSUB_WV_M1_MASK, VWSUB_WV }, // 11320
  { PseudoVWSUB_WV_M1_MASK_TIED, VWSUB_WV }, // 11321
  { PseudoVWSUB_WV_M1_TIED, VWSUB_WV }, // 11322
  { PseudoVWSUB_WV_M1_TU, VWSUB_WV }, // 11323
  { PseudoVWSUB_WV_M2, VWSUB_WV }, // 11324
  { PseudoVWSUB_WV_M2_MASK, VWSUB_WV }, // 11325
  { PseudoVWSUB_WV_M2_MASK_TIED, VWSUB_WV }, // 11326
  { PseudoVWSUB_WV_M2_TIED, VWSUB_WV }, // 11327
  { PseudoVWSUB_WV_M2_TU, VWSUB_WV }, // 11328
  { PseudoVWSUB_WV_M4, VWSUB_WV }, // 11329
  { PseudoVWSUB_WV_M4_MASK, VWSUB_WV }, // 11330
  { PseudoVWSUB_WV_M4_MASK_TIED, VWSUB_WV }, // 11331
  { PseudoVWSUB_WV_M4_TIED, VWSUB_WV }, // 11332
  { PseudoVWSUB_WV_M4_TU, VWSUB_WV }, // 11333
  { PseudoVWSUB_WV_MF2, VWSUB_WV }, // 11334
  { PseudoVWSUB_WV_MF2_MASK, VWSUB_WV }, // 11335
  { PseudoVWSUB_WV_MF2_MASK_TIED, VWSUB_WV }, // 11336
  { PseudoVWSUB_WV_MF2_TIED, VWSUB_WV }, // 11337
  { PseudoVWSUB_WV_MF2_TU, VWSUB_WV }, // 11338
  { PseudoVWSUB_WV_MF4, VWSUB_WV }, // 11339
  { PseudoVWSUB_WV_MF4_MASK, VWSUB_WV }, // 11340
  { PseudoVWSUB_WV_MF4_MASK_TIED, VWSUB_WV }, // 11341
  { PseudoVWSUB_WV_MF4_TIED, VWSUB_WV }, // 11342
  { PseudoVWSUB_WV_MF4_TU, VWSUB_WV }, // 11343
  { PseudoVWSUB_WV_MF8, VWSUB_WV }, // 11344
  { PseudoVWSUB_WV_MF8_MASK, VWSUB_WV }, // 11345
  { PseudoVWSUB_WV_MF8_MASK_TIED, VWSUB_WV }, // 11346
  { PseudoVWSUB_WV_MF8_TIED, VWSUB_WV }, // 11347
  { PseudoVWSUB_WV_MF8_TU, VWSUB_WV }, // 11348
  { PseudoVWSUB_WX_M1, VWSUB_WX }, // 11349
  { PseudoVWSUB_WX_M1_MASK, VWSUB_WX }, // 11350
  { PseudoVWSUB_WX_M1_TU, VWSUB_WX }, // 11351
  { PseudoVWSUB_WX_M2, VWSUB_WX }, // 11352
  { PseudoVWSUB_WX_M2_MASK, VWSUB_WX }, // 11353
  { PseudoVWSUB_WX_M2_TU, VWSUB_WX }, // 11354
  { PseudoVWSUB_WX_M4, VWSUB_WX }, // 11355
  { PseudoVWSUB_WX_M4_MASK, VWSUB_WX }, // 11356
  { PseudoVWSUB_WX_M4_TU, VWSUB_WX }, // 11357
  { PseudoVWSUB_WX_MF2, VWSUB_WX }, // 11358
  { PseudoVWSUB_WX_MF2_MASK, VWSUB_WX }, // 11359
  { PseudoVWSUB_WX_MF2_TU, VWSUB_WX }, // 11360
  { PseudoVWSUB_WX_MF4, VWSUB_WX }, // 11361
  { PseudoVWSUB_WX_MF4_MASK, VWSUB_WX }, // 11362
  { PseudoVWSUB_WX_MF4_TU, VWSUB_WX }, // 11363
  { PseudoVWSUB_WX_MF8, VWSUB_WX }, // 11364
  { PseudoVWSUB_WX_MF8_MASK, VWSUB_WX }, // 11365
  { PseudoVWSUB_WX_MF8_TU, VWSUB_WX }, // 11366
  { PseudoVXOR_VI_M1, VXOR_VI }, // 11367
  { PseudoVXOR_VI_M1_MASK, VXOR_VI }, // 11368
  { PseudoVXOR_VI_M1_TU, VXOR_VI }, // 11369
  { PseudoVXOR_VI_M2, VXOR_VI }, // 11370
  { PseudoVXOR_VI_M2_MASK, VXOR_VI }, // 11371
  { PseudoVXOR_VI_M2_TU, VXOR_VI }, // 11372
  { PseudoVXOR_VI_M4, VXOR_VI }, // 11373
  { PseudoVXOR_VI_M4_MASK, VXOR_VI }, // 11374
  { PseudoVXOR_VI_M4_TU, VXOR_VI }, // 11375
  { PseudoVXOR_VI_M8, VXOR_VI }, // 11376
  { PseudoVXOR_VI_M8_MASK, VXOR_VI }, // 11377
  { PseudoVXOR_VI_M8_TU, VXOR_VI }, // 11378
  { PseudoVXOR_VI_MF2, VXOR_VI }, // 11379
  { PseudoVXOR_VI_MF2_MASK, VXOR_VI }, // 11380
  { PseudoVXOR_VI_MF2_TU, VXOR_VI }, // 11381
  { PseudoVXOR_VI_MF4, VXOR_VI }, // 11382
  { PseudoVXOR_VI_MF4_MASK, VXOR_VI }, // 11383
  { PseudoVXOR_VI_MF4_TU, VXOR_VI }, // 11384
  { PseudoVXOR_VI_MF8, VXOR_VI }, // 11385
  { PseudoVXOR_VI_MF8_MASK, VXOR_VI }, // 11386
  { PseudoVXOR_VI_MF8_TU, VXOR_VI }, // 11387
  { PseudoVXOR_VV_M1, VXOR_VV }, // 11388
  { PseudoVXOR_VV_M1_MASK, VXOR_VV }, // 11389
  { PseudoVXOR_VV_M1_TU, VXOR_VV }, // 11390
  { PseudoVXOR_VV_M2, VXOR_VV }, // 11391
  { PseudoVXOR_VV_M2_MASK, VXOR_VV }, // 11392
  { PseudoVXOR_VV_M2_TU, VXOR_VV }, // 11393
  { PseudoVXOR_VV_M4, VXOR_VV }, // 11394
  { PseudoVXOR_VV_M4_MASK, VXOR_VV }, // 11395
  { PseudoVXOR_VV_M4_TU, VXOR_VV }, // 11396
  { PseudoVXOR_VV_M8, VXOR_VV }, // 11397
  { PseudoVXOR_VV_M8_MASK, VXOR_VV }, // 11398
  { PseudoVXOR_VV_M8_TU, VXOR_VV }, // 11399
  { PseudoVXOR_VV_MF2, VXOR_VV }, // 11400
  { PseudoVXOR_VV_MF2_MASK, VXOR_VV }, // 11401
  { PseudoVXOR_VV_MF2_TU, VXOR_VV }, // 11402
  { PseudoVXOR_VV_MF4, VXOR_VV }, // 11403
  { PseudoVXOR_VV_MF4_MASK, VXOR_VV }, // 11404
  { PseudoVXOR_VV_MF4_TU, VXOR_VV }, // 11405
  { PseudoVXOR_VV_MF8, VXOR_VV }, // 11406
  { PseudoVXOR_VV_MF8_MASK, VXOR_VV }, // 11407
  { PseudoVXOR_VV_MF8_TU, VXOR_VV }, // 11408
  { PseudoVXOR_VX_M1, VXOR_VX }, // 11409
  { PseudoVXOR_VX_M1_MASK, VXOR_VX }, // 11410
  { PseudoVXOR_VX_M1_TU, VXOR_VX }, // 11411
  { PseudoVXOR_VX_M2, VXOR_VX }, // 11412
  { PseudoVXOR_VX_M2_MASK, VXOR_VX }, // 11413
  { PseudoVXOR_VX_M2_TU, VXOR_VX }, // 11414
  { PseudoVXOR_VX_M4, VXOR_VX }, // 11415
  { PseudoVXOR_VX_M4_MASK, VXOR_VX }, // 11416
  { PseudoVXOR_VX_M4_TU, VXOR_VX }, // 11417
  { PseudoVXOR_VX_M8, VXOR_VX }, // 11418
  { PseudoVXOR_VX_M8_MASK, VXOR_VX }, // 11419
  { PseudoVXOR_VX_M8_TU, VXOR_VX }, // 11420
  { PseudoVXOR_VX_MF2, VXOR_VX }, // 11421
  { PseudoVXOR_VX_MF2_MASK, VXOR_VX }, // 11422
  { PseudoVXOR_VX_MF2_TU, VXOR_VX }, // 11423
  { PseudoVXOR_VX_MF4, VXOR_VX }, // 11424
  { PseudoVXOR_VX_MF4_MASK, VXOR_VX }, // 11425
  { PseudoVXOR_VX_MF4_TU, VXOR_VX }, // 11426
  { PseudoVXOR_VX_MF8, VXOR_VX }, // 11427
  { PseudoVXOR_VX_MF8_MASK, VXOR_VX }, // 11428
  { PseudoVXOR_VX_MF8_TU, VXOR_VX }, // 11429
  { PseudoVZEXT_VF2_M1, VZEXT_VF2 }, // 11430
  { PseudoVZEXT_VF2_M1_MASK, VZEXT_VF2 }, // 11431
  { PseudoVZEXT_VF2_M1_TU, VZEXT_VF2 }, // 11432
  { PseudoVZEXT_VF2_M2, VZEXT_VF2 }, // 11433
  { PseudoVZEXT_VF2_M2_MASK, VZEXT_VF2 }, // 11434
  { PseudoVZEXT_VF2_M2_TU, VZEXT_VF2 }, // 11435
  { PseudoVZEXT_VF2_M4, VZEXT_VF2 }, // 11436
  { PseudoVZEXT_VF2_M4_MASK, VZEXT_VF2 }, // 11437
  { PseudoVZEXT_VF2_M4_TU, VZEXT_VF2 }, // 11438
  { PseudoVZEXT_VF2_M8, VZEXT_VF2 }, // 11439
  { PseudoVZEXT_VF2_M8_MASK, VZEXT_VF2 }, // 11440
  { PseudoVZEXT_VF2_M8_TU, VZEXT_VF2 }, // 11441
  { PseudoVZEXT_VF2_MF2, VZEXT_VF2 }, // 11442
  { PseudoVZEXT_VF2_MF2_MASK, VZEXT_VF2 }, // 11443
  { PseudoVZEXT_VF2_MF2_TU, VZEXT_VF2 }, // 11444
  { PseudoVZEXT_VF2_MF4, VZEXT_VF2 }, // 11445
  { PseudoVZEXT_VF2_MF4_MASK, VZEXT_VF2 }, // 11446
  { PseudoVZEXT_VF2_MF4_TU, VZEXT_VF2 }, // 11447
  { PseudoVZEXT_VF4_M1, VZEXT_VF4 }, // 11448
  { PseudoVZEXT_VF4_M1_MASK, VZEXT_VF4 }, // 11449
  { PseudoVZEXT_VF4_M1_TU, VZEXT_VF4 }, // 11450
  { PseudoVZEXT_VF4_M2, VZEXT_VF4 }, // 11451
  { PseudoVZEXT_VF4_M2_MASK, VZEXT_VF4 }, // 11452
  { PseudoVZEXT_VF4_M2_TU, VZEXT_VF4 }, // 11453
  { PseudoVZEXT_VF4_M4, VZEXT_VF4 }, // 11454
  { PseudoVZEXT_VF4_M4_MASK, VZEXT_VF4 }, // 11455
  { PseudoVZEXT_VF4_M4_TU, VZEXT_VF4 }, // 11456
  { PseudoVZEXT_VF4_M8, VZEXT_VF4 }, // 11457
  { PseudoVZEXT_VF4_M8_MASK, VZEXT_VF4 }, // 11458
  { PseudoVZEXT_VF4_M8_TU, VZEXT_VF4 }, // 11459
  { PseudoVZEXT_VF4_MF2, VZEXT_VF4 }, // 11460
  { PseudoVZEXT_VF4_MF2_MASK, VZEXT_VF4 }, // 11461
  { PseudoVZEXT_VF4_MF2_TU, VZEXT_VF4 }, // 11462
  { PseudoVZEXT_VF8_M1, VZEXT_VF8 }, // 11463
  { PseudoVZEXT_VF8_M1_MASK, VZEXT_VF8 }, // 11464
  { PseudoVZEXT_VF8_M1_TU, VZEXT_VF8 }, // 11465
  { PseudoVZEXT_VF8_M2, VZEXT_VF8 }, // 11466
  { PseudoVZEXT_VF8_M2_MASK, VZEXT_VF8 }, // 11467
  { PseudoVZEXT_VF8_M2_TU, VZEXT_VF8 }, // 11468
  { PseudoVZEXT_VF8_M4, VZEXT_VF8 }, // 11469
  { PseudoVZEXT_VF8_M4_MASK, VZEXT_VF8 }, // 11470
  { PseudoVZEXT_VF8_M4_TU, VZEXT_VF8 }, // 11471
  { PseudoVZEXT_VF8_M8, VZEXT_VF8 }, // 11472
  { PseudoVZEXT_VF8_M8_MASK, VZEXT_VF8 }, // 11473
  { PseudoVZEXT_VF8_M8_TU, VZEXT_VF8 }, // 11474
 };

const PseudoInfo *getPseudoInfo(unsigned Pseudo) {
  if ((Pseudo < PseudoVAADDU_VV_M1) ||
      (Pseudo > PseudoVZEXT_VF8_M8_TU))
    return nullptr;

  struct KeyType {
    unsigned Pseudo;
  };
  KeyType Key = {Pseudo};
  auto Table = makeArrayRef(RISCVVPseudosTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const PseudoInfo &LHS, const KeyType &RHS) {
      if (LHS.Pseudo < RHS.Pseudo)
        return true;
      if (LHS.Pseudo > RHS.Pseudo)
        return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.Pseudo != Idx->Pseudo)
    return nullptr;
  return &*Idx;
}
#endif

#ifdef GET_RISCVVSETable_DECL
const VSEPseudo *getVSEPseudo(uint8_t Masked, uint8_t Strided, uint8_t Log2SEW, uint8_t LMUL);
#endif

#ifdef GET_RISCVVSETable_IMPL
constexpr VSEPseudo RISCVVSETable[] = {
  { 0x0, 0x0, 0x0, 0x0, PseudoVSM_V_B8 }, // 0
  { 0x0, 0x0, 0x0, 0x1, PseudoVSM_V_B16 }, // 1
  { 0x0, 0x0, 0x0, 0x2, PseudoVSM_V_B32 }, // 2
  { 0x0, 0x0, 0x0, 0x3, PseudoVSM_V_B64 }, // 3
  { 0x0, 0x0, 0x0, 0x5, PseudoVSM_V_B1 }, // 4
  { 0x0, 0x0, 0x0, 0x6, PseudoVSM_V_B2 }, // 5
  { 0x0, 0x0, 0x0, 0x7, PseudoVSM_V_B4 }, // 6
  { 0x0, 0x0, 0x3, 0x0, PseudoVSE8_V_M1 }, // 7
  { 0x0, 0x0, 0x3, 0x1, PseudoVSE8_V_M2 }, // 8
  { 0x0, 0x0, 0x3, 0x2, PseudoVSE8_V_M4 }, // 9
  { 0x0, 0x0, 0x3, 0x3, PseudoVSE8_V_M8 }, // 10
  { 0x0, 0x0, 0x3, 0x5, PseudoVSE8_V_MF8 }, // 11
  { 0x0, 0x0, 0x3, 0x6, PseudoVSE8_V_MF4 }, // 12
  { 0x0, 0x0, 0x3, 0x7, PseudoVSE8_V_MF2 }, // 13
  { 0x0, 0x0, 0x4, 0x0, PseudoVSE16_V_M1 }, // 14
  { 0x0, 0x0, 0x4, 0x1, PseudoVSE16_V_M2 }, // 15
  { 0x0, 0x0, 0x4, 0x2, PseudoVSE16_V_M4 }, // 16
  { 0x0, 0x0, 0x4, 0x3, PseudoVSE16_V_M8 }, // 17
  { 0x0, 0x0, 0x4, 0x6, PseudoVSE16_V_MF4 }, // 18
  { 0x0, 0x0, 0x4, 0x7, PseudoVSE16_V_MF2 }, // 19
  { 0x0, 0x0, 0x5, 0x0, PseudoVSE32_V_M1 }, // 20
  { 0x0, 0x0, 0x5, 0x1, PseudoVSE32_V_M2 }, // 21
  { 0x0, 0x0, 0x5, 0x2, PseudoVSE32_V_M4 }, // 22
  { 0x0, 0x0, 0x5, 0x3, PseudoVSE32_V_M8 }, // 23
  { 0x0, 0x0, 0x5, 0x7, PseudoVSE32_V_MF2 }, // 24
  { 0x0, 0x0, 0x6, 0x0, PseudoVSE64_V_M1 }, // 25
  { 0x0, 0x0, 0x6, 0x1, PseudoVSE64_V_M2 }, // 26
  { 0x0, 0x0, 0x6, 0x2, PseudoVSE64_V_M4 }, // 27
  { 0x0, 0x0, 0x6, 0x3, PseudoVSE64_V_M8 }, // 28
  { 0x0, 0x1, 0x3, 0x0, PseudoVSSE8_V_M1 }, // 29
  { 0x0, 0x1, 0x3, 0x1, PseudoVSSE8_V_M2 }, // 30
  { 0x0, 0x1, 0x3, 0x2, PseudoVSSE8_V_M4 }, // 31
  { 0x0, 0x1, 0x3, 0x3, PseudoVSSE8_V_M8 }, // 32
  { 0x0, 0x1, 0x3, 0x5, PseudoVSSE8_V_MF8 }, // 33
  { 0x0, 0x1, 0x3, 0x6, PseudoVSSE8_V_MF4 }, // 34
  { 0x0, 0x1, 0x3, 0x7, PseudoVSSE8_V_MF2 }, // 35
  { 0x0, 0x1, 0x4, 0x0, PseudoVSSE16_V_M1 }, // 36
  { 0x0, 0x1, 0x4, 0x1, PseudoVSSE16_V_M2 }, // 37
  { 0x0, 0x1, 0x4, 0x2, PseudoVSSE16_V_M4 }, // 38
  { 0x0, 0x1, 0x4, 0x3, PseudoVSSE16_V_M8 }, // 39
  { 0x0, 0x1, 0x4, 0x6, PseudoVSSE16_V_MF4 }, // 40
  { 0x0, 0x1, 0x4, 0x7, PseudoVSSE16_V_MF2 }, // 41
  { 0x0, 0x1, 0x5, 0x0, PseudoVSSE32_V_M1 }, // 42
  { 0x0, 0x1, 0x5, 0x1, PseudoVSSE32_V_M2 }, // 43
  { 0x0, 0x1, 0x5, 0x2, PseudoVSSE32_V_M4 }, // 44
  { 0x0, 0x1, 0x5, 0x3, PseudoVSSE32_V_M8 }, // 45
  { 0x0, 0x1, 0x5, 0x7, PseudoVSSE32_V_MF2 }, // 46
  { 0x0, 0x1, 0x6, 0x0, PseudoVSSE64_V_M1 }, // 47
  { 0x0, 0x1, 0x6, 0x1, PseudoVSSE64_V_M2 }, // 48
  { 0x0, 0x1, 0x6, 0x2, PseudoVSSE64_V_M4 }, // 49
  { 0x0, 0x1, 0x6, 0x3, PseudoVSSE64_V_M8 }, // 50
  { 0x1, 0x0, 0x3, 0x0, PseudoVSE8_V_M1_MASK }, // 51
  { 0x1, 0x0, 0x3, 0x1, PseudoVSE8_V_M2_MASK }, // 52
  { 0x1, 0x0, 0x3, 0x2, PseudoVSE8_V_M4_MASK }, // 53
  { 0x1, 0x0, 0x3, 0x3, PseudoVSE8_V_M8_MASK }, // 54
  { 0x1, 0x0, 0x3, 0x5, PseudoVSE8_V_MF8_MASK }, // 55
  { 0x1, 0x0, 0x3, 0x6, PseudoVSE8_V_MF4_MASK }, // 56
  { 0x1, 0x0, 0x3, 0x7, PseudoVSE8_V_MF2_MASK }, // 57
  { 0x1, 0x0, 0x4, 0x0, PseudoVSE16_V_M1_MASK }, // 58
  { 0x1, 0x0, 0x4, 0x1, PseudoVSE16_V_M2_MASK }, // 59
  { 0x1, 0x0, 0x4, 0x2, PseudoVSE16_V_M4_MASK }, // 60
  { 0x1, 0x0, 0x4, 0x3, PseudoVSE16_V_M8_MASK }, // 61
  { 0x1, 0x0, 0x4, 0x6, PseudoVSE16_V_MF4_MASK }, // 62
  { 0x1, 0x0, 0x4, 0x7, PseudoVSE16_V_MF2_MASK }, // 63
  { 0x1, 0x0, 0x5, 0x0, PseudoVSE32_V_M1_MASK }, // 64
  { 0x1, 0x0, 0x5, 0x1, PseudoVSE32_V_M2_MASK }, // 65
  { 0x1, 0x0, 0x5, 0x2, PseudoVSE32_V_M4_MASK }, // 66
  { 0x1, 0x0, 0x5, 0x3, PseudoVSE32_V_M8_MASK }, // 67
  { 0x1, 0x0, 0x5, 0x7, PseudoVSE32_V_MF2_MASK }, // 68
  { 0x1, 0x0, 0x6, 0x0, PseudoVSE64_V_M1_MASK }, // 69
  { 0x1, 0x0, 0x6, 0x1, PseudoVSE64_V_M2_MASK }, // 70
  { 0x1, 0x0, 0x6, 0x2, PseudoVSE64_V_M4_MASK }, // 71
  { 0x1, 0x0, 0x6, 0x3, PseudoVSE64_V_M8_MASK }, // 72
  { 0x1, 0x1, 0x3, 0x0, PseudoVSSE8_V_M1_MASK }, // 73
  { 0x1, 0x1, 0x3, 0x1, PseudoVSSE8_V_M2_MASK }, // 74
  { 0x1, 0x1, 0x3, 0x2, PseudoVSSE8_V_M4_MASK }, // 75
  { 0x1, 0x1, 0x3, 0x3, PseudoVSSE8_V_M8_MASK }, // 76
  { 0x1, 0x1, 0x3, 0x5, PseudoVSSE8_V_MF8_MASK }, // 77
  { 0x1, 0x1, 0x3, 0x6, PseudoVSSE8_V_MF4_MASK }, // 78
  { 0x1, 0x1, 0x3, 0x7, PseudoVSSE8_V_MF2_MASK }, // 79
  { 0x1, 0x1, 0x4, 0x0, PseudoVSSE16_V_M1_MASK }, // 80
  { 0x1, 0x1, 0x4, 0x1, PseudoVSSE16_V_M2_MASK }, // 81
  { 0x1, 0x1, 0x4, 0x2, PseudoVSSE16_V_M4_MASK }, // 82
  { 0x1, 0x1, 0x4, 0x3, PseudoVSSE16_V_M8_MASK }, // 83
  { 0x1, 0x1, 0x4, 0x6, PseudoVSSE16_V_MF4_MASK }, // 84
  { 0x1, 0x1, 0x4, 0x7, PseudoVSSE16_V_MF2_MASK }, // 85
  { 0x1, 0x1, 0x5, 0x0, PseudoVSSE32_V_M1_MASK }, // 86
  { 0x1, 0x1, 0x5, 0x1, PseudoVSSE32_V_M2_MASK }, // 87
  { 0x1, 0x1, 0x5, 0x2, PseudoVSSE32_V_M4_MASK }, // 88
  { 0x1, 0x1, 0x5, 0x3, PseudoVSSE32_V_M8_MASK }, // 89
  { 0x1, 0x1, 0x5, 0x7, PseudoVSSE32_V_MF2_MASK }, // 90
  { 0x1, 0x1, 0x6, 0x0, PseudoVSSE64_V_M1_MASK }, // 91
  { 0x1, 0x1, 0x6, 0x1, PseudoVSSE64_V_M2_MASK }, // 92
  { 0x1, 0x1, 0x6, 0x2, PseudoVSSE64_V_M4_MASK }, // 93
  { 0x1, 0x1, 0x6, 0x3, PseudoVSSE64_V_M8_MASK }, // 94
 };

const VSEPseudo *getVSEPseudo(uint8_t Masked, uint8_t Strided, uint8_t Log2SEW, uint8_t LMUL) {
  struct KeyType {
    uint8_t Masked;
    uint8_t Strided;
    uint8_t Log2SEW;
    uint8_t LMUL;
  };
  KeyType Key = {Masked, Strided, Log2SEW, LMUL};
  auto Table = makeArrayRef(RISCVVSETable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const VSEPseudo &LHS, const KeyType &RHS) {
      if (LHS.Masked < RHS.Masked)
        return true;
      if (LHS.Masked > RHS.Masked)
        return false;
      if (LHS.Strided < RHS.Strided)
        return true;
      if (LHS.Strided > RHS.Strided)
        return false;
      if (LHS.Log2SEW < RHS.Log2SEW)
        return true;
      if (LHS.Log2SEW > RHS.Log2SEW)
        return false;
      if (LHS.LMUL < RHS.LMUL)
        return true;
      if (LHS.LMUL > RHS.LMUL)
        return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.Masked != Idx->Masked ||
      Key.Strided != Idx->Strided ||
      Key.Log2SEW != Idx->Log2SEW ||
      Key.LMUL != Idx->LMUL)
    return nullptr;
  return &*Idx;
}
#endif

#ifdef GET_RISCVVSSEGTable_DECL
const VSSEGPseudo *getVSSEGPseudo(uint8_t NF, uint8_t Masked, uint8_t Strided, uint8_t Log2SEW, uint8_t LMUL);
#endif

#ifdef GET_RISCVVSSEGTable_IMPL
constexpr VSSEGPseudo RISCVVSSEGTable[] = {
  { 0x2, 0x0, 0x0, 0x3, 0x0, PseudoVSSEG2E8_V_M1 }, // 0
  { 0x2, 0x0, 0x0, 0x3, 0x1, PseudoVSSEG2E8_V_M2 }, // 1
  { 0x2, 0x0, 0x0, 0x3, 0x2, PseudoVSSEG2E8_V_M4 }, // 2
  { 0x2, 0x0, 0x0, 0x3, 0x5, PseudoVSSEG2E8_V_MF8 }, // 3
  { 0x2, 0x0, 0x0, 0x3, 0x6, PseudoVSSEG2E8_V_MF4 }, // 4
  { 0x2, 0x0, 0x0, 0x3, 0x7, PseudoVSSEG2E8_V_MF2 }, // 5
  { 0x2, 0x0, 0x0, 0x4, 0x0, PseudoVSSEG2E16_V_M1 }, // 6
  { 0x2, 0x0, 0x0, 0x4, 0x1, PseudoVSSEG2E16_V_M2 }, // 7
  { 0x2, 0x0, 0x0, 0x4, 0x2, PseudoVSSEG2E16_V_M4 }, // 8
  { 0x2, 0x0, 0x0, 0x4, 0x6, PseudoVSSEG2E16_V_MF4 }, // 9
  { 0x2, 0x0, 0x0, 0x4, 0x7, PseudoVSSEG2E16_V_MF2 }, // 10
  { 0x2, 0x0, 0x0, 0x5, 0x0, PseudoVSSEG2E32_V_M1 }, // 11
  { 0x2, 0x0, 0x0, 0x5, 0x1, PseudoVSSEG2E32_V_M2 }, // 12
  { 0x2, 0x0, 0x0, 0x5, 0x2, PseudoVSSEG2E32_V_M4 }, // 13
  { 0x2, 0x0, 0x0, 0x5, 0x7, PseudoVSSEG2E32_V_MF2 }, // 14
  { 0x2, 0x0, 0x0, 0x6, 0x0, PseudoVSSEG2E64_V_M1 }, // 15
  { 0x2, 0x0, 0x0, 0x6, 0x1, PseudoVSSEG2E64_V_M2 }, // 16
  { 0x2, 0x0, 0x0, 0x6, 0x2, PseudoVSSEG2E64_V_M4 }, // 17
  { 0x2, 0x0, 0x1, 0x3, 0x0, PseudoVSSSEG2E8_V_M1 }, // 18
  { 0x2, 0x0, 0x1, 0x3, 0x1, PseudoVSSSEG2E8_V_M2 }, // 19
  { 0x2, 0x0, 0x1, 0x3, 0x2, PseudoVSSSEG2E8_V_M4 }, // 20
  { 0x2, 0x0, 0x1, 0x3, 0x5, PseudoVSSSEG2E8_V_MF8 }, // 21
  { 0x2, 0x0, 0x1, 0x3, 0x6, PseudoVSSSEG2E8_V_MF4 }, // 22
  { 0x2, 0x0, 0x1, 0x3, 0x7, PseudoVSSSEG2E8_V_MF2 }, // 23
  { 0x2, 0x0, 0x1, 0x4, 0x0, PseudoVSSSEG2E16_V_M1 }, // 24
  { 0x2, 0x0, 0x1, 0x4, 0x1, PseudoVSSSEG2E16_V_M2 }, // 25
  { 0x2, 0x0, 0x1, 0x4, 0x2, PseudoVSSSEG2E16_V_M4 }, // 26
  { 0x2, 0x0, 0x1, 0x4, 0x6, PseudoVSSSEG2E16_V_MF4 }, // 27
  { 0x2, 0x0, 0x1, 0x4, 0x7, PseudoVSSSEG2E16_V_MF2 }, // 28
  { 0x2, 0x0, 0x1, 0x5, 0x0, PseudoVSSSEG2E32_V_M1 }, // 29
  { 0x2, 0x0, 0x1, 0x5, 0x1, PseudoVSSSEG2E32_V_M2 }, // 30
  { 0x2, 0x0, 0x1, 0x5, 0x2, PseudoVSSSEG2E32_V_M4 }, // 31
  { 0x2, 0x0, 0x1, 0x5, 0x7, PseudoVSSSEG2E32_V_MF2 }, // 32
  { 0x2, 0x0, 0x1, 0x6, 0x0, PseudoVSSSEG2E64_V_M1 }, // 33
  { 0x2, 0x0, 0x1, 0x6, 0x1, PseudoVSSSEG2E64_V_M2 }, // 34
  { 0x2, 0x0, 0x1, 0x6, 0x2, PseudoVSSSEG2E64_V_M4 }, // 35
  { 0x2, 0x1, 0x0, 0x3, 0x0, PseudoVSSEG2E8_V_M1_MASK }, // 36
  { 0x2, 0x1, 0x0, 0x3, 0x1, PseudoVSSEG2E8_V_M2_MASK }, // 37
  { 0x2, 0x1, 0x0, 0x3, 0x2, PseudoVSSEG2E8_V_M4_MASK }, // 38
  { 0x2, 0x1, 0x0, 0x3, 0x5, PseudoVSSEG2E8_V_MF8_MASK }, // 39
  { 0x2, 0x1, 0x0, 0x3, 0x6, PseudoVSSEG2E8_V_MF4_MASK }, // 40
  { 0x2, 0x1, 0x0, 0x3, 0x7, PseudoVSSEG2E8_V_MF2_MASK }, // 41
  { 0x2, 0x1, 0x0, 0x4, 0x0, PseudoVSSEG2E16_V_M1_MASK }, // 42
  { 0x2, 0x1, 0x0, 0x4, 0x1, PseudoVSSEG2E16_V_M2_MASK }, // 43
  { 0x2, 0x1, 0x0, 0x4, 0x2, PseudoVSSEG2E16_V_M4_MASK }, // 44
  { 0x2, 0x1, 0x0, 0x4, 0x6, PseudoVSSEG2E16_V_MF4_MASK }, // 45
  { 0x2, 0x1, 0x0, 0x4, 0x7, PseudoVSSEG2E16_V_MF2_MASK }, // 46
  { 0x2, 0x1, 0x0, 0x5, 0x0, PseudoVSSEG2E32_V_M1_MASK }, // 47
  { 0x2, 0x1, 0x0, 0x5, 0x1, PseudoVSSEG2E32_V_M2_MASK }, // 48
  { 0x2, 0x1, 0x0, 0x5, 0x2, PseudoVSSEG2E32_V_M4_MASK }, // 49
  { 0x2, 0x1, 0x0, 0x5, 0x7, PseudoVSSEG2E32_V_MF2_MASK }, // 50
  { 0x2, 0x1, 0x0, 0x6, 0x0, PseudoVSSEG2E64_V_M1_MASK }, // 51
  { 0x2, 0x1, 0x0, 0x6, 0x1, PseudoVSSEG2E64_V_M2_MASK }, // 52
  { 0x2, 0x1, 0x0, 0x6, 0x2, PseudoVSSEG2E64_V_M4_MASK }, // 53
  { 0x2, 0x1, 0x1, 0x3, 0x0, PseudoVSSSEG2E8_V_M1_MASK }, // 54
  { 0x2, 0x1, 0x1, 0x3, 0x1, PseudoVSSSEG2E8_V_M2_MASK }, // 55
  { 0x2, 0x1, 0x1, 0x3, 0x2, PseudoVSSSEG2E8_V_M4_MASK }, // 56
  { 0x2, 0x1, 0x1, 0x3, 0x5, PseudoVSSSEG2E8_V_MF8_MASK }, // 57
  { 0x2, 0x1, 0x1, 0x3, 0x6, PseudoVSSSEG2E8_V_MF4_MASK }, // 58
  { 0x2, 0x1, 0x1, 0x3, 0x7, PseudoVSSSEG2E8_V_MF2_MASK }, // 59
  { 0x2, 0x1, 0x1, 0x4, 0x0, PseudoVSSSEG2E16_V_M1_MASK }, // 60
  { 0x2, 0x1, 0x1, 0x4, 0x1, PseudoVSSSEG2E16_V_M2_MASK }, // 61
  { 0x2, 0x1, 0x1, 0x4, 0x2, PseudoVSSSEG2E16_V_M4_MASK }, // 62
  { 0x2, 0x1, 0x1, 0x4, 0x6, PseudoVSSSEG2E16_V_MF4_MASK }, // 63
  { 0x2, 0x1, 0x1, 0x4, 0x7, PseudoVSSSEG2E16_V_MF2_MASK }, // 64
  { 0x2, 0x1, 0x1, 0x5, 0x0, PseudoVSSSEG2E32_V_M1_MASK }, // 65
  { 0x2, 0x1, 0x1, 0x5, 0x1, PseudoVSSSEG2E32_V_M2_MASK }, // 66
  { 0x2, 0x1, 0x1, 0x5, 0x2, PseudoVSSSEG2E32_V_M4_MASK }, // 67
  { 0x2, 0x1, 0x1, 0x5, 0x7, PseudoVSSSEG2E32_V_MF2_MASK }, // 68
  { 0x2, 0x1, 0x1, 0x6, 0x0, PseudoVSSSEG2E64_V_M1_MASK }, // 69
  { 0x2, 0x1, 0x1, 0x6, 0x1, PseudoVSSSEG2E64_V_M2_MASK }, // 70
  { 0x2, 0x1, 0x1, 0x6, 0x2, PseudoVSSSEG2E64_V_M4_MASK }, // 71
  { 0x3, 0x0, 0x0, 0x3, 0x0, PseudoVSSEG3E8_V_M1 }, // 72
  { 0x3, 0x0, 0x0, 0x3, 0x1, PseudoVSSEG3E8_V_M2 }, // 73
  { 0x3, 0x0, 0x0, 0x3, 0x5, PseudoVSSEG3E8_V_MF8 }, // 74
  { 0x3, 0x0, 0x0, 0x3, 0x6, PseudoVSSEG3E8_V_MF4 }, // 75
  { 0x3, 0x0, 0x0, 0x3, 0x7, PseudoVSSEG3E8_V_MF2 }, // 76
  { 0x3, 0x0, 0x0, 0x4, 0x0, PseudoVSSEG3E16_V_M1 }, // 77
  { 0x3, 0x0, 0x0, 0x4, 0x1, PseudoVSSEG3E16_V_M2 }, // 78
  { 0x3, 0x0, 0x0, 0x4, 0x6, PseudoVSSEG3E16_V_MF4 }, // 79
  { 0x3, 0x0, 0x0, 0x4, 0x7, PseudoVSSEG3E16_V_MF2 }, // 80
  { 0x3, 0x0, 0x0, 0x5, 0x0, PseudoVSSEG3E32_V_M1 }, // 81
  { 0x3, 0x0, 0x0, 0x5, 0x1, PseudoVSSEG3E32_V_M2 }, // 82
  { 0x3, 0x0, 0x0, 0x5, 0x7, PseudoVSSEG3E32_V_MF2 }, // 83
  { 0x3, 0x0, 0x0, 0x6, 0x0, PseudoVSSEG3E64_V_M1 }, // 84
  { 0x3, 0x0, 0x0, 0x6, 0x1, PseudoVSSEG3E64_V_M2 }, // 85
  { 0x3, 0x0, 0x1, 0x3, 0x0, PseudoVSSSEG3E8_V_M1 }, // 86
  { 0x3, 0x0, 0x1, 0x3, 0x1, PseudoVSSSEG3E8_V_M2 }, // 87
  { 0x3, 0x0, 0x1, 0x3, 0x5, PseudoVSSSEG3E8_V_MF8 }, // 88
  { 0x3, 0x0, 0x1, 0x3, 0x6, PseudoVSSSEG3E8_V_MF4 }, // 89
  { 0x3, 0x0, 0x1, 0x3, 0x7, PseudoVSSSEG3E8_V_MF2 }, // 90
  { 0x3, 0x0, 0x1, 0x4, 0x0, PseudoVSSSEG3E16_V_M1 }, // 91
  { 0x3, 0x0, 0x1, 0x4, 0x1, PseudoVSSSEG3E16_V_M2 }, // 92
  { 0x3, 0x0, 0x1, 0x4, 0x6, PseudoVSSSEG3E16_V_MF4 }, // 93
  { 0x3, 0x0, 0x1, 0x4, 0x7, PseudoVSSSEG3E16_V_MF2 }, // 94
  { 0x3, 0x0, 0x1, 0x5, 0x0, PseudoVSSSEG3E32_V_M1 }, // 95
  { 0x3, 0x0, 0x1, 0x5, 0x1, PseudoVSSSEG3E32_V_M2 }, // 96
  { 0x3, 0x0, 0x1, 0x5, 0x7, PseudoVSSSEG3E32_V_MF2 }, // 97
  { 0x3, 0x0, 0x1, 0x6, 0x0, PseudoVSSSEG3E64_V_M1 }, // 98
  { 0x3, 0x0, 0x1, 0x6, 0x1, PseudoVSSSEG3E64_V_M2 }, // 99
  { 0x3, 0x1, 0x0, 0x3, 0x0, PseudoVSSEG3E8_V_M1_MASK }, // 100
  { 0x3, 0x1, 0x0, 0x3, 0x1, PseudoVSSEG3E8_V_M2_MASK }, // 101
  { 0x3, 0x1, 0x0, 0x3, 0x5, PseudoVSSEG3E8_V_MF8_MASK }, // 102
  { 0x3, 0x1, 0x0, 0x3, 0x6, PseudoVSSEG3E8_V_MF4_MASK }, // 103
  { 0x3, 0x1, 0x0, 0x3, 0x7, PseudoVSSEG3E8_V_MF2_MASK }, // 104
  { 0x3, 0x1, 0x0, 0x4, 0x0, PseudoVSSEG3E16_V_M1_MASK }, // 105
  { 0x3, 0x1, 0x0, 0x4, 0x1, PseudoVSSEG3E16_V_M2_MASK }, // 106
  { 0x3, 0x1, 0x0, 0x4, 0x6, PseudoVSSEG3E16_V_MF4_MASK }, // 107
  { 0x3, 0x1, 0x0, 0x4, 0x7, PseudoVSSEG3E16_V_MF2_MASK }, // 108
  { 0x3, 0x1, 0x0, 0x5, 0x0, PseudoVSSEG3E32_V_M1_MASK }, // 109
  { 0x3, 0x1, 0x0, 0x5, 0x1, PseudoVSSEG3E32_V_M2_MASK }, // 110
  { 0x3, 0x1, 0x0, 0x5, 0x7, PseudoVSSEG3E32_V_MF2_MASK }, // 111
  { 0x3, 0x1, 0x0, 0x6, 0x0, PseudoVSSEG3E64_V_M1_MASK }, // 112
  { 0x3, 0x1, 0x0, 0x6, 0x1, PseudoVSSEG3E64_V_M2_MASK }, // 113
  { 0x3, 0x1, 0x1, 0x3, 0x0, PseudoVSSSEG3E8_V_M1_MASK }, // 114
  { 0x3, 0x1, 0x1, 0x3, 0x1, PseudoVSSSEG3E8_V_M2_MASK }, // 115
  { 0x3, 0x1, 0x1, 0x3, 0x5, PseudoVSSSEG3E8_V_MF8_MASK }, // 116
  { 0x3, 0x1, 0x1, 0x3, 0x6, PseudoVSSSEG3E8_V_MF4_MASK }, // 117
  { 0x3, 0x1, 0x1, 0x3, 0x7, PseudoVSSSEG3E8_V_MF2_MASK }, // 118
  { 0x3, 0x1, 0x1, 0x4, 0x0, PseudoVSSSEG3E16_V_M1_MASK }, // 119
  { 0x3, 0x1, 0x1, 0x4, 0x1, PseudoVSSSEG3E16_V_M2_MASK }, // 120
  { 0x3, 0x1, 0x1, 0x4, 0x6, PseudoVSSSEG3E16_V_MF4_MASK }, // 121
  { 0x3, 0x1, 0x1, 0x4, 0x7, PseudoVSSSEG3E16_V_MF2_MASK }, // 122
  { 0x3, 0x1, 0x1, 0x5, 0x0, PseudoVSSSEG3E32_V_M1_MASK }, // 123
  { 0x3, 0x1, 0x1, 0x5, 0x1, PseudoVSSSEG3E32_V_M2_MASK }, // 124
  { 0x3, 0x1, 0x1, 0x5, 0x7, PseudoVSSSEG3E32_V_MF2_MASK }, // 125
  { 0x3, 0x1, 0x1, 0x6, 0x0, PseudoVSSSEG3E64_V_M1_MASK }, // 126
  { 0x3, 0x1, 0x1, 0x6, 0x1, PseudoVSSSEG3E64_V_M2_MASK }, // 127
  { 0x4, 0x0, 0x0, 0x3, 0x0, PseudoVSSEG4E8_V_M1 }, // 128
  { 0x4, 0x0, 0x0, 0x3, 0x1, PseudoVSSEG4E8_V_M2 }, // 129
  { 0x4, 0x0, 0x0, 0x3, 0x5, PseudoVSSEG4E8_V_MF8 }, // 130
  { 0x4, 0x0, 0x0, 0x3, 0x6, PseudoVSSEG4E8_V_MF4 }, // 131
  { 0x4, 0x0, 0x0, 0x3, 0x7, PseudoVSSEG4E8_V_MF2 }, // 132
  { 0x4, 0x0, 0x0, 0x4, 0x0, PseudoVSSEG4E16_V_M1 }, // 133
  { 0x4, 0x0, 0x0, 0x4, 0x1, PseudoVSSEG4E16_V_M2 }, // 134
  { 0x4, 0x0, 0x0, 0x4, 0x6, PseudoVSSEG4E16_V_MF4 }, // 135
  { 0x4, 0x0, 0x0, 0x4, 0x7, PseudoVSSEG4E16_V_MF2 }, // 136
  { 0x4, 0x0, 0x0, 0x5, 0x0, PseudoVSSEG4E32_V_M1 }, // 137
  { 0x4, 0x0, 0x0, 0x5, 0x1, PseudoVSSEG4E32_V_M2 }, // 138
  { 0x4, 0x0, 0x0, 0x5, 0x7, PseudoVSSEG4E32_V_MF2 }, // 139
  { 0x4, 0x0, 0x0, 0x6, 0x0, PseudoVSSEG4E64_V_M1 }, // 140
  { 0x4, 0x0, 0x0, 0x6, 0x1, PseudoVSSEG4E64_V_M2 }, // 141
  { 0x4, 0x0, 0x1, 0x3, 0x0, PseudoVSSSEG4E8_V_M1 }, // 142
  { 0x4, 0x0, 0x1, 0x3, 0x1, PseudoVSSSEG4E8_V_M2 }, // 143
  { 0x4, 0x0, 0x1, 0x3, 0x5, PseudoVSSSEG4E8_V_MF8 }, // 144
  { 0x4, 0x0, 0x1, 0x3, 0x6, PseudoVSSSEG4E8_V_MF4 }, // 145
  { 0x4, 0x0, 0x1, 0x3, 0x7, PseudoVSSSEG4E8_V_MF2 }, // 146
  { 0x4, 0x0, 0x1, 0x4, 0x0, PseudoVSSSEG4E16_V_M1 }, // 147
  { 0x4, 0x0, 0x1, 0x4, 0x1, PseudoVSSSEG4E16_V_M2 }, // 148
  { 0x4, 0x0, 0x1, 0x4, 0x6, PseudoVSSSEG4E16_V_MF4 }, // 149
  { 0x4, 0x0, 0x1, 0x4, 0x7, PseudoVSSSEG4E16_V_MF2 }, // 150
  { 0x4, 0x0, 0x1, 0x5, 0x0, PseudoVSSSEG4E32_V_M1 }, // 151
  { 0x4, 0x0, 0x1, 0x5, 0x1, PseudoVSSSEG4E32_V_M2 }, // 152
  { 0x4, 0x0, 0x1, 0x5, 0x7, PseudoVSSSEG4E32_V_MF2 }, // 153
  { 0x4, 0x0, 0x1, 0x6, 0x0, PseudoVSSSEG4E64_V_M1 }, // 154
  { 0x4, 0x0, 0x1, 0x6, 0x1, PseudoVSSSEG4E64_V_M2 }, // 155
  { 0x4, 0x1, 0x0, 0x3, 0x0, PseudoVSSEG4E8_V_M1_MASK }, // 156
  { 0x4, 0x1, 0x0, 0x3, 0x1, PseudoVSSEG4E8_V_M2_MASK }, // 157
  { 0x4, 0x1, 0x0, 0x3, 0x5, PseudoVSSEG4E8_V_MF8_MASK }, // 158
  { 0x4, 0x1, 0x0, 0x3, 0x6, PseudoVSSEG4E8_V_MF4_MASK }, // 159
  { 0x4, 0x1, 0x0, 0x3, 0x7, PseudoVSSEG4E8_V_MF2_MASK }, // 160
  { 0x4, 0x1, 0x0, 0x4, 0x0, PseudoVSSEG4E16_V_M1_MASK }, // 161
  { 0x4, 0x1, 0x0, 0x4, 0x1, PseudoVSSEG4E16_V_M2_MASK }, // 162
  { 0x4, 0x1, 0x0, 0x4, 0x6, PseudoVSSEG4E16_V_MF4_MASK }, // 163
  { 0x4, 0x1, 0x0, 0x4, 0x7, PseudoVSSEG4E16_V_MF2_MASK }, // 164
  { 0x4, 0x1, 0x0, 0x5, 0x0, PseudoVSSEG4E32_V_M1_MASK }, // 165
  { 0x4, 0x1, 0x0, 0x5, 0x1, PseudoVSSEG4E32_V_M2_MASK }, // 166
  { 0x4, 0x1, 0x0, 0x5, 0x7, PseudoVSSEG4E32_V_MF2_MASK }, // 167
  { 0x4, 0x1, 0x0, 0x6, 0x0, PseudoVSSEG4E64_V_M1_MASK }, // 168
  { 0x4, 0x1, 0x0, 0x6, 0x1, PseudoVSSEG4E64_V_M2_MASK }, // 169
  { 0x4, 0x1, 0x1, 0x3, 0x0, PseudoVSSSEG4E8_V_M1_MASK }, // 170
  { 0x4, 0x1, 0x1, 0x3, 0x1, PseudoVSSSEG4E8_V_M2_MASK }, // 171
  { 0x4, 0x1, 0x1, 0x3, 0x5, PseudoVSSSEG4E8_V_MF8_MASK }, // 172
  { 0x4, 0x1, 0x1, 0x3, 0x6, PseudoVSSSEG4E8_V_MF4_MASK }, // 173
  { 0x4, 0x1, 0x1, 0x3, 0x7, PseudoVSSSEG4E8_V_MF2_MASK }, // 174
  { 0x4, 0x1, 0x1, 0x4, 0x0, PseudoVSSSEG4E16_V_M1_MASK }, // 175
  { 0x4, 0x1, 0x1, 0x4, 0x1, PseudoVSSSEG4E16_V_M2_MASK }, // 176
  { 0x4, 0x1, 0x1, 0x4, 0x6, PseudoVSSSEG4E16_V_MF4_MASK }, // 177
  { 0x4, 0x1, 0x1, 0x4, 0x7, PseudoVSSSEG4E16_V_MF2_MASK }, // 178
  { 0x4, 0x1, 0x1, 0x5, 0x0, PseudoVSSSEG4E32_V_M1_MASK }, // 179
  { 0x4, 0x1, 0x1, 0x5, 0x1, PseudoVSSSEG4E32_V_M2_MASK }, // 180
  { 0x4, 0x1, 0x1, 0x5, 0x7, PseudoVSSSEG4E32_V_MF2_MASK }, // 181
  { 0x4, 0x1, 0x1, 0x6, 0x0, PseudoVSSSEG4E64_V_M1_MASK }, // 182
  { 0x4, 0x1, 0x1, 0x6, 0x1, PseudoVSSSEG4E64_V_M2_MASK }, // 183
  { 0x5, 0x0, 0x0, 0x3, 0x0, PseudoVSSEG5E8_V_M1 }, // 184
  { 0x5, 0x0, 0x0, 0x3, 0x5, PseudoVSSEG5E8_V_MF8 }, // 185
  { 0x5, 0x0, 0x0, 0x3, 0x6, PseudoVSSEG5E8_V_MF4 }, // 186
  { 0x5, 0x0, 0x0, 0x3, 0x7, PseudoVSSEG5E8_V_MF2 }, // 187
  { 0x5, 0x0, 0x0, 0x4, 0x0, PseudoVSSEG5E16_V_M1 }, // 188
  { 0x5, 0x0, 0x0, 0x4, 0x6, PseudoVSSEG5E16_V_MF4 }, // 189
  { 0x5, 0x0, 0x0, 0x4, 0x7, PseudoVSSEG5E16_V_MF2 }, // 190
  { 0x5, 0x0, 0x0, 0x5, 0x0, PseudoVSSEG5E32_V_M1 }, // 191
  { 0x5, 0x0, 0x0, 0x5, 0x7, PseudoVSSEG5E32_V_MF2 }, // 192
  { 0x5, 0x0, 0x0, 0x6, 0x0, PseudoVSSEG5E64_V_M1 }, // 193
  { 0x5, 0x0, 0x1, 0x3, 0x0, PseudoVSSSEG5E8_V_M1 }, // 194
  { 0x5, 0x0, 0x1, 0x3, 0x5, PseudoVSSSEG5E8_V_MF8 }, // 195
  { 0x5, 0x0, 0x1, 0x3, 0x6, PseudoVSSSEG5E8_V_MF4 }, // 196
  { 0x5, 0x0, 0x1, 0x3, 0x7, PseudoVSSSEG5E8_V_MF2 }, // 197
  { 0x5, 0x0, 0x1, 0x4, 0x0, PseudoVSSSEG5E16_V_M1 }, // 198
  { 0x5, 0x0, 0x1, 0x4, 0x6, PseudoVSSSEG5E16_V_MF4 }, // 199
  { 0x5, 0x0, 0x1, 0x4, 0x7, PseudoVSSSEG5E16_V_MF2 }, // 200
  { 0x5, 0x0, 0x1, 0x5, 0x0, PseudoVSSSEG5E32_V_M1 }, // 201
  { 0x5, 0x0, 0x1, 0x5, 0x7, PseudoVSSSEG5E32_V_MF2 }, // 202
  { 0x5, 0x0, 0x1, 0x6, 0x0, PseudoVSSSEG5E64_V_M1 }, // 203
  { 0x5, 0x1, 0x0, 0x3, 0x0, PseudoVSSEG5E8_V_M1_MASK }, // 204
  { 0x5, 0x1, 0x0, 0x3, 0x5, PseudoVSSEG5E8_V_MF8_MASK }, // 205
  { 0x5, 0x1, 0x0, 0x3, 0x6, PseudoVSSEG5E8_V_MF4_MASK }, // 206
  { 0x5, 0x1, 0x0, 0x3, 0x7, PseudoVSSEG5E8_V_MF2_MASK }, // 207
  { 0x5, 0x1, 0x0, 0x4, 0x0, PseudoVSSEG5E16_V_M1_MASK }, // 208
  { 0x5, 0x1, 0x0, 0x4, 0x6, PseudoVSSEG5E16_V_MF4_MASK }, // 209
  { 0x5, 0x1, 0x0, 0x4, 0x7, PseudoVSSEG5E16_V_MF2_MASK }, // 210
  { 0x5, 0x1, 0x0, 0x5, 0x0, PseudoVSSEG5E32_V_M1_MASK }, // 211
  { 0x5, 0x1, 0x0, 0x5, 0x7, PseudoVSSEG5E32_V_MF2_MASK }, // 212
  { 0x5, 0x1, 0x0, 0x6, 0x0, PseudoVSSEG5E64_V_M1_MASK }, // 213
  { 0x5, 0x1, 0x1, 0x3, 0x0, PseudoVSSSEG5E8_V_M1_MASK }, // 214
  { 0x5, 0x1, 0x1, 0x3, 0x5, PseudoVSSSEG5E8_V_MF8_MASK }, // 215
  { 0x5, 0x1, 0x1, 0x3, 0x6, PseudoVSSSEG5E8_V_MF4_MASK }, // 216
  { 0x5, 0x1, 0x1, 0x3, 0x7, PseudoVSSSEG5E8_V_MF2_MASK }, // 217
  { 0x5, 0x1, 0x1, 0x4, 0x0, PseudoVSSSEG5E16_V_M1_MASK }, // 218
  { 0x5, 0x1, 0x1, 0x4, 0x6, PseudoVSSSEG5E16_V_MF4_MASK }, // 219
  { 0x5, 0x1, 0x1, 0x4, 0x7, PseudoVSSSEG5E16_V_MF2_MASK }, // 220
  { 0x5, 0x1, 0x1, 0x5, 0x0, PseudoVSSSEG5E32_V_M1_MASK }, // 221
  { 0x5, 0x1, 0x1, 0x5, 0x7, PseudoVSSSEG5E32_V_MF2_MASK }, // 222
  { 0x5, 0x1, 0x1, 0x6, 0x0, PseudoVSSSEG5E64_V_M1_MASK }, // 223
  { 0x6, 0x0, 0x0, 0x3, 0x0, PseudoVSSEG6E8_V_M1 }, // 224
  { 0x6, 0x0, 0x0, 0x3, 0x5, PseudoVSSEG6E8_V_MF8 }, // 225
  { 0x6, 0x0, 0x0, 0x3, 0x6, PseudoVSSEG6E8_V_MF4 }, // 226
  { 0x6, 0x0, 0x0, 0x3, 0x7, PseudoVSSEG6E8_V_MF2 }, // 227
  { 0x6, 0x0, 0x0, 0x4, 0x0, PseudoVSSEG6E16_V_M1 }, // 228
  { 0x6, 0x0, 0x0, 0x4, 0x6, PseudoVSSEG6E16_V_MF4 }, // 229
  { 0x6, 0x0, 0x0, 0x4, 0x7, PseudoVSSEG6E16_V_MF2 }, // 230
  { 0x6, 0x0, 0x0, 0x5, 0x0, PseudoVSSEG6E32_V_M1 }, // 231
  { 0x6, 0x0, 0x0, 0x5, 0x7, PseudoVSSEG6E32_V_MF2 }, // 232
  { 0x6, 0x0, 0x0, 0x6, 0x0, PseudoVSSEG6E64_V_M1 }, // 233
  { 0x6, 0x0, 0x1, 0x3, 0x0, PseudoVSSSEG6E8_V_M1 }, // 234
  { 0x6, 0x0, 0x1, 0x3, 0x5, PseudoVSSSEG6E8_V_MF8 }, // 235
  { 0x6, 0x0, 0x1, 0x3, 0x6, PseudoVSSSEG6E8_V_MF4 }, // 236
  { 0x6, 0x0, 0x1, 0x3, 0x7, PseudoVSSSEG6E8_V_MF2 }, // 237
  { 0x6, 0x0, 0x1, 0x4, 0x0, PseudoVSSSEG6E16_V_M1 }, // 238
  { 0x6, 0x0, 0x1, 0x4, 0x6, PseudoVSSSEG6E16_V_MF4 }, // 239
  { 0x6, 0x0, 0x1, 0x4, 0x7, PseudoVSSSEG6E16_V_MF2 }, // 240
  { 0x6, 0x0, 0x1, 0x5, 0x0, PseudoVSSSEG6E32_V_M1 }, // 241
  { 0x6, 0x0, 0x1, 0x5, 0x7, PseudoVSSSEG6E32_V_MF2 }, // 242
  { 0x6, 0x0, 0x1, 0x6, 0x0, PseudoVSSSEG6E64_V_M1 }, // 243
  { 0x6, 0x1, 0x0, 0x3, 0x0, PseudoVSSEG6E8_V_M1_MASK }, // 244
  { 0x6, 0x1, 0x0, 0x3, 0x5, PseudoVSSEG6E8_V_MF8_MASK }, // 245
  { 0x6, 0x1, 0x0, 0x3, 0x6, PseudoVSSEG6E8_V_MF4_MASK }, // 246
  { 0x6, 0x1, 0x0, 0x3, 0x7, PseudoVSSEG6E8_V_MF2_MASK }, // 247
  { 0x6, 0x1, 0x0, 0x4, 0x0, PseudoVSSEG6E16_V_M1_MASK }, // 248
  { 0x6, 0x1, 0x0, 0x4, 0x6, PseudoVSSEG6E16_V_MF4_MASK }, // 249
  { 0x6, 0x1, 0x0, 0x4, 0x7, PseudoVSSEG6E16_V_MF2_MASK }, // 250
  { 0x6, 0x1, 0x0, 0x5, 0x0, PseudoVSSEG6E32_V_M1_MASK }, // 251
  { 0x6, 0x1, 0x0, 0x5, 0x7, PseudoVSSEG6E32_V_MF2_MASK }, // 252
  { 0x6, 0x1, 0x0, 0x6, 0x0, PseudoVSSEG6E64_V_M1_MASK }, // 253
  { 0x6, 0x1, 0x1, 0x3, 0x0, PseudoVSSSEG6E8_V_M1_MASK }, // 254
  { 0x6, 0x1, 0x1, 0x3, 0x5, PseudoVSSSEG6E8_V_MF8_MASK }, // 255
  { 0x6, 0x1, 0x1, 0x3, 0x6, PseudoVSSSEG6E8_V_MF4_MASK }, // 256
  { 0x6, 0x1, 0x1, 0x3, 0x7, PseudoVSSSEG6E8_V_MF2_MASK }, // 257
  { 0x6, 0x1, 0x1, 0x4, 0x0, PseudoVSSSEG6E16_V_M1_MASK }, // 258
  { 0x6, 0x1, 0x1, 0x4, 0x6, PseudoVSSSEG6E16_V_MF4_MASK }, // 259
  { 0x6, 0x1, 0x1, 0x4, 0x7, PseudoVSSSEG6E16_V_MF2_MASK }, // 260
  { 0x6, 0x1, 0x1, 0x5, 0x0, PseudoVSSSEG6E32_V_M1_MASK }, // 261
  { 0x6, 0x1, 0x1, 0x5, 0x7, PseudoVSSSEG6E32_V_MF2_MASK }, // 262
  { 0x6, 0x1, 0x1, 0x6, 0x0, PseudoVSSSEG6E64_V_M1_MASK }, // 263
  { 0x7, 0x0, 0x0, 0x3, 0x0, PseudoVSSEG7E8_V_M1 }, // 264
  { 0x7, 0x0, 0x0, 0x3, 0x5, PseudoVSSEG7E8_V_MF8 }, // 265
  { 0x7, 0x0, 0x0, 0x3, 0x6, PseudoVSSEG7E8_V_MF4 }, // 266
  { 0x7, 0x0, 0x0, 0x3, 0x7, PseudoVSSEG7E8_V_MF2 }, // 267
  { 0x7, 0x0, 0x0, 0x4, 0x0, PseudoVSSEG7E16_V_M1 }, // 268
  { 0x7, 0x0, 0x0, 0x4, 0x6, PseudoVSSEG7E16_V_MF4 }, // 269
  { 0x7, 0x0, 0x0, 0x4, 0x7, PseudoVSSEG7E16_V_MF2 }, // 270
  { 0x7, 0x0, 0x0, 0x5, 0x0, PseudoVSSEG7E32_V_M1 }, // 271
  { 0x7, 0x0, 0x0, 0x5, 0x7, PseudoVSSEG7E32_V_MF2 }, // 272
  { 0x7, 0x0, 0x0, 0x6, 0x0, PseudoVSSEG7E64_V_M1 }, // 273
  { 0x7, 0x0, 0x1, 0x3, 0x0, PseudoVSSSEG7E8_V_M1 }, // 274
  { 0x7, 0x0, 0x1, 0x3, 0x5, PseudoVSSSEG7E8_V_MF8 }, // 275
  { 0x7, 0x0, 0x1, 0x3, 0x6, PseudoVSSSEG7E8_V_MF4 }, // 276
  { 0x7, 0x0, 0x1, 0x3, 0x7, PseudoVSSSEG7E8_V_MF2 }, // 277
  { 0x7, 0x0, 0x1, 0x4, 0x0, PseudoVSSSEG7E16_V_M1 }, // 278
  { 0x7, 0x0, 0x1, 0x4, 0x6, PseudoVSSSEG7E16_V_MF4 }, // 279
  { 0x7, 0x0, 0x1, 0x4, 0x7, PseudoVSSSEG7E16_V_MF2 }, // 280
  { 0x7, 0x0, 0x1, 0x5, 0x0, PseudoVSSSEG7E32_V_M1 }, // 281
  { 0x7, 0x0, 0x1, 0x5, 0x7, PseudoVSSSEG7E32_V_MF2 }, // 282
  { 0x7, 0x0, 0x1, 0x6, 0x0, PseudoVSSSEG7E64_V_M1 }, // 283
  { 0x7, 0x1, 0x0, 0x3, 0x0, PseudoVSSEG7E8_V_M1_MASK }, // 284
  { 0x7, 0x1, 0x0, 0x3, 0x5, PseudoVSSEG7E8_V_MF8_MASK }, // 285
  { 0x7, 0x1, 0x0, 0x3, 0x6, PseudoVSSEG7E8_V_MF4_MASK }, // 286
  { 0x7, 0x1, 0x0, 0x3, 0x7, PseudoVSSEG7E8_V_MF2_MASK }, // 287
  { 0x7, 0x1, 0x0, 0x4, 0x0, PseudoVSSEG7E16_V_M1_MASK }, // 288
  { 0x7, 0x1, 0x0, 0x4, 0x6, PseudoVSSEG7E16_V_MF4_MASK }, // 289
  { 0x7, 0x1, 0x0, 0x4, 0x7, PseudoVSSEG7E16_V_MF2_MASK }, // 290
  { 0x7, 0x1, 0x0, 0x5, 0x0, PseudoVSSEG7E32_V_M1_MASK }, // 291
  { 0x7, 0x1, 0x0, 0x5, 0x7, PseudoVSSEG7E32_V_MF2_MASK }, // 292
  { 0x7, 0x1, 0x0, 0x6, 0x0, PseudoVSSEG7E64_V_M1_MASK }, // 293
  { 0x7, 0x1, 0x1, 0x3, 0x0, PseudoVSSSEG7E8_V_M1_MASK }, // 294
  { 0x7, 0x1, 0x1, 0x3, 0x5, PseudoVSSSEG7E8_V_MF8_MASK }, // 295
  { 0x7, 0x1, 0x1, 0x3, 0x6, PseudoVSSSEG7E8_V_MF4_MASK }, // 296
  { 0x7, 0x1, 0x1, 0x3, 0x7, PseudoVSSSEG7E8_V_MF2_MASK }, // 297
  { 0x7, 0x1, 0x1, 0x4, 0x0, PseudoVSSSEG7E16_V_M1_MASK }, // 298
  { 0x7, 0x1, 0x1, 0x4, 0x6, PseudoVSSSEG7E16_V_MF4_MASK }, // 299
  { 0x7, 0x1, 0x1, 0x4, 0x7, PseudoVSSSEG7E16_V_MF2_MASK }, // 300
  { 0x7, 0x1, 0x1, 0x5, 0x0, PseudoVSSSEG7E32_V_M1_MASK }, // 301
  { 0x7, 0x1, 0x1, 0x5, 0x7, PseudoVSSSEG7E32_V_MF2_MASK }, // 302
  { 0x7, 0x1, 0x1, 0x6, 0x0, PseudoVSSSEG7E64_V_M1_MASK }, // 303
  { 0x8, 0x0, 0x0, 0x3, 0x0, PseudoVSSEG8E8_V_M1 }, // 304
  { 0x8, 0x0, 0x0, 0x3, 0x5, PseudoVSSEG8E8_V_MF8 }, // 305
  { 0x8, 0x0, 0x0, 0x3, 0x6, PseudoVSSEG8E8_V_MF4 }, // 306
  { 0x8, 0x0, 0x0, 0x3, 0x7, PseudoVSSEG8E8_V_MF2 }, // 307
  { 0x8, 0x0, 0x0, 0x4, 0x0, PseudoVSSEG8E16_V_M1 }, // 308
  { 0x8, 0x0, 0x0, 0x4, 0x6, PseudoVSSEG8E16_V_MF4 }, // 309
  { 0x8, 0x0, 0x0, 0x4, 0x7, PseudoVSSEG8E16_V_MF2 }, // 310
  { 0x8, 0x0, 0x0, 0x5, 0x0, PseudoVSSEG8E32_V_M1 }, // 311
  { 0x8, 0x0, 0x0, 0x5, 0x7, PseudoVSSEG8E32_V_MF2 }, // 312
  { 0x8, 0x0, 0x0, 0x6, 0x0, PseudoVSSEG8E64_V_M1 }, // 313
  { 0x8, 0x0, 0x1, 0x3, 0x0, PseudoVSSSEG8E8_V_M1 }, // 314
  { 0x8, 0x0, 0x1, 0x3, 0x5, PseudoVSSSEG8E8_V_MF8 }, // 315
  { 0x8, 0x0, 0x1, 0x3, 0x6, PseudoVSSSEG8E8_V_MF4 }, // 316
  { 0x8, 0x0, 0x1, 0x3, 0x7, PseudoVSSSEG8E8_V_MF2 }, // 317
  { 0x8, 0x0, 0x1, 0x4, 0x0, PseudoVSSSEG8E16_V_M1 }, // 318
  { 0x8, 0x0, 0x1, 0x4, 0x6, PseudoVSSSEG8E16_V_MF4 }, // 319
  { 0x8, 0x0, 0x1, 0x4, 0x7, PseudoVSSSEG8E16_V_MF2 }, // 320
  { 0x8, 0x0, 0x1, 0x5, 0x0, PseudoVSSSEG8E32_V_M1 }, // 321
  { 0x8, 0x0, 0x1, 0x5, 0x7, PseudoVSSSEG8E32_V_MF2 }, // 322
  { 0x8, 0x0, 0x1, 0x6, 0x0, PseudoVSSSEG8E64_V_M1 }, // 323
  { 0x8, 0x1, 0x0, 0x3, 0x0, PseudoVSSEG8E8_V_M1_MASK }, // 324
  { 0x8, 0x1, 0x0, 0x3, 0x5, PseudoVSSEG8E8_V_MF8_MASK }, // 325
  { 0x8, 0x1, 0x0, 0x3, 0x6, PseudoVSSEG8E8_V_MF4_MASK }, // 326
  { 0x8, 0x1, 0x0, 0x3, 0x7, PseudoVSSEG8E8_V_MF2_MASK }, // 327
  { 0x8, 0x1, 0x0, 0x4, 0x0, PseudoVSSEG8E16_V_M1_MASK }, // 328
  { 0x8, 0x1, 0x0, 0x4, 0x6, PseudoVSSEG8E16_V_MF4_MASK }, // 329
  { 0x8, 0x1, 0x0, 0x4, 0x7, PseudoVSSEG8E16_V_MF2_MASK }, // 330
  { 0x8, 0x1, 0x0, 0x5, 0x0, PseudoVSSEG8E32_V_M1_MASK }, // 331
  { 0x8, 0x1, 0x0, 0x5, 0x7, PseudoVSSEG8E32_V_MF2_MASK }, // 332
  { 0x8, 0x1, 0x0, 0x6, 0x0, PseudoVSSEG8E64_V_M1_MASK }, // 333
  { 0x8, 0x1, 0x1, 0x3, 0x0, PseudoVSSSEG8E8_V_M1_MASK }, // 334
  { 0x8, 0x1, 0x1, 0x3, 0x5, PseudoVSSSEG8E8_V_MF8_MASK }, // 335
  { 0x8, 0x1, 0x1, 0x3, 0x6, PseudoVSSSEG8E8_V_MF4_MASK }, // 336
  { 0x8, 0x1, 0x1, 0x3, 0x7, PseudoVSSSEG8E8_V_MF2_MASK }, // 337
  { 0x8, 0x1, 0x1, 0x4, 0x0, PseudoVSSSEG8E16_V_M1_MASK }, // 338
  { 0x8, 0x1, 0x1, 0x4, 0x6, PseudoVSSSEG8E16_V_MF4_MASK }, // 339
  { 0x8, 0x1, 0x1, 0x4, 0x7, PseudoVSSSEG8E16_V_MF2_MASK }, // 340
  { 0x8, 0x1, 0x1, 0x5, 0x0, PseudoVSSSEG8E32_V_M1_MASK }, // 341
  { 0x8, 0x1, 0x1, 0x5, 0x7, PseudoVSSSEG8E32_V_MF2_MASK }, // 342
  { 0x8, 0x1, 0x1, 0x6, 0x0, PseudoVSSSEG8E64_V_M1_MASK }, // 343
 };

const VSSEGPseudo *getVSSEGPseudo(uint8_t NF, uint8_t Masked, uint8_t Strided, uint8_t Log2SEW, uint8_t LMUL) {
  struct KeyType {
    uint8_t NF;
    uint8_t Masked;
    uint8_t Strided;
    uint8_t Log2SEW;
    uint8_t LMUL;
  };
  KeyType Key = {NF, Masked, Strided, Log2SEW, LMUL};
  auto Table = makeArrayRef(RISCVVSSEGTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const VSSEGPseudo &LHS, const KeyType &RHS) {
      if (LHS.NF < RHS.NF)
        return true;
      if (LHS.NF > RHS.NF)
        return false;
      if (LHS.Masked < RHS.Masked)
        return true;
      if (LHS.Masked > RHS.Masked)
        return false;
      if (LHS.Strided < RHS.Strided)
        return true;
      if (LHS.Strided > RHS.Strided)
        return false;
      if (LHS.Log2SEW < RHS.Log2SEW)
        return true;
      if (LHS.Log2SEW > RHS.Log2SEW)
        return false;
      if (LHS.LMUL < RHS.LMUL)
        return true;
      if (LHS.LMUL > RHS.LMUL)
        return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.NF != Idx->NF ||
      Key.Masked != Idx->Masked ||
      Key.Strided != Idx->Strided ||
      Key.Log2SEW != Idx->Log2SEW ||
      Key.LMUL != Idx->LMUL)
    return nullptr;
  return &*Idx;
}
#endif

#ifdef GET_RISCVVSXSEGTable_DECL
const VSXSEGPseudo *getVSXSEGPseudo(uint8_t NF, uint8_t Masked, uint8_t Ordered, uint8_t Log2SEW, uint8_t LMUL, uint8_t IndexLMUL);
#endif

#ifdef GET_RISCVVSXSEGTable_IMPL
constexpr VSXSEGPseudo RISCVVSXSEGTable[] = {
  { 0x2, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG2EI8_V_M1_M1 }, // 0
  { 0x2, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG2EI8_V_MF8_M1 }, // 1
  { 0x2, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG2EI8_V_MF4_M1 }, // 2
  { 0x2, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG2EI8_V_MF2_M1 }, // 3
  { 0x2, 0x0, 0x0, 0x3, 0x1, 0x0, PseudoVSUXSEG2EI8_V_M1_M2 }, // 4
  { 0x2, 0x0, 0x0, 0x3, 0x1, 0x1, PseudoVSUXSEG2EI8_V_M2_M2 }, // 5
  { 0x2, 0x0, 0x0, 0x3, 0x1, 0x6, PseudoVSUXSEG2EI8_V_MF4_M2 }, // 6
  { 0x2, 0x0, 0x0, 0x3, 0x1, 0x7, PseudoVSUXSEG2EI8_V_MF2_M2 }, // 7
  { 0x2, 0x0, 0x0, 0x3, 0x2, 0x0, PseudoVSUXSEG2EI8_V_M1_M4 }, // 8
  { 0x2, 0x0, 0x0, 0x3, 0x2, 0x1, PseudoVSUXSEG2EI8_V_M2_M4 }, // 9
  { 0x2, 0x0, 0x0, 0x3, 0x2, 0x2, PseudoVSUXSEG2EI8_V_M4_M4 }, // 10
  { 0x2, 0x0, 0x0, 0x3, 0x2, 0x7, PseudoVSUXSEG2EI8_V_MF2_M4 }, // 11
  { 0x2, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG2EI8_V_MF8_MF8 }, // 12
  { 0x2, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG2EI8_V_MF8_MF4 }, // 13
  { 0x2, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG2EI8_V_MF4_MF4 }, // 14
  { 0x2, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG2EI8_V_MF8_MF2 }, // 15
  { 0x2, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG2EI8_V_MF4_MF2 }, // 16
  { 0x2, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG2EI8_V_MF2_MF2 }, // 17
  { 0x2, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG2EI16_V_M1_M1 }, // 18
  { 0x2, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG2EI16_V_M2_M1 }, // 19
  { 0x2, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG2EI16_V_MF4_M1 }, // 20
  { 0x2, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG2EI16_V_MF2_M1 }, // 21
  { 0x2, 0x0, 0x0, 0x4, 0x1, 0x0, PseudoVSUXSEG2EI16_V_M1_M2 }, // 22
  { 0x2, 0x0, 0x0, 0x4, 0x1, 0x1, PseudoVSUXSEG2EI16_V_M2_M2 }, // 23
  { 0x2, 0x0, 0x0, 0x4, 0x1, 0x2, PseudoVSUXSEG2EI16_V_M4_M2 }, // 24
  { 0x2, 0x0, 0x0, 0x4, 0x1, 0x7, PseudoVSUXSEG2EI16_V_MF2_M2 }, // 25
  { 0x2, 0x0, 0x0, 0x4, 0x2, 0x0, PseudoVSUXSEG2EI16_V_M1_M4 }, // 26
  { 0x2, 0x0, 0x0, 0x4, 0x2, 0x1, PseudoVSUXSEG2EI16_V_M2_M4 }, // 27
  { 0x2, 0x0, 0x0, 0x4, 0x2, 0x2, PseudoVSUXSEG2EI16_V_M4_M4 }, // 28
  { 0x2, 0x0, 0x0, 0x4, 0x2, 0x3, PseudoVSUXSEG2EI16_V_M8_M4 }, // 29
  { 0x2, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG2EI16_V_MF4_MF8 }, // 30
  { 0x2, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG2EI16_V_MF4_MF4 }, // 31
  { 0x2, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG2EI16_V_MF2_MF4 }, // 32
  { 0x2, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG2EI16_V_M1_MF2 }, // 33
  { 0x2, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG2EI16_V_MF4_MF2 }, // 34
  { 0x2, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG2EI16_V_MF2_MF2 }, // 35
  { 0x2, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG2EI32_V_M1_M1 }, // 36
  { 0x2, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG2EI32_V_M2_M1 }, // 37
  { 0x2, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG2EI32_V_M4_M1 }, // 38
  { 0x2, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG2EI32_V_MF2_M1 }, // 39
  { 0x2, 0x0, 0x0, 0x5, 0x1, 0x0, PseudoVSUXSEG2EI32_V_M1_M2 }, // 40
  { 0x2, 0x0, 0x0, 0x5, 0x1, 0x1, PseudoVSUXSEG2EI32_V_M2_M2 }, // 41
  { 0x2, 0x0, 0x0, 0x5, 0x1, 0x2, PseudoVSUXSEG2EI32_V_M4_M2 }, // 42
  { 0x2, 0x0, 0x0, 0x5, 0x1, 0x3, PseudoVSUXSEG2EI32_V_M8_M2 }, // 43
  { 0x2, 0x0, 0x0, 0x5, 0x2, 0x1, PseudoVSUXSEG2EI32_V_M2_M4 }, // 44
  { 0x2, 0x0, 0x0, 0x5, 0x2, 0x2, PseudoVSUXSEG2EI32_V_M4_M4 }, // 45
  { 0x2, 0x0, 0x0, 0x5, 0x2, 0x3, PseudoVSUXSEG2EI32_V_M8_M4 }, // 46
  { 0x2, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG2EI32_V_MF2_MF8 }, // 47
  { 0x2, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG2EI32_V_M1_MF4 }, // 48
  { 0x2, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG2EI32_V_MF2_MF4 }, // 49
  { 0x2, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG2EI32_V_M1_MF2 }, // 50
  { 0x2, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG2EI32_V_M2_MF2 }, // 51
  { 0x2, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG2EI32_V_MF2_MF2 }, // 52
  { 0x2, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG2EI64_V_M1_M1 }, // 53
  { 0x2, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG2EI64_V_M2_M1 }, // 54
  { 0x2, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG2EI64_V_M4_M1 }, // 55
  { 0x2, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG2EI64_V_M8_M1 }, // 56
  { 0x2, 0x0, 0x0, 0x6, 0x1, 0x1, PseudoVSUXSEG2EI64_V_M2_M2 }, // 57
  { 0x2, 0x0, 0x0, 0x6, 0x1, 0x2, PseudoVSUXSEG2EI64_V_M4_M2 }, // 58
  { 0x2, 0x0, 0x0, 0x6, 0x1, 0x3, PseudoVSUXSEG2EI64_V_M8_M2 }, // 59
  { 0x2, 0x0, 0x0, 0x6, 0x2, 0x2, PseudoVSUXSEG2EI64_V_M4_M4 }, // 60
  { 0x2, 0x0, 0x0, 0x6, 0x2, 0x3, PseudoVSUXSEG2EI64_V_M8_M4 }, // 61
  { 0x2, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG2EI64_V_M1_MF8 }, // 62
  { 0x2, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG2EI64_V_M1_MF4 }, // 63
  { 0x2, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG2EI64_V_M2_MF4 }, // 64
  { 0x2, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG2EI64_V_M1_MF2 }, // 65
  { 0x2, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG2EI64_V_M2_MF2 }, // 66
  { 0x2, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG2EI64_V_M4_MF2 }, // 67
  { 0x2, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG2EI8_V_M1_M1 }, // 68
  { 0x2, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG2EI8_V_MF8_M1 }, // 69
  { 0x2, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG2EI8_V_MF4_M1 }, // 70
  { 0x2, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG2EI8_V_MF2_M1 }, // 71
  { 0x2, 0x0, 0x1, 0x3, 0x1, 0x0, PseudoVSOXSEG2EI8_V_M1_M2 }, // 72
  { 0x2, 0x0, 0x1, 0x3, 0x1, 0x1, PseudoVSOXSEG2EI8_V_M2_M2 }, // 73
  { 0x2, 0x0, 0x1, 0x3, 0x1, 0x6, PseudoVSOXSEG2EI8_V_MF4_M2 }, // 74
  { 0x2, 0x0, 0x1, 0x3, 0x1, 0x7, PseudoVSOXSEG2EI8_V_MF2_M2 }, // 75
  { 0x2, 0x0, 0x1, 0x3, 0x2, 0x0, PseudoVSOXSEG2EI8_V_M1_M4 }, // 76
  { 0x2, 0x0, 0x1, 0x3, 0x2, 0x1, PseudoVSOXSEG2EI8_V_M2_M4 }, // 77
  { 0x2, 0x0, 0x1, 0x3, 0x2, 0x2, PseudoVSOXSEG2EI8_V_M4_M4 }, // 78
  { 0x2, 0x0, 0x1, 0x3, 0x2, 0x7, PseudoVSOXSEG2EI8_V_MF2_M4 }, // 79
  { 0x2, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG2EI8_V_MF8_MF8 }, // 80
  { 0x2, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG2EI8_V_MF8_MF4 }, // 81
  { 0x2, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG2EI8_V_MF4_MF4 }, // 82
  { 0x2, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG2EI8_V_MF8_MF2 }, // 83
  { 0x2, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG2EI8_V_MF4_MF2 }, // 84
  { 0x2, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG2EI8_V_MF2_MF2 }, // 85
  { 0x2, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG2EI16_V_M1_M1 }, // 86
  { 0x2, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG2EI16_V_M2_M1 }, // 87
  { 0x2, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG2EI16_V_MF4_M1 }, // 88
  { 0x2, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG2EI16_V_MF2_M1 }, // 89
  { 0x2, 0x0, 0x1, 0x4, 0x1, 0x0, PseudoVSOXSEG2EI16_V_M1_M2 }, // 90
  { 0x2, 0x0, 0x1, 0x4, 0x1, 0x1, PseudoVSOXSEG2EI16_V_M2_M2 }, // 91
  { 0x2, 0x0, 0x1, 0x4, 0x1, 0x2, PseudoVSOXSEG2EI16_V_M4_M2 }, // 92
  { 0x2, 0x0, 0x1, 0x4, 0x1, 0x7, PseudoVSOXSEG2EI16_V_MF2_M2 }, // 93
  { 0x2, 0x0, 0x1, 0x4, 0x2, 0x0, PseudoVSOXSEG2EI16_V_M1_M4 }, // 94
  { 0x2, 0x0, 0x1, 0x4, 0x2, 0x1, PseudoVSOXSEG2EI16_V_M2_M4 }, // 95
  { 0x2, 0x0, 0x1, 0x4, 0x2, 0x2, PseudoVSOXSEG2EI16_V_M4_M4 }, // 96
  { 0x2, 0x0, 0x1, 0x4, 0x2, 0x3, PseudoVSOXSEG2EI16_V_M8_M4 }, // 97
  { 0x2, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG2EI16_V_MF4_MF8 }, // 98
  { 0x2, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG2EI16_V_MF4_MF4 }, // 99
  { 0x2, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG2EI16_V_MF2_MF4 }, // 100
  { 0x2, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG2EI16_V_M1_MF2 }, // 101
  { 0x2, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG2EI16_V_MF4_MF2 }, // 102
  { 0x2, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG2EI16_V_MF2_MF2 }, // 103
  { 0x2, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG2EI32_V_M1_M1 }, // 104
  { 0x2, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG2EI32_V_M2_M1 }, // 105
  { 0x2, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG2EI32_V_M4_M1 }, // 106
  { 0x2, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG2EI32_V_MF2_M1 }, // 107
  { 0x2, 0x0, 0x1, 0x5, 0x1, 0x0, PseudoVSOXSEG2EI32_V_M1_M2 }, // 108
  { 0x2, 0x0, 0x1, 0x5, 0x1, 0x1, PseudoVSOXSEG2EI32_V_M2_M2 }, // 109
  { 0x2, 0x0, 0x1, 0x5, 0x1, 0x2, PseudoVSOXSEG2EI32_V_M4_M2 }, // 110
  { 0x2, 0x0, 0x1, 0x5, 0x1, 0x3, PseudoVSOXSEG2EI32_V_M8_M2 }, // 111
  { 0x2, 0x0, 0x1, 0x5, 0x2, 0x1, PseudoVSOXSEG2EI32_V_M2_M4 }, // 112
  { 0x2, 0x0, 0x1, 0x5, 0x2, 0x2, PseudoVSOXSEG2EI32_V_M4_M4 }, // 113
  { 0x2, 0x0, 0x1, 0x5, 0x2, 0x3, PseudoVSOXSEG2EI32_V_M8_M4 }, // 114
  { 0x2, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG2EI32_V_MF2_MF8 }, // 115
  { 0x2, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG2EI32_V_M1_MF4 }, // 116
  { 0x2, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG2EI32_V_MF2_MF4 }, // 117
  { 0x2, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG2EI32_V_M1_MF2 }, // 118
  { 0x2, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG2EI32_V_M2_MF2 }, // 119
  { 0x2, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG2EI32_V_MF2_MF2 }, // 120
  { 0x2, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG2EI64_V_M1_M1 }, // 121
  { 0x2, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG2EI64_V_M2_M1 }, // 122
  { 0x2, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG2EI64_V_M4_M1 }, // 123
  { 0x2, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG2EI64_V_M8_M1 }, // 124
  { 0x2, 0x0, 0x1, 0x6, 0x1, 0x1, PseudoVSOXSEG2EI64_V_M2_M2 }, // 125
  { 0x2, 0x0, 0x1, 0x6, 0x1, 0x2, PseudoVSOXSEG2EI64_V_M4_M2 }, // 126
  { 0x2, 0x0, 0x1, 0x6, 0x1, 0x3, PseudoVSOXSEG2EI64_V_M8_M2 }, // 127
  { 0x2, 0x0, 0x1, 0x6, 0x2, 0x2, PseudoVSOXSEG2EI64_V_M4_M4 }, // 128
  { 0x2, 0x0, 0x1, 0x6, 0x2, 0x3, PseudoVSOXSEG2EI64_V_M8_M4 }, // 129
  { 0x2, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG2EI64_V_M1_MF8 }, // 130
  { 0x2, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG2EI64_V_M1_MF4 }, // 131
  { 0x2, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG2EI64_V_M2_MF4 }, // 132
  { 0x2, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG2EI64_V_M1_MF2 }, // 133
  { 0x2, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG2EI64_V_M2_MF2 }, // 134
  { 0x2, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG2EI64_V_M4_MF2 }, // 135
  { 0x2, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG2EI8_V_M1_M1_MASK }, // 136
  { 0x2, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG2EI8_V_MF8_M1_MASK }, // 137
  { 0x2, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG2EI8_V_MF4_M1_MASK }, // 138
  { 0x2, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG2EI8_V_MF2_M1_MASK }, // 139
  { 0x2, 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVSUXSEG2EI8_V_M1_M2_MASK }, // 140
  { 0x2, 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVSUXSEG2EI8_V_M2_M2_MASK }, // 141
  { 0x2, 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVSUXSEG2EI8_V_MF4_M2_MASK }, // 142
  { 0x2, 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVSUXSEG2EI8_V_MF2_M2_MASK }, // 143
  { 0x2, 0x1, 0x0, 0x3, 0x2, 0x0, PseudoVSUXSEG2EI8_V_M1_M4_MASK }, // 144
  { 0x2, 0x1, 0x0, 0x3, 0x2, 0x1, PseudoVSUXSEG2EI8_V_M2_M4_MASK }, // 145
  { 0x2, 0x1, 0x0, 0x3, 0x2, 0x2, PseudoVSUXSEG2EI8_V_M4_M4_MASK }, // 146
  { 0x2, 0x1, 0x0, 0x3, 0x2, 0x7, PseudoVSUXSEG2EI8_V_MF2_M4_MASK }, // 147
  { 0x2, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG2EI8_V_MF8_MF8_MASK }, // 148
  { 0x2, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG2EI8_V_MF8_MF4_MASK }, // 149
  { 0x2, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG2EI8_V_MF4_MF4_MASK }, // 150
  { 0x2, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG2EI8_V_MF8_MF2_MASK }, // 151
  { 0x2, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG2EI8_V_MF4_MF2_MASK }, // 152
  { 0x2, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG2EI8_V_MF2_MF2_MASK }, // 153
  { 0x2, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG2EI16_V_M1_M1_MASK }, // 154
  { 0x2, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG2EI16_V_M2_M1_MASK }, // 155
  { 0x2, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG2EI16_V_MF4_M1_MASK }, // 156
  { 0x2, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG2EI16_V_MF2_M1_MASK }, // 157
  { 0x2, 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVSUXSEG2EI16_V_M1_M2_MASK }, // 158
  { 0x2, 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVSUXSEG2EI16_V_M2_M2_MASK }, // 159
  { 0x2, 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVSUXSEG2EI16_V_M4_M2_MASK }, // 160
  { 0x2, 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVSUXSEG2EI16_V_MF2_M2_MASK }, // 161
  { 0x2, 0x1, 0x0, 0x4, 0x2, 0x0, PseudoVSUXSEG2EI16_V_M1_M4_MASK }, // 162
  { 0x2, 0x1, 0x0, 0x4, 0x2, 0x1, PseudoVSUXSEG2EI16_V_M2_M4_MASK }, // 163
  { 0x2, 0x1, 0x0, 0x4, 0x2, 0x2, PseudoVSUXSEG2EI16_V_M4_M4_MASK }, // 164
  { 0x2, 0x1, 0x0, 0x4, 0x2, 0x3, PseudoVSUXSEG2EI16_V_M8_M4_MASK }, // 165
  { 0x2, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG2EI16_V_MF4_MF8_MASK }, // 166
  { 0x2, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG2EI16_V_MF4_MF4_MASK }, // 167
  { 0x2, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG2EI16_V_MF2_MF4_MASK }, // 168
  { 0x2, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG2EI16_V_M1_MF2_MASK }, // 169
  { 0x2, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG2EI16_V_MF4_MF2_MASK }, // 170
  { 0x2, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG2EI16_V_MF2_MF2_MASK }, // 171
  { 0x2, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG2EI32_V_M1_M1_MASK }, // 172
  { 0x2, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG2EI32_V_M2_M1_MASK }, // 173
  { 0x2, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG2EI32_V_M4_M1_MASK }, // 174
  { 0x2, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG2EI32_V_MF2_M1_MASK }, // 175
  { 0x2, 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVSUXSEG2EI32_V_M1_M2_MASK }, // 176
  { 0x2, 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVSUXSEG2EI32_V_M2_M2_MASK }, // 177
  { 0x2, 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVSUXSEG2EI32_V_M4_M2_MASK }, // 178
  { 0x2, 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVSUXSEG2EI32_V_M8_M2_MASK }, // 179
  { 0x2, 0x1, 0x0, 0x5, 0x2, 0x1, PseudoVSUXSEG2EI32_V_M2_M4_MASK }, // 180
  { 0x2, 0x1, 0x0, 0x5, 0x2, 0x2, PseudoVSUXSEG2EI32_V_M4_M4_MASK }, // 181
  { 0x2, 0x1, 0x0, 0x5, 0x2, 0x3, PseudoVSUXSEG2EI32_V_M8_M4_MASK }, // 182
  { 0x2, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG2EI32_V_MF2_MF8_MASK }, // 183
  { 0x2, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG2EI32_V_M1_MF4_MASK }, // 184
  { 0x2, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG2EI32_V_MF2_MF4_MASK }, // 185
  { 0x2, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG2EI32_V_M1_MF2_MASK }, // 186
  { 0x2, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG2EI32_V_M2_MF2_MASK }, // 187
  { 0x2, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG2EI32_V_MF2_MF2_MASK }, // 188
  { 0x2, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG2EI64_V_M1_M1_MASK }, // 189
  { 0x2, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG2EI64_V_M2_M1_MASK }, // 190
  { 0x2, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG2EI64_V_M4_M1_MASK }, // 191
  { 0x2, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG2EI64_V_M8_M1_MASK }, // 192
  { 0x2, 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVSUXSEG2EI64_V_M2_M2_MASK }, // 193
  { 0x2, 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVSUXSEG2EI64_V_M4_M2_MASK }, // 194
  { 0x2, 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVSUXSEG2EI64_V_M8_M2_MASK }, // 195
  { 0x2, 0x1, 0x0, 0x6, 0x2, 0x2, PseudoVSUXSEG2EI64_V_M4_M4_MASK }, // 196
  { 0x2, 0x1, 0x0, 0x6, 0x2, 0x3, PseudoVSUXSEG2EI64_V_M8_M4_MASK }, // 197
  { 0x2, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG2EI64_V_M1_MF8_MASK }, // 198
  { 0x2, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG2EI64_V_M1_MF4_MASK }, // 199
  { 0x2, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG2EI64_V_M2_MF4_MASK }, // 200
  { 0x2, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG2EI64_V_M1_MF2_MASK }, // 201
  { 0x2, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG2EI64_V_M2_MF2_MASK }, // 202
  { 0x2, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG2EI64_V_M4_MF2_MASK }, // 203
  { 0x2, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG2EI8_V_M1_M1_MASK }, // 204
  { 0x2, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG2EI8_V_MF8_M1_MASK }, // 205
  { 0x2, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG2EI8_V_MF4_M1_MASK }, // 206
  { 0x2, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG2EI8_V_MF2_M1_MASK }, // 207
  { 0x2, 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVSOXSEG2EI8_V_M1_M2_MASK }, // 208
  { 0x2, 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVSOXSEG2EI8_V_M2_M2_MASK }, // 209
  { 0x2, 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVSOXSEG2EI8_V_MF4_M2_MASK }, // 210
  { 0x2, 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVSOXSEG2EI8_V_MF2_M2_MASK }, // 211
  { 0x2, 0x1, 0x1, 0x3, 0x2, 0x0, PseudoVSOXSEG2EI8_V_M1_M4_MASK }, // 212
  { 0x2, 0x1, 0x1, 0x3, 0x2, 0x1, PseudoVSOXSEG2EI8_V_M2_M4_MASK }, // 213
  { 0x2, 0x1, 0x1, 0x3, 0x2, 0x2, PseudoVSOXSEG2EI8_V_M4_M4_MASK }, // 214
  { 0x2, 0x1, 0x1, 0x3, 0x2, 0x7, PseudoVSOXSEG2EI8_V_MF2_M4_MASK }, // 215
  { 0x2, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG2EI8_V_MF8_MF8_MASK }, // 216
  { 0x2, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG2EI8_V_MF8_MF4_MASK }, // 217
  { 0x2, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG2EI8_V_MF4_MF4_MASK }, // 218
  { 0x2, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG2EI8_V_MF8_MF2_MASK }, // 219
  { 0x2, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG2EI8_V_MF4_MF2_MASK }, // 220
  { 0x2, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG2EI8_V_MF2_MF2_MASK }, // 221
  { 0x2, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG2EI16_V_M1_M1_MASK }, // 222
  { 0x2, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG2EI16_V_M2_M1_MASK }, // 223
  { 0x2, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG2EI16_V_MF4_M1_MASK }, // 224
  { 0x2, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG2EI16_V_MF2_M1_MASK }, // 225
  { 0x2, 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVSOXSEG2EI16_V_M1_M2_MASK }, // 226
  { 0x2, 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVSOXSEG2EI16_V_M2_M2_MASK }, // 227
  { 0x2, 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVSOXSEG2EI16_V_M4_M2_MASK }, // 228
  { 0x2, 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVSOXSEG2EI16_V_MF2_M2_MASK }, // 229
  { 0x2, 0x1, 0x1, 0x4, 0x2, 0x0, PseudoVSOXSEG2EI16_V_M1_M4_MASK }, // 230
  { 0x2, 0x1, 0x1, 0x4, 0x2, 0x1, PseudoVSOXSEG2EI16_V_M2_M4_MASK }, // 231
  { 0x2, 0x1, 0x1, 0x4, 0x2, 0x2, PseudoVSOXSEG2EI16_V_M4_M4_MASK }, // 232
  { 0x2, 0x1, 0x1, 0x4, 0x2, 0x3, PseudoVSOXSEG2EI16_V_M8_M4_MASK }, // 233
  { 0x2, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG2EI16_V_MF4_MF8_MASK }, // 234
  { 0x2, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG2EI16_V_MF4_MF4_MASK }, // 235
  { 0x2, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG2EI16_V_MF2_MF4_MASK }, // 236
  { 0x2, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG2EI16_V_M1_MF2_MASK }, // 237
  { 0x2, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG2EI16_V_MF4_MF2_MASK }, // 238
  { 0x2, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG2EI16_V_MF2_MF2_MASK }, // 239
  { 0x2, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG2EI32_V_M1_M1_MASK }, // 240
  { 0x2, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG2EI32_V_M2_M1_MASK }, // 241
  { 0x2, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG2EI32_V_M4_M1_MASK }, // 242
  { 0x2, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG2EI32_V_MF2_M1_MASK }, // 243
  { 0x2, 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVSOXSEG2EI32_V_M1_M2_MASK }, // 244
  { 0x2, 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVSOXSEG2EI32_V_M2_M2_MASK }, // 245
  { 0x2, 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVSOXSEG2EI32_V_M4_M2_MASK }, // 246
  { 0x2, 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVSOXSEG2EI32_V_M8_M2_MASK }, // 247
  { 0x2, 0x1, 0x1, 0x5, 0x2, 0x1, PseudoVSOXSEG2EI32_V_M2_M4_MASK }, // 248
  { 0x2, 0x1, 0x1, 0x5, 0x2, 0x2, PseudoVSOXSEG2EI32_V_M4_M4_MASK }, // 249
  { 0x2, 0x1, 0x1, 0x5, 0x2, 0x3, PseudoVSOXSEG2EI32_V_M8_M4_MASK }, // 250
  { 0x2, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG2EI32_V_MF2_MF8_MASK }, // 251
  { 0x2, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG2EI32_V_M1_MF4_MASK }, // 252
  { 0x2, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG2EI32_V_MF2_MF4_MASK }, // 253
  { 0x2, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG2EI32_V_M1_MF2_MASK }, // 254
  { 0x2, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG2EI32_V_M2_MF2_MASK }, // 255
  { 0x2, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG2EI32_V_MF2_MF2_MASK }, // 256
  { 0x2, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG2EI64_V_M1_M1_MASK }, // 257
  { 0x2, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG2EI64_V_M2_M1_MASK }, // 258
  { 0x2, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG2EI64_V_M4_M1_MASK }, // 259
  { 0x2, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG2EI64_V_M8_M1_MASK }, // 260
  { 0x2, 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVSOXSEG2EI64_V_M2_M2_MASK }, // 261
  { 0x2, 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVSOXSEG2EI64_V_M4_M2_MASK }, // 262
  { 0x2, 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVSOXSEG2EI64_V_M8_M2_MASK }, // 263
  { 0x2, 0x1, 0x1, 0x6, 0x2, 0x2, PseudoVSOXSEG2EI64_V_M4_M4_MASK }, // 264
  { 0x2, 0x1, 0x1, 0x6, 0x2, 0x3, PseudoVSOXSEG2EI64_V_M8_M4_MASK }, // 265
  { 0x2, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG2EI64_V_M1_MF8_MASK }, // 266
  { 0x2, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG2EI64_V_M1_MF4_MASK }, // 267
  { 0x2, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG2EI64_V_M2_MF4_MASK }, // 268
  { 0x2, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG2EI64_V_M1_MF2_MASK }, // 269
  { 0x2, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG2EI64_V_M2_MF2_MASK }, // 270
  { 0x2, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG2EI64_V_M4_MF2_MASK }, // 271
  { 0x3, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG3EI8_V_M1_M1 }, // 272
  { 0x3, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG3EI8_V_MF8_M1 }, // 273
  { 0x3, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG3EI8_V_MF4_M1 }, // 274
  { 0x3, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG3EI8_V_MF2_M1 }, // 275
  { 0x3, 0x0, 0x0, 0x3, 0x1, 0x0, PseudoVSUXSEG3EI8_V_M1_M2 }, // 276
  { 0x3, 0x0, 0x0, 0x3, 0x1, 0x1, PseudoVSUXSEG3EI8_V_M2_M2 }, // 277
  { 0x3, 0x0, 0x0, 0x3, 0x1, 0x6, PseudoVSUXSEG3EI8_V_MF4_M2 }, // 278
  { 0x3, 0x0, 0x0, 0x3, 0x1, 0x7, PseudoVSUXSEG3EI8_V_MF2_M2 }, // 279
  { 0x3, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG3EI8_V_MF8_MF8 }, // 280
  { 0x3, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG3EI8_V_MF8_MF4 }, // 281
  { 0x3, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG3EI8_V_MF4_MF4 }, // 282
  { 0x3, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG3EI8_V_MF8_MF2 }, // 283
  { 0x3, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG3EI8_V_MF4_MF2 }, // 284
  { 0x3, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG3EI8_V_MF2_MF2 }, // 285
  { 0x3, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG3EI16_V_M1_M1 }, // 286
  { 0x3, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG3EI16_V_M2_M1 }, // 287
  { 0x3, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG3EI16_V_MF4_M1 }, // 288
  { 0x3, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG3EI16_V_MF2_M1 }, // 289
  { 0x3, 0x0, 0x0, 0x4, 0x1, 0x0, PseudoVSUXSEG3EI16_V_M1_M2 }, // 290
  { 0x3, 0x0, 0x0, 0x4, 0x1, 0x1, PseudoVSUXSEG3EI16_V_M2_M2 }, // 291
  { 0x3, 0x0, 0x0, 0x4, 0x1, 0x2, PseudoVSUXSEG3EI16_V_M4_M2 }, // 292
  { 0x3, 0x0, 0x0, 0x4, 0x1, 0x7, PseudoVSUXSEG3EI16_V_MF2_M2 }, // 293
  { 0x3, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG3EI16_V_MF4_MF8 }, // 294
  { 0x3, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG3EI16_V_MF4_MF4 }, // 295
  { 0x3, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG3EI16_V_MF2_MF4 }, // 296
  { 0x3, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG3EI16_V_M1_MF2 }, // 297
  { 0x3, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG3EI16_V_MF4_MF2 }, // 298
  { 0x3, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG3EI16_V_MF2_MF2 }, // 299
  { 0x3, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG3EI32_V_M1_M1 }, // 300
  { 0x3, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG3EI32_V_M2_M1 }, // 301
  { 0x3, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG3EI32_V_M4_M1 }, // 302
  { 0x3, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG3EI32_V_MF2_M1 }, // 303
  { 0x3, 0x0, 0x0, 0x5, 0x1, 0x0, PseudoVSUXSEG3EI32_V_M1_M2 }, // 304
  { 0x3, 0x0, 0x0, 0x5, 0x1, 0x1, PseudoVSUXSEG3EI32_V_M2_M2 }, // 305
  { 0x3, 0x0, 0x0, 0x5, 0x1, 0x2, PseudoVSUXSEG3EI32_V_M4_M2 }, // 306
  { 0x3, 0x0, 0x0, 0x5, 0x1, 0x3, PseudoVSUXSEG3EI32_V_M8_M2 }, // 307
  { 0x3, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG3EI32_V_MF2_MF8 }, // 308
  { 0x3, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG3EI32_V_M1_MF4 }, // 309
  { 0x3, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG3EI32_V_MF2_MF4 }, // 310
  { 0x3, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG3EI32_V_M1_MF2 }, // 311
  { 0x3, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG3EI32_V_M2_MF2 }, // 312
  { 0x3, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG3EI32_V_MF2_MF2 }, // 313
  { 0x3, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG3EI64_V_M1_M1 }, // 314
  { 0x3, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG3EI64_V_M2_M1 }, // 315
  { 0x3, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG3EI64_V_M4_M1 }, // 316
  { 0x3, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG3EI64_V_M8_M1 }, // 317
  { 0x3, 0x0, 0x0, 0x6, 0x1, 0x1, PseudoVSUXSEG3EI64_V_M2_M2 }, // 318
  { 0x3, 0x0, 0x0, 0x6, 0x1, 0x2, PseudoVSUXSEG3EI64_V_M4_M2 }, // 319
  { 0x3, 0x0, 0x0, 0x6, 0x1, 0x3, PseudoVSUXSEG3EI64_V_M8_M2 }, // 320
  { 0x3, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG3EI64_V_M1_MF8 }, // 321
  { 0x3, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG3EI64_V_M1_MF4 }, // 322
  { 0x3, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG3EI64_V_M2_MF4 }, // 323
  { 0x3, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG3EI64_V_M1_MF2 }, // 324
  { 0x3, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG3EI64_V_M2_MF2 }, // 325
  { 0x3, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG3EI64_V_M4_MF2 }, // 326
  { 0x3, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG3EI8_V_M1_M1 }, // 327
  { 0x3, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG3EI8_V_MF8_M1 }, // 328
  { 0x3, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG3EI8_V_MF4_M1 }, // 329
  { 0x3, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG3EI8_V_MF2_M1 }, // 330
  { 0x3, 0x0, 0x1, 0x3, 0x1, 0x0, PseudoVSOXSEG3EI8_V_M1_M2 }, // 331
  { 0x3, 0x0, 0x1, 0x3, 0x1, 0x1, PseudoVSOXSEG3EI8_V_M2_M2 }, // 332
  { 0x3, 0x0, 0x1, 0x3, 0x1, 0x6, PseudoVSOXSEG3EI8_V_MF4_M2 }, // 333
  { 0x3, 0x0, 0x1, 0x3, 0x1, 0x7, PseudoVSOXSEG3EI8_V_MF2_M2 }, // 334
  { 0x3, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG3EI8_V_MF8_MF8 }, // 335
  { 0x3, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG3EI8_V_MF8_MF4 }, // 336
  { 0x3, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG3EI8_V_MF4_MF4 }, // 337
  { 0x3, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG3EI8_V_MF8_MF2 }, // 338
  { 0x3, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG3EI8_V_MF4_MF2 }, // 339
  { 0x3, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG3EI8_V_MF2_MF2 }, // 340
  { 0x3, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG3EI16_V_M1_M1 }, // 341
  { 0x3, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG3EI16_V_M2_M1 }, // 342
  { 0x3, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG3EI16_V_MF4_M1 }, // 343
  { 0x3, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG3EI16_V_MF2_M1 }, // 344
  { 0x3, 0x0, 0x1, 0x4, 0x1, 0x0, PseudoVSOXSEG3EI16_V_M1_M2 }, // 345
  { 0x3, 0x0, 0x1, 0x4, 0x1, 0x1, PseudoVSOXSEG3EI16_V_M2_M2 }, // 346
  { 0x3, 0x0, 0x1, 0x4, 0x1, 0x2, PseudoVSOXSEG3EI16_V_M4_M2 }, // 347
  { 0x3, 0x0, 0x1, 0x4, 0x1, 0x7, PseudoVSOXSEG3EI16_V_MF2_M2 }, // 348
  { 0x3, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG3EI16_V_MF4_MF8 }, // 349
  { 0x3, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG3EI16_V_MF4_MF4 }, // 350
  { 0x3, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG3EI16_V_MF2_MF4 }, // 351
  { 0x3, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG3EI16_V_M1_MF2 }, // 352
  { 0x3, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG3EI16_V_MF4_MF2 }, // 353
  { 0x3, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG3EI16_V_MF2_MF2 }, // 354
  { 0x3, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG3EI32_V_M1_M1 }, // 355
  { 0x3, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG3EI32_V_M2_M1 }, // 356
  { 0x3, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG3EI32_V_M4_M1 }, // 357
  { 0x3, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG3EI32_V_MF2_M1 }, // 358
  { 0x3, 0x0, 0x1, 0x5, 0x1, 0x0, PseudoVSOXSEG3EI32_V_M1_M2 }, // 359
  { 0x3, 0x0, 0x1, 0x5, 0x1, 0x1, PseudoVSOXSEG3EI32_V_M2_M2 }, // 360
  { 0x3, 0x0, 0x1, 0x5, 0x1, 0x2, PseudoVSOXSEG3EI32_V_M4_M2 }, // 361
  { 0x3, 0x0, 0x1, 0x5, 0x1, 0x3, PseudoVSOXSEG3EI32_V_M8_M2 }, // 362
  { 0x3, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG3EI32_V_MF2_MF8 }, // 363
  { 0x3, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG3EI32_V_M1_MF4 }, // 364
  { 0x3, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG3EI32_V_MF2_MF4 }, // 365
  { 0x3, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG3EI32_V_M1_MF2 }, // 366
  { 0x3, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG3EI32_V_M2_MF2 }, // 367
  { 0x3, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG3EI32_V_MF2_MF2 }, // 368
  { 0x3, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG3EI64_V_M1_M1 }, // 369
  { 0x3, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG3EI64_V_M2_M1 }, // 370
  { 0x3, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG3EI64_V_M4_M1 }, // 371
  { 0x3, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG3EI64_V_M8_M1 }, // 372
  { 0x3, 0x0, 0x1, 0x6, 0x1, 0x1, PseudoVSOXSEG3EI64_V_M2_M2 }, // 373
  { 0x3, 0x0, 0x1, 0x6, 0x1, 0x2, PseudoVSOXSEG3EI64_V_M4_M2 }, // 374
  { 0x3, 0x0, 0x1, 0x6, 0x1, 0x3, PseudoVSOXSEG3EI64_V_M8_M2 }, // 375
  { 0x3, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG3EI64_V_M1_MF8 }, // 376
  { 0x3, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG3EI64_V_M1_MF4 }, // 377
  { 0x3, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG3EI64_V_M2_MF4 }, // 378
  { 0x3, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG3EI64_V_M1_MF2 }, // 379
  { 0x3, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG3EI64_V_M2_MF2 }, // 380
  { 0x3, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG3EI64_V_M4_MF2 }, // 381
  { 0x3, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG3EI8_V_M1_M1_MASK }, // 382
  { 0x3, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG3EI8_V_MF8_M1_MASK }, // 383
  { 0x3, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG3EI8_V_MF4_M1_MASK }, // 384
  { 0x3, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG3EI8_V_MF2_M1_MASK }, // 385
  { 0x3, 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVSUXSEG3EI8_V_M1_M2_MASK }, // 386
  { 0x3, 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVSUXSEG3EI8_V_M2_M2_MASK }, // 387
  { 0x3, 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVSUXSEG3EI8_V_MF4_M2_MASK }, // 388
  { 0x3, 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVSUXSEG3EI8_V_MF2_M2_MASK }, // 389
  { 0x3, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG3EI8_V_MF8_MF8_MASK }, // 390
  { 0x3, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG3EI8_V_MF8_MF4_MASK }, // 391
  { 0x3, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG3EI8_V_MF4_MF4_MASK }, // 392
  { 0x3, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG3EI8_V_MF8_MF2_MASK }, // 393
  { 0x3, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG3EI8_V_MF4_MF2_MASK }, // 394
  { 0x3, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG3EI8_V_MF2_MF2_MASK }, // 395
  { 0x3, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG3EI16_V_M1_M1_MASK }, // 396
  { 0x3, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG3EI16_V_M2_M1_MASK }, // 397
  { 0x3, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG3EI16_V_MF4_M1_MASK }, // 398
  { 0x3, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG3EI16_V_MF2_M1_MASK }, // 399
  { 0x3, 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVSUXSEG3EI16_V_M1_M2_MASK }, // 400
  { 0x3, 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVSUXSEG3EI16_V_M2_M2_MASK }, // 401
  { 0x3, 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVSUXSEG3EI16_V_M4_M2_MASK }, // 402
  { 0x3, 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVSUXSEG3EI16_V_MF2_M2_MASK }, // 403
  { 0x3, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG3EI16_V_MF4_MF8_MASK }, // 404
  { 0x3, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG3EI16_V_MF4_MF4_MASK }, // 405
  { 0x3, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG3EI16_V_MF2_MF4_MASK }, // 406
  { 0x3, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG3EI16_V_M1_MF2_MASK }, // 407
  { 0x3, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG3EI16_V_MF4_MF2_MASK }, // 408
  { 0x3, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG3EI16_V_MF2_MF2_MASK }, // 409
  { 0x3, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG3EI32_V_M1_M1_MASK }, // 410
  { 0x3, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG3EI32_V_M2_M1_MASK }, // 411
  { 0x3, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG3EI32_V_M4_M1_MASK }, // 412
  { 0x3, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG3EI32_V_MF2_M1_MASK }, // 413
  { 0x3, 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVSUXSEG3EI32_V_M1_M2_MASK }, // 414
  { 0x3, 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVSUXSEG3EI32_V_M2_M2_MASK }, // 415
  { 0x3, 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVSUXSEG3EI32_V_M4_M2_MASK }, // 416
  { 0x3, 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVSUXSEG3EI32_V_M8_M2_MASK }, // 417
  { 0x3, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG3EI32_V_MF2_MF8_MASK }, // 418
  { 0x3, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG3EI32_V_M1_MF4_MASK }, // 419
  { 0x3, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG3EI32_V_MF2_MF4_MASK }, // 420
  { 0x3, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG3EI32_V_M1_MF2_MASK }, // 421
  { 0x3, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG3EI32_V_M2_MF2_MASK }, // 422
  { 0x3, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG3EI32_V_MF2_MF2_MASK }, // 423
  { 0x3, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG3EI64_V_M1_M1_MASK }, // 424
  { 0x3, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG3EI64_V_M2_M1_MASK }, // 425
  { 0x3, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG3EI64_V_M4_M1_MASK }, // 426
  { 0x3, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG3EI64_V_M8_M1_MASK }, // 427
  { 0x3, 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVSUXSEG3EI64_V_M2_M2_MASK }, // 428
  { 0x3, 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVSUXSEG3EI64_V_M4_M2_MASK }, // 429
  { 0x3, 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVSUXSEG3EI64_V_M8_M2_MASK }, // 430
  { 0x3, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG3EI64_V_M1_MF8_MASK }, // 431
  { 0x3, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG3EI64_V_M1_MF4_MASK }, // 432
  { 0x3, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG3EI64_V_M2_MF4_MASK }, // 433
  { 0x3, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG3EI64_V_M1_MF2_MASK }, // 434
  { 0x3, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG3EI64_V_M2_MF2_MASK }, // 435
  { 0x3, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG3EI64_V_M4_MF2_MASK }, // 436
  { 0x3, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG3EI8_V_M1_M1_MASK }, // 437
  { 0x3, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG3EI8_V_MF8_M1_MASK }, // 438
  { 0x3, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG3EI8_V_MF4_M1_MASK }, // 439
  { 0x3, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG3EI8_V_MF2_M1_MASK }, // 440
  { 0x3, 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVSOXSEG3EI8_V_M1_M2_MASK }, // 441
  { 0x3, 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVSOXSEG3EI8_V_M2_M2_MASK }, // 442
  { 0x3, 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVSOXSEG3EI8_V_MF4_M2_MASK }, // 443
  { 0x3, 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVSOXSEG3EI8_V_MF2_M2_MASK }, // 444
  { 0x3, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG3EI8_V_MF8_MF8_MASK }, // 445
  { 0x3, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG3EI8_V_MF8_MF4_MASK }, // 446
  { 0x3, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG3EI8_V_MF4_MF4_MASK }, // 447
  { 0x3, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG3EI8_V_MF8_MF2_MASK }, // 448
  { 0x3, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG3EI8_V_MF4_MF2_MASK }, // 449
  { 0x3, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG3EI8_V_MF2_MF2_MASK }, // 450
  { 0x3, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG3EI16_V_M1_M1_MASK }, // 451
  { 0x3, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG3EI16_V_M2_M1_MASK }, // 452
  { 0x3, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG3EI16_V_MF4_M1_MASK }, // 453
  { 0x3, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG3EI16_V_MF2_M1_MASK }, // 454
  { 0x3, 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVSOXSEG3EI16_V_M1_M2_MASK }, // 455
  { 0x3, 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVSOXSEG3EI16_V_M2_M2_MASK }, // 456
  { 0x3, 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVSOXSEG3EI16_V_M4_M2_MASK }, // 457
  { 0x3, 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVSOXSEG3EI16_V_MF2_M2_MASK }, // 458
  { 0x3, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG3EI16_V_MF4_MF8_MASK }, // 459
  { 0x3, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG3EI16_V_MF4_MF4_MASK }, // 460
  { 0x3, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG3EI16_V_MF2_MF4_MASK }, // 461
  { 0x3, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG3EI16_V_M1_MF2_MASK }, // 462
  { 0x3, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG3EI16_V_MF4_MF2_MASK }, // 463
  { 0x3, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG3EI16_V_MF2_MF2_MASK }, // 464
  { 0x3, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG3EI32_V_M1_M1_MASK }, // 465
  { 0x3, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG3EI32_V_M2_M1_MASK }, // 466
  { 0x3, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG3EI32_V_M4_M1_MASK }, // 467
  { 0x3, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG3EI32_V_MF2_M1_MASK }, // 468
  { 0x3, 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVSOXSEG3EI32_V_M1_M2_MASK }, // 469
  { 0x3, 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVSOXSEG3EI32_V_M2_M2_MASK }, // 470
  { 0x3, 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVSOXSEG3EI32_V_M4_M2_MASK }, // 471
  { 0x3, 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVSOXSEG3EI32_V_M8_M2_MASK }, // 472
  { 0x3, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG3EI32_V_MF2_MF8_MASK }, // 473
  { 0x3, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG3EI32_V_M1_MF4_MASK }, // 474
  { 0x3, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG3EI32_V_MF2_MF4_MASK }, // 475
  { 0x3, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG3EI32_V_M1_MF2_MASK }, // 476
  { 0x3, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG3EI32_V_M2_MF2_MASK }, // 477
  { 0x3, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG3EI32_V_MF2_MF2_MASK }, // 478
  { 0x3, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG3EI64_V_M1_M1_MASK }, // 479
  { 0x3, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG3EI64_V_M2_M1_MASK }, // 480
  { 0x3, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG3EI64_V_M4_M1_MASK }, // 481
  { 0x3, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG3EI64_V_M8_M1_MASK }, // 482
  { 0x3, 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVSOXSEG3EI64_V_M2_M2_MASK }, // 483
  { 0x3, 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVSOXSEG3EI64_V_M4_M2_MASK }, // 484
  { 0x3, 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVSOXSEG3EI64_V_M8_M2_MASK }, // 485
  { 0x3, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG3EI64_V_M1_MF8_MASK }, // 486
  { 0x3, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG3EI64_V_M1_MF4_MASK }, // 487
  { 0x3, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG3EI64_V_M2_MF4_MASK }, // 488
  { 0x3, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG3EI64_V_M1_MF2_MASK }, // 489
  { 0x3, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG3EI64_V_M2_MF2_MASK }, // 490
  { 0x3, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG3EI64_V_M4_MF2_MASK }, // 491
  { 0x4, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG4EI8_V_M1_M1 }, // 492
  { 0x4, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG4EI8_V_MF8_M1 }, // 493
  { 0x4, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG4EI8_V_MF4_M1 }, // 494
  { 0x4, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG4EI8_V_MF2_M1 }, // 495
  { 0x4, 0x0, 0x0, 0x3, 0x1, 0x0, PseudoVSUXSEG4EI8_V_M1_M2 }, // 496
  { 0x4, 0x0, 0x0, 0x3, 0x1, 0x1, PseudoVSUXSEG4EI8_V_M2_M2 }, // 497
  { 0x4, 0x0, 0x0, 0x3, 0x1, 0x6, PseudoVSUXSEG4EI8_V_MF4_M2 }, // 498
  { 0x4, 0x0, 0x0, 0x3, 0x1, 0x7, PseudoVSUXSEG4EI8_V_MF2_M2 }, // 499
  { 0x4, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG4EI8_V_MF8_MF8 }, // 500
  { 0x4, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG4EI8_V_MF8_MF4 }, // 501
  { 0x4, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG4EI8_V_MF4_MF4 }, // 502
  { 0x4, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG4EI8_V_MF8_MF2 }, // 503
  { 0x4, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG4EI8_V_MF4_MF2 }, // 504
  { 0x4, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG4EI8_V_MF2_MF2 }, // 505
  { 0x4, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG4EI16_V_M1_M1 }, // 506
  { 0x4, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG4EI16_V_M2_M1 }, // 507
  { 0x4, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG4EI16_V_MF4_M1 }, // 508
  { 0x4, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG4EI16_V_MF2_M1 }, // 509
  { 0x4, 0x0, 0x0, 0x4, 0x1, 0x0, PseudoVSUXSEG4EI16_V_M1_M2 }, // 510
  { 0x4, 0x0, 0x0, 0x4, 0x1, 0x1, PseudoVSUXSEG4EI16_V_M2_M2 }, // 511
  { 0x4, 0x0, 0x0, 0x4, 0x1, 0x2, PseudoVSUXSEG4EI16_V_M4_M2 }, // 512
  { 0x4, 0x0, 0x0, 0x4, 0x1, 0x7, PseudoVSUXSEG4EI16_V_MF2_M2 }, // 513
  { 0x4, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG4EI16_V_MF4_MF8 }, // 514
  { 0x4, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG4EI16_V_MF4_MF4 }, // 515
  { 0x4, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG4EI16_V_MF2_MF4 }, // 516
  { 0x4, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG4EI16_V_M1_MF2 }, // 517
  { 0x4, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG4EI16_V_MF4_MF2 }, // 518
  { 0x4, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG4EI16_V_MF2_MF2 }, // 519
  { 0x4, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG4EI32_V_M1_M1 }, // 520
  { 0x4, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG4EI32_V_M2_M1 }, // 521
  { 0x4, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG4EI32_V_M4_M1 }, // 522
  { 0x4, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG4EI32_V_MF2_M1 }, // 523
  { 0x4, 0x0, 0x0, 0x5, 0x1, 0x0, PseudoVSUXSEG4EI32_V_M1_M2 }, // 524
  { 0x4, 0x0, 0x0, 0x5, 0x1, 0x1, PseudoVSUXSEG4EI32_V_M2_M2 }, // 525
  { 0x4, 0x0, 0x0, 0x5, 0x1, 0x2, PseudoVSUXSEG4EI32_V_M4_M2 }, // 526
  { 0x4, 0x0, 0x0, 0x5, 0x1, 0x3, PseudoVSUXSEG4EI32_V_M8_M2 }, // 527
  { 0x4, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG4EI32_V_MF2_MF8 }, // 528
  { 0x4, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG4EI32_V_M1_MF4 }, // 529
  { 0x4, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG4EI32_V_MF2_MF4 }, // 530
  { 0x4, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG4EI32_V_M1_MF2 }, // 531
  { 0x4, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG4EI32_V_M2_MF2 }, // 532
  { 0x4, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG4EI32_V_MF2_MF2 }, // 533
  { 0x4, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG4EI64_V_M1_M1 }, // 534
  { 0x4, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG4EI64_V_M2_M1 }, // 535
  { 0x4, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG4EI64_V_M4_M1 }, // 536
  { 0x4, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG4EI64_V_M8_M1 }, // 537
  { 0x4, 0x0, 0x0, 0x6, 0x1, 0x1, PseudoVSUXSEG4EI64_V_M2_M2 }, // 538
  { 0x4, 0x0, 0x0, 0x6, 0x1, 0x2, PseudoVSUXSEG4EI64_V_M4_M2 }, // 539
  { 0x4, 0x0, 0x0, 0x6, 0x1, 0x3, PseudoVSUXSEG4EI64_V_M8_M2 }, // 540
  { 0x4, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG4EI64_V_M1_MF8 }, // 541
  { 0x4, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG4EI64_V_M1_MF4 }, // 542
  { 0x4, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG4EI64_V_M2_MF4 }, // 543
  { 0x4, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG4EI64_V_M1_MF2 }, // 544
  { 0x4, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG4EI64_V_M2_MF2 }, // 545
  { 0x4, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG4EI64_V_M4_MF2 }, // 546
  { 0x4, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG4EI8_V_M1_M1 }, // 547
  { 0x4, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG4EI8_V_MF8_M1 }, // 548
  { 0x4, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG4EI8_V_MF4_M1 }, // 549
  { 0x4, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG4EI8_V_MF2_M1 }, // 550
  { 0x4, 0x0, 0x1, 0x3, 0x1, 0x0, PseudoVSOXSEG4EI8_V_M1_M2 }, // 551
  { 0x4, 0x0, 0x1, 0x3, 0x1, 0x1, PseudoVSOXSEG4EI8_V_M2_M2 }, // 552
  { 0x4, 0x0, 0x1, 0x3, 0x1, 0x6, PseudoVSOXSEG4EI8_V_MF4_M2 }, // 553
  { 0x4, 0x0, 0x1, 0x3, 0x1, 0x7, PseudoVSOXSEG4EI8_V_MF2_M2 }, // 554
  { 0x4, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG4EI8_V_MF8_MF8 }, // 555
  { 0x4, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG4EI8_V_MF8_MF4 }, // 556
  { 0x4, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG4EI8_V_MF4_MF4 }, // 557
  { 0x4, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG4EI8_V_MF8_MF2 }, // 558
  { 0x4, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG4EI8_V_MF4_MF2 }, // 559
  { 0x4, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG4EI8_V_MF2_MF2 }, // 560
  { 0x4, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG4EI16_V_M1_M1 }, // 561
  { 0x4, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG4EI16_V_M2_M1 }, // 562
  { 0x4, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG4EI16_V_MF4_M1 }, // 563
  { 0x4, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG4EI16_V_MF2_M1 }, // 564
  { 0x4, 0x0, 0x1, 0x4, 0x1, 0x0, PseudoVSOXSEG4EI16_V_M1_M2 }, // 565
  { 0x4, 0x0, 0x1, 0x4, 0x1, 0x1, PseudoVSOXSEG4EI16_V_M2_M2 }, // 566
  { 0x4, 0x0, 0x1, 0x4, 0x1, 0x2, PseudoVSOXSEG4EI16_V_M4_M2 }, // 567
  { 0x4, 0x0, 0x1, 0x4, 0x1, 0x7, PseudoVSOXSEG4EI16_V_MF2_M2 }, // 568
  { 0x4, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG4EI16_V_MF4_MF8 }, // 569
  { 0x4, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG4EI16_V_MF4_MF4 }, // 570
  { 0x4, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG4EI16_V_MF2_MF4 }, // 571
  { 0x4, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG4EI16_V_M1_MF2 }, // 572
  { 0x4, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG4EI16_V_MF4_MF2 }, // 573
  { 0x4, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG4EI16_V_MF2_MF2 }, // 574
  { 0x4, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG4EI32_V_M1_M1 }, // 575
  { 0x4, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG4EI32_V_M2_M1 }, // 576
  { 0x4, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG4EI32_V_M4_M1 }, // 577
  { 0x4, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG4EI32_V_MF2_M1 }, // 578
  { 0x4, 0x0, 0x1, 0x5, 0x1, 0x0, PseudoVSOXSEG4EI32_V_M1_M2 }, // 579
  { 0x4, 0x0, 0x1, 0x5, 0x1, 0x1, PseudoVSOXSEG4EI32_V_M2_M2 }, // 580
  { 0x4, 0x0, 0x1, 0x5, 0x1, 0x2, PseudoVSOXSEG4EI32_V_M4_M2 }, // 581
  { 0x4, 0x0, 0x1, 0x5, 0x1, 0x3, PseudoVSOXSEG4EI32_V_M8_M2 }, // 582
  { 0x4, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG4EI32_V_MF2_MF8 }, // 583
  { 0x4, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG4EI32_V_M1_MF4 }, // 584
  { 0x4, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG4EI32_V_MF2_MF4 }, // 585
  { 0x4, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG4EI32_V_M1_MF2 }, // 586
  { 0x4, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG4EI32_V_M2_MF2 }, // 587
  { 0x4, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG4EI32_V_MF2_MF2 }, // 588
  { 0x4, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG4EI64_V_M1_M1 }, // 589
  { 0x4, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG4EI64_V_M2_M1 }, // 590
  { 0x4, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG4EI64_V_M4_M1 }, // 591
  { 0x4, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG4EI64_V_M8_M1 }, // 592
  { 0x4, 0x0, 0x1, 0x6, 0x1, 0x1, PseudoVSOXSEG4EI64_V_M2_M2 }, // 593
  { 0x4, 0x0, 0x1, 0x6, 0x1, 0x2, PseudoVSOXSEG4EI64_V_M4_M2 }, // 594
  { 0x4, 0x0, 0x1, 0x6, 0x1, 0x3, PseudoVSOXSEG4EI64_V_M8_M2 }, // 595
  { 0x4, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG4EI64_V_M1_MF8 }, // 596
  { 0x4, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG4EI64_V_M1_MF4 }, // 597
  { 0x4, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG4EI64_V_M2_MF4 }, // 598
  { 0x4, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG4EI64_V_M1_MF2 }, // 599
  { 0x4, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG4EI64_V_M2_MF2 }, // 600
  { 0x4, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG4EI64_V_M4_MF2 }, // 601
  { 0x4, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG4EI8_V_M1_M1_MASK }, // 602
  { 0x4, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG4EI8_V_MF8_M1_MASK }, // 603
  { 0x4, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG4EI8_V_MF4_M1_MASK }, // 604
  { 0x4, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG4EI8_V_MF2_M1_MASK }, // 605
  { 0x4, 0x1, 0x0, 0x3, 0x1, 0x0, PseudoVSUXSEG4EI8_V_M1_M2_MASK }, // 606
  { 0x4, 0x1, 0x0, 0x3, 0x1, 0x1, PseudoVSUXSEG4EI8_V_M2_M2_MASK }, // 607
  { 0x4, 0x1, 0x0, 0x3, 0x1, 0x6, PseudoVSUXSEG4EI8_V_MF4_M2_MASK }, // 608
  { 0x4, 0x1, 0x0, 0x3, 0x1, 0x7, PseudoVSUXSEG4EI8_V_MF2_M2_MASK }, // 609
  { 0x4, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG4EI8_V_MF8_MF8_MASK }, // 610
  { 0x4, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG4EI8_V_MF8_MF4_MASK }, // 611
  { 0x4, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG4EI8_V_MF4_MF4_MASK }, // 612
  { 0x4, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG4EI8_V_MF8_MF2_MASK }, // 613
  { 0x4, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG4EI8_V_MF4_MF2_MASK }, // 614
  { 0x4, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG4EI8_V_MF2_MF2_MASK }, // 615
  { 0x4, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG4EI16_V_M1_M1_MASK }, // 616
  { 0x4, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG4EI16_V_M2_M1_MASK }, // 617
  { 0x4, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG4EI16_V_MF4_M1_MASK }, // 618
  { 0x4, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG4EI16_V_MF2_M1_MASK }, // 619
  { 0x4, 0x1, 0x0, 0x4, 0x1, 0x0, PseudoVSUXSEG4EI16_V_M1_M2_MASK }, // 620
  { 0x4, 0x1, 0x0, 0x4, 0x1, 0x1, PseudoVSUXSEG4EI16_V_M2_M2_MASK }, // 621
  { 0x4, 0x1, 0x0, 0x4, 0x1, 0x2, PseudoVSUXSEG4EI16_V_M4_M2_MASK }, // 622
  { 0x4, 0x1, 0x0, 0x4, 0x1, 0x7, PseudoVSUXSEG4EI16_V_MF2_M2_MASK }, // 623
  { 0x4, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG4EI16_V_MF4_MF8_MASK }, // 624
  { 0x4, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG4EI16_V_MF4_MF4_MASK }, // 625
  { 0x4, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG4EI16_V_MF2_MF4_MASK }, // 626
  { 0x4, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG4EI16_V_M1_MF2_MASK }, // 627
  { 0x4, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG4EI16_V_MF4_MF2_MASK }, // 628
  { 0x4, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG4EI16_V_MF2_MF2_MASK }, // 629
  { 0x4, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG4EI32_V_M1_M1_MASK }, // 630
  { 0x4, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG4EI32_V_M2_M1_MASK }, // 631
  { 0x4, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG4EI32_V_M4_M1_MASK }, // 632
  { 0x4, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG4EI32_V_MF2_M1_MASK }, // 633
  { 0x4, 0x1, 0x0, 0x5, 0x1, 0x0, PseudoVSUXSEG4EI32_V_M1_M2_MASK }, // 634
  { 0x4, 0x1, 0x0, 0x5, 0x1, 0x1, PseudoVSUXSEG4EI32_V_M2_M2_MASK }, // 635
  { 0x4, 0x1, 0x0, 0x5, 0x1, 0x2, PseudoVSUXSEG4EI32_V_M4_M2_MASK }, // 636
  { 0x4, 0x1, 0x0, 0x5, 0x1, 0x3, PseudoVSUXSEG4EI32_V_M8_M2_MASK }, // 637
  { 0x4, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG4EI32_V_MF2_MF8_MASK }, // 638
  { 0x4, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG4EI32_V_M1_MF4_MASK }, // 639
  { 0x4, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG4EI32_V_MF2_MF4_MASK }, // 640
  { 0x4, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG4EI32_V_M1_MF2_MASK }, // 641
  { 0x4, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG4EI32_V_M2_MF2_MASK }, // 642
  { 0x4, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG4EI32_V_MF2_MF2_MASK }, // 643
  { 0x4, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG4EI64_V_M1_M1_MASK }, // 644
  { 0x4, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG4EI64_V_M2_M1_MASK }, // 645
  { 0x4, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG4EI64_V_M4_M1_MASK }, // 646
  { 0x4, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG4EI64_V_M8_M1_MASK }, // 647
  { 0x4, 0x1, 0x0, 0x6, 0x1, 0x1, PseudoVSUXSEG4EI64_V_M2_M2_MASK }, // 648
  { 0x4, 0x1, 0x0, 0x6, 0x1, 0x2, PseudoVSUXSEG4EI64_V_M4_M2_MASK }, // 649
  { 0x4, 0x1, 0x0, 0x6, 0x1, 0x3, PseudoVSUXSEG4EI64_V_M8_M2_MASK }, // 650
  { 0x4, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG4EI64_V_M1_MF8_MASK }, // 651
  { 0x4, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG4EI64_V_M1_MF4_MASK }, // 652
  { 0x4, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG4EI64_V_M2_MF4_MASK }, // 653
  { 0x4, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG4EI64_V_M1_MF2_MASK }, // 654
  { 0x4, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG4EI64_V_M2_MF2_MASK }, // 655
  { 0x4, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG4EI64_V_M4_MF2_MASK }, // 656
  { 0x4, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG4EI8_V_M1_M1_MASK }, // 657
  { 0x4, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG4EI8_V_MF8_M1_MASK }, // 658
  { 0x4, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG4EI8_V_MF4_M1_MASK }, // 659
  { 0x4, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG4EI8_V_MF2_M1_MASK }, // 660
  { 0x4, 0x1, 0x1, 0x3, 0x1, 0x0, PseudoVSOXSEG4EI8_V_M1_M2_MASK }, // 661
  { 0x4, 0x1, 0x1, 0x3, 0x1, 0x1, PseudoVSOXSEG4EI8_V_M2_M2_MASK }, // 662
  { 0x4, 0x1, 0x1, 0x3, 0x1, 0x6, PseudoVSOXSEG4EI8_V_MF4_M2_MASK }, // 663
  { 0x4, 0x1, 0x1, 0x3, 0x1, 0x7, PseudoVSOXSEG4EI8_V_MF2_M2_MASK }, // 664
  { 0x4, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG4EI8_V_MF8_MF8_MASK }, // 665
  { 0x4, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG4EI8_V_MF8_MF4_MASK }, // 666
  { 0x4, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG4EI8_V_MF4_MF4_MASK }, // 667
  { 0x4, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG4EI8_V_MF8_MF2_MASK }, // 668
  { 0x4, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG4EI8_V_MF4_MF2_MASK }, // 669
  { 0x4, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG4EI8_V_MF2_MF2_MASK }, // 670
  { 0x4, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG4EI16_V_M1_M1_MASK }, // 671
  { 0x4, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG4EI16_V_M2_M1_MASK }, // 672
  { 0x4, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG4EI16_V_MF4_M1_MASK }, // 673
  { 0x4, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG4EI16_V_MF2_M1_MASK }, // 674
  { 0x4, 0x1, 0x1, 0x4, 0x1, 0x0, PseudoVSOXSEG4EI16_V_M1_M2_MASK }, // 675
  { 0x4, 0x1, 0x1, 0x4, 0x1, 0x1, PseudoVSOXSEG4EI16_V_M2_M2_MASK }, // 676
  { 0x4, 0x1, 0x1, 0x4, 0x1, 0x2, PseudoVSOXSEG4EI16_V_M4_M2_MASK }, // 677
  { 0x4, 0x1, 0x1, 0x4, 0x1, 0x7, PseudoVSOXSEG4EI16_V_MF2_M2_MASK }, // 678
  { 0x4, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG4EI16_V_MF4_MF8_MASK }, // 679
  { 0x4, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG4EI16_V_MF4_MF4_MASK }, // 680
  { 0x4, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG4EI16_V_MF2_MF4_MASK }, // 681
  { 0x4, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG4EI16_V_M1_MF2_MASK }, // 682
  { 0x4, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG4EI16_V_MF4_MF2_MASK }, // 683
  { 0x4, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG4EI16_V_MF2_MF2_MASK }, // 684
  { 0x4, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG4EI32_V_M1_M1_MASK }, // 685
  { 0x4, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG4EI32_V_M2_M1_MASK }, // 686
  { 0x4, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG4EI32_V_M4_M1_MASK }, // 687
  { 0x4, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG4EI32_V_MF2_M1_MASK }, // 688
  { 0x4, 0x1, 0x1, 0x5, 0x1, 0x0, PseudoVSOXSEG4EI32_V_M1_M2_MASK }, // 689
  { 0x4, 0x1, 0x1, 0x5, 0x1, 0x1, PseudoVSOXSEG4EI32_V_M2_M2_MASK }, // 690
  { 0x4, 0x1, 0x1, 0x5, 0x1, 0x2, PseudoVSOXSEG4EI32_V_M4_M2_MASK }, // 691
  { 0x4, 0x1, 0x1, 0x5, 0x1, 0x3, PseudoVSOXSEG4EI32_V_M8_M2_MASK }, // 692
  { 0x4, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG4EI32_V_MF2_MF8_MASK }, // 693
  { 0x4, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG4EI32_V_M1_MF4_MASK }, // 694
  { 0x4, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG4EI32_V_MF2_MF4_MASK }, // 695
  { 0x4, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG4EI32_V_M1_MF2_MASK }, // 696
  { 0x4, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG4EI32_V_M2_MF2_MASK }, // 697
  { 0x4, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG4EI32_V_MF2_MF2_MASK }, // 698
  { 0x4, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG4EI64_V_M1_M1_MASK }, // 699
  { 0x4, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG4EI64_V_M2_M1_MASK }, // 700
  { 0x4, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG4EI64_V_M4_M1_MASK }, // 701
  { 0x4, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG4EI64_V_M8_M1_MASK }, // 702
  { 0x4, 0x1, 0x1, 0x6, 0x1, 0x1, PseudoVSOXSEG4EI64_V_M2_M2_MASK }, // 703
  { 0x4, 0x1, 0x1, 0x6, 0x1, 0x2, PseudoVSOXSEG4EI64_V_M4_M2_MASK }, // 704
  { 0x4, 0x1, 0x1, 0x6, 0x1, 0x3, PseudoVSOXSEG4EI64_V_M8_M2_MASK }, // 705
  { 0x4, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG4EI64_V_M1_MF8_MASK }, // 706
  { 0x4, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG4EI64_V_M1_MF4_MASK }, // 707
  { 0x4, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG4EI64_V_M2_MF4_MASK }, // 708
  { 0x4, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG4EI64_V_M1_MF2_MASK }, // 709
  { 0x4, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG4EI64_V_M2_MF2_MASK }, // 710
  { 0x4, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG4EI64_V_M4_MF2_MASK }, // 711
  { 0x5, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG5EI8_V_M1_M1 }, // 712
  { 0x5, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG5EI8_V_MF8_M1 }, // 713
  { 0x5, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG5EI8_V_MF4_M1 }, // 714
  { 0x5, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG5EI8_V_MF2_M1 }, // 715
  { 0x5, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG5EI8_V_MF8_MF8 }, // 716
  { 0x5, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG5EI8_V_MF8_MF4 }, // 717
  { 0x5, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG5EI8_V_MF4_MF4 }, // 718
  { 0x5, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG5EI8_V_MF8_MF2 }, // 719
  { 0x5, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG5EI8_V_MF4_MF2 }, // 720
  { 0x5, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG5EI8_V_MF2_MF2 }, // 721
  { 0x5, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG5EI16_V_M1_M1 }, // 722
  { 0x5, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG5EI16_V_M2_M1 }, // 723
  { 0x5, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG5EI16_V_MF4_M1 }, // 724
  { 0x5, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG5EI16_V_MF2_M1 }, // 725
  { 0x5, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG5EI16_V_MF4_MF8 }, // 726
  { 0x5, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG5EI16_V_MF4_MF4 }, // 727
  { 0x5, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG5EI16_V_MF2_MF4 }, // 728
  { 0x5, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG5EI16_V_M1_MF2 }, // 729
  { 0x5, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG5EI16_V_MF4_MF2 }, // 730
  { 0x5, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG5EI16_V_MF2_MF2 }, // 731
  { 0x5, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG5EI32_V_M1_M1 }, // 732
  { 0x5, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG5EI32_V_M2_M1 }, // 733
  { 0x5, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG5EI32_V_M4_M1 }, // 734
  { 0x5, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG5EI32_V_MF2_M1 }, // 735
  { 0x5, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG5EI32_V_MF2_MF8 }, // 736
  { 0x5, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG5EI32_V_M1_MF4 }, // 737
  { 0x5, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG5EI32_V_MF2_MF4 }, // 738
  { 0x5, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG5EI32_V_M1_MF2 }, // 739
  { 0x5, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG5EI32_V_M2_MF2 }, // 740
  { 0x5, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG5EI32_V_MF2_MF2 }, // 741
  { 0x5, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG5EI64_V_M1_M1 }, // 742
  { 0x5, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG5EI64_V_M2_M1 }, // 743
  { 0x5, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG5EI64_V_M4_M1 }, // 744
  { 0x5, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG5EI64_V_M8_M1 }, // 745
  { 0x5, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG5EI64_V_M1_MF8 }, // 746
  { 0x5, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG5EI64_V_M1_MF4 }, // 747
  { 0x5, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG5EI64_V_M2_MF4 }, // 748
  { 0x5, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG5EI64_V_M1_MF2 }, // 749
  { 0x5, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG5EI64_V_M2_MF2 }, // 750
  { 0x5, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG5EI64_V_M4_MF2 }, // 751
  { 0x5, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG5EI8_V_M1_M1 }, // 752
  { 0x5, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG5EI8_V_MF8_M1 }, // 753
  { 0x5, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG5EI8_V_MF4_M1 }, // 754
  { 0x5, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG5EI8_V_MF2_M1 }, // 755
  { 0x5, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG5EI8_V_MF8_MF8 }, // 756
  { 0x5, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG5EI8_V_MF8_MF4 }, // 757
  { 0x5, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG5EI8_V_MF4_MF4 }, // 758
  { 0x5, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG5EI8_V_MF8_MF2 }, // 759
  { 0x5, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG5EI8_V_MF4_MF2 }, // 760
  { 0x5, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG5EI8_V_MF2_MF2 }, // 761
  { 0x5, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG5EI16_V_M1_M1 }, // 762
  { 0x5, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG5EI16_V_M2_M1 }, // 763
  { 0x5, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG5EI16_V_MF4_M1 }, // 764
  { 0x5, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG5EI16_V_MF2_M1 }, // 765
  { 0x5, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG5EI16_V_MF4_MF8 }, // 766
  { 0x5, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG5EI16_V_MF4_MF4 }, // 767
  { 0x5, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG5EI16_V_MF2_MF4 }, // 768
  { 0x5, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG5EI16_V_M1_MF2 }, // 769
  { 0x5, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG5EI16_V_MF4_MF2 }, // 770
  { 0x5, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG5EI16_V_MF2_MF2 }, // 771
  { 0x5, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG5EI32_V_M1_M1 }, // 772
  { 0x5, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG5EI32_V_M2_M1 }, // 773
  { 0x5, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG5EI32_V_M4_M1 }, // 774
  { 0x5, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG5EI32_V_MF2_M1 }, // 775
  { 0x5, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG5EI32_V_MF2_MF8 }, // 776
  { 0x5, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG5EI32_V_M1_MF4 }, // 777
  { 0x5, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG5EI32_V_MF2_MF4 }, // 778
  { 0x5, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG5EI32_V_M1_MF2 }, // 779
  { 0x5, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG5EI32_V_M2_MF2 }, // 780
  { 0x5, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG5EI32_V_MF2_MF2 }, // 781
  { 0x5, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG5EI64_V_M1_M1 }, // 782
  { 0x5, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG5EI64_V_M2_M1 }, // 783
  { 0x5, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG5EI64_V_M4_M1 }, // 784
  { 0x5, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG5EI64_V_M8_M1 }, // 785
  { 0x5, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG5EI64_V_M1_MF8 }, // 786
  { 0x5, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG5EI64_V_M1_MF4 }, // 787
  { 0x5, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG5EI64_V_M2_MF4 }, // 788
  { 0x5, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG5EI64_V_M1_MF2 }, // 789
  { 0x5, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG5EI64_V_M2_MF2 }, // 790
  { 0x5, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG5EI64_V_M4_MF2 }, // 791
  { 0x5, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG5EI8_V_M1_M1_MASK }, // 792
  { 0x5, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG5EI8_V_MF8_M1_MASK }, // 793
  { 0x5, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG5EI8_V_MF4_M1_MASK }, // 794
  { 0x5, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG5EI8_V_MF2_M1_MASK }, // 795
  { 0x5, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG5EI8_V_MF8_MF8_MASK }, // 796
  { 0x5, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG5EI8_V_MF8_MF4_MASK }, // 797
  { 0x5, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG5EI8_V_MF4_MF4_MASK }, // 798
  { 0x5, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG5EI8_V_MF8_MF2_MASK }, // 799
  { 0x5, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG5EI8_V_MF4_MF2_MASK }, // 800
  { 0x5, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG5EI8_V_MF2_MF2_MASK }, // 801
  { 0x5, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG5EI16_V_M1_M1_MASK }, // 802
  { 0x5, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG5EI16_V_M2_M1_MASK }, // 803
  { 0x5, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG5EI16_V_MF4_M1_MASK }, // 804
  { 0x5, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG5EI16_V_MF2_M1_MASK }, // 805
  { 0x5, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG5EI16_V_MF4_MF8_MASK }, // 806
  { 0x5, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG5EI16_V_MF4_MF4_MASK }, // 807
  { 0x5, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG5EI16_V_MF2_MF4_MASK }, // 808
  { 0x5, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG5EI16_V_M1_MF2_MASK }, // 809
  { 0x5, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG5EI16_V_MF4_MF2_MASK }, // 810
  { 0x5, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG5EI16_V_MF2_MF2_MASK }, // 811
  { 0x5, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG5EI32_V_M1_M1_MASK }, // 812
  { 0x5, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG5EI32_V_M2_M1_MASK }, // 813
  { 0x5, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG5EI32_V_M4_M1_MASK }, // 814
  { 0x5, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG5EI32_V_MF2_M1_MASK }, // 815
  { 0x5, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG5EI32_V_MF2_MF8_MASK }, // 816
  { 0x5, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG5EI32_V_M1_MF4_MASK }, // 817
  { 0x5, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG5EI32_V_MF2_MF4_MASK }, // 818
  { 0x5, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG5EI32_V_M1_MF2_MASK }, // 819
  { 0x5, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG5EI32_V_M2_MF2_MASK }, // 820
  { 0x5, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG5EI32_V_MF2_MF2_MASK }, // 821
  { 0x5, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG5EI64_V_M1_M1_MASK }, // 822
  { 0x5, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG5EI64_V_M2_M1_MASK }, // 823
  { 0x5, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG5EI64_V_M4_M1_MASK }, // 824
  { 0x5, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG5EI64_V_M8_M1_MASK }, // 825
  { 0x5, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG5EI64_V_M1_MF8_MASK }, // 826
  { 0x5, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG5EI64_V_M1_MF4_MASK }, // 827
  { 0x5, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG5EI64_V_M2_MF4_MASK }, // 828
  { 0x5, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG5EI64_V_M1_MF2_MASK }, // 829
  { 0x5, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG5EI64_V_M2_MF2_MASK }, // 830
  { 0x5, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG5EI64_V_M4_MF2_MASK }, // 831
  { 0x5, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG5EI8_V_M1_M1_MASK }, // 832
  { 0x5, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG5EI8_V_MF8_M1_MASK }, // 833
  { 0x5, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG5EI8_V_MF4_M1_MASK }, // 834
  { 0x5, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG5EI8_V_MF2_M1_MASK }, // 835
  { 0x5, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG5EI8_V_MF8_MF8_MASK }, // 836
  { 0x5, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG5EI8_V_MF8_MF4_MASK }, // 837
  { 0x5, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG5EI8_V_MF4_MF4_MASK }, // 838
  { 0x5, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG5EI8_V_MF8_MF2_MASK }, // 839
  { 0x5, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG5EI8_V_MF4_MF2_MASK }, // 840
  { 0x5, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG5EI8_V_MF2_MF2_MASK }, // 841
  { 0x5, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG5EI16_V_M1_M1_MASK }, // 842
  { 0x5, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG5EI16_V_M2_M1_MASK }, // 843
  { 0x5, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG5EI16_V_MF4_M1_MASK }, // 844
  { 0x5, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG5EI16_V_MF2_M1_MASK }, // 845
  { 0x5, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG5EI16_V_MF4_MF8_MASK }, // 846
  { 0x5, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG5EI16_V_MF4_MF4_MASK }, // 847
  { 0x5, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG5EI16_V_MF2_MF4_MASK }, // 848
  { 0x5, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG5EI16_V_M1_MF2_MASK }, // 849
  { 0x5, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG5EI16_V_MF4_MF2_MASK }, // 850
  { 0x5, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG5EI16_V_MF2_MF2_MASK }, // 851
  { 0x5, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG5EI32_V_M1_M1_MASK }, // 852
  { 0x5, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG5EI32_V_M2_M1_MASK }, // 853
  { 0x5, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG5EI32_V_M4_M1_MASK }, // 854
  { 0x5, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG5EI32_V_MF2_M1_MASK }, // 855
  { 0x5, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG5EI32_V_MF2_MF8_MASK }, // 856
  { 0x5, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG5EI32_V_M1_MF4_MASK }, // 857
  { 0x5, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG5EI32_V_MF2_MF4_MASK }, // 858
  { 0x5, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG5EI32_V_M1_MF2_MASK }, // 859
  { 0x5, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG5EI32_V_M2_MF2_MASK }, // 860
  { 0x5, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG5EI32_V_MF2_MF2_MASK }, // 861
  { 0x5, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG5EI64_V_M1_M1_MASK }, // 862
  { 0x5, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG5EI64_V_M2_M1_MASK }, // 863
  { 0x5, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG5EI64_V_M4_M1_MASK }, // 864
  { 0x5, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG5EI64_V_M8_M1_MASK }, // 865
  { 0x5, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG5EI64_V_M1_MF8_MASK }, // 866
  { 0x5, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG5EI64_V_M1_MF4_MASK }, // 867
  { 0x5, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG5EI64_V_M2_MF4_MASK }, // 868
  { 0x5, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG5EI64_V_M1_MF2_MASK }, // 869
  { 0x5, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG5EI64_V_M2_MF2_MASK }, // 870
  { 0x5, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG5EI64_V_M4_MF2_MASK }, // 871
  { 0x6, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG6EI8_V_M1_M1 }, // 872
  { 0x6, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG6EI8_V_MF8_M1 }, // 873
  { 0x6, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG6EI8_V_MF4_M1 }, // 874
  { 0x6, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG6EI8_V_MF2_M1 }, // 875
  { 0x6, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG6EI8_V_MF8_MF8 }, // 876
  { 0x6, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG6EI8_V_MF8_MF4 }, // 877
  { 0x6, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG6EI8_V_MF4_MF4 }, // 878
  { 0x6, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG6EI8_V_MF8_MF2 }, // 879
  { 0x6, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG6EI8_V_MF4_MF2 }, // 880
  { 0x6, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG6EI8_V_MF2_MF2 }, // 881
  { 0x6, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG6EI16_V_M1_M1 }, // 882
  { 0x6, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG6EI16_V_M2_M1 }, // 883
  { 0x6, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG6EI16_V_MF4_M1 }, // 884
  { 0x6, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG6EI16_V_MF2_M1 }, // 885
  { 0x6, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG6EI16_V_MF4_MF8 }, // 886
  { 0x6, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG6EI16_V_MF4_MF4 }, // 887
  { 0x6, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG6EI16_V_MF2_MF4 }, // 888
  { 0x6, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG6EI16_V_M1_MF2 }, // 889
  { 0x6, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG6EI16_V_MF4_MF2 }, // 890
  { 0x6, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG6EI16_V_MF2_MF2 }, // 891
  { 0x6, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG6EI32_V_M1_M1 }, // 892
  { 0x6, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG6EI32_V_M2_M1 }, // 893
  { 0x6, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG6EI32_V_M4_M1 }, // 894
  { 0x6, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG6EI32_V_MF2_M1 }, // 895
  { 0x6, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG6EI32_V_MF2_MF8 }, // 896
  { 0x6, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG6EI32_V_M1_MF4 }, // 897
  { 0x6, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG6EI32_V_MF2_MF4 }, // 898
  { 0x6, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG6EI32_V_M1_MF2 }, // 899
  { 0x6, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG6EI32_V_M2_MF2 }, // 900
  { 0x6, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG6EI32_V_MF2_MF2 }, // 901
  { 0x6, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG6EI64_V_M1_M1 }, // 902
  { 0x6, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG6EI64_V_M2_M1 }, // 903
  { 0x6, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG6EI64_V_M4_M1 }, // 904
  { 0x6, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG6EI64_V_M8_M1 }, // 905
  { 0x6, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG6EI64_V_M1_MF8 }, // 906
  { 0x6, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG6EI64_V_M1_MF4 }, // 907
  { 0x6, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG6EI64_V_M2_MF4 }, // 908
  { 0x6, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG6EI64_V_M1_MF2 }, // 909
  { 0x6, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG6EI64_V_M2_MF2 }, // 910
  { 0x6, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG6EI64_V_M4_MF2 }, // 911
  { 0x6, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG6EI8_V_M1_M1 }, // 912
  { 0x6, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG6EI8_V_MF8_M1 }, // 913
  { 0x6, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG6EI8_V_MF4_M1 }, // 914
  { 0x6, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG6EI8_V_MF2_M1 }, // 915
  { 0x6, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG6EI8_V_MF8_MF8 }, // 916
  { 0x6, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG6EI8_V_MF8_MF4 }, // 917
  { 0x6, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG6EI8_V_MF4_MF4 }, // 918
  { 0x6, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG6EI8_V_MF8_MF2 }, // 919
  { 0x6, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG6EI8_V_MF4_MF2 }, // 920
  { 0x6, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG6EI8_V_MF2_MF2 }, // 921
  { 0x6, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG6EI16_V_M1_M1 }, // 922
  { 0x6, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG6EI16_V_M2_M1 }, // 923
  { 0x6, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG6EI16_V_MF4_M1 }, // 924
  { 0x6, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG6EI16_V_MF2_M1 }, // 925
  { 0x6, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG6EI16_V_MF4_MF8 }, // 926
  { 0x6, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG6EI16_V_MF4_MF4 }, // 927
  { 0x6, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG6EI16_V_MF2_MF4 }, // 928
  { 0x6, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG6EI16_V_M1_MF2 }, // 929
  { 0x6, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG6EI16_V_MF4_MF2 }, // 930
  { 0x6, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG6EI16_V_MF2_MF2 }, // 931
  { 0x6, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG6EI32_V_M1_M1 }, // 932
  { 0x6, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG6EI32_V_M2_M1 }, // 933
  { 0x6, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG6EI32_V_M4_M1 }, // 934
  { 0x6, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG6EI32_V_MF2_M1 }, // 935
  { 0x6, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG6EI32_V_MF2_MF8 }, // 936
  { 0x6, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG6EI32_V_M1_MF4 }, // 937
  { 0x6, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG6EI32_V_MF2_MF4 }, // 938
  { 0x6, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG6EI32_V_M1_MF2 }, // 939
  { 0x6, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG6EI32_V_M2_MF2 }, // 940
  { 0x6, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG6EI32_V_MF2_MF2 }, // 941
  { 0x6, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG6EI64_V_M1_M1 }, // 942
  { 0x6, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG6EI64_V_M2_M1 }, // 943
  { 0x6, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG6EI64_V_M4_M1 }, // 944
  { 0x6, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG6EI64_V_M8_M1 }, // 945
  { 0x6, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG6EI64_V_M1_MF8 }, // 946
  { 0x6, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG6EI64_V_M1_MF4 }, // 947
  { 0x6, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG6EI64_V_M2_MF4 }, // 948
  { 0x6, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG6EI64_V_M1_MF2 }, // 949
  { 0x6, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG6EI64_V_M2_MF2 }, // 950
  { 0x6, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG6EI64_V_M4_MF2 }, // 951
  { 0x6, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG6EI8_V_M1_M1_MASK }, // 952
  { 0x6, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG6EI8_V_MF8_M1_MASK }, // 953
  { 0x6, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG6EI8_V_MF4_M1_MASK }, // 954
  { 0x6, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG6EI8_V_MF2_M1_MASK }, // 955
  { 0x6, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG6EI8_V_MF8_MF8_MASK }, // 956
  { 0x6, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG6EI8_V_MF8_MF4_MASK }, // 957
  { 0x6, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG6EI8_V_MF4_MF4_MASK }, // 958
  { 0x6, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG6EI8_V_MF8_MF2_MASK }, // 959
  { 0x6, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG6EI8_V_MF4_MF2_MASK }, // 960
  { 0x6, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG6EI8_V_MF2_MF2_MASK }, // 961
  { 0x6, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG6EI16_V_M1_M1_MASK }, // 962
  { 0x6, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG6EI16_V_M2_M1_MASK }, // 963
  { 0x6, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG6EI16_V_MF4_M1_MASK }, // 964
  { 0x6, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG6EI16_V_MF2_M1_MASK }, // 965
  { 0x6, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG6EI16_V_MF4_MF8_MASK }, // 966
  { 0x6, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG6EI16_V_MF4_MF4_MASK }, // 967
  { 0x6, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG6EI16_V_MF2_MF4_MASK }, // 968
  { 0x6, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG6EI16_V_M1_MF2_MASK }, // 969
  { 0x6, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG6EI16_V_MF4_MF2_MASK }, // 970
  { 0x6, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG6EI16_V_MF2_MF2_MASK }, // 971
  { 0x6, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG6EI32_V_M1_M1_MASK }, // 972
  { 0x6, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG6EI32_V_M2_M1_MASK }, // 973
  { 0x6, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG6EI32_V_M4_M1_MASK }, // 974
  { 0x6, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG6EI32_V_MF2_M1_MASK }, // 975
  { 0x6, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG6EI32_V_MF2_MF8_MASK }, // 976
  { 0x6, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG6EI32_V_M1_MF4_MASK }, // 977
  { 0x6, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG6EI32_V_MF2_MF4_MASK }, // 978
  { 0x6, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG6EI32_V_M1_MF2_MASK }, // 979
  { 0x6, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG6EI32_V_M2_MF2_MASK }, // 980
  { 0x6, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG6EI32_V_MF2_MF2_MASK }, // 981
  { 0x6, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG6EI64_V_M1_M1_MASK }, // 982
  { 0x6, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG6EI64_V_M2_M1_MASK }, // 983
  { 0x6, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG6EI64_V_M4_M1_MASK }, // 984
  { 0x6, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG6EI64_V_M8_M1_MASK }, // 985
  { 0x6, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG6EI64_V_M1_MF8_MASK }, // 986
  { 0x6, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG6EI64_V_M1_MF4_MASK }, // 987
  { 0x6, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG6EI64_V_M2_MF4_MASK }, // 988
  { 0x6, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG6EI64_V_M1_MF2_MASK }, // 989
  { 0x6, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG6EI64_V_M2_MF2_MASK }, // 990
  { 0x6, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG6EI64_V_M4_MF2_MASK }, // 991
  { 0x6, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG6EI8_V_M1_M1_MASK }, // 992
  { 0x6, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG6EI8_V_MF8_M1_MASK }, // 993
  { 0x6, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG6EI8_V_MF4_M1_MASK }, // 994
  { 0x6, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG6EI8_V_MF2_M1_MASK }, // 995
  { 0x6, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG6EI8_V_MF8_MF8_MASK }, // 996
  { 0x6, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG6EI8_V_MF8_MF4_MASK }, // 997
  { 0x6, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG6EI8_V_MF4_MF4_MASK }, // 998
  { 0x6, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG6EI8_V_MF8_MF2_MASK }, // 999
  { 0x6, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG6EI8_V_MF4_MF2_MASK }, // 1000
  { 0x6, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG6EI8_V_MF2_MF2_MASK }, // 1001
  { 0x6, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG6EI16_V_M1_M1_MASK }, // 1002
  { 0x6, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG6EI16_V_M2_M1_MASK }, // 1003
  { 0x6, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG6EI16_V_MF4_M1_MASK }, // 1004
  { 0x6, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG6EI16_V_MF2_M1_MASK }, // 1005
  { 0x6, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG6EI16_V_MF4_MF8_MASK }, // 1006
  { 0x6, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG6EI16_V_MF4_MF4_MASK }, // 1007
  { 0x6, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG6EI16_V_MF2_MF4_MASK }, // 1008
  { 0x6, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG6EI16_V_M1_MF2_MASK }, // 1009
  { 0x6, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG6EI16_V_MF4_MF2_MASK }, // 1010
  { 0x6, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG6EI16_V_MF2_MF2_MASK }, // 1011
  { 0x6, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG6EI32_V_M1_M1_MASK }, // 1012
  { 0x6, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG6EI32_V_M2_M1_MASK }, // 1013
  { 0x6, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG6EI32_V_M4_M1_MASK }, // 1014
  { 0x6, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG6EI32_V_MF2_M1_MASK }, // 1015
  { 0x6, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG6EI32_V_MF2_MF8_MASK }, // 1016
  { 0x6, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG6EI32_V_M1_MF4_MASK }, // 1017
  { 0x6, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG6EI32_V_MF2_MF4_MASK }, // 1018
  { 0x6, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG6EI32_V_M1_MF2_MASK }, // 1019
  { 0x6, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG6EI32_V_M2_MF2_MASK }, // 1020
  { 0x6, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG6EI32_V_MF2_MF2_MASK }, // 1021
  { 0x6, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG6EI64_V_M1_M1_MASK }, // 1022
  { 0x6, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG6EI64_V_M2_M1_MASK }, // 1023
  { 0x6, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG6EI64_V_M4_M1_MASK }, // 1024
  { 0x6, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG6EI64_V_M8_M1_MASK }, // 1025
  { 0x6, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG6EI64_V_M1_MF8_MASK }, // 1026
  { 0x6, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG6EI64_V_M1_MF4_MASK }, // 1027
  { 0x6, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG6EI64_V_M2_MF4_MASK }, // 1028
  { 0x6, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG6EI64_V_M1_MF2_MASK }, // 1029
  { 0x6, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG6EI64_V_M2_MF2_MASK }, // 1030
  { 0x6, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG6EI64_V_M4_MF2_MASK }, // 1031
  { 0x7, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG7EI8_V_M1_M1 }, // 1032
  { 0x7, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG7EI8_V_MF8_M1 }, // 1033
  { 0x7, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG7EI8_V_MF4_M1 }, // 1034
  { 0x7, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG7EI8_V_MF2_M1 }, // 1035
  { 0x7, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG7EI8_V_MF8_MF8 }, // 1036
  { 0x7, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG7EI8_V_MF8_MF4 }, // 1037
  { 0x7, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG7EI8_V_MF4_MF4 }, // 1038
  { 0x7, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG7EI8_V_MF8_MF2 }, // 1039
  { 0x7, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG7EI8_V_MF4_MF2 }, // 1040
  { 0x7, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG7EI8_V_MF2_MF2 }, // 1041
  { 0x7, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG7EI16_V_M1_M1 }, // 1042
  { 0x7, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG7EI16_V_M2_M1 }, // 1043
  { 0x7, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG7EI16_V_MF4_M1 }, // 1044
  { 0x7, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG7EI16_V_MF2_M1 }, // 1045
  { 0x7, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG7EI16_V_MF4_MF8 }, // 1046
  { 0x7, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG7EI16_V_MF4_MF4 }, // 1047
  { 0x7, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG7EI16_V_MF2_MF4 }, // 1048
  { 0x7, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG7EI16_V_M1_MF2 }, // 1049
  { 0x7, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG7EI16_V_MF4_MF2 }, // 1050
  { 0x7, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG7EI16_V_MF2_MF2 }, // 1051
  { 0x7, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG7EI32_V_M1_M1 }, // 1052
  { 0x7, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG7EI32_V_M2_M1 }, // 1053
  { 0x7, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG7EI32_V_M4_M1 }, // 1054
  { 0x7, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG7EI32_V_MF2_M1 }, // 1055
  { 0x7, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG7EI32_V_MF2_MF8 }, // 1056
  { 0x7, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG7EI32_V_M1_MF4 }, // 1057
  { 0x7, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG7EI32_V_MF2_MF4 }, // 1058
  { 0x7, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG7EI32_V_M1_MF2 }, // 1059
  { 0x7, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG7EI32_V_M2_MF2 }, // 1060
  { 0x7, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG7EI32_V_MF2_MF2 }, // 1061
  { 0x7, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG7EI64_V_M1_M1 }, // 1062
  { 0x7, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG7EI64_V_M2_M1 }, // 1063
  { 0x7, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG7EI64_V_M4_M1 }, // 1064
  { 0x7, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG7EI64_V_M8_M1 }, // 1065
  { 0x7, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG7EI64_V_M1_MF8 }, // 1066
  { 0x7, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG7EI64_V_M1_MF4 }, // 1067
  { 0x7, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG7EI64_V_M2_MF4 }, // 1068
  { 0x7, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG7EI64_V_M1_MF2 }, // 1069
  { 0x7, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG7EI64_V_M2_MF2 }, // 1070
  { 0x7, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG7EI64_V_M4_MF2 }, // 1071
  { 0x7, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG7EI8_V_M1_M1 }, // 1072
  { 0x7, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG7EI8_V_MF8_M1 }, // 1073
  { 0x7, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG7EI8_V_MF4_M1 }, // 1074
  { 0x7, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG7EI8_V_MF2_M1 }, // 1075
  { 0x7, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG7EI8_V_MF8_MF8 }, // 1076
  { 0x7, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG7EI8_V_MF8_MF4 }, // 1077
  { 0x7, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG7EI8_V_MF4_MF4 }, // 1078
  { 0x7, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG7EI8_V_MF8_MF2 }, // 1079
  { 0x7, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG7EI8_V_MF4_MF2 }, // 1080
  { 0x7, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG7EI8_V_MF2_MF2 }, // 1081
  { 0x7, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG7EI16_V_M1_M1 }, // 1082
  { 0x7, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG7EI16_V_M2_M1 }, // 1083
  { 0x7, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG7EI16_V_MF4_M1 }, // 1084
  { 0x7, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG7EI16_V_MF2_M1 }, // 1085
  { 0x7, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG7EI16_V_MF4_MF8 }, // 1086
  { 0x7, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG7EI16_V_MF4_MF4 }, // 1087
  { 0x7, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG7EI16_V_MF2_MF4 }, // 1088
  { 0x7, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG7EI16_V_M1_MF2 }, // 1089
  { 0x7, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG7EI16_V_MF4_MF2 }, // 1090
  { 0x7, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG7EI16_V_MF2_MF2 }, // 1091
  { 0x7, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG7EI32_V_M1_M1 }, // 1092
  { 0x7, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG7EI32_V_M2_M1 }, // 1093
  { 0x7, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG7EI32_V_M4_M1 }, // 1094
  { 0x7, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG7EI32_V_MF2_M1 }, // 1095
  { 0x7, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG7EI32_V_MF2_MF8 }, // 1096
  { 0x7, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG7EI32_V_M1_MF4 }, // 1097
  { 0x7, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG7EI32_V_MF2_MF4 }, // 1098
  { 0x7, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG7EI32_V_M1_MF2 }, // 1099
  { 0x7, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG7EI32_V_M2_MF2 }, // 1100
  { 0x7, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG7EI32_V_MF2_MF2 }, // 1101
  { 0x7, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG7EI64_V_M1_M1 }, // 1102
  { 0x7, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG7EI64_V_M2_M1 }, // 1103
  { 0x7, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG7EI64_V_M4_M1 }, // 1104
  { 0x7, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG7EI64_V_M8_M1 }, // 1105
  { 0x7, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG7EI64_V_M1_MF8 }, // 1106
  { 0x7, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG7EI64_V_M1_MF4 }, // 1107
  { 0x7, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG7EI64_V_M2_MF4 }, // 1108
  { 0x7, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG7EI64_V_M1_MF2 }, // 1109
  { 0x7, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG7EI64_V_M2_MF2 }, // 1110
  { 0x7, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG7EI64_V_M4_MF2 }, // 1111
  { 0x7, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG7EI8_V_M1_M1_MASK }, // 1112
  { 0x7, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG7EI8_V_MF8_M1_MASK }, // 1113
  { 0x7, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG7EI8_V_MF4_M1_MASK }, // 1114
  { 0x7, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG7EI8_V_MF2_M1_MASK }, // 1115
  { 0x7, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG7EI8_V_MF8_MF8_MASK }, // 1116
  { 0x7, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG7EI8_V_MF8_MF4_MASK }, // 1117
  { 0x7, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG7EI8_V_MF4_MF4_MASK }, // 1118
  { 0x7, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG7EI8_V_MF8_MF2_MASK }, // 1119
  { 0x7, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG7EI8_V_MF4_MF2_MASK }, // 1120
  { 0x7, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG7EI8_V_MF2_MF2_MASK }, // 1121
  { 0x7, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG7EI16_V_M1_M1_MASK }, // 1122
  { 0x7, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG7EI16_V_M2_M1_MASK }, // 1123
  { 0x7, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG7EI16_V_MF4_M1_MASK }, // 1124
  { 0x7, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG7EI16_V_MF2_M1_MASK }, // 1125
  { 0x7, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG7EI16_V_MF4_MF8_MASK }, // 1126
  { 0x7, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG7EI16_V_MF4_MF4_MASK }, // 1127
  { 0x7, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG7EI16_V_MF2_MF4_MASK }, // 1128
  { 0x7, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG7EI16_V_M1_MF2_MASK }, // 1129
  { 0x7, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG7EI16_V_MF4_MF2_MASK }, // 1130
  { 0x7, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG7EI16_V_MF2_MF2_MASK }, // 1131
  { 0x7, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG7EI32_V_M1_M1_MASK }, // 1132
  { 0x7, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG7EI32_V_M2_M1_MASK }, // 1133
  { 0x7, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG7EI32_V_M4_M1_MASK }, // 1134
  { 0x7, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG7EI32_V_MF2_M1_MASK }, // 1135
  { 0x7, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG7EI32_V_MF2_MF8_MASK }, // 1136
  { 0x7, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG7EI32_V_M1_MF4_MASK }, // 1137
  { 0x7, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG7EI32_V_MF2_MF4_MASK }, // 1138
  { 0x7, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG7EI32_V_M1_MF2_MASK }, // 1139
  { 0x7, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG7EI32_V_M2_MF2_MASK }, // 1140
  { 0x7, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG7EI32_V_MF2_MF2_MASK }, // 1141
  { 0x7, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG7EI64_V_M1_M1_MASK }, // 1142
  { 0x7, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG7EI64_V_M2_M1_MASK }, // 1143
  { 0x7, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG7EI64_V_M4_M1_MASK }, // 1144
  { 0x7, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG7EI64_V_M8_M1_MASK }, // 1145
  { 0x7, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG7EI64_V_M1_MF8_MASK }, // 1146
  { 0x7, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG7EI64_V_M1_MF4_MASK }, // 1147
  { 0x7, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG7EI64_V_M2_MF4_MASK }, // 1148
  { 0x7, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG7EI64_V_M1_MF2_MASK }, // 1149
  { 0x7, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG7EI64_V_M2_MF2_MASK }, // 1150
  { 0x7, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG7EI64_V_M4_MF2_MASK }, // 1151
  { 0x7, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG7EI8_V_M1_M1_MASK }, // 1152
  { 0x7, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG7EI8_V_MF8_M1_MASK }, // 1153
  { 0x7, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG7EI8_V_MF4_M1_MASK }, // 1154
  { 0x7, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG7EI8_V_MF2_M1_MASK }, // 1155
  { 0x7, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG7EI8_V_MF8_MF8_MASK }, // 1156
  { 0x7, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG7EI8_V_MF8_MF4_MASK }, // 1157
  { 0x7, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG7EI8_V_MF4_MF4_MASK }, // 1158
  { 0x7, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG7EI8_V_MF8_MF2_MASK }, // 1159
  { 0x7, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG7EI8_V_MF4_MF2_MASK }, // 1160
  { 0x7, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG7EI8_V_MF2_MF2_MASK }, // 1161
  { 0x7, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG7EI16_V_M1_M1_MASK }, // 1162
  { 0x7, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG7EI16_V_M2_M1_MASK }, // 1163
  { 0x7, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG7EI16_V_MF4_M1_MASK }, // 1164
  { 0x7, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG7EI16_V_MF2_M1_MASK }, // 1165
  { 0x7, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG7EI16_V_MF4_MF8_MASK }, // 1166
  { 0x7, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG7EI16_V_MF4_MF4_MASK }, // 1167
  { 0x7, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG7EI16_V_MF2_MF4_MASK }, // 1168
  { 0x7, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG7EI16_V_M1_MF2_MASK }, // 1169
  { 0x7, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG7EI16_V_MF4_MF2_MASK }, // 1170
  { 0x7, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG7EI16_V_MF2_MF2_MASK }, // 1171
  { 0x7, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG7EI32_V_M1_M1_MASK }, // 1172
  { 0x7, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG7EI32_V_M2_M1_MASK }, // 1173
  { 0x7, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG7EI32_V_M4_M1_MASK }, // 1174
  { 0x7, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG7EI32_V_MF2_M1_MASK }, // 1175
  { 0x7, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG7EI32_V_MF2_MF8_MASK }, // 1176
  { 0x7, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG7EI32_V_M1_MF4_MASK }, // 1177
  { 0x7, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG7EI32_V_MF2_MF4_MASK }, // 1178
  { 0x7, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG7EI32_V_M1_MF2_MASK }, // 1179
  { 0x7, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG7EI32_V_M2_MF2_MASK }, // 1180
  { 0x7, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG7EI32_V_MF2_MF2_MASK }, // 1181
  { 0x7, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG7EI64_V_M1_M1_MASK }, // 1182
  { 0x7, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG7EI64_V_M2_M1_MASK }, // 1183
  { 0x7, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG7EI64_V_M4_M1_MASK }, // 1184
  { 0x7, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG7EI64_V_M8_M1_MASK }, // 1185
  { 0x7, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG7EI64_V_M1_MF8_MASK }, // 1186
  { 0x7, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG7EI64_V_M1_MF4_MASK }, // 1187
  { 0x7, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG7EI64_V_M2_MF4_MASK }, // 1188
  { 0x7, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG7EI64_V_M1_MF2_MASK }, // 1189
  { 0x7, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG7EI64_V_M2_MF2_MASK }, // 1190
  { 0x7, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG7EI64_V_M4_MF2_MASK }, // 1191
  { 0x8, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG8EI8_V_M1_M1 }, // 1192
  { 0x8, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG8EI8_V_MF8_M1 }, // 1193
  { 0x8, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG8EI8_V_MF4_M1 }, // 1194
  { 0x8, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG8EI8_V_MF2_M1 }, // 1195
  { 0x8, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG8EI8_V_MF8_MF8 }, // 1196
  { 0x8, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG8EI8_V_MF8_MF4 }, // 1197
  { 0x8, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG8EI8_V_MF4_MF4 }, // 1198
  { 0x8, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG8EI8_V_MF8_MF2 }, // 1199
  { 0x8, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG8EI8_V_MF4_MF2 }, // 1200
  { 0x8, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG8EI8_V_MF2_MF2 }, // 1201
  { 0x8, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG8EI16_V_M1_M1 }, // 1202
  { 0x8, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG8EI16_V_M2_M1 }, // 1203
  { 0x8, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG8EI16_V_MF4_M1 }, // 1204
  { 0x8, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG8EI16_V_MF2_M1 }, // 1205
  { 0x8, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG8EI16_V_MF4_MF8 }, // 1206
  { 0x8, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG8EI16_V_MF4_MF4 }, // 1207
  { 0x8, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG8EI16_V_MF2_MF4 }, // 1208
  { 0x8, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG8EI16_V_M1_MF2 }, // 1209
  { 0x8, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG8EI16_V_MF4_MF2 }, // 1210
  { 0x8, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG8EI16_V_MF2_MF2 }, // 1211
  { 0x8, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG8EI32_V_M1_M1 }, // 1212
  { 0x8, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG8EI32_V_M2_M1 }, // 1213
  { 0x8, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG8EI32_V_M4_M1 }, // 1214
  { 0x8, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG8EI32_V_MF2_M1 }, // 1215
  { 0x8, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG8EI32_V_MF2_MF8 }, // 1216
  { 0x8, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG8EI32_V_M1_MF4 }, // 1217
  { 0x8, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG8EI32_V_MF2_MF4 }, // 1218
  { 0x8, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG8EI32_V_M1_MF2 }, // 1219
  { 0x8, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG8EI32_V_M2_MF2 }, // 1220
  { 0x8, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG8EI32_V_MF2_MF2 }, // 1221
  { 0x8, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG8EI64_V_M1_M1 }, // 1222
  { 0x8, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG8EI64_V_M2_M1 }, // 1223
  { 0x8, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG8EI64_V_M4_M1 }, // 1224
  { 0x8, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG8EI64_V_M8_M1 }, // 1225
  { 0x8, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG8EI64_V_M1_MF8 }, // 1226
  { 0x8, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG8EI64_V_M1_MF4 }, // 1227
  { 0x8, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG8EI64_V_M2_MF4 }, // 1228
  { 0x8, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG8EI64_V_M1_MF2 }, // 1229
  { 0x8, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG8EI64_V_M2_MF2 }, // 1230
  { 0x8, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG8EI64_V_M4_MF2 }, // 1231
  { 0x8, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG8EI8_V_M1_M1 }, // 1232
  { 0x8, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG8EI8_V_MF8_M1 }, // 1233
  { 0x8, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG8EI8_V_MF4_M1 }, // 1234
  { 0x8, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG8EI8_V_MF2_M1 }, // 1235
  { 0x8, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG8EI8_V_MF8_MF8 }, // 1236
  { 0x8, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG8EI8_V_MF8_MF4 }, // 1237
  { 0x8, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG8EI8_V_MF4_MF4 }, // 1238
  { 0x8, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG8EI8_V_MF8_MF2 }, // 1239
  { 0x8, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG8EI8_V_MF4_MF2 }, // 1240
  { 0x8, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG8EI8_V_MF2_MF2 }, // 1241
  { 0x8, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG8EI16_V_M1_M1 }, // 1242
  { 0x8, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG8EI16_V_M2_M1 }, // 1243
  { 0x8, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG8EI16_V_MF4_M1 }, // 1244
  { 0x8, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG8EI16_V_MF2_M1 }, // 1245
  { 0x8, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG8EI16_V_MF4_MF8 }, // 1246
  { 0x8, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG8EI16_V_MF4_MF4 }, // 1247
  { 0x8, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG8EI16_V_MF2_MF4 }, // 1248
  { 0x8, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG8EI16_V_M1_MF2 }, // 1249
  { 0x8, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG8EI16_V_MF4_MF2 }, // 1250
  { 0x8, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG8EI16_V_MF2_MF2 }, // 1251
  { 0x8, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG8EI32_V_M1_M1 }, // 1252
  { 0x8, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG8EI32_V_M2_M1 }, // 1253
  { 0x8, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG8EI32_V_M4_M1 }, // 1254
  { 0x8, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG8EI32_V_MF2_M1 }, // 1255
  { 0x8, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG8EI32_V_MF2_MF8 }, // 1256
  { 0x8, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG8EI32_V_M1_MF4 }, // 1257
  { 0x8, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG8EI32_V_MF2_MF4 }, // 1258
  { 0x8, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG8EI32_V_M1_MF2 }, // 1259
  { 0x8, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG8EI32_V_M2_MF2 }, // 1260
  { 0x8, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG8EI32_V_MF2_MF2 }, // 1261
  { 0x8, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG8EI64_V_M1_M1 }, // 1262
  { 0x8, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG8EI64_V_M2_M1 }, // 1263
  { 0x8, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG8EI64_V_M4_M1 }, // 1264
  { 0x8, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG8EI64_V_M8_M1 }, // 1265
  { 0x8, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG8EI64_V_M1_MF8 }, // 1266
  { 0x8, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG8EI64_V_M1_MF4 }, // 1267
  { 0x8, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG8EI64_V_M2_MF4 }, // 1268
  { 0x8, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG8EI64_V_M1_MF2 }, // 1269
  { 0x8, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG8EI64_V_M2_MF2 }, // 1270
  { 0x8, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG8EI64_V_M4_MF2 }, // 1271
  { 0x8, 0x1, 0x0, 0x3, 0x0, 0x0, PseudoVSUXSEG8EI8_V_M1_M1_MASK }, // 1272
  { 0x8, 0x1, 0x0, 0x3, 0x0, 0x5, PseudoVSUXSEG8EI8_V_MF8_M1_MASK }, // 1273
  { 0x8, 0x1, 0x0, 0x3, 0x0, 0x6, PseudoVSUXSEG8EI8_V_MF4_M1_MASK }, // 1274
  { 0x8, 0x1, 0x0, 0x3, 0x0, 0x7, PseudoVSUXSEG8EI8_V_MF2_M1_MASK }, // 1275
  { 0x8, 0x1, 0x0, 0x3, 0x5, 0x5, PseudoVSUXSEG8EI8_V_MF8_MF8_MASK }, // 1276
  { 0x8, 0x1, 0x0, 0x3, 0x6, 0x5, PseudoVSUXSEG8EI8_V_MF8_MF4_MASK }, // 1277
  { 0x8, 0x1, 0x0, 0x3, 0x6, 0x6, PseudoVSUXSEG8EI8_V_MF4_MF4_MASK }, // 1278
  { 0x8, 0x1, 0x0, 0x3, 0x7, 0x5, PseudoVSUXSEG8EI8_V_MF8_MF2_MASK }, // 1279
  { 0x8, 0x1, 0x0, 0x3, 0x7, 0x6, PseudoVSUXSEG8EI8_V_MF4_MF2_MASK }, // 1280
  { 0x8, 0x1, 0x0, 0x3, 0x7, 0x7, PseudoVSUXSEG8EI8_V_MF2_MF2_MASK }, // 1281
  { 0x8, 0x1, 0x0, 0x4, 0x0, 0x0, PseudoVSUXSEG8EI16_V_M1_M1_MASK }, // 1282
  { 0x8, 0x1, 0x0, 0x4, 0x0, 0x1, PseudoVSUXSEG8EI16_V_M2_M1_MASK }, // 1283
  { 0x8, 0x1, 0x0, 0x4, 0x0, 0x6, PseudoVSUXSEG8EI16_V_MF4_M1_MASK }, // 1284
  { 0x8, 0x1, 0x0, 0x4, 0x0, 0x7, PseudoVSUXSEG8EI16_V_MF2_M1_MASK }, // 1285
  { 0x8, 0x1, 0x0, 0x4, 0x5, 0x6, PseudoVSUXSEG8EI16_V_MF4_MF8_MASK }, // 1286
  { 0x8, 0x1, 0x0, 0x4, 0x6, 0x6, PseudoVSUXSEG8EI16_V_MF4_MF4_MASK }, // 1287
  { 0x8, 0x1, 0x0, 0x4, 0x6, 0x7, PseudoVSUXSEG8EI16_V_MF2_MF4_MASK }, // 1288
  { 0x8, 0x1, 0x0, 0x4, 0x7, 0x0, PseudoVSUXSEG8EI16_V_M1_MF2_MASK }, // 1289
  { 0x8, 0x1, 0x0, 0x4, 0x7, 0x6, PseudoVSUXSEG8EI16_V_MF4_MF2_MASK }, // 1290
  { 0x8, 0x1, 0x0, 0x4, 0x7, 0x7, PseudoVSUXSEG8EI16_V_MF2_MF2_MASK }, // 1291
  { 0x8, 0x1, 0x0, 0x5, 0x0, 0x0, PseudoVSUXSEG8EI32_V_M1_M1_MASK }, // 1292
  { 0x8, 0x1, 0x0, 0x5, 0x0, 0x1, PseudoVSUXSEG8EI32_V_M2_M1_MASK }, // 1293
  { 0x8, 0x1, 0x0, 0x5, 0x0, 0x2, PseudoVSUXSEG8EI32_V_M4_M1_MASK }, // 1294
  { 0x8, 0x1, 0x0, 0x5, 0x0, 0x7, PseudoVSUXSEG8EI32_V_MF2_M1_MASK }, // 1295
  { 0x8, 0x1, 0x0, 0x5, 0x5, 0x7, PseudoVSUXSEG8EI32_V_MF2_MF8_MASK }, // 1296
  { 0x8, 0x1, 0x0, 0x5, 0x6, 0x0, PseudoVSUXSEG8EI32_V_M1_MF4_MASK }, // 1297
  { 0x8, 0x1, 0x0, 0x5, 0x6, 0x7, PseudoVSUXSEG8EI32_V_MF2_MF4_MASK }, // 1298
  { 0x8, 0x1, 0x0, 0x5, 0x7, 0x0, PseudoVSUXSEG8EI32_V_M1_MF2_MASK }, // 1299
  { 0x8, 0x1, 0x0, 0x5, 0x7, 0x1, PseudoVSUXSEG8EI32_V_M2_MF2_MASK }, // 1300
  { 0x8, 0x1, 0x0, 0x5, 0x7, 0x7, PseudoVSUXSEG8EI32_V_MF2_MF2_MASK }, // 1301
  { 0x8, 0x1, 0x0, 0x6, 0x0, 0x0, PseudoVSUXSEG8EI64_V_M1_M1_MASK }, // 1302
  { 0x8, 0x1, 0x0, 0x6, 0x0, 0x1, PseudoVSUXSEG8EI64_V_M2_M1_MASK }, // 1303
  { 0x8, 0x1, 0x0, 0x6, 0x0, 0x2, PseudoVSUXSEG8EI64_V_M4_M1_MASK }, // 1304
  { 0x8, 0x1, 0x0, 0x6, 0x0, 0x3, PseudoVSUXSEG8EI64_V_M8_M1_MASK }, // 1305
  { 0x8, 0x1, 0x0, 0x6, 0x5, 0x0, PseudoVSUXSEG8EI64_V_M1_MF8_MASK }, // 1306
  { 0x8, 0x1, 0x0, 0x6, 0x6, 0x0, PseudoVSUXSEG8EI64_V_M1_MF4_MASK }, // 1307
  { 0x8, 0x1, 0x0, 0x6, 0x6, 0x1, PseudoVSUXSEG8EI64_V_M2_MF4_MASK }, // 1308
  { 0x8, 0x1, 0x0, 0x6, 0x7, 0x0, PseudoVSUXSEG8EI64_V_M1_MF2_MASK }, // 1309
  { 0x8, 0x1, 0x0, 0x6, 0x7, 0x1, PseudoVSUXSEG8EI64_V_M2_MF2_MASK }, // 1310
  { 0x8, 0x1, 0x0, 0x6, 0x7, 0x2, PseudoVSUXSEG8EI64_V_M4_MF2_MASK }, // 1311
  { 0x8, 0x1, 0x1, 0x3, 0x0, 0x0, PseudoVSOXSEG8EI8_V_M1_M1_MASK }, // 1312
  { 0x8, 0x1, 0x1, 0x3, 0x0, 0x5, PseudoVSOXSEG8EI8_V_MF8_M1_MASK }, // 1313
  { 0x8, 0x1, 0x1, 0x3, 0x0, 0x6, PseudoVSOXSEG8EI8_V_MF4_M1_MASK }, // 1314
  { 0x8, 0x1, 0x1, 0x3, 0x0, 0x7, PseudoVSOXSEG8EI8_V_MF2_M1_MASK }, // 1315
  { 0x8, 0x1, 0x1, 0x3, 0x5, 0x5, PseudoVSOXSEG8EI8_V_MF8_MF8_MASK }, // 1316
  { 0x8, 0x1, 0x1, 0x3, 0x6, 0x5, PseudoVSOXSEG8EI8_V_MF8_MF4_MASK }, // 1317
  { 0x8, 0x1, 0x1, 0x3, 0x6, 0x6, PseudoVSOXSEG8EI8_V_MF4_MF4_MASK }, // 1318
  { 0x8, 0x1, 0x1, 0x3, 0x7, 0x5, PseudoVSOXSEG8EI8_V_MF8_MF2_MASK }, // 1319
  { 0x8, 0x1, 0x1, 0x3, 0x7, 0x6, PseudoVSOXSEG8EI8_V_MF4_MF2_MASK }, // 1320
  { 0x8, 0x1, 0x1, 0x3, 0x7, 0x7, PseudoVSOXSEG8EI8_V_MF2_MF2_MASK }, // 1321
  { 0x8, 0x1, 0x1, 0x4, 0x0, 0x0, PseudoVSOXSEG8EI16_V_M1_M1_MASK }, // 1322
  { 0x8, 0x1, 0x1, 0x4, 0x0, 0x1, PseudoVSOXSEG8EI16_V_M2_M1_MASK }, // 1323
  { 0x8, 0x1, 0x1, 0x4, 0x0, 0x6, PseudoVSOXSEG8EI16_V_MF4_M1_MASK }, // 1324
  { 0x8, 0x1, 0x1, 0x4, 0x0, 0x7, PseudoVSOXSEG8EI16_V_MF2_M1_MASK }, // 1325
  { 0x8, 0x1, 0x1, 0x4, 0x5, 0x6, PseudoVSOXSEG8EI16_V_MF4_MF8_MASK }, // 1326
  { 0x8, 0x1, 0x1, 0x4, 0x6, 0x6, PseudoVSOXSEG8EI16_V_MF4_MF4_MASK }, // 1327
  { 0x8, 0x1, 0x1, 0x4, 0x6, 0x7, PseudoVSOXSEG8EI16_V_MF2_MF4_MASK }, // 1328
  { 0x8, 0x1, 0x1, 0x4, 0x7, 0x0, PseudoVSOXSEG8EI16_V_M1_MF2_MASK }, // 1329
  { 0x8, 0x1, 0x1, 0x4, 0x7, 0x6, PseudoVSOXSEG8EI16_V_MF4_MF2_MASK }, // 1330
  { 0x8, 0x1, 0x1, 0x4, 0x7, 0x7, PseudoVSOXSEG8EI16_V_MF2_MF2_MASK }, // 1331
  { 0x8, 0x1, 0x1, 0x5, 0x0, 0x0, PseudoVSOXSEG8EI32_V_M1_M1_MASK }, // 1332
  { 0x8, 0x1, 0x1, 0x5, 0x0, 0x1, PseudoVSOXSEG8EI32_V_M2_M1_MASK }, // 1333
  { 0x8, 0x1, 0x1, 0x5, 0x0, 0x2, PseudoVSOXSEG8EI32_V_M4_M1_MASK }, // 1334
  { 0x8, 0x1, 0x1, 0x5, 0x0, 0x7, PseudoVSOXSEG8EI32_V_MF2_M1_MASK }, // 1335
  { 0x8, 0x1, 0x1, 0x5, 0x5, 0x7, PseudoVSOXSEG8EI32_V_MF2_MF8_MASK }, // 1336
  { 0x8, 0x1, 0x1, 0x5, 0x6, 0x0, PseudoVSOXSEG8EI32_V_M1_MF4_MASK }, // 1337
  { 0x8, 0x1, 0x1, 0x5, 0x6, 0x7, PseudoVSOXSEG8EI32_V_MF2_MF4_MASK }, // 1338
  { 0x8, 0x1, 0x1, 0x5, 0x7, 0x0, PseudoVSOXSEG8EI32_V_M1_MF2_MASK }, // 1339
  { 0x8, 0x1, 0x1, 0x5, 0x7, 0x1, PseudoVSOXSEG8EI32_V_M2_MF2_MASK }, // 1340
  { 0x8, 0x1, 0x1, 0x5, 0x7, 0x7, PseudoVSOXSEG8EI32_V_MF2_MF2_MASK }, // 1341
  { 0x8, 0x1, 0x1, 0x6, 0x0, 0x0, PseudoVSOXSEG8EI64_V_M1_M1_MASK }, // 1342
  { 0x8, 0x1, 0x1, 0x6, 0x0, 0x1, PseudoVSOXSEG8EI64_V_M2_M1_MASK }, // 1343
  { 0x8, 0x1, 0x1, 0x6, 0x0, 0x2, PseudoVSOXSEG8EI64_V_M4_M1_MASK }, // 1344
  { 0x8, 0x1, 0x1, 0x6, 0x0, 0x3, PseudoVSOXSEG8EI64_V_M8_M1_MASK }, // 1345
  { 0x8, 0x1, 0x1, 0x6, 0x5, 0x0, PseudoVSOXSEG8EI64_V_M1_MF8_MASK }, // 1346
  { 0x8, 0x1, 0x1, 0x6, 0x6, 0x0, PseudoVSOXSEG8EI64_V_M1_MF4_MASK }, // 1347
  { 0x8, 0x1, 0x1, 0x6, 0x6, 0x1, PseudoVSOXSEG8EI64_V_M2_MF4_MASK }, // 1348
  { 0x8, 0x1, 0x1, 0x6, 0x7, 0x0, PseudoVSOXSEG8EI64_V_M1_MF2_MASK }, // 1349
  { 0x8, 0x1, 0x1, 0x6, 0x7, 0x1, PseudoVSOXSEG8EI64_V_M2_MF2_MASK }, // 1350
  { 0x8, 0x1, 0x1, 0x6, 0x7, 0x2, PseudoVSOXSEG8EI64_V_M4_MF2_MASK }, // 1351
 };

const VSXSEGPseudo *getVSXSEGPseudo(uint8_t NF, uint8_t Masked, uint8_t Ordered, uint8_t Log2SEW, uint8_t LMUL, uint8_t IndexLMUL) {
  struct KeyType {
    uint8_t NF;
    uint8_t Masked;
    uint8_t Ordered;
    uint8_t Log2SEW;
    uint8_t LMUL;
    uint8_t IndexLMUL;
  };
  KeyType Key = {NF, Masked, Ordered, Log2SEW, LMUL, IndexLMUL};
  auto Table = makeArrayRef(RISCVVSXSEGTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const VSXSEGPseudo &LHS, const KeyType &RHS) {
      if (LHS.NF < RHS.NF)
        return true;
      if (LHS.NF > RHS.NF)
        return false;
      if (LHS.Masked < RHS.Masked)
        return true;
      if (LHS.Masked > RHS.Masked)
        return false;
      if (LHS.Ordered < RHS.Ordered)
        return true;
      if (LHS.Ordered > RHS.Ordered)
        return false;
      if (LHS.Log2SEW < RHS.Log2SEW)
        return true;
      if (LHS.Log2SEW > RHS.Log2SEW)
        return false;
      if (LHS.LMUL < RHS.LMUL)
        return true;
      if (LHS.LMUL > RHS.LMUL)
        return false;
      if (LHS.IndexLMUL < RHS.IndexLMUL)
        return true;
      if (LHS.IndexLMUL > RHS.IndexLMUL)
        return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.NF != Idx->NF ||
      Key.Masked != Idx->Masked ||
      Key.Ordered != Idx->Ordered ||
      Key.Log2SEW != Idx->Log2SEW ||
      Key.LMUL != Idx->LMUL ||
      Key.IndexLMUL != Idx->IndexLMUL)
    return nullptr;
  return &*Idx;
}
#endif

#ifdef GET_RISCVVSXTable_DECL
const VLX_VSXPseudo *getVSXPseudo(uint8_t Masked, uint8_t IsTU, uint8_t Ordered, uint8_t Log2SEW, uint8_t LMUL, uint8_t IndexLMUL);
#endif

#ifdef GET_RISCVVSXTable_IMPL
constexpr VLX_VSXPseudo RISCVVSXTable[] = {
  { 0x0, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVSUXEI8_V_M1_M1 }, // 0
  { 0x0, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVSUXEI8_V_MF8_M1 }, // 1
  { 0x0, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVSUXEI8_V_MF4_M1 }, // 2
  { 0x0, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVSUXEI8_V_MF2_M1 }, // 3
  { 0x0, 0x0, 0x0, 0x3, 0x1, 0x0, PseudoVSUXEI8_V_M1_M2 }, // 4
  { 0x0, 0x0, 0x0, 0x3, 0x1, 0x1, PseudoVSUXEI8_V_M2_M2 }, // 5
  { 0x0, 0x0, 0x0, 0x3, 0x1, 0x6, PseudoVSUXEI8_V_MF4_M2 }, // 6
  { 0x0, 0x0, 0x0, 0x3, 0x1, 0x7, PseudoVSUXEI8_V_MF2_M2 }, // 7
  { 0x0, 0x0, 0x0, 0x3, 0x2, 0x0, PseudoVSUXEI8_V_M1_M4 }, // 8
  { 0x0, 0x0, 0x0, 0x3, 0x2, 0x1, PseudoVSUXEI8_V_M2_M4 }, // 9
  { 0x0, 0x0, 0x0, 0x3, 0x2, 0x2, PseudoVSUXEI8_V_M4_M4 }, // 10
  { 0x0, 0x0, 0x0, 0x3, 0x2, 0x7, PseudoVSUXEI8_V_MF2_M4 }, // 11
  { 0x0, 0x0, 0x0, 0x3, 0x3, 0x0, PseudoVSUXEI8_V_M1_M8 }, // 12
  { 0x0, 0x0, 0x0, 0x3, 0x3, 0x1, PseudoVSUXEI8_V_M2_M8 }, // 13
  { 0x0, 0x0, 0x0, 0x3, 0x3, 0x2, PseudoVSUXEI8_V_M4_M8 }, // 14
  { 0x0, 0x0, 0x0, 0x3, 0x3, 0x3, PseudoVSUXEI8_V_M8_M8 }, // 15
  { 0x0, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVSUXEI8_V_MF8_MF8 }, // 16
  { 0x0, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVSUXEI8_V_MF8_MF4 }, // 17
  { 0x0, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVSUXEI8_V_MF4_MF4 }, // 18
  { 0x0, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVSUXEI8_V_MF8_MF2 }, // 19
  { 0x0, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVSUXEI8_V_MF4_MF2 }, // 20
  { 0x0, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVSUXEI8_V_MF2_MF2 }, // 21
  { 0x0, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVSUXEI16_V_M1_M1 }, // 22
  { 0x0, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVSUXEI16_V_M2_M1 }, // 23
  { 0x0, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVSUXEI16_V_MF4_M1 }, // 24
  { 0x0, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVSUXEI16_V_MF2_M1 }, // 25
  { 0x0, 0x0, 0x0, 0x4, 0x1, 0x0, PseudoVSUXEI16_V_M1_M2 }, // 26
  { 0x0, 0x0, 0x0, 0x4, 0x1, 0x1, PseudoVSUXEI16_V_M2_M2 }, // 27
  { 0x0, 0x0, 0x0, 0x4, 0x1, 0x2, PseudoVSUXEI16_V_M4_M2 }, // 28
  { 0x0, 0x0, 0x0, 0x4, 0x1, 0x7, PseudoVSUXEI16_V_MF2_M2 }, // 29
  { 0x0, 0x0, 0x0, 0x4, 0x2, 0x0, PseudoVSUXEI16_V_M1_M4 }, // 30
  { 0x0, 0x0, 0x0, 0x4, 0x2, 0x1, PseudoVSUXEI16_V_M2_M4 }, // 31
  { 0x0, 0x0, 0x0, 0x4, 0x2, 0x2, PseudoVSUXEI16_V_M4_M4 }, // 32
  { 0x0, 0x0, 0x0, 0x4, 0x2, 0x3, PseudoVSUXEI16_V_M8_M4 }, // 33
  { 0x0, 0x0, 0x0, 0x4, 0x3, 0x1, PseudoVSUXEI16_V_M2_M8 }, // 34
  { 0x0, 0x0, 0x0, 0x4, 0x3, 0x2, PseudoVSUXEI16_V_M4_M8 }, // 35
  { 0x0, 0x0, 0x0, 0x4, 0x3, 0x3, PseudoVSUXEI16_V_M8_M8 }, // 36
  { 0x0, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVSUXEI16_V_MF4_MF8 }, // 37
  { 0x0, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVSUXEI16_V_MF4_MF4 }, // 38
  { 0x0, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVSUXEI16_V_MF2_MF4 }, // 39
  { 0x0, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVSUXEI16_V_M1_MF2 }, // 40
  { 0x0, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVSUXEI16_V_MF4_MF2 }, // 41
  { 0x0, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVSUXEI16_V_MF2_MF2 }, // 42
  { 0x0, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVSUXEI32_V_M1_M1 }, // 43
  { 0x0, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVSUXEI32_V_M2_M1 }, // 44
  { 0x0, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVSUXEI32_V_M4_M1 }, // 45
  { 0x0, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVSUXEI32_V_MF2_M1 }, // 46
  { 0x0, 0x0, 0x0, 0x5, 0x1, 0x0, PseudoVSUXEI32_V_M1_M2 }, // 47
  { 0x0, 0x0, 0x0, 0x5, 0x1, 0x1, PseudoVSUXEI32_V_M2_M2 }, // 48
  { 0x0, 0x0, 0x0, 0x5, 0x1, 0x2, PseudoVSUXEI32_V_M4_M2 }, // 49
  { 0x0, 0x0, 0x0, 0x5, 0x1, 0x3, PseudoVSUXEI32_V_M8_M2 }, // 50
  { 0x0, 0x0, 0x0, 0x5, 0x2, 0x1, PseudoVSUXEI32_V_M2_M4 }, // 51
  { 0x0, 0x0, 0x0, 0x5, 0x2, 0x2, PseudoVSUXEI32_V_M4_M4 }, // 52
  { 0x0, 0x0, 0x0, 0x5, 0x2, 0x3, PseudoVSUXEI32_V_M8_M4 }, // 53
  { 0x0, 0x0, 0x0, 0x5, 0x3, 0x2, PseudoVSUXEI32_V_M4_M8 }, // 54
  { 0x0, 0x0, 0x0, 0x5, 0x3, 0x3, PseudoVSUXEI32_V_M8_M8 }, // 55
  { 0x0, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVSUXEI32_V_MF2_MF8 }, // 56
  { 0x0, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVSUXEI32_V_M1_MF4 }, // 57
  { 0x0, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVSUXEI32_V_MF2_MF4 }, // 58
  { 0x0, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVSUXEI32_V_M1_MF2 }, // 59
  { 0x0, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVSUXEI32_V_M2_MF2 }, // 60
  { 0x0, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVSUXEI32_V_MF2_MF2 }, // 61
  { 0x0, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVSUXEI64_V_M1_M1 }, // 62
  { 0x0, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVSUXEI64_V_M2_M1 }, // 63
  { 0x0, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVSUXEI64_V_M4_M1 }, // 64
  { 0x0, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVSUXEI64_V_M8_M1 }, // 65
  { 0x0, 0x0, 0x0, 0x6, 0x1, 0x1, PseudoVSUXEI64_V_M2_M2 }, // 66
  { 0x0, 0x0, 0x0, 0x6, 0x1, 0x2, PseudoVSUXEI64_V_M4_M2 }, // 67
  { 0x0, 0x0, 0x0, 0x6, 0x1, 0x3, PseudoVSUXEI64_V_M8_M2 }, // 68
  { 0x0, 0x0, 0x0, 0x6, 0x2, 0x2, PseudoVSUXEI64_V_M4_M4 }, // 69
  { 0x0, 0x0, 0x0, 0x6, 0x2, 0x3, PseudoVSUXEI64_V_M8_M4 }, // 70
  { 0x0, 0x0, 0x0, 0x6, 0x3, 0x3, PseudoVSUXEI64_V_M8_M8 }, // 71
  { 0x0, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVSUXEI64_V_M1_MF8 }, // 72
  { 0x0, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVSUXEI64_V_M1_MF4 }, // 73
  { 0x0, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVSUXEI64_V_M2_MF4 }, // 74
  { 0x0, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVSUXEI64_V_M1_MF2 }, // 75
  { 0x0, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVSUXEI64_V_M2_MF2 }, // 76
  { 0x0, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVSUXEI64_V_M4_MF2 }, // 77
  { 0x0, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVSOXEI8_V_M1_M1 }, // 78
  { 0x0, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVSOXEI8_V_MF8_M1 }, // 79
  { 0x0, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVSOXEI8_V_MF4_M1 }, // 80
  { 0x0, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVSOXEI8_V_MF2_M1 }, // 81
  { 0x0, 0x0, 0x1, 0x3, 0x1, 0x0, PseudoVSOXEI8_V_M1_M2 }, // 82
  { 0x0, 0x0, 0x1, 0x3, 0x1, 0x1, PseudoVSOXEI8_V_M2_M2 }, // 83
  { 0x0, 0x0, 0x1, 0x3, 0x1, 0x6, PseudoVSOXEI8_V_MF4_M2 }, // 84
  { 0x0, 0x0, 0x1, 0x3, 0x1, 0x7, PseudoVSOXEI8_V_MF2_M2 }, // 85
  { 0x0, 0x0, 0x1, 0x3, 0x2, 0x0, PseudoVSOXEI8_V_M1_M4 }, // 86
  { 0x0, 0x0, 0x1, 0x3, 0x2, 0x1, PseudoVSOXEI8_V_M2_M4 }, // 87
  { 0x0, 0x0, 0x1, 0x3, 0x2, 0x2, PseudoVSOXEI8_V_M4_M4 }, // 88
  { 0x0, 0x0, 0x1, 0x3, 0x2, 0x7, PseudoVSOXEI8_V_MF2_M4 }, // 89
  { 0x0, 0x0, 0x1, 0x3, 0x3, 0x0, PseudoVSOXEI8_V_M1_M8 }, // 90
  { 0x0, 0x0, 0x1, 0x3, 0x3, 0x1, PseudoVSOXEI8_V_M2_M8 }, // 91
  { 0x0, 0x0, 0x1, 0x3, 0x3, 0x2, PseudoVSOXEI8_V_M4_M8 }, // 92
  { 0x0, 0x0, 0x1, 0x3, 0x3, 0x3, PseudoVSOXEI8_V_M8_M8 }, // 93
  { 0x0, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVSOXEI8_V_MF8_MF8 }, // 94
  { 0x0, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVSOXEI8_V_MF8_MF4 }, // 95
  { 0x0, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVSOXEI8_V_MF4_MF4 }, // 96
  { 0x0, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVSOXEI8_V_MF8_MF2 }, // 97
  { 0x0, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVSOXEI8_V_MF4_MF2 }, // 98
  { 0x0, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVSOXEI8_V_MF2_MF2 }, // 99
  { 0x0, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVSOXEI16_V_M1_M1 }, // 100
  { 0x0, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVSOXEI16_V_M2_M1 }, // 101
  { 0x0, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVSOXEI16_V_MF4_M1 }, // 102
  { 0x0, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVSOXEI16_V_MF2_M1 }, // 103
  { 0x0, 0x0, 0x1, 0x4, 0x1, 0x0, PseudoVSOXEI16_V_M1_M2 }, // 104
  { 0x0, 0x0, 0x1, 0x4, 0x1, 0x1, PseudoVSOXEI16_V_M2_M2 }, // 105
  { 0x0, 0x0, 0x1, 0x4, 0x1, 0x2, PseudoVSOXEI16_V_M4_M2 }, // 106
  { 0x0, 0x0, 0x1, 0x4, 0x1, 0x7, PseudoVSOXEI16_V_MF2_M2 }, // 107
  { 0x0, 0x0, 0x1, 0x4, 0x2, 0x0, PseudoVSOXEI16_V_M1_M4 }, // 108
  { 0x0, 0x0, 0x1, 0x4, 0x2, 0x1, PseudoVSOXEI16_V_M2_M4 }, // 109
  { 0x0, 0x0, 0x1, 0x4, 0x2, 0x2, PseudoVSOXEI16_V_M4_M4 }, // 110
  { 0x0, 0x0, 0x1, 0x4, 0x2, 0x3, PseudoVSOXEI16_V_M8_M4 }, // 111
  { 0x0, 0x0, 0x1, 0x4, 0x3, 0x1, PseudoVSOXEI16_V_M2_M8 }, // 112
  { 0x0, 0x0, 0x1, 0x4, 0x3, 0x2, PseudoVSOXEI16_V_M4_M8 }, // 113
  { 0x0, 0x0, 0x1, 0x4, 0x3, 0x3, PseudoVSOXEI16_V_M8_M8 }, // 114
  { 0x0, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVSOXEI16_V_MF4_MF8 }, // 115
  { 0x0, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVSOXEI16_V_MF4_MF4 }, // 116
  { 0x0, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVSOXEI16_V_MF2_MF4 }, // 117
  { 0x0, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVSOXEI16_V_M1_MF2 }, // 118
  { 0x0, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVSOXEI16_V_MF4_MF2 }, // 119
  { 0x0, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVSOXEI16_V_MF2_MF2 }, // 120
  { 0x0, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVSOXEI32_V_M1_M1 }, // 121
  { 0x0, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVSOXEI32_V_M2_M1 }, // 122
  { 0x0, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVSOXEI32_V_M4_M1 }, // 123
  { 0x0, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVSOXEI32_V_MF2_M1 }, // 124
  { 0x0, 0x0, 0x1, 0x5, 0x1, 0x0, PseudoVSOXEI32_V_M1_M2 }, // 125
  { 0x0, 0x0, 0x1, 0x5, 0x1, 0x1, PseudoVSOXEI32_V_M2_M2 }, // 126
  { 0x0, 0x0, 0x1, 0x5, 0x1, 0x2, PseudoVSOXEI32_V_M4_M2 }, // 127
  { 0x0, 0x0, 0x1, 0x5, 0x1, 0x3, PseudoVSOXEI32_V_M8_M2 }, // 128
  { 0x0, 0x0, 0x1, 0x5, 0x2, 0x1, PseudoVSOXEI32_V_M2_M4 }, // 129
  { 0x0, 0x0, 0x1, 0x5, 0x2, 0x2, PseudoVSOXEI32_V_M4_M4 }, // 130
  { 0x0, 0x0, 0x1, 0x5, 0x2, 0x3, PseudoVSOXEI32_V_M8_M4 }, // 131
  { 0x0, 0x0, 0x1, 0x5, 0x3, 0x2, PseudoVSOXEI32_V_M4_M8 }, // 132
  { 0x0, 0x0, 0x1, 0x5, 0x3, 0x3, PseudoVSOXEI32_V_M8_M8 }, // 133
  { 0x0, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVSOXEI32_V_MF2_MF8 }, // 134
  { 0x0, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVSOXEI32_V_M1_MF4 }, // 135
  { 0x0, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVSOXEI32_V_MF2_MF4 }, // 136
  { 0x0, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVSOXEI32_V_M1_MF2 }, // 137
  { 0x0, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVSOXEI32_V_M2_MF2 }, // 138
  { 0x0, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVSOXEI32_V_MF2_MF2 }, // 139
  { 0x0, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVSOXEI64_V_M1_M1 }, // 140
  { 0x0, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVSOXEI64_V_M2_M1 }, // 141
  { 0x0, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVSOXEI64_V_M4_M1 }, // 142
  { 0x0, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVSOXEI64_V_M8_M1 }, // 143
  { 0x0, 0x0, 0x1, 0x6, 0x1, 0x1, PseudoVSOXEI64_V_M2_M2 }, // 144
  { 0x0, 0x0, 0x1, 0x6, 0x1, 0x2, PseudoVSOXEI64_V_M4_M2 }, // 145
  { 0x0, 0x0, 0x1, 0x6, 0x1, 0x3, PseudoVSOXEI64_V_M8_M2 }, // 146
  { 0x0, 0x0, 0x1, 0x6, 0x2, 0x2, PseudoVSOXEI64_V_M4_M4 }, // 147
  { 0x0, 0x0, 0x1, 0x6, 0x2, 0x3, PseudoVSOXEI64_V_M8_M4 }, // 148
  { 0x0, 0x0, 0x1, 0x6, 0x3, 0x3, PseudoVSOXEI64_V_M8_M8 }, // 149
  { 0x0, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVSOXEI64_V_M1_MF8 }, // 150
  { 0x0, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVSOXEI64_V_M1_MF4 }, // 151
  { 0x0, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVSOXEI64_V_M2_MF4 }, // 152
  { 0x0, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVSOXEI64_V_M1_MF2 }, // 153
  { 0x0, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVSOXEI64_V_M2_MF2 }, // 154
  { 0x0, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVSOXEI64_V_M4_MF2 }, // 155
  { 0x1, 0x0, 0x0, 0x3, 0x0, 0x0, PseudoVSUXEI8_V_M1_M1_MASK }, // 156
  { 0x1, 0x0, 0x0, 0x3, 0x0, 0x5, PseudoVSUXEI8_V_MF8_M1_MASK }, // 157
  { 0x1, 0x0, 0x0, 0x3, 0x0, 0x6, PseudoVSUXEI8_V_MF4_M1_MASK }, // 158
  { 0x1, 0x0, 0x0, 0x3, 0x0, 0x7, PseudoVSUXEI8_V_MF2_M1_MASK }, // 159
  { 0x1, 0x0, 0x0, 0x3, 0x1, 0x0, PseudoVSUXEI8_V_M1_M2_MASK }, // 160
  { 0x1, 0x0, 0x0, 0x3, 0x1, 0x1, PseudoVSUXEI8_V_M2_M2_MASK }, // 161
  { 0x1, 0x0, 0x0, 0x3, 0x1, 0x6, PseudoVSUXEI8_V_MF4_M2_MASK }, // 162
  { 0x1, 0x0, 0x0, 0x3, 0x1, 0x7, PseudoVSUXEI8_V_MF2_M2_MASK }, // 163
  { 0x1, 0x0, 0x0, 0x3, 0x2, 0x0, PseudoVSUXEI8_V_M1_M4_MASK }, // 164
  { 0x1, 0x0, 0x0, 0x3, 0x2, 0x1, PseudoVSUXEI8_V_M2_M4_MASK }, // 165
  { 0x1, 0x0, 0x0, 0x3, 0x2, 0x2, PseudoVSUXEI8_V_M4_M4_MASK }, // 166
  { 0x1, 0x0, 0x0, 0x3, 0x2, 0x7, PseudoVSUXEI8_V_MF2_M4_MASK }, // 167
  { 0x1, 0x0, 0x0, 0x3, 0x3, 0x0, PseudoVSUXEI8_V_M1_M8_MASK }, // 168
  { 0x1, 0x0, 0x0, 0x3, 0x3, 0x1, PseudoVSUXEI8_V_M2_M8_MASK }, // 169
  { 0x1, 0x0, 0x0, 0x3, 0x3, 0x2, PseudoVSUXEI8_V_M4_M8_MASK }, // 170
  { 0x1, 0x0, 0x0, 0x3, 0x3, 0x3, PseudoVSUXEI8_V_M8_M8_MASK }, // 171
  { 0x1, 0x0, 0x0, 0x3, 0x5, 0x5, PseudoVSUXEI8_V_MF8_MF8_MASK }, // 172
  { 0x1, 0x0, 0x0, 0x3, 0x6, 0x5, PseudoVSUXEI8_V_MF8_MF4_MASK }, // 173
  { 0x1, 0x0, 0x0, 0x3, 0x6, 0x6, PseudoVSUXEI8_V_MF4_MF4_MASK }, // 174
  { 0x1, 0x0, 0x0, 0x3, 0x7, 0x5, PseudoVSUXEI8_V_MF8_MF2_MASK }, // 175
  { 0x1, 0x0, 0x0, 0x3, 0x7, 0x6, PseudoVSUXEI8_V_MF4_MF2_MASK }, // 176
  { 0x1, 0x0, 0x0, 0x3, 0x7, 0x7, PseudoVSUXEI8_V_MF2_MF2_MASK }, // 177
  { 0x1, 0x0, 0x0, 0x4, 0x0, 0x0, PseudoVSUXEI16_V_M1_M1_MASK }, // 178
  { 0x1, 0x0, 0x0, 0x4, 0x0, 0x1, PseudoVSUXEI16_V_M2_M1_MASK }, // 179
  { 0x1, 0x0, 0x0, 0x4, 0x0, 0x6, PseudoVSUXEI16_V_MF4_M1_MASK }, // 180
  { 0x1, 0x0, 0x0, 0x4, 0x0, 0x7, PseudoVSUXEI16_V_MF2_M1_MASK }, // 181
  { 0x1, 0x0, 0x0, 0x4, 0x1, 0x0, PseudoVSUXEI16_V_M1_M2_MASK }, // 182
  { 0x1, 0x0, 0x0, 0x4, 0x1, 0x1, PseudoVSUXEI16_V_M2_M2_MASK }, // 183
  { 0x1, 0x0, 0x0, 0x4, 0x1, 0x2, PseudoVSUXEI16_V_M4_M2_MASK }, // 184
  { 0x1, 0x0, 0x0, 0x4, 0x1, 0x7, PseudoVSUXEI16_V_MF2_M2_MASK }, // 185
  { 0x1, 0x0, 0x0, 0x4, 0x2, 0x0, PseudoVSUXEI16_V_M1_M4_MASK }, // 186
  { 0x1, 0x0, 0x0, 0x4, 0x2, 0x1, PseudoVSUXEI16_V_M2_M4_MASK }, // 187
  { 0x1, 0x0, 0x0, 0x4, 0x2, 0x2, PseudoVSUXEI16_V_M4_M4_MASK }, // 188
  { 0x1, 0x0, 0x0, 0x4, 0x2, 0x3, PseudoVSUXEI16_V_M8_M4_MASK }, // 189
  { 0x1, 0x0, 0x0, 0x4, 0x3, 0x1, PseudoVSUXEI16_V_M2_M8_MASK }, // 190
  { 0x1, 0x0, 0x0, 0x4, 0x3, 0x2, PseudoVSUXEI16_V_M4_M8_MASK }, // 191
  { 0x1, 0x0, 0x0, 0x4, 0x3, 0x3, PseudoVSUXEI16_V_M8_M8_MASK }, // 192
  { 0x1, 0x0, 0x0, 0x4, 0x5, 0x6, PseudoVSUXEI16_V_MF4_MF8_MASK }, // 193
  { 0x1, 0x0, 0x0, 0x4, 0x6, 0x6, PseudoVSUXEI16_V_MF4_MF4_MASK }, // 194
  { 0x1, 0x0, 0x0, 0x4, 0x6, 0x7, PseudoVSUXEI16_V_MF2_MF4_MASK }, // 195
  { 0x1, 0x0, 0x0, 0x4, 0x7, 0x0, PseudoVSUXEI16_V_M1_MF2_MASK }, // 196
  { 0x1, 0x0, 0x0, 0x4, 0x7, 0x6, PseudoVSUXEI16_V_MF4_MF2_MASK }, // 197
  { 0x1, 0x0, 0x0, 0x4, 0x7, 0x7, PseudoVSUXEI16_V_MF2_MF2_MASK }, // 198
  { 0x1, 0x0, 0x0, 0x5, 0x0, 0x0, PseudoVSUXEI32_V_M1_M1_MASK }, // 199
  { 0x1, 0x0, 0x0, 0x5, 0x0, 0x1, PseudoVSUXEI32_V_M2_M1_MASK }, // 200
  { 0x1, 0x0, 0x0, 0x5, 0x0, 0x2, PseudoVSUXEI32_V_M4_M1_MASK }, // 201
  { 0x1, 0x0, 0x0, 0x5, 0x0, 0x7, PseudoVSUXEI32_V_MF2_M1_MASK }, // 202
  { 0x1, 0x0, 0x0, 0x5, 0x1, 0x0, PseudoVSUXEI32_V_M1_M2_MASK }, // 203
  { 0x1, 0x0, 0x0, 0x5, 0x1, 0x1, PseudoVSUXEI32_V_M2_M2_MASK }, // 204
  { 0x1, 0x0, 0x0, 0x5, 0x1, 0x2, PseudoVSUXEI32_V_M4_M2_MASK }, // 205
  { 0x1, 0x0, 0x0, 0x5, 0x1, 0x3, PseudoVSUXEI32_V_M8_M2_MASK }, // 206
  { 0x1, 0x0, 0x0, 0x5, 0x2, 0x1, PseudoVSUXEI32_V_M2_M4_MASK }, // 207
  { 0x1, 0x0, 0x0, 0x5, 0x2, 0x2, PseudoVSUXEI32_V_M4_M4_MASK }, // 208
  { 0x1, 0x0, 0x0, 0x5, 0x2, 0x3, PseudoVSUXEI32_V_M8_M4_MASK }, // 209
  { 0x1, 0x0, 0x0, 0x5, 0x3, 0x2, PseudoVSUXEI32_V_M4_M8_MASK }, // 210
  { 0x1, 0x0, 0x0, 0x5, 0x3, 0x3, PseudoVSUXEI32_V_M8_M8_MASK }, // 211
  { 0x1, 0x0, 0x0, 0x5, 0x5, 0x7, PseudoVSUXEI32_V_MF2_MF8_MASK }, // 212
  { 0x1, 0x0, 0x0, 0x5, 0x6, 0x0, PseudoVSUXEI32_V_M1_MF4_MASK }, // 213
  { 0x1, 0x0, 0x0, 0x5, 0x6, 0x7, PseudoVSUXEI32_V_MF2_MF4_MASK }, // 214
  { 0x1, 0x0, 0x0, 0x5, 0x7, 0x0, PseudoVSUXEI32_V_M1_MF2_MASK }, // 215
  { 0x1, 0x0, 0x0, 0x5, 0x7, 0x1, PseudoVSUXEI32_V_M2_MF2_MASK }, // 216
  { 0x1, 0x0, 0x0, 0x5, 0x7, 0x7, PseudoVSUXEI32_V_MF2_MF2_MASK }, // 217
  { 0x1, 0x0, 0x0, 0x6, 0x0, 0x0, PseudoVSUXEI64_V_M1_M1_MASK }, // 218
  { 0x1, 0x0, 0x0, 0x6, 0x0, 0x1, PseudoVSUXEI64_V_M2_M1_MASK }, // 219
  { 0x1, 0x0, 0x0, 0x6, 0x0, 0x2, PseudoVSUXEI64_V_M4_M1_MASK }, // 220
  { 0x1, 0x0, 0x0, 0x6, 0x0, 0x3, PseudoVSUXEI64_V_M8_M1_MASK }, // 221
  { 0x1, 0x0, 0x0, 0x6, 0x1, 0x1, PseudoVSUXEI64_V_M2_M2_MASK }, // 222
  { 0x1, 0x0, 0x0, 0x6, 0x1, 0x2, PseudoVSUXEI64_V_M4_M2_MASK }, // 223
  { 0x1, 0x0, 0x0, 0x6, 0x1, 0x3, PseudoVSUXEI64_V_M8_M2_MASK }, // 224
  { 0x1, 0x0, 0x0, 0x6, 0x2, 0x2, PseudoVSUXEI64_V_M4_M4_MASK }, // 225
  { 0x1, 0x0, 0x0, 0x6, 0x2, 0x3, PseudoVSUXEI64_V_M8_M4_MASK }, // 226
  { 0x1, 0x0, 0x0, 0x6, 0x3, 0x3, PseudoVSUXEI64_V_M8_M8_MASK }, // 227
  { 0x1, 0x0, 0x0, 0x6, 0x5, 0x0, PseudoVSUXEI64_V_M1_MF8_MASK }, // 228
  { 0x1, 0x0, 0x0, 0x6, 0x6, 0x0, PseudoVSUXEI64_V_M1_MF4_MASK }, // 229
  { 0x1, 0x0, 0x0, 0x6, 0x6, 0x1, PseudoVSUXEI64_V_M2_MF4_MASK }, // 230
  { 0x1, 0x0, 0x0, 0x6, 0x7, 0x0, PseudoVSUXEI64_V_M1_MF2_MASK }, // 231
  { 0x1, 0x0, 0x0, 0x6, 0x7, 0x1, PseudoVSUXEI64_V_M2_MF2_MASK }, // 232
  { 0x1, 0x0, 0x0, 0x6, 0x7, 0x2, PseudoVSUXEI64_V_M4_MF2_MASK }, // 233
  { 0x1, 0x0, 0x1, 0x3, 0x0, 0x0, PseudoVSOXEI8_V_M1_M1_MASK }, // 234
  { 0x1, 0x0, 0x1, 0x3, 0x0, 0x5, PseudoVSOXEI8_V_MF8_M1_MASK }, // 235
  { 0x1, 0x0, 0x1, 0x3, 0x0, 0x6, PseudoVSOXEI8_V_MF4_M1_MASK }, // 236
  { 0x1, 0x0, 0x1, 0x3, 0x0, 0x7, PseudoVSOXEI8_V_MF2_M1_MASK }, // 237
  { 0x1, 0x0, 0x1, 0x3, 0x1, 0x0, PseudoVSOXEI8_V_M1_M2_MASK }, // 238
  { 0x1, 0x0, 0x1, 0x3, 0x1, 0x1, PseudoVSOXEI8_V_M2_M2_MASK }, // 239
  { 0x1, 0x0, 0x1, 0x3, 0x1, 0x6, PseudoVSOXEI8_V_MF4_M2_MASK }, // 240
  { 0x1, 0x0, 0x1, 0x3, 0x1, 0x7, PseudoVSOXEI8_V_MF2_M2_MASK }, // 241
  { 0x1, 0x0, 0x1, 0x3, 0x2, 0x0, PseudoVSOXEI8_V_M1_M4_MASK }, // 242
  { 0x1, 0x0, 0x1, 0x3, 0x2, 0x1, PseudoVSOXEI8_V_M2_M4_MASK }, // 243
  { 0x1, 0x0, 0x1, 0x3, 0x2, 0x2, PseudoVSOXEI8_V_M4_M4_MASK }, // 244
  { 0x1, 0x0, 0x1, 0x3, 0x2, 0x7, PseudoVSOXEI8_V_MF2_M4_MASK }, // 245
  { 0x1, 0x0, 0x1, 0x3, 0x3, 0x0, PseudoVSOXEI8_V_M1_M8_MASK }, // 246
  { 0x1, 0x0, 0x1, 0x3, 0x3, 0x1, PseudoVSOXEI8_V_M2_M8_MASK }, // 247
  { 0x1, 0x0, 0x1, 0x3, 0x3, 0x2, PseudoVSOXEI8_V_M4_M8_MASK }, // 248
  { 0x1, 0x0, 0x1, 0x3, 0x3, 0x3, PseudoVSOXEI8_V_M8_M8_MASK }, // 249
  { 0x1, 0x0, 0x1, 0x3, 0x5, 0x5, PseudoVSOXEI8_V_MF8_MF8_MASK }, // 250
  { 0x1, 0x0, 0x1, 0x3, 0x6, 0x5, PseudoVSOXEI8_V_MF8_MF4_MASK }, // 251
  { 0x1, 0x0, 0x1, 0x3, 0x6, 0x6, PseudoVSOXEI8_V_MF4_MF4_MASK }, // 252
  { 0x1, 0x0, 0x1, 0x3, 0x7, 0x5, PseudoVSOXEI8_V_MF8_MF2_MASK }, // 253
  { 0x1, 0x0, 0x1, 0x3, 0x7, 0x6, PseudoVSOXEI8_V_MF4_MF2_MASK }, // 254
  { 0x1, 0x0, 0x1, 0x3, 0x7, 0x7, PseudoVSOXEI8_V_MF2_MF2_MASK }, // 255
  { 0x1, 0x0, 0x1, 0x4, 0x0, 0x0, PseudoVSOXEI16_V_M1_M1_MASK }, // 256
  { 0x1, 0x0, 0x1, 0x4, 0x0, 0x1, PseudoVSOXEI16_V_M2_M1_MASK }, // 257
  { 0x1, 0x0, 0x1, 0x4, 0x0, 0x6, PseudoVSOXEI16_V_MF4_M1_MASK }, // 258
  { 0x1, 0x0, 0x1, 0x4, 0x0, 0x7, PseudoVSOXEI16_V_MF2_M1_MASK }, // 259
  { 0x1, 0x0, 0x1, 0x4, 0x1, 0x0, PseudoVSOXEI16_V_M1_M2_MASK }, // 260
  { 0x1, 0x0, 0x1, 0x4, 0x1, 0x1, PseudoVSOXEI16_V_M2_M2_MASK }, // 261
  { 0x1, 0x0, 0x1, 0x4, 0x1, 0x2, PseudoVSOXEI16_V_M4_M2_MASK }, // 262
  { 0x1, 0x0, 0x1, 0x4, 0x1, 0x7, PseudoVSOXEI16_V_MF2_M2_MASK }, // 263
  { 0x1, 0x0, 0x1, 0x4, 0x2, 0x0, PseudoVSOXEI16_V_M1_M4_MASK }, // 264
  { 0x1, 0x0, 0x1, 0x4, 0x2, 0x1, PseudoVSOXEI16_V_M2_M4_MASK }, // 265
  { 0x1, 0x0, 0x1, 0x4, 0x2, 0x2, PseudoVSOXEI16_V_M4_M4_MASK }, // 266
  { 0x1, 0x0, 0x1, 0x4, 0x2, 0x3, PseudoVSOXEI16_V_M8_M4_MASK }, // 267
  { 0x1, 0x0, 0x1, 0x4, 0x3, 0x1, PseudoVSOXEI16_V_M2_M8_MASK }, // 268
  { 0x1, 0x0, 0x1, 0x4, 0x3, 0x2, PseudoVSOXEI16_V_M4_M8_MASK }, // 269
  { 0x1, 0x0, 0x1, 0x4, 0x3, 0x3, PseudoVSOXEI16_V_M8_M8_MASK }, // 270
  { 0x1, 0x0, 0x1, 0x4, 0x5, 0x6, PseudoVSOXEI16_V_MF4_MF8_MASK }, // 271
  { 0x1, 0x0, 0x1, 0x4, 0x6, 0x6, PseudoVSOXEI16_V_MF4_MF4_MASK }, // 272
  { 0x1, 0x0, 0x1, 0x4, 0x6, 0x7, PseudoVSOXEI16_V_MF2_MF4_MASK }, // 273
  { 0x1, 0x0, 0x1, 0x4, 0x7, 0x0, PseudoVSOXEI16_V_M1_MF2_MASK }, // 274
  { 0x1, 0x0, 0x1, 0x4, 0x7, 0x6, PseudoVSOXEI16_V_MF4_MF2_MASK }, // 275
  { 0x1, 0x0, 0x1, 0x4, 0x7, 0x7, PseudoVSOXEI16_V_MF2_MF2_MASK }, // 276
  { 0x1, 0x0, 0x1, 0x5, 0x0, 0x0, PseudoVSOXEI32_V_M1_M1_MASK }, // 277
  { 0x1, 0x0, 0x1, 0x5, 0x0, 0x1, PseudoVSOXEI32_V_M2_M1_MASK }, // 278
  { 0x1, 0x0, 0x1, 0x5, 0x0, 0x2, PseudoVSOXEI32_V_M4_M1_MASK }, // 279
  { 0x1, 0x0, 0x1, 0x5, 0x0, 0x7, PseudoVSOXEI32_V_MF2_M1_MASK }, // 280
  { 0x1, 0x0, 0x1, 0x5, 0x1, 0x0, PseudoVSOXEI32_V_M1_M2_MASK }, // 281
  { 0x1, 0x0, 0x1, 0x5, 0x1, 0x1, PseudoVSOXEI32_V_M2_M2_MASK }, // 282
  { 0x1, 0x0, 0x1, 0x5, 0x1, 0x2, PseudoVSOXEI32_V_M4_M2_MASK }, // 283
  { 0x1, 0x0, 0x1, 0x5, 0x1, 0x3, PseudoVSOXEI32_V_M8_M2_MASK }, // 284
  { 0x1, 0x0, 0x1, 0x5, 0x2, 0x1, PseudoVSOXEI32_V_M2_M4_MASK }, // 285
  { 0x1, 0x0, 0x1, 0x5, 0x2, 0x2, PseudoVSOXEI32_V_M4_M4_MASK }, // 286
  { 0x1, 0x0, 0x1, 0x5, 0x2, 0x3, PseudoVSOXEI32_V_M8_M4_MASK }, // 287
  { 0x1, 0x0, 0x1, 0x5, 0x3, 0x2, PseudoVSOXEI32_V_M4_M8_MASK }, // 288
  { 0x1, 0x0, 0x1, 0x5, 0x3, 0x3, PseudoVSOXEI32_V_M8_M8_MASK }, // 289
  { 0x1, 0x0, 0x1, 0x5, 0x5, 0x7, PseudoVSOXEI32_V_MF2_MF8_MASK }, // 290
  { 0x1, 0x0, 0x1, 0x5, 0x6, 0x0, PseudoVSOXEI32_V_M1_MF4_MASK }, // 291
  { 0x1, 0x0, 0x1, 0x5, 0x6, 0x7, PseudoVSOXEI32_V_MF2_MF4_MASK }, // 292
  { 0x1, 0x0, 0x1, 0x5, 0x7, 0x0, PseudoVSOXEI32_V_M1_MF2_MASK }, // 293
  { 0x1, 0x0, 0x1, 0x5, 0x7, 0x1, PseudoVSOXEI32_V_M2_MF2_MASK }, // 294
  { 0x1, 0x0, 0x1, 0x5, 0x7, 0x7, PseudoVSOXEI32_V_MF2_MF2_MASK }, // 295
  { 0x1, 0x0, 0x1, 0x6, 0x0, 0x0, PseudoVSOXEI64_V_M1_M1_MASK }, // 296
  { 0x1, 0x0, 0x1, 0x6, 0x0, 0x1, PseudoVSOXEI64_V_M2_M1_MASK }, // 297
  { 0x1, 0x0, 0x1, 0x6, 0x0, 0x2, PseudoVSOXEI64_V_M4_M1_MASK }, // 298
  { 0x1, 0x0, 0x1, 0x6, 0x0, 0x3, PseudoVSOXEI64_V_M8_M1_MASK }, // 299
  { 0x1, 0x0, 0x1, 0x6, 0x1, 0x1, PseudoVSOXEI64_V_M2_M2_MASK }, // 300
  { 0x1, 0x0, 0x1, 0x6, 0x1, 0x2, PseudoVSOXEI64_V_M4_M2_MASK }, // 301
  { 0x1, 0x0, 0x1, 0x6, 0x1, 0x3, PseudoVSOXEI64_V_M8_M2_MASK }, // 302
  { 0x1, 0x0, 0x1, 0x6, 0x2, 0x2, PseudoVSOXEI64_V_M4_M4_MASK }, // 303
  { 0x1, 0x0, 0x1, 0x6, 0x2, 0x3, PseudoVSOXEI64_V_M8_M4_MASK }, // 304
  { 0x1, 0x0, 0x1, 0x6, 0x3, 0x3, PseudoVSOXEI64_V_M8_M8_MASK }, // 305
  { 0x1, 0x0, 0x1, 0x6, 0x5, 0x0, PseudoVSOXEI64_V_M1_MF8_MASK }, // 306
  { 0x1, 0x0, 0x1, 0x6, 0x6, 0x0, PseudoVSOXEI64_V_M1_MF4_MASK }, // 307
  { 0x1, 0x0, 0x1, 0x6, 0x6, 0x1, PseudoVSOXEI64_V_M2_MF4_MASK }, // 308
  { 0x1, 0x0, 0x1, 0x6, 0x7, 0x0, PseudoVSOXEI64_V_M1_MF2_MASK }, // 309
  { 0x1, 0x0, 0x1, 0x6, 0x7, 0x1, PseudoVSOXEI64_V_M2_MF2_MASK }, // 310
  { 0x1, 0x0, 0x1, 0x6, 0x7, 0x2, PseudoVSOXEI64_V_M4_MF2_MASK }, // 311
 };

const VLX_VSXPseudo *getVSXPseudo(uint8_t Masked, uint8_t IsTU, uint8_t Ordered, uint8_t Log2SEW, uint8_t LMUL, uint8_t IndexLMUL) {
  struct KeyType {
    uint8_t Masked;
    uint8_t IsTU;
    uint8_t Ordered;
    uint8_t Log2SEW;
    uint8_t LMUL;
    uint8_t IndexLMUL;
  };
  KeyType Key = {Masked, IsTU, Ordered, Log2SEW, LMUL, IndexLMUL};
  auto Table = makeArrayRef(RISCVVSXTable);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const VLX_VSXPseudo &LHS, const KeyType &RHS) {
      if (LHS.Masked < RHS.Masked)
        return true;
      if (LHS.Masked > RHS.Masked)
        return false;
      if (LHS.IsTU < RHS.IsTU)
        return true;
      if (LHS.IsTU > RHS.IsTU)
        return false;
      if (LHS.Ordered < RHS.Ordered)
        return true;
      if (LHS.Ordered > RHS.Ordered)
        return false;
      if (LHS.Log2SEW < RHS.Log2SEW)
        return true;
      if (LHS.Log2SEW > RHS.Log2SEW)
        return false;
      if (LHS.LMUL < RHS.LMUL)
        return true;
      if (LHS.LMUL > RHS.LMUL)
        return false;
      if (LHS.IndexLMUL < RHS.IndexLMUL)
        return true;
      if (LHS.IndexLMUL > RHS.IndexLMUL)
        return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.Masked != Idx->Masked ||
      Key.IsTU != Idx->IsTU ||
      Key.Ordered != Idx->Ordered ||
      Key.Log2SEW != Idx->Log2SEW ||
      Key.LMUL != Idx->LMUL ||
      Key.IndexLMUL != Idx->IndexLMUL)
    return nullptr;
  return &*Idx;
}
#endif

#ifdef GET_SysRegsList_DECL
const SysReg *lookupSysRegByEncoding(uint16_t Encoding);
const SysReg *lookupSysRegByAltName(StringRef AltName);
const SysReg *lookupSysRegByDeprecatedName(StringRef DeprecatedName);
const SysReg *lookupSysRegByName(StringRef Name);
#endif

#ifdef GET_SysRegsList_IMPL
constexpr SysReg SysRegsList[] = {
  { "ustatus", "ustatus", "", 0x0,  {} , false }, // 0
  { "fflags", "fflags", "", 0x1,  {} , false }, // 1
  { "frm", "frm", "", 0x2,  {} , false }, // 2
  { "fcsr", "fcsr", "", 0x3,  {} , false }, // 3
  { "uie", "uie", "", 0x4,  {} , false }, // 4
  { "utvec", "utvec", "", 0x5,  {} , false }, // 5
  { "vstart", "vstart", "", 0x8,  {} , false }, // 6
  { "vxsat", "vxsat", "", 0x9,  {} , false }, // 7
  { "vxrm", "vxrm", "", 0xA,  {} , false }, // 8
  { "vcsr", "vcsr", "", 0xF,  {} , false }, // 9
  { "seed", "seed", "", 0x15,  {} , false }, // 10
  { "uscratch", "uscratch", "", 0x40,  {} , false }, // 11
  { "uepc", "uepc", "", 0x41,  {} , false }, // 12
  { "ucause", "ucause", "", 0x42,  {} , false }, // 13
  { "utval", "utval", "ubadaddr", 0x43,  {} , false }, // 14
  { "uip", "uip", "", 0x44,  {} , false }, // 15
  { "sstatus", "sstatus", "", 0x100,  {} , false }, // 16
  { "sedeleg", "sedeleg", "", 0x102,  {} , false }, // 17
  { "sideleg", "sideleg", "", 0x103,  {} , false }, // 18
  { "sie", "sie", "", 0x104,  {} , false }, // 19
  { "stvec", "stvec", "", 0x105,  {} , false }, // 20
  { "scounteren", "scounteren", "", 0x106,  {} , false }, // 21
  { "senvcfg", "senvcfg", "", 0x10A,  {} , false }, // 22
  { "sstateen0", "sstateen0", "", 0x10C,  {} , false }, // 23
  { "sstateen1", "sstateen1", "", 0x10D,  {} , false }, // 24
  { "sstateen2", "sstateen2", "", 0x10E,  {} , false }, // 25
  { "sstateen3", "sstateen3", "", 0x10F,  {} , false }, // 26
  { "sscratch", "sscratch", "", 0x140,  {} , false }, // 27
  { "sepc", "sepc", "", 0x141,  {} , false }, // 28
  { "scause", "scause", "", 0x142,  {} , false }, // 29
  { "stval", "stval", "sbadaddr", 0x143,  {} , false }, // 30
  { "sip", "sip", "", 0x144,  {} , false }, // 31
  { "stimecmp", "stimecmp", "", 0x14D,  {} , false }, // 32
  { "stimecmph", "stimecmph", "", 0x15D,  {} , true }, // 33
  { "satp", "satp", "sptbr", 0x180,  {} , false }, // 34
  { "vsstatus", "vsstatus", "", 0x200,  {} , false }, // 35
  { "vsie", "vsie", "", 0x204,  {} , false }, // 36
  { "vstvec", "vstvec", "", 0x205,  {} , false }, // 37
  { "vsscratch", "vsscratch", "", 0x240,  {} , false }, // 38
  { "vsepc", "vsepc", "", 0x241,  {} , false }, // 39
  { "vscause", "vscause", "", 0x242,  {} , false }, // 40
  { "vstval", "vstval", "", 0x243,  {} , false }, // 41
  { "vsip", "vsip", "", 0x244,  {} , false }, // 42
  { "vstimecmp", "vstimecmp", "", 0x24D,  {} , false }, // 43
  { "vstimecmph", "vstimecmph", "", 0x25D,  {} , true }, // 44
  { "vsatp", "vsatp", "", 0x280,  {} , false }, // 45
  { "mstatus", "mstatus", "", 0x300,  {} , false }, // 46
  { "misa", "misa", "", 0x301,  {} , false }, // 47
  { "medeleg", "medeleg", "", 0x302,  {} , false }, // 48
  { "mideleg", "mideleg", "", 0x303,  {} , false }, // 49
  { "mie", "mie", "", 0x304,  {} , false }, // 50
  { "mtvec", "mtvec", "", 0x305,  {} , false }, // 51
  { "mcounteren", "mcounteren", "", 0x306,  {} , false }, // 52
  { "menvcfg", "menvcfg", "", 0x30A,  {} , false }, // 53
  { "mstateen0", "mstateen0", "", 0x30C,  {} , false }, // 54
  { "mstateen1", "mstateen1", "", 0x30D,  {} , false }, // 55
  { "mstateen2", "mstateen2", "", 0x30E,  {} , false }, // 56
  { "mstateen3", "mstateen3", "", 0x30F,  {} , false }, // 57
  { "mstatush", "mstatush", "", 0x310,  {} , true }, // 58
  { "menvcfgh", "menvcfgh", "", 0x31A,  {} , true }, // 59
  { "mstateen0h", "mstateen0h", "", 0x31C,  {} , true }, // 60
  { "mstateen1h", "mstateen1h", "", 0x31D,  {} , true }, // 61
  { "mstateen2h", "mstateen2h", "", 0x31E,  {} , true }, // 62
  { "mstateen3h", "mstateen3h", "", 0x31F,  {} , true }, // 63
  { "mcountinhibit", "mucounteren", "", 0x320,  {} , false }, // 64
  { "mhpmevent3", "mhpmevent3", "", 0x323,  {} , false }, // 65
  { "mhpmevent4", "mhpmevent4", "", 0x324,  {} , false }, // 66
  { "mhpmevent5", "mhpmevent5", "", 0x325,  {} , false }, // 67
  { "mhpmevent6", "mhpmevent6", "", 0x326,  {} , false }, // 68
  { "mhpmevent7", "mhpmevent7", "", 0x327,  {} , false }, // 69
  { "mhpmevent8", "mhpmevent8", "", 0x328,  {} , false }, // 70
  { "mhpmevent9", "mhpmevent9", "", 0x329,  {} , false }, // 71
  { "mhpmevent10", "mhpmevent10", "", 0x32A,  {} , false }, // 72
  { "mhpmevent11", "mhpmevent11", "", 0x32B,  {} , false }, // 73
  { "mhpmevent12", "mhpmevent12", "", 0x32C,  {} , false }, // 74
  { "mhpmevent13", "mhpmevent13", "", 0x32D,  {} , false }, // 75
  { "mhpmevent14", "mhpmevent14", "", 0x32E,  {} , false }, // 76
  { "mhpmevent15", "mhpmevent15", "", 0x32F,  {} , false }, // 77
  { "mhpmevent16", "mhpmevent16", "", 0x330,  {} , false }, // 78
  { "mhpmevent17", "mhpmevent17", "", 0x331,  {} , false }, // 79
  { "mhpmevent18", "mhpmevent18", "", 0x332,  {} , false }, // 80
  { "mhpmevent19", "mhpmevent19", "", 0x333,  {} , false }, // 81
  { "mhpmevent20", "mhpmevent20", "", 0x334,  {} , false }, // 82
  { "mhpmevent21", "mhpmevent21", "", 0x335,  {} , false }, // 83
  { "mhpmevent22", "mhpmevent22", "", 0x336,  {} , false }, // 84
  { "mhpmevent23", "mhpmevent23", "", 0x337,  {} , false }, // 85
  { "mhpmevent24", "mhpmevent24", "", 0x338,  {} , false }, // 86
  { "mhpmevent25", "mhpmevent25", "", 0x339,  {} , false }, // 87
  { "mhpmevent26", "mhpmevent26", "", 0x33A,  {} , false }, // 88
  { "mhpmevent27", "mhpmevent27", "", 0x33B,  {} , false }, // 89
  { "mhpmevent28", "mhpmevent28", "", 0x33C,  {} , false }, // 90
  { "mhpmevent29", "mhpmevent29", "", 0x33D,  {} , false }, // 91
  { "mhpmevent30", "mhpmevent30", "", 0x33E,  {} , false }, // 92
  { "mhpmevent31", "mhpmevent31", "", 0x33F,  {} , false }, // 93
  { "mscratch", "mscratch", "", 0x340,  {} , false }, // 94
  { "mepc", "mepc", "", 0x341,  {} , false }, // 95
  { "mcause", "mcause", "", 0x342,  {} , false }, // 96
  { "mtval", "mtval", "mbadaddr", 0x343,  {} , false }, // 97
  { "mip", "mip", "", 0x344,  {} , false }, // 98
  { "mtinst", "mtinst", "", 0x34A,  {} , false }, // 99
  { "mtval2", "mtval2", "", 0x34B,  {} , false }, // 100
  { "pmpcfg0", "pmpcfg0", "", 0x3A0,  {} , false }, // 101
  { "pmpcfg1", "pmpcfg1", "", 0x3A1,  {} , true }, // 102
  { "pmpcfg2", "pmpcfg2", "", 0x3A2,  {} , false }, // 103
  { "pmpcfg3", "pmpcfg3", "", 0x3A3,  {} , true }, // 104
  { "pmpcfg4", "pmpcfg4", "", 0x3A4,  {} , false }, // 105
  { "pmpcfg5", "pmpcfg5", "", 0x3A5,  {} , true }, // 106
  { "pmpcfg6", "pmpcfg6", "", 0x3A6,  {} , false }, // 107
  { "pmpcfg7", "pmpcfg7", "", 0x3A7,  {} , true }, // 108
  { "pmpcfg8", "pmpcfg8", "", 0x3A8,  {} , false }, // 109
  { "pmpcfg9", "pmpcfg9", "", 0x3A9,  {} , true }, // 110
  { "pmpcfg10", "pmpcfg10", "", 0x3AA,  {} , false }, // 111
  { "pmpcfg11", "pmpcfg11", "", 0x3AB,  {} , true }, // 112
  { "pmpcfg12", "pmpcfg12", "", 0x3AC,  {} , false }, // 113
  { "pmpcfg13", "pmpcfg13", "", 0x3AD,  {} , true }, // 114
  { "pmpcfg14", "pmpcfg14", "", 0x3AE,  {} , false }, // 115
  { "pmpcfg15", "pmpcfg15", "", 0x3AF,  {} , true }, // 116
  { "pmpaddr0", "pmpaddr0", "", 0x3B0,  {} , false }, // 117
  { "pmpaddr1", "pmpaddr1", "", 0x3B1,  {} , false }, // 118
  { "pmpaddr2", "pmpaddr2", "", 0x3B2,  {} , false }, // 119
  { "pmpaddr3", "pmpaddr3", "", 0x3B3,  {} , false }, // 120
  { "pmpaddr4", "pmpaddr4", "", 0x3B4,  {} , false }, // 121
  { "pmpaddr5", "pmpaddr5", "", 0x3B5,  {} , false }, // 122
  { "pmpaddr6", "pmpaddr6", "", 0x3B6,  {} , false }, // 123
  { "pmpaddr7", "pmpaddr7", "", 0x3B7,  {} , false }, // 124
  { "pmpaddr8", "pmpaddr8", "", 0x3B8,  {} , false }, // 125
  { "pmpaddr9", "pmpaddr9", "", 0x3B9,  {} , false }, // 126
  { "pmpaddr10", "pmpaddr10", "", 0x3BA,  {} , false }, // 127
  { "pmpaddr11", "pmpaddr11", "", 0x3BB,  {} , false }, // 128
  { "pmpaddr12", "pmpaddr12", "", 0x3BC,  {} , false }, // 129
  { "pmpaddr13", "pmpaddr13", "", 0x3BD,  {} , false }, // 130
  { "pmpaddr14", "pmpaddr14", "", 0x3BE,  {} , false }, // 131
  { "pmpaddr15", "pmpaddr15", "", 0x3BF,  {} , false }, // 132
  { "pmpaddr16", "pmpaddr16", "", 0x3C0,  {} , false }, // 133
  { "pmpaddr17", "pmpaddr17", "", 0x3C1,  {} , false }, // 134
  { "pmpaddr18", "pmpaddr18", "", 0x3C2,  {} , false }, // 135
  { "pmpaddr19", "pmpaddr19", "", 0x3C3,  {} , false }, // 136
  { "pmpaddr20", "pmpaddr20", "", 0x3C4,  {} , false }, // 137
  { "pmpaddr21", "pmpaddr21", "", 0x3C5,  {} , false }, // 138
  { "pmpaddr22", "pmpaddr22", "", 0x3C6,  {} , false }, // 139
  { "pmpaddr23", "pmpaddr23", "", 0x3C7,  {} , false }, // 140
  { "pmpaddr24", "pmpaddr24", "", 0x3C8,  {} , false }, // 141
  { "pmpaddr25", "pmpaddr25", "", 0x3C9,  {} , false }, // 142
  { "pmpaddr26", "pmpaddr26", "", 0x3CA,  {} , false }, // 143
  { "pmpaddr27", "pmpaddr27", "", 0x3CB,  {} , false }, // 144
  { "pmpaddr28", "pmpaddr28", "", 0x3CC,  {} , false }, // 145
  { "pmpaddr29", "pmpaddr29", "", 0x3CD,  {} , false }, // 146
  { "pmpaddr30", "pmpaddr30", "", 0x3CE,  {} , false }, // 147
  { "pmpaddr31", "pmpaddr31", "", 0x3CF,  {} , false }, // 148
  { "pmpaddr32", "pmpaddr32", "", 0x3D0,  {} , false }, // 149
  { "pmpaddr33", "pmpaddr33", "", 0x3D1,  {} , false }, // 150
  { "pmpaddr34", "pmpaddr34", "", 0x3D2,  {} , false }, // 151
  { "pmpaddr35", "pmpaddr35", "", 0x3D3,  {} , false }, // 152
  { "pmpaddr36", "pmpaddr36", "", 0x3D4,  {} , false }, // 153
  { "pmpaddr37", "pmpaddr37", "", 0x3D5,  {} , false }, // 154
  { "pmpaddr38", "pmpaddr38", "", 0x3D6,  {} , false }, // 155
  { "pmpaddr39", "pmpaddr39", "", 0x3D7,  {} , false }, // 156
  { "pmpaddr40", "pmpaddr40", "", 0x3D8,  {} , false }, // 157
  { "pmpaddr41", "pmpaddr41", "", 0x3D9,  {} , false }, // 158
  { "pmpaddr42", "pmpaddr42", "", 0x3DA,  {} , false }, // 159
  { "pmpaddr43", "pmpaddr43", "", 0x3DB,  {} , false }, // 160
  { "pmpaddr44", "pmpaddr44", "", 0x3DC,  {} , false }, // 161
  { "pmpaddr45", "pmpaddr45", "", 0x3DD,  {} , false }, // 162
  { "pmpaddr46", "pmpaddr46", "", 0x3DE,  {} , false }, // 163
  { "pmpaddr47", "pmpaddr47", "", 0x3DF,  {} , false }, // 164
  { "pmpaddr48", "pmpaddr48", "", 0x3E0,  {} , false }, // 165
  { "pmpaddr49", "pmpaddr49", "", 0x3E1,  {} , false }, // 166
  { "pmpaddr50", "pmpaddr50", "", 0x3E2,  {} , false }, // 167
  { "pmpaddr51", "pmpaddr51", "", 0x3E3,  {} , false }, // 168
  { "pmpaddr52", "pmpaddr52", "", 0x3E4,  {} , false }, // 169
  { "pmpaddr53", "pmpaddr53", "", 0x3E5,  {} , false }, // 170
  { "pmpaddr54", "pmpaddr54", "", 0x3E6,  {} , false }, // 171
  { "pmpaddr55", "pmpaddr55", "", 0x3E7,  {} , false }, // 172
  { "pmpaddr56", "pmpaddr56", "", 0x3E8,  {} , false }, // 173
  { "pmpaddr57", "pmpaddr57", "", 0x3E9,  {} , false }, // 174
  { "pmpaddr58", "pmpaddr58", "", 0x3EA,  {} , false }, // 175
  { "pmpaddr59", "pmpaddr59", "", 0x3EB,  {} , false }, // 176
  { "pmpaddr60", "pmpaddr60", "", 0x3EC,  {} , false }, // 177
  { "pmpaddr61", "pmpaddr61", "", 0x3ED,  {} , false }, // 178
  { "pmpaddr62", "pmpaddr62", "", 0x3EE,  {} , false }, // 179
  { "pmpaddr63", "pmpaddr63", "", 0x3EF,  {} , false }, // 180
  { "scontext", "scontext", "", 0x5A8,  {} , false }, // 181
  { "hstatus", "hstatus", "", 0x600,  {} , false }, // 182
  { "hedeleg", "hedeleg", "", 0x602,  {} , false }, // 183
  { "hideleg", "hideleg", "", 0x603,  {} , false }, // 184
  { "hie", "hie", "", 0x604,  {} , false }, // 185
  { "htimedelta", "htimedelta", "", 0x605,  {} , false }, // 186
  { "hcounteren", "hcounteren", "", 0x606,  {} , false }, // 187
  { "hgeie", "hgeie", "", 0x607,  {} , false }, // 188
  { "henvcfg", "henvcfg", "", 0x60A,  {} , false }, // 189
  { "hstateen0", "hstateen0", "", 0x60C,  {} , false }, // 190
  { "hstateen1", "hstateen1", "", 0x60D,  {} , false }, // 191
  { "hstateen2", "hstateen2", "", 0x60E,  {} , false }, // 192
  { "hstateen3", "hstateen3", "", 0x60F,  {} , false }, // 193
  { "htimedeltah", "htimedeltah", "", 0x615,  {} , true }, // 194
  { "henvcfgh", "henvcfgh", "", 0x61A,  {} , true }, // 195
  { "hstateen0h", "hstateen0h", "", 0x61C,  {} , true }, // 196
  { "hstateen1h", "hstateen1h", "", 0x61D,  {} , true }, // 197
  { "hstateen2h", "hstateen2h", "", 0x61E,  {} , true }, // 198
  { "hstateen3h", "hstateen3h", "", 0x61F,  {} , true }, // 199
  { "htval", "htval", "", 0x643,  {} , false }, // 200
  { "hip", "hip", "", 0x644,  {} , false }, // 201
  { "hvip", "hvip", "", 0x645,  {} , false }, // 202
  { "htinst", "htinst", "", 0x64A,  {} , false }, // 203
  { "hgatp", "hgatp", "", 0x680,  {} , false }, // 204
  { "hcontext", "hcontext", "", 0x6A8,  {} , false }, // 205
  { "mhpmevent3h", "mhpmevent3h", "", 0x723,  {} , true }, // 206
  { "mhpmevent4h", "mhpmevent4h", "", 0x724,  {} , true }, // 207
  { "mhpmevent5h", "mhpmevent5h", "", 0x725,  {} , true }, // 208
  { "mhpmevent6h", "mhpmevent6h", "", 0x726,  {} , true }, // 209
  { "mhpmevent7h", "mhpmevent7h", "", 0x727,  {} , true }, // 210
  { "mhpmevent8h", "mhpmevent8h", "", 0x728,  {} , true }, // 211
  { "mhpmevent9h", "mhpmevent9h", "", 0x729,  {} , true }, // 212
  { "mhpmevent10h", "mhpmevent10h", "", 0x72A,  {} , true }, // 213
  { "mhpmevent11h", "mhpmevent11h", "", 0x72B,  {} , true }, // 214
  { "mhpmevent12h", "mhpmevent12h", "", 0x72C,  {} , true }, // 215
  { "mhpmevent13h", "mhpmevent13h", "", 0x72D,  {} , true }, // 216
  { "mhpmevent14h", "mhpmevent14h", "", 0x72E,  {} , true }, // 217
  { "mhpmevent15h", "mhpmevent15h", "", 0x72F,  {} , true }, // 218
  { "mhpmevent16h", "mhpmevent16h", "", 0x730,  {} , true }, // 219
  { "mhpmevent17h", "mhpmevent17h", "", 0x731,  {} , true }, // 220
  { "mhpmevent18h", "mhpmevent18h", "", 0x732,  {} , true }, // 221
  { "mhpmevent19h", "mhpmevent19h", "", 0x733,  {} , true }, // 222
  { "mhpmevent20h", "mhpmevent20h", "", 0x734,  {} , true }, // 223
  { "mhpmevent21h", "mhpmevent21h", "", 0x735,  {} , true }, // 224
  { "mhpmevent22h", "mhpmevent22h", "", 0x736,  {} , true }, // 225
  { "mhpmevent23h", "mhpmevent23h", "", 0x737,  {} , true }, // 226
  { "mhpmevent24h", "mhpmevent24h", "", 0x738,  {} , true }, // 227
  { "mhpmevent25h", "mhpmevent25h", "", 0x739,  {} , true }, // 228
  { "mhpmevent26h", "mhpmevent26h", "", 0x73A,  {} , true }, // 229
  { "mhpmevent27h", "mhpmevent27h", "", 0x73B,  {} , true }, // 230
  { "mhpmevent28h", "mhpmevent28h", "", 0x73C,  {} , true }, // 231
  { "mhpmevent29h", "mhpmevent29h", "", 0x73D,  {} , true }, // 232
  { "mhpmevent30h", "mhpmevent30h", "", 0x73E,  {} , true }, // 233
  { "mhpmevent31h", "mhpmevent31h", "", 0x73F,  {} , true }, // 234
  { "mseccfg", "mseccfg", "", 0x747,  {} , false }, // 235
  { "mseccfgh", "mseccfgh", "", 0x757,  {} , true }, // 236
  { "tselect", "tselect", "", 0x7A0,  {} , false }, // 237
  { "tdata1", "tdata1", "", 0x7A1,  {} , false }, // 238
  { "tdata2", "tdata2", "", 0x7A2,  {} , false }, // 239
  { "tdata3", "tdata3", "", 0x7A3,  {} , false }, // 240
  { "mcontext", "mcontext", "", 0x7A8,  {} , false }, // 241
  { "dcsr", "dcsr", "", 0x7B0,  {} , false }, // 242
  { "dpc", "dpc", "", 0x7B1,  {} , false }, // 243
  { "dscratch0", "dscratch", "", 0x7B2,  {} , false }, // 244
  { "dscratch1", "dscratch1", "", 0x7B3,  {} , false }, // 245
  { "mcycle", "mcycle", "", 0xB00,  {} , false }, // 246
  { "minstret", "minstret", "", 0xB02,  {} , false }, // 247
  { "mhpmcounter3", "mhpmcounter3", "", 0xB03,  {} , false }, // 248
  { "mhpmcounter4", "mhpmcounter4", "", 0xB04,  {} , false }, // 249
  { "mhpmcounter5", "mhpmcounter5", "", 0xB05,  {} , false }, // 250
  { "mhpmcounter6", "mhpmcounter6", "", 0xB06,  {} , false }, // 251
  { "mhpmcounter7", "mhpmcounter7", "", 0xB07,  {} , false }, // 252
  { "mhpmcounter8", "mhpmcounter8", "", 0xB08,  {} , false }, // 253
  { "mhpmcounter9", "mhpmcounter9", "", 0xB09,  {} , false }, // 254
  { "mhpmcounter10", "mhpmcounter10", "", 0xB0A,  {} , false }, // 255
  { "mhpmcounter11", "mhpmcounter11", "", 0xB0B,  {} , false }, // 256
  { "mhpmcounter12", "mhpmcounter12", "", 0xB0C,  {} , false }, // 257
  { "mhpmcounter13", "mhpmcounter13", "", 0xB0D,  {} , false }, // 258
  { "mhpmcounter14", "mhpmcounter14", "", 0xB0E,  {} , false }, // 259
  { "mhpmcounter15", "mhpmcounter15", "", 0xB0F,  {} , false }, // 260
  { "mhpmcounter16", "mhpmcounter16", "", 0xB10,  {} , false }, // 261
  { "mhpmcounter17", "mhpmcounter17", "", 0xB11,  {} , false }, // 262
  { "mhpmcounter18", "mhpmcounter18", "", 0xB12,  {} , false }, // 263
  { "mhpmcounter19", "mhpmcounter19", "", 0xB13,  {} , false }, // 264
  { "mhpmcounter20", "mhpmcounter20", "", 0xB14,  {} , false }, // 265
  { "mhpmcounter21", "mhpmcounter21", "", 0xB15,  {} , false }, // 266
  { "mhpmcounter22", "mhpmcounter22", "", 0xB16,  {} , false }, // 267
  { "mhpmcounter23", "mhpmcounter23", "", 0xB17,  {} , false }, // 268
  { "mhpmcounter24", "mhpmcounter24", "", 0xB18,  {} , false }, // 269
  { "mhpmcounter25", "mhpmcounter25", "", 0xB19,  {} , false }, // 270
  { "mhpmcounter26", "mhpmcounter26", "", 0xB1A,  {} , false }, // 271
  { "mhpmcounter27", "mhpmcounter27", "", 0xB1B,  {} , false }, // 272
  { "mhpmcounter28", "mhpmcounter28", "", 0xB1C,  {} , false }, // 273
  { "mhpmcounter29", "mhpmcounter29", "", 0xB1D,  {} , false }, // 274
  { "mhpmcounter30", "mhpmcounter30", "", 0xB1E,  {} , false }, // 275
  { "mhpmcounter31", "mhpmcounter31", "", 0xB1F,  {} , false }, // 276
  { "mcycleh", "mcycleh", "", 0xB80,  {} , true }, // 277
  { "minstreth", "minstreth", "", 0xB82,  {} , true }, // 278
  { "mhpmcounter3h", "mhpmcounter3h", "", 0xB83,  {} , true }, // 279
  { "mhpmcounter4h", "mhpmcounter4h", "", 0xB84,  {} , true }, // 280
  { "mhpmcounter5h", "mhpmcounter5h", "", 0xB85,  {} , true }, // 281
  { "mhpmcounter6h", "mhpmcounter6h", "", 0xB86,  {} , true }, // 282
  { "mhpmcounter7h", "mhpmcounter7h", "", 0xB87,  {} , true }, // 283
  { "mhpmcounter8h", "mhpmcounter8h", "", 0xB88,  {} , true }, // 284
  { "mhpmcounter9h", "mhpmcounter9h", "", 0xB89,  {} , true }, // 285
  { "mhpmcounter10h", "mhpmcounter10h", "", 0xB8A,  {} , true }, // 286
  { "mhpmcounter11h", "mhpmcounter11h", "", 0xB8B,  {} , true }, // 287
  { "mhpmcounter12h", "mhpmcounter12h", "", 0xB8C,  {} , true }, // 288
  { "mhpmcounter13h", "mhpmcounter13h", "", 0xB8D,  {} , true }, // 289
  { "mhpmcounter14h", "mhpmcounter14h", "", 0xB8E,  {} , true }, // 290
  { "mhpmcounter15h", "mhpmcounter15h", "", 0xB8F,  {} , true }, // 291
  { "mhpmcounter16h", "mhpmcounter16h", "", 0xB90,  {} , true }, // 292
  { "mhpmcounter17h", "mhpmcounter17h", "", 0xB91,  {} , true }, // 293
  { "mhpmcounter18h", "mhpmcounter18h", "", 0xB92,  {} , true }, // 294
  { "mhpmcounter19h", "mhpmcounter19h", "", 0xB93,  {} , true }, // 295
  { "mhpmcounter20h", "mhpmcounter20h", "", 0xB94,  {} , true }, // 296
  { "mhpmcounter21h", "mhpmcounter21h", "", 0xB95,  {} , true }, // 297
  { "mhpmcounter22h", "mhpmcounter22h", "", 0xB96,  {} , true }, // 298
  { "mhpmcounter23h", "mhpmcounter23h", "", 0xB97,  {} , true }, // 299
  { "mhpmcounter24h", "mhpmcounter24h", "", 0xB98,  {} , true }, // 300
  { "mhpmcounter25h", "mhpmcounter25h", "", 0xB99,  {} , true }, // 301
  { "mhpmcounter26h", "mhpmcounter26h", "", 0xB9A,  {} , true }, // 302
  { "mhpmcounter27h", "mhpmcounter27h", "", 0xB9B,  {} , true }, // 303
  { "mhpmcounter28h", "mhpmcounter28h", "", 0xB9C,  {} , true }, // 304
  { "mhpmcounter29h", "mhpmcounter29h", "", 0xB9D,  {} , true }, // 305
  { "mhpmcounter30h", "mhpmcounter30h", "", 0xB9E,  {} , true }, // 306
  { "mhpmcounter31h", "mhpmcounter31h", "", 0xB9F,  {} , true }, // 307
  { "cycle", "cycle", "", 0xC00,  {} , false }, // 308
  { "time", "time", "", 0xC01,  {} , false }, // 309
  { "instret", "instret", "", 0xC02,  {} , false }, // 310
  { "hpmcounter3", "hpmcounter3", "", 0xC03,  {} , false }, // 311
  { "hpmcounter4", "hpmcounter4", "", 0xC04,  {} , false }, // 312
  { "hpmcounter5", "hpmcounter5", "", 0xC05,  {} , false }, // 313
  { "hpmcounter6", "hpmcounter6", "", 0xC06,  {} , false }, // 314
  { "hpmcounter7", "hpmcounter7", "", 0xC07,  {} , false }, // 315
  { "hpmcounter8", "hpmcounter8", "", 0xC08,  {} , false }, // 316
  { "hpmcounter9", "hpmcounter9", "", 0xC09,  {} , false }, // 317
  { "hpmcounter10", "hpmcounter10", "", 0xC0A,  {} , false }, // 318
  { "hpmcounter11", "hpmcounter11", "", 0xC0B,  {} , false }, // 319
  { "hpmcounter12", "hpmcounter12", "", 0xC0C,  {} , false }, // 320
  { "hpmcounter13", "hpmcounter13", "", 0xC0D,  {} , false }, // 321
  { "hpmcounter14", "hpmcounter14", "", 0xC0E,  {} , false }, // 322
  { "hpmcounter15", "hpmcounter15", "", 0xC0F,  {} , false }, // 323
  { "hpmcounter16", "hpmcounter16", "", 0xC10,  {} , false }, // 324
  { "hpmcounter17", "hpmcounter17", "", 0xC11,  {} , false }, // 325
  { "hpmcounter18", "hpmcounter18", "", 0xC12,  {} , false }, // 326
  { "hpmcounter19", "hpmcounter19", "", 0xC13,  {} , false }, // 327
  { "hpmcounter20", "hpmcounter20", "", 0xC14,  {} , false }, // 328
  { "hpmcounter21", "hpmcounter21", "", 0xC15,  {} , false }, // 329
  { "hpmcounter22", "hpmcounter22", "", 0xC16,  {} , false }, // 330
  { "hpmcounter23", "hpmcounter23", "", 0xC17,  {} , false }, // 331
  { "hpmcounter24", "hpmcounter24", "", 0xC18,  {} , false }, // 332
  { "hpmcounter25", "hpmcounter25", "", 0xC19,  {} , false }, // 333
  { "hpmcounter26", "hpmcounter26", "", 0xC1A,  {} , false }, // 334
  { "hpmcounter27", "hpmcounter27", "", 0xC1B,  {} , false }, // 335
  { "hpmcounter28", "hpmcounter28", "", 0xC1C,  {} , false }, // 336
  { "hpmcounter29", "hpmcounter29", "", 0xC1D,  {} , false }, // 337
  { "hpmcounter30", "hpmcounter30", "", 0xC1E,  {} , false }, // 338
  { "hpmcounter31", "hpmcounter31", "", 0xC1F,  {} , false }, // 339
  { "vl", "vl", "", 0xC20,  {} , false }, // 340
  { "vtype", "vtype", "", 0xC21,  {} , false }, // 341
  { "vlenb", "vlenb", "", 0xC22,  {} , false }, // 342
  { "cycleh", "cycleh", "", 0xC80,  {} , true }, // 343
  { "timeh", "timeh", "", 0xC81,  {} , true }, // 344
  { "instreth", "instreth", "", 0xC82,  {} , true }, // 345
  { "hpmcounter3h", "hpmcounter3h", "", 0xC83,  {} , true }, // 346
  { "hpmcounter4h", "hpmcounter4h", "", 0xC84,  {} , true }, // 347
  { "hpmcounter5h", "hpmcounter5h", "", 0xC85,  {} , true }, // 348
  { "hpmcounter6h", "hpmcounter6h", "", 0xC86,  {} , true }, // 349
  { "hpmcounter7h", "hpmcounter7h", "", 0xC87,  {} , true }, // 350
  { "hpmcounter8h", "hpmcounter8h", "", 0xC88,  {} , true }, // 351
  { "hpmcounter9h", "hpmcounter9h", "", 0xC89,  {} , true }, // 352
  { "hpmcounter10h", "hpmcounter10h", "", 0xC8A,  {} , true }, // 353
  { "hpmcounter11h", "hpmcounter11h", "", 0xC8B,  {} , true }, // 354
  { "hpmcounter12h", "hpmcounter12h", "", 0xC8C,  {} , true }, // 355
  { "hpmcounter13h", "hpmcounter13h", "", 0xC8D,  {} , true }, // 356
  { "hpmcounter14h", "hpmcounter14h", "", 0xC8E,  {} , true }, // 357
  { "hpmcounter15h", "hpmcounter15h", "", 0xC8F,  {} , true }, // 358
  { "hpmcounter16h", "hpmcounter16h", "", 0xC90,  {} , true }, // 359
  { "hpmcounter17h", "hpmcounter17h", "", 0xC91,  {} , true }, // 360
  { "hpmcounter18h", "hpmcounter18h", "", 0xC92,  {} , true }, // 361
  { "hpmcounter19h", "hpmcounter19h", "", 0xC93,  {} , true }, // 362
  { "hpmcounter20h", "hpmcounter20h", "", 0xC94,  {} , true }, // 363
  { "hpmcounter21h", "hpmcounter21h", "", 0xC95,  {} , true }, // 364
  { "hpmcounter22h", "hpmcounter22h", "", 0xC96,  {} , true }, // 365
  { "hpmcounter23h", "hpmcounter23h", "", 0xC97,  {} , true }, // 366
  { "hpmcounter24h", "hpmcounter24h", "", 0xC98,  {} , true }, // 367
  { "hpmcounter25h", "hpmcounter25h", "", 0xC99,  {} , true }, // 368
  { "hpmcounter26h", "hpmcounter26h", "", 0xC9A,  {} , true }, // 369
  { "hpmcounter27h", "hpmcounter27h", "", 0xC9B,  {} , true }, // 370
  { "hpmcounter28h", "hpmcounter28h", "", 0xC9C,  {} , true }, // 371
  { "hpmcounter29h", "hpmcounter29h", "", 0xC9D,  {} , true }, // 372
  { "hpmcounter30h", "hpmcounter30h", "", 0xC9E,  {} , true }, // 373
  { "hpmcounter31h", "hpmcounter31h", "", 0xC9F,  {} , true }, // 374
  { "scountovf", "scountovf", "", 0xDA0,  {} , false }, // 375
  { "hgeip", "hgeip", "", 0xE12,  {} , false }, // 376
  { "mvendorid", "mvendorid", "", 0xF11,  {} , false }, // 377
  { "marchid", "marchid", "", 0xF12,  {} , false }, // 378
  { "mimpid", "mimpid", "", 0xF13,  {} , false }, // 379
  { "mhartid", "mhartid", "", 0xF14,  {} , false }, // 380
  { "mconfigptr", "mconfigptr", "", 0xF15,  {} , false }, // 381
 };

const SysReg *lookupSysRegByEncoding(uint16_t Encoding) {
  struct KeyType {
    uint16_t Encoding;
  };
  KeyType Key = {Encoding};
  auto Table = makeArrayRef(SysRegsList);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const SysReg &LHS, const KeyType &RHS) {
      if (LHS.Encoding < RHS.Encoding)
        return true;
      if (LHS.Encoding > RHS.Encoding)
        return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.Encoding != Idx->Encoding)
    return nullptr;
  return &*Idx;
}

const SysReg *lookupSysRegByAltName(StringRef AltName) {
  struct IndexType {
    const char * AltName;
    unsigned _index;
  };
  static const struct IndexType Index[] = {
    { "CYCLE", 308 },
    { "CYCLEH", 343 },
    { "DCSR", 242 },
    { "DPC", 243 },
    { "DSCRATCH", 244 },
    { "DSCRATCH1", 245 },
    { "FCSR", 3 },
    { "FFLAGS", 1 },
    { "FRM", 2 },
    { "HCONTEXT", 205 },
    { "HCOUNTEREN", 187 },
    { "HEDELEG", 183 },
    { "HENVCFG", 189 },
    { "HENVCFGH", 195 },
    { "HGATP", 204 },
    { "HGEIE", 188 },
    { "HGEIP", 376 },
    { "HIDELEG", 184 },
    { "HIE", 185 },
    { "HIP", 201 },
    { "HPMCOUNTER10", 318 },
    { "HPMCOUNTER10H", 353 },
    { "HPMCOUNTER11", 319 },
    { "HPMCOUNTER11H", 354 },
    { "HPMCOUNTER12", 320 },
    { "HPMCOUNTER12H", 355 },
    { "HPMCOUNTER13", 321 },
    { "HPMCOUNTER13H", 356 },
    { "HPMCOUNTER14", 322 },
    { "HPMCOUNTER14H", 357 },
    { "HPMCOUNTER15", 323 },
    { "HPMCOUNTER15H", 358 },
    { "HPMCOUNTER16", 324 },
    { "HPMCOUNTER16H", 359 },
    { "HPMCOUNTER17", 325 },
    { "HPMCOUNTER17H", 360 },
    { "HPMCOUNTER18", 326 },
    { "HPMCOUNTER18H", 361 },
    { "HPMCOUNTER19", 327 },
    { "HPMCOUNTER19H", 362 },
    { "HPMCOUNTER20", 328 },
    { "HPMCOUNTER20H", 363 },
    { "HPMCOUNTER21", 329 },
    { "HPMCOUNTER21H", 364 },
    { "HPMCOUNTER22", 330 },
    { "HPMCOUNTER22H", 365 },
    { "HPMCOUNTER23", 331 },
    { "HPMCOUNTER23H", 366 },
    { "HPMCOUNTER24", 332 },
    { "HPMCOUNTER24H", 367 },
    { "HPMCOUNTER25", 333 },
    { "HPMCOUNTER25H", 368 },
    { "HPMCOUNTER26", 334 },
    { "HPMCOUNTER26H", 369 },
    { "HPMCOUNTER27", 335 },
    { "HPMCOUNTER27H", 370 },
    { "HPMCOUNTER28", 336 },
    { "HPMCOUNTER28H", 371 },
    { "HPMCOUNTER29", 337 },
    { "HPMCOUNTER29H", 372 },
    { "HPMCOUNTER3", 311 },
    { "HPMCOUNTER30", 338 },
    { "HPMCOUNTER30H", 373 },
    { "HPMCOUNTER31", 339 },
    { "HPMCOUNTER31H", 374 },
    { "HPMCOUNTER3H", 346 },
    { "HPMCOUNTER4", 312 },
    { "HPMCOUNTER4H", 347 },
    { "HPMCOUNTER5", 313 },
    { "HPMCOUNTER5H", 348 },
    { "HPMCOUNTER6", 314 },
    { "HPMCOUNTER6H", 349 },
    { "HPMCOUNTER7", 315 },
    { "HPMCOUNTER7H", 350 },
    { "HPMCOUNTER8", 316 },
    { "HPMCOUNTER8H", 351 },
    { "HPMCOUNTER9", 317 },
    { "HPMCOUNTER9H", 352 },
    { "HSTATEEN0", 190 },
    { "HSTATEEN0H", 196 },
    { "HSTATEEN1", 191 },
    { "HSTATEEN1H", 197 },
    { "HSTATEEN2", 192 },
    { "HSTATEEN2H", 198 },
    { "HSTATEEN3", 193 },
    { "HSTATEEN3H", 199 },
    { "HSTATUS", 182 },
    { "HTIMEDELTA", 186 },
    { "HTIMEDELTAH", 194 },
    { "HTINST", 203 },
    { "HTVAL", 200 },
    { "HVIP", 202 },
    { "INSTRET", 310 },
    { "INSTRETH", 345 },
    { "MARCHID", 378 },
    { "MCAUSE", 96 },
    { "MCONFIGPTR", 381 },
    { "MCONTEXT", 241 },
    { "MCOUNTEREN", 52 },
    { "MCYCLE", 246 },
    { "MCYCLEH", 277 },
    { "MEDELEG", 48 },
    { "MENVCFG", 53 },
    { "MENVCFGH", 59 },
    { "MEPC", 95 },
    { "MHARTID", 380 },
    { "MHPMCOUNTER10", 255 },
    { "MHPMCOUNTER10H", 286 },
    { "MHPMCOUNTER11", 256 },
    { "MHPMCOUNTER11H", 287 },
    { "MHPMCOUNTER12", 257 },
    { "MHPMCOUNTER12H", 288 },
    { "MHPMCOUNTER13", 258 },
    { "MHPMCOUNTER13H", 289 },
    { "MHPMCOUNTER14", 259 },
    { "MHPMCOUNTER14H", 290 },
    { "MHPMCOUNTER15", 260 },
    { "MHPMCOUNTER15H", 291 },
    { "MHPMCOUNTER16", 261 },
    { "MHPMCOUNTER16H", 292 },
    { "MHPMCOUNTER17", 262 },
    { "MHPMCOUNTER17H", 293 },
    { "MHPMCOUNTER18", 263 },
    { "MHPMCOUNTER18H", 294 },
    { "MHPMCOUNTER19", 264 },
    { "MHPMCOUNTER19H", 295 },
    { "MHPMCOUNTER20", 265 },
    { "MHPMCOUNTER20H", 296 },
    { "MHPMCOUNTER21", 266 },
    { "MHPMCOUNTER21H", 297 },
    { "MHPMCOUNTER22", 267 },
    { "MHPMCOUNTER22H", 298 },
    { "MHPMCOUNTER23", 268 },
    { "MHPMCOUNTER23H", 299 },
    { "MHPMCOUNTER24", 269 },
    { "MHPMCOUNTER24H", 300 },
    { "MHPMCOUNTER25", 270 },
    { "MHPMCOUNTER25H", 301 },
    { "MHPMCOUNTER26", 271 },
    { "MHPMCOUNTER26H", 302 },
    { "MHPMCOUNTER27", 272 },
    { "MHPMCOUNTER27H", 303 },
    { "MHPMCOUNTER28", 273 },
    { "MHPMCOUNTER28H", 304 },
    { "MHPMCOUNTER29", 274 },
    { "MHPMCOUNTER29H", 305 },
    { "MHPMCOUNTER3", 248 },
    { "MHPMCOUNTER30", 275 },
    { "MHPMCOUNTER30H", 306 },
    { "MHPMCOUNTER31", 276 },
    { "MHPMCOUNTER31H", 307 },
    { "MHPMCOUNTER3H", 279 },
    { "MHPMCOUNTER4", 249 },
    { "MHPMCOUNTER4H", 280 },
    { "MHPMCOUNTER5", 250 },
    { "MHPMCOUNTER5H", 281 },
    { "MHPMCOUNTER6", 251 },
    { "MHPMCOUNTER6H", 282 },
    { "MHPMCOUNTER7", 252 },
    { "MHPMCOUNTER7H", 283 },
    { "MHPMCOUNTER8", 253 },
    { "MHPMCOUNTER8H", 284 },
    { "MHPMCOUNTER9", 254 },
    { "MHPMCOUNTER9H", 285 },
    { "MHPMEVENT10", 72 },
    { "MHPMEVENT10H", 213 },
    { "MHPMEVENT11", 73 },
    { "MHPMEVENT11H", 214 },
    { "MHPMEVENT12", 74 },
    { "MHPMEVENT12H", 215 },
    { "MHPMEVENT13", 75 },
    { "MHPMEVENT13H", 216 },
    { "MHPMEVENT14", 76 },
    { "MHPMEVENT14H", 217 },
    { "MHPMEVENT15", 77 },
    { "MHPMEVENT15H", 218 },
    { "MHPMEVENT16", 78 },
    { "MHPMEVENT16H", 219 },
    { "MHPMEVENT17", 79 },
    { "MHPMEVENT17H", 220 },
    { "MHPMEVENT18", 80 },
    { "MHPMEVENT18H", 221 },
    { "MHPMEVENT19", 81 },
    { "MHPMEVENT19H", 222 },
    { "MHPMEVENT20", 82 },
    { "MHPMEVENT20H", 223 },
    { "MHPMEVENT21", 83 },
    { "MHPMEVENT21H", 224 },
    { "MHPMEVENT22", 84 },
    { "MHPMEVENT22H", 225 },
    { "MHPMEVENT23", 85 },
    { "MHPMEVENT23H", 226 },
    { "MHPMEVENT24", 86 },
    { "MHPMEVENT24H", 227 },
    { "MHPMEVENT25", 87 },
    { "MHPMEVENT25H", 228 },
    { "MHPMEVENT26", 88 },
    { "MHPMEVENT26H", 229 },
    { "MHPMEVENT27", 89 },
    { "MHPMEVENT27H", 230 },
    { "MHPMEVENT28", 90 },
    { "MHPMEVENT28H", 231 },
    { "MHPMEVENT29", 91 },
    { "MHPMEVENT29H", 232 },
    { "MHPMEVENT3", 65 },
    { "MHPMEVENT30", 92 },
    { "MHPMEVENT30H", 233 },
    { "MHPMEVENT31", 93 },
    { "MHPMEVENT31H", 234 },
    { "MHPMEVENT3H", 206 },
    { "MHPMEVENT4", 66 },
    { "MHPMEVENT4H", 207 },
    { "MHPMEVENT5", 67 },
    { "MHPMEVENT5H", 208 },
    { "MHPMEVENT6", 68 },
    { "MHPMEVENT6H", 209 },
    { "MHPMEVENT7", 69 },
    { "MHPMEVENT7H", 210 },
    { "MHPMEVENT8", 70 },
    { "MHPMEVENT8H", 211 },
    { "MHPMEVENT9", 71 },
    { "MHPMEVENT9H", 212 },
    { "MIDELEG", 49 },
    { "MIE", 50 },
    { "MIMPID", 379 },
    { "MINSTRET", 247 },
    { "MINSTRETH", 278 },
    { "MIP", 98 },
    { "MISA", 47 },
    { "MSCRATCH", 94 },
    { "MSECCFG", 235 },
    { "MSECCFGH", 236 },
    { "MSTATEEN0", 54 },
    { "MSTATEEN0H", 60 },
    { "MSTATEEN1", 55 },
    { "MSTATEEN1H", 61 },
    { "MSTATEEN2", 56 },
    { "MSTATEEN2H", 62 },
    { "MSTATEEN3", 57 },
    { "MSTATEEN3H", 63 },
    { "MSTATUS", 46 },
    { "MSTATUSH", 58 },
    { "MTINST", 99 },
    { "MTVAL", 97 },
    { "MTVAL2", 100 },
    { "MTVEC", 51 },
    { "MUCOUNTEREN", 64 },
    { "MVENDORID", 377 },
    { "PMPADDR0", 117 },
    { "PMPADDR1", 118 },
    { "PMPADDR10", 127 },
    { "PMPADDR11", 128 },
    { "PMPADDR12", 129 },
    { "PMPADDR13", 130 },
    { "PMPADDR14", 131 },
    { "PMPADDR15", 132 },
    { "PMPADDR16", 133 },
    { "PMPADDR17", 134 },
    { "PMPADDR18", 135 },
    { "PMPADDR19", 136 },
    { "PMPADDR2", 119 },
    { "PMPADDR20", 137 },
    { "PMPADDR21", 138 },
    { "PMPADDR22", 139 },
    { "PMPADDR23", 140 },
    { "PMPADDR24", 141 },
    { "PMPADDR25", 142 },
    { "PMPADDR26", 143 },
    { "PMPADDR27", 144 },
    { "PMPADDR28", 145 },
    { "PMPADDR29", 146 },
    { "PMPADDR3", 120 },
    { "PMPADDR30", 147 },
    { "PMPADDR31", 148 },
    { "PMPADDR32", 149 },
    { "PMPADDR33", 150 },
    { "PMPADDR34", 151 },
    { "PMPADDR35", 152 },
    { "PMPADDR36", 153 },
    { "PMPADDR37", 154 },
    { "PMPADDR38", 155 },
    { "PMPADDR39", 156 },
    { "PMPADDR4", 121 },
    { "PMPADDR40", 157 },
    { "PMPADDR41", 158 },
    { "PMPADDR42", 159 },
    { "PMPADDR43", 160 },
    { "PMPADDR44", 161 },
    { "PMPADDR45", 162 },
    { "PMPADDR46", 163 },
    { "PMPADDR47", 164 },
    { "PMPADDR48", 165 },
    { "PMPADDR49", 166 },
    { "PMPADDR5", 122 },
    { "PMPADDR50", 167 },
    { "PMPADDR51", 168 },
    { "PMPADDR52", 169 },
    { "PMPADDR53", 170 },
    { "PMPADDR54", 171 },
    { "PMPADDR55", 172 },
    { "PMPADDR56", 173 },
    { "PMPADDR57", 174 },
    { "PMPADDR58", 175 },
    { "PMPADDR59", 176 },
    { "PMPADDR6", 123 },
    { "PMPADDR60", 177 },
    { "PMPADDR61", 178 },
    { "PMPADDR62", 179 },
    { "PMPADDR63", 180 },
    { "PMPADDR7", 124 },
    { "PMPADDR8", 125 },
    { "PMPADDR9", 126 },
    { "PMPCFG0", 101 },
    { "PMPCFG1", 102 },
    { "PMPCFG10", 111 },
    { "PMPCFG11", 112 },
    { "PMPCFG12", 113 },
    { "PMPCFG13", 114 },
    { "PMPCFG14", 115 },
    { "PMPCFG15", 116 },
    { "PMPCFG2", 103 },
    { "PMPCFG3", 104 },
    { "PMPCFG4", 105 },
    { "PMPCFG5", 106 },
    { "PMPCFG6", 107 },
    { "PMPCFG7", 108 },
    { "PMPCFG8", 109 },
    { "PMPCFG9", 110 },
    { "SATP", 34 },
    { "SCAUSE", 29 },
    { "SCONTEXT", 181 },
    { "SCOUNTEREN", 21 },
    { "SCOUNTOVF", 375 },
    { "SEDELEG", 17 },
    { "SEED", 10 },
    { "SENVCFG", 22 },
    { "SEPC", 28 },
    { "SIDELEG", 18 },
    { "SIE", 19 },
    { "SIP", 31 },
    { "SSCRATCH", 27 },
    { "SSTATEEN0", 23 },
    { "SSTATEEN1", 24 },
    { "SSTATEEN2", 25 },
    { "SSTATEEN3", 26 },
    { "SSTATUS", 16 },
    { "STIMECMP", 32 },
    { "STIMECMPH", 33 },
    { "STVAL", 30 },
    { "STVEC", 20 },
    { "TDATA1", 238 },
    { "TDATA2", 239 },
    { "TDATA3", 240 },
    { "TIME", 309 },
    { "TIMEH", 344 },
    { "TSELECT", 237 },
    { "UCAUSE", 13 },
    { "UEPC", 12 },
    { "UIE", 4 },
    { "UIP", 15 },
    { "USCRATCH", 11 },
    { "USTATUS", 0 },
    { "UTVAL", 14 },
    { "UTVEC", 5 },
    { "VCSR", 9 },
    { "VL", 340 },
    { "VLENB", 342 },
    { "VSATP", 45 },
    { "VSCAUSE", 40 },
    { "VSEPC", 39 },
    { "VSIE", 36 },
    { "VSIP", 42 },
    { "VSSCRATCH", 38 },
    { "VSSTATUS", 35 },
    { "VSTART", 6 },
    { "VSTIMECMP", 43 },
    { "VSTIMECMPH", 44 },
    { "VSTVAL", 41 },
    { "VSTVEC", 37 },
    { "VTYPE", 341 },
    { "VXRM", 8 },
    { "VXSAT", 7 },
  };

  struct KeyType {
    std::string AltName;
  };
  KeyType Key = {AltName.upper()};
  auto Table = makeArrayRef(Index);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const IndexType &LHS, const KeyType &RHS) {
      int CmpAltName = StringRef(LHS.AltName).compare(RHS.AltName);
      if (CmpAltName < 0) return true;
      if (CmpAltName > 0) return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.AltName != Idx->AltName)
    return nullptr;
  return &SysRegsList[Idx->_index];
}

const SysReg *lookupSysRegByDeprecatedName(StringRef DeprecatedName) {
  struct IndexType {
    const char * DeprecatedName;
    unsigned _index;
  };
  static const struct IndexType Index[] = {
    { "", 0 },
    { "", 1 },
    { "", 2 },
    { "", 3 },
    { "", 4 },
    { "", 5 },
    { "", 6 },
    { "", 7 },
    { "", 8 },
    { "", 9 },
    { "", 10 },
    { "", 11 },
    { "", 12 },
    { "", 13 },
    { "", 15 },
    { "", 16 },
    { "", 17 },
    { "", 18 },
    { "", 19 },
    { "", 20 },
    { "", 21 },
    { "", 22 },
    { "", 23 },
    { "", 24 },
    { "", 25 },
    { "", 26 },
    { "", 27 },
    { "", 28 },
    { "", 29 },
    { "", 31 },
    { "", 32 },
    { "", 33 },
    { "", 35 },
    { "", 36 },
    { "", 37 },
    { "", 38 },
    { "", 39 },
    { "", 40 },
    { "", 41 },
    { "", 42 },
    { "", 43 },
    { "", 44 },
    { "", 45 },
    { "", 46 },
    { "", 47 },
    { "", 48 },
    { "", 49 },
    { "", 50 },
    { "", 51 },
    { "", 52 },
    { "", 53 },
    { "", 54 },
    { "", 55 },
    { "", 56 },
    { "", 57 },
    { "", 58 },
    { "", 59 },
    { "", 60 },
    { "", 61 },
    { "", 62 },
    { "", 63 },
    { "", 64 },
    { "", 65 },
    { "", 66 },
    { "", 67 },
    { "", 68 },
    { "", 69 },
    { "", 70 },
    { "", 71 },
    { "", 72 },
    { "", 73 },
    { "", 74 },
    { "", 75 },
    { "", 76 },
    { "", 77 },
    { "", 78 },
    { "", 79 },
    { "", 80 },
    { "", 81 },
    { "", 82 },
    { "", 83 },
    { "", 84 },
    { "", 85 },
    { "", 86 },
    { "", 87 },
    { "", 88 },
    { "", 89 },
    { "", 90 },
    { "", 91 },
    { "", 92 },
    { "", 93 },
    { "", 94 },
    { "", 95 },
    { "", 96 },
    { "", 98 },
    { "", 99 },
    { "", 100 },
    { "", 101 },
    { "", 102 },
    { "", 103 },
    { "", 104 },
    { "", 105 },
    { "", 106 },
    { "", 107 },
    { "", 108 },
    { "", 109 },
    { "", 110 },
    { "", 111 },
    { "", 112 },
    { "", 113 },
    { "", 114 },
    { "", 115 },
    { "", 116 },
    { "", 117 },
    { "", 118 },
    { "", 119 },
    { "", 120 },
    { "", 121 },
    { "", 122 },
    { "", 123 },
    { "", 124 },
    { "", 125 },
    { "", 126 },
    { "", 127 },
    { "", 128 },
    { "", 129 },
    { "", 130 },
    { "", 131 },
    { "", 132 },
    { "", 133 },
    { "", 134 },
    { "", 135 },
    { "", 136 },
    { "", 137 },
    { "", 138 },
    { "", 139 },
    { "", 140 },
    { "", 141 },
    { "", 142 },
    { "", 143 },
    { "", 144 },
    { "", 145 },
    { "", 146 },
    { "", 147 },
    { "", 148 },
    { "", 149 },
    { "", 150 },
    { "", 151 },
    { "", 152 },
    { "", 153 },
    { "", 154 },
    { "", 155 },
    { "", 156 },
    { "", 157 },
    { "", 158 },
    { "", 159 },
    { "", 160 },
    { "", 161 },
    { "", 162 },
    { "", 163 },
    { "", 164 },
    { "", 165 },
    { "", 166 },
    { "", 167 },
    { "", 168 },
    { "", 169 },
    { "", 170 },
    { "", 171 },
    { "", 172 },
    { "", 173 },
    { "", 174 },
    { "", 175 },
    { "", 176 },
    { "", 177 },
    { "", 178 },
    { "", 179 },
    { "", 180 },
    { "", 181 },
    { "", 182 },
    { "", 183 },
    { "", 184 },
    { "", 185 },
    { "", 186 },
    { "", 187 },
    { "", 188 },
    { "", 189 },
    { "", 190 },
    { "", 191 },
    { "", 192 },
    { "", 193 },
    { "", 194 },
    { "", 195 },
    { "", 196 },
    { "", 197 },
    { "", 198 },
    { "", 199 },
    { "", 200 },
    { "", 201 },
    { "", 202 },
    { "", 203 },
    { "", 204 },
    { "", 205 },
    { "", 206 },
    { "", 207 },
    { "", 208 },
    { "", 209 },
    { "", 210 },
    { "", 211 },
    { "", 212 },
    { "", 213 },
    { "", 214 },
    { "", 215 },
    { "", 216 },
    { "", 217 },
    { "", 218 },
    { "", 219 },
    { "", 220 },
    { "", 221 },
    { "", 222 },
    { "", 223 },
    { "", 224 },
    { "", 225 },
    { "", 226 },
    { "", 227 },
    { "", 228 },
    { "", 229 },
    { "", 230 },
    { "", 231 },
    { "", 232 },
    { "", 233 },
    { "", 234 },
    { "", 235 },
    { "", 236 },
    { "", 237 },
    { "", 238 },
    { "", 239 },
    { "", 240 },
    { "", 241 },
    { "", 242 },
    { "", 243 },
    { "", 244 },
    { "", 245 },
    { "", 246 },
    { "", 247 },
    { "", 248 },
    { "", 249 },
    { "", 250 },
    { "", 251 },
    { "", 252 },
    { "", 253 },
    { "", 254 },
    { "", 255 },
    { "", 256 },
    { "", 257 },
    { "", 258 },
    { "", 259 },
    { "", 260 },
    { "", 261 },
    { "", 262 },
    { "", 263 },
    { "", 264 },
    { "", 265 },
    { "", 266 },
    { "", 267 },
    { "", 268 },
    { "", 269 },
    { "", 270 },
    { "", 271 },
    { "", 272 },
    { "", 273 },
    { "", 274 },
    { "", 275 },
    { "", 276 },
    { "", 277 },
    { "", 278 },
    { "", 279 },
    { "", 280 },
    { "", 281 },
    { "", 282 },
    { "", 283 },
    { "", 284 },
    { "", 285 },
    { "", 286 },
    { "", 287 },
    { "", 288 },
    { "", 289 },
    { "", 290 },
    { "", 291 },
    { "", 292 },
    { "", 293 },
    { "", 294 },
    { "", 295 },
    { "", 296 },
    { "", 297 },
    { "", 298 },
    { "", 299 },
    { "", 300 },
    { "", 301 },
    { "", 302 },
    { "", 303 },
    { "", 304 },
    { "", 305 },
    { "", 306 },
    { "", 307 },
    { "", 308 },
    { "", 309 },
    { "", 310 },
    { "", 311 },
    { "", 312 },
    { "", 313 },
    { "", 314 },
    { "", 315 },
    { "", 316 },
    { "", 317 },
    { "", 318 },
    { "", 319 },
    { "", 320 },
    { "", 321 },
    { "", 322 },
    { "", 323 },
    { "", 324 },
    { "", 325 },
    { "", 326 },
    { "", 327 },
    { "", 328 },
    { "", 329 },
    { "", 330 },
    { "", 331 },
    { "", 332 },
    { "", 333 },
    { "", 334 },
    { "", 335 },
    { "", 336 },
    { "", 337 },
    { "", 338 },
    { "", 339 },
    { "", 340 },
    { "", 341 },
    { "", 342 },
    { "", 343 },
    { "", 344 },
    { "", 345 },
    { "", 346 },
    { "", 347 },
    { "", 348 },
    { "", 349 },
    { "", 350 },
    { "", 351 },
    { "", 352 },
    { "", 353 },
    { "", 354 },
    { "", 355 },
    { "", 356 },
    { "", 357 },
    { "", 358 },
    { "", 359 },
    { "", 360 },
    { "", 361 },
    { "", 362 },
    { "", 363 },
    { "", 364 },
    { "", 365 },
    { "", 366 },
    { "", 367 },
    { "", 368 },
    { "", 369 },
    { "", 370 },
    { "", 371 },
    { "", 372 },
    { "", 373 },
    { "", 374 },
    { "", 375 },
    { "", 376 },
    { "", 377 },
    { "", 378 },
    { "", 379 },
    { "", 380 },
    { "", 381 },
    { "MBADADDR", 97 },
    { "SBADADDR", 30 },
    { "SPTBR", 34 },
    { "UBADADDR", 14 },
  };

  struct KeyType {
    std::string DeprecatedName;
  };
  KeyType Key = {DeprecatedName.upper()};
  auto Table = makeArrayRef(Index);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const IndexType &LHS, const KeyType &RHS) {
      int CmpDeprecatedName = StringRef(LHS.DeprecatedName).compare(RHS.DeprecatedName);
      if (CmpDeprecatedName < 0) return true;
      if (CmpDeprecatedName > 0) return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.DeprecatedName != Idx->DeprecatedName)
    return nullptr;
  return &SysRegsList[Idx->_index];
}

const SysReg *lookupSysRegByName(StringRef Name) {
  struct IndexType {
    const char * Name;
    unsigned _index;
  };
  static const struct IndexType Index[] = {
    { "CYCLE", 308 },
    { "CYCLEH", 343 },
    { "DCSR", 242 },
    { "DPC", 243 },
    { "DSCRATCH0", 244 },
    { "DSCRATCH1", 245 },
    { "FCSR", 3 },
    { "FFLAGS", 1 },
    { "FRM", 2 },
    { "HCONTEXT", 205 },
    { "HCOUNTEREN", 187 },
    { "HEDELEG", 183 },
    { "HENVCFG", 189 },
    { "HENVCFGH", 195 },
    { "HGATP", 204 },
    { "HGEIE", 188 },
    { "HGEIP", 376 },
    { "HIDELEG", 184 },
    { "HIE", 185 },
    { "HIP", 201 },
    { "HPMCOUNTER10", 318 },
    { "HPMCOUNTER10H", 353 },
    { "HPMCOUNTER11", 319 },
    { "HPMCOUNTER11H", 354 },
    { "HPMCOUNTER12", 320 },
    { "HPMCOUNTER12H", 355 },
    { "HPMCOUNTER13", 321 },
    { "HPMCOUNTER13H", 356 },
    { "HPMCOUNTER14", 322 },
    { "HPMCOUNTER14H", 357 },
    { "HPMCOUNTER15", 323 },
    { "HPMCOUNTER15H", 358 },
    { "HPMCOUNTER16", 324 },
    { "HPMCOUNTER16H", 359 },
    { "HPMCOUNTER17", 325 },
    { "HPMCOUNTER17H", 360 },
    { "HPMCOUNTER18", 326 },
    { "HPMCOUNTER18H", 361 },
    { "HPMCOUNTER19", 327 },
    { "HPMCOUNTER19H", 362 },
    { "HPMCOUNTER20", 328 },
    { "HPMCOUNTER20H", 363 },
    { "HPMCOUNTER21", 329 },
    { "HPMCOUNTER21H", 364 },
    { "HPMCOUNTER22", 330 },
    { "HPMCOUNTER22H", 365 },
    { "HPMCOUNTER23", 331 },
    { "HPMCOUNTER23H", 366 },
    { "HPMCOUNTER24", 332 },
    { "HPMCOUNTER24H", 367 },
    { "HPMCOUNTER25", 333 },
    { "HPMCOUNTER25H", 368 },
    { "HPMCOUNTER26", 334 },
    { "HPMCOUNTER26H", 369 },
    { "HPMCOUNTER27", 335 },
    { "HPMCOUNTER27H", 370 },
    { "HPMCOUNTER28", 336 },
    { "HPMCOUNTER28H", 371 },
    { "HPMCOUNTER29", 337 },
    { "HPMCOUNTER29H", 372 },
    { "HPMCOUNTER3", 311 },
    { "HPMCOUNTER30", 338 },
    { "HPMCOUNTER30H", 373 },
    { "HPMCOUNTER31", 339 },
    { "HPMCOUNTER31H", 374 },
    { "HPMCOUNTER3H", 346 },
    { "HPMCOUNTER4", 312 },
    { "HPMCOUNTER4H", 347 },
    { "HPMCOUNTER5", 313 },
    { "HPMCOUNTER5H", 348 },
    { "HPMCOUNTER6", 314 },
    { "HPMCOUNTER6H", 349 },
    { "HPMCOUNTER7", 315 },
    { "HPMCOUNTER7H", 350 },
    { "HPMCOUNTER8", 316 },
    { "HPMCOUNTER8H", 351 },
    { "HPMCOUNTER9", 317 },
    { "HPMCOUNTER9H", 352 },
    { "HSTATEEN0", 190 },
    { "HSTATEEN0H", 196 },
    { "HSTATEEN1", 191 },
    { "HSTATEEN1H", 197 },
    { "HSTATEEN2", 192 },
    { "HSTATEEN2H", 198 },
    { "HSTATEEN3", 193 },
    { "HSTATEEN3H", 199 },
    { "HSTATUS", 182 },
    { "HTIMEDELTA", 186 },
    { "HTIMEDELTAH", 194 },
    { "HTINST", 203 },
    { "HTVAL", 200 },
    { "HVIP", 202 },
    { "INSTRET", 310 },
    { "INSTRETH", 345 },
    { "MARCHID", 378 },
    { "MCAUSE", 96 },
    { "MCONFIGPTR", 381 },
    { "MCONTEXT", 241 },
    { "MCOUNTEREN", 52 },
    { "MCOUNTINHIBIT", 64 },
    { "MCYCLE", 246 },
    { "MCYCLEH", 277 },
    { "MEDELEG", 48 },
    { "MENVCFG", 53 },
    { "MENVCFGH", 59 },
    { "MEPC", 95 },
    { "MHARTID", 380 },
    { "MHPMCOUNTER10", 255 },
    { "MHPMCOUNTER10H", 286 },
    { "MHPMCOUNTER11", 256 },
    { "MHPMCOUNTER11H", 287 },
    { "MHPMCOUNTER12", 257 },
    { "MHPMCOUNTER12H", 288 },
    { "MHPMCOUNTER13", 258 },
    { "MHPMCOUNTER13H", 289 },
    { "MHPMCOUNTER14", 259 },
    { "MHPMCOUNTER14H", 290 },
    { "MHPMCOUNTER15", 260 },
    { "MHPMCOUNTER15H", 291 },
    { "MHPMCOUNTER16", 261 },
    { "MHPMCOUNTER16H", 292 },
    { "MHPMCOUNTER17", 262 },
    { "MHPMCOUNTER17H", 293 },
    { "MHPMCOUNTER18", 263 },
    { "MHPMCOUNTER18H", 294 },
    { "MHPMCOUNTER19", 264 },
    { "MHPMCOUNTER19H", 295 },
    { "MHPMCOUNTER20", 265 },
    { "MHPMCOUNTER20H", 296 },
    { "MHPMCOUNTER21", 266 },
    { "MHPMCOUNTER21H", 297 },
    { "MHPMCOUNTER22", 267 },
    { "MHPMCOUNTER22H", 298 },
    { "MHPMCOUNTER23", 268 },
    { "MHPMCOUNTER23H", 299 },
    { "MHPMCOUNTER24", 269 },
    { "MHPMCOUNTER24H", 300 },
    { "MHPMCOUNTER25", 270 },
    { "MHPMCOUNTER25H", 301 },
    { "MHPMCOUNTER26", 271 },
    { "MHPMCOUNTER26H", 302 },
    { "MHPMCOUNTER27", 272 },
    { "MHPMCOUNTER27H", 303 },
    { "MHPMCOUNTER28", 273 },
    { "MHPMCOUNTER28H", 304 },
    { "MHPMCOUNTER29", 274 },
    { "MHPMCOUNTER29H", 305 },
    { "MHPMCOUNTER3", 248 },
    { "MHPMCOUNTER30", 275 },
    { "MHPMCOUNTER30H", 306 },
    { "MHPMCOUNTER31", 276 },
    { "MHPMCOUNTER31H", 307 },
    { "MHPMCOUNTER3H", 279 },
    { "MHPMCOUNTER4", 249 },
    { "MHPMCOUNTER4H", 280 },
    { "MHPMCOUNTER5", 250 },
    { "MHPMCOUNTER5H", 281 },
    { "MHPMCOUNTER6", 251 },
    { "MHPMCOUNTER6H", 282 },
    { "MHPMCOUNTER7", 252 },
    { "MHPMCOUNTER7H", 283 },
    { "MHPMCOUNTER8", 253 },
    { "MHPMCOUNTER8H", 284 },
    { "MHPMCOUNTER9", 254 },
    { "MHPMCOUNTER9H", 285 },
    { "MHPMEVENT10", 72 },
    { "MHPMEVENT10H", 213 },
    { "MHPMEVENT11", 73 },
    { "MHPMEVENT11H", 214 },
    { "MHPMEVENT12", 74 },
    { "MHPMEVENT12H", 215 },
    { "MHPMEVENT13", 75 },
    { "MHPMEVENT13H", 216 },
    { "MHPMEVENT14", 76 },
    { "MHPMEVENT14H", 217 },
    { "MHPMEVENT15", 77 },
    { "MHPMEVENT15H", 218 },
    { "MHPMEVENT16", 78 },
    { "MHPMEVENT16H", 219 },
    { "MHPMEVENT17", 79 },
    { "MHPMEVENT17H", 220 },
    { "MHPMEVENT18", 80 },
    { "MHPMEVENT18H", 221 },
    { "MHPMEVENT19", 81 },
    { "MHPMEVENT19H", 222 },
    { "MHPMEVENT20", 82 },
    { "MHPMEVENT20H", 223 },
    { "MHPMEVENT21", 83 },
    { "MHPMEVENT21H", 224 },
    { "MHPMEVENT22", 84 },
    { "MHPMEVENT22H", 225 },
    { "MHPMEVENT23", 85 },
    { "MHPMEVENT23H", 226 },
    { "MHPMEVENT24", 86 },
    { "MHPMEVENT24H", 227 },
    { "MHPMEVENT25", 87 },
    { "MHPMEVENT25H", 228 },
    { "MHPMEVENT26", 88 },
    { "MHPMEVENT26H", 229 },
    { "MHPMEVENT27", 89 },
    { "MHPMEVENT27H", 230 },
    { "MHPMEVENT28", 90 },
    { "MHPMEVENT28H", 231 },
    { "MHPMEVENT29", 91 },
    { "MHPMEVENT29H", 232 },
    { "MHPMEVENT3", 65 },
    { "MHPMEVENT30", 92 },
    { "MHPMEVENT30H", 233 },
    { "MHPMEVENT31", 93 },
    { "MHPMEVENT31H", 234 },
    { "MHPMEVENT3H", 206 },
    { "MHPMEVENT4", 66 },
    { "MHPMEVENT4H", 207 },
    { "MHPMEVENT5", 67 },
    { "MHPMEVENT5H", 208 },
    { "MHPMEVENT6", 68 },
    { "MHPMEVENT6H", 209 },
    { "MHPMEVENT7", 69 },
    { "MHPMEVENT7H", 210 },
    { "MHPMEVENT8", 70 },
    { "MHPMEVENT8H", 211 },
    { "MHPMEVENT9", 71 },
    { "MHPMEVENT9H", 212 },
    { "MIDELEG", 49 },
    { "MIE", 50 },
    { "MIMPID", 379 },
    { "MINSTRET", 247 },
    { "MINSTRETH", 278 },
    { "MIP", 98 },
    { "MISA", 47 },
    { "MSCRATCH", 94 },
    { "MSECCFG", 235 },
    { "MSECCFGH", 236 },
    { "MSTATEEN0", 54 },
    { "MSTATEEN0H", 60 },
    { "MSTATEEN1", 55 },
    { "MSTATEEN1H", 61 },
    { "MSTATEEN2", 56 },
    { "MSTATEEN2H", 62 },
    { "MSTATEEN3", 57 },
    { "MSTATEEN3H", 63 },
    { "MSTATUS", 46 },
    { "MSTATUSH", 58 },
    { "MTINST", 99 },
    { "MTVAL", 97 },
    { "MTVAL2", 100 },
    { "MTVEC", 51 },
    { "MVENDORID", 377 },
    { "PMPADDR0", 117 },
    { "PMPADDR1", 118 },
    { "PMPADDR10", 127 },
    { "PMPADDR11", 128 },
    { "PMPADDR12", 129 },
    { "PMPADDR13", 130 },
    { "PMPADDR14", 131 },
    { "PMPADDR15", 132 },
    { "PMPADDR16", 133 },
    { "PMPADDR17", 134 },
    { "PMPADDR18", 135 },
    { "PMPADDR19", 136 },
    { "PMPADDR2", 119 },
    { "PMPADDR20", 137 },
    { "PMPADDR21", 138 },
    { "PMPADDR22", 139 },
    { "PMPADDR23", 140 },
    { "PMPADDR24", 141 },
    { "PMPADDR25", 142 },
    { "PMPADDR26", 143 },
    { "PMPADDR27", 144 },
    { "PMPADDR28", 145 },
    { "PMPADDR29", 146 },
    { "PMPADDR3", 120 },
    { "PMPADDR30", 147 },
    { "PMPADDR31", 148 },
    { "PMPADDR32", 149 },
    { "PMPADDR33", 150 },
    { "PMPADDR34", 151 },
    { "PMPADDR35", 152 },
    { "PMPADDR36", 153 },
    { "PMPADDR37", 154 },
    { "PMPADDR38", 155 },
    { "PMPADDR39", 156 },
    { "PMPADDR4", 121 },
    { "PMPADDR40", 157 },
    { "PMPADDR41", 158 },
    { "PMPADDR42", 159 },
    { "PMPADDR43", 160 },
    { "PMPADDR44", 161 },
    { "PMPADDR45", 162 },
    { "PMPADDR46", 163 },
    { "PMPADDR47", 164 },
    { "PMPADDR48", 165 },
    { "PMPADDR49", 166 },
    { "PMPADDR5", 122 },
    { "PMPADDR50", 167 },
    { "PMPADDR51", 168 },
    { "PMPADDR52", 169 },
    { "PMPADDR53", 170 },
    { "PMPADDR54", 171 },
    { "PMPADDR55", 172 },
    { "PMPADDR56", 173 },
    { "PMPADDR57", 174 },
    { "PMPADDR58", 175 },
    { "PMPADDR59", 176 },
    { "PMPADDR6", 123 },
    { "PMPADDR60", 177 },
    { "PMPADDR61", 178 },
    { "PMPADDR62", 179 },
    { "PMPADDR63", 180 },
    { "PMPADDR7", 124 },
    { "PMPADDR8", 125 },
    { "PMPADDR9", 126 },
    { "PMPCFG0", 101 },
    { "PMPCFG1", 102 },
    { "PMPCFG10", 111 },
    { "PMPCFG11", 112 },
    { "PMPCFG12", 113 },
    { "PMPCFG13", 114 },
    { "PMPCFG14", 115 },
    { "PMPCFG15", 116 },
    { "PMPCFG2", 103 },
    { "PMPCFG3", 104 },
    { "PMPCFG4", 105 },
    { "PMPCFG5", 106 },
    { "PMPCFG6", 107 },
    { "PMPCFG7", 108 },
    { "PMPCFG8", 109 },
    { "PMPCFG9", 110 },
    { "SATP", 34 },
    { "SCAUSE", 29 },
    { "SCONTEXT", 181 },
    { "SCOUNTEREN", 21 },
    { "SCOUNTOVF", 375 },
    { "SEDELEG", 17 },
    { "SEED", 10 },
    { "SENVCFG", 22 },
    { "SEPC", 28 },
    { "SIDELEG", 18 },
    { "SIE", 19 },
    { "SIP", 31 },
    { "SSCRATCH", 27 },
    { "SSTATEEN0", 23 },
    { "SSTATEEN1", 24 },
    { "SSTATEEN2", 25 },
    { "SSTATEEN3", 26 },
    { "SSTATUS", 16 },
    { "STIMECMP", 32 },
    { "STIMECMPH", 33 },
    { "STVAL", 30 },
    { "STVEC", 20 },
    { "TDATA1", 238 },
    { "TDATA2", 239 },
    { "TDATA3", 240 },
    { "TIME", 309 },
    { "TIMEH", 344 },
    { "TSELECT", 237 },
    { "UCAUSE", 13 },
    { "UEPC", 12 },
    { "UIE", 4 },
    { "UIP", 15 },
    { "USCRATCH", 11 },
    { "USTATUS", 0 },
    { "UTVAL", 14 },
    { "UTVEC", 5 },
    { "VCSR", 9 },
    { "VL", 340 },
    { "VLENB", 342 },
    { "VSATP", 45 },
    { "VSCAUSE", 40 },
    { "VSEPC", 39 },
    { "VSIE", 36 },
    { "VSIP", 42 },
    { "VSSCRATCH", 38 },
    { "VSSTATUS", 35 },
    { "VSTART", 6 },
    { "VSTIMECMP", 43 },
    { "VSTIMECMPH", 44 },
    { "VSTVAL", 41 },
    { "VSTVEC", 37 },
    { "VTYPE", 341 },
    { "VXRM", 8 },
    { "VXSAT", 7 },
  };

  struct KeyType {
    std::string Name;
  };
  KeyType Key = {Name.upper()};
  auto Table = makeArrayRef(Index);
  auto Idx = std::lower_bound(Table.begin(), Table.end(), Key,
    [](const IndexType &LHS, const KeyType &RHS) {
      int CmpName = StringRef(LHS.Name).compare(RHS.Name);
      if (CmpName < 0) return true;
      if (CmpName > 0) return false;
      return false;
    });

  if (Idx == Table.end() ||
      Key.Name != Idx->Name)
    return nullptr;
  return &SysRegsList[Idx->_index];
}
#endif

#undef GET_RISCVMaskedPseudosTable_DECL
#undef GET_RISCVMaskedPseudosTable_IMPL
#undef GET_RISCVOpcodesList_DECL
#undef GET_RISCVOpcodesList_IMPL
#undef GET_RISCVVIntrinsicsTable_DECL
#undef GET_RISCVVIntrinsicsTable_IMPL
#undef GET_RISCVVLETable_DECL
#undef GET_RISCVVLETable_IMPL
#undef GET_RISCVVLSEGTable_DECL
#undef GET_RISCVVLSEGTable_IMPL
#undef GET_RISCVVLXSEGTable_DECL
#undef GET_RISCVVLXSEGTable_IMPL
#undef GET_RISCVVLXTable_DECL
#undef GET_RISCVVLXTable_IMPL
#undef GET_RISCVVPseudosTable_DECL
#undef GET_RISCVVPseudosTable_IMPL
#undef GET_RISCVVSETable_DECL
#undef GET_RISCVVSETable_IMPL
#undef GET_RISCVVSSEGTable_DECL
#undef GET_RISCVVSSEGTable_IMPL
#undef GET_RISCVVSXSEGTable_DECL
#undef GET_RISCVVSXSEGTable_IMPL
#undef GET_RISCVVSXTable_DECL
#undef GET_RISCVVSXTable_IMPL
#undef GET_SysRegsList_DECL
#undef GET_SysRegsList_IMPL
